/******************************************************************************
 * 
 *  Title  : binToHexFileConverison.c 
 *  Version 0.0,
 *   
 *  Description: This program converts binary file into hexadecimal text file..
 *  Input: Binary file fileName.* (*.*)      
 *  Output: Hex text file fileName.hex
 *
 * 
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/
 
#include <ansi_c.h>
#include <utility.h>   

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/******************************************************************************
 *                        Static Function Declarations                        *
 ******************************************************************************/


/******************************************************************************
 *                              		Main 		                          *
 ******************************************************************************/

int main(int argc, char *argv[]){

	FILE *hexFileHandle;
	FILE *binFileHandle;
	size_t bytesRead;
	char errorMessage[200];
	int status;
	long binFileSize, i;
	char hexFileName[300];
	char binFileName[300];
	char directory[300];
	int hexValue;
	unsigned char binValue;
	unsigned char convertValue;
	int length, dirLength;

	memset(binFileName, 0, 300);
	memset(hexFileName, 0, 300);
	strcpy(binFileName,argv[1]); /* get input bin file name */
    printf("%s\n", binFileName);

	/* create hex file name (*.hex) */	  
	length=strlen(binFileName)-4;
	strncpy(hexFileName, binFileName, length);
	
	strcat(hexFileName,".hex");
	printf("%s\n", hexFileName);
	
	hexFileHandle = fopen (hexFileName, "w"); /* open text file for write */
	binFileHandle = fopen (binFileName, "rb"); /* open binary file for read */        

	status=GetFileSize(binFileName, &binFileSize);
	printf("%d\n",binFileSize);

	for(i=0;i<binFileSize;++i){
		fread (&binValue, 1, 1, binFileHandle);
		fprintf(hexFileHandle,"%2.2X", binValue);
	}	

	/* close files */
	status=fclose(hexFileHandle);
	status=fclose(binFileHandle);
	
	printf("----- PRESS ANY KEY -------");
	getchar();
	
	return(0);
}

/******************************************************************************
 *                              Static functions                              *
 ******************************************************************************/


/******************************************************************************/ 
