 /******************************************************************************
 * 
 *  Title  : debugMemCompress.c 
 *  Version 0.0, 
 *  
 *  Description: 
 *  	 input - binary file XXX.*
 *  	 output - binary file XXX.compBin
 *  
 * 
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/
 
#include <ansi_c.h>
#include <utility.h>   

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/


/******************************************************************************
 *                        Static Function Declarations                        *
 ******************************************************************************/

typedef unsigned int UINT32;

/******************************************************************************
 *                              		Main 		                          *
 ******************************************************************************/

int main(int argc, char *argv[]){

	FILE *outFileHandle;
	FILE *binFileHandle;
	size_t bytesRead;
	char errorMessage[200];
	int status;
	long binFileSize, i;
	char outFileName[300];
	char binFileName[300];
	char directory[300];
	unsigned char binValue[6];
	
	int length, dirLength;

	memset(binFileName, 0, 300);
	memset(outFileName, 0, 300);
	strcpy(binFileName,argv[1]); /* get input hex file name (*.hex) */
    printf("%s\n", binFileName);

	/* create binary file name (*.compBin) */	  
	length=strlen(binFileName)-4;
	strncpy(outFileName, binFileName, length);
	
	strcat(outFileName,".compBin");
	printf("%s\n", outFileName);
	
	outFileHandle = fopen (outFileName, "wb"); /* open binary file for write */
	binFileHandle = fopen (binFileName, "rb"); /* open binary file for read */        

	status=GetFileSize(binFileName, &binFileSize);
	printf("%d\n",binFileSize);

	for(i=0;i<binFileSize;++i){
		fread (binValue, 6, 1, binFileHandle);
		//if(((binValue[5]&0x10)==0)||(*(UINT32*)binValue==0)){
		if((binValue[5]&0x10)==0){
			fwrite(binValue, 1, 6, outFileHandle); 
		}
	}	

	/* close files */
	status=fclose(outFileHandle);
	status=fclose(binFileHandle);
	
	printf("----- PRESS ANY KEY -------");
	getchar();
	
	return(0);
}

/******************************************************************************
 *                              Static functions                              *
 ******************************************************************************/



/******************************************************************************/ 
