
 /******************************************************************************
 * 
 *  Title  : delayScan.c 
 *  Version 0.0, 
 *  

 * 
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/
 
#include <ansi_c.h>
#include <utility.h>   

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

#define FILE_NAME_BASE "C:\\WINNT\\Profiles\\silicon\\Desktop\\BOC-ROD Data Alignment Results\\inA_inputAlign" 
#define OUTPUT_FILE "C:\\WINNT\\Profiles\\silicon\\Desktop\\BOC-ROD Data Alignment Results\\delayScan.txt"
#define STREAM_COUNT 16 
#define DELAY_COUNT  25

#define READ_BIT(variable, bitNumber) (((variable)>>(bitNumber)) & 1)

/******************************************************************************
 *                        Static Function Declarations                        *
 ******************************************************************************/


/******************************************************************************
 *                              		Main 		                          *
 ******************************************************************************/

int main(int argc, char *argv[]){

	FILE *outFileHandle;
	FILE *binFileHandle;
	
	char outFileName[300];
	char binFileName[300];
	char directory[300];
	unsigned int binValue;
	int numWords;
	int length, dirLength;
	int status;
	
	int stream, delay;
	int hits[STREAM_COUNT];
	int points[STREAM_COUNT]; 
	int i;
	
	outFileHandle = fopen (OUTPUT_FILE, "w"); /* open text file for write */ 
	
	fprintf(outFileHandle, "Del\\Strm  ");
	for(stream=0; stream<STREAM_COUNT; ++stream){ 
		fprintf(outFileHandle, "%2d    ", stream);  
	}	
	
	
	for(delay=0; delay<DELAY_COUNT; ++delay){
		
		//get file name
		strcpy(binFileName, FILE_NAME_BASE);
		sprintf(binFileName, FILE_NAME_BASE"%d.compBin", delay);
		
		binFileHandle = fopen (binFileName, "rb"); /* open binary file for read */          
		
		//clear arrays
		for(i=0; i<STREAM_COUNT; ++i) hits[i]=0;
		for(i=0; i<STREAM_COUNT; ++i) points[i]=0;    

		while(1){
			status=fread(&binValue, 2, 1, binFileHandle);
			if(status!=1) break;
			//get data
			for(stream=0; stream<STREAM_COUNT; ++stream){
				++points[stream];	
				hits[stream]+=READ_BIT(binValue, stream);
			}
			
		}
		
		fclose(binFileHandle);         
		
		fprintf(outFileHandle, "\n%2d     ", delay);
		for(stream=0; stream<STREAM_COUNT; ++stream){
			if(hits[stream]==0) fprintf(outFileHandle, "  %4s", ".");else{
				if(hits[stream]==points[stream]) fprintf(outFileHandle, "  %4s", "...");
				else fprintf(outFileHandle, "  %4d", hits[stream]);     
			}
		}
	}
	
	/* close files */
	fclose(outFileHandle);
	
	printf("Output data is in delayScan.txt\n----- PRESS ANY KEY -------");
	getchar();
	
	return(0);
}

/******************************************************************************
 *                              Static functions                              *
 ******************************************************************************/



/******************************************************************************/ 



