/****************************************************************************** 
 *  Title  : commandFunc_compareFiles.h 
 *  Version 0.0
 *   
 *  Description: header file 
 *  Related files: commandFunc_compareFiles.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef BUS_TEST_FILES	 /* multiple inclusion protection */
#define BUS_TEST_FILES
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "fileUtility.h"  

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/


/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/

/*
 * Command parameters 
 */

struct BUS_TEST_PARAMS {
	  /* input */
	  int oneRegisterNotSet; /* input option */
	  UINT32 regAddress;	 /* address of the only register for test - valid if oneRegisterNotSet!=0. */
	  int dataWidthInBits;	 /* data width in bits (0 to 31) */
	  int latchRegisterOn;   /* check address in address latch register? */
	  UINT32 latchRegAddr;   /* address latch register address - valid only if latchRegisterOn!=0 */
	  int floating1TestOnly;
	   /* 
	    * Binary file containing addresses of the registers for testing - valid only
	    * when oneRegisterNotSet==0.
	    */       
	  char regsAddrFile[PATHNAME_LENGTH]; 
	                                      
};

/******************************************************************************/ 

#endif /* BUS_TEST_FILES */

#ifdef COMMAND_FUNC_DEFINED
#include "commandListDefinitions.h"

COMMAND_FUNCTION_TYPE commandFunction_busTest; 
#endif
