/****************************************************************************** 
 *  Title  : commandFunc_compareFiles.h 
 *  Version 0.0
 *   
 *  Description: header file 
 *  Related files: commandFunc_compareFiles.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef COMMAND_COMPARE_FILES	 /* multiple inclusion protection */
#define COMMAND_COMPARE_FILES
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "fileUtility.h"  

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/


/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/

/*
 * Command parameters 
 */

struct COMPARE_FILES_PARAMS {
	  UINT32 wordSizeInBytes; 
	  UINT32 dataMask[2];	  /* bit data mask masking valid data in the files,
	                             if bit in the mask is set to 0 this data bit is not compared! */
	  char commonFile[PATHNAME_LENGTH];  /* common data file("matrix") - absolute path */
	  char rodFile[PATHNAME_LENGTH];     /* rod file for comparison - always in rod data subdirectory */
	  /* NOTE - both files must be the same SIZE!! */
};

/******************************************************************************/ 

#endif /* COMMAND_COMPARE_FILES */

#ifdef COMMAND_FUNC_DEFINED
#include "commandListDefinitions.h"

COMMAND_FUNCTION_TYPE commandFunction_compareFiles; 
#endif
