/******************************************************************************
 * 
 *  Title  : commandFunc_delay.c 
 *  Version 0.0
 *   
 *  Description: This command adds a delay into command list. 
 *  
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include <stdio.h>
#include <stdlib.h>  
#include "commandListDefinitions.h"  
#include "commandFunc_delay.h"
#include "commandParamsUir.h" 
#include "globalDefinitions.h"
#include "uirUtility.h" 
#include "commandStatusMessage.h"

/******************************************************************************
 *                              Global functions                              *
 ******************************************************************************/

/*=============================================================================
 *                           commandFunction_compareFiles()
 *=============================================================================
 *
 *	 
 *
 */

ERROR_ID commandFunction_delay(COMMAND_FUNC_OPTION funcOption, struct COMMAND *command, UINT8 slotNumber, FILE *file){

	struct HOST *host;
	const int panel=global.panel.commandEdit[DELAY_COMMAND_ID];
	
	struct DELAY_PARAMS *delay=&command->params.delay;
	
	int status;
	ERROR_ID errorId=SUCCESS;
	
		
	switch(funcOption){
	
		case COMMAND_TO_LIST:
			
			GetCtrlVal(panel, DELAY_CMDP_DELAY, &delay->delayInSeconds); 
			
	  		break;
		
		case LIST_TO_COMMAND:
			
			SetCtrlVal(panel, DELAY_CMDP_DELAY, delay->delayInSeconds);
			
			break;
		case COMMAND_EXECUTION:
			
			Sleep(delay->delayInSeconds*1000.0);
			
 			break;
 			
 		case SAVE_CMD_TO_FILE:

  			fprintf(file, "delayInSeconds= %0.3f\n", delay->delayInSeconds); 
  			
			break;
			
		case LOAD_CMD_FROM_FILE:
		
  			status=fscanf(file, "delayInSeconds= %f\n", &delay->delayInSeconds);
  			if(status==-1) {ERROR_CHECK(FATAL_ERROR, Read from cmd file error!); return(FATAL_ERROR);}		
  			
  			break;	
		
		default: ;
 	}

	return(SUCCESS);	
			
}

/******************************************************************************/ 
