/****************************************************************************** 
 *  Title  : commandFunc_readWriteFpagaFlash.h 
 *  Version 0.0
 *   
 *  Description: header file 
 *  Related files: commandFunc_readWriteFpagaFlash.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef COMMAND_RW_FPGA_FLASH	 /* multiple inclusion protection */
#define COMMAND_RW_FPGA_FLASH
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "fileUtility.h"
#include "processor.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/


/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/

/*
 * Command parameters 
 */

struct RW_FPGA_FLASH_PARAMS {
	
	int readNotWrite;
   	UINT32 startAddress;
   	UINT32 size;   /* in bytes */
   	
   	char dataFileName[PATHNAME_LENGTH]; /* binary input or output data file */
   
};				   

/******************************************************************************/ 

#endif /* COMMAND_RW_FPGA_FLASH */

#ifdef COMMAND_FUNC_DEFINED
#include "commandListDefinitions.h"

COMMAND_FUNCTION_TYPE commandFunction_readWriteFpgaFlash; 
#endif
