/****************************************************************************** 
 *  Title  : commandFunc_readWriteVME.h 
 *  Version 0.0
 *   
 *  Description: header file 
 *  Related files: commandFunc_readWriteVME.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef COMMAND_RW_VME	 /* multiple inclusion protection */
#define COMMAND_RW_VME
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "fileUtility.h"
#include "processor.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/


/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/

/*
 * Command parameters 
 */

struct RW_VME_PARAMS {
	
	UINT16 elementSize;  /* in bytes */	
	UINT8 noBlockAccess; /* no block VME access, data block is tranferred
	                        element by element; usefull for TIM */
	
	int readNotWrite;
   	UINT32 startAddress; /* 24 bit relative address for the current slot */
   	UINT32 length; /* data block length in bytes */
   	
   	union{
   		struct{  /* input */
   			int dataNotFile; /* input data option */ 
   			UINT32 data;  /* input data - valid if dataNotFile!=0, length<=4 bytes */
   			char fileName[PATHNAME_LENGTH];  /* input data file - valid if dataNotFile==0 */       
   		}write;	
   		struct{   /* output */     
   			int compareWithData;  /* valid only if length<=4 bytes */   
   			UINT32 compData;	  /* data for comparison - valid if compareWithData!=0 */  
   			int appendNotWrite;
   			char fileName[PATHNAME_LENGTH];  /* output data file */
   		}read;
   	};	
	
};				   

/******************************************************************************/ 

#endif /* COMMAND_RW_VME */

#ifdef COMMAND_FUNC_DEFINED
#include "commandListDefinitions.h"

COMMAND_FUNCTION_TYPE commandFunction_readWriteVME; 
#endif
