/****************************************************************************** 
 *  Title  : commandFunc_runExternalProgram.h 
 *  Version 0.0
 *   
 *  Description: header file 
 *  Related files: commandFunc_runExternalProgram.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef COMMAND_RUN_EXTERNAL_PROGRAM	 /* multiple inclusion protection */
#define COMMAND_RUN_EXTERNAL_PROGRAM
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "fileUtility.h"  

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/


/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/

/*
 * Command parameters 
 */

struct RUN_EXTERNAL_PROGRAM_PARAMS {

	  int waitForTermination;				  /* wait for ext program termination */
	  unsigned int timeoutInSeconds;
	  int rodDataFileOption;
	  	   
	  char externalProgram[PATHNAME_LENGTH];  /* executable file - absolute path + options */
	  char rodDataFile[PATHNAME_LENGTH];      /* rod file as a run parameter - always in rod data subdirectory */
	  
};

/******************************************************************************/ 

#endif /* COMMAND_RUN_EXTERNAL_PROGRAM */

#ifdef COMMAND_FUNC_DEFINED
#include "commandListDefinitions.h"

COMMAND_FUNCTION_TYPE commandFunction_runExternalProgram; 
#endif
