/****************************************************************************** 
 *  Title  : commandFunc_readWriteMDSPFlash.h 
 *  Version 0.0
 *   
 *  Description: header file 
 *  Related files: commandFunc_readWriteMDSPFlash.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef COMMAND_W_MDSP_FLASH	 /* multiple inclusion protection */
#define COMMAND_W_MDSP_FLASH
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "fileUtility.h"
#include "processor.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

#define MDSP_FLASH_START_SECTOR 0  /* constant first sector to write */

/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/

/*
 * Command parameters 
 */

struct W_MDSP_FLASH_PARAMS {
	
   	UINT32 size; /* in bytes */
   	
   	char inputFileName[PATHNAME_LENGTH]; /* binary input data file */
	
};				   

/******************************************************************************/ 

#endif /* COMMAND_W_MDSP_FLASH */

#ifdef COMMAND_FUNC_DEFINED
#include "commandListDefinitions.h"

COMMAND_FUNCTION_TYPE commandFunction_writeMDSPFlash; 
#endif
