/******************************************************************************
 * 
 *  Title  : errorCodes.h 
 *  Version 0.0
 *   
 *  Description: rcc.prj error codes definitions.    
 *  Related files:
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef ERROR_CODES_H
#define ERROR_CODES_H

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/*
 * All error codes are negative.
 */

/* 
 * error codes (ERROR_ID type) 
 */

#define SUCCESS           	  0
#define FATAL_ERROR   	     -1000
#define PROGRAM_WARNING		 -1
#define PROGRAM_ERROR   	 -2    
#define HOST_ERROR       	 -3
#define TIMEOUT_ERROR    	 -4
#define PRIMLIST_ERROR       -5
#define REPLIST_ERROR   	 -6
#define HPI_ERROR        	 -7
#define FILE_ERROR           -8
#define UIR_ERROR  		 	 -9
#define VME_ERROR       	 -10
#define TEXT_BUFFER_OVERFLOW -11    
#define TEXT_BUFFER_ERROR    -12
#define COMMAND_ERROR   	 -13 
#define COMMAND_LIST_ERROR   -14  
#define FLASH_ERROR			 -100
#define FLASH_TIMEOUT_ERROR	 -101



/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/
 
 /*
  *  Error codes type definition.
  */
						 
typedef int ERROR_ID;	 
                
                   
/******************************************************************************/

#endif  /* ERROR_CODES_H */
