/******************************************************************************
 * 
 *	Title  : listTableDefinition.h 
 *  Version 0.0
 *   
 *  Description: listTable definitions.    
 *  Related files:
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef LIST_TABLE_DEFINITION_H	  /* multiple-inclusion protection */
#define LIST_TABLE_DEFINITION_H

/******************************************************************************
 *								Header files 								  *
 ******************************************************************************/

#include "msgBuff.h"
#include "primParamsStruct.h"

/******************************************************************************
 *								Definitions  								  *
 ******************************************************************************/

#define MAXPRIMS_IN_LIST 100        /* max num of primitives in list table */   
#define COMMENT_LENGTH   600

/******************************************************************************
 *								Type definitions  							  *
 ******************************************************************************/

/*----------------------------- LIST TABLE DEFINITIONS -----------------------*/ 

struct PRIM_TABLE{
	char comment[COMMENT_LENGTH];  /* primitive comment */
	struct MSG_HEAD inPrimHeader;  /* primitive header */
	UINT32 replyLength;  /* predicted length of reply data */
	union PRIM_PARAMS_UNION params; /* primitive parameters */
};


struct LIST_TABLE{
	char comment[COMMENT_LENGTH];  /* list comment */
	UINT32 allPrimCount;		   /* number of all primitives(master+slave) in list */
	UINT32 masterToTablePrimIndex[MAXPRIMS_IN_LIST]; 
	/* the array contains the real index in PrimTable for each master primitive;
	   array index=master index */ 
	struct MSG_LIST_HEAD inListHeader; /* primitive list header */
	UINT32 replyLength;  /* predicted length of reply list */ 
	UINT32 replyCount;   /* number of prims with reply data */
	struct PRIM_TABLE primTable[MAXPRIMS_IN_LIST];
};	


/******************************************************************************/ 		

#endif    /* LIST_TABLE_DEFINITION_H */		

