/****************************************************************************** 
 *  Title  : primFunc_RWRegField.h 
 *  Version 0.0
 *   
 *  Description:   RW field primitive function
 *  Related files:
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_RW_REG_FIELD_H	 /* multiple inclusion protection */
#define PRIM_RW_REG_FIELD_H
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "primParams.h"
#include "fileUtility.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/
 
/* 
 * primitive function revision number - should be equal to R_RW_FIELD   
 * defined on the DSP side in primParams.h
 */

#define R_RW_REG_FIELD_HOST	105 
	

/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/

/*
 * Primitive parameters    
 */

struct PRIM_RWFIELD_PARAMS{	/* params for host */		  
	
	struct RW_REG_FIELD_IN inputParams;
	UINT32 baseId, x, y, z;  /* x - first, y - second, z - third parameter in the macro 
							 defining the register ID (see registerIndicies.h) 
							 base ID is for x=0, y=0 and z=0 */
	
	int appendNotWrite;
	char outDataFileName[PATHNAME_LENGTH];
};

/* old definition v104 */
#ifndef READ_FROM_FILE_v104
#define READ_FROM_FILE_v104 104
#endif
struct PRIM_RWFIELD_PARAMS_v104{			  
	
	struct RW_REG_FIELD_IN inputParams;
	UINT32 baseId, x, y;  
	
	int appendNotWrite;
	char outDataFileName[PATHNAME_LENGTH];
};

/******************************************************************************/ 

void bitButtonsInpMode(int panel, int inpMode);

#endif /* PRIM_RW_REG_FIELD_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_RWField; 
#endif
