/****************************************************************************** 
 *  Title  : primFunc_RWmodule.h 
 *  Version 0.0
 *   
 *  Description:   header file
 *  Related files: primFunc_RWmodule.h
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_FUNC_RW_MODULE_DATA_H	 /* multiple inclusion protection */
#define PRIM_FUNC_RW_MODULE_DATA_H
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "primParams.h"
#include "fileUtility.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/* 
 * prim function revision number - should be equal to R_RW_MODULE_DATA   
 * defined on the DSP side in primParams.h
 */

#define R_RW_MODULE_DATA_HOST	102  

/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/

/*
 * Primitive parameters
 */

struct RW_MODULE_DATA_PARAMS{	/* params for host */		  
	
	RwModuleDataIn inputParams;
	char dataFileName[PATHNAME_LENGTH];
	
   	UINT8 active;      
   	UINT8 groupId;   
   	UINT8 pTTC;     
   	UINT8 rx[4];
	
};

#define READ_FROM_FILE_v101 101

/******************************************************************************/ 

#endif /* PRIM_FUNC_RW_MODULE_DATA_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_RWmoduleData; 

#endif
