/******************************************************************************
 *  Title  : primFunc_buildStream.h
 *  Version 0.0
 *
 *  Description:   header file.
 *  Related files: primFunc_buildStream.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_BUILD_STREAM_H	 /* multiple inclusion protection */
#define PRIM_BUILD_STREAM_H

/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "primParams.h"
#include "fileUtility.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/*
 * WARNING - file length in primTable file params is limited!!
 *	(=> reduce PRIM_PARAMS_UNION size)
 */

/*
 * primitive function revision number - should be equal to R_BUILD_STREAM
 * defined on the DSP side in primParams.h
 */

#define R_BUILD_STREAM_HOST	102

/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/

struct BUILD_STREAM_PARAMS {

	struct BUILD_STREAM_IN inputParams;

	enum{
		MASK_DATA=0,
		FILE_DATA=1,
	}inputDataOption;

	union{
		UINT32 mask[4];
		char inDataFileName[PATHNAME_LENGTH];
	};

};

/******************************************************************************/

#endif /* PRIM_BUILD_STREAM_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_buildStream;
#endif

