/******************************************************************************
 *  Title  : primFunc_echo.h
 *  Version 0.0
 *
 *  Description: header file
 *  Related files: primFunc_echo.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_ECHO_H	 /* multiple inclusion protection */
#define PRIM_ECHO_H

/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "primParams.h"
#include "fileUtility.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/*
 * primitive function revision number - should be equal to R_ECHO
 * defined on the DSP side in primParams.h
 */

#define R_ECHO_HOST	100


/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/

/*
 * Primitive parameters
 */

struct PRIM_ECHO_PARAMS{	/* echo params for host */

	enum{
		TEST_PATTERN=0,
		FROM_FILE=1,
	}inputDataOption;
	union{
		UINT32 testPattern;
		char inDataFileName[PATHNAME_LENGTH];
	};
	UINT32 testDataLength;

};

/******************************************************************************/

#endif /* PRIM_ECHO_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_echo;
#endif
