/******************************************************************************
 *  Title  : primFunc_histogramSetup.h
 *  Version 0.0
 *
 *  Description:   header file.
 *  Related files: primFunc_histogramSetup.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_HISTOGRAM_SETUP_H	 /* multiple inclusion protection */
#define PRIM_HISTOGRAM_SETUP_H

/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "primParams.h"
#include "fileUtility.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/*
 * primitive function revision number - should be equal to R_HISTOGRAM_SETUP
 * defined on the DSP side in primParams.h
 */

#define R_HISTOGRAM_SETUP_HOST	107

/* old definition v106 */
#ifndef READ_FROM_FILE_v106
#define READ_FROM_FILE_v106 106
#endif

/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/


struct PRIM_HISTOGRAM_SETUP_PARAMS{	/* params for host */		  
	
	struct HISTOGRAM_SETUP_IN inputParams;

	char inputFile1[PATHNAME_LENGTH];
	char inputFile2[PATHNAME_LENGTH];
	UINT32 default1;
	//UINT32 default2;

};


/******************************************************************************/

#endif /* PRIM_HISTOGRAM_SETUP_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_histogramSetup;
#endif

