/******************************************************************************
 * 
 *  Title  : primFunc_pauseList.c 
 *  Version 0.0
 *   
 *  Description: pause list primitive function.    
 *  Related files:
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include <stdio.h>
#include "primFunc_pauseList.h"
#include "fileUtility.h"
#include "globalDefinitions.h"
#include "uirUtility.h"
#include "primParamsUir.h"
#include "primFunctionInit.h"

/******************************************************************************
 *                              Global functions                              *
 ******************************************************************************/

/*=============================================================================
 *                              primFunction_pauseList()
 *=============================================================================
 *
 *	  Pause list prim func.
 *
 */
ERROR_ID primFunction_pauseList(PRIM_FUNC_OPTION funcOption, struct PRIM_TABLE *primTable, void *primitive, UINT32 inputParameter, UINT8 slotNumber){


	FILE *file;
	
	ERROR_ID errorId=SUCCESS;
	char errorMessage[200];
	int status;

	UINT32 primBodyLength;
	UINT32 primitiveId;
	
	int outputFile;

	const int panel=global.panel.primEdit[getPrimArrayId(PAUSE_LIST)];

		
	if(R_PAUSE_LIST!=R_PAUSE_LIST_HOST){  // 
		ERROR_CHECK(PROGRAM_ERROR, primitive MEMORY_TEST - wrong revision number);
		return(PROGRAM_ERROR);
	}

	switch(funcOption){
		case PRIM_PANEL_TO_TABLE:
		
			/* NO BREAK HERE!!!*/
		case PRIM_PARAMS_TO_TABLE:				
			/* add table headers - don't set indexes!!! */  
			primTable->inPrimHeader.length=SIZEOF(struct MSG_HEAD); 
			primTable->inPrimHeader.id=PAUSE_LIST;
			primTable->inPrimHeader.primRevision=R_PAUSE_LIST; 
			primTable->replyLength=0;  /* no reply data */ 
			
	  		break;
		
		case PRIM_TABLE_TO_PANEL:
			/* do nothing */        
			break;
		case PRIM_BUILD:
 			/* do nothing */
 			break;
 
		case REP_DATA_PROCESS:
			
			/* no reply */   
			
			break;
			
		case WRITE_TO_FILE:
		
			file=(FILE*)inputParameter;
			
			break;
			
		case READ_FROM_FILE:
		
			file=(FILE*)inputParameter;
			
			break;	
		
		default: ;
 	}

	return(SUCCESS);	
			
}

/******************************************************************************/ 



