/****************************************************************************** 
 *  Title  : primFunc_pollField.h 
 *  Version 0.0
 *   
 *  Description:   header file
 *  Related files: primFunc_pollField.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_POLL_REG_FIELD_H	 /* multiple inclusion protection */
#define PRIM_POLL_REG_FIELD_H
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "primParams.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/
 
/* 
 * primitive function revision number - should be equal to R_POLL_REG_FIELD   
 * defined on the DSP side in primParams.h
 */

#define R_POLL_REG_FIELD_HOST	105  
	

/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/

/*
 * Primitive parameters    
 */

struct PRIM_POLL_REG_FIELD_PARAMS{	/* params for host */		  
	
	struct POLL_REG_FIELD_IN inputParams;
	UINT32 baseId, x, y, z;  /* x - first, y - second, z - third parameter in the macro 
							 defining the register ID (see registerIndicies.h) 
							 base ID is for x=0, y=0 and z=0 */
};

/* old v104 */
#ifndef READ_FROM_FILE_v104
#define READ_FROM_FILE_v104 104
#endif
struct PRIM_POLL_REG_FIELD_PARAMS_v104{			  
	
	struct POLL_REG_FIELD_IN inputParams;
	UINT32 baseId, x, y;  
};

/******************************************************************************/ 

#endif /* PRIM_POLL_REG_FIELD_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_pollRegField; 
#endif
