/****************************************************************************** 
 *  Title  : primFunc_sendData.h 
 *  Version 0.0
 *   
 *  Description:   header file.
 *  Related files: primFunc_sendData.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_SEND_DATA_H	 /* multiple inclusion protection */
#define PRIM_SEND_DATA_H
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "primParams.h"
#include "fileUtility.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/* 
 * primitive function revision number - should be equal to R_SEND_DATA   
 * defined on the DSP side in primParams.h
 */

#define R_SEND_DATA_HOST	102  
	
/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/

struct SEND_DATA_PARAMS{

	struct SEND_DATA_IN inputParams;
	
	char outDataFileName[PATHNAME_LENGTH];
};

/******************************************************************************/ 

#endif /* PRIM_SEND_DATA_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_sendData; 
#endif

