/****************************************************************************** 
 *  Title  : primFunc_sendSlaveList.h 
 *  Version 0.0
 *   
 *  Description:   header file.
 *  Related files: primFunc_sendSlaveList.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_SEND_SLAVE_LIST_H	 /* multiple inclusion protection */
#define PRIM_SEND_SLAVE_LIST_H
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "primParams.h"
#include "msgBuff.h"


/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/* 
 * primitive function revision number - should be equal to R_SEND_SLAVE_LIST   
 * defined on the DSP side in primParams.h
 */

#define R_SEND_SLAVE_LIST_HOST	103  
	
/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/

/*
 * Primitive parameters
 */

struct PRIM_SEND_SLAVE_LIST_PARAMS{	

	struct SEND_SLAVE_LIST_IN primParams;
	
	struct MSG_LIST_HEAD inSlaveListHeader;
	UINT32 replyLength;
	UINT32 replyCount;
	
	
};

/******************************************************************************/ 

#endif /* PRIM_SEND_SLAVE_LIST_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_sendSlaveList; 
#endif
