/******************************************************************************
 *  Title  : primFunc_startTask.h
 *  Version 0.0
 *
 *  Description:   header file.
 *  Related files: primFunc_startTask.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_START_TASK_H	 /* multiple inclusion protection */
#define PRIM_START_TASK_H

/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "primParams.h"
#include "fileUtility.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

union TASK_STRUCTURES_IN_NOHIST {
/*	struct HISTOGRAM_CTRL_TASK_IN  histoCtrlTaskIn;*/
	struct MIRROR_TASK_IN          mirrorMemoryTaskIn;
	struct TRAP_REQ_TASK_IN        trapRequestTaskIn;

	struct HISTOGRAM_TASK_IN  histogramTaskIn;
	struct TRAP_TASK_IN       trapTaskIn;
	struct OCCUPANCY_TASK_IN  occupancyTaskIn;
	struct ERROR_TASK_IN      errorTaskIn;
	struct RESYNCH_TASK_IN    resynchTaskIn;
};

struct START_TASK_IN_NOHIST {
	UINT32 taskType, taskRevision, priority, completionFlag;
	union  TASK_STRUCTURES_IN_NOHIST  taskStruct;
};

struct HISTOGRAM_CTRL_TASK_IN_PARAMS {
	struct HISTO_CTRL_TASK_IN primParams;
	//dpsf old struct struct HISTOGRAM_CTRL_TASK_IN primParams;

	char inputFile1[100];
	char inputFile2[100];
	UINT32 default1;
//	UINT32 default2;
};

struct START_TASK_PARAMS {
	char inDataFileName[PATHNAME_LENGTH];
	struct START_TASK_IN_NOHIST inputParams;
};


/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/*
 * primitive function revision number - should be equal to R_START_TASK
 * defined on the DSP side in primParams.h
 */

#define R_START_TASK_HOST	101

/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/

/******************************************************************************/

#endif /* PRIM_START_TASK_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_startTask;
#endif


