/******************************************************************************
 *  Title  : primFunc_test.h
 *  Version 0.0
 *
 *  Description:   header file.
 *  Related files: primFunc_test.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_TEST_H	 /* multiple inclusion protection */
#define PRIM_TEST_H

/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "primParams.h"
#include "fileUtility.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/*
 * primitive function revision number - should be equal to R_TEST
 * defined on the DSP side in primParams.h
 */

#define R_TEST_HOST	100

/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/

struct TEST_PARAMS {

	struct TEST_IN inputParams;

	enum{
		T_TEST_PATTERN=0,
		T_FROM_FILE=1,
	}inputDataOption;

	union{
		UINT32 testPattern[30];
		char inDataFileName[PATHNAME_LENGTH];
	};

};

/******************************************************************************/

#endif /* PRIM_TEST_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_test;
#endif

