/******************************************************************************
 *  Title  : primFunc_transSerData.h
 *  Version 0.0
 *
 *  Description:   header file.
 *  Related files: primFunc_transSerData.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_TRANS_SER_DATA_H	 /* multiple inclusion protection */
#define PRIM_TRANS_SER_DATA_H

/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "primParams.h"
#include "fileUtility.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/*
 * primitive function revision number - should be equal to R_TRANS_SERIAL_DATA
 * defined on the DSP side in primParams.h
 */

#define R_TRANS_SERIAL_DATA_HOST	100

/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/

/*
 * Primitive parameters
 */

struct PRIM_TRANS_SDATA_PARAMS{	/* trans ser.data params for host */
	
	struct TRANS_SERIAL_DATA_IN inputParams;
	
	char port0_fileName[PATHNAME_LENGTH];
	char port1_fileName[PATHNAME_LENGTH];

};


/******************************************************************************/

#endif /* PRIM_TRANS_SER_DATA_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_transSerData;
#endif

