// debug test - CLIENT

#include <ansi_c.h>
#include "RccExtControl.h" 
#include "RccExtControl_testUIR.h"

int uirHandle;

int main (int argc, char *argv[]){

	int panel;
	int status;

	panel = LoadPanel (0, "RccExtControl_testUIR.uir", MAIN);
	DisplayPanel(panel);
	
	status=sharedMemoryOpen(); 
	if (status != 0){ 
	    printf("sharedMemoryOpen() error!\n"); 
	    return(-1);
	}
	
	uirHandle=RunUserInterface();
	
	DiscardPanel(panel);
	
	status=sharedMemoryClose(); 
	if (status != 0){ 
	    printf("sharedMemoryClose() error!\n"); 
	    return(-1);
	}
	
	return(0);
}

/*=============================================================================
 *                               mainMenu()
 *=============================================================================
 *
 *  Main panel menu.
 *
 */
 void CVICALLBACK menu(int menuBar, int menuItem, void *callbackData, int panel){

	switch (menuItem) {
	
		case MENU_EXIT:
			
				QuitUserInterface(uirHandle);
			
			break;

	}

}
/*=============================================================================
 *                               sendList()
 *=============================================================================
 *
 * 
 *
 */
int CVICALLBACK sendList(int panel, int control, int event, void *callbackData, int eventData1, int eventData2){

	char file[300];
	int status;
	unsigned int fileSize;
	char text[300];
	UINT32 repetitions;
	unsigned char slotNumber;
	FILE *fileHandle;

	if(event==EVENT_LEFT_CLICK){

		switch(control){

			case MAIN_PLIST_FILE:
				/* select primList file */
				status = FileSelectPopup ("C:\\RodTS\\Data\\Testing\\", "*.pl", "*.pl", "",VAL_SELECT_BUTTON, 0, 1, 1, 1, file);
				if(status==VAL_NO_FILE_SELECTED){
					file[0]=0;
					break;
				}
				SetCtrlVal(panel, control, file);
				break;
			case MAIN_CLIST_FILE:
				/* select commandList file */
				status = FileSelectPopup ("C:\\RodTS\\Data\\Testing\\", "*.clist", "*.clist", "",VAL_SELECT_BUTTON, 0, 1, 1, 1, file);
				if(status==VAL_NO_FILE_SELECTED){
					file[0]=0;
					break;
				}
				SetCtrlVal(panel, control, file);
				break;

			default: break;
		}

	}else{
		if(event==EVENT_COMMIT){
			switch(control){
				case MAIN_SEND_LIST:  /* send primList */

					GetCtrlVal(panel, MAIN_PLIST_FILE, file);
					GetCtrlVal(panel, MAIN_PLIST_REP, &repetitions);
					GetCtrlVal(panel, MAIN_SLOT_NUMBER, &slotNumber);
					status=executeMlistFile(slotNumber, file, repetitions, 10.0);  
					if (status != 0){ 
	 				   printf("executeMlistFile() error!\n"); 
	    				return(-1);
					}
					break;

				case MAIN_SEND_COMMAND_LIST:  /* send commandList */

					GetCtrlVal(panel, MAIN_CLIST_FILE, file);
					GetCtrlVal(panel, MAIN_CLIST_REP, &repetitions);
					GetCtrlVal(panel, MAIN_SLOT_NUMBER, &slotNumber);
					status=executeCmdListFile(slotNumber, file, repetitions, 10.0);  
					if (status != 0){ 
	 				   printf("executeMlistFile() error!\n"); 
	    				return(-1);
					}
					break;
				case MAIN_SEND_RAW_LIST:  /* send raw prim list */
					
					GetCtrlVal(panel, MAIN_RAW_FILE, file);
					GetCtrlVal(panel, MAIN_RAW_REP, &repetitions);
					GetCtrlVal(panel, MAIN_SLOT_NUMBER, &slotNumber);
					
					// copy data from file to sharedMemPtr->primBuff
					fileHandle = fopen (file, "rb");
				  	if (fileHandle == NULL){
				    	return (-1);
				  	}
	
					fread(sharedMemPtr->primBuff, sizeof(char), DSP_BUFF_SIZE_BYTES, fileHandle); 
	
					fclose(fileHandle);
					
					status=executeRawPrimList(slotNumber, repetitions, 10.0);  
					if (status != 0){ 
	 				   printf("executeRawPrimList() error!\n"); 
	    				return(-1);
					}
				
					// save data from sharedMemPtr->replyBuff to file
					fileHandle = fopen ("C:\\RodRS\\Data\\Temporary\\SharedRepBuff.bin", "wb");
				  	if (fileHandle == NULL){
				    	return (-1);
				  	}
	
					fwrite(sharedMemPtr->replyBuff, sizeof(char), DSP_BUFF_SIZE_BYTES, fileHandle); 
	
					fclose(fileHandle);
					
					break;


				default: break;
			}
		}
	}
	return 0;
}
									  FILE* fileHandler; 
	 
