/* The flash header is filled in by the coffConv program, and read by the
   MDSP loadCode routine. It is the 1st entry after the 64K internal program
   memory (IPRAM) section in the program's 512K flash ROM. Directly after the
   header is a small amount of memory reseved for the .cinit (c initialization)
   table. The last word of the header contains the checksum; this is skipped
   over by loadCode's checksum calculation routines & is compared with the
   final computed checksum. */

#define FLASH_SIZE             0x80000
#define FLASH_HEADER_REVISION  100

typedef struct FlashHeader {
	UINT32 revision;
	UINT32 headerSize;    //In words.
	UINT32 cinitSize;     //In words.
	UINT32 nSect;

	UINT32 flashUsed;
	UINT32 flashSize;
	UINT32 unused;
	UINT32 checksum;
} FlashHeader;
