/************************************************************************************
 *
 * listProc.h: Defines states of the primitive list processing state machines and the
 *             indicies of the primitive and reply list buffer structures.
 *
 *
 *  Damon Fasching, UW Madison (510)486-5230               fasching@wisconsin.cern.ch
 ************************************************************************************/
#ifndef LIST_PROC
#define LIST_PROC

/* states of list processing state machine: */
#define IDLE          0  /* not processing a list, waiting for a list to process */
#define EXECUTING     1  /* processing a primitive list */
#define ACKNOWLEDGED  2  /* processing done, dspAck set, wait for host to respond */
#define PAUSED        3  /* execution has been paused */   

/* primitive and reply buffer indices: */

/* list index number */
#define HOST_LIST  0
#define INTR_DSP_LIST_PRC  1
#define INTR_DSP_LIST_SND  2

/* primitive vs. reply index */
#define PRM 0
#define REP 1

#endif
