/******************************************************************************
 * 
 *	Title  : errorHandler.h 
 *  Version 0.0
 *   
 *  Description: header file.
 *  Related files: errorHandler.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef ERROR_HANDLER_H	 /* multiple inclusion protection */
#define ERROR_HANDLER_H
 
/******************************************************************************
 *								Header files 								  *
 ******************************************************************************/

#include "hostDefinitions.h"  

/******************************************************************************
 *								 Macros      								  *
 ******************************************************************************/

/*
 *  ErrorHandler supporting macros
 */ 


#define ERROR_CHECK(errorId, functionName) \
if (errorId<SUCCESS){\
	programError(__FILE__,__LINE__, errorId, #functionName, errorId,"");\
}

#define HOST_ERROR_CHECK(errorId, host, errorMessage) \
if (errorId<SUCCESS){\
	hostError(__FILE__,__LINE__, errorId, host, #errorMessage);\
}


/******************************************************************************
 *						Global Function Declarations 						  *
 ******************************************************************************/
 
void hostError(const char* fileName, int line, ERROR_ID errorId, struct HOST *host, const char *errorMessage);
void programError(const char* fileName, int line, ERROR_ID errorId, const char *functionName, int functionStatus, const char *errorMessage);

/******************************************************************************/

#endif  /* ERROR_HANDLER_H */
