/******************************************************************************
 * 
 *	Title  : fileUtility.c 
 *  Version 0.0
 *   
 *  Description: header file.    
 *  Related files: fileUtility.c,				   				   
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef FILE_UTILITY_H	    /* multiple-inclusion protection */
#define FILE_UTILITY_H

/******************************************************************************
 *								Header files 								  *
 ******************************************************************************/

#include <stdio.h>
#include "errorCodesRcc.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

#define PATHNAME_LENGTH 300	   /* file pathname length limit (char) */

/******************************************************************************
 *								Type definitions  							  *
 ******************************************************************************/


/******************************************************************************
 *						Global Function Declarations 						  *
 ******************************************************************************/

ERROR_ID writeToTextFile(const char *pathAndFileName, int appendNotWrite, const char *buffer, size_t numberOfBytes);
ERROR_ID writeToBinFile(const char *pathAndFileName, int appendNotWrite, const void *buffer, size_t numberOfBytes);
ERROR_ID readFromBinFile(const char *pathAndFileName, void *bufferAddress, size_t numberOfBytes);
ERROR_ID getFileSize (char fileName[], unsigned int *fileSize);

/******************************************************************************/

#endif /* FILE_UTILITY_H */
