/******************************************************************************
 *
 *	Title  : fillUirControls.h
 *  Version 0.0
 *
 *  Description:  header file
 *  Related files: fillUirControls.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef FILL_PRIM_RING_H	 /* multiple inclusion protection */
#define FILL_PRIM_RING_H

/******************************************************************************
 *								Header files 								  *
 ******************************************************************************/

#include "processor.h"
#include "primListEditUir.h"
#include "primParams.h"
#include "globalDefinitions.h"
#include "errorCodesRcc.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

#define LIST_STRING_LENGTH 50

/******************************************************************************
 *								 Macros      								  *
 ******************************************************************************/

/******************************************************************************
 *						Global Function Declarations 						  *
 ******************************************************************************/

void fillSlaveListOptionRing(int panel, int control);
void fillSlaveTypeRing(int panel, int control);
void fillPrimParams(int panel);
void fillCommandIdRing(int panel, int control);
void fillRegisterIdRing(int panel, int control);
void fillTaskRing(int panel, int control);
void fillDataTypeRing(int panel, int control);
void fillModuleCmdRing(int panel, int control, int maskCommandOption, int cmd, int ST, int SThisto);
void fillChipNumber(int panel, int control);
void fillMaskVar(int panel);
void fillAddrTable(int panel, int control, const char name[], UINT32 address, UINT32 length);
void fillRegistersDSPMonitor(int panel);
ERROR_ID loadListRings(int panel, char cfgFile[]);
ERROR_ID saveListRings(int panel, char cfgFile[]);
void fillTaskLabel(int panel, int control, unsigned int task);


void histoCreateInit(struct GLOBAL_VARIABLES *global);


/******************************************************************************/

#endif  /* FILL_PRIM_RING_H */
