
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------
//
//  "uiMain.h"
//
//  Declaration and include file for UI build functions
//

//  Date: 11-07-2004
//

//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------

#ifndef _UIMAIN_INCLUDED
#define _UIMAIN_INCLUDED

#ifdef __cplusplus
    extern "C" {            /* Assume C declarations for C++ */
#endif  /* __cplusplus */

//----------------------------------------------------------------------------------------------------
//  Include required headers
//----------------------------------------------------------------------------------------------------

#include <cvidef.h> // definition of CVICALLBACK

//----------------------------------------------------------------------------------------------------
//  Prototype UI build functions.
//----------------------------------------------------------------------------------------------------

int buildPanel_cmdListStatus (int hParentPanel);
int buildPanel_dspMonitor (int hParentPanel);
int buildPanel_rodDevil (int hParentPanel);
int buildPanel_graph (int hParentPanel);
int buildPanel_main (int hParentPanel);
int buildPanel_rodSelect (int hParentPanel);
int buildPanel_rod (int hParentPanel);
int buildPanel_textBuffer (int hParentPanel);
int buildMenu_cmdListStatus (int hParentPanel);
int buildMenu_dspMonitor (int hParentPanel);
int buildMenu_main (int hParentPanel);
int buildMenu_rod (int hParentPanel);
int buildMenu_textBuffer (int hParentPanel);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: CLISTP
// ------------------------------------------------------------------------------------------------

// Control: CLISTP_LIST_FILE
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_SEND_LIST
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_NUM_OF_LIST_REP
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_EDIT_CLIST
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_RESET_CMDREP
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_RESET_REP_LIST_NUM
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_RESUME_CTRL_THREAD
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_RESET_CTRL_THREAD
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: DSPMONP
// ------------------------------------------------------------------------------------------------

// Control: DSPMONP_STATUS_REG_2
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_STATUS_REG_1
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_HCMD_REG
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_TRAP_CMD_STAT
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_INTR_DSP_HSHK_WR
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_INTR_DSP_HSHK_RD
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RESERVED_REG_4
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RESERVED_REG_5
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RESERVED_REG_6
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_TASK_STATE_REG
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RESERVED_REG_2
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RESERVED_REG_3
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RESERVED_REG_1
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RESERVED_REG_0
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_HSTAT_REG_1
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_HSTAT_REG_0
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_HCMD_STAT_REG_1
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_HCMD_STAT_REG_0
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_LOOP_REG
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_TRAPSTAT_REG_1
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_TRAPSTAT_REG_0
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_DIAGNOSTIC_REG
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_COMMAND_REG_0
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_STATUS_REG_0
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_EDIT_FIELD
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_31
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_30
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_29
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_31
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_30
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_29
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_28
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_27
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_26
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_25
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_23
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_24
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_22
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_21
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_20
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_19
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_18
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_15
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_17
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_16
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_14
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_13
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_12
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_11
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_7
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_10
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_9
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_8
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_6
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_5
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_4
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_3
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_2
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_1
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_0
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_28
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_27
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_26
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_24
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_25
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_23
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_22
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_21
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_20
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_19
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_18
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_16
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_17
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_7
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_15
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_6
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_14
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_5
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_13
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_4
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_12
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_3
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_11
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_2
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_10
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_COPY
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_WRITE
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_VIEW_CRDH
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_READ_REGS
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_0
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_8
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_1
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_9
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_REGISTERS_RING_READ
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: ERROR_PAN
// ------------------------------------------------------------------------------------------------

// Control: ERROR_PAN_NO
int CVICALLBACK shutErrorPanel (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ERROR_PAN_OK
int CVICALLBACK shutErrorPanel (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: GRAPHP
// ------------------------------------------------------------------------------------------------

// Control: GRAPHP_CLOSE
int CVICALLBACK closeGraph (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: MAIN
// ------------------------------------------------------------------------------------------------

// Control: MAIN_COMM_LOOP_PRIOR
int CVICALLBACK setThreadPriorityOpt (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_VME_BYTE_ORDER
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_UIR_PRIORITY
int CVICALLBACK setThreadPriorityOpt (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_TEXTBUFF_TIMEOUT
int CVICALLBACK setTimeout (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_CONTROL_PRIOR
int CVICALLBACK setThreadPriorityOpt (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_EDIT_PLIST
int CVICALLBACK sendListToAll (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_EDIT_CLIST
int CVICALLBACK sendListToAll (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_DEL_CLIST_FROM_RING
int CVICALLBACK commandRingFunc (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_ADD_CLIST_TO_RING
int CVICALLBACK commandRingFunc (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_DEL_PLIST_FROM_RING
int CVICALLBACK primRingFunc (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_ADD_PLIST_TO_RING
int CVICALLBACK primRingFunc (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_DSP_MONITOR_PERIOD
int CVICALLBACK setTimeout (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_FPGA_MONITOR_PERIOD
int CVICALLBACK setTimeout (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_REFRESH_PERIOD
int CVICALLBACK setTimeout (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_ROD_INIT_TIMEOUT
int CVICALLBACK setTimeout (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_DSP_ACK_CLEAR_TIMEOUT
int CVICALLBACK setTimeout (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_DEFAULT_SLOT
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_DSP_ACK_SET_TIMEOUT
int CVICALLBACK setTimeout (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_PLIST_RING
int CVICALLBACK primRingFunc (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_CLIST_RING
int CVICALLBACK commandRingFunc (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_DSP_SET_TIMEOUT
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_COMM_LOOP_RUNNING
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_CLIST_FILE
int CVICALLBACK sendListToAll (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_SEND_COMMAND_LIST
int CVICALLBACK sendListToAll (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_PLIST_FILE
int CVICALLBACK sendListToAll (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_SEND_LIST
int CVICALLBACK sendListToAll (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_HOSTS_RUNNING
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_RESET_ALL
int CVICALLBACK resetAllRods (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_SYS_RESET
int CVICALLBACK sysReset (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_RUN_RESMAN
int CVICALLBACK runResman (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_RST_CTRL
int CVICALLBACK resetAllControlThreads (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_REFRESH_DISP
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_CHECKSUM_SLAVE
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_DSP_MONITOR_REFRESH
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_CHECKSUM_MASTER
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_FPGA_MONITOR_REFRESH
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_SAVE_LISTS_OPTION
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_ERROR_TIMER
int CVICALLBACK errorTimer (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: NEWROD_PN
// ------------------------------------------------------------------------------------------------

// Control: NEWROD_PN_CANCEL
int CVICALLBACK slotNumberWindow (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: NEWROD_PN_OK
int CVICALLBACK slotNumberWindow (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: NEWROD_PN_SELECT_ALL
int CVICALLBACK selectAll (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: ROD
// ------------------------------------------------------------------------------------------------

// Control: ROD_EDIT_PLIST
int CVICALLBACK sendList (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_REPEAT_BUILD_EXEC
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_LIST_FILE
int CVICALLBACK sendList (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_SEND_LIST
int CVICALLBACK sendList (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_NUMBER_OF_LIST_REP
int CVICALLBACK changeNumberOfListRep (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_RESET_REP_NUM
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_READ_STATUS
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_XFERBUFF_READRQ_OPT
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_WIN_SIZE
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_ERRBUFF_READRQ_OPT
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_INFOBUFF_READRQ_OPT
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_DIAGBUFF_READRQ_OPT
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_DMA_REQ_BUTTON
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_RESUME_BUTTON
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_PAUSE_BUTTON
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_ABORT_BUTTON
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_HOST_RUNNING
int CVICALLBACK hostEnabledAndInit (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: TEXT_PANEL
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: CSTAT_MENU
// ------------------------------------------------------------------------------------------------

// Menu: CLEAR_STATUS_WINDOW
void CVICALLBACK commandStatusMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: OPEN_STATUS_FILE
void CVICALLBACK commandStatusMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: CMD_LIST_EDITOR
void CVICALLBACK commandStatusMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: CLOSE_WINDOW
void CVICALLBACK commandStatusMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: DSPMON
// ------------------------------------------------------------------------------------------------

// Menu: HIDE
void CVICALLBACK dspMonMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: MAIN_MENU
// ------------------------------------------------------------------------------------------------

// Menu: LOAD_ROD
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_PARAMS_SAVE_RINGS
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_PARAMS_LOAD_RINGS
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_PARAMS_SET
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_PARAMS_LOAD
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: SHOW_ERROR_FILE
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_LIST_EDIT_PRIM
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_LIST_EDIT_COMMAND
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_MEM_ACCESS_TIM
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_MEM_ACCESS_VME
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_MEM_ACCESS_MASTER_DSP
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_MEM_ACCESS_SLAVE_DSP
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_MEM_ACCESS_FPGA
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_MEM_ACCESS_FLASH
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_MEM_ACCESS_VIEW_BIN_FI
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: QUIT
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: HELP
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: RODN_MENU
// ------------------------------------------------------------------------------------------------

// Menu: GO_TO_MAIN
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: RODN_MENU_LIST_EDIT_PRIM
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: RODN_MENU_LIST_EDIT_COMMAND
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: RODN_MENU_SHOW_TXT_WIND_ERROR
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: RODN_MENU_SHOW_TXT_WIND_INFO
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: RODN_MENU_SHOW_TXT_WIND_DIAG
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: RODN_MENU_SHOW_TXT_WIND_XFER
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: COMMAND_WINDOW
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: DSP_MON
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: ROD_DATA
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: RODN_MENU_RESET_ROD
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: EXIT_ROD
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: TXT_BUFF
// ------------------------------------------------------------------------------------------------

// Menu: CLEAR_WINDOW
void CVICALLBACK txtBuffWindowMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: OPEN_TXT_FILE
void CVICALLBACK txtBuffWindowMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: CLOSE_WINDOW
void CVICALLBACK txtBuffWindowMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);


//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  CLISTP
// ------------------------------------------------------------------------------------------------

extern int CLISTP_COMMAND_RING                      ;     // control identifier
extern int CLISTP_HOST_INDEX                        ;     // control identifier
extern int CLISTP_LIST_FILE                         ;     // control identifier
extern int CLISTP_SEND_LIST                         ;     // control identifier
extern int CLISTP_NUM_COMMANDS                      ;     // control identifier
extern int CLISTP_COMMAND_INDEX                     ;     // control identifier
extern int CLISTP_CMDREP                            ;     // control identifier
extern int CLISTP_CMDREP_COUNT                      ;     // control identifier
extern int CLISTP_LIST_REP_COUNTER                  ;     // control identifier
extern int CLISTP_NUM_OF_LIST_REP                   ;     // control identifier
extern int CLISTP_EDIT_CLIST                        ;     // control identifier
extern int CLISTP_RESET_CMDREP                      ;     // control identifier
extern int CLISTP_RESET_REP_LIST_NUM                ;     // control identifier
extern int CLISTP_STOPPED                           ;     // control identifier
extern int CLISTP_BUSY                              ;     // control identifier
extern int CLISTP_STATUS_BOX                        ;     // control identifier
extern int CLISTP_IF_ERROR                          ;     // control identifier
extern int CLISTP_RESUME_CTRL_THREAD                ;     // control identifier
extern int CLISTP_RESET_CTRL_THREAD                 ;     // control identifier
extern int CLISTP_DECORATION_12                     ;     // control identifier
extern int CLISTP_DECORATION                        ;     // control identifier
extern int CLISTP_TEXTMSG_3                         ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  DSPMONP
// ------------------------------------------------------------------------------------------------

extern int DSPMONP_SLOT_NUM                         ;     // control identifier
extern int DSPMONP_HOST_INDEX                       ;     // control identifier
extern int DSPMONP_STATUS_REG_2                     ;     // control identifier
extern int DSPMONP_STATUS_REG_1                     ;     // control identifier
extern int DSPMONP_HCMD_REG                         ;     // control identifier
extern int DSPMONP_TRAP_CMD_STAT                    ;     // control identifier
extern int DSPMONP_INTR_DSP_HSHK_WR                 ;     // control identifier
extern int DSPMONP_INTR_DSP_HSHK_RD                 ;     // control identifier
extern int DSPMONP_RESERVED_REG_4                   ;     // control identifier
extern int DSPMONP_RESERVED_REG_5                   ;     // control identifier
extern int DSPMONP_RESERVED_REG_6                   ;     // control identifier
extern int DSPMONP_TASK_STATE_REG                   ;     // control identifier
extern int DSPMONP_RESERVED_REG_2                   ;     // control identifier
extern int DSPMONP_RESERVED_REG_3                   ;     // control identifier
extern int DSPMONP_RESERVED_REG_1                   ;     // control identifier
extern int DSPMONP_RESERVED_REG_0                   ;     // control identifier
extern int DSPMONP_HSTAT_REG_1                      ;     // control identifier
extern int DSPMONP_HSTAT_REG_0                      ;     // control identifier
extern int DSPMONP_HCMD_STAT_REG_1                  ;     // control identifier
extern int DSPMONP_HCMD_STAT_REG_0                  ;     // control identifier
extern int DSPMONP_LOOP_REG                         ;     // control identifier
extern int DSPMONP_TRAPSTAT_REG_1                   ;     // control identifier
extern int DSPMONP_TRAPSTAT_REG_0                   ;     // control identifier
extern int DSPMONP_DIAGNOSTIC_REG                   ;     // control identifier
extern int DSPMONP_COMMAND_REG_0                    ;     // control identifier
extern int DSPMONP_STATUS_REG_0                     ;     // control identifier
extern int DSPMONP_CURR_VAL                         ;     // control identifier
extern int DSPMONP_EDIT_FIELD                       ;     // control identifier
extern int DSPMONP_BIT_31                           ;     // control identifier
extern int DSPMONP_BIT_30                           ;     // control identifier
extern int DSPMONP_BIT_29                           ;     // control identifier
extern int DSPMONP_RBIT_31                          ;     // control identifier
extern int DSPMONP_RBIT_30                          ;     // control identifier
extern int DSPMONP_RBIT_29                          ;     // control identifier
extern int DSPMONP_RBIT_28                          ;     // control identifier
extern int DSPMONP_RBIT_27                          ;     // control identifier
extern int DSPMONP_RBIT_26                          ;     // control identifier
extern int DSPMONP_RBIT_25                          ;     // control identifier
extern int DSPMONP_RBIT_23                          ;     // control identifier
extern int DSPMONP_RBIT_24                          ;     // control identifier
extern int DSPMONP_RBIT_22                          ;     // control identifier
extern int DSPMONP_RBIT_21                          ;     // control identifier
extern int DSPMONP_RBIT_20                          ;     // control identifier
extern int DSPMONP_RBIT_19                          ;     // control identifier
extern int DSPMONP_RBIT_18                          ;     // control identifier
extern int DSPMONP_RBIT_15                          ;     // control identifier
extern int DSPMONP_RBIT_17                          ;     // control identifier
extern int DSPMONP_RBIT_16                          ;     // control identifier
extern int DSPMONP_RBIT_14                          ;     // control identifier
extern int DSPMONP_RBIT_13                          ;     // control identifier
extern int DSPMONP_RBIT_12                          ;     // control identifier
extern int DSPMONP_RBIT_11                          ;     // control identifier
extern int DSPMONP_RBIT_7                           ;     // control identifier
extern int DSPMONP_RBIT_10                          ;     // control identifier
extern int DSPMONP_RBIT_9                           ;     // control identifier
extern int DSPMONP_RBIT_8                           ;     // control identifier
extern int DSPMONP_RBIT_6                           ;     // control identifier
extern int DSPMONP_RBIT_5                           ;     // control identifier
extern int DSPMONP_RBIT_4                           ;     // control identifier
extern int DSPMONP_RBIT_3                           ;     // control identifier
extern int DSPMONP_RBIT_2                           ;     // control identifier
extern int DSPMONP_RBIT_1                           ;     // control identifier
extern int DSPMONP_RBIT_0                           ;     // control identifier
extern int DSPMONP_BIT_28                           ;     // control identifier
extern int DSPMONP_BIT_27                           ;     // control identifier
extern int DSPMONP_BIT_26                           ;     // control identifier
extern int DSPMONP_BIT_24                           ;     // control identifier
extern int DSPMONP_BIT_25                           ;     // control identifier
extern int DSPMONP_BIT_23                           ;     // control identifier
extern int DSPMONP_BIT_22                           ;     // control identifier
extern int DSPMONP_BIT_21                           ;     // control identifier
extern int DSPMONP_BIT_20                           ;     // control identifier
extern int DSPMONP_BIT_19                           ;     // control identifier
extern int DSPMONP_BIT_18                           ;     // control identifier
extern int DSPMONP_BIT_16                           ;     // control identifier
extern int DSPMONP_BIT_17                           ;     // control identifier
extern int DSPMONP_BIT_7                            ;     // control identifier
extern int DSPMONP_BIT_15                           ;     // control identifier
extern int DSPMONP_BIT_6                            ;     // control identifier
extern int DSPMONP_BIT_14                           ;     // control identifier
extern int DSPMONP_BIT_5                            ;     // control identifier
extern int DSPMONP_BIT_13                           ;     // control identifier
extern int DSPMONP_BIT_4                            ;     // control identifier
extern int DSPMONP_BIT_12                           ;     // control identifier
extern int DSPMONP_BIT_3                            ;     // control identifier
extern int DSPMONP_BIT_11                           ;     // control identifier
extern int DSPMONP_BIT_2                            ;     // control identifier
extern int DSPMONP_BIT_10                           ;     // control identifier
extern int DSPMONP_COPY                             ;     // control identifier
extern int DSPMONP_WRITE                            ;     // control identifier
extern int DSPMONP_VIEW_CRDH                        ;     // control identifier
extern int DSPMONP_READ_REGS                        ;     // control identifier
extern int DSPMONP_BIT_0                            ;     // control identifier
extern int DSPMONP_BIT_8                            ;     // control identifier
extern int DSPMONP_BIT_1                            ;     // control identifier
extern int DSPMONP_BIT_9                            ;     // control identifier
extern int DSPMONP_REGISTERS_RING_READ              ;     // control identifier
extern int DSPMONP_DSP_TYPE                         ;     // control identifier
extern int DSPMONP_REGISTERS_RING_WRITE             ;     // control identifier
extern int DSPMONP_TEXTMSG                          ;     // control identifier
extern int DSPMONP_TEXTMSG_2                        ;     // control identifier
extern int DSPMONP_TEXTMSG_3                        ;     // control identifier
extern int DSPMONP_TEXTMSG_4                        ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  ERROR_PAN
// ------------------------------------------------------------------------------------------------

extern int ERROR_PAN_NO                             ;     // control identifier
extern int ERROR_PAN_OK                             ;     // control identifier
extern int ERROR_PAN_SHOW_ERROR_WINDOW              ;     // control identifier
extern int ERROR_PAN_PICTURE                        ;     // control identifier
extern int ERROR_PAN_TEXTMSG_2                      ;     // control identifier
extern int ERROR_PAN_TEXTMSG                        ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  GRAPHP
// ------------------------------------------------------------------------------------------------

extern int GRAPHP_CLOSE                             ;     // control identifier
extern int GRAPHP_GRAPH                             ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  MAIN
// ------------------------------------------------------------------------------------------------

extern int MAIN_ACTIVE_SLOT                         ;     // control identifier
extern int MAIN_ROD_COUNTER                         ;     // control identifier
extern int MAIN_SHOW_ERROR_WINDOW                   ;     // control identifier
extern int MAIN_COMM_LOOP_PRIOR                     ;     // control identifier
extern int MAIN_VME_BYTE_ORDER                      ;     // control identifier
extern int MAIN_UIR_PRIORITY                        ;     // control identifier
extern int MAIN_TEXTBUFF_TIMEOUT                    ;     // control identifier
extern int MAIN_CONTROL_PRIOR                       ;     // control identifier
extern int MAIN_CMDLISTEXEC_21                      ;     // control identifier
extern int MAIN_CMDLISTEXEC_20                      ;     // control identifier
extern int MAIN_CMDLISTEXEC_19                      ;     // control identifier
extern int MAIN_CMDLISTEXEC_18                      ;     // control identifier
extern int MAIN_CMDLISTEXEC_17                      ;     // control identifier
extern int MAIN_CMDLISTEXEC_16                      ;     // control identifier
extern int MAIN_CMDLISTEXEC_15                      ;     // control identifier
extern int MAIN_CMDLISTEXEC_14                      ;     // control identifier
extern int MAIN_CMDLISTEXEC_13                      ;     // control identifier
extern int MAIN_CMDLISTEXEC_12                      ;     // control identifier
extern int MAIN_CMDLISTEXEC_11                      ;     // control identifier
extern int MAIN_CMDLISTEXEC_10                      ;     // control identifier
extern int MAIN_CMDLISTEXEC_5                       ;     // control identifier
extern int MAIN_CMDLISTEXEC_6                       ;     // control identifier
extern int MAIN_CMDLISTEXEC_7                       ;     // control identifier
extern int MAIN_CMDLISTEXEC_8                       ;     // control identifier
extern int MAIN_CMDLISTEXEC_9                       ;     // control identifier
extern int MAIN_EDIT_PLIST                          ;     // control identifier
extern int MAIN_EDIT_CLIST                          ;     // control identifier
extern int MAIN_DEL_CLIST_FROM_RING                 ;     // control identifier
extern int MAIN_ADD_CLIST_TO_RING                   ;     // control identifier
extern int MAIN_DEL_PLIST_FROM_RING                 ;     // control identifier
extern int MAIN_EXT_LIST_TYPE                       ;     // control identifier
extern int MAIN_IF_ERROR                            ;     // control identifier
extern int MAIN_ADD_PLIST_TO_RING                   ;     // control identifier
extern int MAIN_DSP_MONITOR_PERIOD                  ;     // control identifier
extern int MAIN_FPGA_MONITOR_PERIOD                 ;     // control identifier
extern int MAIN_REFRESH_PERIOD                      ;     // control identifier
extern int MAIN_ROD_INIT_TIMEOUT                    ;     // control identifier
extern int MAIN_DSP_ACK_CLEAR_TIMEOUT               ;     // control identifier
extern int MAIN_DEFAULT_SLOT                        ;     // control identifier
extern int MAIN_SLOT_NUMBER                         ;     // control identifier
extern int MAIN_DSP_ACK_SET_TIMEOUT                 ;     // control identifier
extern int MAIN_PLIST_RING                          ;     // control identifier
extern int MAIN_CLIST_RING                          ;     // control identifier
extern int MAIN_DSP_SET_TIMEOUT                     ;     // control identifier
extern int MAIN_REPEAT_BUILD_EXEC                   ;     // control identifier
extern int MAIN_COMM_LOOP_RUNNING                   ;     // control identifier
extern int MAIN_CLIST_FILE                          ;     // control identifier
extern int MAIN_SEND_COMMAND_LIST                   ;     // control identifier
extern int MAIN_PLIST_FILE                          ;     // control identifier
extern int MAIN_SEND_LIST                           ;     // control identifier
extern int MAIN_HOSTS_RUNNING                       ;     // control identifier
extern int MAIN_CLIST_REP                           ;     // control identifier
extern int MAIN_PLIST_REP                           ;     // control identifier
extern int MAIN_PIXEL_NOT_SCT                       ;     // control identifier
extern int MAIN_RESET_ALL                           ;     // control identifier
extern int MAIN_SYS_RESET                           ;     // control identifier
extern int MAIN_RUN_RESMAN                          ;     // control identifier
extern int MAIN_RST_CTRL                            ;     // control identifier
extern int MAIN_REFRESH_DISP                        ;     // control identifier
extern int MAIN_CHECKSUM_SLAVE                      ;     // control identifier
extern int MAIN_DSP_MONITOR_REFRESH                 ;     // control identifier
extern int MAIN_CHECKSUM_MASTER                     ;     // control identifier
extern int MAIN_FPGA_MONITOR_REFRESH                ;     // control identifier
extern int MAIN_SAVE_LISTS_OPTION                   ;     // control identifier
extern int MAIN_EXT_EXEC                            ;     // control identifier
extern int MAIN_TEXTMSG_2                           ;     // control identifier
extern int MAIN_DECORATION_3                        ;     // control identifier
extern int MAIN_TEXTMSG_3                           ;     // control identifier
extern int MAIN_ERROR_TIMER                         ;     // control identifier
extern int MAIN_TEXTMSG_5                           ;     // control identifier
extern int MAIN_TEXTMSG_6                           ;     // control identifier
extern int MAIN_TEXTMSG                             ;     // control identifier
extern int MAIN_DECORATION_2                        ;     // control identifier
extern int MAIN_TEXTMSG_18                          ;     // control identifier
extern int MAIN_TEXTMSG_23                          ;     // control identifier
extern int MAIN_TEXTMSG_10                          ;     // control identifier
extern int MAIN_DECORATION                          ;     // control identifier
extern int MAIN_DECORATION_7                        ;     // control identifier
extern int MAIN_TEXTMSG_9                           ;     // control identifier
extern int MAIN_TEXTMSG_11                          ;     // control identifier
extern int MAIN_TEXTMSG_7                           ;     // control identifier
extern int MAIN_TEXTMSG_25                          ;     // control identifier
extern int MAIN_TEXTMSG_24                          ;     // control identifier
extern int MAIN_TEXTMSG_26                          ;     // control identifier
extern int MAIN_TEXTMSG_4                           ;     // control identifier
extern int MAIN_DECORATION_4                        ;     // control identifier
extern int MAIN_DECORATION_8                        ;     // control identifier
extern int MAIN_DECORATION_9                        ;     // control identifier
extern int MAIN_TEXTMSG_27                          ;     // control identifier
extern int MAIN_TEXTMSG_28                          ;     // control identifier
extern int MAIN_DECORATION_10                       ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  NEWROD_PN
// ------------------------------------------------------------------------------------------------

extern int NEWROD_PN_CANCEL                         ;     // control identifier
extern int NEWROD_PN_OK                             ;     // control identifier
extern int NEWROD_PN_SLOT_21                        ;     // control identifier
extern int NEWROD_PN_SLOT_20                        ;     // control identifier
extern int NEWROD_PN_SLOT_19                        ;     // control identifier
extern int NEWROD_PN_SLOT_18                        ;     // control identifier
extern int NEWROD_PN_SLOT_17                        ;     // control identifier
extern int NEWROD_PN_SLOT_16                        ;     // control identifier
extern int NEWROD_PN_SLOT_15                        ;     // control identifier
extern int NEWROD_PN_SLOT_14                        ;     // control identifier
extern int NEWROD_PN_SLOT_5                         ;     // control identifier
extern int NEWROD_PN_SLOT_12                        ;     // control identifier
extern int NEWROD_PN_SLOT_11                        ;     // control identifier
extern int NEWROD_PN_SLOT_10                        ;     // control identifier
extern int NEWROD_PN_SLOT_9                         ;     // control identifier
extern int NEWROD_PN_SLOT_8                         ;     // control identifier
extern int NEWROD_PN_SLOT_7                         ;     // control identifier
extern int NEWROD_PN_SLOT_6                         ;     // control identifier
extern int NEWROD_PN_SELECT_ALL                     ;     // control identifier
extern int NEWROD_PN_TEXTMSG                        ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  ROD
// ------------------------------------------------------------------------------------------------

extern int ROD_COMMAND_REG_4                        ;     // control identifier
extern int ROD_STAT_REG_6                           ;     // control identifier
extern int ROD_COMMAND_REG_3                        ;     // control identifier
extern int ROD_COMMAND_REG_2                        ;     // control identifier
extern int ROD_COMMAND_REG_10                       ;     // control identifier
extern int ROD_COMMAND_REG_1                        ;     // control identifier
extern int ROD_COMMAND_REG_0                        ;     // control identifier
extern int ROD_COMMAND_REG_5                        ;     // control identifier
extern int ROD_STAT_REG_7                           ;     // control identifier
extern int ROD_STAT_REG_0                           ;     // control identifier
extern int ROD_STAT_REG_5                           ;     // control identifier
extern int ROD_EDIT_PLIST                           ;     // control identifier
extern int ROD_STAT_REG_1                           ;     // control identifier
extern int ROD_COMMAND_REG_7                        ;     // control identifier
extern int ROD_COMMAND_REG_6                        ;     // control identifier
extern int ROD_STAT_REG_11                          ;     // control identifier
extern int ROD_STAT_REG_9                           ;     // control identifier
extern int ROD_STAT_REG_4                           ;     // control identifier
extern int ROD_REPEAT_BUILD_EXEC                    ;     // control identifier
extern int ROD_STAT_REG_8                           ;     // control identifier
extern int ROD_VME_COMM_REG0                        ;     // control identifier
extern int ROD_STAT_REG_10                          ;     // control identifier
extern int ROD_LIST_FILE                            ;     // control identifier
extern int ROD_SEND_LIST                            ;     // control identifier
extern int ROD_ROD_REV                              ;     // control identifier
extern int ROD_ROD_SN                               ;     // control identifier
extern int ROD_ROD_STAT_REG0                        ;     // control identifier
extern int ROD_LIST_REPEAT_COUNTER                  ;     // control identifier
extern int ROD_NUMBER_OF_LIST_REP                   ;     // control identifier
extern int ROD_RESET_REP_NUM                        ;     // control identifier
extern int ROD_STAT_REG_3                           ;     // control identifier
extern int ROD_STAT_REG_2                           ;     // control identifier
extern int ROD_SLAVE3                               ;     // control identifier
extern int ROD_SLAVE2                               ;     // control identifier
extern int ROD_SLAVE1                               ;     // control identifier
extern int ROD_SLAVE0                               ;     // control identifier
extern int ROD_ROD_STAT_REG1                        ;     // control identifier
extern int ROD_LIST_INDEX                           ;     // control identifier
extern int ROD_READ_STATUS                          ;     // control identifier
extern int ROD_SLOT_NUMBER                          ;     // control identifier
extern int ROD_XFERBUFF_READRQ_OPT                  ;     // control identifier
extern int ROD_WIN_SIZE                             ;     // control identifier
extern int ROD_ERRBUFF_READRQ_OPT                   ;     // control identifier
extern int ROD_INFOBUFF_READRQ_OPT                  ;     // control identifier
extern int ROD_DIAGBUFF_READRQ_OPT                  ;     // control identifier
extern int ROD_DMA_REQ_BUTTON                       ;     // control identifier
extern int ROD_RESUME_BUTTON                        ;     // control identifier
extern int ROD_PAUSE_BUTTON                         ;     // control identifier
extern int ROD_ABORT_BUTTON                         ;     // control identifier
extern int ROD_HOST_RUNNING                         ;     // control identifier
extern int ROD_MDSP_SP0                             ;     // control identifier
extern int ROD_MEMORY                               ;     // control identifier
extern int ROD_PIXEL_NOT_SCT                        ;     // control identifier
extern int ROD_TEST_PATH                            ;     // control identifier
extern int ROD_TRAP_EN_DSP3                         ;     // control identifier
extern int ROD_TRAP_EN_DSP2                         ;     // control identifier
extern int ROD_TRAP_EN_DSP1                         ;     // control identifier
extern int ROD_TRAP_LD3                             ;     // control identifier
extern int ROD_TRAP_FF3                             ;     // control identifier
extern int ROD_TRAP_LD2                             ;     // control identifier
extern int ROD_TRAP_EF3                             ;     // control identifier
extern int ROD_TRAP_LD1                             ;     // control identifier
extern int ROD_TRAP_FF2                             ;     // control identifier
extern int ROD_TRAP_LD0                             ;     // control identifier
extern int ROD_TRAP_ON3                             ;     // control identifier
extern int ROD_TRAP_FF1                             ;     // control identifier
extern int ROD_TRAP_EF2                             ;     // control identifier
extern int ROD_TRAP_FF0                             ;     // control identifier
extern int ROD_TRAP_ON2                             ;     // control identifier
extern int ROD_TRAP_EF1                             ;     // control identifier
extern int ROD_TRAP_ON1                             ;     // control identifier
extern int ROD_TRAP_EF0                             ;     // control identifier
extern int ROD_TRAP_ON0                             ;     // control identifier
extern int ROD_TRAP_EN_DSP0                         ;     // control identifier
extern int ROD_EVID_ERROR                           ;     // control identifier
extern int ROD_EM_FULL_1                            ;     // control identifier
extern int ROD_EM_EMPTY_1                           ;     // control identifier
extern int ROD_EM_FULL_0                            ;     // control identifier
extern int ROD_EM_EMPTY_0                           ;     // control identifier
extern int ROD_FIFO_EFB_FULL                        ;     // control identifier
extern int ROD_FIFO_1_FULL                          ;     // control identifier
extern int ROD_FIFO_0_FULL                          ;     // control identifier
extern int ROD_ALL_ZERO                             ;     // control identifier
extern int ROD_ROD_BUSY_0                           ;     // control identifier
extern int ROD_ROD_BUSY_1                           ;     // control identifier
extern int ROD_HT_LIMIT_0                           ;     // control identifier
extern int ROD_HT_LIMIT_1                           ;     // control identifier
extern int ROD_TEST_BENCH_RUN                       ;     // control identifier
extern int ROD_DEBUG_FIFO                           ;     // control identifier
extern int ROD_TEST_BENCH                           ;     // control identifier
extern int ROD_EFB_DM                               ;     // control identifier
extern int ROD_FORM_MB                              ;     // control identifier
extern int ROD_CAL_SIGNAL_DEC                       ;     // control identifier
extern int ROD_TRG_SIGNAL_DEC                       ;     // control identifier
extern int ROD_CMD_MASK_READY                       ;     // control identifier
extern int ROD_FE_CMD_PULSE_COUNT                   ;     // control identifier
extern int ROD_FE_OCCUP                             ;     // control identifier
extern int ROD_FE_CMD_PLS_COUNTER                   ;     // control identifier
extern int ROD_INTERNAL_TIM                         ;     // control identifier
extern int ROD_IN_MEM                               ;     // control identifier
extern int ROD_DEBUG_MEM                            ;     // control identifier
extern int ROD_CORR_TRIGGER                         ;     // control identifier
extern int ROD_FORM_MB_EFB                          ;     // control identifier
extern int ROD_FE_CMD_OUT                           ;     // control identifier
extern int ROD_DATA_PATH                            ;     // control identifier
extern int ROD_MASK1_1                              ;     // control identifier
extern int ROD_MASK0_1                              ;     // control identifier
extern int ROD_MASK1_0                              ;     // control identifier
extern int ROD_MASK0_0                              ;     // control identifier
extern int ROD_TRAP3                                ;     // control identifier
extern int ROD_TRAP2                                ;     // control identifier
extern int ROD_TRAP1                                ;     // control identifier
extern int ROD_MODE                                 ;     // control identifier
extern int ROD_FORMAT3                              ;     // control identifier
extern int ROD_FORMAT2                              ;     // control identifier
extern int ROD_FORMAT1                              ;     // control identifier
extern int ROD_FORMAT0                              ;     // control identifier
extern int ROD_TRAP0                                ;     // control identifier
extern int ROD_HOST_INDEX                           ;     // control identifier
extern int ROD_POLL_RFIELD_WIDTH                    ;     // control identifier
extern int ROD_LINK                                 ;     // control identifier
extern int ROD_SAMPLES                              ;     // control identifier
extern int ROD_POLL_RFIELD_OBJECT_ID                ;     // control identifier
extern int ROD_POLL_RFIELD_OFFSET                   ;     // control identifier
extern int ROD_DESIRED_VALUE                        ;     // control identifier
extern int ROD_POLL_RFIELD_INDEX                    ;     // control identifier
extern int ROD_POLL_RFIELD_TIME                     ;     // control identifier
extern int ROD_TEST_RESULT                          ;     // control identifier
extern int ROD_TGR_INDEX                            ;     // control identifier
extern int ROD_TGR_TIME                             ;     // control identifier
extern int ROD_WIDTH                                ;     // control identifier
extern int ROD_OBJECT_ID                            ;     // control identifier
extern int ROD_OFFSET                               ;     // control identifier
extern int ROD_DATA_OUT                             ;     // control identifier
extern int ROD_RWFIELD_INDEX                        ;     // control identifier
extern int ROD_RWFIELD_TIME                         ;     // control identifier
extern int ROD_ERRMSG_MASK                          ;     // control identifier
extern int ROD_ERRMSGMASK_INDEX                     ;     // control identifier
extern int ROD_ERRMSGMASK_TIME                      ;     // control identifier
extern int ROD_MEM_TEST_START                       ;     // control identifier
extern int ROD_MEM_TEST_RETURN_CODE                 ;     // control identifier
extern int ROD_MEM_TEST_SIZE                        ;     // control identifier
extern int ROD_MEM_TEST_INDEX                       ;     // control identifier
extern int ROD_MEM_TEST_TIME                        ;     // control identifier
extern int ROD_OVERFLOW                             ;     // control identifier
extern int ROD_NOT_FOUND                            ;     // control identifier
extern int ROD_RWREG_DISP                           ;     // control identifier
extern int ROD_TOTAL_TIME                           ;     // control identifier
extern int ROD_SAMPLING_TIME                        ;     // control identifier
extern int ROD_SAVE_DATA                            ;     // control identifier
extern int ROD_POLL_DISP                            ;     // control identifier
extern int ROD_CAPTURE                              ;     // control identifier
extern int ROD_FEOCC_NOT_FIFOWC                     ;     // control identifier
extern int ROD_DECORATION_2                         ;     // control identifier
extern int ROD_DECORATION_4                         ;     // control identifier
extern int ROD_TEXTMSG_13                           ;     // control identifier
extern int ROD_TEXTMSG_5                            ;     // control identifier
extern int ROD_DECORATION_7                         ;     // control identifier
extern int ROD_TEXTMSG_14                           ;     // control identifier
extern int ROD_DECORATION_8                         ;     // control identifier
extern int ROD_TEXTMSG_16                           ;     // control identifier
extern int ROD_TEXTMSG_2                            ;     // control identifier
extern int ROD_TEXTMSG_4                            ;     // control identifier
extern int ROD_TEXTMSG_17                           ;     // control identifier
extern int ROD_DECORATION_3                         ;     // control identifier
extern int ROD_DECORATION                           ;     // control identifier
extern int ROD_TEXTMSG_26                           ;     // control identifier
extern int ROD_TEXTMSG_21                           ;     // control identifier
extern int ROD_TEXTMSG_22                           ;     // control identifier
extern int ROD_TEXTMSG_24                           ;     // control identifier
extern int ROD_TEXTMSG_28                           ;     // control identifier
extern int ROD_TEXTMSG_27                           ;     // control identifier
extern int ROD_TEXTMSG_30                           ;     // control identifier
extern int ROD_TEXTMSG_29                           ;     // control identifier
extern int ROD_TEXTMSG_32                           ;     // control identifier
extern int ROD_TEXTMSG_31                           ;     // control identifier
extern int ROD_TEXTMSG_33                           ;     // control identifier
extern int ROD_TEXTMSG_34                           ;     // control identifier
extern int ROD_TEXTMSG_35                           ;     // control identifier
extern int ROD_TEXTMSG_36                           ;     // control identifier
extern int ROD_TEXTMSG_37                           ;     // control identifier
extern int ROD_TEXTMSG_38                           ;     // control identifier
extern int ROD_TEXTMSG_10                           ;     // control identifier
extern int ROD_TEXTMSG_41                           ;     // control identifier
extern int ROD_DECORATION_14                        ;     // control identifier
extern int ROD_TEXTMSG_47                           ;     // control identifier
extern int ROD_TEXTMSG_23                           ;     // control identifier
extern int ROD_TEXTMSG_25                           ;     // control identifier
extern int ROD_TEXTMSG_9                            ;     // control identifier
extern int ROD_TEXTMSG_40                           ;     // control identifier
extern int ROD_TEXTMSG_8                            ;     // control identifier
extern int ROD_TEXTMSG_46                           ;     // control identifier
extern int ROD_TEXTMSG_49                           ;     // control identifier
extern int ROD_TEXTMSG_50                           ;     // control identifier
extern int ROD_DECORATION_6                         ;     // control identifier
extern int ROD_DECORATION_5                         ;     // control identifier
extern int ROD_DECORATION_9                         ;     // control identifier
extern int ROD_TEXTMSG_54                           ;     // control identifier
extern int ROD_TEXTMSG_45                           ;     // control identifier
extern int ROD_TEXTMSG_48                           ;     // control identifier
extern int ROD_DECORATION_13                        ;     // control identifier
extern int ROD_TEXTMSG_39                           ;     // control identifier
extern int ROD_TEXTMSG_3                            ;     // control identifier
extern int ROD_TEXTMSG_53                           ;     // control identifier
extern int ROD_TEXTMSG_51                           ;     // control identifier
extern int ROD_TEXTMSG_52                           ;     // control identifier
extern int ROD_DECORATION_15                        ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  TEXT_PANEL
// ------------------------------------------------------------------------------------------------

extern int TEXT_PANEL_HOST_INDEX                    ;     // control identifier
extern int TEXT_PANEL_TEXTBOX                       ;     // control identifier
extern int TEXT_PANEL_OVERFLOW                      ;     // control identifier
extern int TEXT_PANEL_OVERWRITE                     ;     // control identifier
extern int TEXT_PANEL_TXTBUFF_MODE                  ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  CSTAT_MENU
// ------------------------------------------------------------------------------------------------

extern int CSTAT_MENU_CLEAR_STATUS_WINDOW           ;     // menu identifier
extern int CSTAT_MENU_OPEN_STATUS_FILE              ;     // menu identifier
extern int CSTAT_MENU_CMD_LIST_EDITOR               ;     // menu identifier
extern int CSTAT_MENU_CLOSE_WINDOW                  ;     // menu identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  DSPMON
// ------------------------------------------------------------------------------------------------

extern int DSPMON_HIDE                              ;     // menu identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  MAIN_MENU
// ------------------------------------------------------------------------------------------------

extern int MAIN_MENU_LOAD_ROD                       ;     // menu identifier
extern int MAIN_MENU_PARAMS                         ;     // menu identifier
extern int MAIN_MENU_PARAMS_SAVE_RINGS              ;     // menu item identifier
extern int MAIN_MENU_PARAMS_LOAD_RINGS              ;     // menu item identifier
extern int MAIN_MENU_PARAMS_SET                     ;     // menu item identifier
extern int MAIN_MENU_PARAMS_LOAD                    ;     // menu item identifier
extern int MAIN_MENU_SHOW_ERROR_FILE                ;     // menu identifier
extern int MAIN_MENU_LIST_EDIT                      ;     // menu identifier
extern int MAIN_MENU_LIST_EDIT_PRIM                 ;     // menu item identifier
extern int MAIN_MENU_LIST_EDIT_COMMAND              ;     // menu item identifier
extern int MAIN_MENU_MEM_ACCESS                     ;     // menu identifier
extern int MAIN_MENU_MEM_ACCESS_TIM                 ;     // menu item identifier
extern int MAIN_MENU_MEM_ACCESS_VME                 ;     // menu item identifier
extern int MAIN_MENU_MEM_ACCESS_MASTER_DSP          ;     // menu item identifier
extern int MAIN_MENU_MEM_ACCESS_SLAVE_DSP           ;     // menu item identifier
extern int MAIN_MENU_MEM_ACCESS_FPGA                ;     // menu item identifier
extern int MAIN_MENU_MEM_ACCESS_FLASH               ;     // menu item identifier
extern int MAIN_MENU_MEM_ACCESS_VIEW_BIN_FI         ;     // menu item identifier
extern int MAIN_MENU_QUIT                           ;     // menu identifier
extern int MAIN_MENU_HELP                           ;     // menu identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  RODN_MENU
// ------------------------------------------------------------------------------------------------

extern int RODN_MENU_GO_TO_MAIN                     ;     // menu identifier
extern int RODN_MENU_LIST_EDIT                      ;     // menu identifier
extern int RODN_MENU_LIST_EDIT_PRIM                 ;     // menu item identifier
extern int RODN_MENU_LIST_EDIT_COMMAND              ;     // menu item identifier
extern int RODN_MENU_SHOW_TXT_WIND                  ;     // menu identifier
extern int RODN_MENU_SHOW_TXT_WIND_ERROR            ;     // menu item identifier
extern int RODN_MENU_SHOW_TXT_WIND_INFO             ;     // menu item identifier
extern int RODN_MENU_SHOW_TXT_WIND_DIAG             ;     // menu item identifier
extern int RODN_MENU_SHOW_TXT_WIND_XFER             ;     // menu item identifier
extern int RODN_MENU_COMMAND_WINDOW                 ;     // menu identifier
extern int RODN_MENU_DSP_MON                        ;     // menu identifier
extern int RODN_MENU_ROD_DATA                       ;     // menu identifier
extern int RODN_MENU_RESET                          ;     // menu identifier
extern int RODN_MENU_RESET_ROD                      ;     // menu item identifier
extern int RODN_MENU_EXIT_ROD                       ;     // menu identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  TXT_BUFF
// ------------------------------------------------------------------------------------------------

extern int TXT_BUFF_CLEAR_WINDOW                    ;     // menu identifier
extern int TXT_BUFF_OPEN_TXT_FILE                   ;     // menu identifier
extern int TXT_BUFF_CLOSE_WINDOW                    ;     // menu identifier

#ifdef __cplusplus
    }
#endif

#endif // _UIMAIN_INCLUDED