
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------
//
//  "uiPrimListEditor.h"
//
//  Declaration and include file for UI build functions
//

//  Date: 11-07-2004
//

//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------

#ifndef _UIPRIMLISTEDITOR_INCLUDED
#define _UIPRIMLISTEDITOR_INCLUDED

#ifdef __cplusplus
    extern "C" {            /* Assume C declarations for C++ */
#endif  /* __cplusplus */

//----------------------------------------------------------------------------------------------------
//  Include required headers
//----------------------------------------------------------------------------------------------------

#include <cvidef.h> // definition of CVICALLBACK

//----------------------------------------------------------------------------------------------------
//  Prototype UI build functions.
//----------------------------------------------------------------------------------------------------

int buildPanel_primListEditor (int hParentPanel);
int buildPanel_sdspListEditor (int hParentPanel);
int buildMenu_primListEditor (int hParentPanel);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: LIST_EDIT
// ------------------------------------------------------------------------------------------------

// Control: LIST_EDIT_PRIM_RING_SLAVE
int CVICALLBACK primRing (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: LIST_EDIT_PRIM_RING_MASTER
int CVICALLBACK primRing (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: LIST_EDIT_CLEAR_LCOMM
int CVICALLBACK listEditWindowButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: LIST_EDIT_CLEAR_PCOMM
int CVICALLBACK listEditWindowButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: LIST_EDIT_CLEAR_LIST
int CVICALLBACK listEditWindowButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: LIST_EDIT_SAVE_LIST
int CVICALLBACK listEditWindowButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: LIST_EDIT_LOAD_LIST
int CVICALLBACK listEditWindowButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: LIST_EDIT_INSERT_LIST
int CVICALLBACK listEditWindowButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: LIST_EDIT_SEND_LIST
int CVICALLBACK listEditWindowButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: LIST_EDIT_REPLACE
int CVICALLBACK listEditWindowButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: LIST_EDIT_ADD_AFTER
int CVICALLBACK listEditWindowButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: LIST_EDIT_ADD_BEFORE
int CVICALLBACK listEditWindowButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: LIST_EDIT_EDIT_PRIMITIVE
int CVICALLBACK listEditWindowButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: LIST_EDIT_DELETE_PRIMITIVE
int CVICALLBACK listEditWindowButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: LIST_EDIT_LIST_TABLE
int CVICALLBACK listEditWindowButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: SLAVE_LST
// ------------------------------------------------------------------------------------------------

// Control: SLAVE_LST_CLEAR_LIST
int CVICALLBACK listEditWindowButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_LST_SAVE_LIST
int CVICALLBACK listEditWindowButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_LST_LOAD_LIST
int CVICALLBACK listEditWindowButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_LST_REPLACE
int CVICALLBACK listEditWindowButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_LST_ADD_AFTER
int CVICALLBACK listEditWindowButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_LST_ADD_BEFORE
int CVICALLBACK listEditWindowButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_LST_LIST_TABLE
int CVICALLBACK listEditWindowButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_LST_SLIST_DONE
int CVICALLBACK listEditWindowButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_LST_EDIT_PRIMITIVE
int CVICALLBACK listEditWindowButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_LST_DELETE_PRIMITIVE
int CVICALLBACK listEditWindowButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: LIST_EDITM
// ------------------------------------------------------------------------------------------------

// Menu: GOTO_MAIN
void CVICALLBACK listEditMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: COMM_LIST_EDIT
void CVICALLBACK listEditMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: DATA_FILE_CREATOR
void CVICALLBACK listEditMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: REVISION_UPDATE
void CVICALLBACK listEditMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: CLOSE
void CVICALLBACK listEditMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);


//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  LIST_EDIT
// ------------------------------------------------------------------------------------------------

extern int LIST_EDIT_PRIM_RING_SLAVE                ;     // control identifier
extern int LIST_EDIT_PRIM_RING_MASTER               ;     // control identifier
extern int LIST_EDIT_CLEAR_LCOMM                    ;     // control identifier
extern int LIST_EDIT_CLEAR_PCOMM                    ;     // control identifier
extern int LIST_EDIT_CLEAR_LIST                     ;     // control identifier
extern int LIST_EDIT_SAVE_LIST                      ;     // control identifier
extern int LIST_EDIT_LOAD_LIST                      ;     // control identifier
extern int LIST_EDIT_INSERT_LIST                    ;     // control identifier
extern int LIST_EDIT_SEND_LIST                      ;     // control identifier
extern int LIST_EDIT_REPLACE                        ;     // control identifier
extern int LIST_EDIT_ADD_AFTER                      ;     // control identifier
extern int LIST_EDIT_ADD_BEFORE                     ;     // control identifier
extern int LIST_EDIT_REPLIST_LENGTH                 ;     // control identifier
extern int LIST_EDIT_REPPRIM_COUNT                  ;     // control identifier
extern int LIST_EDIT_ALL_PRIM_COUNT                 ;     // control identifier
extern int LIST_EDIT_PRIM_COUNT                     ;     // control identifier
extern int LIST_EDIT_PRIMLIST_LENGTH                ;     // control identifier
extern int LIST_EDIT_EDIT_PRIMITIVE                 ;     // control identifier
extern int LIST_EDIT_DELETE_PRIMITIVE               ;     // control identifier
extern int LIST_EDIT_LIST_TABLE                     ;     // control identifier
extern int LIST_EDIT_DSP                            ;     // control identifier
extern int LIST_EDIT_SLOT_NUMBER                    ;     // control identifier
extern int LIST_EDIT_PRIM_COMMENT                   ;     // control identifier
extern int LIST_EDIT_LIST_COMMENT                   ;     // control identifier
extern int LIST_EDIT_LAST_FILE                      ;     // control identifier
extern int LIST_EDIT_PLIST_REP                      ;     // control identifier
extern int LIST_EDIT_TEXTMSG_2                      ;     // control identifier
extern int LIST_EDIT_TEXTMSG_3                      ;     // control identifier
extern int LIST_EDIT_TEXTMSG_4                      ;     // control identifier
extern int LIST_EDIT_TEXTMSG                        ;     // control identifier
extern int LIST_EDIT_DECORATION_3                   ;     // control identifier
extern int LIST_EDIT_TEXTMSG_6                      ;     // control identifier
extern int LIST_EDIT_TEXTMSG_7                      ;     // control identifier
extern int LIST_EDIT_TEXTMSG_8                      ;     // control identifier
extern int LIST_EDIT_TEXTMSG_9                      ;     // control identifier
extern int LIST_EDIT_TEXTMSG_5                      ;     // control identifier
extern int LIST_EDIT_TEXTMSG_11                     ;     // control identifier
extern int LIST_EDIT_TEXTMSG_12                     ;     // control identifier
extern int LIST_EDIT_TEXTMSG_13                     ;     // control identifier
extern int LIST_EDIT_TEXTMSG_14                     ;     // control identifier
extern int LIST_EDIT_TEXTMSG_10                     ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  SLAVE_LST
// ------------------------------------------------------------------------------------------------

extern int SLAVE_LST_REPLIST_LENGTH                 ;     // control identifier
extern int SLAVE_LST_REPPRIM_COUNT                  ;     // control identifier
extern int SLAVE_LST_CLEAR_LIST                     ;     // control identifier
extern int SLAVE_LST_SAVE_LIST                      ;     // control identifier
extern int SLAVE_LST_LOAD_LIST                      ;     // control identifier
extern int SLAVE_LST_PRIM_COUNT                     ;     // control identifier
extern int SLAVE_LST_REPLACE                        ;     // control identifier
extern int SLAVE_LST_ADD_AFTER                      ;     // control identifier
extern int SLAVE_LST_ADD_BEFORE                     ;     // control identifier
extern int SLAVE_LST_PRIMLIST_LENGTH                ;     // control identifier
extern int SLAVE_LST_LIST_TABLE                     ;     // control identifier
extern int SLAVE_LST_SLIST_DONE                     ;     // control identifier
extern int SLAVE_LST_EDIT_PRIMITIVE                 ;     // control identifier
extern int SLAVE_LST_DELETE_PRIMITIVE               ;     // control identifier
extern int SLAVE_LST_LAST_FILE                      ;     // control identifier
extern int SLAVE_LST_TEXTMSG_2                      ;     // control identifier
extern int SLAVE_LST_TEXTMSG                        ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  LIST_EDITM
// ------------------------------------------------------------------------------------------------

extern int LIST_EDITM_GOTO_MAIN                     ;     // menu identifier
extern int LIST_EDITM_COMM_LIST_EDIT                ;     // menu identifier
extern int LIST_EDITM_DATA_FILE_CREATOR             ;     // menu identifier
extern int LIST_EDITM_REVISION_UPDATE               ;     // menu identifier
extern int LIST_EDITM_CLOSE                         ;     // menu identifier

#ifdef __cplusplus
    }
#endif

#endif // _UIPRIMLISTEDITOR_INCLUDED