
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------
//
//  "uiRodMemory.h"
//
//  Declaration and include file for UI build functions
//

//  Date: 11-07-2004
//

//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------

#ifndef _UIRODMEMORY_INCLUDED
#define _UIRODMEMORY_INCLUDED

#ifdef __cplusplus
    extern "C" {            /* Assume C declarations for C++ */
#endif  /* __cplusplus */

//----------------------------------------------------------------------------------------------------
//  Include required headers
//----------------------------------------------------------------------------------------------------

#include <cvidef.h> // definition of CVICALLBACK

//----------------------------------------------------------------------------------------------------
//  Prototype UI build functions.
//----------------------------------------------------------------------------------------------------

int buildPanel_mdspMemory (int hParentPanel);
int buildPanel_sdspMemory (int hParentPanel);
int buildPanel_vmeMemory (int hParentPanel);
int buildPanel_mdspWriteRange (int hParentPanel);
int buildPanel_sdspWriteRange (int hParentPanel);
int buildPanel_vmeWriteRange (int hParentPanel);
int buildMenu_memoryPanel (int hParentPanel);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: MASTER_MEM
// ------------------------------------------------------------------------------------------------

// Control: MASTER_MEM_COMPARE_BUFFS
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_LOAD_FILE
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_WRITE_WORD
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_READ_WORD
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_WRITE_TO_MEMORY
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_NEW_BUFFER
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_WORD_ADDRESS
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_BLOCK_ACCESS
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_READ_MEMORY
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_SAVE_WRITE_TABLE
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_SAVE_READ_TABLE
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_WRITE_TABLE
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_READ_BYTES
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_WRITE_TABLE_ADDR
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_READ_TABLE_ADDR
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_READ_ADDRESS
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_EXTERNAL_VIEWER
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_ADDRESS_TABLE
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_WRITE_TABLE_SLIDE
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_READ_TABLE_SLIDE
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: SLAVE_MEM
// ------------------------------------------------------------------------------------------------

// Control: SLAVE_MEM_COMPARE_BUFFS
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_LOAD_FILE
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_WRITE_WORD
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_READ_WORD
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_WRITE_TO_MEMORY
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_NEW_BUFFER
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_WORD_ADDRESS
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_READ_MEMORY
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_SAVE_WRITE_TABLE
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_SAVE_READ_TABLE
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_WRITE_TABLE
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_READ_BYTES
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_WRITE_TABLE_ADDR
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_READ_TABLE_ADDR
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_READ_ADDRESS
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_EXTERNAL_VIEWER
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_ADDRESS_TABLE
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_WRITE_TABLE_SLIDE
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_READ_TABLE_SLIDE
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: VME_MEM
// ------------------------------------------------------------------------------------------------

// Control: VME_MEM_COMPARE_BUFFS
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_WRITE_WORD
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_READ_WORD
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_NEW_BUFFER
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_LOAD_FILE
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_WRITE_TO_MEMORY
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_SAVE_WRITE_TABLE
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_SLOT_NUMBER
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_READ_MEMORY
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_WRITE_TABLE
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_EXTERNAL_VIEWER
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_SAVE_READ_TABLE
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_WRITE_TABLE_ADDR
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_READ_TABLE_ADDR
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_ADDRESS_TABLE_TIM
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_ADDRESS_TABLE
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_WRITE_TABLE_SLIDE
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_READ_TABLE_SLIDE
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_VME_ACCESS
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: WRBUFF_M
// ------------------------------------------------------------------------------------------------

// Control: WRBUFF_M_CANCEL
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: WRBUFF_M_OK
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: WRBUFF_M_BYTES
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: WRBUFF_M_ADDRESS
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: WRBUFF_S
// ------------------------------------------------------------------------------------------------

// Control: WRBUFF_S_CANCEL
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: WRBUFF_S_OK
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: WRBUFF_S_BYTES
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: WRBUFF_S_ADDRESS
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: WRBUFF_VME
// ------------------------------------------------------------------------------------------------

// Control: WRBUFF_VME_CANCEL
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: WRBUFF_VME_OK
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: ROD_MEM
// ------------------------------------------------------------------------------------------------

// Menu: GOTO_MAIN
void CVICALLBACK rodMemMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: VIEW_BIN_FILE
void CVICALLBACK rodMemMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: CLOSE_WINDOW
void CVICALLBACK rodMemMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);


//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  MASTER_MEM
// ------------------------------------------------------------------------------------------------

extern int MASTER_MEM_COMPARE_BUFFS                 ;     // control identifier
extern int MASTER_MEM_LOAD_FILE                     ;     // control identifier
extern int MASTER_MEM_WRITE_WORD                    ;     // control identifier
extern int MASTER_MEM_READ_WORD                     ;     // control identifier
extern int MASTER_MEM_WRITE_TO_MEMORY               ;     // control identifier
extern int MASTER_MEM_WRITE_BYTES                   ;     // control identifier
extern int MASTER_MEM_DELAY                         ;     // control identifier
extern int MASTER_MEM_NEW_BUFFER                    ;     // control identifier
extern int MASTER_MEM_WRITE_ADDRESS                 ;     // control identifier
extern int MASTER_MEM_READ_DATA_WORD                ;     // control identifier
extern int MASTER_MEM_WRITE_DATA_WORD               ;     // control identifier
extern int MASTER_MEM_WORD_ADDRESS                  ;     // control identifier
extern int MASTER_MEM_PIO                           ;     // control identifier
extern int MASTER_MEM_BLOCK_ACCESS                  ;     // control identifier
extern int MASTER_MEM_READ_MEMORY                   ;     // control identifier
extern int MASTER_MEM_SAVE_WRITE_TABLE              ;     // control identifier
extern int MASTER_MEM_SAVE_READ_TABLE               ;     // control identifier
extern int MASTER_MEM_WRITE_TABLE                   ;     // control identifier
extern int MASTER_MEM_READ_TABLE                    ;     // control identifier
extern int MASTER_MEM_REPEAT_COUNTER                ;     // control identifier
extern int MASTER_MEM_REPEAT                        ;     // control identifier
extern int MASTER_MEM_READ_BYTES                    ;     // control identifier
extern int MASTER_MEM_WRITE_TABLE_ADDR              ;     // control identifier
extern int MASTER_MEM_READ_TABLE_ADDR               ;     // control identifier
extern int MASTER_MEM_READ_ADDRESS                  ;     // control identifier
extern int MASTER_MEM_SLOT_NUMBER                   ;     // control identifier
extern int MASTER_MEM_EXTERNAL_VIEWER               ;     // control identifier
extern int MASTER_MEM_ADDRESS_TABLE                 ;     // control identifier
extern int MASTER_MEM_VME_BUSY                      ;     // control identifier
extern int MASTER_MEM_WRITE_TABLE_SLIDE             ;     // control identifier
extern int MASTER_MEM_READ_TABLE_SLIDE              ;     // control identifier
extern int MASTER_MEM_COUNTER_ON                    ;     // control identifier
extern int MASTER_MEM_TIMER                         ;     // control identifier
extern int MASTER_MEM_DECORATION_3                  ;     // control identifier
extern int MASTER_MEM_TEXTMSG                       ;     // control identifier
extern int MASTER_MEM_TEXTMSG_2                     ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  SLAVE_MEM
// ------------------------------------------------------------------------------------------------

extern int SLAVE_MEM_COMPARE_BUFFS                  ;     // control identifier
extern int SLAVE_MEM_LOAD_FILE                      ;     // control identifier
extern int SLAVE_MEM_WRITE_WORD                     ;     // control identifier
extern int SLAVE_MEM_READ_WORD                      ;     // control identifier
extern int SLAVE_MEM_WRITE_TO_MEMORY                ;     // control identifier
extern int SLAVE_MEM_WRITE_BYTES                    ;     // control identifier
extern int SLAVE_MEM_NEW_BUFFER                     ;     // control identifier
extern int SLAVE_MEM_WRITE_ADDRESS                  ;     // control identifier
extern int SLAVE_MEM_READ_DATA_WORD                 ;     // control identifier
extern int SLAVE_MEM_WRITE_DATA_WORD                ;     // control identifier
extern int SLAVE_MEM_WORD_ADDRESS                   ;     // control identifier
extern int SLAVE_MEM_READ_MEMORY                    ;     // control identifier
extern int SLAVE_MEM_PIO                            ;     // control identifier
extern int SLAVE_MEM_SAVE_WRITE_TABLE               ;     // control identifier
extern int SLAVE_MEM_SAVE_READ_TABLE                ;     // control identifier
extern int SLAVE_MEM_WRITE_TABLE                    ;     // control identifier
extern int SLAVE_MEM_READ_TABLE                     ;     // control identifier
extern int SLAVE_MEM_READ_BYTES                     ;     // control identifier
extern int SLAVE_MEM_WRITE_TABLE_ADDR               ;     // control identifier
extern int SLAVE_MEM_READ_TABLE_ADDR                ;     // control identifier
extern int SLAVE_MEM_READ_ADDRESS                   ;     // control identifier
extern int SLAVE_MEM_SLAVE_NUMBER                   ;     // control identifier
extern int SLAVE_MEM_SLOT_NUMBER                    ;     // control identifier
extern int SLAVE_MEM_EXTERNAL_VIEWER                ;     // control identifier
extern int SLAVE_MEM_ADDRESS_TABLE                  ;     // control identifier
extern int SLAVE_MEM_VME_BUSY                       ;     // control identifier
extern int SLAVE_MEM_WRITE_TABLE_SLIDE              ;     // control identifier
extern int SLAVE_MEM_READ_TABLE_SLIDE               ;     // control identifier
extern int SLAVE_MEM_BINARYSWITCH                   ;     // control identifier
extern int SLAVE_MEM_TIMER                          ;     // control identifier
extern int SLAVE_MEM_DECORATION_3                   ;     // control identifier
extern int SLAVE_MEM_TEXTMSG                        ;     // control identifier
extern int SLAVE_MEM_TEXTMSG_2                      ;     // control identifier
extern int SLAVE_MEM_DECORATION_4                   ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  VME_MEM
// ------------------------------------------------------------------------------------------------

extern int VME_MEM_COMPARE_BUFFS                    ;     // control identifier
extern int VME_MEM_WRITE_WORD                       ;     // control identifier
extern int VME_MEM_READ_WORD                        ;     // control identifier
extern int VME_MEM_NEW_BUFFER                       ;     // control identifier
extern int VME_MEM_LOAD_FILE                        ;     // control identifier
extern int VME_MEM_WRITE_TO_MEMORY                  ;     // control identifier
extern int VME_MEM_WRITE_BYTES                      ;     // control identifier
extern int VME_MEM_READ_DATA_WORD                   ;     // control identifier
extern int VME_MEM_WRITE_DATA_WORD                  ;     // control identifier
extern int VME_MEM_WORD_ADDRESS                     ;     // control identifier
extern int VME_MEM_WRITE_ADDRESS                    ;     // control identifier
extern int VME_MEM_SAVE_WRITE_TABLE                 ;     // control identifier
extern int VME_MEM_SLOT_NUMBER                      ;     // control identifier
extern int VME_MEM_READ_MEMORY                      ;     // control identifier
extern int VME_MEM_WRITE_TABLE                      ;     // control identifier
extern int VME_MEM_READ_TABLE                       ;     // control identifier
extern int VME_MEM_EXTERNAL_VIEWER                  ;     // control identifier
extern int VME_MEM_SAVE_READ_TABLE                  ;     // control identifier
extern int VME_MEM_WRITE_TABLE_ADDR                 ;     // control identifier
extern int VME_MEM_READ_TABLE_ADDR                  ;     // control identifier
extern int VME_MEM_READ_BYTES                       ;     // control identifier
extern int VME_MEM_READ_ADDRESS                     ;     // control identifier
extern int VME_MEM_ADDRESS_TABLE_TIM                ;     // control identifier
extern int VME_MEM_ADDRESS_TABLE                    ;     // control identifier
extern int VME_MEM_VME_BUSY                         ;     // control identifier
extern int VME_MEM_WRITE_TABLE_SLIDE                ;     // control identifier
extern int VME_MEM_READ_TABLE_SLIDE                 ;     // control identifier
extern int VME_MEM_VME_ACCESS                       ;     // control identifier
extern int VME_MEM_TEXTMSG_5                        ;     // control identifier
extern int VME_MEM_DECORATION_3                     ;     // control identifier
extern int VME_MEM_TEXTMSG_11                       ;     // control identifier
extern int VME_MEM_TEXTMSG_12                       ;     // control identifier
extern int VME_MEM_TEXTMSG_14                       ;     // control identifier
extern int VME_MEM_TEXTMSG_15                       ;     // control identifier
extern int VME_MEM_TEXTMSG_16                       ;     // control identifier
extern int VME_MEM_TEXTMSG_17                       ;     // control identifier
extern int VME_MEM_TEXTMSG_18                       ;     // control identifier
extern int VME_MEM_TEXTMSG                          ;     // control identifier
extern int VME_MEM_TEXTMSG_19                       ;     // control identifier
extern int VME_MEM_DECORATION_4                     ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  WRBUFF_M
// ------------------------------------------------------------------------------------------------

extern int WRBUFF_M_CANCEL                          ;     // control identifier
extern int WRBUFF_M_OK                              ;     // control identifier
extern int WRBUFF_M_DEFAULT_VALUE                   ;     // control identifier
extern int WRBUFF_M_BYTES                           ;     // control identifier
extern int WRBUFF_M_ADDRESS                         ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  WRBUFF_S
// ------------------------------------------------------------------------------------------------

extern int WRBUFF_S_CANCEL                          ;     // control identifier
extern int WRBUFF_S_OK                              ;     // control identifier
extern int WRBUFF_S_DEFAULT_VALUE                   ;     // control identifier
extern int WRBUFF_S_BYTES                           ;     // control identifier
extern int WRBUFF_S_ADDRESS                         ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  WRBUFF_VME
// ------------------------------------------------------------------------------------------------

extern int WRBUFF_VME_CANCEL                        ;     // control identifier
extern int WRBUFF_VME_OK                            ;     // control identifier
extern int WRBUFF_VME_DEFAULT_VALUE                 ;     // control identifier
extern int WRBUFF_VME_BYTES                         ;     // control identifier
extern int WRBUFF_VME_REL_ADDRESS                   ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  ROD_MEM
// ------------------------------------------------------------------------------------------------

extern int ROD_MEM_GOTO_MAIN                        ;     // menu identifier
extern int ROD_MEM_VIEW_BIN_FILE                    ;     // menu identifier
extern int ROD_MEM_CLOSE_WINDOW                     ;     // menu identifier

#ifdef __cplusplus
    }
#endif

#endif // _UIRODMEMORY_INCLUDED