
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------
//
//  "uiScanControl.h"
//
//  Declaration and include file for UI build functions
//

//  Date: 11-07-2004
//

//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------

#ifndef _UISCANCONTROL_INCLUDED
#define _UISCANCONTROL_INCLUDED

#ifdef __cplusplus
    extern "C" {            /* Assume C declarations for C++ */
#endif  /* __cplusplus */

//----------------------------------------------------------------------------------------------------
//  Include required headers
//----------------------------------------------------------------------------------------------------

#include <cvidef.h> // definition of CVICALLBACK

//----------------------------------------------------------------------------------------------------
//  Prototype UI build functions.
//----------------------------------------------------------------------------------------------------

int buildPanel_scanControl (int hParentPanel);
int buildMenu_scanControl (int hParentPanel);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: HISTOC
// ------------------------------------------------------------------------------------------------

// Control: HISTOC_SAVE_BT
int CVICALLBACK save (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: HISTOC_LOAD_BT
int CVICALLBACK load (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: HISTOC_EXT_VIEWER
int CVICALLBACK extView (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: HISTOC_USE_RANGE_LIST
int CVICALLBACK histoCreate (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: HISTOC_CAPTURE
int CVICALLBACK histoCreate (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: HISTOC_DEFAULT_1
int CVICALLBACK histoCreate (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: HISTOC_INP_FILE_2
int CVICALLBACK histoCreate (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: HISTOC_INP_FILE_1
int CVICALLBACK histoCreate (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: MENU
// ------------------------------------------------------------------------------------------------

// Menu: HIDE
void CVICALLBACK menu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);


//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  HISTOC
// ------------------------------------------------------------------------------------------------

extern int HISTOC_CMD1_0                            ;     // control identifier
extern int HISTOC_CONFIG_REGISTER2                  ;     // control identifier
extern int HISTOC_CONFIG_REGISTER1                  ;     // control identifier
extern int HISTOC_CMD0_0                            ;     // control identifier
extern int HISTOC_CMD1_5                            ;     // control identifier
extern int HISTOC_CMD1_4                            ;     // control identifier
extern int HISTOC_CMD1_3                            ;     // control identifier
extern int HISTOC_CMD1_2                            ;     // control identifier
extern int HISTOC_CMD1_1                            ;     // control identifier
extern int HISTOC_CMD0_5                            ;     // control identifier
extern int HISTOC_CMD0_4                            ;     // control identifier
extern int HISTOC_CMD0_3                            ;     // control identifier
extern int HISTOC_DINCR1                            ;     // control identifier
extern int HISTOC_CMD0_2                            ;     // control identifier
extern int HISTOC_CMD0_1                            ;     // control identifier
extern int HISTOC_DATA1_1                           ;     // control identifier
extern int HISTOC_DATA1_5                           ;     // control identifier
extern int HISTOC_DATA1_4                           ;     // control identifier
extern int HISTOC_DATA1_3                           ;     // control identifier
extern int HISTOC_DATA1_2                           ;     // control identifier
extern int HISTOC_DATA1_0                           ;     // control identifier
extern int HISTOC_CINCR1                            ;     // control identifier
extern int HISTOC_CONFIG_SCT_SET                    ;     // control identifier
extern int HISTOC_DATA_SET                          ;     // control identifier
extern int HISTOC_DISTR_TOGGLE                      ;     // control identifier
extern int HISTOC_GLBL_CTRL                         ;     // control identifier
extern int HISTOC_BIN_SIZE                          ;     // control identifier
extern int HISTOC_DATA_FORMAT                       ;     // control identifier
extern int HISTOC_ARRANGEMENT                       ;     // control identifier
extern int HISTOC_DATA_PATH                         ;     // control identifier
extern int HISTOC_SYNC_LVL                          ;     // control identifier
extern int HISTOC_PORT                              ;     // control identifier
extern int HISTOC_DINCR0                            ;     // control identifier
extern int HISTOC_DATA0_1                           ;     // control identifier
extern int HISTOC_DATA0_5                           ;     // control identifier
extern int HISTOC_DATA0_4                           ;     // control identifier
extern int HISTOC_DATA0_3                           ;     // control identifier
extern int HISTOC_DATA0_2                           ;     // control identifier
extern int HISTOC_DATA0_0                           ;     // control identifier
extern int HISTOC_CINCR0                            ;     // control identifier
extern int HISTOC_BIN0                              ;     // control identifier
extern int HISTOC_SLV3                              ;     // control identifier
extern int HISTOC_NBINS                             ;     // control identifier
extern int HISTOC_SLV2                              ;     // control identifier
extern int HISTOC_SLV1                              ;     // control identifier
extern int HISTOC_DATA_PTR_2                        ;     // control identifier
extern int HISTOC_EXT_SETUP                         ;     // control identifier
extern int HISTOC_HISTO_BASE                        ;     // control identifier
extern int HISTOC_DATA_PTR_1                        ;     // control identifier
extern int HISTOC_REP                               ;     // control identifier
extern int HISTOC_SLV0                              ;     // control identifier
extern int HISTOC_SAVE_BT                           ;     // control identifier
extern int HISTOC_LOAD_BT                           ;     // control identifier
extern int HISTOC_EXT_VIEWER                        ;     // control identifier
extern int HISTOC_CALL_LINE_LOOP                    ;     // control identifier
extern int HISTOC_USE_RANGE_LIST                    ;     // control identifier
extern int HISTOC_MODULE_GROUP_3                    ;     // control identifier
extern int HISTOC_MODULE_GROUP_2                    ;     // control identifier
extern int HISTOC_MODULE_GROUP                      ;     // control identifier
extern int HISTOC_TABLE_2                           ;     // control identifier
extern int HISTOC_GEN_DATA                          ;     // control identifier
extern int HISTOC_TABLE_1                           ;     // control identifier
extern int HISTOC_CAPTURE                           ;     // control identifier
extern int HISTOC_DEFAULT_1                         ;     // control identifier
extern int HISTOC_INP_FILE_2                        ;     // control identifier
extern int HISTOC_INP_FILE_1                        ;     // control identifier
extern int HISTOC_TEXTBOX                           ;     // control identifier
extern int HISTOC_TEXTMSG_14                        ;     // control identifier
extern int HISTOC_TEXTMSG_15                        ;     // control identifier
extern int HISTOC_TEXTMSG_16                        ;     // control identifier
extern int HISTOC_TEXTMSG_20                        ;     // control identifier
extern int HISTOC_TEXTMSG_22                        ;     // control identifier
extern int HISTOC_TEXTMSG_23                        ;     // control identifier
extern int HISTOC_TEXTMSG_21                        ;     // control identifier
extern int HISTOC_TEXTMSG                           ;     // control identifier
extern int HISTOC_TEXTMSG_24                        ;     // control identifier
extern int HISTOC_TEXTMSG_25                        ;     // control identifier
extern int HISTOC_TEXTMSG_2                         ;     // control identifier
extern int HISTOC_TEXTMSG_26                        ;     // control identifier
extern int HISTOC_TEXTMSG_27                        ;     // control identifier
extern int HISTOC_TEXTMSG_28                        ;     // control identifier
extern int HISTOC_DECORATION_2                      ;     // control identifier
extern int HISTOC_TEXTMSG_29                        ;     // control identifier
extern int HISTOC_DECORATION                        ;     // control identifier
extern int HISTOC_TEXTMSG_3                         ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  MENU
// ------------------------------------------------------------------------------------------------

extern int MENU_HIDE                                ;     // menu identifier

#ifdef __cplusplus
    }
#endif

#endif // _UISCANCONTROL_INCLUDED