
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------
//
//  "uiCmdList.h"
//
//  Declaration and include file for UI build functions
//

//  Date: 11-07-2004
//

//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------

#ifndef _UICMDLIST_INCLUDED
#define _UICMDLIST_INCLUDED

#ifdef __cplusplus
    extern "C" {            /* Assume C declarations for C++ */
#endif  /* __cplusplus */

//----------------------------------------------------------------------------------------------------
//  Include required headers
//----------------------------------------------------------------------------------------------------

#include <cvidef.h> // definition of CVICALLBACK

//----------------------------------------------------------------------------------------------------
//  Prototype UI build functions.
//----------------------------------------------------------------------------------------------------

int buildPanel_bocSetup (int hParentPanel);
int buildPanel_busTest (int hParentPanel);
int buildPanel_compareFiles (int hParentPanel);
int buildPanel_delayCmd (int hParentPanel);
int buildPanel_runChildCmdList (int hParentPanel);
int buildPanel_runExternalProg (int hParentPanel);
int buildPanel_rwFpgaFlash (int hParentPanel);
int buildPanel_rwMdsp (int hParentPanel);
int buildPanel_rwSdsp (int hParentPanel);
int buildPanel_rwVme (int hParentPanel);
int buildPanel_sendPrimList (int hParentPanel);
int buildPanel_wMdspFlash (int hParentPanel);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: BOC_SETUP
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: BUS_TEST
// ------------------------------------------------------------------------------------------------

// Control: BUS_TEST_REG_ADDR_FILE
int CVICALLBACK busTest (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: BUS_TEST_ONE_REG
int CVICALLBACK busTest (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: BUS_TEST_ADDR_TEST_OPTION
int CVICALLBACK busTest (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: COMP_FILES
// ------------------------------------------------------------------------------------------------

// Control: COMP_FILES_ROD_FILE
int CVICALLBACK compFiles (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: COMP_FILES_COMMON_FILE
int CVICALLBACK compFiles (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: COMP_FILES_WORD_SIZE
int CVICALLBACK compFiles (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: DELAY_CMDP
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: RUN_CLIST
// ------------------------------------------------------------------------------------------------

// Control: RUN_CLIST_FILE
int CVICALLBACK runChildCommandList (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: RUN_EXTPRG
// ------------------------------------------------------------------------------------------------

// Control: RUN_EXTPRG_ROD_FILE
int CVICALLBACK runExtProgram (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RUN_EXTPRG_EXT_PRG
int CVICALLBACK runExtProgram (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RUN_EXTPRG_DATA_FILE_OPT
int CVICALLBACK runExtProgram (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: RW_FPGAF
// ------------------------------------------------------------------------------------------------

// Control: RW_FPGAF_OUT_FILE
int CVICALLBACK RWFpgaFlash (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FPGAF_INP_FILE
int CVICALLBACK RWFpgaFlash (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FPGAF_READ_NOT_WRITE
int CVICALLBACK RWFpgaFlash (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FPGAF_START_ADDRESS
int CVICALLBACK RWFpgaFlash (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: RW_MASTERP
// ------------------------------------------------------------------------------------------------

// Control: RW_MASTERP_OUT_FILE
int CVICALLBACK RWMaster (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_MASTERP_INP_FILE
int CVICALLBACK RWMaster (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_MASTERP_START_ADDR
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_MASTERP_LENGTH
int CVICALLBACK RWMaster (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_MASTERP_COMP_OPTION
int CVICALLBACK RWMaster (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_MASTERP_OUTPUT_OPT
int CVICALLBACK RWMaster (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_MASTERP_INP_OPTION
int CVICALLBACK RWMaster (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_MASTERP_READ_NOT_WRITE
int CVICALLBACK RWMaster (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_MASTERP_BLOCK_ACCESS
int CVICALLBACK RWMaster (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: RW_SLAVEP
// ------------------------------------------------------------------------------------------------

// Control: RW_SLAVEP_OUT_FILE
int CVICALLBACK RWSlave (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_SLAVEP_INP_FILE
int CVICALLBACK RWSlave (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_SLAVEP_START_ADDR
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_SLAVEP_LENGTH
int CVICALLBACK RWSlave (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_SLAVEP_COMP_OPTION
int CVICALLBACK RWSlave (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_SLAVEP_OUTPUT_OPT
int CVICALLBACK RWSlave (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_SLAVEP_INP_OPTION
int CVICALLBACK RWSlave (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_SLAVEP_READ_NOT_WRITE
int CVICALLBACK RWSlave (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: RW_VMEP
// ------------------------------------------------------------------------------------------------

// Control: RW_VMEP_OUT_FILE
int CVICALLBACK RWVme (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_VMEP_INP_FILE
int CVICALLBACK RWVme (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_VMEP_LENGTH
int CVICALLBACK RWVme (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_VMEP_COMP_OPTION
int CVICALLBACK RWVme (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_VMEP_OUTPUT_OPT
int CVICALLBACK RWVme (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_VMEP_INP_OPTION
int CVICALLBACK RWVme (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_VMEP_READ_NOT_WRITE
int CVICALLBACK RWVme (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_VMEP_VME_ACCESS
int CVICALLBACK RWVme (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: SEND_PLIST
// ------------------------------------------------------------------------------------------------

// Control: SEND_PLIST_INP_FILE
int CVICALLBACK sendPrimList (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SEND_PLIST_EDIT_PRIM_LIST
int CVICALLBACK sendPrimList (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: W_MDSPF
// ------------------------------------------------------------------------------------------------

// Control: W_MDSPF_INP_FILE
int CVICALLBACK WMDSPFlash (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);


//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  BOC_SETUP
// ------------------------------------------------------------------------------------------------

extern int BOC_SETUP_DECORATION                     ;     // control identifier
extern int BOC_SETUP_TEXTMSG_4                      ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  BUS_TEST
// ------------------------------------------------------------------------------------------------

extern int BUS_TEST_DATA_WIDTH                      ;     // control identifier
extern int BUS_TEST_REG_ADDR                        ;     // control identifier
extern int BUS_TEST_ADDR_REG                        ;     // control identifier
extern int BUS_TEST_REG_ADDR_FILE                   ;     // control identifier
extern int BUS_TEST_ONE_REG                         ;     // control identifier
extern int BUS_TEST_ADDR_TEST_OPTION                ;     // control identifier
extern int BUS_TEST_FLOAT_ONE                       ;     // control identifier
extern int BUS_TEST_DECORATION                      ;     // control identifier
extern int BUS_TEST_TEXTMSG_4                       ;     // control identifier
extern int BUS_TEST_TEXTMSG_2                       ;     // control identifier
extern int BUS_TEST_TEXTMSG                         ;     // control identifier
extern int BUS_TEST_TEXTMSG_3                       ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  COMP_FILES
// ------------------------------------------------------------------------------------------------

extern int COMP_FILES_DATA_MASK0                    ;     // control identifier
extern int COMP_FILES_ROD_FILE                      ;     // control identifier
extern int COMP_FILES_COMMON_FILE                   ;     // control identifier
extern int COMP_FILES_WORD_SIZE                     ;     // control identifier
extern int COMP_FILES_DATA_MASK1                    ;     // control identifier
extern int COMP_FILES_DECORATION                    ;     // control identifier
extern int COMP_FILES_TEXTMSG_4                     ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  DELAY_CMDP
// ------------------------------------------------------------------------------------------------

extern int DELAY_CMDP_DELAY                         ;     // control identifier
extern int DELAY_CMDP_DECORATION                    ;     // control identifier
extern int DELAY_CMDP_TEXTMSG_4                     ;     // control identifier
extern int DELAY_CMDP_TEXTMSG                       ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  RUN_CLIST
// ------------------------------------------------------------------------------------------------

extern int RUN_CLIST_FILE                           ;     // control identifier
extern int RUN_CLIST_DECORATION                     ;     // control identifier
extern int RUN_CLIST_TEXTMSG_4                      ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  RUN_EXTPRG
// ------------------------------------------------------------------------------------------------

extern int RUN_EXTPRG_TIMEOUT                       ;     // control identifier
extern int RUN_EXTPRG_ROD_FILE                      ;     // control identifier
extern int RUN_EXTPRG_EXT_PRG                       ;     // control identifier
extern int RUN_EXTPRG_DATA_FILE_OPT                 ;     // control identifier
extern int RUN_EXTPRG_WAIT_FOR_TERM                 ;     // control identifier
extern int RUN_EXTPRG_DECORATION                    ;     // control identifier
extern int RUN_EXTPRG_TEXTMSG_4                     ;     // control identifier
extern int RUN_EXTPRG_TEXTMSG                       ;     // control identifier
extern int RUN_EXTPRG_DECORATION_2                  ;     // control identifier
extern int RUN_EXTPRG_TEXTMSG_2                     ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  RW_FPGAF
// ------------------------------------------------------------------------------------------------

extern int RW_FPGAF_OUT_FILE                        ;     // control identifier
extern int RW_FPGAF_INP_FILE                        ;     // control identifier
extern int RW_FPGAF_SIZE                            ;     // control identifier
extern int RW_FPGAF_READ_NOT_WRITE                  ;     // control identifier
extern int RW_FPGAF_START_ADDRESS                   ;     // control identifier
extern int RW_FPGAF_DECORATION                      ;     // control identifier
extern int RW_FPGAF_TEXTMSG_4                       ;     // control identifier
extern int RW_FPGAF_DECORATION_2                    ;     // control identifier
extern int RW_FPGAF_TEXTMSG                         ;     // control identifier
extern int RW_FPGAF_TEXTMSG_5                       ;     // control identifier
extern int RW_FPGAF_TEXTMSG_2                       ;     // control identifier
extern int RW_FPGAF_TEXTMSG_3                       ;     // control identifier
extern int RW_FPGAF_TEXTMSG_6                       ;     // control identifier
extern int RW_FPGAF_TEXTMSG_7                       ;     // control identifier
extern int RW_FPGAF_TEXTMSG_8                       ;     // control identifier
extern int RW_FPGAF_TEXTMSG_12                      ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  RW_MASTERP
// ------------------------------------------------------------------------------------------------

extern int RW_MASTERP_OUT_FILE                      ;     // control identifier
extern int RW_MASTERP_INP_FILE                      ;     // control identifier
extern int RW_MASTERP_DATA_MASK                     ;     // control identifier
extern int RW_MASTERP_COMP_DATA                     ;     // control identifier
extern int RW_MASTERP_INPUT_DATA                    ;     // control identifier
extern int RW_MASTERP_START_ADDR                    ;     // control identifier
extern int RW_MASTERP_DELAY                         ;     // control identifier
extern int RW_MASTERP_LENGTH                        ;     // control identifier
extern int RW_MASTERP_COMP_OPTION                   ;     // control identifier
extern int RW_MASTERP_OUTPUT_OPT                    ;     // control identifier
extern int RW_MASTERP_INP_OPTION                    ;     // control identifier
extern int RW_MASTERP_READ_NOT_WRITE                ;     // control identifier
extern int RW_MASTERP_BLOCK_ACCESS                  ;     // control identifier
extern int RW_MASTERP_WRITE_OR_APPEND               ;     // control identifier
extern int RW_MASTERP_DECORATION                    ;     // control identifier
extern int RW_MASTERP_TEXTMSG_4                     ;     // control identifier
extern int RW_MASTERP_DECORATION_2                  ;     // control identifier
extern int RW_MASTERP_TEXTMSG                       ;     // control identifier
extern int RW_MASTERP_TEXTMSG_5                     ;     // control identifier
extern int RW_MASTERP_TEXTMSG_12                    ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  RW_SLAVEP
// ------------------------------------------------------------------------------------------------

extern int RW_SLAVEP_OUT_FILE                       ;     // control identifier
extern int RW_SLAVEP_INP_FILE                       ;     // control identifier
extern int RW_SLAVEP_COMP_DATA                      ;     // control identifier
extern int RW_SLAVEP_INPUT_DATA                     ;     // control identifier
extern int RW_SLAVEP_START_ADDR                     ;     // control identifier
extern int RW_SLAVEP_LENGTH                         ;     // control identifier
extern int RW_SLAVEP_COMP_OPTION                    ;     // control identifier
extern int RW_SLAVEP_OUTPUT_OPT                     ;     // control identifier
extern int RW_SLAVEP_INP_OPTION                     ;     // control identifier
extern int RW_SLAVEP_READ_NOT_WRITE                 ;     // control identifier
extern int RW_SLAVEP_WRITE_OR_APPEND                ;     // control identifier
extern int RW_SLAVEP_SLAVE_NUMBER                   ;     // control identifier
extern int RW_SLAVEP_DECORATION                     ;     // control identifier
extern int RW_SLAVEP_TEXTMSG_4                      ;     // control identifier
extern int RW_SLAVEP_TEXTMSG                        ;     // control identifier
extern int RW_SLAVEP_TEXTMSG_5                      ;     // control identifier
extern int RW_SLAVEP_DECORATION_3                   ;     // control identifier
extern int RW_SLAVEP_TEXTMSG_12                     ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  RW_VMEP
// ------------------------------------------------------------------------------------------------

extern int RW_VMEP_OUT_FILE                         ;     // control identifier
extern int RW_VMEP_INP_FILE                         ;     // control identifier
extern int RW_VMEP_COMP_DATA                        ;     // control identifier
extern int RW_VMEP_INPUT_DATA                       ;     // control identifier
extern int RW_VMEP_START_ADDR                       ;     // control identifier
extern int RW_VMEP_LENGTH                           ;     // control identifier
extern int RW_VMEP_COMP_OPTION                      ;     // control identifier
extern int RW_VMEP_OUTPUT_OPT                       ;     // control identifier
extern int RW_VMEP_INP_OPTION                       ;     // control identifier
extern int RW_VMEP_NO_BLOCK_ACCESS                  ;     // control identifier
extern int RW_VMEP_READ_NOT_WRITE                   ;     // control identifier
extern int RW_VMEP_WRITE_OR_APPEND                  ;     // control identifier
extern int RW_VMEP_VME_ACCESS                       ;     // control identifier
extern int RW_VMEP_DECORATION                       ;     // control identifier
extern int RW_VMEP_TEXTMSG_4                        ;     // control identifier
extern int RW_VMEP_TEXTMSG                          ;     // control identifier
extern int RW_VMEP_TEXTMSG_5                        ;     // control identifier
extern int RW_VMEP_DECORATION_3                     ;     // control identifier
extern int RW_VMEP_TEXTMSG_2                        ;     // control identifier
extern int RW_VMEP_TEXTMSG_6                        ;     // control identifier
extern int RW_VMEP_TEXTMSG_7                        ;     // control identifier
extern int RW_VMEP_TEXTMSG_12                       ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  SEND_PLIST
// ------------------------------------------------------------------------------------------------

extern int SEND_PLIST_INP_FILE                      ;     // control identifier
extern int SEND_PLIST_REPEAT_BUILD_EXEC             ;     // control identifier
extern int SEND_PLIST_EDIT_PRIM_LIST                ;     // control identifier
extern int SEND_PLIST_DECORATION                    ;     // control identifier
extern int SEND_PLIST_TEXTMSG_4                     ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  W_MDSPF
// ------------------------------------------------------------------------------------------------

extern int W_MDSPF_INP_FILE                         ;     // control identifier
extern int W_MDSPF_SIZE                             ;     // control identifier
extern int W_MDSPF_START_ADDRESS                    ;     // control identifier
extern int W_MDSPF_DECORATION                       ;     // control identifier
extern int W_MDSPF_TEXTMSG_4                        ;     // control identifier
extern int W_MDSPF_TEXTMSG_5                        ;     // control identifier
extern int W_MDSPF_TEXTMSG_2                        ;     // control identifier
extern int W_MDSPF_TEXTMSG_3                        ;     // control identifier
extern int W_MDSPF_TEXTMSG_6                        ;     // control identifier

#ifdef __cplusplus
    }
#endif

#endif // _UICMDLIST_INCLUDED