
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------
//
//  "uiCmdListEditor.h"
//
//  Declaration and include file for UI build functions
//

//  Date: 11-07-2004
//

//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------

#ifndef _UICMDLISTEDITOR_INCLUDED
#define _UICMDLISTEDITOR_INCLUDED

#ifdef __cplusplus
    extern "C" {            /* Assume C declarations for C++ */
#endif  /* __cplusplus */

//----------------------------------------------------------------------------------------------------
//  Include required headers
//----------------------------------------------------------------------------------------------------

#include <cvidef.h> // definition of CVICALLBACK

//----------------------------------------------------------------------------------------------------
//  Prototype UI build functions.
//----------------------------------------------------------------------------------------------------

int buildPanel_cmdListEditor (int hParentPanel);
int buildMenu_cmdListEditor (int hParentPanel);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: CLIST_EDIT
// ------------------------------------------------------------------------------------------------

// Control: CLIST_EDIT_COMMAND_RING
int CVICALLBACK commandRing (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLIST_EDIT_CLEAR_LIST
int CVICALLBACK clistEditButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLIST_EDIT_CLEAR_CLCOMM
int CVICALLBACK clistEditButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLIST_EDIT_CLEAR_CCOMM
int CVICALLBACK clistEditButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLIST_EDIT_SAVE_LIST
int CVICALLBACK clistEditButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLIST_EDIT_LOAD_LIST
int CVICALLBACK clistEditButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLIST_EDIT_INSERT_LIST
int CVICALLBACK clistEditButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLIST_EDIT_SEND_CLIST_TO_ROD
int CVICALLBACK clistEditButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLIST_EDIT_REPLACE
int CVICALLBACK clistEditButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLIST_EDIT_ADD_AFTER
int CVICALLBACK clistEditButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLIST_EDIT_ADD_BEFORE
int CVICALLBACK clistEditButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLIST_EDIT_EDIT_COMMAND
int CVICALLBACK clistEditButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLIST_EDIT_DELETE_COMMAND
int CVICALLBACK clistEditButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLIST_EDIT_LIST_TABLE
int CVICALLBACK clistEditButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: CLIST_MENU
// ------------------------------------------------------------------------------------------------

// Menu: GOTO_MAIN
void CVICALLBACK commandListEditMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: PRIM_LIST_EDIT
void CVICALLBACK commandListEditMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: DATA_FILE_CREATOR
void CVICALLBACK commandListEditMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: CLOSE
void CVICALLBACK commandListEditMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);


//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  CLIST_EDIT
// ------------------------------------------------------------------------------------------------

extern int CLIST_EDIT_COMMAND_RING                  ;     // control identifier
extern int CLIST_EDIT_CLEAR_LIST                    ;     // control identifier
extern int CLIST_EDIT_CLEAR_CLCOMM                  ;     // control identifier
extern int CLIST_EDIT_CLEAR_CCOMM                   ;     // control identifier
extern int CLIST_EDIT_SAVE_LIST                     ;     // control identifier
extern int CLIST_EDIT_LOAD_LIST                     ;     // control identifier
extern int CLIST_EDIT_INSERT_LIST                   ;     // control identifier
extern int CLIST_EDIT_SEND_CLIST_TO_ROD             ;     // control identifier
extern int CLIST_EDIT_REPLACE                       ;     // control identifier
extern int CLIST_EDIT_ADD_AFTER                     ;     // control identifier
extern int CLIST_EDIT_ADD_BEFORE                    ;     // control identifier
extern int CLIST_EDIT_EDIT_COMMAND                  ;     // control identifier
extern int CLIST_EDIT_DELETE_COMMAND                ;     // control identifier
extern int CLIST_EDIT_LIST_TABLE                    ;     // control identifier
extern int CLIST_EDIT_SLOT_NUMBER                   ;     // control identifier
extern int CLIST_EDIT_COMMAND_REPEAT                ;     // control identifier
extern int CLIST_EDIT_COMMAND_COUNT                 ;     // control identifier
extern int CLIST_EDIT_CONT_IF_ERROR                 ;     // control identifier
extern int CLIST_EDIT_LAST_FILE                     ;     // control identifier
extern int CLIST_EDIT_CMD_COMMENT                   ;     // control identifier
extern int CLIST_EDIT_CLIST_COMMENT                 ;     // control identifier
extern int CLIST_EDIT_CLIST_REP                     ;     // control identifier
extern int CLIST_EDIT_DECORATION_3                  ;     // control identifier
extern int CLIST_EDIT_TEXTMSG_3                     ;     // control identifier
extern int CLIST_EDIT_TEXTMSG_4                     ;     // control identifier
extern int CLIST_EDIT_TEXTMSG                       ;     // control identifier
extern int CLIST_EDIT_TEXTMSG_5                     ;     // control identifier
extern int CLIST_EDIT_TEXTMSG_6                     ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  CLIST_MENU
// ------------------------------------------------------------------------------------------------

extern int CLIST_MENU_GOTO_MAIN                     ;     // menu identifier
extern int CLIST_MENU_PRIM_LIST_EDIT                ;     // menu identifier
extern int CLIST_MENU_DATA_FILE_CREATOR             ;     // menu identifier
extern int CLIST_MENU_CLOSE                         ;     // menu identifier

#ifdef __cplusplus
    }
#endif

#endif // _UICMDLISTEDITOR_INCLUDED