
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------
//
//  "uiFpga.h"
//
//  Declaration and include file for UI build functions
//

//  Date: 11-07-2004
//

//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------

#ifndef _UIFPGA_INCLUDED
#define _UIFPGA_INCLUDED

#ifdef __cplusplus
    extern "C" {            /* Assume C declarations for C++ */
#endif  /* __cplusplus */

//----------------------------------------------------------------------------------------------------
//  Include required headers
//----------------------------------------------------------------------------------------------------

#include <cvidef.h> // definition of CVICALLBACK

//----------------------------------------------------------------------------------------------------
//  Prototype UI build functions.
//----------------------------------------------------------------------------------------------------

int buildPanel_flashAccess (int hParentPanel);
int buildPanel_flash (int hParentPanel);
int buildPanel_fpgaStatus (int hParentPanel);
int buildMenu_flash (int hParentPanel);
int buildMenu_fpgaStatus (int hParentPanel);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: FLASH_INFO
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: PAN_FLASH
// ------------------------------------------------------------------------------------------------

// Control: PAN_FLASH_FORM_READ
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_DSP_PRG_WRITE
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_FORM_WRITE
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_DSP_PRG_FILE
int CVICALLBACK pickFileName (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_READ_FLASH_1
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_CLEAR_FLASH_1
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_FORM_FILE
int CVICALLBACK pickFileName (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_FORM_START_ADDR
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_ROUTER_READ
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_ROUTER_WRITE
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_EFB_READ
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_ROUTER_FILE
int CVICALLBACK pickFileName (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_ROUTER_START_ADDR
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_EFB_WRITE
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_READ_FLASH_2
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_SLOT_NUMBER
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_CLEAR_FLASH_DSP
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_CLEAR_FLASH_2
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_EFB_FILE
int CVICALLBACK pickFileName (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_EFB_START_ADDR
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_RRIF_READ
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_RRIF_WRITE
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_LOCATION_READ
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_RRIF_FILE
int CVICALLBACK pickFileName (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_RRIF_START_ADDR
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_LOCATION_WRITE
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_READ_FLASH_0
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_CLEAR_FLASH_0
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_LOCATION_FILE
int CVICALLBACK pickFileName (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_LOCATION_START_ADDR
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: PANEL_FPGA
// ------------------------------------------------------------------------------------------------

// Control: PANEL_FPGA_READ_REG
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_SLOT_NUMBER
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM2_BUTT_1
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM2_BUTT_7
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM2_BUTT_6
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM2_BUTT_5
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM2_BUTT_4
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM2_BUTT_3
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM2_BUTT_2
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM2_BUTT_0
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM1_BUTT_1
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM1_BUTT_7
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM1_BUTT_6
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM1_BUTT_5
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM1_BUTT_4
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM1_BUTT_3
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM1_BUTT_2
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM1_BUTT_0
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM0_BUTT_1
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM0_BUTT_7
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM0_BUTT_6
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM0_BUTT_5
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM0_BUTT_4
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM0_BUTT_3
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM0_BUTT_2
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM0_BUTT_0
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: FLASH_MENU
// ------------------------------------------------------------------------------------------------

// Menu: GOTO_MAIN
void CVICALLBACK flashMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: SAVE_SETTINGS
void CVICALLBACK flashMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: LOAD_SETTINGS
void CVICALLBACK flashMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: VIEW_BIN_FILE
void CVICALLBACK flashMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: CLOSE_WINDOW
void CVICALLBACK flashMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: FPGA_MENU
// ------------------------------------------------------------------------------------------------

// Menu: GOTO_MAIN
void CVICALLBACK fpgaMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: CLOSE_WINDOW
void CVICALLBACK fpgaMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);


//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  FLASH_INFO
// ------------------------------------------------------------------------------------------------

extern int FLASH_INFO_SECTOR                        ;     // control identifier
extern int FLASH_INFO_FLASH_NAME                    ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  PAN_FLASH
// ------------------------------------------------------------------------------------------------

extern int PAN_FLASH_FORM_READ                      ;     // control identifier
extern int PAN_FLASH_DSP_PRG_WRITE                  ;     // control identifier
extern int PAN_FLASH_FORM_WRITE                     ;     // control identifier
extern int PAN_FLASH_DSP_PRG_FILE                   ;     // control identifier
extern int PAN_FLASH_READ_FLASH_1                   ;     // control identifier
extern int PAN_FLASH_CLEAR_FLASH_1                  ;     // control identifier
extern int PAN_FLASH_FORM_FILE                      ;     // control identifier
extern int PAN_FLASH_DSP_PRG_SIZE                   ;     // control identifier
extern int PAN_FLASH_DSP_PRG_START_ADDR             ;     // control identifier
extern int PAN_FLASH_FORM_END_ADDR                  ;     // control identifier
extern int PAN_FLASH_FORM_SIZE                      ;     // control identifier
extern int PAN_FLASH_FLASH_2_START_ADDR             ;     // control identifier
extern int PAN_FLASH_FLASH_1_START_ADDR             ;     // control identifier
extern int PAN_FLASH_FLASH_0_START_ADDR             ;     // control identifier
extern int PAN_FLASH_FORM_START_ADDR                ;     // control identifier
extern int PAN_FLASH_ROUTER_READ                    ;     // control identifier
extern int PAN_FLASH_ROUTER_WRITE                   ;     // control identifier
extern int PAN_FLASH_EFB_READ                       ;     // control identifier
extern int PAN_FLASH_ROUTER_FILE                    ;     // control identifier
extern int PAN_FLASH_DSP_PRG_END_ADDR               ;     // control identifier
extern int PAN_FLASH_ROUTER_SIZE                    ;     // control identifier
extern int PAN_FLASH_ROUTER_END_ADDR                ;     // control identifier
extern int PAN_FLASH_ROUTER_START_ADDR              ;     // control identifier
extern int PAN_FLASH_EFB_WRITE                      ;     // control identifier
extern int PAN_FLASH_READ_FLASH_2                   ;     // control identifier
extern int PAN_FLASH_SLOT_NUMBER                    ;     // control identifier
extern int PAN_FLASH_CLEAR_FLASH_DSP                ;     // control identifier
extern int PAN_FLASH_CLEAR_FLASH_2                  ;     // control identifier
extern int PAN_FLASH_EFB_FILE                       ;     // control identifier
extern int PAN_FLASH_EFB_SIZE                       ;     // control identifier
extern int PAN_FLASH_EFB_END_ADDR                   ;     // control identifier
extern int PAN_FLASH_EFB_START_ADDR                 ;     // control identifier
extern int PAN_FLASH_RRIF_READ                      ;     // control identifier
extern int PAN_FLASH_RRIF_WRITE                     ;     // control identifier
extern int PAN_FLASH_LOCATION_READ                  ;     // control identifier
extern int PAN_FLASH_RRIF_FILE                      ;     // control identifier
extern int PAN_FLASH_RRIF_SIZE                      ;     // control identifier
extern int PAN_FLASH_RRIF_END_ADDR                  ;     // control identifier
extern int PAN_FLASH_RRIF_START_ADDR                ;     // control identifier
extern int PAN_FLASH_LOCATION_WRITE                 ;     // control identifier
extern int PAN_FLASH_READ_FLASH_0                   ;     // control identifier
extern int PAN_FLASH_CLEAR_FLASH_0                  ;     // control identifier
extern int PAN_FLASH_LOCATION_SIZE                  ;     // control identifier
extern int PAN_FLASH_LOCATION_FILE                  ;     // control identifier
extern int PAN_FLASH_LOCATION_END_ADDR              ;     // control identifier
extern int PAN_FLASH_LOCATION_START_ADDR            ;     // control identifier
extern int PAN_FLASH_DECORATION_2                   ;     // control identifier
extern int PAN_FLASH_TEXTMSG                        ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  PANEL_FPGA
// ------------------------------------------------------------------------------------------------

extern int PANEL_FPGA_READ_REG                      ;     // control identifier
extern int PANEL_FPGA_CONTROL_8                     ;     // control identifier
extern int PANEL_FPGA_CONTROL_4                     ;     // control identifier
extern int PANEL_FPGA_CONTROL_3                     ;     // control identifier
extern int PANEL_FPGA_CONTROL_3_BIT_0               ;     // control identifier
extern int PANEL_FPGA_CONTROL_3_BIT_1               ;     // control identifier
extern int PANEL_FPGA_CONTROL_3_BIT_2               ;     // control identifier
extern int PANEL_FPGA_CONTROL_3_BIT_3               ;     // control identifier
extern int PANEL_FPGA_CONTROL_3_BIT_4               ;     // control identifier
extern int PANEL_FPGA_CONTROL_3_BIT_5               ;     // control identifier
extern int PANEL_FPGA_CONTROL_3_BIT_6               ;     // control identifier
extern int PANEL_FPGA_CONTROL_3_BIT_7               ;     // control identifier
extern int PANEL_FPGA_CONTROL_2                     ;     // control identifier
extern int PANEL_FPGA_CONTROL_2_BIT_0               ;     // control identifier
extern int PANEL_FPGA_CONTROL_2_BIT_1               ;     // control identifier
extern int PANEL_FPGA_CONTROL_2_BIT_2               ;     // control identifier
extern int PANEL_FPGA_CONTROL_2_BIT_3               ;     // control identifier
extern int PANEL_FPGA_STAT_7                        ;     // control identifier
extern int PANEL_FPGA_STAT_10                       ;     // control identifier
extern int PANEL_FPGA_STAT_9                        ;     // control identifier
extern int PANEL_FPGA_STAT_6                        ;     // control identifier
extern int PANEL_FPGA_CONTROL_2_BIT_4               ;     // control identifier
extern int PANEL_FPGA_CONTROL_2_BIT_5               ;     // control identifier
extern int PANEL_FPGA_CONTROL_2_BIT_6               ;     // control identifier
extern int PANEL_FPGA_CONTROL_2_BIT_7               ;     // control identifier
extern int PANEL_FPGA_CONTROL_1_BIT_0               ;     // control identifier
extern int PANEL_FPGA_CONTROL_1                     ;     // control identifier
extern int PANEL_FPGA_CONTROL_1_BIT_1               ;     // control identifier
extern int PANEL_FPGA_CONTROL_1_BIT_2               ;     // control identifier
extern int PANEL_FPGA_CONTROL_1_BIT_3               ;     // control identifier
extern int PANEL_FPGA_CONTROL_1_BIT_4               ;     // control identifier
extern int PANEL_FPGA_CONTROL_1_BIT_5               ;     // control identifier
extern int PANEL_FPGA_CONTROL_1_BIT_6               ;     // control identifier
extern int PANEL_FPGA_CONTROL_1_BIT_7               ;     // control identifier
extern int PANEL_FPGA_CONTROL_0_BIT_0               ;     // control identifier
extern int PANEL_FPGA_CONTROL_0_BIT_1               ;     // control identifier
extern int PANEL_FPGA_CONTROL_0_BIT_2               ;     // control identifier
extern int PANEL_FPGA_SLOT_NUMBER                   ;     // control identifier
extern int PANEL_FPGA_CONTROL_0                     ;     // control identifier
extern int PANEL_FPGA_CONTROL_0_BIT_3               ;     // control identifier
extern int PANEL_FPGA_CONTROL_0_BIT_4               ;     // control identifier
extern int PANEL_FPGA_CONTROL_0_BIT_5               ;     // control identifier
extern int PANEL_FPGA_CONTROL_0_BIT_6               ;     // control identifier
extern int PANEL_FPGA_CONTROL_0_BIT_7               ;     // control identifier
extern int PANEL_FPGA_STAT_5                        ;     // control identifier
extern int PANEL_FPGA_STAT_5_BIT_0                  ;     // control identifier
extern int PANEL_FPGA_STAT_5_BIT_1                  ;     // control identifier
extern int PANEL_FPGA_STAT_5_BIT_2                  ;     // control identifier
extern int PANEL_FPGA_STAT_5_BIT_3                  ;     // control identifier
extern int PANEL_FPGA_STAT_5_BIT_4                  ;     // control identifier
extern int PANEL_FPGA_STAT_5_BIT_5                  ;     // control identifier
extern int PANEL_FPGA_STAT_5_BIT_6                  ;     // control identifier
extern int PANEL_FPGA_STAT_5_BIT_7                  ;     // control identifier
extern int PANEL_FPGA_STAT_8                        ;     // control identifier
extern int PANEL_FPGA_STAT_4                        ;     // control identifier
extern int PANEL_FPGA_STAT_4_BIT_0                  ;     // control identifier
extern int PANEL_FPGA_STAT_4_BIT_1                  ;     // control identifier
extern int PANEL_FPGA_STAT_4_BIT_2                  ;     // control identifier
extern int PANEL_FPGA_STAT_4_BIT_3                  ;     // control identifier
extern int PANEL_FPGA_STAT_4_BIT_4                  ;     // control identifier
extern int PANEL_FPGA_STAT_4_BIT_5                  ;     // control identifier
extern int PANEL_FPGA_STAT_4_BIT_6                  ;     // control identifier
extern int PANEL_FPGA_STAT_4_BIT_7                  ;     // control identifier
extern int PANEL_FPGA_STAT_3                        ;     // control identifier
extern int PANEL_FPGA_STAT_3_BIT_0                  ;     // control identifier
extern int PANEL_FPGA_STAT_3_BIT_1                  ;     // control identifier
extern int PANEL_FPGA_STAT_3_BIT_2                  ;     // control identifier
extern int PANEL_FPGA_STAT_3_BIT_3                  ;     // control identifier
extern int PANEL_FPGA_STAT_3_BIT_4                  ;     // control identifier
extern int PANEL_FPGA_STAT_3_BIT_5                  ;     // control identifier
extern int PANEL_FPGA_STAT_3_BIT_6                  ;     // control identifier
extern int PANEL_FPGA_STAT_3_BIT_7                  ;     // control identifier
extern int PANEL_FPGA_STAT_2_BIT_0                  ;     // control identifier
extern int PANEL_FPGA_STAT_2_BIT_1                  ;     // control identifier
extern int PANEL_FPGA_STAT_2_BIT_2                  ;     // control identifier
extern int PANEL_FPGA_STAT_2_BIT_3                  ;     // control identifier
extern int PANEL_FPGA_STAT_2_BIT_4                  ;     // control identifier
extern int PANEL_FPGA_STAT_2                        ;     // control identifier
extern int PANEL_FPGA_STAT_2_BIT_5                  ;     // control identifier
extern int PANEL_FPGA_STAT_2_BIT_6                  ;     // control identifier
extern int PANEL_FPGA_STAT_2_BIT_7                  ;     // control identifier
extern int PANEL_FPGA_STAT_1                        ;     // control identifier
extern int PANEL_FPGA_STAT_1_BIT_0                  ;     // control identifier
extern int PANEL_FPGA_STAT_1_BIT_1                  ;     // control identifier
extern int PANEL_FPGA_STAT_1_BIT_2                  ;     // control identifier
extern int PANEL_FPGA_STAT_1_BIT_3                  ;     // control identifier
extern int PANEL_FPGA_STAT_1_BIT_4                  ;     // control identifier
extern int PANEL_FPGA_STAT_1_BIT_5                  ;     // control identifier
extern int PANEL_FPGA_STAT_1_BIT_6                  ;     // control identifier
extern int PANEL_FPGA_STAT_1_BIT_7                  ;     // control identifier
extern int PANEL_FPGA_STAT_0_BIT_0                  ;     // control identifier
extern int PANEL_FPGA_STAT_0_BIT_1                  ;     // control identifier
extern int PANEL_FPGA_STAT_0_BIT_2                  ;     // control identifier
extern int PANEL_FPGA_STAT_0_BIT_3                  ;     // control identifier
extern int PANEL_FPGA_STAT_0_BIT_4                  ;     // control identifier
extern int PANEL_FPGA_STAT_0_BIT_5                  ;     // control identifier
extern int PANEL_FPGA_STAT_0                        ;     // control identifier
extern int PANEL_FPGA_STAT_0_BIT_6                  ;     // control identifier
extern int PANEL_FPGA_STAT_0_BIT_7                  ;     // control identifier
extern int PANEL_FPGA_COM2_BUTT_1                   ;     // control identifier
extern int PANEL_FPGA_COM2_BUTT_7                   ;     // control identifier
extern int PANEL_FPGA_COM2_BUTT_6                   ;     // control identifier
extern int PANEL_FPGA_COM2_BUTT_5                   ;     // control identifier
extern int PANEL_FPGA_COM2_BUTT_4                   ;     // control identifier
extern int PANEL_FPGA_COM2_BUTT_3                   ;     // control identifier
extern int PANEL_FPGA_COM2_BUTT_2                   ;     // control identifier
extern int PANEL_FPGA_COM2_BUTT_0                   ;     // control identifier
extern int PANEL_FPGA_COM1_BUTT_1                   ;     // control identifier
extern int PANEL_FPGA_COM1_BUTT_7                   ;     // control identifier
extern int PANEL_FPGA_COM1_BUTT_6                   ;     // control identifier
extern int PANEL_FPGA_COM1_BUTT_5                   ;     // control identifier
extern int PANEL_FPGA_COM1_BUTT_4                   ;     // control identifier
extern int PANEL_FPGA_COM1_BUTT_3                   ;     // control identifier
extern int PANEL_FPGA_COM1_BUTT_2                   ;     // control identifier
extern int PANEL_FPGA_COM1_BUTT_0                   ;     // control identifier
extern int PANEL_FPGA_COM0_BUTT_1                   ;     // control identifier
extern int PANEL_FPGA_COM0_BUTT_7                   ;     // control identifier
extern int PANEL_FPGA_COM0_BUTT_6                   ;     // control identifier
extern int PANEL_FPGA_COM0_BUTT_5                   ;     // control identifier
extern int PANEL_FPGA_COM0_BUTT_4                   ;     // control identifier
extern int PANEL_FPGA_COM0_BUTT_3                   ;     // control identifier
extern int PANEL_FPGA_COM0_BUTT_2                   ;     // control identifier
extern int PANEL_FPGA_COM0_BUTT_0                   ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_20                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_21                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_22                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_23                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_24                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_25                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_26                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_27                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_55                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_56                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_57                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_58                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_59                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_60                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_61                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_62                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_63                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_64                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_65                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_66                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_67                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_68                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_69                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_70                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_71                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_72                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_73                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_74                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_75                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_76                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_77                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_78                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_99                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_100                   ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_101                   ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_102                   ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_103                   ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_104                   ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_105                   ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_106                   ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_109                   ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_111                   ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_28                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_29                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_30                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_31                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_32                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_33                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_34                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_35                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_36                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_37                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_38                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_39                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_40                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_41                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_42                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_43                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_44                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_45                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_46                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_47                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_48                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_49                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_50                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_51                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_90                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_91                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_92                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_93                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_94                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_95                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_96                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_97                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_112                   ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_113                   ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_114                   ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_115                   ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_116                   ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_117                   ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_118                   ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_119                   ;     // control identifier
extern int PANEL_FPGA_TEXTMSG                       ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_52                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_53                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_54                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_98                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_120                   ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_107                   ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_89                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_88                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_121                   ;     // control identifier
extern int PANEL_FPGA_DECORATION_2                  ;     // control identifier
extern int PANEL_FPGA_DECORATION                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_87                    ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_2                     ;     // control identifier
extern int PANEL_FPGA_TEXTMSG_3                     ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  FLASH_MENU
// ------------------------------------------------------------------------------------------------

extern int FLASH_MENU_GOTO_MAIN                     ;     // menu identifier
extern int FLASH_MENU_SAVE_SETTINGS                 ;     // menu identifier
extern int FLASH_MENU_LOAD_SETTINGS                 ;     // menu identifier
extern int FLASH_MENU_VIEW_BIN_FILE                 ;     // menu identifier
extern int FLASH_MENU_CLOSE_WINDOW                  ;     // menu identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  FPGA_MENU
// ------------------------------------------------------------------------------------------------

extern int FPGA_MENU_GOTO_MAIN                      ;     // menu identifier
extern int FPGA_MENU_CLOSE_WINDOW                   ;     // menu identifier

#ifdef __cplusplus
    }
#endif

#endif // _UIFPGA_INCLUDED