
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------
//
//  "uiPrimitives.h"
//
//  Declaration and include file for UI build functions
//

//  Date: 11-07-2004
//

//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------

#ifndef _UIPRIMITIVES_INCLUDED
#define _UIPRIMITIVES_INCLUDED

#ifdef __cplusplus
    extern "C" {            /* Assume C declarations for C++ */
#endif  /* __cplusplus */

//----------------------------------------------------------------------------------------------------
//  Include required headers
//----------------------------------------------------------------------------------------------------

#include <cvidef.h> // definition of CVICALLBACK

//----------------------------------------------------------------------------------------------------
//  Prototype UI build functions.
//----------------------------------------------------------------------------------------------------

int buildPanel_bocHistogram (int hParentPanel);
int buildPanel_buildStream (int hParentPanel);
int buildPanel_configSlave (int hParentPanel);
int buildPanel_copyMemeory (int hParentPanel);
int buildPanel_dspRest (int hParentPanel);
int buildPanel_eventTrapSetup (int hParentPanel);
int buildPanel_flashLed (int hParentPanel);
int buildPanel_histogramSetup (int hParentPanel);
int buildPanel_moduleMask (int hParentPanel);
int buildPanel_memoryTest (int hParentPanel);
int buildPanel_echo (int hParentPanel);
int buildPanel_pauseList (int hParentPanel);
int buildPanel_pollRegField (int hParentPanel);
int buildPanel_rwBocData (int hParentPanel);
int buildPanel_rwRegField (int hParentPanel);
int buildPanel_rwFifo (int hParentPanel);
int buildPanel_rwModuleData (int hParentPanel);
int buildPanel_rwSlaveMemory (int hParentPanel);
int buildPanel_rwModuleVariable (int hParentPanel);
int buildPanel_sendConfig (int hParentPanel);
int buildPanel_sendData (int hParentPanel);
int buildPanel_sendSlaveList (int hParentPanel);
int buildPanel_sendStream (int hParentPanel);
int buildPanel_setMessageMask (int hParentPanel);
int buildPanel_setLed (int hParentPanel);
int buildPanel_setMemory (int hParentPanel);
int buildPanel_setTrigger (int hParentPanel);
int buildPanel_setRodMode (int hParentPanel);
int buildPanel_slaveListOp (int hParentPanel);
int buildPanel_startdataTaking (int hParentPanel);
int buildPanel_startSlaveList (int hParentPanel);
int buildPanel_startSdsp (int hParentPanel);
int buildPanel_startTask (int hParentPanel);
int buildPanel_stopDataTaking (int hParentPanel);
int buildPanel_testGlobalRegister (int hParentPanel);
int buildPanel_testPrimitive (int hParentPanel);
int buildPanel_taskOperation (int hParentPanel);
int buildPanel_writeBuffer (int hParentPanel);
int buildPanel_transmitSerialData (int hParentPanel);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: BOC_HIST
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: BUILD_STRM
// ------------------------------------------------------------------------------------------------

// Control: BUILD_STRM_INP_FILE
int CVICALLBACK buildStream (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: BUILD_STRM_INPUT_OPTION
int CVICALLBACK buildStream (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: CONFIG_SLV
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: CPY_MEMP
// ------------------------------------------------------------------------------------------------

// Control: CPY_MEMP_DESTINATION
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CPY_MEMP_SOURCE
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: DSPRESETP
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: EVENT_TRAP
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: FLASH_LEDP
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: HIST_SETP
// ------------------------------------------------------------------------------------------------

// Control: HIST_SETP_INP_FILE_2
int CVICALLBACK histogramSetup (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: HIST_SETP_INP_FILE_1
int CVICALLBACK histogramSetup (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: HIST_SETP_DEFAULT_1
int CVICALLBACK histogramSetup (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: MDL_MASKP
// ------------------------------------------------------------------------------------------------

// Control: MDL_MASKP_CFG
int CVICALLBACK moduleMask (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: MEM_TEST
// ------------------------------------------------------------------------------------------------

// Control: MEM_TEST_START_ADDR
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: PANEL_ECHO
// ------------------------------------------------------------------------------------------------

// Control: PANEL_ECHO_INP_FILE
int CVICALLBACK echoParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_ECHO_INPUT_OPTION
int CVICALLBACK echoParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_ECHO_TEST_DATA_LENGTH
int CVICALLBACK echoParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: PAUSE_L
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: POLL_FIELD
// ------------------------------------------------------------------------------------------------

// Control: POLL_FIELD_DESIRED_VALUE
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_31
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_30
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BASE_ID
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_Z
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_Y
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_X
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_29
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_28
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_27
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_26
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_24
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_25
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_23
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_22
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_21
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_20
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_19
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_18
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_16
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_17
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_15
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_14
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_13
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_12
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_11
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_10
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_8
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_9
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_7
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_6
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_5
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_4
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_3
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_2
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_0
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_1
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: RW_BOCD
// ------------------------------------------------------------------------------------------------

// Control: RW_BOCD_INP_FILE
int CVICALLBACK RWBoc (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_BOCD_READ_NOT_WRITE
int CVICALLBACK RWBoc (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: RW_FIELDP
// ------------------------------------------------------------------------------------------------

// Control: RW_FIELDP_OUT_FILE
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_DATA_IN
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_OUTPUT_OPT
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_READ_WRITE
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BASE_ID
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_Z
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_Y
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_X
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_31
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_30
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_29
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_28
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_27
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_26
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_24
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_25
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_23
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_22
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_21
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_20
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_19
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_18
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_16
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_17
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_15
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_14
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_13
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_12
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_11
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_10
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_8
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_9
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_7
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_6
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_5
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_4
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_3
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_2
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_0
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_1
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: RW_FIFOP
// ------------------------------------------------------------------------------------------------

// Control: RW_FIFOP_OUT_FILE
int CVICALLBACK RWFifoParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIFOP_INP_FILE
int CVICALLBACK RWFifoParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIFOP_OUTPUT_OPT
int CVICALLBACK RWFifoParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIFOP_READ_NOT_WRITE
int CVICALLBACK RWFifoParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIFOP_FIFO_ID_AND_BANK
int CVICALLBACK RWFifoParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: RW_MODULEP
// ------------------------------------------------------------------------------------------------

// Control: RW_MODULEP_OUT_FILE
int CVICALLBACK RWmodule (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_MODULEP_INP_FILE
int CVICALLBACK RWmodule (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_MODULEP_READ_NOT_WRITE
int CVICALLBACK RWmodule (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: RW_SLAVE
// ------------------------------------------------------------------------------------------------

// Control: RW_SLAVE_OUT_FILE
int CVICALLBACK RWSlaveMemory (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_SLAVE_INP_FILE
int CVICALLBACK RWSlaveMemory (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_SLAVE_START_ADDRESS
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_SLAVE_READ_NOT_WRITE
int CVICALLBACK RWSlaveMemory (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_SLAVE_OUTPUT_OPT
int CVICALLBACK RWSlaveMemory (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: RWMODULVAR
// ------------------------------------------------------------------------------------------------

// Control: RWMODULVAR_OUT_FILE
int CVICALLBACK RWmoduleVar (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RWMODULVAR_INP_FILE
int CVICALLBACK RWmoduleVar (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RWMODULVAR_READ_NOT_WRITE
int CVICALLBACK RWmoduleVar (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: SEND_CFGP
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: SEND_DATAP
// ------------------------------------------------------------------------------------------------

// Control: SEND_DATAP_OUT_FILE
int CVICALLBACK sendData (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SEND_DATAP_OUTPUT_OPT
int CVICALLBACK sendData (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: SEND_SLIST
// ------------------------------------------------------------------------------------------------

// Control: SEND_SLIST_EDIT_SLAVE_LIST
int CVICALLBACK editSlaveList (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: SEND_STRM
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: SET_ERRMSK
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: SET_LEDP
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: SET_MEMP
// ------------------------------------------------------------------------------------------------

// Control: SET_MEMP_START_ADDR
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: SET_TRGP
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: SETRODMODE
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: SLIST_OP
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: START_DATA
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: START_SLIS
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: START_SLV
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: START_TSKP
// ------------------------------------------------------------------------------------------------

// Control: START_TSKP_INP_FILE
int CVICALLBACK taskType (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: START_TSKP_TASK_TYPE
int CVICALLBACK taskType (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: START_TSKP_HIST_CREATOR
int CVICALLBACK taskType (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: STOP_DATA
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: TESTGREG
// ------------------------------------------------------------------------------------------------

// Control: TESTGREG_OUT_FILE
int CVICALLBACK TestGlobalReg (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: TESTP
// ------------------------------------------------------------------------------------------------

// Control: TESTP_INP_FILE
int CVICALLBACK test (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TESTP_INPUT_OPTION
int CVICALLBACK test (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: TSK_OPER
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: WR_BUFFP
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: X_SER_DATA
// ------------------------------------------------------------------------------------------------

// Control: X_SER_DATA_P1_FILE
int CVICALLBACK transSerial (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: X_SER_DATA_P0_FILE
int CVICALLBACK transSerial (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: X_SER_DATA_P1_FILE_OPT
int CVICALLBACK transSerial (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: X_SER_DATA_P0_FILE_OPT
int CVICALLBACK transSerial (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);


//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  BOC_HIST
// ------------------------------------------------------------------------------------------------

extern int BOC_HIST_NUM_LOOPS                       ;     // control identifier
extern int BOC_HIST_NUM_SAMPLES                     ;     // control identifier
extern int BOC_HIST_DECORATION                      ;     // control identifier
extern int BOC_HIST_DECORATION_2                    ;     // control identifier
extern int BOC_HIST_TEXTMSG                         ;     // control identifier
extern int BOC_HIST_TEXTMSG_4                       ;     // control identifier
extern int BOC_HIST_TEXTMSG_2                       ;     // control identifier
extern int BOC_HIST_TEXTMSG_5                       ;     // control identifier
extern int BOC_HIST_TEXTMSG_3                       ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  BUILD_STRM
// ------------------------------------------------------------------------------------------------

extern int BUILD_STRM_INP_FILE                      ;     // control identifier
extern int BUILD_STRM_INPUT_OPTION                  ;     // control identifier
extern int BUILD_STRM_DATA_LEN                      ;     // control identifier
extern int BUILD_STRM_MASK3                         ;     // control identifier
extern int BUILD_STRM_MASK2                         ;     // control identifier
extern int BUILD_STRM_MASK1                         ;     // control identifier
extern int BUILD_STRM_MASK0                         ;     // control identifier
extern int BUILD_STRM_RESET                         ;     // control identifier
extern int BUILD_STRM_CMD5                          ;     // control identifier
extern int BUILD_STRM_CMD4                          ;     // control identifier
extern int BUILD_STRM_CMD3                          ;     // control identifier
extern int BUILD_STRM_CHIP                          ;     // control identifier
extern int BUILD_STRM_CMD0                          ;     // control identifier
extern int BUILD_STRM_CMD2                          ;     // control identifier
extern int BUILD_STRM_CMD_BUFF                      ;     // control identifier
extern int BUILD_STRM_CMD1                          ;     // control identifier
extern int BUILD_STRM_FIBRE                         ;     // control identifier
extern int BUILD_STRM_DATA1                         ;     // control identifier
extern int BUILD_STRM_DATA5                         ;     // control identifier
extern int BUILD_STRM_DATA4                         ;     // control identifier
extern int BUILD_STRM_DATA3                         ;     // control identifier
extern int BUILD_STRM_DATA2                         ;     // control identifier
extern int BUILD_STRM_DATA0                         ;     // control identifier
extern int BUILD_STRM_TEXTBOX                       ;     // control identifier
extern int BUILD_STRM_DECORATION                    ;     // control identifier
extern int BUILD_STRM_TEXTMSG_4                     ;     // control identifier
extern int BUILD_STRM_TEXTMSG_6                     ;     // control identifier
extern int BUILD_STRM_TEXTMSG_15                    ;     // control identifier
extern int BUILD_STRM_TEXTMSG_16                    ;     // control identifier
extern int BUILD_STRM_TEXTMSG_20                    ;     // control identifier
extern int BUILD_STRM_TEXTMSG_2                     ;     // control identifier
extern int BUILD_STRM_TEXTMSG_21                    ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  CONFIG_SLV
// ------------------------------------------------------------------------------------------------

extern int CONFIG_SLV_ON_OFF                        ;     // control identifier
extern int CONFIG_SLV_SLV_ID                        ;     // control identifier
extern int CONFIG_SLV_TYPE                          ;     // control identifier
extern int CONFIG_SLV_DECORATION                    ;     // control identifier
extern int CONFIG_SLV_TEXTMSG_4                     ;     // control identifier
extern int CONFIG_SLV_TEXTMSG_7                     ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  CPY_MEMP
// ------------------------------------------------------------------------------------------------

extern int CPY_MEMP_SIZE                            ;     // control identifier
extern int CPY_MEMP_DESTINATION                     ;     // control identifier
extern int CPY_MEMP_SOURCE                          ;     // control identifier
extern int CPY_MEMP_DECORATION                      ;     // control identifier
extern int CPY_MEMP_TEXTMSG_4                       ;     // control identifier
extern int CPY_MEMP_TEXTMSG                         ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  DSPRESETP
// ------------------------------------------------------------------------------------------------

extern int DSPRESETP_TIME_OUT                       ;     // control identifier
extern int DSPRESETP_NATTEMPTS                      ;     // control identifier
extern int DSPRESETP_FORCE_SYNC                     ;     // control identifier
extern int DSPRESETP_SLV1                           ;     // control identifier
extern int DSPRESETP_SLV3                           ;     // control identifier
extern int DSPRESETP_SLV0                           ;     // control identifier
extern int DSPRESETP_SLV2                           ;     // control identifier
extern int DSPRESETP_TEXTMSG_4                      ;     // control identifier
extern int DSPRESETP_DECORATION                     ;     // control identifier
extern int DSPRESETP_TEXTMSG_14                     ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  EVENT_TRAP
// ------------------------------------------------------------------------------------------------

extern int EVENT_TRAP_TIMEOUT                       ;     // control identifier
extern int EVENT_TRAP_REM1                          ;     // control identifier
extern int EVENT_TRAP_FUNC1                         ;     // control identifier
extern int EVENT_TRAP_ITER_LIMIT                    ;     // control identifier
extern int EVENT_TRAP_FUNC0                         ;     // control identifier
extern int EVENT_TRAP_REM0                          ;     // control identifier
extern int EVENT_TRAP_MOD1                          ;     // control identifier
extern int EVENT_TRAP_MOD0                          ;     // control identifier
extern int EVENT_TRAP_MATCH1                        ;     // control identifier
extern int EVENT_TRAP_MATCH0                        ;     // control identifier
extern int EVENT_TRAP_NUM_EVENTS                    ;     // control identifier
extern int EVENT_TRAP_STRAY                         ;     // control identifier
extern int EVENT_TRAP_SLINK                         ;     // control identifier
extern int EVENT_TRAP_DATA_MODE                     ;     // control identifier
extern int EVENT_TRAP_EXC_FLAG1                     ;     // control identifier
extern int EVENT_TRAP_EXC_FLAG0                     ;     // control identifier
extern int EVENT_TRAP_PERMIT_BP                     ;     // control identifier
extern int EVENT_TRAP_EXT_ROUT_SET                  ;     // control identifier
extern int EVENT_TRAP_RELEASE                       ;     // control identifier
extern int EVENT_TRAP_DISTRIBUTE                    ;     // control identifier
extern int EVENT_TRAP_FORMAT                        ;     // control identifier
extern int EVENT_TRAP_CFG1                          ;     // control identifier
extern int EVENT_TRAP_CFG0                          ;     // control identifier
extern int EVENT_TRAP_SLV3                          ;     // control identifier
extern int EVENT_TRAP_SLV2                          ;     // control identifier
extern int EVENT_TRAP_SLV1                          ;     // control identifier
extern int EVENT_TRAP_SLV0                          ;     // control identifier
extern int EVENT_TRAP_DECORATION                    ;     // control identifier
extern int EVENT_TRAP_TEXTMSG_4                     ;     // control identifier
extern int EVENT_TRAP_DECORATION_2                  ;     // control identifier
extern int EVENT_TRAP_TEXTMSG                       ;     // control identifier
extern int EVENT_TRAP_TEXTMSG_7                     ;     // control identifier
extern int EVENT_TRAP_TEXTMSG_3                     ;     // control identifier
extern int EVENT_TRAP_TEXTMSG_10                    ;     // control identifier
extern int EVENT_TRAP_TEXTMSG_11                    ;     // control identifier
extern int EVENT_TRAP_TEXTMSG_12                    ;     // control identifier
extern int EVENT_TRAP_TEXTMSG_8                     ;     // control identifier
extern int EVENT_TRAP_TEXTMSG_2                     ;     // control identifier
extern int EVENT_TRAP_TEXTMSG_6                     ;     // control identifier
extern int EVENT_TRAP_TEXTMSG_13                    ;     // control identifier
extern int EVENT_TRAP_TEXTMSG_14                    ;     // control identifier
extern int EVENT_TRAP_TEXTMSG_9                     ;     // control identifier
extern int EVENT_TRAP_TEXTMSG_5                     ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  FLASH_LEDP
// ------------------------------------------------------------------------------------------------

extern int FLASH_LEDP_NUM_TIMES                     ;     // control identifier
extern int FLASH_LEDP_PERIOD                        ;     // control identifier
extern int FLASH_LEDP_NUMBER                        ;     // control identifier
extern int FLASH_LEDP_TEXTMSG_4                     ;     // control identifier
extern int FLASH_LEDP_DECORATION                    ;     // control identifier
extern int FLASH_LEDP_TEXTMSG                       ;     // control identifier
extern int FLASH_LEDP_TEXTMSG_2                     ;     // control identifier
extern int FLASH_LEDP_TEXTMSG_5                     ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  HIST_SETP
// ------------------------------------------------------------------------------------------------

extern int HIST_SETP_INP_FILE_2                     ;     // control identifier
extern int HIST_SETP_INP_FILE_1                     ;     // control identifier
extern int HIST_SETP_VALID_MODULES_0                ;     // control identifier
extern int HIST_SETP_MODULE_RANGE_MAP_10            ;     // control identifier
extern int HIST_SETP_MODULE_RANGE_MAP_11            ;     // control identifier
extern int HIST_SETP_MODULE_RANGE_MAP_00            ;     // control identifier
extern int HIST_SETP_VALID_MODULES_1                ;     // control identifier
extern int HIST_SETP_MODULE_RANGE_MAP_01            ;     // control identifier
extern int HIST_SETP_DATA_TYPE_2                    ;     // control identifier
extern int HIST_SETP_DATA_TYPE                      ;     // control identifier
extern int HIST_SETP_X_PTR_2                        ;     // control identifier
extern int HIST_SETP_X_PTR                          ;     // control identifier
extern int HIST_SETP_BASE                           ;     // control identifier
extern int HIST_SETP_OPT3                           ;     // control identifier
extern int HIST_SETP_BINNING                        ;     // control identifier
extern int HIST_SETP_OPT1                           ;     // control identifier
extern int HIST_SETP_ROUTINE                        ;     // control identifier
extern int HIST_SETP_BIN_SIZE                       ;     // control identifier
extern int HIST_SETP_OPT2                           ;     // control identifier
extern int HIST_SETP_OPT0                           ;     // control identifier
extern int HIST_SETP_DEFAULT_1                      ;     // control identifier
extern int HIST_SETP_TEXTMSG_4                      ;     // control identifier
extern int HIST_SETP_DECORATION                     ;     // control identifier
extern int HIST_SETP_DECORATION_2                   ;     // control identifier
extern int HIST_SETP_TEXTMSG_15                     ;     // control identifier
extern int HIST_SETP_TEXTMSG_7                      ;     // control identifier
extern int HIST_SETP_TEXTMSG_16                     ;     // control identifier
extern int HIST_SETP_TEXTMSG_3                      ;     // control identifier
extern int HIST_SETP_TXT_OPT0                       ;     // control identifier
extern int HIST_SETP_TXT_OPT1                       ;     // control identifier
extern int HIST_SETP_TXT_OPT2                       ;     // control identifier
extern int HIST_SETP_TXT_OPT3                       ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  MDL_MASKP
// ------------------------------------------------------------------------------------------------

extern int MDL_MASKP_MASK_SET                       ;     // control identifier
extern int MDL_MASKP_STORAGE                        ;     // control identifier
extern int MDL_MASKP_PORT                           ;     // control identifier
extern int MDL_MASKP_USE_SET                        ;     // control identifier
extern int MDL_MASKP_CFG                            ;     // control identifier
extern int MDL_MASKP_PASS                           ;     // control identifier
extern int MDL_MASKP_SLV3                           ;     // control identifier
extern int MDL_MASKP_DATA_LINE3                     ;     // control identifier
extern int MDL_MASKP_DATA_LINE2                     ;     // control identifier
extern int MDL_MASKP_DATA_LINE1                     ;     // control identifier
extern int MDL_MASKP_DATA_LINE0                     ;     // control identifier
extern int MDL_MASKP_CMD_LINE                       ;     // control identifier
extern int MDL_MASKP_MASK1                          ;     // control identifier
extern int MDL_MASKP_MASK_TYPE                      ;     // control identifier
extern int MDL_MASKP_MASK0                          ;     // control identifier
extern int MDL_MASKP_MODULE_NUM                     ;     // control identifier
extern int MDL_MASKP_SLV2                           ;     // control identifier
extern int MDL_MASKP_SLV1                           ;     // control identifier
extern int MDL_MASKP_SLV0                           ;     // control identifier
extern int MDL_MASKP_TEXTMSG_4                      ;     // control identifier
extern int MDL_MASKP_DECORATION                     ;     // control identifier
extern int MDL_MASKP_TEXTMSG_14                     ;     // control identifier
extern int MDL_MASKP_TEXTMSG                        ;     // control identifier
extern int MDL_MASKP_TEXTMSG_2                      ;     // control identifier
extern int MDL_MASKP_TEXTMSG_3                      ;     // control identifier
extern int MDL_MASKP_TEXTMSG_5                      ;     // control identifier
extern int MDL_MASKP_TEXTMSG_15                     ;     // control identifier
extern int MDL_MASKP_TEXTMSG_16                     ;     // control identifier
extern int MDL_MASKP_TEXTMSG_17                     ;     // control identifier
extern int MDL_MASKP_TEXTMSG_18                     ;     // control identifier
extern int MDL_MASKP_TEXTMSG_20                     ;     // control identifier
extern int MDL_MASKP_TEXTMSG_21                     ;     // control identifier
extern int MDL_MASKP_TEXTMSG_22                     ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  MEM_TEST
// ------------------------------------------------------------------------------------------------

extern int MEM_TEST_ERRORS                          ;     // control identifier
extern int MEM_TEST_SIZE                            ;     // control identifier
extern int MEM_TEST_NREADS                          ;     // control identifier
extern int MEM_TEST_START_ADDR                      ;     // control identifier
extern int MEM_TEST_DMAFLAG                         ;     // control identifier
extern int MEM_TEST_CONTINUE                        ;     // control identifier
extern int MEM_TEST_REPETITIONS                     ;     // control identifier
extern int MEM_TEST_DECORATION                      ;     // control identifier
extern int MEM_TEST_DECORATION_2                    ;     // control identifier
extern int MEM_TEST_TEXTMSG                         ;     // control identifier
extern int MEM_TEST_TEXTMSG_4                       ;     // control identifier
extern int MEM_TEST_TEXTMSG_6                       ;     // control identifier
extern int MEM_TEST_TEXTMSG_2                       ;     // control identifier
extern int MEM_TEST_TEXTMSG_3                       ;     // control identifier
extern int MEM_TEST_TEXTMSG_7                       ;     // control identifier
extern int MEM_TEST_TEXTMSG_8                       ;     // control identifier
extern int MEM_TEST_TEXTMSG_9                       ;     // control identifier
extern int MEM_TEST_TEXTMSG_10                      ;     // control identifier
extern int MEM_TEST_TEXTMSG_11                      ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  PANEL_ECHO
// ------------------------------------------------------------------------------------------------

extern int PANEL_ECHO_INP_FILE                      ;     // control identifier
extern int PANEL_ECHO_INPUT_OPTION                  ;     // control identifier
extern int PANEL_ECHO_TEST_PATTERN                  ;     // control identifier
extern int PANEL_ECHO_TEST_DATA_LENGTH              ;     // control identifier
extern int PANEL_ECHO_DECORATION                    ;     // control identifier
extern int PANEL_ECHO_TEXTMSG_4                     ;     // control identifier
extern int PANEL_ECHO_TEXTMSG_2                     ;     // control identifier
extern int PANEL_ECHO_TEXTMSG_6                     ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  PAUSE_L
// ------------------------------------------------------------------------------------------------

extern int PAUSE_L_DECORATION_2                     ;     // control identifier
extern int PAUSE_L_TEXTMSG                          ;     // control identifier
extern int PAUSE_L_TEXTMSG_3                        ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  POLL_FIELD
// ------------------------------------------------------------------------------------------------

extern int POLL_FIELD_TIMEOUT                       ;     // control identifier
extern int POLL_FIELD_DESIRED_VALUE                 ;     // control identifier
extern int POLL_FIELD_OBJECT_ID                     ;     // control identifier
extern int POLL_FIELD_WIDTH                         ;     // control identifier
extern int POLL_FIELD_OFFSET                        ;     // control identifier
extern int POLL_FIELD_BIT_31                        ;     // control identifier
extern int POLL_FIELD_BIT_30                        ;     // control identifier
extern int POLL_FIELD_BASE_ID                       ;     // control identifier
extern int POLL_FIELD_Z                             ;     // control identifier
extern int POLL_FIELD_Y                             ;     // control identifier
extern int POLL_FIELD_X                             ;     // control identifier
extern int POLL_FIELD_BIT_29                        ;     // control identifier
extern int POLL_FIELD_BIT_28                        ;     // control identifier
extern int POLL_FIELD_BIT_27                        ;     // control identifier
extern int POLL_FIELD_BIT_26                        ;     // control identifier
extern int POLL_FIELD_BIT_24                        ;     // control identifier
extern int POLL_FIELD_BIT_25                        ;     // control identifier
extern int POLL_FIELD_BIT_23                        ;     // control identifier
extern int POLL_FIELD_BIT_22                        ;     // control identifier
extern int POLL_FIELD_BIT_21                        ;     // control identifier
extern int POLL_FIELD_BIT_20                        ;     // control identifier
extern int POLL_FIELD_BIT_19                        ;     // control identifier
extern int POLL_FIELD_BIT_18                        ;     // control identifier
extern int POLL_FIELD_BIT_16                        ;     // control identifier
extern int POLL_FIELD_BIT_17                        ;     // control identifier
extern int POLL_FIELD_BIT_15                        ;     // control identifier
extern int POLL_FIELD_BIT_14                        ;     // control identifier
extern int POLL_FIELD_BIT_13                        ;     // control identifier
extern int POLL_FIELD_BIT_12                        ;     // control identifier
extern int POLL_FIELD_BIT_11                        ;     // control identifier
extern int POLL_FIELD_BIT_10                        ;     // control identifier
extern int POLL_FIELD_BIT_8                         ;     // control identifier
extern int POLL_FIELD_BIT_9                         ;     // control identifier
extern int POLL_FIELD_BIT_7                         ;     // control identifier
extern int POLL_FIELD_BIT_6                         ;     // control identifier
extern int POLL_FIELD_BIT_5                         ;     // control identifier
extern int POLL_FIELD_BIT_4                         ;     // control identifier
extern int POLL_FIELD_BIT_3                         ;     // control identifier
extern int POLL_FIELD_BIT_2                         ;     // control identifier
extern int POLL_FIELD_BIT_0                         ;     // control identifier
extern int POLL_FIELD_BIT_1                         ;     // control identifier
extern int POLL_FIELD_REG_BOX                       ;     // control identifier
extern int POLL_FIELD_DECORATION_2                  ;     // control identifier
extern int POLL_FIELD_TEXTMSG_4                     ;     // control identifier
extern int POLL_FIELD_TEXTMSG                       ;     // control identifier
extern int POLL_FIELD_TEXTMSG_7                     ;     // control identifier
extern int POLL_FIELD_DECORATION                    ;     // control identifier
extern int POLL_FIELD_TEXTMSG_8                     ;     // control identifier
extern int POLL_FIELD_TEXTMSG_2                     ;     // control identifier
extern int POLL_FIELD_TEXTMSG_3                     ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  RW_BOCD
// ------------------------------------------------------------------------------------------------

extern int RW_BOCD_OUT_FILE                         ;     // control identifier
extern int RW_BOCD_DATA_LEN                         ;     // control identifier
extern int RW_BOCD_INP_FILE                         ;     // control identifier
extern int RW_BOCD_READ_NOT_WRITE                   ;     // control identifier
extern int RW_BOCD_SEND                             ;     // control identifier
extern int RW_BOCD_DECORATION                       ;     // control identifier
extern int RW_BOCD_DECORATION_2                     ;     // control identifier
extern int RW_BOCD_TEXTMSG                          ;     // control identifier
extern int RW_BOCD_TEXTMSG_4                        ;     // control identifier
extern int RW_BOCD_TEXTMSG_2                        ;     // control identifier
extern int RW_BOCD_TEXTMSG_6                        ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  RW_FIELDP
// ------------------------------------------------------------------------------------------------

extern int RW_FIELDP_OUT_FILE                       ;     // control identifier
extern int RW_FIELDP_DATA_IN                        ;     // control identifier
extern int RW_FIELDP_OBJECT_ID                      ;     // control identifier
extern int RW_FIELDP_WIDTH                          ;     // control identifier
extern int RW_FIELDP_OFFSET                         ;     // control identifier
extern int RW_FIELDP_OUTPUT_OPT                     ;     // control identifier
extern int RW_FIELDP_READ_WRITE                     ;     // control identifier
extern int RW_FIELDP_BASE_ID                        ;     // control identifier
extern int RW_FIELDP_Z                              ;     // control identifier
extern int RW_FIELDP_Y                              ;     // control identifier
extern int RW_FIELDP_X                              ;     // control identifier
extern int RW_FIELDP_WRITE_OR_APPEND                ;     // control identifier
extern int RW_FIELDP_BIT_31                         ;     // control identifier
extern int RW_FIELDP_BIT_30                         ;     // control identifier
extern int RW_FIELDP_BIT_29                         ;     // control identifier
extern int RW_FIELDP_BIT_28                         ;     // control identifier
extern int RW_FIELDP_BIT_27                         ;     // control identifier
extern int RW_FIELDP_BIT_26                         ;     // control identifier
extern int RW_FIELDP_BIT_24                         ;     // control identifier
extern int RW_FIELDP_BIT_25                         ;     // control identifier
extern int RW_FIELDP_BIT_23                         ;     // control identifier
extern int RW_FIELDP_BIT_22                         ;     // control identifier
extern int RW_FIELDP_BIT_21                         ;     // control identifier
extern int RW_FIELDP_BIT_20                         ;     // control identifier
extern int RW_FIELDP_BIT_19                         ;     // control identifier
extern int RW_FIELDP_BIT_18                         ;     // control identifier
extern int RW_FIELDP_BIT_16                         ;     // control identifier
extern int RW_FIELDP_BIT_17                         ;     // control identifier
extern int RW_FIELDP_BIT_15                         ;     // control identifier
extern int RW_FIELDP_BIT_14                         ;     // control identifier
extern int RW_FIELDP_BIT_13                         ;     // control identifier
extern int RW_FIELDP_BIT_12                         ;     // control identifier
extern int RW_FIELDP_BIT_11                         ;     // control identifier
extern int RW_FIELDP_BIT_10                         ;     // control identifier
extern int RW_FIELDP_BIT_8                          ;     // control identifier
extern int RW_FIELDP_BIT_9                          ;     // control identifier
extern int RW_FIELDP_BIT_7                          ;     // control identifier
extern int RW_FIELDP_BIT_6                          ;     // control identifier
extern int RW_FIELDP_BIT_5                          ;     // control identifier
extern int RW_FIELDP_BIT_4                          ;     // control identifier
extern int RW_FIELDP_BIT_3                          ;     // control identifier
extern int RW_FIELDP_BIT_2                          ;     // control identifier
extern int RW_FIELDP_BIT_0                          ;     // control identifier
extern int RW_FIELDP_BIT_1                          ;     // control identifier
extern int RW_FIELDP_REG_BOX                        ;     // control identifier
extern int RW_FIELDP_DECORATION_2                   ;     // control identifier
extern int RW_FIELDP_TEXTMSG                        ;     // control identifier
extern int RW_FIELDP_TEXTMSG_7                      ;     // control identifier
extern int RW_FIELDP_TEXTMSG_4                      ;     // control identifier
extern int RW_FIELDP_TEXTMSG_3                      ;     // control identifier
extern int RW_FIELDP_DECORATION                     ;     // control identifier
extern int RW_FIELDP_TEXTMSG_8                      ;     // control identifier
extern int RW_FIELDP_TEXTMSG_2                      ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  RW_FIFOP
// ------------------------------------------------------------------------------------------------

extern int RW_FIFOP_OUT_FILE                        ;     // control identifier
extern int RW_FIFOP_INP_FILE                        ;     // control identifier
extern int RW_FIFOP_FS_TIM                          ;     // control identifier
extern int RW_FIFOP_FS_EVENT_2                      ;     // control identifier
extern int RW_FIFOP_FS_EVENT                        ;     // control identifier
extern int RW_FIFOP_FS_DEBUG                        ;     // control identifier
extern int RW_FIFOP_FS_IN                           ;     // control identifier
extern int RW_FIFOP_FILE_SIZE_OBSOLETE              ;     // control identifier
extern int RW_FIFOP_NUM_ELEMENTS                    ;     // control identifier
extern int RW_FIFOP_OUTPUT_OPT                      ;     // control identifier
extern int RW_FIFOP_READ_NOT_WRITE                  ;     // control identifier
extern int RW_FIFOP_FIFO_ID_AND_BANK                ;     // control identifier
extern int RW_FIFOP_DECORATION                      ;     // control identifier
extern int RW_FIFOP_DECORATION_2                    ;     // control identifier
extern int RW_FIFOP_TEXTMSG                         ;     // control identifier
extern int RW_FIFOP_TEXTMSG_4                       ;     // control identifier
extern int RW_FIFOP_TEXTMSG_2                       ;     // control identifier
extern int RW_FIFOP_TEXTMSG_3                       ;     // control identifier
extern int RW_FIFOP_TEXTMSG_5                       ;     // control identifier
extern int RW_FIFOP_TEXTMSG_6                       ;     // control identifier
extern int RW_FIFOP_TEXTMSG_7                       ;     // control identifier
extern int RW_FIFOP_TEXTMSG_9                       ;     // control identifier
extern int RW_FIFOP_TEXTMSG_10                      ;     // control identifier
extern int RW_FIFOP_TEXTMSG_11                      ;     // control identifier
extern int RW_FIFOP_TEXTMSG_12                      ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  RW_MODULEP
// ------------------------------------------------------------------------------------------------

extern int RW_MODULEP_OUT_FILE                      ;     // control identifier
extern int RW_MODULEP_RX3                           ;     // control identifier
extern int RW_MODULEP_RX2                           ;     // control identifier
extern int RW_MODULEP_RX1                           ;     // control identifier
extern int RW_MODULEP_RX0                           ;     // control identifier
extern int RW_MODULEP_PTTC                          ;     // control identifier
extern int RW_MODULEP_GROUP_ID                      ;     // control identifier
extern int RW_MODULEP_MODULE                        ;     // control identifier
extern int RW_MODULEP_INP_FILE                      ;     // control identifier
extern int RW_MODULEP_STRUCT_ID                     ;     // control identifier
extern int RW_MODULEP_READ_NOT_WRITE                ;     // control identifier
extern int RW_MODULEP_ACTIVE                        ;     // control identifier
extern int RW_MODULEP_DECORATION                    ;     // control identifier
extern int RW_MODULEP_DECORATION_2                  ;     // control identifier
extern int RW_MODULEP_TEXTMSG                       ;     // control identifier
extern int RW_MODULEP_TEXTMSG_4                     ;     // control identifier
extern int RW_MODULEP_TEXTMSG_2                     ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  RW_SLAVE
// ------------------------------------------------------------------------------------------------

extern int RW_SLAVE_OUT_FILE                        ;     // control identifier
extern int RW_SLAVE_SLV_ID                          ;     // control identifier
extern int RW_SLAVE_INP_FILE                        ;     // control identifier
extern int RW_SLAVE_START_ADDRESS                   ;     // control identifier
extern int RW_SLAVE_NUM_BYTES                       ;     // control identifier
extern int RW_SLAVE_NUM_WORDS                       ;     // control identifier
extern int RW_SLAVE_READ_NOT_WRITE                  ;     // control identifier
extern int RW_SLAVE_OUTPUT_OPT                      ;     // control identifier
extern int RW_SLAVE_WRITE_OR_APPEND                 ;     // control identifier
extern int RW_SLAVE_DECORATION                      ;     // control identifier
extern int RW_SLAVE_TEXTMSG_4                       ;     // control identifier
extern int RW_SLAVE_DECORATION_3                    ;     // control identifier
extern int RW_SLAVE_TEXTMSG_9                       ;     // control identifier
extern int RW_SLAVE_TEXTMSG                         ;     // control identifier
extern int RW_SLAVE_TEXTMSG_6                       ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  RWMODULVAR
// ------------------------------------------------------------------------------------------------

extern int RWMODULVAR_OUT_FILE                      ;     // control identifier
extern int RWMODULVAR_DATA_LEN                      ;     // control identifier
extern int RWMODULVAR_INP_FILE                      ;     // control identifier
extern int RWMODULVAR_MODULE                        ;     // control identifier
extern int RWMODULVAR_GROUP_ID                      ;     // control identifier
extern int RWMODULVAR_STRUCT_ID                     ;     // control identifier
extern int RWMODULVAR_READ_NOT_WRITE                ;     // control identifier
extern int RWMODULVAR_VAR_TYPE                      ;     // control identifier
extern int RWMODULVAR_CHIP                          ;     // control identifier
extern int RWMODULVAR_DECORATION_2                  ;     // control identifier
extern int RWMODULVAR_TEXTMSG                       ;     // control identifier
extern int RWMODULVAR_TEXTMSG_4                     ;     // control identifier
extern int RWMODULVAR_TEXTMSG_2                     ;     // control identifier
extern int RWMODULVAR_DECORATION                    ;     // control identifier
extern int RWMODULVAR_TEXTMSG_21                    ;     // control identifier
extern int RWMODULVAR_TEXTMSG_22                    ;     // control identifier
extern int RWMODULVAR_TEXTMSG_6                     ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  SEND_CFGP
// ------------------------------------------------------------------------------------------------

extern int SEND_CFGP_MODULE1                        ;     // control identifier
extern int SEND_CFGP_MODULE0                        ;     // control identifier
extern int SEND_CFGP_CMD_BUFF                       ;     // control identifier
extern int SEND_CFGP_TYPE                           ;     // control identifier
extern int SEND_CFGP_GROUP_ID                       ;     // control identifier
extern int SEND_CFGP_STRUCT_ID                      ;     // control identifier
extern int SEND_CFGP_ENABLE_DATA_TAKING             ;     // control identifier
extern int SEND_CFGP_ACTIVE                         ;     // control identifier
extern int SEND_CFGP_RESTORE                        ;     // control identifier
extern int SEND_CFGP_SET_LINKS                      ;     // control identifier
extern int SEND_CFGP_CAP_SER_ON                     ;     // control identifier
extern int SEND_CFGP_CHIP                           ;     // control identifier
extern int SEND_CFGP_DECORATION                     ;     // control identifier
extern int SEND_CFGP_TEXTMSG_4                      ;     // control identifier
extern int SEND_CFGP_TEXTMSG                        ;     // control identifier
extern int SEND_CFGP_TEXTMSG_2                      ;     // control identifier
extern int SEND_CFGP_TEXTMSG_5                      ;     // control identifier
extern int SEND_CFGP_TEXTMSG_21                     ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  SEND_DATAP
// ------------------------------------------------------------------------------------------------

extern int SEND_DATAP_OUT_FILE                      ;     // control identifier
extern int SEND_DATAP_AUX                           ;     // control identifier
extern int SEND_DATAP_TIMEOUT                       ;     // control identifier
extern int SEND_DATAP_OUTPUT_OPT                    ;     // control identifier
extern int SEND_DATAP_DATA_TYPE                     ;     // control identifier
extern int SEND_DATAP_REPBUFF_FLAG                  ;     // control identifier
extern int SEND_DATAP_DECORATION_2                  ;     // control identifier
extern int SEND_DATAP_TEXTMSG                       ;     // control identifier
extern int SEND_DATAP_TEXTMSG_4                     ;     // control identifier
extern int SEND_DATAP_DECORATION                    ;     // control identifier
extern int SEND_DATAP_TEXTMSG_3                     ;     // control identifier
extern int SEND_DATAP_TEXTMSG_2                     ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  SEND_SLIST
// ------------------------------------------------------------------------------------------------

extern int SEND_SLIST_EDIT_SLAVE_LIST               ;     // control identifier
extern int SEND_SLIST_SLV_ID                        ;     // control identifier
extern int SEND_SLIST_LIST_LENGTH                   ;     // control identifier
extern int SEND_SLIST_DECORATION                    ;     // control identifier
extern int SEND_SLIST_TEXTMSG_4                     ;     // control identifier
extern int SEND_SLIST_TEXTMSG_7                     ;     // control identifier
extern int SEND_SLIST_TEXTMSG                       ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  SEND_STRM
// ------------------------------------------------------------------------------------------------

extern int SEND_STRM_CMD_BUFF                       ;     // control identifier
extern int SEND_STRM_CAP_SER_ON                     ;     // control identifier
extern int SEND_STRM_DECORATION                     ;     // control identifier
extern int SEND_STRM_TEXTMSG_4                      ;     // control identifier
extern int SEND_STRM_TEXTMSG_5                      ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  SET_ERRMSK
// ------------------------------------------------------------------------------------------------

extern int SET_ERRMSK_ERRMSG_MASK                   ;     // control identifier
extern int SET_ERRMSK_DECORATION                    ;     // control identifier
extern int SET_ERRMSK_DECORATION_2                  ;     // control identifier
extern int SET_ERRMSK_TEXTMSG                       ;     // control identifier
extern int SET_ERRMSK_TEXTMSG_4                     ;     // control identifier
extern int SET_ERRMSK_TEXTMSG_6                     ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  SET_LEDP
// ------------------------------------------------------------------------------------------------

extern int SET_LEDP_LED_STATE                       ;     // control identifier
extern int SET_LEDP_NUMBER                          ;     // control identifier
extern int SET_LEDP_TEXTMSG_4                       ;     // control identifier
extern int SET_LEDP_DECORATION                      ;     // control identifier
extern int SET_LEDP_TEXTMSG_2                       ;     // control identifier
extern int SET_LEDP_TEXTMSG_5                       ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  SET_MEMP
// ------------------------------------------------------------------------------------------------

extern int SET_MEMP_VALUE                           ;     // control identifier
extern int SET_MEMP_SIZE                            ;     // control identifier
extern int SET_MEMP_START_ADDR                      ;     // control identifier
extern int SET_MEMP_DECORATION                      ;     // control identifier
extern int SET_MEMP_TEXTMSG_4                       ;     // control identifier
extern int SET_MEMP_TEXTMSG                         ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  SET_TRGP
// ------------------------------------------------------------------------------------------------

extern int SET_TRGP_CMD1_5                          ;     // control identifier
extern int SET_TRGP_CMD1_4                          ;     // control identifier
extern int SET_TRGP_CMD1_3                          ;     // control identifier
extern int SET_TRGP_CMD1_2                          ;     // control identifier
extern int SET_TRGP_CMD1_1                          ;     // control identifier
extern int SET_TRGP_CMD1_0                          ;     // control identifier
extern int SET_TRGP_CMD0_5                          ;     // control identifier
extern int SET_TRGP_CMD0_4                          ;     // control identifier
extern int SET_TRGP_CMD0_3                          ;     // control identifier
extern int SET_TRGP_DINCR1                          ;     // control identifier
extern int SET_TRGP_CHIP                            ;     // control identifier
extern int SET_TRGP_CMD0_2                          ;     // control identifier
extern int SET_TRGP_CMD0_1                          ;     // control identifier
extern int SET_TRGP_DATA1_1                         ;     // control identifier
extern int SET_TRGP_DATA1_5                         ;     // control identifier
extern int SET_TRGP_DATA1_4                         ;     // control identifier
extern int SET_TRGP_DATA1_3                         ;     // control identifier
extern int SET_TRGP_DATA1_2                         ;     // control identifier
extern int SET_TRGP_DATA1_0                         ;     // control identifier
extern int SET_TRGP_CINCR1                          ;     // control identifier
extern int SET_TRGP_CMD0_0                          ;     // control identifier
extern int SET_TRGP_CMD_BUFF                        ;     // control identifier
extern int SET_TRGP_FIBRE                           ;     // control identifier
extern int SET_TRGP_DINCR0                          ;     // control identifier
extern int SET_TRGP_SET                             ;     // control identifier
extern int SET_TRGP_BIN                             ;     // control identifier
extern int SET_TRGP_DATA0_1                         ;     // control identifier
extern int SET_TRGP_DATA0_5                         ;     // control identifier
extern int SET_TRGP_DATA0_4                         ;     // control identifier
extern int SET_TRGP_DATA0_3                         ;     // control identifier
extern int SET_TRGP_DATA0_2                         ;     // control identifier
extern int SET_TRGP_DATA0_0                         ;     // control identifier
extern int SET_TRGP_CINCR0                          ;     // control identifier
extern int SET_TRGP_DATAOFF1                        ;     // control identifier
extern int SET_TRGP_INTERVAL                        ;     // control identifier
extern int SET_TRGP_DATAOFF0                        ;     // control identifier
extern int SET_TRGP_REP                             ;     // control identifier
extern int SET_TRGP_PREBUILT                        ;     // control identifier
extern int SET_TRGP_SLV1                            ;     // control identifier
extern int SET_TRGP_SLV3                            ;     // control identifier
extern int SET_TRGP_SLV0                            ;     // control identifier
extern int SET_TRGP_SLV2                            ;     // control identifier
extern int SET_TRGP_TEXTMSG_4                       ;     // control identifier
extern int SET_TRGP_TEXTMSG_15                      ;     // control identifier
extern int SET_TRGP_TEXTMSG_16                      ;     // control identifier
extern int SET_TRGP_TEXTMSG_2                       ;     // control identifier
extern int SET_TRGP_TEXTMSG_20                      ;     // control identifier
extern int SET_TRGP_TEXTMSG_22                      ;     // control identifier
extern int SET_TRGP_TEXTMSG_23                      ;     // control identifier
extern int SET_TRGP_DECORATION                      ;     // control identifier
extern int SET_TRGP_TEXTMSG_21                      ;     // control identifier
extern int SET_TRGP_TEXTMSG_14                      ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  SETRODMODE
// ------------------------------------------------------------------------------------------------

extern int SETRODMODE_FLAG                          ;     // control identifier
extern int SETRODMODE_NBITS                         ;     // control identifier
extern int SETRODMODE_DELAY                         ;     // control identifier
extern int SETRODMODE_EVENTS_PER_L1A                ;     // control identifier
extern int SETRODMODE_MODE                          ;     // control identifier
extern int SETRODMODE_MESSAGE                       ;     // control identifier
extern int SETRODMODE_FIFO_SETUP                    ;     // control identifier
extern int SETRODMODE_TEXTMSG_4                     ;     // control identifier
extern int SETRODMODE_TEXTMSG                       ;     // control identifier
extern int SETRODMODE_TEXTMSG_3                     ;     // control identifier
extern int SETRODMODE_TEXTMSG_2                     ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  SLIST_OP
// ------------------------------------------------------------------------------------------------

extern int SLIST_OP_LIST_OP                         ;     // control identifier
extern int SLIST_OP_SLV_ID                          ;     // control identifier
extern int SLIST_OP_DECORATION                      ;     // control identifier
extern int SLIST_OP_TEXTMSG_4                       ;     // control identifier
extern int SLIST_OP_TEXTMSG                         ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  START_DATA
// ------------------------------------------------------------------------------------------------


//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  START_SLIS
// ------------------------------------------------------------------------------------------------

extern int START_SLIS_GET_SLAVE_REPLY               ;     // control identifier
extern int START_SLIS_SLV_ID                        ;     // control identifier
extern int START_SLIS_PAUSE_MASTER_LIST             ;     // control identifier
extern int START_SLIS_DECORATION                    ;     // control identifier
extern int START_SLIS_TEXTMSG_4                     ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  START_SLV
// ------------------------------------------------------------------------------------------------

extern int START_SLV_TIMEOUT                        ;     // control identifier
extern int START_SLV_SLV_ID                         ;     // control identifier
extern int START_SLV_ON_OFF                         ;     // control identifier
extern int START_SLV_TYPE                           ;     // control identifier
extern int START_SLV_DECORATION                     ;     // control identifier
extern int START_SLV_DECORATION_2                   ;     // control identifier
extern int START_SLV_TEXTMSG                        ;     // control identifier
extern int START_SLV_TEXTMSG_4                      ;     // control identifier
extern int START_SLV_TEXTMSG_6                      ;     // control identifier
extern int START_SLV_TEXTMSG_7                      ;     // control identifier
extern int START_SLV_TEXTMSG_2                      ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  START_TSKP
// ------------------------------------------------------------------------------------------------

extern int START_TSKP_INP_FILE                      ;     // control identifier
extern int START_TSKP_TASK_TYPE                     ;     // control identifier
extern int START_TSKP_DEFAULT3                      ;     // control identifier
extern int START_TSKP_DEFAULT4                      ;     // control identifier
extern int START_TSKP_DEFAULT6                      ;     // control identifier
extern int START_TSKP_DEFAULT5                      ;     // control identifier
extern int START_TSKP_DEFAULT2                      ;     // control identifier
extern int START_TSKP_PRIORITY                      ;     // control identifier
extern int START_TSKP_HIST_CREATOR                  ;     // control identifier
extern int START_TSKP_CMPL_FLAG                     ;     // control identifier
extern int START_TSKP_TASK_UNION                    ;     // control identifier
extern int START_TSKP_TEXTMSG_4                     ;     // control identifier
extern int START_TSKP_TEXTMSG_3                     ;     // control identifier
extern int START_TSKP_DECORATION                    ;     // control identifier
extern int START_TSKP_TEXTMSG_5                     ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  STOP_DATA
// ------------------------------------------------------------------------------------------------


//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  TESTGREG
// ------------------------------------------------------------------------------------------------

extern int TESTGREG_OUT_FILE                        ;     // control identifier
extern int TESTGREG_FE_INDEX                        ;     // control identifier
extern int TESTGREG_MODULE_ID                       ;     // control identifier
extern int TESTGREG_STRUCT_ID                       ;     // control identifier
extern int TESTGREG_DECORATION                      ;     // control identifier
extern int TESTGREG_DECORATION_2                    ;     // control identifier
extern int TESTGREG_TEXTMSG                         ;     // control identifier
extern int TESTGREG_TEXTMSG_4                       ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  TESTP
// ------------------------------------------------------------------------------------------------

extern int TESTP_INP_FILE                           ;     // control identifier
extern int TESTP_INPUT_OPTION                       ;     // control identifier
extern int TESTP_DATA_LEN                           ;     // control identifier
extern int TESTP_INP_TABLE                          ;     // control identifier
extern int TESTP_DECORATION                         ;     // control identifier
extern int TESTP_DECORATION_2                       ;     // control identifier
extern int TESTP_TEXTMSG_4                          ;     // control identifier
extern int TESTP_TEXTMSG_7                          ;     // control identifier
extern int TESTP_TEXTMSG                            ;     // control identifier
extern int TESTP_TEXTMSG_2                          ;     // control identifier
extern int TESTP_TEXTMSG_6                          ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  TSK_OPER
// ------------------------------------------------------------------------------------------------

extern int TSK_OPER_OPER                            ;     // control identifier
extern int TSK_OPER_DATA                            ;     // control identifier
extern int TSK_OPER_TYPE                            ;     // control identifier
extern int TSK_OPER_TEXTMSG_4                       ;     // control identifier
extern int TSK_OPER_DECORATION                      ;     // control identifier
extern int TSK_OPER_TEXTMSG_3                       ;     // control identifier
extern int TSK_OPER_DECORATION_2                    ;     // control identifier
extern int TSK_OPER_TEXTMSG                         ;     // control identifier
extern int TSK_OPER_TEXTMSG_7                       ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  WR_BUFFP
// ------------------------------------------------------------------------------------------------

extern int WR_BUFFP_BUFFER                          ;     // control identifier
extern int WR_BUFFP_STRING                          ;     // control identifier
extern int WR_BUFFP_TEXTMSG_4                       ;     // control identifier
extern int WR_BUFFP_DECORATION                      ;     // control identifier
extern int WR_BUFFP_TEXTMSG                         ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  X_SER_DATA
// ------------------------------------------------------------------------------------------------

extern int X_SER_DATA_P1_FILE                       ;     // control identifier
extern int X_SER_DATA_P0_FILE                       ;     // control identifier
extern int X_SER_DATA_P1_SETS                       ;     // control identifier
extern int X_SER_DATA_P0_SETS                       ;     // control identifier
extern int X_SER_DATA_P1_FILE_OPT                   ;     // control identifier
extern int X_SER_DATA_CAP_SER_ON                    ;     // control identifier
extern int X_SER_DATA_P0_FILE_OPT                   ;     // control identifier
extern int X_SER_DATA_TEXTMSG_4                     ;     // control identifier
extern int X_SER_DATA_DECORATION                    ;     // control identifier
extern int X_SER_DATA_TEXTMSG_6                     ;     // control identifier
extern int X_SER_DATA_TEXTMSG_3                     ;     // control identifier
extern int X_SER_DATA_TEXTMSG                       ;     // control identifier
extern int X_SER_DATA_TEXTMSG_2                     ;     // control identifier
extern int X_SER_DATA_TEXTMSG_7                     ;     // control identifier
extern int X_SER_DATA_TEXTMSG_8                     ;     // control identifier

#ifdef __cplusplus
    }
#endif

#endif // _UIPRIMITIVES_INCLUDED