
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------
//
//  "uiTim.h"
//
//  Declaration and include file for UI build functions
//

//  Date: 11-07-2004
//

//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------

#ifndef _UITIM_INCLUDED
#define _UITIM_INCLUDED

#ifdef __cplusplus
    extern "C" {            /* Assume C declarations for C++ */
#endif  /* __cplusplus */

//----------------------------------------------------------------------------------------------------
//  Include required headers
//----------------------------------------------------------------------------------------------------

#include <cvidef.h> // definition of CVICALLBACK

//----------------------------------------------------------------------------------------------------
//  Prototype UI build functions.
//----------------------------------------------------------------------------------------------------

int buildPanel_tim (int hParentPanel);
int buildMenu_tim (int hParentPanel);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: TIMP
// ------------------------------------------------------------------------------------------------

// Control: TIMP_WRITE_WORD
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_READ_WORD
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_WRITE_DATA_WORD
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_TIM_REGS
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_11
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_12
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_13
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_14
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_15
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_6
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_7
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_8
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_9
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_10
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_5
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_4
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_3
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_2
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_1
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_0
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: TIM_MENU
// ------------------------------------------------------------------------------------------------

// Menu: MAIN_WINDOW
void CVICALLBACK timMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: VME_WINDOW
void CVICALLBACK timMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: CLOSE
void CVICALLBACK timMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);


//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  TIMP
// ------------------------------------------------------------------------------------------------

extern int TIMP_WRITE_WORD                          ;     // control identifier
extern int TIMP_READ_DATA_WORD                      ;     // control identifier
extern int TIMP_READ_WORD                           ;     // control identifier
extern int TIMP_WRITE_DATA_WORD                     ;     // control identifier
extern int TIMP_WORD_ADDRESS                        ;     // control identifier
extern int TIMP_TIM_REGS                            ;     // control identifier
extern int TIMP_RBIT_11                             ;     // control identifier
extern int TIMP_BUTT_11                             ;     // control identifier
extern int TIMP_RBIT_12                             ;     // control identifier
extern int TIMP_BUTT_12                             ;     // control identifier
extern int TIMP_RBIT_13                             ;     // control identifier
extern int TIMP_BUTT_13                             ;     // control identifier
extern int TIMP_RBIT_14                             ;     // control identifier
extern int TIMP_BUTT_14                             ;     // control identifier
extern int TIMP_RBIT_15                             ;     // control identifier
extern int TIMP_BUTT_15                             ;     // control identifier
extern int TIMP_RBIT_6                              ;     // control identifier
extern int TIMP_BUTT_6                              ;     // control identifier
extern int TIMP_RBIT_7                              ;     // control identifier
extern int TIMP_BUTT_7                              ;     // control identifier
extern int TIMP_RBIT_8                              ;     // control identifier
extern int TIMP_BUTT_8                              ;     // control identifier
extern int TIMP_RBIT_9                              ;     // control identifier
extern int TIMP_BUTT_9                              ;     // control identifier
extern int TIMP_RBIT_10                             ;     // control identifier
extern int TIMP_BUTT_10                             ;     // control identifier
extern int TIMP_RBIT_5                              ;     // control identifier
extern int TIMP_BUTT_5                              ;     // control identifier
extern int TIMP_RBIT_4                              ;     // control identifier
extern int TIMP_BUTT_4                              ;     // control identifier
extern int TIMP_RBIT_3                              ;     // control identifier
extern int TIMP_BUTT_3                              ;     // control identifier
extern int TIMP_RBIT_2                              ;     // control identifier
extern int TIMP_BUTT_2                              ;     // control identifier
extern int TIMP_RBIT_1                              ;     // control identifier
extern int TIMP_BUTT_1                              ;     // control identifier
extern int TIMP_RBIT_0                              ;     // control identifier
extern int TIMP_BUTT_0                              ;     // control identifier
extern int TIMP_TEXTBOX                             ;     // control identifier
extern int TIMP_TEXTMSG_71                          ;     // control identifier
extern int TIMP_TEXTMSG_86                          ;     // control identifier
extern int TIMP_TEXTMSG_72                          ;     // control identifier
extern int TIMP_TEXTMSG_73                          ;     // control identifier
extern int TIMP_TEXTMSG_74                          ;     // control identifier
extern int TIMP_TEXTMSG_75                          ;     // control identifier
extern int TIMP_TEXTMSG_80                          ;     // control identifier
extern int TIMP_TEXTMSG_79                          ;     // control identifier
extern int TIMP_TEXTMSG_78                          ;     // control identifier
extern int TIMP_TEXTMSG_77                          ;     // control identifier
extern int TIMP_TEXTMSG_76                          ;     // control identifier
extern int TIMP_TEXTMSG_85                          ;     // control identifier
extern int TIMP_TEXTMSG_84                          ;     // control identifier
extern int TIMP_TEXTMSG_83                          ;     // control identifier
extern int TIMP_TEXTMSG_82                          ;     // control identifier
extern int TIMP_TEXTMSG_81                          ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  TIM_MENU
// ------------------------------------------------------------------------------------------------

extern int TIM_MENU_MAIN_WINDOW                     ;     // menu identifier
extern int TIM_MENU_VME_WINDOW                      ;     // menu identifier
extern int TIM_MENU_CLOSE                           ;     // menu identifier

#ifdef __cplusplus
    }
#endif

#endif // _UITIM_INCLUDED