/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2003. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  MASTER_MEM                      1
#define  MASTER_MEM_COMPARE_BUFFS        2       /* callback function: masterMemButtons */
#define  MASTER_MEM_LOAD_FILE            3       /* callback function: masterMemButtons */
#define  MASTER_MEM_WRITE_WORD           4       /* callback function: masterMemButtons */
#define  MASTER_MEM_READ_WORD            5       /* callback function: masterMemButtons */
#define  MASTER_MEM_WRITE_TO_MEMORY      6       /* callback function: masterMemButtons */
#define  MASTER_MEM_WRITE_BYTES          7
#define  MASTER_MEM_DELAY                8
#define  MASTER_MEM_NEW_BUFFER           9       /* callback function: masterMemButtons */
#define  MASTER_MEM_WRITE_ADDRESS        10
#define  MASTER_MEM_READ_DATA_WORD       11
#define  MASTER_MEM_WRITE_DATA_WORD      12
#define  MASTER_MEM_WORD_ADDRESS         13      /* callback function: wordBoundary */
#define  MASTER_MEM_PIO                  14
#define  MASTER_MEM_BLOCK_ACCESS         15      /* callback function: masterMemButtons */
#define  MASTER_MEM_READ_MEMORY          16      /* callback function: masterMemButtons */
#define  MASTER_MEM_SAVE_WRITE_TABLE     17      /* callback function: masterMemButtons */
#define  MASTER_MEM_SAVE_READ_TABLE      18      /* callback function: masterMemButtons */
#define  MASTER_MEM_WRITE_TABLE          19      /* callback function: masterMemButtons */
#define  MASTER_MEM_READ_TABLE           20
#define  MASTER_MEM_REPEAT_COUNTER       21
#define  MASTER_MEM_REPEAT               22
#define  MASTER_MEM_READ_BYTES           23      /* callback function: wordBoundary */
#define  MASTER_MEM_WRITE_TABLE_ADDR     24      /* callback function: masterMemButtons */
#define  MASTER_MEM_READ_TABLE_ADDR      25      /* callback function: masterMemButtons */
#define  MASTER_MEM_READ_ADDRESS         26      /* callback function: wordBoundary */
#define  MASTER_MEM_SLOT_NUMBER          27
#define  MASTER_MEM_EXTERNAL_VIEWER      28      /* callback function: masterMemButtons */
#define  MASTER_MEM_ADDRESS_TABLE        29      /* callback function: masterMemButtons */
#define  MASTER_MEM_VME_BUSY             30
#define  MASTER_MEM_WRITE_TABLE_SLIDE    31      /* callback function: masterMemButtons */
#define  MASTER_MEM_READ_TABLE_SLIDE     32      /* callback function: masterMemButtons */
#define  MASTER_MEM_COUNTER_ON           33
#define  MASTER_MEM_TIMER                34
#define  MASTER_MEM_DECORATION_3         35
#define  MASTER_MEM_TEXTMSG              36
#define  MASTER_MEM_TEXTMSG_2            37

#define  SLAVE_MEM                       2
#define  SLAVE_MEM_COMPARE_BUFFS         2       /* callback function: slaveMemButtons */
#define  SLAVE_MEM_LOAD_FILE             3       /* callback function: slaveMemButtons */
#define  SLAVE_MEM_WRITE_WORD            4       /* callback function: slaveMemButtons */
#define  SLAVE_MEM_READ_WORD             5       /* callback function: slaveMemButtons */
#define  SLAVE_MEM_WRITE_TO_MEMORY       6       /* callback function: slaveMemButtons */
#define  SLAVE_MEM_WRITE_BYTES           7
#define  SLAVE_MEM_NEW_BUFFER            8       /* callback function: slaveMemButtons */
#define  SLAVE_MEM_WRITE_ADDRESS         9
#define  SLAVE_MEM_READ_DATA_WORD        10
#define  SLAVE_MEM_WRITE_DATA_WORD       11
#define  SLAVE_MEM_WORD_ADDRESS          12      /* callback function: wordBoundary */
#define  SLAVE_MEM_READ_MEMORY           13      /* callback function: slaveMemButtons */
#define  SLAVE_MEM_PIO                   14
#define  SLAVE_MEM_SAVE_WRITE_TABLE      15      /* callback function: slaveMemButtons */
#define  SLAVE_MEM_SAVE_READ_TABLE       16      /* callback function: slaveMemButtons */
#define  SLAVE_MEM_WRITE_TABLE           17      /* callback function: slaveMemButtons */
#define  SLAVE_MEM_READ_TABLE            18
#define  SLAVE_MEM_READ_BYTES            19      /* callback function: wordBoundary */
#define  SLAVE_MEM_WRITE_TABLE_ADDR      20      /* callback function: slaveMemButtons */
#define  SLAVE_MEM_READ_TABLE_ADDR       21      /* callback function: slaveMemButtons */
#define  SLAVE_MEM_READ_ADDRESS          22      /* callback function: wordBoundary */
#define  SLAVE_MEM_SLAVE_NUMBER          23
#define  SLAVE_MEM_SLOT_NUMBER           24
#define  SLAVE_MEM_EXTERNAL_VIEWER       25      /* callback function: slaveMemButtons */
#define  SLAVE_MEM_ADDRESS_TABLE         26      /* callback function: slaveMemButtons */
#define  SLAVE_MEM_VME_BUSY              27
#define  SLAVE_MEM_WRITE_TABLE_SLIDE     28      /* callback function: slaveMemButtons */
#define  SLAVE_MEM_READ_TABLE_SLIDE      29      /* callback function: slaveMemButtons */
#define  SLAVE_MEM_BINARYSWITCH          30
#define  SLAVE_MEM_TIMER                 31
#define  SLAVE_MEM_DECORATION_3          32
#define  SLAVE_MEM_TEXTMSG               33
#define  SLAVE_MEM_TEXTMSG_2             34
#define  SLAVE_MEM_DECORATION_4          35

#define  VME_MEM                         3
#define  VME_MEM_COMPARE_BUFFS           2       /* callback function: vmeMemButtons */
#define  VME_MEM_WRITE_WORD              3       /* callback function: vmeMemButtons */
#define  VME_MEM_READ_WORD               4       /* callback function: vmeMemButtons */
#define  VME_MEM_NEW_BUFFER              5       /* callback function: vmeMemButtons */
#define  VME_MEM_LOAD_FILE               6       /* callback function: vmeMemButtons */
#define  VME_MEM_WRITE_TO_MEMORY         7       /* callback function: vmeMemButtons */
#define  VME_MEM_WRITE_BYTES             8
#define  VME_MEM_READ_DATA_WORD          9
#define  VME_MEM_WRITE_DATA_WORD         10
#define  VME_MEM_WORD_ADDRESS            11
#define  VME_MEM_WRITE_ADDRESS           12
#define  VME_MEM_SAVE_WRITE_TABLE        13      /* callback function: vmeMemButtons */
#define  VME_MEM_SLOT_NUMBER             14      /* callback function: vmeMemButtons */
#define  VME_MEM_READ_MEMORY             15      /* callback function: vmeMemButtons */
#define  VME_MEM_WRITE_TABLE             16      /* callback function: vmeMemButtons */
#define  VME_MEM_READ_TABLE              17
#define  VME_MEM_EXTERNAL_VIEWER         18      /* callback function: vmeMemButtons */
#define  VME_MEM_SAVE_READ_TABLE         19      /* callback function: vmeMemButtons */
#define  VME_MEM_WRITE_TABLE_ADDR        20      /* callback function: vmeMemButtons */
#define  VME_MEM_READ_TABLE_ADDR         21      /* callback function: vmeMemButtons */
#define  VME_MEM_READ_BYTES              22
#define  VME_MEM_READ_ADDRESS            23
#define  VME_MEM_ADDRESS_TABLE_TIM       24      /* callback function: vmeMemButtons */
#define  VME_MEM_ADDRESS_TABLE           25      /* callback function: vmeMemButtons */
#define  VME_MEM_VME_BUSY                26
#define  VME_MEM_WRITE_TABLE_SLIDE       27      /* callback function: vmeMemButtons */
#define  VME_MEM_READ_TABLE_SLIDE        28      /* callback function: vmeMemButtons */
#define  VME_MEM_VME_ACCESS              29      /* callback function: vmeMemButtons */
#define  VME_MEM_TEXTMSG_5               30
#define  VME_MEM_DECORATION_3            31
#define  VME_MEM_TEXTMSG_11              32
#define  VME_MEM_TEXTMSG_12              33
#define  VME_MEM_TEXTMSG_14              34
#define  VME_MEM_TEXTMSG_15              35
#define  VME_MEM_TEXTMSG_16              36
#define  VME_MEM_TEXTMSG_17              37
#define  VME_MEM_TEXTMSG_18              38
#define  VME_MEM_TEXTMSG                 39
#define  VME_MEM_TEXTMSG_19              40
#define  VME_MEM_DECORATION_4            41

#define  WRBUFF_M                        4
#define  WRBUFF_M_CANCEL                 2       /* callback function: masterMemButtons */
#define  WRBUFF_M_OK                     3       /* callback function: masterMemButtons */
#define  WRBUFF_M_DEFAULT_VALUE          4
#define  WRBUFF_M_BYTES                  5       /* callback function: wordBoundary */
#define  WRBUFF_M_ADDRESS                6       /* callback function: wordBoundary */

#define  WRBUFF_S                        5
#define  WRBUFF_S_CANCEL                 2       /* callback function: slaveMemButtons */
#define  WRBUFF_S_OK                     3       /* callback function: slaveMemButtons */
#define  WRBUFF_S_DEFAULT_VALUE          4
#define  WRBUFF_S_BYTES                  5       /* callback function: wordBoundary */
#define  WRBUFF_S_ADDRESS                6       /* callback function: wordBoundary */

#define  WRBUFF_VME                      6
#define  WRBUFF_VME_CANCEL               2       /* callback function: vmeMemButtons */
#define  WRBUFF_VME_OK                   3       /* callback function: vmeMemButtons */
#define  WRBUFF_VME_DEFAULT_VALUE        4
#define  WRBUFF_VME_BYTES                5
#define  WRBUFF_VME_REL_ADDRESS          6


     /* Menu Bars, Menus, and Menu Items: */

#define  ROD_MEM                         1
#define  ROD_MEM_GOTO_MAIN               2       /* callback function: rodMemMenu */
#define  ROD_MEM_VIEW_BIN_FILE           3       /* callback function: rodMemMenu */
#define  ROD_MEM_CLOSE_WINDOW            4       /* callback function: rodMemMenu */


     /* Callback Prototypes: */ 

int  CVICALLBACK masterMemButtons(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK rodMemMenu(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK slaveMemButtons(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK vmeMemButtons(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK wordBoundary(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
