@ECHO OFF
:Start
SET PORT=COM1
SET VT100=
CLS
ECHO    ͻ
ECHO     PBT(C)-415 Firmware                                          
ECHO    ͹
ECHO                                                                  
ECHO     Welcome to the PBT(C)-415 Firmware Upload Procedure.         
ECHO                                                                 
ECHO      PLEASE READ ALL INSTRUCTIONS CAREFULLY BEFORE              
ECHO      PROCEEDING AT ANY STEP!                                    
ECHO                                                                  
ECHO     Ignore the following if the PBT(C)-415 contains no firmware: 
ECHO                                                                  
ECHO     * Make sure that the PBT(C)-415 TERMINAL port is set to      
ECHO       automatic baud-rate detection before you proceed.          
ECHO       Verify this by connecting a terminal (or use the PC)       
ECHO       and execute the command "Utilities/Serial Ports/Terminal"  
ECHO                                                                  
ECHO       Change the "Baud rate:" entry to "Auto". Type CR and       
ECHO       reset the PBT(C)-415 by toggling the Reset switch.         
ECHO                                                                  
ECHO    ͼ
IFF Q Do you want to continue
IF ERRORLEVEL 20 GOTO Exit
ECHO    ͻ
ECHO     PBT(C)-415 Firmware                                          
ECHO    ͹
ECHO                                                                  
ECHO     Select a number from the menu below that match the COM port  
ECHO     which is connected to the TERMINAL port of the PBT(C)-415:   
ECHO                                                                  
ECHO     1. COM1                                                      
ECHO     2. COM2                                                      
ECHO                                                                  
ECHO     0. Abort installation.                                       
ECHO                                                                  
ECHO     COM3 and COM4 are not supported.                             
ECHO                                                                  
ECHO    ͼ
IFF P 2
IF ERRORLEVEL 2 GOTO Port2
IF ERRORLEVEL 1 GOTO Port1
GOTO Exit

:Port2
SET PORT=COM2
GOTO Upload

:Port1
SET PORT=COM1

:Upload
ECHO    ͻ
ECHO                           PBT(C)-415 Upgrade                     
ECHO    ͹
ECHO                                                                  
ECHO     * Make a selection:                                          
ECHO                                                                  
ECHO     1. Upgrade PBT(C)-415 Tracer firmware                        
ECHO     2. Upgrade PBT(C)-415 PCI Exerciser firmware                 
ECHO     3. Upgrade All                                               
ECHO     0. Abort installation.                                       
ECHO                                                                  
ECHO    ͼ
IFF P 3
IF ERRORLEVEL 3 GOTO UpgradeAll
IF ERRORLEVEL 2 GOTO UpgradeExerciser
IF ERRORLEVEL 1 GOTO UpgradeTracer
GOTO Exit


:UpgradeAll
vt100 -P %PORT% -i upl415.inp
IF ERRORLEVEL 1 GOTO Exit
GOTO UpgradeExerciser

:UpgradeTracer
vt100 -P %PORT% -i upl415.inp
IF ERRORLEVEL 1 GOTO Exit
GOTO Finish

:UpgradeExerciser
vt100 -P %PORT% -i uplpx.inp
IF ERRORLEVEL 1 GOTO Exit
GOTO Finish

:Finish
ECHO    I N F O ͻ
ECHO                                                                  
ECHO     VMETRO Terminal Emulator, VT100.EXE can be used with the     
ECHO     following parameters to communicate with the Tracer:         
ECHO                                                                  
ECHO     vt100 -P %PORT% -p 38k4                                        
ECHO                                                                  
ECHO     Or: Include the following statement in AUTOEXEC.BAT:         
ECHO                                                                  
ECHO     SET VT100=-P %PORT% -p 38k4                                    
ECHO                                                                  
ECHO     This sets the default parameters used by VT100.EXE when the  
ECHO     PC is restarted. Starting VT100 without parameters starts    
ECHO     the VMETRO Terminal Emulator using the default parameters.   
ECHO     Parameters given on the command line will override the       
ECHO     default values in the VT100 environment variable.            
ECHO                                                                  
ECHO     Hints on using the VT100.EXE:                                
ECHO                                                                  
ECHO     * Starting the VT100 with the single parameter "?" lists all 
ECHO       accepted parameters.                                       
ECHO                                                                  
ECHO    ͼ
:Exit
