ECHO OFF
:Start
SET PORT=COM1
SET VT100=
CLS
ECHO    ͻ
ECHO     VBT-325 Firmware                                             
ECHO    ͹
ECHO                                                                  
ECHO     Welcome to the VBT-325 Firmware Upload Procedure.            
ECHO                                                                 
ECHO      PLEASE READ ALL INSTRUCTIONS CAREFULLY BEFORE              
ECHO      PROCEEDING AT ANY STEP!                                    
ECHO                                                                  
ECHO     Select a number from the menu below that match the COM port  
ECHO     which is connected to the TERMINAL port of the Tracer:       
ECHO                                                                  
ECHO     1. COM1                                                      
ECHO     2. COM2                                                      
ECHO                                                                  
ECHO     0. Abort installation.                                       
ECHO                                                                  
ECHO     COM3 and COM4 are not supported.                             
ECHO                                                                  
ECHO    ͼ
IFF P 2
IF ERRORLEVEL 2 GOTO Port2
IF ERRORLEVEL 1 GOTO Port1
GOTO Exit

:Port2
SET PORT=COM2
GOTO Continue

:Port1
SET PORT=COM1

:Continue
vt100 -P %PORT% -i uplvbt.inp
IF ERRORLEVEL 1 GOTO Exit
ECHO    I N F O ͻ
ECHO                                                                  
ECHO     VMETRO Terminal Emulator, VT100.EXE can be used with the     
ECHO     following parameters to communicate with the Tracer:         
ECHO                                                                  
ECHO     vt100 -P %PORT% -p 38k4                                        
ECHO                                                                  
ECHO     Or: Include the following statement in AUTOEXEC.BAT:         
ECHO                                                                  
ECHO     SET VT100=-P %PORT% -p 38k4                                    
ECHO                                                                  
ECHO     This sets the default parameters used by VT100.EXE when the  
ECHO     PC is restarted. Starting VT100 without parameters starts    
ECHO     the VMETRO Terminal Emulator using the default parameters.   
ECHO     Parameters given on the command line will override the       
ECHO     default values in the VT100 environment variable.            
ECHO                                                                  
ECHO     Hints on using the VT100.EXE:                                
ECHO                                                                  
ECHO     * Starting the VT100 with the single parameter "?" lists all 
ECHO       accepted parameters.                                       
ECHO                                                                  
ECHO    ͼ
:Exit
