
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------
//
//  "uiMain.c"
//
//  Implementation file for UI build functions
//
//  Date: 11-07-2004
//
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------

//----------------------------------------------------------------------------------------------------
//  Include header files
//----------------------------------------------------------------------------------------------------

#include "uiMain.h"
#include <Utility.h> // definition of NULL
#include "toolbox.h" // definition of errChk macro

extern int CVIFUNC_C GetUserBitmapFromText (char *imageText, int version, int *bitmapId); // needed if there are bitmaps
extern int CVIFUNC_C NewActiveXCtrlFromPersistence (int panel, const char *ctrlLabel,
                                                    int top, int left, char *defaultIID,
                                                    int binaryFormat, char *persistenceText,
                                                    HRESULT *activeXError); // needed if there are ActiveX controls

//----------------------------------------------------------------------------------------------------
//  Prototype UI build functions.
//----------------------------------------------------------------------------------------------------

int buildCommandListStatusPanel (int hParentPanel);
int buildDspCommRegMonitorPanel (int hParentPanel);
int buildRodDevilPanel (int hParentPanel);
int buildGraphPanel (int hParentPanel);
int buildMainPanel (int hParentPanel);
int buildRodSelectPanel (int hParentPanel);
int buildRodPanel (int hParentPanel);
int buildTextPanel (int hParentPanel);
int buildCommandListStatusMenu (int hParentPanel);
int buildDspCommRegMonitorMenu (int hParentPanel);
int buildMainMenu (int hParentPanel);
int buildRodPanelMenu (int hParentPanel);
int buildTextPanelMenu (int hParentPanel);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: CLISTP
// ------------------------------------------------------------------------------------------------

// Control: CLISTP_LIST_FILE
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_SEND_LIST
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_NUM_OF_LIST_REP
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_EDIT_CLIST
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_RESET_CMDREP
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_RESET_REP_LIST_NUM
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_RESUME_CTRL_THREAD
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_RESET_CTRL_THREAD
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: DSPMONP
// ------------------------------------------------------------------------------------------------

// Control: DSPMONP_STATUS_REG_2
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_STATUS_REG_1
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_HCMD_REG
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_TRAP_CMD_STAT
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_INTR_DSP_HSHK_WR
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_INTR_DSP_HSHK_RD
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RESERVED_REG_4
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RESERVED_REG_5
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RESERVED_REG_6
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_TASK_STATE_REG
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RESERVED_REG_2
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RESERVED_REG_3
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RESERVED_REG_1
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RESERVED_REG_0
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_HSTAT_REG_1
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_HSTAT_REG_0
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_HCMD_STAT_REG_1
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_HCMD_STAT_REG_0
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_LOOP_REG
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_TRAPSTAT_REG_1
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_TRAPSTAT_REG_0
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_DIAGNOSTIC_REG
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_COMMAND_REG_0
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_STATUS_REG_0
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_EDIT_FIELD
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_31
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_30
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_29
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_31
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_30
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_29
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_28
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_27
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_26
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_25
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_23
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_24
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_22
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_21
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_20
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_19
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_18
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_15
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_17
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_16
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_14
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_13
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_12
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_11
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_7
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_10
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_9
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_8
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_6
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_5
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_4
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_3
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_2
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_1
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_0
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_28
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_27
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_26
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_24
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_25
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_23
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_22
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_21
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_20
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_19
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_18
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_16
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_17
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_7
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_15
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_6
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_14
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_5
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_13
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_4
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_12
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_3
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_11
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_2
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_10
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_COPY
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_WRITE
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_VIEW_CRDH
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_READ_REGS
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_0
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_8
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_1
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_9
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_REGISTERS_RING_READ
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: ERROR_PAN
// ------------------------------------------------------------------------------------------------

// Control: ERROR_PAN_NO
int CVICALLBACK shutErrorPanel (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ERROR_PAN_OK
int CVICALLBACK shutErrorPanel (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: GRAPHP
// ------------------------------------------------------------------------------------------------

// Control: GRAPHP_CLOSE
int CVICALLBACK closeGraph (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: MAIN
// ------------------------------------------------------------------------------------------------

// Control: MAIN_COMM_LOOP_PRIOR
int CVICALLBACK setThreadPriorityOpt (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_VME_BYTE_ORDER
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_UIR_PRIORITY
int CVICALLBACK setThreadPriorityOpt (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_TEXTBUFF_TIMEOUT
int CVICALLBACK setTimeout (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_CONTROL_PRIOR
int CVICALLBACK setThreadPriorityOpt (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_EDIT_PLIST
int CVICALLBACK sendListToAll (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_EDIT_CLIST
int CVICALLBACK sendListToAll (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_DEL_CLIST_FROM_RING
int CVICALLBACK commandRingFunc (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_ADD_CLIST_TO_RING
int CVICALLBACK commandRingFunc (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_DEL_PLIST_FROM_RING
int CVICALLBACK primRingFunc (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_ADD_PLIST_TO_RING
int CVICALLBACK primRingFunc (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_DSP_MONITOR_PERIOD
int CVICALLBACK setTimeout (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_FPGA_MONITOR_PERIOD
int CVICALLBACK setTimeout (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_REFRESH_PERIOD
int CVICALLBACK setTimeout (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_ROD_INIT_TIMEOUT
int CVICALLBACK setTimeout (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_DSP_ACK_CLEAR_TIMEOUT
int CVICALLBACK setTimeout (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_DEFAULT_SLOT
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_DSP_ACK_SET_TIMEOUT
int CVICALLBACK setTimeout (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_PLIST_RING
int CVICALLBACK primRingFunc (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_CLIST_RING
int CVICALLBACK commandRingFunc (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_DSP_SET_TIMEOUT
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_COMM_LOOP_RUNNING
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_CLIST_FILE
int CVICALLBACK sendListToAll (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_SEND_COMMAND_LIST
int CVICALLBACK sendListToAll (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_PLIST_FILE
int CVICALLBACK sendListToAll (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_SEND_LIST
int CVICALLBACK sendListToAll (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_HOSTS_RUNNING
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_RESET_ALL
int CVICALLBACK resetAllRods (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_SYS_RESET
int CVICALLBACK sysReset (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_RUN_RESMAN
int CVICALLBACK runResman (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_RST_CTRL
int CVICALLBACK resetAllControlThreads (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_REFRESH_DISP
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_CHECKSUM_SLAVE
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_DSP_MONITOR_REFRESH
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_CHECKSUM_MASTER
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_FPGA_MONITOR_REFRESH
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_SAVE_LISTS_OPTION
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_ERROR_TIMER
int CVICALLBACK errorTimer (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: NEWROD_PN
// ------------------------------------------------------------------------------------------------

// Control: NEWROD_PN_CANCEL
int CVICALLBACK slotNumberWindow (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: NEWROD_PN_OK
int CVICALLBACK slotNumberWindow (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: NEWROD_PN_SELECT_ALL
int CVICALLBACK selectAll (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: ROD
// ------------------------------------------------------------------------------------------------

// Control: ROD_EDIT_PLIST
int CVICALLBACK sendList (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_REPEAT_BUILD_EXEC
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_LIST_FILE
int CVICALLBACK sendList (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_SEND_LIST
int CVICALLBACK sendList (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_NUMBER_OF_LIST_REP
int CVICALLBACK changeNumberOfListRep (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_RESET_REP_NUM
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_READ_STATUS
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_XFERBUFF_READRQ_OPT
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_WIN_SIZE
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_ERRBUFF_READRQ_OPT
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_INFOBUFF_READRQ_OPT
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_DIAGBUFF_READRQ_OPT
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_DMA_REQ_BUTTON
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_RESUME_BUTTON
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_PAUSE_BUTTON
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_ABORT_BUTTON
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_HOST_RUNNING
int CVICALLBACK hostEnabledAndInit (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: TEXT_PANEL
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: CSTAT_MENU
// ------------------------------------------------------------------------------------------------

// Menu: CLEAR_STATUS_WINDOW
void CVICALLBACK commandStatusMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: OPEN_STATUS_FILE
void CVICALLBACK commandStatusMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: CMD_LIST_EDITOR
void CVICALLBACK commandStatusMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: CLOSE_WINDOW
void CVICALLBACK commandStatusMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: DSPMON
// ------------------------------------------------------------------------------------------------

// Menu: HIDE
void CVICALLBACK dspMonMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: MAIN_MENU
// ------------------------------------------------------------------------------------------------

// Menu: LOAD_ROD
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_PARAMS_SAVE_RINGS
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_PARAMS_LOAD_RINGS
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_PARAMS_SET
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_PARAMS_LOAD
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: SHOW_ERROR_FILE
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_LIST_EDIT_PRIM
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_LIST_EDIT_COMMAND
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_MEM_ACCESS_TIM
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_MEM_ACCESS_VME
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_MEM_ACCESS_MASTER_DSP
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_MEM_ACCESS_SLAVE_DSP
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_MEM_ACCESS_FPGA
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_MEM_ACCESS_FLASH
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_MEM_ACCESS_VIEW_BIN_FI
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: QUIT
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: HELP
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: RODN_MENU
// ------------------------------------------------------------------------------------------------

// Menu: GO_TO_MAIN
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: RODN_MENU_LIST_EDIT_PRIM
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: RODN_MENU_LIST_EDIT_COMMAND
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: RODN_MENU_SHOW_TXT_WIND_ERROR
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: RODN_MENU_SHOW_TXT_WIND_INFO
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: RODN_MENU_SHOW_TXT_WIND_DIAG
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: RODN_MENU_SHOW_TXT_WIND_XFER
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: COMMAND_WINDOW
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: DSP_MON
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: ROD_DATA
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: RODN_MENU_RESET_ROD
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: EXIT_ROD
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: TXT_BUFF
// ------------------------------------------------------------------------------------------------

// Menu: CLEAR_WINDOW
void CVICALLBACK txtBuffWindowMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: OPEN_TXT_FILE
void CVICALLBACK txtBuffWindowMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: CLOSE_WINDOW
void CVICALLBACK txtBuffWindowMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);


//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  CLISTP
// ------------------------------------------------------------------------------------------------

int CLISTP_COMMAND_RING                      ;     // control identifier
int CLISTP_HOST_INDEX                        ;     // control identifier
int CLISTP_LIST_FILE                         ;     // control identifier
int CLISTP_SEND_LIST                         ;     // control identifier
int CLISTP_NUM_COMMANDS                      ;     // control identifier
int CLISTP_COMMAND_INDEX                     ;     // control identifier
int CLISTP_CMDREP                            ;     // control identifier
int CLISTP_CMDREP_COUNT                      ;     // control identifier
int CLISTP_LIST_REP_COUNTER                  ;     // control identifier
int CLISTP_NUM_OF_LIST_REP                   ;     // control identifier
int CLISTP_EDIT_CLIST                        ;     // control identifier
int CLISTP_RESET_CMDREP                      ;     // control identifier
int CLISTP_RESET_REP_LIST_NUM                ;     // control identifier
int CLISTP_STOPPED                           ;     // control identifier
int CLISTP_BUSY                              ;     // control identifier
int CLISTP_STATUS_BOX                        ;     // control identifier
int CLISTP_IF_ERROR                          ;     // control identifier
int CLISTP_RESUME_CTRL_THREAD                ;     // control identifier
int CLISTP_RESET_CTRL_THREAD                 ;     // control identifier
int CLISTP_DECORATION_12                     ;     // control identifier
int CLISTP_DECORATION                        ;     // control identifier
int CLISTP_TEXTMSG_3                         ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  DSPMONP
// ------------------------------------------------------------------------------------------------

int DSPMONP_SLOT_NUM                         ;     // control identifier
int DSPMONP_HOST_INDEX                       ;     // control identifier
int DSPMONP_STATUS_REG_2                     ;     // control identifier
int DSPMONP_STATUS_REG_1                     ;     // control identifier
int DSPMONP_HCMD_REG                         ;     // control identifier
int DSPMONP_TRAP_CMD_STAT                    ;     // control identifier
int DSPMONP_INTR_DSP_HSHK_WR                 ;     // control identifier
int DSPMONP_INTR_DSP_HSHK_RD                 ;     // control identifier
int DSPMONP_RESERVED_REG_4                   ;     // control identifier
int DSPMONP_RESERVED_REG_5                   ;     // control identifier
int DSPMONP_RESERVED_REG_6                   ;     // control identifier
int DSPMONP_TASK_STATE_REG                   ;     // control identifier
int DSPMONP_RESERVED_REG_2                   ;     // control identifier
int DSPMONP_RESERVED_REG_3                   ;     // control identifier
int DSPMONP_RESERVED_REG_1                   ;     // control identifier
int DSPMONP_RESERVED_REG_0                   ;     // control identifier
int DSPMONP_HSTAT_REG_1                      ;     // control identifier
int DSPMONP_HSTAT_REG_0                      ;     // control identifier
int DSPMONP_HCMD_STAT_REG_1                  ;     // control identifier
int DSPMONP_HCMD_STAT_REG_0                  ;     // control identifier
int DSPMONP_LOOP_REG                         ;     // control identifier
int DSPMONP_TRAPSTAT_REG_1                   ;     // control identifier
int DSPMONP_TRAPSTAT_REG_0                   ;     // control identifier
int DSPMONP_DIAGNOSTIC_REG                   ;     // control identifier
int DSPMONP_COMMAND_REG_0                    ;     // control identifier
int DSPMONP_STATUS_REG_0                     ;     // control identifier
int DSPMONP_CURR_VAL                         ;     // control identifier
int DSPMONP_EDIT_FIELD                       ;     // control identifier
int DSPMONP_BIT_31                           ;     // control identifier
int DSPMONP_BIT_30                           ;     // control identifier
int DSPMONP_BIT_29                           ;     // control identifier
int DSPMONP_RBIT_31                          ;     // control identifier
int DSPMONP_RBIT_30                          ;     // control identifier
int DSPMONP_RBIT_29                          ;     // control identifier
int DSPMONP_RBIT_28                          ;     // control identifier
int DSPMONP_RBIT_27                          ;     // control identifier
int DSPMONP_RBIT_26                          ;     // control identifier
int DSPMONP_RBIT_25                          ;     // control identifier
int DSPMONP_RBIT_23                          ;     // control identifier
int DSPMONP_RBIT_24                          ;     // control identifier
int DSPMONP_RBIT_22                          ;     // control identifier
int DSPMONP_RBIT_21                          ;     // control identifier
int DSPMONP_RBIT_20                          ;     // control identifier
int DSPMONP_RBIT_19                          ;     // control identifier
int DSPMONP_RBIT_18                          ;     // control identifier
int DSPMONP_RBIT_15                          ;     // control identifier
int DSPMONP_RBIT_17                          ;     // control identifier
int DSPMONP_RBIT_16                          ;     // control identifier
int DSPMONP_RBIT_14                          ;     // control identifier
int DSPMONP_RBIT_13                          ;     // control identifier
int DSPMONP_RBIT_12                          ;     // control identifier
int DSPMONP_RBIT_11                          ;     // control identifier
int DSPMONP_RBIT_7                           ;     // control identifier
int DSPMONP_RBIT_10                          ;     // control identifier
int DSPMONP_RBIT_9                           ;     // control identifier
int DSPMONP_RBIT_8                           ;     // control identifier
int DSPMONP_RBIT_6                           ;     // control identifier
int DSPMONP_RBIT_5                           ;     // control identifier
int DSPMONP_RBIT_4                           ;     // control identifier
int DSPMONP_RBIT_3                           ;     // control identifier
int DSPMONP_RBIT_2                           ;     // control identifier
int DSPMONP_RBIT_1                           ;     // control identifier
int DSPMONP_RBIT_0                           ;     // control identifier
int DSPMONP_BIT_28                           ;     // control identifier
int DSPMONP_BIT_27                           ;     // control identifier
int DSPMONP_BIT_26                           ;     // control identifier
int DSPMONP_BIT_24                           ;     // control identifier
int DSPMONP_BIT_25                           ;     // control identifier
int DSPMONP_BIT_23                           ;     // control identifier
int DSPMONP_BIT_22                           ;     // control identifier
int DSPMONP_BIT_21                           ;     // control identifier
int DSPMONP_BIT_20                           ;     // control identifier
int DSPMONP_BIT_19                           ;     // control identifier
int DSPMONP_BIT_18                           ;     // control identifier
int DSPMONP_BIT_16                           ;     // control identifier
int DSPMONP_BIT_17                           ;     // control identifier
int DSPMONP_BIT_7                            ;     // control identifier
int DSPMONP_BIT_15                           ;     // control identifier
int DSPMONP_BIT_6                            ;     // control identifier
int DSPMONP_BIT_14                           ;     // control identifier
int DSPMONP_BIT_5                            ;     // control identifier
int DSPMONP_BIT_13                           ;     // control identifier
int DSPMONP_BIT_4                            ;     // control identifier
int DSPMONP_BIT_12                           ;     // control identifier
int DSPMONP_BIT_3                            ;     // control identifier
int DSPMONP_BIT_11                           ;     // control identifier
int DSPMONP_BIT_2                            ;     // control identifier
int DSPMONP_BIT_10                           ;     // control identifier
int DSPMONP_COPY                             ;     // control identifier
int DSPMONP_WRITE                            ;     // control identifier
int DSPMONP_VIEW_CRDH                        ;     // control identifier
int DSPMONP_READ_REGS                        ;     // control identifier
int DSPMONP_BIT_0                            ;     // control identifier
int DSPMONP_BIT_8                            ;     // control identifier
int DSPMONP_BIT_1                            ;     // control identifier
int DSPMONP_BIT_9                            ;     // control identifier
int DSPMONP_REGISTERS_RING_READ              ;     // control identifier
int DSPMONP_DSP_TYPE                         ;     // control identifier
int DSPMONP_REGISTERS_RING_WRITE             ;     // control identifier
int DSPMONP_TEXTMSG                          ;     // control identifier
int DSPMONP_TEXTMSG_2                        ;     // control identifier
int DSPMONP_TEXTMSG_3                        ;     // control identifier
int DSPMONP_TEXTMSG_4                        ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  ERROR_PAN
// ------------------------------------------------------------------------------------------------

int ERROR_PAN_NO                             ;     // control identifier
int ERROR_PAN_OK                             ;     // control identifier
int ERROR_PAN_SHOW_ERROR_WINDOW              ;     // control identifier
int ERROR_PAN_PICTURE                        ;     // control identifier
int ERROR_PAN_TEXTMSG_2                      ;     // control identifier
int ERROR_PAN_TEXTMSG                        ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  GRAPHP
// ------------------------------------------------------------------------------------------------

int GRAPHP_CLOSE                             ;     // control identifier
int GRAPHP_GRAPH                             ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  MAIN
// ------------------------------------------------------------------------------------------------

int MAIN_ACTIVE_SLOT                         ;     // control identifier
int MAIN_ROD_COUNTER                         ;     // control identifier
int MAIN_SHOW_ERROR_WINDOW                   ;     // control identifier
int MAIN_COMM_LOOP_PRIOR                     ;     // control identifier
int MAIN_VME_BYTE_ORDER                      ;     // control identifier
int MAIN_UIR_PRIORITY                        ;     // control identifier
int MAIN_TEXTBUFF_TIMEOUT                    ;     // control identifier
int MAIN_CONTROL_PRIOR                       ;     // control identifier
int MAIN_CMDLISTEXEC_21                      ;     // control identifier
int MAIN_CMDLISTEXEC_20                      ;     // control identifier
int MAIN_CMDLISTEXEC_19                      ;     // control identifier
int MAIN_CMDLISTEXEC_18                      ;     // control identifier
int MAIN_CMDLISTEXEC_17                      ;     // control identifier
int MAIN_CMDLISTEXEC_16                      ;     // control identifier
int MAIN_CMDLISTEXEC_15                      ;     // control identifier
int MAIN_CMDLISTEXEC_14                      ;     // control identifier
int MAIN_CMDLISTEXEC_13                      ;     // control identifier
int MAIN_CMDLISTEXEC_12                      ;     // control identifier
int MAIN_CMDLISTEXEC_11                      ;     // control identifier
int MAIN_CMDLISTEXEC_10                      ;     // control identifier
int MAIN_CMDLISTEXEC_5                       ;     // control identifier
int MAIN_CMDLISTEXEC_6                       ;     // control identifier
int MAIN_CMDLISTEXEC_7                       ;     // control identifier
int MAIN_CMDLISTEXEC_8                       ;     // control identifier
int MAIN_CMDLISTEXEC_9                       ;     // control identifier
int MAIN_EDIT_PLIST                          ;     // control identifier
int MAIN_EDIT_CLIST                          ;     // control identifier
int MAIN_DEL_CLIST_FROM_RING                 ;     // control identifier
int MAIN_ADD_CLIST_TO_RING                   ;     // control identifier
int MAIN_DEL_PLIST_FROM_RING                 ;     // control identifier
int MAIN_EXT_LIST_TYPE                       ;     // control identifier
int MAIN_IF_ERROR                            ;     // control identifier
int MAIN_ADD_PLIST_TO_RING                   ;     // control identifier
int MAIN_DSP_MONITOR_PERIOD                  ;     // control identifier
int MAIN_FPGA_MONITOR_PERIOD                 ;     // control identifier
int MAIN_REFRESH_PERIOD                      ;     // control identifier
int MAIN_ROD_INIT_TIMEOUT                    ;     // control identifier
int MAIN_DSP_ACK_CLEAR_TIMEOUT               ;     // control identifier
int MAIN_DEFAULT_SLOT                        ;     // control identifier
int MAIN_SLOT_NUMBER                         ;     // control identifier
int MAIN_DSP_ACK_SET_TIMEOUT                 ;     // control identifier
int MAIN_PLIST_RING                          ;     // control identifier
int MAIN_CLIST_RING                          ;     // control identifier
int MAIN_DSP_SET_TIMEOUT                     ;     // control identifier
int MAIN_REPEAT_BUILD_EXEC                   ;     // control identifier
int MAIN_COMM_LOOP_RUNNING                   ;     // control identifier
int MAIN_CLIST_FILE                          ;     // control identifier
int MAIN_SEND_COMMAND_LIST                   ;     // control identifier
int MAIN_PLIST_FILE                          ;     // control identifier
int MAIN_SEND_LIST                           ;     // control identifier
int MAIN_HOSTS_RUNNING                       ;     // control identifier
int MAIN_CLIST_REP                           ;     // control identifier
int MAIN_PLIST_REP                           ;     // control identifier
int MAIN_PIXEL_NOT_SCT                       ;     // control identifier
int MAIN_RESET_ALL                           ;     // control identifier
int MAIN_SYS_RESET                           ;     // control identifier
int MAIN_RUN_RESMAN                          ;     // control identifier
int MAIN_RST_CTRL                            ;     // control identifier
int MAIN_REFRESH_DISP                        ;     // control identifier
int MAIN_CHECKSUM_SLAVE                      ;     // control identifier
int MAIN_DSP_MONITOR_REFRESH                 ;     // control identifier
int MAIN_CHECKSUM_MASTER                     ;     // control identifier
int MAIN_FPGA_MONITOR_REFRESH                ;     // control identifier
int MAIN_SAVE_LISTS_OPTION                   ;     // control identifier
int MAIN_EXT_EXEC                            ;     // control identifier
int MAIN_TEXTMSG_2                           ;     // control identifier
int MAIN_DECORATION_3                        ;     // control identifier
int MAIN_TEXTMSG_3                           ;     // control identifier
int MAIN_ERROR_TIMER                         ;     // control identifier
int MAIN_TEXTMSG_5                           ;     // control identifier
int MAIN_TEXTMSG_6                           ;     // control identifier
int MAIN_TEXTMSG                             ;     // control identifier
int MAIN_DECORATION_2                        ;     // control identifier
int MAIN_TEXTMSG_18                          ;     // control identifier
int MAIN_TEXTMSG_23                          ;     // control identifier
int MAIN_TEXTMSG_10                          ;     // control identifier
int MAIN_DECORATION                          ;     // control identifier
int MAIN_DECORATION_7                        ;     // control identifier
int MAIN_TEXTMSG_9                           ;     // control identifier
int MAIN_TEXTMSG_11                          ;     // control identifier
int MAIN_TEXTMSG_7                           ;     // control identifier
int MAIN_TEXTMSG_25                          ;     // control identifier
int MAIN_TEXTMSG_24                          ;     // control identifier
int MAIN_TEXTMSG_26                          ;     // control identifier
int MAIN_TEXTMSG_4                           ;     // control identifier
int MAIN_DECORATION_4                        ;     // control identifier
int MAIN_DECORATION_8                        ;     // control identifier
int MAIN_DECORATION_9                        ;     // control identifier
int MAIN_TEXTMSG_27                          ;     // control identifier
int MAIN_TEXTMSG_28                          ;     // control identifier
int MAIN_DECORATION_10                       ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  NEWROD_PN
// ------------------------------------------------------------------------------------------------

int NEWROD_PN_CANCEL                         ;     // control identifier
int NEWROD_PN_OK                             ;     // control identifier
int NEWROD_PN_SLOT_21                        ;     // control identifier
int NEWROD_PN_SLOT_20                        ;     // control identifier
int NEWROD_PN_SLOT_19                        ;     // control identifier
int NEWROD_PN_SLOT_18                        ;     // control identifier
int NEWROD_PN_SLOT_17                        ;     // control identifier
int NEWROD_PN_SLOT_16                        ;     // control identifier
int NEWROD_PN_SLOT_15                        ;     // control identifier
int NEWROD_PN_SLOT_14                        ;     // control identifier
int NEWROD_PN_SLOT_5                         ;     // control identifier
int NEWROD_PN_SLOT_12                        ;     // control identifier
int NEWROD_PN_SLOT_11                        ;     // control identifier
int NEWROD_PN_SLOT_10                        ;     // control identifier
int NEWROD_PN_SLOT_9                         ;     // control identifier
int NEWROD_PN_SLOT_8                         ;     // control identifier
int NEWROD_PN_SLOT_7                         ;     // control identifier
int NEWROD_PN_SLOT_6                         ;     // control identifier
int NEWROD_PN_SELECT_ALL                     ;     // control identifier
int NEWROD_PN_TEXTMSG                        ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  ROD
// ------------------------------------------------------------------------------------------------

int ROD_COMMAND_REG_4                        ;     // control identifier
int ROD_STAT_REG_6                           ;     // control identifier
int ROD_COMMAND_REG_3                        ;     // control identifier
int ROD_COMMAND_REG_2                        ;     // control identifier
int ROD_COMMAND_REG_10                       ;     // control identifier
int ROD_COMMAND_REG_1                        ;     // control identifier
int ROD_COMMAND_REG_0                        ;     // control identifier
int ROD_COMMAND_REG_5                        ;     // control identifier
int ROD_STAT_REG_7                           ;     // control identifier
int ROD_STAT_REG_0                           ;     // control identifier
int ROD_STAT_REG_5                           ;     // control identifier
int ROD_EDIT_PLIST                           ;     // control identifier
int ROD_STAT_REG_1                           ;     // control identifier
int ROD_COMMAND_REG_7                        ;     // control identifier
int ROD_COMMAND_REG_6                        ;     // control identifier
int ROD_STAT_REG_11                          ;     // control identifier
int ROD_STAT_REG_9                           ;     // control identifier
int ROD_STAT_REG_4                           ;     // control identifier
int ROD_REPEAT_BUILD_EXEC                    ;     // control identifier
int ROD_STAT_REG_8                           ;     // control identifier
int ROD_VME_COMM_REG0                        ;     // control identifier
int ROD_STAT_REG_10                          ;     // control identifier
int ROD_LIST_FILE                            ;     // control identifier
int ROD_SEND_LIST                            ;     // control identifier
int ROD_ROD_REV                              ;     // control identifier
int ROD_ROD_SN                               ;     // control identifier
int ROD_ROD_STAT_REG0                        ;     // control identifier
int ROD_LIST_REPEAT_COUNTER                  ;     // control identifier
int ROD_NUMBER_OF_LIST_REP                   ;     // control identifier
int ROD_RESET_REP_NUM                        ;     // control identifier
int ROD_STAT_REG_3                           ;     // control identifier
int ROD_STAT_REG_2                           ;     // control identifier
int ROD_SLAVE3                               ;     // control identifier
int ROD_SLAVE2                               ;     // control identifier
int ROD_SLAVE1                               ;     // control identifier
int ROD_SLAVE0                               ;     // control identifier
int ROD_ROD_STAT_REG1                        ;     // control identifier
int ROD_LIST_INDEX                           ;     // control identifier
int ROD_READ_STATUS                          ;     // control identifier
int ROD_SLOT_NUMBER                          ;     // control identifier
int ROD_XFERBUFF_READRQ_OPT                  ;     // control identifier
int ROD_WIN_SIZE                             ;     // control identifier
int ROD_ERRBUFF_READRQ_OPT                   ;     // control identifier
int ROD_INFOBUFF_READRQ_OPT                  ;     // control identifier
int ROD_DIAGBUFF_READRQ_OPT                  ;     // control identifier
int ROD_DMA_REQ_BUTTON                       ;     // control identifier
int ROD_RESUME_BUTTON                        ;     // control identifier
int ROD_PAUSE_BUTTON                         ;     // control identifier
int ROD_ABORT_BUTTON                         ;     // control identifier
int ROD_HOST_RUNNING                         ;     // control identifier
int ROD_MDSP_SP0                             ;     // control identifier
int ROD_MEMORY                               ;     // control identifier
int ROD_PIXEL_NOT_SCT                        ;     // control identifier
int ROD_TEST_PATH                            ;     // control identifier
int ROD_TRAP_EN_DSP3                         ;     // control identifier
int ROD_TRAP_EN_DSP2                         ;     // control identifier
int ROD_TRAP_EN_DSP1                         ;     // control identifier
int ROD_TRAP_LD3                             ;     // control identifier
int ROD_TRAP_FF3                             ;     // control identifier
int ROD_TRAP_LD2                             ;     // control identifier
int ROD_TRAP_EF3                             ;     // control identifier
int ROD_TRAP_LD1                             ;     // control identifier
int ROD_TRAP_FF2                             ;     // control identifier
int ROD_TRAP_LD0                             ;     // control identifier
int ROD_TRAP_ON3                             ;     // control identifier
int ROD_TRAP_FF1                             ;     // control identifier
int ROD_TRAP_EF2                             ;     // control identifier
int ROD_TRAP_FF0                             ;     // control identifier
int ROD_TRAP_ON2                             ;     // control identifier
int ROD_TRAP_EF1                             ;     // control identifier
int ROD_TRAP_ON1                             ;     // control identifier
int ROD_TRAP_EF0                             ;     // control identifier
int ROD_TRAP_ON0                             ;     // control identifier
int ROD_TRAP_EN_DSP0                         ;     // control identifier
int ROD_EVID_ERROR                           ;     // control identifier
int ROD_EM_FULL_1                            ;     // control identifier
int ROD_EM_EMPTY_1                           ;     // control identifier
int ROD_EM_FULL_0                            ;     // control identifier
int ROD_EM_EMPTY_0                           ;     // control identifier
int ROD_FIFO_EFB_FULL                        ;     // control identifier
int ROD_FIFO_1_FULL                          ;     // control identifier
int ROD_FIFO_0_FULL                          ;     // control identifier
int ROD_ALL_ZERO                             ;     // control identifier
int ROD_ROD_BUSY_0                           ;     // control identifier
int ROD_ROD_BUSY_1                           ;     // control identifier
int ROD_HT_LIMIT_0                           ;     // control identifier
int ROD_HT_LIMIT_1                           ;     // control identifier
int ROD_TEST_BENCH_RUN                       ;     // control identifier
int ROD_DEBUG_FIFO                           ;     // control identifier
int ROD_TEST_BENCH                           ;     // control identifier
int ROD_EFB_DM                               ;     // control identifier
int ROD_FORM_MB                              ;     // control identifier
int ROD_CAL_SIGNAL_DEC                       ;     // control identifier
int ROD_TRG_SIGNAL_DEC                       ;     // control identifier
int ROD_CMD_MASK_READY                       ;     // control identifier
int ROD_FE_CMD_PULSE_COUNT                   ;     // control identifier
int ROD_FE_OCCUP                             ;     // control identifier
int ROD_FE_CMD_PLS_COUNTER                   ;     // control identifier
int ROD_INTERNAL_TIM                         ;     // control identifier
int ROD_IN_MEM                               ;     // control identifier
int ROD_DEBUG_MEM                            ;     // control identifier
int ROD_CORR_TRIGGER                         ;     // control identifier
int ROD_FORM_MB_EFB                          ;     // control identifier
int ROD_FE_CMD_OUT                           ;     // control identifier
int ROD_DATA_PATH                            ;     // control identifier
int ROD_MASK1_1                              ;     // control identifier
int ROD_MASK0_1                              ;     // control identifier
int ROD_MASK1_0                              ;     // control identifier
int ROD_MASK0_0                              ;     // control identifier
int ROD_TRAP3                                ;     // control identifier
int ROD_TRAP2                                ;     // control identifier
int ROD_TRAP1                                ;     // control identifier
int ROD_MODE                                 ;     // control identifier
int ROD_FORMAT3                              ;     // control identifier
int ROD_FORMAT2                              ;     // control identifier
int ROD_FORMAT1                              ;     // control identifier
int ROD_FORMAT0                              ;     // control identifier
int ROD_TRAP0                                ;     // control identifier
int ROD_HOST_INDEX                           ;     // control identifier
int ROD_POLL_RFIELD_WIDTH                    ;     // control identifier
int ROD_LINK                                 ;     // control identifier
int ROD_SAMPLES                              ;     // control identifier
int ROD_POLL_RFIELD_OBJECT_ID                ;     // control identifier
int ROD_POLL_RFIELD_OFFSET                   ;     // control identifier
int ROD_DESIRED_VALUE                        ;     // control identifier
int ROD_POLL_RFIELD_INDEX                    ;     // control identifier
int ROD_POLL_RFIELD_TIME                     ;     // control identifier
int ROD_TEST_RESULT                          ;     // control identifier
int ROD_TGR_INDEX                            ;     // control identifier
int ROD_TGR_TIME                             ;     // control identifier
int ROD_WIDTH                                ;     // control identifier
int ROD_OBJECT_ID                            ;     // control identifier
int ROD_OFFSET                               ;     // control identifier
int ROD_DATA_OUT                             ;     // control identifier
int ROD_RWFIELD_INDEX                        ;     // control identifier
int ROD_RWFIELD_TIME                         ;     // control identifier
int ROD_ERRMSG_MASK                          ;     // control identifier
int ROD_ERRMSGMASK_INDEX                     ;     // control identifier
int ROD_ERRMSGMASK_TIME                      ;     // control identifier
int ROD_MEM_TEST_START                       ;     // control identifier
int ROD_MEM_TEST_RETURN_CODE                 ;     // control identifier
int ROD_MEM_TEST_SIZE                        ;     // control identifier
int ROD_MEM_TEST_INDEX                       ;     // control identifier
int ROD_MEM_TEST_TIME                        ;     // control identifier
int ROD_OVERFLOW                             ;     // control identifier
int ROD_NOT_FOUND                            ;     // control identifier
int ROD_RWREG_DISP                           ;     // control identifier
int ROD_TOTAL_TIME                           ;     // control identifier
int ROD_SAMPLING_TIME                        ;     // control identifier
int ROD_SAVE_DATA                            ;     // control identifier
int ROD_POLL_DISP                            ;     // control identifier
int ROD_CAPTURE                              ;     // control identifier
int ROD_FEOCC_NOT_FIFOWC                     ;     // control identifier
int ROD_DECORATION_2                         ;     // control identifier
int ROD_DECORATION_4                         ;     // control identifier
int ROD_TEXTMSG_13                           ;     // control identifier
int ROD_TEXTMSG_5                            ;     // control identifier
int ROD_DECORATION_7                         ;     // control identifier
int ROD_TEXTMSG_14                           ;     // control identifier
int ROD_DECORATION_8                         ;     // control identifier
int ROD_TEXTMSG_16                           ;     // control identifier
int ROD_TEXTMSG_2                            ;     // control identifier
int ROD_TEXTMSG_4                            ;     // control identifier
int ROD_TEXTMSG_17                           ;     // control identifier
int ROD_DECORATION_3                         ;     // control identifier
int ROD_DECORATION                           ;     // control identifier
int ROD_TEXTMSG_26                           ;     // control identifier
int ROD_TEXTMSG_21                           ;     // control identifier
int ROD_TEXTMSG_22                           ;     // control identifier
int ROD_TEXTMSG_24                           ;     // control identifier
int ROD_TEXTMSG_28                           ;     // control identifier
int ROD_TEXTMSG_27                           ;     // control identifier
int ROD_TEXTMSG_30                           ;     // control identifier
int ROD_TEXTMSG_29                           ;     // control identifier
int ROD_TEXTMSG_32                           ;     // control identifier
int ROD_TEXTMSG_31                           ;     // control identifier
int ROD_TEXTMSG_33                           ;     // control identifier
int ROD_TEXTMSG_34                           ;     // control identifier
int ROD_TEXTMSG_35                           ;     // control identifier
int ROD_TEXTMSG_36                           ;     // control identifier
int ROD_TEXTMSG_37                           ;     // control identifier
int ROD_TEXTMSG_38                           ;     // control identifier
int ROD_TEXTMSG_10                           ;     // control identifier
int ROD_TEXTMSG_41                           ;     // control identifier
int ROD_DECORATION_14                        ;     // control identifier
int ROD_TEXTMSG_47                           ;     // control identifier
int ROD_TEXTMSG_23                           ;     // control identifier
int ROD_TEXTMSG_25                           ;     // control identifier
int ROD_TEXTMSG_9                            ;     // control identifier
int ROD_TEXTMSG_40                           ;     // control identifier
int ROD_TEXTMSG_8                            ;     // control identifier
int ROD_TEXTMSG_46                           ;     // control identifier
int ROD_TEXTMSG_49                           ;     // control identifier
int ROD_TEXTMSG_50                           ;     // control identifier
int ROD_DECORATION_6                         ;     // control identifier
int ROD_DECORATION_5                         ;     // control identifier
int ROD_DECORATION_9                         ;     // control identifier
int ROD_TEXTMSG_54                           ;     // control identifier
int ROD_TEXTMSG_45                           ;     // control identifier
int ROD_TEXTMSG_48                           ;     // control identifier
int ROD_DECORATION_13                        ;     // control identifier
int ROD_TEXTMSG_39                           ;     // control identifier
int ROD_TEXTMSG_3                            ;     // control identifier
int ROD_TEXTMSG_53                           ;     // control identifier
int ROD_TEXTMSG_51                           ;     // control identifier
int ROD_TEXTMSG_52                           ;     // control identifier
int ROD_DECORATION_15                        ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  TEXT_PANEL
// ------------------------------------------------------------------------------------------------

int TEXT_PANEL_HOST_INDEX                    ;     // control identifier
int TEXT_PANEL_TEXTBOX                       ;     // control identifier
int TEXT_PANEL_OVERFLOW                      ;     // control identifier
int TEXT_PANEL_OVERWRITE                     ;     // control identifier
int TEXT_PANEL_TXTBUFF_MODE                  ;     // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  CSTAT_MENU
// ------------------------------------------------------------------------------------------------

int CSTAT_MENU_CLEAR_STATUS_WINDOW           ;     // menu identifier
int CSTAT_MENU_OPEN_STATUS_FILE              ;     // menu identifier
int CSTAT_MENU_CMD_LIST_EDITOR               ;     // menu identifier
int CSTAT_MENU_CLOSE_WINDOW                  ;     // menu identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  DSPMON
// ------------------------------------------------------------------------------------------------

int DSPMON_HIDE                              ;     // menu identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  MAIN_MENU
// ------------------------------------------------------------------------------------------------

int MAIN_MENU_LOAD_ROD                       ;     // menu identifier
int MAIN_MENU_PARAMS                         ;     // menu identifier
int MAIN_MENU_PARAMS_SAVE_RINGS              ;     // menu item identifier
int MAIN_MENU_PARAMS_LOAD_RINGS              ;     // menu item identifier
int MAIN_MENU_PARAMS_SET                     ;     // menu item identifier
int MAIN_MENU_PARAMS_LOAD                    ;     // menu item identifier
int MAIN_MENU_SHOW_ERROR_FILE                ;     // menu identifier
int MAIN_MENU_LIST_EDIT                      ;     // menu identifier
int MAIN_MENU_LIST_EDIT_PRIM                 ;     // menu item identifier
int MAIN_MENU_LIST_EDIT_COMMAND              ;     // menu item identifier
int MAIN_MENU_MEM_ACCESS                     ;     // menu identifier
int MAIN_MENU_MEM_ACCESS_TIM                 ;     // menu item identifier
int MAIN_MENU_MEM_ACCESS_VME                 ;     // menu item identifier
int MAIN_MENU_MEM_ACCESS_MASTER_DSP          ;     // menu item identifier
int MAIN_MENU_MEM_ACCESS_SLAVE_DSP           ;     // menu item identifier
int MAIN_MENU_MEM_ACCESS_FPGA                ;     // menu item identifier
int MAIN_MENU_MEM_ACCESS_FLASH               ;     // menu item identifier
int MAIN_MENU_MEM_ACCESS_VIEW_BIN_FI         ;     // menu item identifier
int MAIN_MENU_QUIT                           ;     // menu identifier
int MAIN_MENU_HELP                           ;     // menu identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  RODN_MENU
// ------------------------------------------------------------------------------------------------

int RODN_MENU_GO_TO_MAIN                     ;     // menu identifier
int RODN_MENU_LIST_EDIT                      ;     // menu identifier
int RODN_MENU_LIST_EDIT_PRIM                 ;     // menu item identifier
int RODN_MENU_LIST_EDIT_COMMAND              ;     // menu item identifier
int RODN_MENU_SHOW_TXT_WIND                  ;     // menu identifier
int RODN_MENU_SHOW_TXT_WIND_ERROR            ;     // menu item identifier
int RODN_MENU_SHOW_TXT_WIND_INFO             ;     // menu item identifier
int RODN_MENU_SHOW_TXT_WIND_DIAG             ;     // menu item identifier
int RODN_MENU_SHOW_TXT_WIND_XFER             ;     // menu item identifier
int RODN_MENU_COMMAND_WINDOW                 ;     // menu identifier
int RODN_MENU_DSP_MON                        ;     // menu identifier
int RODN_MENU_ROD_DATA                       ;     // menu identifier
int RODN_MENU_RESET                          ;     // menu identifier
int RODN_MENU_RESET_ROD                      ;     // menu item identifier
int RODN_MENU_EXIT_ROD                       ;     // menu identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  TXT_BUFF
// ------------------------------------------------------------------------------------------------

int TXT_BUFF_CLEAR_WINDOW                    ;     // menu identifier
int TXT_BUFF_OPEN_TXT_FILE                   ;     // menu identifier
int TXT_BUFF_CLOSE_WINDOW                    ;     // menu identifier

//----------------------------------------------------------------------------------------------------
// buildCommandListStatusPanel ():  Build UI object CLISTP; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildCommandListStatusPanel (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    errChk(hPanel = NewPanel (hParentPanel, "COMMAND LIST STATUS", 85, 424, 510, 326));

    // Set the panel's attributes
    errChk(SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "CLISTP"));
    errChk(SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0));
//  errChk(SetPanelAttribute (hPanel, ATTR_DIMMED, 0));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, 0X6098B7));
//  errChk(SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS));
    errChk(SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY));
//  errChk(SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0X93B9CE));
//  errChk(SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 19));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC));
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_OFFWHITE));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, 0X6098B7));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 10));
    errChk(SetPanelAttribute (hPanel, ATTR_SIZABLE, 0));
//  errChk(SetPanelAttribute (hPanel, ATTR_MOVABLE, 1));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_FONT"));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 13));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1));
    errChk(SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0));
//  if (!hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER));
//  errChk(SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1));
//  errChk(SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1));
//  errChk(SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0));
//  errChk(SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0));

    // Build control: CLISTP_COMMAND_RING
    errChk(CLISTP_COMMAND_RING = NewCtrl (hPanel, CTRL_RING, "Command", 69, 79));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_CONSTANT_NAME, "COMMAND_RING"));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_FRAME_COLOR, 0XB0B0B0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_COLOR, 0X202020));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_WIDTH, 50));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_TEXT_COLOR, 0X000066));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_WIDTH, 190));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_TOP, 54));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_LEFT, 138));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Build control: CLISTP_HOST_INDEX
    errChk(CLISTP_HOST_INDEX = NewCtrl (hPanel, CTRL_NUMERIC, "HostIndex", 33, 14));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_CONSTANT_NAME, "HOST_INDEX"));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_VISIBLE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_COLOR, VAL_WHITE));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_WIDTH, 51));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_TEXT_POINT_SIZE, 13));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_MAX_VALUE, 21));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_INCR_VALUE, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_FORMAT, VAL_DECIMAL_FORMAT));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_CHECK_RANGE, VAL_NOTIFY));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_PADDING, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_SHOW_RADIX, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, CLISTP_HOST_INDEX));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_WIDTH, 30));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_TOP, 19));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_LEFT, 5));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, CLISTP_HOST_INDEX, "", VAL_DS_READ, NULL, NULL));

    // Build control: CLISTP_LIST_FILE
    errChk(CLISTP_LIST_FILE = NewCtrl (hPanel, CTRL_STRING, "", 163, 43));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_CONSTANT_NAME, "LIST_FILE"));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_CALLBACK_FUNCTION_POINTER, commandButtons));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_FRAME_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_BGCOLOR, 0XB0B0B0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_DFLT_VALUE, ""));
    errChk(DefaultCtrl (hPanel, CLISTP_LIST_FILE));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_MAX_ENTRY_LENGTH, -1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_WIDTH, 273));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_TOP, 143));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_LEFT, 250));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_HSCROLL_OFFSET, 0));
//  errChk(DSBindCtrl (hPanel, CLISTP_LIST_FILE, "", VAL_DS_READ, NULL, NULL));

    // Build control: CLISTP_SEND_LIST
    errChk(CLISTP_SEND_LIST = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "SEND COMMAND LIST", 187, 127));
    errChk(SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_CONSTANT_NAME, "SEND_LIST"));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_CALLBACK_FUNCTION_POINTER, commandButtons));
    errChk(SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_CTRL_MODE, VAL_HOT));
    errChk(SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_LABEL_COLOR, 0X000066));
    errChk(SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, CLISTP_SEND_LIST));
    errChk(SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_HEIGHT, 23));
    errChk(SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_WIDTH, 189));

    // Build control: CLISTP_NUM_COMMANDS
    errChk(CLISTP_NUM_COMMANDS = NewCtrl (hPanel, CTRL_NUMERIC, "nCmds", 69, 10));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_CONSTANT_NAME, "NUM_COMMANDS"));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_FRAME_COLOR, 0XB0B0B0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_WIDTH, 35));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_INCR_VALUE, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_FORMAT, VAL_DECIMAL_FORMAT));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_CHECK_RANGE, VAL_NOTIFY));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_PADDING, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_SHOW_RADIX, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, CLISTP_NUM_COMMANDS));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_SHOW_INCDEC_ARROWS, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_WIDTH, 30));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_TOP, 54));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_LEFT, 7));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, CLISTP_NUM_COMMANDS, "", VAL_DS_READ, NULL, NULL));

    // Build control: CLISTP_COMMAND_INDEX
    errChk(CLISTP_COMMAND_INDEX = NewCtrl (hPanel, CTRL_NUMERIC, "Index", 69, 43));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_CONSTANT_NAME, "COMMAND_INDEX"));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_FRAME_COLOR, 0X006699));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_WIDTH, 29));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_INCR_VALUE, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_FORMAT, VAL_DECIMAL_FORMAT));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_CHECK_RANGE, VAL_NOTIFY));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_PADDING, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_SHOW_RADIX, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, CLISTP_COMMAND_INDEX));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_SHOW_INCDEC_ARROWS, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_WIDTH, 30));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_TOP, 54));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_LEFT, 43));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, CLISTP_COMMAND_INDEX, "", VAL_DS_READ, NULL, NULL));

    // Build control: CLISTP_CMDREP
    errChk(CLISTP_CMDREP = NewCtrl (hPanel, CTRL_NUMERIC, "Rep", 95, 105));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_CONSTANT_NAME, "CMDREP"));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_WIDTH, 48));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_INCR_VALUE, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_FORMAT, VAL_DECIMAL_FORMAT));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_CHECK_RANGE, VAL_NOTIFY));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_PADDING, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_SHOW_RADIX, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, CLISTP_CMDREP));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_SHOW_INCDEC_ARROWS, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_WIDTH, 45));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_TOP, 96));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_LEFT, 69));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_SIZE_TO_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, CLISTP_CMDREP, "", VAL_DS_READ, NULL, NULL));

    // Build control: CLISTP_CMDREP_COUNT
    errChk(CLISTP_CMDREP_COUNT = NewCtrl (hPanel, CTRL_NUMERIC, "Cnt", 94, 177));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_CONSTANT_NAME, "CMDREP_COUNT"));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_FRAME_COLOR, 0X006699));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_WIDTH, 48));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_INCR_VALUE, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_FORMAT, VAL_DECIMAL_FORMAT));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_CHECK_RANGE, VAL_NOTIFY));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_PADDING, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_SHOW_RADIX, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, CLISTP_CMDREP_COUNT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_SHOW_INCDEC_ARROWS, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_WIDTH, 45));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_TOP, 96));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_LEFT, 142));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_SIZE_TO_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, CLISTP_CMDREP_COUNT, "", VAL_DS_READ, NULL, NULL));

    // Build control: CLISTP_LIST_REP_COUNTER
    errChk(CLISTP_LIST_REP_COUNTER = NewCtrl (hPanel, CTRL_NUMERIC, "Counter", 136, 157));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_CONSTANT_NAME, "LIST_REP_COUNTER"));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_FRAME_COLOR, 0X006699));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_WIDTH, 48));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_INCR_VALUE, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_FORMAT, VAL_DECIMAL_FORMAT));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_CHECK_RANGE, VAL_NOTIFY));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_PADDING, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_SHOW_RADIX, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, CLISTP_LIST_REP_COUNTER));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_SHOW_INCDEC_ARROWS, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_TOP, 121));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_LEFT, 166));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_SIZE_TO_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, CLISTP_LIST_REP_COUNTER, "", VAL_DS_READ, NULL, NULL));

    // Build control: CLISTP_NUM_OF_LIST_REP
    errChk(CLISTP_NUM_OF_LIST_REP = NewCtrl (hPanel, CTRL_NUMERIC, "ListRep", 136, 76));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_CONSTANT_NAME, "NUM_OF_LIST_REP"));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_CALLBACK_FUNCTION_POINTER, commandButtons));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_FRAME_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_WIDTH, 47));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_TEXT_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_INCR_VALUE, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_FORMAT, VAL_DECIMAL_FORMAT));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_CHECK_RANGE, VAL_NOTIFY));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_PADDING, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_SHOW_RADIX, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, CLISTP_NUM_OF_LIST_REP));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_SHOW_INCDEC_ARROWS, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_WIDTH, 74));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_TOP, 121));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_LEFT, 94));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_SIZE_TO_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, CLISTP_NUM_OF_LIST_REP, "", VAL_DS_READ, NULL, NULL));

    // Build control: CLISTP_EDIT_CLIST
    errChk(CLISTP_EDIT_CLIST = NewCtrl (hPanel, CTRL_OBLONG_COMMAND_BUTTON, "EDIT", 187, 71));
    errChk(SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_CONSTANT_NAME, "EDIT_CLIST"));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_CALLBACK_FUNCTION_POINTER, commandButtons));
    errChk(SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_CTRL_MODE, VAL_HOT));
    errChk(SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_LABEL_COLOR, 0X000066));
    errChk(SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_LABEL_POINT_SIZE, 9));
    errChk(SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, CLISTP_EDIT_CLIST));
    errChk(SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_HEIGHT, 23));
    errChk(SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_WIDTH, 36));

    // Build control: CLISTP_RESET_CMDREP
    errChk(CLISTP_RESET_CMDREP = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Stop", 95, 44));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_CONSTANT_NAME, "RESET_CMDREP"));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_CALLBACK_FUNCTION_POINTER, commandButtons));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, CLISTP_RESET_CMDREP));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_HEIGHT, 19));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_WIDTH, 28));

    // Build control: CLISTP_RESET_REP_LIST_NUM
    errChk(CLISTP_RESET_REP_LIST_NUM = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Stop", 136, 44));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_CONSTANT_NAME, "RESET_REP_LIST_NUM"));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_CALLBACK_FUNCTION_POINTER, commandButtons));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, CLISTP_RESET_REP_LIST_NUM));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_HEIGHT, 19));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_WIDTH, 28));

    // Build control: CLISTP_STOPPED
    errChk(CLISTP_STOPPED = NewCtrl (hPanel, CTRL_SQUARE_LED, "Stopped", 26, 166));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_CONSTANT_NAME, "STOPPED"));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_COLOR, 0XFFCC00));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_WIDTH, 50));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, CLISTP_STOPPED));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_ON_COLOR, VAL_RED));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_WIDTH, 57));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_TOP, 28));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_LEFT, 169));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: CLISTP_BUSY
    errChk(CLISTP_BUSY = NewCtrl (hPanel, CTRL_SQUARE_LED, "Busy", 26, 115));
    errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_CONSTANT_NAME, "BUSY"));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_WIDTH, 26));
    errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, CLISTP_BUSY));
    errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_ON_COLOR, VAL_YELLOW));
    errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_WIDTH, 48));
    errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_TOP, 28));
    errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_LEFT, 126));
    errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: CLISTP_STATUS_BOX
    errChk(CLISTP_STATUS_BOX = NewCtrl (hPanel, CTRL_TEXT_BOX, "", 216, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_CONSTANT_NAME, "STATUS_BOX"));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_SCROLL_BARS, VAL_BOTH_SCROLL_BARS));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_WIDTH, 10));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_DFLT_VALUE, ""));
    errChk(DefaultCtrl (hPanel, CLISTP_STATUS_BOX));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_MAX_ENTRY_LENGTH, -1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_WRAP_MODE, VAL_LINE_WRAP));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_ENTER_IS_NEWLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_FIRST_VISIBLE_LINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_EXTRA_LINES, -1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_HEIGHT, 295));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_WIDTH, 325));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_TOP, 201));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_LEFT, 134));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_HSCROLL_OFFSET, 0));
//  errChk(DSBindCtrl (hPanel, CLISTP_STATUS_BOX, "", VAL_DS_READ, NULL, NULL));

    // Build control: CLISTP_IF_ERROR
    errChk(CLISTP_IF_ERROR = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "If Error", 136, 240));
    errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_CONSTANT_NAME, "IF_ERROR"));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_DATA_TYPE, VAL_INTEGER));
    errChk(InsertListItem (hPanel, CLISTP_IF_ERROR, 0, "DEFAULT", 0));
    errChk(InsertListItem (hPanel, CLISTP_IF_ERROR, 1, "STOP", 1));
    errChk(InsertListItem (hPanel, CLISTP_IF_ERROR, 2, "CONTINUE", 2));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_FRAME_COLOR, 0XCC9966));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_WIDTH, 42));
    errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_TEXT_BGCOLOR, VAL_WHITE));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_DFLT_INDEX, 0));
    errChk(DefaultCtrl (hPanel, CLISTP_IF_ERROR));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_MENU_ARROW_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_WIDTH, 75));
    errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_TOP, 122));
    errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_LEFT, 254));
    errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Build control: CLISTP_RESUME_CTRL_THREAD
    errChk(CLISTP_RESUME_CTRL_THREAD = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Resume", 27, 276));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_CONSTANT_NAME, "RESUME_CTRL_THREAD"));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_CALLBACK_FUNCTION_POINTER, commandButtons));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, CLISTP_RESUME_CTRL_THREAD));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_HEIGHT, 20));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_WIDTH, 42));

    // Build control: CLISTP_RESET_CTRL_THREAD
    errChk(CLISTP_RESET_CTRL_THREAD = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Reset", 27, 228));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_CONSTANT_NAME, "RESET_CTRL_THREAD"));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_CALLBACK_FUNCTION_POINTER, commandButtons));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, CLISTP_RESET_CTRL_THREAD));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_HEIGHT, 20));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_WIDTH, 42));

    // Build control: CLISTP_DECORATION_12
    errChk(CLISTP_DECORATION_12 = NewCtrl (hPanel, CTRL_FLAT_BOX, "", 301, 79));
    errChk(SetCtrlAttribute (hPanel, CLISTP_DECORATION_12, ATTR_CONSTANT_NAME, "DECORATION_12"));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_DECORATION_12, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_DECORATION_12, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_DECORATION_12, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_DECORATION_12, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_DECORATION_12, ATTR_FRAME_COLOR, 0XC4D0D2));
    errChk(SetCtrlAttribute (hPanel, CLISTP_DECORATION_12, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, CLISTP_DECORATION_12, ATTR_HEIGHT, 72));
    errChk(SetCtrlAttribute (hPanel, CLISTP_DECORATION_12, ATTR_WIDTH, 198));

    // Build control: CLISTP_DECORATION
    errChk(CLISTP_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_BOX, "", 53, 4));
    errChk(SetCtrlAttribute (hPanel, CLISTP_DECORATION, ATTR_CONSTANT_NAME, "DECORATION"));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_DECORATION, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_DECORATION, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_DECORATION, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_DECORATION, ATTR_FRAME_COLOR, 0X93B9CE));
    errChk(SetCtrlAttribute (hPanel, CLISTP_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, CLISTP_DECORATION, ATTR_HEIGHT, 67));
    errChk(SetCtrlAttribute (hPanel, CLISTP_DECORATION, ATTR_WIDTH, 317));

    // Build control: CLISTP_TEXTMSG_3
    errChk(CLISTP_TEXTMSG_3 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 71, 96));
    errChk(SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_CONSTANT_NAME, "TEXTMSG_3"));
    errChk(SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_VISIBLE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_TEXT_COLOR, VAL_RED));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_DFLT_VALUE, "RING FILLED IN fillUirControls.c"));
    errChk(DefaultCtrl (hPanel, CLISTP_TEXTMSG_3));
//  errChk(SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_WIDTH, 155));
    errChk(SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_SIZE_TO_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, CLISTP_TEXTMSG_3, "", VAL_DS_READ, NULL, NULL));

    // Set up ZPLANE order if necessary
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_ZPLANE_POSITION, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_ZPLANE_POSITION, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_ZPLANE_POSITION, 2));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_ZPLANE_POSITION, 3));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_ZPLANE_POSITION, 4));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_ZPLANE_POSITION, 5));
    errChk(SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_ZPLANE_POSITION, 6));
    errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_ZPLANE_POSITION, 7));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_ZPLANE_POSITION, 8));
    errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_ZPLANE_POSITION, 9));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_ZPLANE_POSITION, 10));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_ZPLANE_POSITION, 11));
    errChk(SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_ZPLANE_POSITION, 12));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_ZPLANE_POSITION, 13));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_ZPLANE_POSITION, 14));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_ZPLANE_POSITION, 15));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_ZPLANE_POSITION, 16));
    errChk(SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_ZPLANE_POSITION, 17));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_ZPLANE_POSITION, 18));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_ZPLANE_POSITION, 19));
    errChk(SetCtrlAttribute (hPanel, CLISTP_DECORATION, ATTR_ZPLANE_POSITION, 20));
    errChk(SetCtrlAttribute (hPanel, CLISTP_DECORATION_12, ATTR_ZPLANE_POSITION, 21));

    // Set up TAB order if necessary
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_CTRL_TAB_POSITION, 0));
    errChk(SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_CTRL_TAB_POSITION, 1));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_CTRL_TAB_POSITION, 2));
    errChk(SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_CTRL_TAB_POSITION, 3));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_CTRL_TAB_POSITION, 4));
    errChk(SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_CTRL_TAB_POSITION, 5));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_CTRL_TAB_POSITION, 6));
    errChk(SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_CTRL_TAB_POSITION, 7));
    errChk(SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_CTRL_TAB_POSITION, 8));
    errChk(SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_CTRL_TAB_POSITION, 9));
    errChk(SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_CTRL_TAB_POSITION, 10));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_CTRL_TAB_POSITION, 11));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_CTRL_TAB_POSITION, 12));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_CTRL_TAB_POSITION, 13));
    errChk(SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_CTRL_TAB_POSITION, 14));
    errChk(SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_CTRL_TAB_POSITION, 15));
    errChk(SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_CTRL_TAB_POSITION, 16));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_CTRL_TAB_POSITION, 17));
    errChk(SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_CTRL_TAB_POSITION, 18));

    // Finalize panel colors, positioning, and sizing
    errChk(SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1));
    errChk(GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment));
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        errChk(GetMonitorFromPanel (hPanel, &monitorId));
        errChk(GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight));
        errChk(GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth));
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        errChk(SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(510*SFv)));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        errChk(SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(326*SFh)));
        errChk(SetPanelAttribute (hPanel, ATTR_TOP, (int)(85*SFv)));
        errChk(SetPanelAttribute (hPanel, ATTR_LEFT, (int)(424*SFh)));
        }
    errChk(SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0));

    errChk(buildCommandListStatusMenu (hPanel));

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildDspCommRegMonitorPanel ():  Build UI object DSPMONP; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildDspCommRegMonitorPanel (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    errChk(hPanel = NewPanel (hParentPanel, "DSP Monitoring", 619, 199, 368, 619));

    // Set the panel's attributes
    errChk(SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "DSPMONP"));
    errChk(SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0));
//  errChk(SetPanelAttribute (hPanel, ATTR_DIMMED, 0));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, 0XC4D0D2));
//  errChk(SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS));
    errChk(SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY));
//  errChk(SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_BACKCOLOR, VAL_LT_GRAY));
//  errChk(SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC));
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, 0XC4D0D2));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 5));
//  errChk(SetPanelAttribute (hPanel, ATTR_SIZABLE, 1));
//  errChk(SetPanelAttribute (hPanel, ATTR_MOVABLE, 1));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_FONT"));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1));
//  errChk(SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 1));
//  errChk(SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 1));
    errChk(SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0));
//  if (!hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER));
//  errChk(SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1));
//  errChk(SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1));
//  errChk(SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0));
//  errChk(SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0));

    // Build control: DSPMONP_SLOT_NUM
    errChk(DSPMONP_SLOT_NUM = NewCtrl (hPanel, CTRL_NUMERIC, "Slot#", 25, 30));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_CONSTANT_NAME, "SLOT_NUM"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_FRAME_COLOR, VAL_DK_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_WIDTH, 28));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_MAX_VALUE, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_INCR_VALUE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_FORMAT, VAL_DECIMAL_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_CHECK_RANGE, VAL_NOTIFY));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_PADDING, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_SHOW_RADIX, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_SLOT_NUM));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_SHOW_INCDEC_ARROWS, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_WIDTH, 26));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_TOP, 28));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_LEFT, 2));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_SLOT_NUM, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_HOST_INDEX
    errChk(DSPMONP_HOST_INDEX = NewCtrl (hPanel, CTRL_NUMERIC, "HostIndex", 129, 32));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_CONSTANT_NAME, "HOST_INDEX"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_VISIBLE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_COLOR, VAL_WHITE));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_WIDTH, 51));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_TEXT_POINT_SIZE, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_MAX_VALUE, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_INCR_VALUE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_FORMAT, VAL_DECIMAL_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_CHECK_RANGE, VAL_NOTIFY));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_PADDING, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_SHOW_RADIX, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_HOST_INDEX));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_WIDTH, 30));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_TOP, 121));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_LEFT, 53));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_HOST_INDEX, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_STATUS_REG_2
    errChk(DSPMONP_STATUS_REG_2 = NewCtrl (hPanel, CTRL_NUMERIC, "Status 2", 212, 389));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_CONSTANT_NAME, "STATUS_REG_2"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_WIDTH, 50));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_STATUS_REG_2));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_TOP, 215));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_LEFT, 337));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_STATUS_REG_2, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_STATUS_REG_1
    errChk(DSPMONP_STATUS_REG_1 = NewCtrl (hPanel, CTRL_NUMERIC, "Status 1", 212, 247));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_CONSTANT_NAME, "STATUS_REG_1"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_WIDTH, 50));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_STATUS_REG_1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_TOP, 215));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_LEFT, 195));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_STATUS_REG_1, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_HCMD_REG
    errChk(DSPMONP_HCMD_REG = NewCtrl (hPanel, CTRL_NUMERIC, "HCMD", 307, 85));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_CONSTANT_NAME, "HCMD_REG"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_WIDTH, 39));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_HCMD_REG));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_TOP, 309));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_LEFT, 44));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_HCMD_REG, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_TRAP_CMD_STAT
    errChk(DSPMONP_TRAP_CMD_STAT = NewCtrl (hPanel, CTRL_NUMERIC, "Trap CMD Stat", 307, 247));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_CONSTANT_NAME, "TRAP_CMD_STAT"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_WIDTH, 87));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_TRAP_CMD_STAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_TOP, 311));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_LEFT, 159));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_TRAP_CMD_STAT, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_INTR_DSP_HSHK_WR
    errChk(DSPMONP_INTR_DSP_HSHK_WR = NewCtrl (hPanel, CTRL_NUMERIC, "Hshk Write", 307, 389));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_CONSTANT_NAME, "INTR_DSP_HSHK_WR"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_WIDTH, 66));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_INTR_DSP_HSHK_WR));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_TOP, 309));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_LEFT, 322));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_INTR_DSP_HSHK_WR, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_INTR_DSP_HSHK_RD
    errChk(DSPMONP_INTR_DSP_HSHK_RD = NewCtrl (hPanel, CTRL_NUMERIC, "Hshk Read", 307, 547));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_CONSTANT_NAME, "INTR_DSP_HSHK_RD"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_WIDTH, 66));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_INTR_DSP_HSHK_RD));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_TOP, 309));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_LEFT, 479));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_INTR_DSP_HSHK_RD, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_RESERVED_REG_4
    errChk(DSPMONP_RESERVED_REG_4 = NewCtrl (hPanel, CTRL_NUMERIC, "Reserved 4", 288, 85));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_CONSTANT_NAME, "RESERVED_REG_4"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_WIDTH, 68));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RESERVED_REG_4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_TOP, 292));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_LEFT, 15));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_RESERVED_REG_4, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_RESERVED_REG_5
    errChk(DSPMONP_RESERVED_REG_5 = NewCtrl (hPanel, CTRL_NUMERIC, "Reserved 5", 288, 247));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_CONSTANT_NAME, "RESERVED_REG_5"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_WIDTH, 68));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RESERVED_REG_5));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_TOP, 292));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_LEFT, 177));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_RESERVED_REG_5, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_RESERVED_REG_6
    errChk(DSPMONP_RESERVED_REG_6 = NewCtrl (hPanel, CTRL_NUMERIC, "Reserved 6", 288, 389));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_CONSTANT_NAME, "RESERVED_REG_6"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_WIDTH, 68));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RESERVED_REG_6));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_TOP, 291));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_LEFT, 319));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_RESERVED_REG_6, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_TASK_STATE_REG
    errChk(DSPMONP_TASK_STATE_REG = NewCtrl (hPanel, CTRL_NUMERIC, "Task State", 288, 547));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_CONSTANT_NAME, "TASK_STATE_REG"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_TASK_STATE_REG));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_TOP, 291));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_LEFT, 480));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_TASK_STATE_REG, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_RESERVED_REG_2
    errChk(DSPMONP_RESERVED_REG_2 = NewCtrl (hPanel, CTRL_NUMERIC, "Reserved 2", 269, 389));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_CONSTANT_NAME, "RESERVED_REG_2"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_WIDTH, 68));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RESERVED_REG_2));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_TOP, 272));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_LEFT, 319));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_RESERVED_REG_2, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_RESERVED_REG_3
    errChk(DSPMONP_RESERVED_REG_3 = NewCtrl (hPanel, CTRL_NUMERIC, "Reserved 3", 269, 547));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_CONSTANT_NAME, "RESERVED_REG_3"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_WIDTH, 68));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RESERVED_REG_3));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_TOP, 272));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_LEFT, 477));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_RESERVED_REG_3, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_RESERVED_REG_1
    errChk(DSPMONP_RESERVED_REG_1 = NewCtrl (hPanel, CTRL_NUMERIC, "Reserved 1", 269, 247));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_CONSTANT_NAME, "RESERVED_REG_1"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_WIDTH, 68));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RESERVED_REG_1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_TOP, 273));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_LEFT, 177));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_RESERVED_REG_1, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_RESERVED_REG_0
    errChk(DSPMONP_RESERVED_REG_0 = NewCtrl (hPanel, CTRL_NUMERIC, "Reserved 0", 269, 85));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_CONSTANT_NAME, "RESERVED_REG_0"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_WIDTH, 68));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RESERVED_REG_0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_TOP, 273));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_LEFT, 15));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_RESERVED_REG_0, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_HSTAT_REG_1
    errChk(DSPMONP_HSTAT_REG_1 = NewCtrl (hPanel, CTRL_NUMERIC, "HStat 1", 250, 547));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_CONSTANT_NAME, "HSTAT_REG_1"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_WIDTH, 46));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_HSTAT_REG_1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_TOP, 253));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_LEFT, 499));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_HSTAT_REG_1, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_HSTAT_REG_0
    errChk(DSPMONP_HSTAT_REG_0 = NewCtrl (hPanel, CTRL_NUMERIC, "HStat 0", 250, 389));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_CONSTANT_NAME, "HSTAT_REG_0"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_WIDTH, 46));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_HSTAT_REG_0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_TOP, 253));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_LEFT, 340));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_HSTAT_REG_0, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_HCMD_STAT_REG_1
    errChk(DSPMONP_HCMD_STAT_REG_1 = NewCtrl (hPanel, CTRL_NUMERIC, "HCMD Stat 1", 250, 247));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_CONSTANT_NAME, "HCMD_STAT_REG_1"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_WIDTH, 77));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_HCMD_STAT_REG_1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_TOP, 254));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_LEFT, 169));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_HCMD_STAT_REG_1, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_HCMD_STAT_REG_0
    errChk(DSPMONP_HCMD_STAT_REG_0 = NewCtrl (hPanel, CTRL_NUMERIC, "HCMD Stat 0", 250, 85));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_CONSTANT_NAME, "HCMD_STAT_REG_0"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_WIDTH, 77));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_HCMD_STAT_REG_0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_TOP, 253));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_LEFT, 6));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_HCMD_STAT_REG_0, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_LOOP_REG
    errChk(DSPMONP_LOOP_REG = NewCtrl (hPanel, CTRL_NUMERIC, "Loop", 231, 547));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_CONSTANT_NAME, "LOOP_REG"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_WIDTH, 31));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_LOOP_REG));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_TOP, 234));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_LEFT, 515));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_LOOP_REG, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_TRAPSTAT_REG_1
    errChk(DSPMONP_TRAPSTAT_REG_1 = NewCtrl (hPanel, CTRL_NUMERIC, "TrapStat 1", 231, 389));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_CONSTANT_NAME, "TRAPSTAT_REG_1"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_WIDTH, 63));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_TRAPSTAT_REG_1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_TOP, 234));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_LEFT, 325));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_TRAPSTAT_REG_1, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_TRAPSTAT_REG_0
    errChk(DSPMONP_TRAPSTAT_REG_0 = NewCtrl (hPanel, CTRL_NUMERIC, "TrapStat 0", 231, 247));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_CONSTANT_NAME, "TRAPSTAT_REG_0"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_WIDTH, 63));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_TRAPSTAT_REG_0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_TOP, 233));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_LEFT, 183));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_TRAPSTAT_REG_0, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_DIAGNOSTIC_REG
    errChk(DSPMONP_DIAGNOSTIC_REG = NewCtrl (hPanel, CTRL_NUMERIC, "Diagnostic", 231, 85));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_CONSTANT_NAME, "DIAGNOSTIC_REG"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_WIDTH, 63));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_DIAGNOSTIC_REG));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_TOP, 233));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_LEFT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_DIAGNOSTIC_REG, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_COMMAND_REG_0
    errChk(DSPMONP_COMMAND_REG_0 = NewCtrl (hPanel, CTRL_NUMERIC, "Command 0", 212, 547));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_CONSTANT_NAME, "COMMAND_REG_0"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_WIDTH, 68));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_COMMAND_REG_0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_TOP, 215));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_LEFT, 477));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_COMMAND_REG_0, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_STATUS_REG_0
    errChk(DSPMONP_STATUS_REG_0 = NewCtrl (hPanel, CTRL_NUMERIC, "Status 0", 212, 85));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_CONSTANT_NAME, "STATUS_REG_0"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_WIDTH, 50));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_STATUS_REG_0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_TOP, 215));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_LEFT, 33));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_STATUS_REG_0, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_CURR_VAL
    errChk(DSPMONP_CURR_VAL = NewCtrl (hPanel, CTRL_NUMERIC, "", 85, 388));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_CONSTANT_NAME, "CURR_VAL"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_FRAME_COLOR, 0X6699CC));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_WIDTH, 10));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_TEXT_POINT_SIZE, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_CURR_VAL));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_WIDTH, 85));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_TOP, 89));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_LEFT, 354));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_CURR_VAL, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_EDIT_FIELD
    errChk(DSPMONP_EDIT_FIELD = NewCtrl (hPanel, CTRL_NUMERIC, "", 85, 140));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_CONSTANT_NAME, "EDIT_FIELD"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_FRAME_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_WIDTH, 10));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_TEXT_POINT_SIZE, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_EDIT_FIELD));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_WIDTH, 85));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_TOP, 89));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_LEFT, 106));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_EDIT_FIELD, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_BIT_31
    errChk(DSPMONP_BIT_31 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 111, 97));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_CONSTANT_NAME, "BIT_31"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_31));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_ON_TEXT, "31"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_OFF_TEXT, "31"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_TOP, 90));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_LEFT, 80));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_30
    errChk(DSPMONP_BIT_30 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 111, 118));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_CONSTANT_NAME, "BIT_30"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_30));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_ON_TEXT, "30"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_OFF_TEXT, "30"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_TOP, 90));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_LEFT, 101));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_29
    errChk(DSPMONP_BIT_29 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 111, 139));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_CONSTANT_NAME, "BIT_29"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_29));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_ON_TEXT, "29"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_OFF_TEXT, "29"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_TOP, 90));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_LEFT, 122));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_31
    errChk(DSPMONP_RBIT_31 = NewCtrl (hPanel, CTRL_SQUARE_LED, "31", 112, 347));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_CONSTANT_NAME, "RBIT_31"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_WIDTH, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_31));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_TOP, 116));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_LEFT, 351));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_30
    errChk(DSPMONP_RBIT_30 = NewCtrl (hPanel, CTRL_SQUARE_LED, "30", 112, 368));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_CONSTANT_NAME, "RBIT_30"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_WIDTH, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_30));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_TOP, 116));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_LEFT, 372));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_29
    errChk(DSPMONP_RBIT_29 = NewCtrl (hPanel, CTRL_SQUARE_LED, "29", 112, 389));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_CONSTANT_NAME, "RBIT_29"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_WIDTH, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_29));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_TOP, 116));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_LEFT, 393));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_28
    errChk(DSPMONP_RBIT_28 = NewCtrl (hPanel, CTRL_SQUARE_LED, "28", 112, 410));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_CONSTANT_NAME, "RBIT_28"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_WIDTH, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_28));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_TOP, 116));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_LEFT, 414));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_27
    errChk(DSPMONP_RBIT_27 = NewCtrl (hPanel, CTRL_SQUARE_LED, "27", 112, 431));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_CONSTANT_NAME, "RBIT_27"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_WIDTH, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_27));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_TOP, 116));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_LEFT, 435));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_26
    errChk(DSPMONP_RBIT_26 = NewCtrl (hPanel, CTRL_SQUARE_LED, "26", 112, 452));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_CONSTANT_NAME, "RBIT_26"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_WIDTH, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_26));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_TOP, 116));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_LEFT, 456));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_25
    errChk(DSPMONP_RBIT_25 = NewCtrl (hPanel, CTRL_SQUARE_LED, "25", 112, 473));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_CONSTANT_NAME, "RBIT_25"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_WIDTH, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_25));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_TOP, 116));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_LEFT, 477));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_23
    errChk(DSPMONP_RBIT_23 = NewCtrl (hPanel, CTRL_SQUARE_LED, "23", 134, 347));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_CONSTANT_NAME, "RBIT_23"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_WIDTH, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_23));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_TOP, 138));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_LEFT, 351));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_24
    errChk(DSPMONP_RBIT_24 = NewCtrl (hPanel, CTRL_SQUARE_LED, "24", 112, 494));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_CONSTANT_NAME, "RBIT_24"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_WIDTH, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_24));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_TOP, 116));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_LEFT, 498));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_22
    errChk(DSPMONP_RBIT_22 = NewCtrl (hPanel, CTRL_SQUARE_LED, "22", 134, 368));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_CONSTANT_NAME, "RBIT_22"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_WIDTH, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_TOP, 138));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_LEFT, 372));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_21
    errChk(DSPMONP_RBIT_21 = NewCtrl (hPanel, CTRL_SQUARE_LED, "21", 134, 389));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_CONSTANT_NAME, "RBIT_21"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_WIDTH, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_TOP, 138));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_LEFT, 393));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_20
    errChk(DSPMONP_RBIT_20 = NewCtrl (hPanel, CTRL_SQUARE_LED, "20", 134, 410));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_CONSTANT_NAME, "RBIT_20"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_WIDTH, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_20));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_TOP, 138));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_LEFT, 414));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_19
    errChk(DSPMONP_RBIT_19 = NewCtrl (hPanel, CTRL_SQUARE_LED, "19", 134, 431));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_CONSTANT_NAME, "RBIT_19"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_WIDTH, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_19));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_TOP, 138));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_LEFT, 435));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_18
    errChk(DSPMONP_RBIT_18 = NewCtrl (hPanel, CTRL_SQUARE_LED, "18", 134, 452));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_CONSTANT_NAME, "RBIT_18"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_WIDTH, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_18));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_TOP, 138));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_LEFT, 456));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_15
    errChk(DSPMONP_RBIT_15 = NewCtrl (hPanel, CTRL_SQUARE_LED, "15", 155, 347));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_CONSTANT_NAME, "RBIT_15"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_WIDTH, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_15));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_TOP, 159));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_LEFT, 351));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_17
    errChk(DSPMONP_RBIT_17 = NewCtrl (hPanel, CTRL_SQUARE_LED, "17", 134, 473));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_CONSTANT_NAME, "RBIT_17"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_WIDTH, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_17));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_TOP, 138));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_LEFT, 477));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_16
    errChk(DSPMONP_RBIT_16 = NewCtrl (hPanel, CTRL_SQUARE_LED, "16", 134, 494));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_CONSTANT_NAME, "RBIT_16"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_WIDTH, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_16));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_TOP, 138));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_LEFT, 498));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_14
    errChk(DSPMONP_RBIT_14 = NewCtrl (hPanel, CTRL_SQUARE_LED, "14", 155, 368));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_CONSTANT_NAME, "RBIT_14"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_WIDTH, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_14));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_TOP, 159));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_LEFT, 372));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_13
    errChk(DSPMONP_RBIT_13 = NewCtrl (hPanel, CTRL_SQUARE_LED, "13", 155, 389));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_CONSTANT_NAME, "RBIT_13"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_WIDTH, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_TOP, 159));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_LEFT, 393));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_12
    errChk(DSPMONP_RBIT_12 = NewCtrl (hPanel, CTRL_SQUARE_LED, "12", 155, 410));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_CONSTANT_NAME, "RBIT_12"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_WIDTH, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_12));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_TOP, 159));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_LEFT, 414));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_11
    errChk(DSPMONP_RBIT_11 = NewCtrl (hPanel, CTRL_SQUARE_LED, "11", 155, 431));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_CONSTANT_NAME, "RBIT_11"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_WIDTH, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_TOP, 159));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_LEFT, 435));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_7
    errChk(DSPMONP_RBIT_7 = NewCtrl (hPanel, CTRL_SQUARE_LED, "7", 177, 347));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_CONSTANT_NAME, "RBIT_7"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_WIDTH, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_7));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_TOP, 181));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_LEFT, 354));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_10
    errChk(DSPMONP_RBIT_10 = NewCtrl (hPanel, CTRL_SQUARE_LED, "10", 155, 452));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_CONSTANT_NAME, "RBIT_10"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_WIDTH, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_10));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_TOP, 159));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_LEFT, 456));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_9
    errChk(DSPMONP_RBIT_9 = NewCtrl (hPanel, CTRL_SQUARE_LED, "9", 155, 473));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_CONSTANT_NAME, "RBIT_9"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_WIDTH, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_TOP, 159));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_LEFT, 480));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_8
    errChk(DSPMONP_RBIT_8 = NewCtrl (hPanel, CTRL_SQUARE_LED, "8", 155, 494));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_CONSTANT_NAME, "RBIT_8"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_WIDTH, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_TOP, 159));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_LEFT, 501));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_6
    errChk(DSPMONP_RBIT_6 = NewCtrl (hPanel, CTRL_SQUARE_LED, "6", 177, 368));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_CONSTANT_NAME, "RBIT_6"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_WIDTH, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_6));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_TOP, 181));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_LEFT, 375));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_5
    errChk(DSPMONP_RBIT_5 = NewCtrl (hPanel, CTRL_SQUARE_LED, "5", 177, 389));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_CONSTANT_NAME, "RBIT_5"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_WIDTH, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_5));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_TOP, 181));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_LEFT, 396));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_4
    errChk(DSPMONP_RBIT_4 = NewCtrl (hPanel, CTRL_SQUARE_LED, "4", 177, 410));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_CONSTANT_NAME, "RBIT_4"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_WIDTH, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_TOP, 181));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_LEFT, 417));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_3
    errChk(DSPMONP_RBIT_3 = NewCtrl (hPanel, CTRL_SQUARE_LED, "3", 177, 431));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_CONSTANT_NAME, "RBIT_3"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_WIDTH, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_3));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_TOP, 181));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_LEFT, 438));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_2
    errChk(DSPMONP_RBIT_2 = NewCtrl (hPanel, CTRL_SQUARE_LED, "2", 177, 452));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_CONSTANT_NAME, "RBIT_2"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_WIDTH, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_2));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_TOP, 181));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_LEFT, 459));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_1
    errChk(DSPMONP_RBIT_1 = NewCtrl (hPanel, CTRL_SQUARE_LED, "1", 177, 473));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_CONSTANT_NAME, "RBIT_1"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_WIDTH, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_TOP, 181));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_LEFT, 480));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_RBIT_0
    errChk(DSPMONP_RBIT_0 = NewCtrl (hPanel, CTRL_SQUARE_LED, "0", 177, 494));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_CONSTANT_NAME, "RBIT_0"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_WIDTH, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_RBIT_0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_TOP, 181));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_LEFT, 501));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_28
    errChk(DSPMONP_BIT_28 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 111, 160));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_CONSTANT_NAME, "BIT_28"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_28));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_ON_TEXT, "28"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_OFF_TEXT, "28"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_TOP, 90));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_LEFT, 143));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_27
    errChk(DSPMONP_BIT_27 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 111, 181));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_CONSTANT_NAME, "BIT_27"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_27));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_ON_TEXT, "27"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_OFF_TEXT, "27"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_TOP, 90));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_LEFT, 164));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_26
    errChk(DSPMONP_BIT_26 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 111, 202));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_CONSTANT_NAME, "BIT_26"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_26));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_ON_TEXT, "26"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_OFF_TEXT, "26"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_TOP, 90));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_LEFT, 185));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_24
    errChk(DSPMONP_BIT_24 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 111, 244));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_CONSTANT_NAME, "BIT_24"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_24));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_ON_TEXT, "24"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_OFF_TEXT, "24"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_TOP, 90));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_LEFT, 227));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_25
    errChk(DSPMONP_BIT_25 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 111, 223));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_CONSTANT_NAME, "BIT_25"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_25));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_ON_TEXT, "25"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_OFF_TEXT, "25"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_TOP, 90));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_LEFT, 206));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_23
    errChk(DSPMONP_BIT_23 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 133, 97));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_CONSTANT_NAME, "BIT_23"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_23));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_ON_TEXT, "23"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_OFF_TEXT, "23"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_TOP, 112));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_LEFT, 80));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_22
    errChk(DSPMONP_BIT_22 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 133, 118));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_CONSTANT_NAME, "BIT_22"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_22));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_ON_TEXT, "22"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_OFF_TEXT, "22"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_TOP, 112));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_LEFT, 101));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_21
    errChk(DSPMONP_BIT_21 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 133, 139));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_CONSTANT_NAME, "BIT_21"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_21));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_ON_TEXT, "21"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_OFF_TEXT, "21"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_TOP, 112));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_LEFT, 122));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_20
    errChk(DSPMONP_BIT_20 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 133, 160));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_CONSTANT_NAME, "BIT_20"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_20));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_ON_TEXT, "20"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_OFF_TEXT, "20"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_TOP, 112));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_LEFT, 143));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_19
    errChk(DSPMONP_BIT_19 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 133, 181));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_CONSTANT_NAME, "BIT_19"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_19));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_ON_TEXT, "19"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_OFF_TEXT, "19"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_TOP, 112));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_LEFT, 164));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_18
    errChk(DSPMONP_BIT_18 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 133, 202));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_CONSTANT_NAME, "BIT_18"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_18));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_ON_TEXT, "18"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_OFF_TEXT, "18"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_TOP, 112));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_LEFT, 185));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_16
    errChk(DSPMONP_BIT_16 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 133, 244));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_CONSTANT_NAME, "BIT_16"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_16));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_ON_TEXT, "16"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_OFF_TEXT, "16"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_TOP, 112));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_LEFT, 227));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_17
    errChk(DSPMONP_BIT_17 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 133, 223));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_CONSTANT_NAME, "BIT_17"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_17));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_ON_TEXT, "17"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_OFF_TEXT, "17"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_TOP, 112));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_LEFT, 206));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_7
    errChk(DSPMONP_BIT_7 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 177, 97));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_CONSTANT_NAME, "BIT_7"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_7));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_ON_TEXT, "7"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_OFF_TEXT, "7"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_TOP, 156));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_LEFT, 80));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_15
    errChk(DSPMONP_BIT_15 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 155, 97));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_CONSTANT_NAME, "BIT_15"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_ON_TEXT, "15"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_OFF_TEXT, "15"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_TOP, 134));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_LEFT, 80));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_6
    errChk(DSPMONP_BIT_6 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 177, 118));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_CONSTANT_NAME, "BIT_6"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_6));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_ON_TEXT, "6"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_OFF_TEXT, "6"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_TOP, 156));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_LEFT, 101));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_14
    errChk(DSPMONP_BIT_14 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 155, 118));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_CONSTANT_NAME, "BIT_14"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_14));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_ON_TEXT, "14"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_OFF_TEXT, "14"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_TOP, 134));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_LEFT, 101));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_5
    errChk(DSPMONP_BIT_5 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 177, 139));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_CONSTANT_NAME, "BIT_5"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_5));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_ON_TEXT, "5"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_OFF_TEXT, "5"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_TOP, 156));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_LEFT, 122));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_13
    errChk(DSPMONP_BIT_13 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 155, 139));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_CONSTANT_NAME, "BIT_13"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_13));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_ON_TEXT, "13"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_OFF_TEXT, "13"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_TOP, 134));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_LEFT, 122));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_4
    errChk(DSPMONP_BIT_4 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 177, 160));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_CONSTANT_NAME, "BIT_4"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_ON_TEXT, "4"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_OFF_TEXT, "4"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_TOP, 156));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_LEFT, 143));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_12
    errChk(DSPMONP_BIT_12 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 155, 160));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_CONSTANT_NAME, "BIT_12"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_12));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_ON_TEXT, "12"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_OFF_TEXT, "12"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_TOP, 134));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_LEFT, 143));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_3
    errChk(DSPMONP_BIT_3 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 177, 181));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_CONSTANT_NAME, "BIT_3"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_3));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_ON_TEXT, "3"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_OFF_TEXT, "3"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_TOP, 156));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_LEFT, 164));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_11
    errChk(DSPMONP_BIT_11 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 155, 181));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_CONSTANT_NAME, "BIT_11"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_ON_TEXT, "11"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_OFF_TEXT, "11"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_TOP, 134));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_LEFT, 164));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_2
    errChk(DSPMONP_BIT_2 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 177, 202));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_CONSTANT_NAME, "BIT_2"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_2));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_ON_TEXT, "2"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_OFF_TEXT, "2"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_TOP, 156));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_LEFT, 185));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_10
    errChk(DSPMONP_BIT_10 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 155, 202));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_CONSTANT_NAME, "BIT_10"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_10));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_ON_TEXT, "10"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_OFF_TEXT, "10"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_TOP, 134));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_LEFT, 185));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_COPY
    errChk(DSPMONP_COPY = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "<<COPY<<", 132, 275));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_CONSTANT_NAME, "COPY"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_CTRL_MODE, VAL_HOT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_LABEL_COLOR, 0X000099));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_COPY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_WIDTH, 64));

    // Build control: DSPMONP_WRITE
    errChk(DSPMONP_WRITE = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Write", 85, 230));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_CONSTANT_NAME, "WRITE"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_WRITE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_WIDTH, 35));

    // Build control: DSPMONP_VIEW_CRDH
    errChk(DSPMONP_VIEW_CRDH = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "comRegsDef.h", 133, 532));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_CONSTANT_NAME, "VIEW_CRDH"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_VIEW_CRDH));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_HEIGHT, 19));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_WIDTH, 79));

    // Build control: DSPMONP_READ_REGS
    errChk(DSPMONP_READ_REGS = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Read DSP Regs", 335, 254));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_CONSTANT_NAME, "READ_REGS"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_READ_REGS));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_WIDTH, 94));

    // Build control: DSPMONP_BIT_0
    errChk(DSPMONP_BIT_0 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 177, 244));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_CONSTANT_NAME, "BIT_0"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_ON_TEXT, "0"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_OFF_TEXT, "0"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_TOP, 156));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_LEFT, 227));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_8
    errChk(DSPMONP_BIT_8 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 155, 244));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_CONSTANT_NAME, "BIT_8"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_8));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_ON_TEXT, "8"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_OFF_TEXT, "8"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_TOP, 134));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_LEFT, 227));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_1
    errChk(DSPMONP_BIT_1 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 177, 223));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_CONSTANT_NAME, "BIT_1"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_ON_TEXT, "1"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_OFF_TEXT, "1"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_TOP, 156));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_LEFT, 206));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_BIT_9
    errChk(DSPMONP_BIT_9 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 155, 223));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_CONSTANT_NAME, "BIT_9"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_BGCOLOR, 0XD5C9C4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_BIT_9));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_ON_COLOR, 0X7BCEEA));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_ON_TEXT, "9"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_OFF_TEXT, "9"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_TOP, 134));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_LEFT, 206));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: DSPMONP_REGISTERS_RING_READ
    errChk(DSPMONP_REGISTERS_RING_READ = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "", 61, 347));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_CONSTANT_NAME, "REGISTERS_RING_READ"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_DATA_TYPE, VAL_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_FRAME_COLOR, 0X6699CC));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_BGCOLOR, 0XBBC9B8));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_TEXT_BGCOLOR, VAL_WHITE));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_MENU_ARROW_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_WIDTH, 167));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_TOP, 67));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_LEFT, 271));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Build control: DSPMONP_DSP_TYPE
    errChk(DSPMONP_DSP_TYPE = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "", 26, 258));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_CONSTANT_NAME, "DSP_TYPE"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_DATA_TYPE, VAL_INTEGER));
    errChk(InsertListItem (hPanel, DSPMONP_DSP_TYPE, 0, "MASTER", -1));
    errChk(InsertListItem (hPanel, DSPMONP_DSP_TYPE, 1, "SLAVE 0", 0));
    errChk(InsertListItem (hPanel, DSPMONP_DSP_TYPE, 2, "SLAVE 1", 1));
    errChk(InsertListItem (hPanel, DSPMONP_DSP_TYPE, 3, "SLAVE 2", 2));
    errChk(InsertListItem (hPanel, DSPMONP_DSP_TYPE, 4, "SLAVE 3", 3));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_FRAME_COLOR, 0XCC9966));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_TEXT_COLOR, 0XFFFF99));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_TEXT_POINT_SIZE, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_TEXT_BGCOLOR, 0X006699));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_DFLT_INDEX, 0));
    errChk(DefaultCtrl (hPanel, DSPMONP_DSP_TYPE));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_MENU_ARROW_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_WIDTH, 97));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_TOP, 30));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_LEFT, 232));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Build control: DSPMONP_REGISTERS_RING_WRITE
    errChk(DSPMONP_REGISTERS_RING_WRITE = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "", 61, 97));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_CONSTANT_NAME, "REGISTERS_RING_WRITE"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_DATA_TYPE, VAL_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_FRAME_COLOR, 0XCC9966));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_BGCOLOR, 0XBBC9B8));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_TEXT_BGCOLOR, VAL_WHITE));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_MENU_ARROW_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_WIDTH, 167));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_TOP, 67));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_LEFT, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Build control: DSPMONP_TEXTMSG
    errChk(DSPMONP_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 63, 117));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_VISIBLE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_DFLT_VALUE, "Filled in program!"));
    errChk(DefaultCtrl (hPanel, DSPMONP_TEXTMSG));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_WIDTH, 82));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_TEXTMSG, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_TEXTMSG_2
    errChk(DSPMONP_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 63, 367));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2"));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_VISIBLE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_DFLT_VALUE, "Filled in program!"));
    errChk(DefaultCtrl (hPanel, DSPMONP_TEXTMSG_2));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_WIDTH, 82));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_TEXTMSG_3
    errChk(DSPMONP_TEXTMSG_3 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 41, 412));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_CONSTANT_NAME, "TEXTMSG_3"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_TEXT_COLOR, 0X000066));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_TEXT_ITALIC, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_TEXT_UNDERLINE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_TEXT_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_TEXT_BGCOLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_DFLT_VALUE, "READ"));
    errChk(DefaultCtrl (hPanel, DSPMONP_TEXTMSG_3));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_WIDTH, 37));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_TEXTMSG_3, "", VAL_DS_READ, NULL, NULL));

    // Build control: DSPMONP_TEXTMSG_4
    errChk(DSPMONP_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 41, 162));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4"));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_TEXT_ITALIC, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 1));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_DFLT_VALUE, "WRITE"));
    errChk(DefaultCtrl (hPanel, DSPMONP_TEXTMSG_4));
//  errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_WIDTH, 44));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, DSPMONP_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL));

    // Set up ZPLANE order if necessary
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_ZPLANE_POSITION, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_ZPLANE_POSITION, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_ZPLANE_POSITION, 2));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_ZPLANE_POSITION, 3));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_ZPLANE_POSITION, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_ZPLANE_POSITION, 5));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_ZPLANE_POSITION, 6));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_ZPLANE_POSITION, 7));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_ZPLANE_POSITION, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_ZPLANE_POSITION, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_ZPLANE_POSITION, 10));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_ZPLANE_POSITION, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_ZPLANE_POSITION, 12));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_ZPLANE_POSITION, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_ZPLANE_POSITION, 14));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_ZPLANE_POSITION, 15));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_ZPLANE_POSITION, 16));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_ZPLANE_POSITION, 17));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_ZPLANE_POSITION, 18));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_ZPLANE_POSITION, 19));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_ZPLANE_POSITION, 20));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_ZPLANE_POSITION, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_ZPLANE_POSITION, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_ZPLANE_POSITION, 23));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_ZPLANE_POSITION, 24));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_ZPLANE_POSITION, 25));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_ZPLANE_POSITION, 26));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_ZPLANE_POSITION, 27));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_ZPLANE_POSITION, 28));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_ZPLANE_POSITION, 29));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_ZPLANE_POSITION, 30));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_ZPLANE_POSITION, 31));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_ZPLANE_POSITION, 32));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_ZPLANE_POSITION, 33));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_ZPLANE_POSITION, 34));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_ZPLANE_POSITION, 35));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_ZPLANE_POSITION, 36));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_ZPLANE_POSITION, 37));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_ZPLANE_POSITION, 38));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_ZPLANE_POSITION, 39));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_ZPLANE_POSITION, 40));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_ZPLANE_POSITION, 41));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_ZPLANE_POSITION, 42));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_ZPLANE_POSITION, 43));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_ZPLANE_POSITION, 44));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_ZPLANE_POSITION, 45));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_ZPLANE_POSITION, 46));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_ZPLANE_POSITION, 47));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_ZPLANE_POSITION, 48));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_ZPLANE_POSITION, 49));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_ZPLANE_POSITION, 50));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_ZPLANE_POSITION, 51));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_ZPLANE_POSITION, 52));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_ZPLANE_POSITION, 53));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_ZPLANE_POSITION, 54));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_ZPLANE_POSITION, 55));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_ZPLANE_POSITION, 56));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_ZPLANE_POSITION, 57));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_ZPLANE_POSITION, 58));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_ZPLANE_POSITION, 59));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_ZPLANE_POSITION, 60));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_ZPLANE_POSITION, 61));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_ZPLANE_POSITION, 62));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_ZPLANE_POSITION, 63));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_ZPLANE_POSITION, 64));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_ZPLANE_POSITION, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_ZPLANE_POSITION, 66));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_ZPLANE_POSITION, 67));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_ZPLANE_POSITION, 68));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_ZPLANE_POSITION, 69));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_ZPLANE_POSITION, 70));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_ZPLANE_POSITION, 71));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_ZPLANE_POSITION, 72));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_ZPLANE_POSITION, 73));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_ZPLANE_POSITION, 74));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_ZPLANE_POSITION, 75));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_ZPLANE_POSITION, 76));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_ZPLANE_POSITION, 77));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_ZPLANE_POSITION, 78));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_ZPLANE_POSITION, 79));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_ZPLANE_POSITION, 80));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_ZPLANE_POSITION, 81));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_ZPLANE_POSITION, 82));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_ZPLANE_POSITION, 83));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_ZPLANE_POSITION, 84));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_ZPLANE_POSITION, 85));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_ZPLANE_POSITION, 86));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_ZPLANE_POSITION, 87));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_ZPLANE_POSITION, 88));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_ZPLANE_POSITION, 89));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_ZPLANE_POSITION, 90));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_ZPLANE_POSITION, 91));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_ZPLANE_POSITION, 92));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_ZPLANE_POSITION, 93));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_ZPLANE_POSITION, 94));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_ZPLANE_POSITION, 95));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_ZPLANE_POSITION, 96));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_ZPLANE_POSITION, 97));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_ZPLANE_POSITION, 98));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_ZPLANE_POSITION, 99));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_ZPLANE_POSITION, 100));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_ZPLANE_POSITION, 101));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_ZPLANE_POSITION, 102));

    // Set up TAB order if necessary
    errChk(SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_CTRL_TAB_POSITION, 0));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_CTRL_TAB_POSITION, 1));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_CTRL_TAB_POSITION, 2));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_CTRL_TAB_POSITION, 3));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_CTRL_TAB_POSITION, 4));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_CTRL_TAB_POSITION, 5));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_CTRL_TAB_POSITION, 6));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_CTRL_TAB_POSITION, 7));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_CTRL_TAB_POSITION, 8));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_CTRL_TAB_POSITION, 9));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_CTRL_TAB_POSITION, 10));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_CTRL_TAB_POSITION, 11));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_CTRL_TAB_POSITION, 12));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_CTRL_TAB_POSITION, 13));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_CTRL_TAB_POSITION, 14));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_CTRL_TAB_POSITION, 15));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_CTRL_TAB_POSITION, 16));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_CTRL_TAB_POSITION, 17));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_CTRL_TAB_POSITION, 18));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_CTRL_TAB_POSITION, 19));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_CTRL_TAB_POSITION, 20));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_CTRL_TAB_POSITION, 21));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_CTRL_TAB_POSITION, 22));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_CTRL_TAB_POSITION, 23));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_CTRL_TAB_POSITION, 24));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_CTRL_TAB_POSITION, 25));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_CTRL_TAB_POSITION, 26));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_CTRL_TAB_POSITION, 27));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_CTRL_TAB_POSITION, 28));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_CTRL_TAB_POSITION, 29));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_CTRL_TAB_POSITION, 30));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_CTRL_TAB_POSITION, 31));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_CTRL_TAB_POSITION, 32));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_CTRL_TAB_POSITION, 33));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_CTRL_TAB_POSITION, 34));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_CTRL_TAB_POSITION, 35));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_CTRL_TAB_POSITION, 36));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_CTRL_TAB_POSITION, 37));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_CTRL_TAB_POSITION, 38));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_CTRL_TAB_POSITION, 39));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_CTRL_TAB_POSITION, 40));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_CTRL_TAB_POSITION, 41));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_CTRL_TAB_POSITION, 42));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_CTRL_TAB_POSITION, 43));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_CTRL_TAB_POSITION, 44));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_CTRL_TAB_POSITION, 45));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_CTRL_TAB_POSITION, 46));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_CTRL_TAB_POSITION, 47));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_CTRL_TAB_POSITION, 48));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_CTRL_TAB_POSITION, 49));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_CTRL_TAB_POSITION, 50));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_CTRL_TAB_POSITION, 51));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_CTRL_TAB_POSITION, 52));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_CTRL_TAB_POSITION, 53));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_CTRL_TAB_POSITION, 54));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_CTRL_TAB_POSITION, 55));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_CTRL_TAB_POSITION, 56));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_CTRL_TAB_POSITION, 57));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_CTRL_TAB_POSITION, 58));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_CTRL_TAB_POSITION, 59));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_CTRL_TAB_POSITION, 60));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_CTRL_TAB_POSITION, 61));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_CTRL_TAB_POSITION, 62));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_CTRL_TAB_POSITION, 63));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_CTRL_TAB_POSITION, 64));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_CTRL_TAB_POSITION, 65));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_CTRL_TAB_POSITION, 66));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_CTRL_TAB_POSITION, 67));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_CTRL_TAB_POSITION, 68));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_CTRL_TAB_POSITION, 69));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_CTRL_TAB_POSITION, 70));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_CTRL_TAB_POSITION, 71));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_CTRL_TAB_POSITION, 72));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_CTRL_TAB_POSITION, 73));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_CTRL_TAB_POSITION, 74));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_CTRL_TAB_POSITION, 75));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_CTRL_TAB_POSITION, 76));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_CTRL_TAB_POSITION, 77));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_CTRL_TAB_POSITION, 78));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_CTRL_TAB_POSITION, 79));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_CTRL_TAB_POSITION, 80));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_CTRL_TAB_POSITION, 81));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_CTRL_TAB_POSITION, 82));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_CTRL_TAB_POSITION, 83));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_CTRL_TAB_POSITION, 84));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_CTRL_TAB_POSITION, 85));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_CTRL_TAB_POSITION, 86));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_CTRL_TAB_POSITION, 87));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_CTRL_TAB_POSITION, 88));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_CTRL_TAB_POSITION, 89));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_CTRL_TAB_POSITION, 90));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_CTRL_TAB_POSITION, 91));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_CTRL_TAB_POSITION, 92));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_CTRL_TAB_POSITION, 93));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_CTRL_TAB_POSITION, 94));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_CTRL_TAB_POSITION, 95));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_CTRL_TAB_POSITION, 96));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_CTRL_TAB_POSITION, 97));
    errChk(SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_CTRL_TAB_POSITION, 98));

    // Finalize panel colors, positioning, and sizing
    errChk(SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1));
    errChk(GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment));
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        errChk(GetMonitorFromPanel (hPanel, &monitorId));
        errChk(GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight));
        errChk(GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth));
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        errChk(SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(368*SFv)));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        errChk(SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(619*SFh)));
        errChk(SetPanelAttribute (hPanel, ATTR_TOP, (int)(619*SFv)));
        errChk(SetPanelAttribute (hPanel, ATTR_LEFT, (int)(199*SFh)));
        }
    errChk(SetPanelAttribute (hPanel, ATTR_TOP, VAL_AUTO_CENTER));
    errChk(SetPanelAttribute (hPanel, ATTR_LEFT, VAL_AUTO_CENTER));
    errChk(SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0));

    errChk(buildDspCommRegMonitorMenu (hPanel));

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildRodDevilPanel ():  Build UI object ERROR_PAN; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildRodDevilPanel (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    errChk(hPanel = NewPanel (hParentPanel, "ERROR", 248, 443, 260, 269));

    // Set the panel's attributes
    errChk(SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "ERROR_PAN"));
    errChk(SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0));
//  errChk(SetPanelAttribute (hPanel, ATTR_DIMMED, 0));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY));
//  errChk(SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS));
    errChk(SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY));
//  errChk(SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_BACKCOLOR, VAL_RED));
//  errChk(SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC));
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 5));
    errChk(SetPanelAttribute (hPanel, ATTR_SIZABLE, 0));
//  errChk(SetPanelAttribute (hPanel, ATTR_MOVABLE, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT"));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1));
    errChk(SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0));
//  if (!hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER));
//  errChk(SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1));
//  errChk(SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1));
//  errChk(SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0));
//  errChk(SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0));

    // Build control: ERROR_PAN_NO
    errChk(ERROR_PAN_NO = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Cancel", 217, 158));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_CONSTANT_NAME, "NO"));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_CALLBACK_FUNCTION_POINTER, shutErrorPanel));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ERROR_PAN_NO));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_HEIGHT, 26));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_WIDTH, 64));

    // Build control: ERROR_PAN_OK
    errChk(ERROR_PAN_OK = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "OK", 217, 48));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_CONSTANT_NAME, "OK"));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_CALLBACK_FUNCTION_POINTER, shutErrorPanel));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ERROR_PAN_OK));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_HEIGHT, 26));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_WIDTH, 64));

    // Build control: ERROR_PAN_SHOW_ERROR_WINDOW
    errChk(ERROR_PAN_SHOW_ERROR_WINDOW = NewCtrl (hPanel, CTRL_CHECK_BOX, "ShowErrorWindow", 1, 1));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_CONSTANT_NAME, "SHOW_ERROR_WINDOW"));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_WIDTH, 91));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_DFLT_VALUE, 1));
    errChk(DefaultCtrl (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_ON_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_OFF_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_WIDTH, 19));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_TOP, 1));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_LEFT, 18));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ERROR_PAN_PICTURE
    errChk(ERROR_PAN_PICTURE = NewCtrl (hPanel, CTRL_PICTURE, "", 4, 9));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_CONSTANT_NAME, "PICTURE"));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_FRAME_COLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_BGCOLOR, VAL_RED));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_FRAME_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_PICT_BGCOLOR, 0XFE8001));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_FIT_MODE, VAL_SIZE_TO_IMAGE));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_HEIGHT, 162));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_WIDTH, 250));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_TOP, -17));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_LEFT, 4));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_SIZE_TO_TEXT, 1));
    dataPtr = 
        "!!!!!%!!PQ\?C13#!!!>!(#39\"!#3Q!!!!!!!D=!U!!A!!!!!0!``Q`!!5/=!-!`!!!!!%!/%,!;`(!/"
        "P!!!!%!/&,!;`!!99\"9!/QO!!\"!!/#&!;Q`!!=F/!=/O!!!!!1/'!M;`!=/O!!!!!1/$!M;`!'!F=#"
        "!!;Q`!!M;`!=/J!!!!!1/$!M;`!(!F/!!!!!!!!M;`!,!;`\"!!FA=!!!!!!,!;`#!!;Q`!!9F=!1/>!"
        "!!!!\"!QD%!/$,!;`(!/'$!!`%!/&,!;`!!!Q1D!!M;`!,!;`!!!Q!R!!!!!!1/$!M;`!1/=!!!!!1/("
        "!M;`!=/$!-!`!!999%!/),!;`!!!!!!!!!!!!1/$!M;`!1/<!!!!!1/%!M;`!(!F/%!/$,!;`'!/Q!!!"
        "!%!/&,!;`\"!!FB=!/!.!!\"!!/#$!;Q`!!%QD!1/&!M;`!!!!!!!!!!!!!%QD!,!;`#!!;Q`!9!99!1"
        "/9!!!!!'!F=%!/%,!;`!!!Q\"R!/#%!;R`!/AP!!\"!!/#*!;Q`!!!QR!1/*!!!!!'!F=#!!;Q`!!M;`"
        "!\"!QD\"!!FR/!/#&!;R`!/!$!!\"!!/#$!;R`!/!8!!\"!!/#%!;Q`!!=F/!!!!!%!/%,!;`'!/Q!!!"
        "!%!/$,!;`!!!Q\"R!/#'!;Q`!!=F/!1/)!!!!!1/$!M;`!!!!!%!/',!;`%!/$!!!!%!/$,!;`\"!!FB"
        "=!/!5!!!!!!%QD!1/%!M;`!!!QR!!!!!!!!!QR!1/$!M;`!!!!!!!!!!!!!=F/!(!F/!!99\"9!/AM!!"
        "Q`!!=F/!1/$!M;`!!!!!!!!!!!!9!99!1/&!M;`!1/'!!!!!(!F/%!/$,!;`!!!!\"!!/#'!;R`!/!$!"
        "!!!!!9F=!1/$!M;`!1/4!!!!!(!F/%!/%,!;`%!/$!!!!%!/$,!;`!!!Q!R!!!!!!1/%!M;`!\"!QD'!"
        "/M$!!`%!/$,!;`%!/%!!!!!!!Q\"R!/#%!;R`!/!&!!\"!!/#$!;Q`!!!QR!!!!!%!/',!;`%!/%!!!!"
        "%!/%,!;`%!/2!!!!!!!Q2D!/#%!;R`!/!$!!\"!!/#$!;Q`!!9F=!!!!!\"!!FB=!/#&!;R`!/AM!!!!"
        "!!=F/!,!;`#!!;Q`!!!QR!1/%!!!!!'!F=%!/$,!;`%!/&!!!!%!/$,!;`!!!!!!!!!QR!1/'!M;`!1/"
        "&!!!!!1/%!M;`!1/0!!!!!'!F=%!/$,!;`\"!!FR/!/!$!!!!!!=F/!1/$!M;`!!!!!!!!!!!!!=F/!1"
        "/&!M;`!(!F/'!/M!!!!%!/$,!;`%!/'!!!!%!/$,!;`%!/$!!!!%!/$,!;`!!!!!!!!!!!!(!F/#!!;Q"
        "`!!M;`!#!Q=\"!!FQ/!!M;`!,!;`%!/'!!!!\"!!FR/!/#$!;Q`!!=F/!1/-!!!!!1/%!M;`!1/%!!!!"
        "!1/%!M;`!1/$!!!!!\"!QD#!!;Q`!!M;`!!!!!\"!!FB=!/#$!;R`!/AL!!!!!!!QR!,!;`#!!;Q`!!="
        "F/!!!!!!!!!!!!9!99!!!!!!!!!!!!!!QR!1/$!M;`!!!!!!!99!9!!M;`!,!;`\"!!FQ/!!!!!!!!!!"
        "%!/$,!;`!!!Q!R!!%QD!,!;`#!!;R`!/!$!!!!!!%QD!1/$!!!!!1/&!M;`!1/+!!!!!1/$!M;`!,R;`"
        "%!/%!!!!!!!Q\"R!/#$!;Q`!!!QR!1/%!!!!!,!;`#!!;Q`!!!QR!!!!!%!/%,!;`'!/L!!!!%!/$,!;"
        "`%!/'!!!!%!/$,!;`!!!!\"!!/#$!;R`!/!$!!\"!!/#$!;Q`!!!!!!!!!!#!!;Q`!!M;`!\"!QD!!!!"
        "!!!!!!!!,!;`!!!Q2D!/!$!!!!!!=F/!1/%!M;`!1/)!!!!!'!F=%!/$,!;`!!!Q2D!/!%!!\"!!/#$!"
        ";Q`!!=F/!1/&!-!`!,!;`#!!;Q`!!9F=!!!!!!!!!\"!!/#$!;Q`!!9F=!1/B!-!`!!!QR!!!Q2D!/A("
        "!!!!!!%QD!,!;`#!!;Q`!!)Q=!!!!!!!!!!!!!M;`!1/$!!!!!,!;`#!!;Q`!!=F/!,!;`#!!;Q`!!=F"
        "/!1/$!!!!!1/$!M;`!!!!!!!!!\"!!/#$!;Q`!!!!!!!!!!#!!;Q`!!M;`!'!F=%!/$!!!!!!!QB=!/#"
        "%!;Q`!9!99!1/'!!!!!1/$!M;`!(!F/%!/&!!!!%!/$,!;`%!/'!!!!%!/$,!;`!!!!!!!!!!!!'!F=%"
        "!/$,!;`%!/\?!!!!!!!Q!R!!=F/!1/%!M;`!\"!QD'!/'$!!`%!/$,!;`!!!!!!!!!!!!,!;`!!99!9!!"
        "!!!!!!!!%!/&,!;`%!/%!!!R%!/$,!;`!!!!!!!!!!!!1/$!M;`!!!!!!!!!!!!!%QD!1/$!M;`!1/%!"
        "!!!!1/%!M;`!\"!QD%!/%!!!!!!!Q2D!/#$!;R`!/!'!!\"!!/#$!;R`!/!'!!\"!!/#$!;R`!/!$!!\""
        "!!/#%!;R`!/!;!!!!!!!QR!1/*!M;`!9/'!!!!!1/$!M;`!!!QR!!!!!!!!!QR!,!;`!!!!!!!!!!!!1"
        "/&!M;`!1/%!!!!!1/$!M;`!!!!!!!!!\"!!/#$!;Q`!!=F/!!!!!!!!!\"!!/#%!;Q`!9!99!1/$!!!!"
        "!(!F/%!/$,!;`%!/$!!!R!!!Q\"R!/#$!;R`!/!$!!!!!!M;`!1/$!!!!!,!;`#!!;Q`!!%QD!1/'!!!"
        "!!'!F=#!!;Q`!!M;`!1/%!!!!!1/$!M;`!1/3!!!!!!!QR\"!!FB=!/#-!;Q`!!!QR!1/$!M;`!!999'"
        "!/&!!!!\"!!FA=!!M;`!,!;`\"!!FQ/!!!!!!!!!!#!!;Q`!!!QR!!!!!!!!Q\"R!/#%!;R`!/!%!!\""
        "!!/#$!;Q`!!!!!!!!!!!!99\"9!/#$!;Q`!!!!!!!!!!!!!Q2D!/#%!;Q`!!9F=!1/$!!!!!'!F=%!/$"
        ",!;`!!!!!!!!!!!!1/$!M;`!1/$!!!!!'!F=#!!;Q`!!!!!!!!!!!!!Q1D!!M;`!,!;`%!/(!!!!\"!!"
        "F1D!!M;`!,!;`%!/&!!!!%!/$,!;`%!/.!!!!!!!Q!R!!=F/!1/-!M;`!(!F/!!!Q!R!!!!!!!!!!%!/"
        "%,!;`%!/$!!!!%!/$,!;`'!/!!!!!!!!Q\"R!/#$!;Q`!!!!!!!!!!#!!;Q`!!M;`!!!!!!!!!\"!!/#"
        "%!;R`!/!%!!\"!!/#$!;R`!/!$!!\"!!/#$!;Q`!!)Q=!!!!!!!!!\"!!/#'!;Q`!!A;!!!!!!!!!!!!"
        "!!-!/!,!;`#!!;Q`!!=F/!\"!QD#!!;Q`!!M;`!'!F=!!!!!!!!!!!!!999#!!;Q`!!=F/!!!!!!!!!!"
        "!!!9F=!,!;`#!!;R`!/!(!!!!!!%QD!,!;`#!!;R`!/!&!!\"!!/#$!;R`!/!,!!!!!!%QD!1/-!M;`!"
        "'!F=!!99\"9!/!%!!!!!!=F/!1/$!M;`!\"!QD!!!!!!!!!!!!1/&!M;`!9/!!!!!!1/$!M;`!!!!!!!"
        "!!!!!!M;`!,!;`!!!!!!!!!!!!1/$!M;`!(!F/%!/%!!!!%!/$,!;`!!!Q!R!!!!!!!!!!!!!Q2D!/#$"
        "!;Q`!!!!!!!!!!\"!!FQ/!!M;`!1/&!-!`!1/$!!!!!$!!`%!/&,!;`#!!;!!!!!!!!!!!!!!!!Q`!!M"
        ";`!(!F/!!!!!!!!!!!!(!F/#!!;Q`!!M;`!1/(!!!!!(!F/#!!;Q`!!M;`!!!!!!!!!!!!!=F/!!!!!!"
        "!!!!!!9!99!,!;`#!!;Q`!!9F=!1/)!!!!!\"!QD%!/),!;`\"!!FQ/!!%QD!1/*!!!!!(!F/%!/$,!;"
        "`!!!Q!R!!!!!!!!!!!!99\"9!/#&!;Q`!!9F=!5/`!!!!!1/$!M;`!!!!!!!!!!!!!M;`!,!;`!!!Q!R"
        "!!!!!!!!QR#!!;Q`!!M;`!(!F/%!/%!!!!\"!!FQ/!!M;`!,!;`!!!Q2D!/!$!!\"!!/#$!;Q`!!!!!!"
        "!!!!!!!Q!R!!M;`!1/&!-Q`!\"!QD!!!!!!!!!!!!!999%!/&,!;`!!!!!!!!!!!!\"!QD#!!;Q`!!M;"
        "`!(!F/!!!!!!!!!!!!1/$!M;`!1/(!!!!!(!F/#!!;Q`!!M;`!!!!!!!!!!!!!M;`!1/$!!!!!1/$!M;"
        "`!1/(!!!!!1/'!M;`!(!F/!!!Q\"R!/!-!!\"!!/#%!;Q`!!!QR!1/$!!!!!#!Q=%!/',!;`&!/K!!!!"
        "\"!!FA=!!M;`!1/1!-!`!1/$!!!!!$!!`#!!;Q`!!M;`!)!;!!!!!\"!!/#$!;Q`!!!!!!!!!!%!/$,!"
        ";`!!!!!!!!!!!!!!QR!!!!!!!!%QD!1/$!M;`!1/$!!!!!'!F=#!!;Q`!!M;`!1/$!!!!!1/(!M;`!)!"
        ";R!!!!!!!!!!!!1/%!M;`!\"!QD!!!!!!!!!!!!1/$!M;`!(!F/!!!!!!!!!!!!(!F/#!!;Q`!!M;`!1"
        "/(!!!!!1/$!M;`!!!!!!!!!!!!!M;`!,!;`%!/$!!!!#!!;Q`!!M;`!\"!QD%!/%!!!!!!!Q2D!/#%!;"
        "Q`!!9F=!1/)!!!!!\"!QD\"!!FR/!/!%!!!!!!=F/!1/%!M;`!1/&!!!!!1/$!M;`!\"!QD%!/%,!;`&"
        "!/I!!!!%!/$,!;`%!/4$!!`%!/$,!;`!!!!!!!!!!!!(!F/#!!;Q`!!M;`!!!!!!!!!!!!!=F/!,!;`#"
        "!!;Q`!!!!!!!!!!\"!!FQ/!!!!!!!!!!%!/$,!;`%!/%!!!!#!!;Q`!!M;`!'!F=!!!!!!!!!!!!1/)!"
        "M;`!)!;!!!!!\"!!/#%!;Q`!!!!!!!!!!!!!Q2D!/#%!;Q`!!!!!!!!!!!!!Q1D!!M;`!,!;`%!/(!!!"
        "!%!/$,!;`!!!!!!!!!!!!,!;`#!!;R`!/!$!!\"!!/#$!;R`!/!$!!!!!!9F=!1/%!M;`!1/&!!!!!!!"
        "QR\"!!FB=!/#$!;Q`!!%QD!1/%!!!!!'!F=%!/(,!;`%!/$!!!!%!/$,!;`!!!!!!!!!!!!1/$!M;`!5"
        "/H!!!!!!!QR%!/%,!;`%!/3$!!`%!/$,!;`!!!Q!R!!!!!!(!F/#!!;Q`!!M;`!!!!!!!!!!!!9!99!,"
        "!;`#!!;Q`!!!!!!!!!!#!!;Q`!!!!!!!!!!%!/$,!;`%!/%!!!R#!!;Q`!!M;`!(!F/!!!!!!!!!!!!("
        "!F/#!!;R`!/!'!!Q`!!!!!!!!!!\"!!FR/!/#$!;Q`!!!!!!!!!!%!/&,!;`#!!;!!!!!!!!!!!!!!!!"
        "Q`!!M;`!#!Q=%!/'!!!!%!/$,!;`!!!!!!!!!!!!,!;`#!!;Q`!!%QD!!!!!!!!!\"!!/#$!;Q`!!!!!"
        "!!!!!\"!!FB=!/#$!;Q`!!9F=!1/%!!!!!(!F/%!/&,!;`%!/%!!!!!!!Q\"R!/#+!;Q`!!!!!!!!!!%"
        "!/$,!;`!!!!!!!!!!!!1/$!M;`!'!F=&!/G$!!`%!/$,!;`\"!!FQ/!!M;`!,!;`!!!Q2D!/!1!!\"!!"
        "/#$!;Q`!!!QR!!!!!!!!QA=!!M;`!,!;`%!/$!!!!#!!;Q`!!M;`!!!!!!!!!!!!!)Q=!!!!!!!!!!!!"
        "!=F/!,!;`#!!;Q`!!=F/!1/$!!!!!1/$!M;`!!!!!!!!!!!!!)Q=!,!;`%!/'$!!`!!99!9!!!!!!\"!"
        "QD%!/$,!;`!!!!!!!!!!!!1/&!M;`!)!;!!!!!!!!!!!!!$!!`#!!;Q`!!M;`!)!;!%!/$!!!!!!!!Q`"
        "!!!QR!,!;`#!!;Q`!!)Q=!!!!!!!!!!!!!M;`!,!;`\"!!FQ/!!!!!!!!!!%!/$,!;`!!!!!!!!%QD!1"
        "/%!M;`!1/%!!!!!1/&!M;`!(!F/%!/%!!!!%!/&,!;`!!!Q2D!/#'!;Q`!!!QR!!!!!%!/$,!;`!!!!!"
        "!!!!!!!!!QR%!/$,!;`&!/F!!!!!!99\"9!/#$!;Q`!!!!!!,!;`#!!;Q`!!=F/!1/)!!!!!1/&!M;`!"
        "1/$!!!!!(!F/#!!;Q`!!M;`!&!FD!!!!!!!!%QD!,!;`\"!!FQ`!!9F=!!!!!!!!!!!!!M;`!,!;`%!/"
        "$!!!!\"!!FA=!!!!!!!!!!%!/$,!;`%!/$!!!!#!!;Q`!!M;`!'!F=!!!!!!!!!!!!(!F/#!!;R`!/!'"
        "!!Q`!!%!D!!!!!!!!Q!R!!M;`!,!;`!!!Q1D!!!!!!!!!!%!/&,!;`#!!;Q/!!!!!!!!!!%!/$,!;`%!"
        "/&!!!!%!/$,!;`%!/$!!!!%!/$,!;`!!!!!!!!!!!!1/$!M;`!!!QR%!/$,!;`!!!Q2D!/!$!!\"!!/#"
        "$!;Q`!!-Q`!,!;`#!!;Q`!!I;=!1/$!!!!!1/&!M;`!(!F/!!!!\"!!/#(!;Q`!!!QR!!!!!#!!;Q`!!"
        "M;`!'!F=%!/$!!!!%!/$,!;`&!/F!!!!\"!!FB=!/#$!;Q`!!!!!!1/$!M;`!1/(!!!!!\"!QD%!/',!"
        ";`!!!!!!!!!!!!(!F/#!!;Q`!!M;`!#!Q=!!!!!!!!!QR!,!;`!!!QQ`!!=F/!!!!!!!!!!!!!M;`!,!"
        ";`!!!Q!R!!!!!!!!!!#!!;Q`!!!!!!!!!!%!/$,!;`!!!!!!!!!!!!!!QR#!!;Q`!!M;`!!!QR!!!!!!"
        "!!!!!!1/)!M;`!*!;D!!!!!!!!!QR!,!;`#!!;Q`!!!QR!!!!!!!!Q\"R!/#'!;Q`!!A;!!!!!!%!/$,"
        "!;`!!!Q\"R!/!$!!!!!!=F/!,!;`#!!;Q`!!!QR!!!!!!!!!!!!!9F=!1/$!M;`!!!!!!!!!\"!!/#'!"
        ";Q`!!9F=!1/$!!!!!1/$!M;`!$!!`#!!;Q`!!M;`!+!;=%!/$!!!!%!/&,!;`!!!!!!!!!!!!1/%!M;`"
        "!!!!!%!/$,!;`!!!!!!!9!99!,!;`#!!;Q`!!!QR!1/$!!!!!!!QR#!!;Q`!!M;`!\"!QD&!/E$!!`%!"
        "/$,!;`!!!Q!R!!!!!!1/$!M;`!1/(!!!!!(!F/#!!;Q`!!M;`!(!F/%!/%,!;`!!!!!!!!=F/!,!;`#!"
        "!;Q`!!9F=!!!!!!!!Q!R!!M;`!$!!`!!!!Q`!!!!!!!!!!\"!!FQ/!!M;`!'!F=!!!!!!!!!!!!,!;`!"
        "!!!!!!!!!!!!!QR#!!;Q`!!M;`!\"!QD!!!!!!!!=F/!,!;`#!!;R`!/!$!!!!!!M;`!1/(!=F`!%!FR"
        "!!!!!!!!!QR!,!;`#!!;Q`!!!QR!!!!!!!!Q\"R!/#'!;Q`!!A;!!!!!!\"!!FQ/!!M;`!,!;`!!!QA="
        "!!!!!!!!!!!!!Q\"R!/#$!;R`!/!$!!\"!!/#%!;Q`!!!!!!!!!!\"!!FR/!/#&!;R`!/!$!!\"!!/#$"
        "!;Q`!!-!`!(!F`\"!!FQ`!!=F/!1/$!!!!!1/%!M;`!!!QR%!/$!!!!%!/$,!;`!!!Q!R!!!!!!1/$!M"
        ";`!!!!!\"!!FA=!!M;`!,!;`%!/&!!!!%!/$,!;`&!/E!!!!%!/$,!;`!!!!!!!!!!!!1/$!M;`!1/(!"
        "!!!!!!QR#!!;Q`!!M;`!\"!QD\"!!FR/!/#$!;Q`!!!QR!\"!QD#!!;Q`!!M;`!(!F/!!!!!!!9!99!,"
        "!;`!!!!Q`!!-!`!!!!!!!!!!!!!=F/!,!;`#!!;Q`!!!!!!!!!!\"!!FR/!/!$!!\"!!/#$!;Q`!!!!!"
        "!1/$!M;`!!!!!!!!!!!!!!QR!,!;`%!/($!Q`!!!Q!!!!!!!!\"!QD#!!;Q`!!M;`!!!QR!!!!!!!!!Q"
        "R!1/'!M;`!)!;!!!!!!!!!%QD!,!;`#!!;Q`!!=F/!!!!!!!!!\"!!/#%!;Q`!!!!!!!!!!\"!!FA=!!"
        "M;`!1/$!-Q`!!!Q!!!!!!!!!=F/!1/%!M;`!1/$!!!!!\"!QD%!/',!;`#!!;!!!!!!!!!!!!!!!!R`!"
        "/#$!;Q`!!E;D!1/$!!!!!1/$!M;`!'!F=!!!!!!!!%QD!,!;`#!!;Q`!!!QR!!!!!%!/$,!;`!!!!!!!"
        "!!!!!\"!QD!!!!!!!!!!!!(!F/#!!;Q`!!M;`!5/3!!!!!1/$!M;`!1/0!!!!!,!;`#!!;Q`!!=F/!!!"
        "!!!!!!\"!!/#$!;R`!/!)!!\"!!/#$!;Q`!!!!!!(!F/%!/$,!;`\"!!FA=!!M;`!,!;`\"!!FQ/!!!!"
        "!!!!!!#!!;Q`!!-!`!$!!`!!!!!!!!!!!!#!Q=#!!;Q`!!M;`!!!!!!!!!!!!!=F/!(!F/!!!!!!!!!!"
        "!!'!F=#!!;Q`!!M;`!!!QR%!/$,!;`!!!!!!!!!!!!(!F/#!!;R`!/!(!!Q`!!!!!!!!!!\"!!FQ/!!M"
        ";`!,!;`!!!Q!R!!!!!!!!QR%!/',!;`#!!;!R!!!!!!!!QR%!/$,!;`!!!!\"!!/#%!;R`!/!$!!\"!!"
        "/#&!;Q`!!A;!!!!!!%!/%,!;`\"!!FB=!/!$!!\"!!/#'!;Q`!!A;!!!!!!!!!!!!!!%!D!1/$!M;`!\""
        "!QD%!/$!!!!%!/%,!;`!!!!!!!!!!!!1/$!M;`!!!!!!!!!!!!!M;`!,!;`\"!!FQ/!!!!!!!!!!#!!;"
        "R`!/!$!!!!!!M;`!,!;`!!!Q2D!/10!!!!!9!99!1/'!M;`!1/-!-!`!'!F=#!!;Q`!!M;`!1/$!!!!!"
        "1/$!M;`!1/)!!!!!'!F=#!!;Q`!!M;`!1/$!!!!!1/'!M;`!!!!!!!!!!!!!M;`!$!!`!!!!R`!/!$!!"
        "!!!!-!`!,!;`!!!!!!!!!!!!(!F/#!!;R`!/!$!!\"!!/#'!;Q`!!!!!!!!!!%!/*,!;`#!!;!!!!!!!"
        "!1/$!M;`!'!F=!!!!!!!!!!!!1/'!M;`!+!;=!!!!!!!!!!!!1/$!M;`!!999%!/$,!;`%!/$!!!!%!/"
        "',!;`#!!;!!!!!!!!1/%!M;`!1/$!!!!!1/'!M;`!,!;/!!!!!!!!!!!!'!F=%!/$,!;`%!/%!!!!%!/"
        "$,!;`\"!!FA=!!!!!!!!!!!!!Q!R!!M;`!,!;`!!!Q1D!!!!!!\"!QD#!!;Q`!!M;`!!999!!!!!!!!!"
        "!!!,!;`%!/$!!!R%!/$,!;`&!/1!!!!%!/(,!;`%!/,$!!`%!/$,!;`%!/$!!!!%!/$,!;`!!!QB=!/!"
        ")!!!!!!M;`!,!;`\"!!FB=!/!$!!\"!!/#&!;Q`!!!!!!!!!!#!!;Q`!!-Q`!$!Q`!!!Q1D!!!!!!!!!"
        "!\"!!FA=!!9F=!!!!!!!!!!!!!M;`!$!Q`\"!!FQ/!!!!!!!!!!!!!Q2D!/#%!;Q`!!9F=!!!!!!!!!\""
        "!!/#*!;Q`!!A;!!!!!!%!/%,!;`!!!!!!!!!!!!1/'!M;`!,!;/!!!!!!!!!!!!1/'!M;`!!!QR!!!!!"
        "!!!!!!!1/$!M;`!$!!`#!!;Q`!!M;`!*!;D!!!!!!!!!!!!1/%!M;`!!!!!!!!!!!!!=F/!1/'!M;`!)"
        "!;!!!!!!!!!!!!!$!!`#!!;Q`!!M;`!)!;!%!/$!!!!!!!!R`!/#$!;Q`!!A;!!!!!!!!!!!!!!-!`!,"
        "!;`#!!;Q`!!A;!!!!!!%!/$,!;`%!/$!!!!#!!;Q`!!=F/!!!!!!!!!!!!!9F=!,!;`#!!;R`!/11!!!"
        "!!!M;`!,!;`\"!!FQ/!!!QR!1/%!M;`!1/+!-!`!,!;`#!!;Q`!!=F/!1/$!!!!!\"!QD%!/$,!;`%!/"
        ")!!!!%!/$,!;`%!/$!!!!%!/&,!;`!!!!!!!!!!!!,!;`%!/$(!F`\"!!F\"!!/!&!!\"!!/!$!!R`!/"
        "!$!!!!!!-!`!1/$!M;`!)!;R!!!!!!!!!QR!1/)!M;`!,!;/!!!!!!!!!!!!1/%!M;`!!!!!!!!!\"!!"
        "/#'!;Q`!!M;/!!!!!!!!!\"!!/#'!;R`!/!$!!\"!!/#'!;Q`!!A;!!!!!!!!!!!!!!-!`!,!;`#!!;Q"
        "`!!A;R!!!!!!!!!\"!!/#'!;Q`!!M;/!!!!!!!!!\"!!/#$!;Q`!!!QR!1/$!!!!!(!F/%!/$,!;`!!9"
        "9\"9!/!$!!\"!!/#$!;Q`!!!!!!!!!!%!/$,!;`!!!!!!!!!!!!\"!QD#!!;Q`!!M;`!1/$!!!!!,!;`"
        "#!!;Q`!!%QD!5/0!-!`!1/$!M;`!!!!R!!!!\"!!/#&!;R`!/!)!!!!!!M;`!,!;`!!!Q2D!/!%!!\"!"
        "!/#$!;R`!/!)!!!!!!9F=!,!;`#!!;R`!/!$!!!!!9!99!1/%!M;`!!!!!!!!!\"!!/#%!;Q`!!M;/!1"
        "/%!!!!!&!FD#!!;Q`!!-!`!$!!`!!!!A=!!!!!!!!!!%!/%,!;`!!!!!!!!!!!!'!F=%!/),!;`#!!;Q"
        "/!!!!!!!!!!%!/%,!;`!!!!!!!!!!!!(!F/#!!;R`!/\"%!FQ`!!9F=!!!!!!!!!\"!!/#&!;R`!/!$!"
        "!!!!!=F/!,!;`%!/&$!Q`!!!Q!!!!!!!!!999%!/$,!;`!!!!!!!!!!!!'!F=%!/',!;`#!!;!R!!!!!"
        "!!!!!%!/$,!;`%!/$!!!!%!/%,!;`!!!Q\"R!/!$!!!!!!!QR!,!;`#!!;Q`!!%QD!!!!!\"!!FA=!!M"
        ";`!,!;`%!/$!!!R%!/$,!;`%!/$!!!!%!/$,!;`&!/3!!!!#!!;Q`!!!!!!!!!!\"!!FB=!/#%!;R`!/"
        "!'!!!R!!!QR!,!;`#!!;R`!/!&!!\"!!/#$!;R`!/!*!!!!!!M;`!,!;`\"!!FB=!/!$!!!!!!=F/!1/"
        "$!M;`!!!!!!!!!\"!!/#&!;Q`!!M;/!!!!!!!!!!!!!5FD!1/&!M;`!)!;!!!!!\"!!/#%!;Q`!!!!!!"
        "!!!!%!/*,!;`#!!;A=!!!!!!!!!!%!/%,!;`!!!!!!!!!!!!\"!QD%!/&,!;`#!!;1D!!!!!!!!!R%!/"
        "%,!;`\"!!FR/!/!$!!\"!!/#'!;Q`!!A;R!!!!!!!!!\"!!/#$!;Q`!!=F/!!!!!!!!!\"!!/#(!;Q`!"
        "!A;!!!!!!\"!!FA=!!M;`!,!;`\"!!FQ/!!!!!!!!!!%!/%,!;`!!!Q2D!/!%!!\"!!/#$!;Q`!!!!!!"
        "!!!!%!/$,!;`%!/$!!!!%!/$,!;`!!!Q1D!!!!!!!!!!%!/$,!;`%!/\\!!!!!!!Q\"R!/#$!;Q`!!!Q"
        "R!1/4!!!!!,!;`%!/$!!!!!!!Q2D!/#%!;R`!/!%!!Q`!!=F/!,!;`#!!;R`!/!&!!!!!!%QD!,!;`#!"
        "!;Q`!9!99!1/)!!!!!1/$!M;`!1/%!!!!!1/$!M;`!!!!!!!!!!!!!%QD!,!;`%!/-$!!`!!!!1D!!!!"
        "!!!!QR%!/$,!;`!!!!!!!!!!!!1/*!M;`!,!;/!!!!!!!!!!!!1/%!M;`!\"!QD!!!!!!!!!!!!1/&!M"
        ";`!)!;!!!!!!!!!=F/!1/%!M;`!1/$!!!!!1/(!M;`!)!;!!!!!!!!9!99!1/$!M;`!!!!!!!!!!!!!%"
        "QD!1/(!M;`!)!;!!!!!\"!!/#$!;Q`!!!!!!1/&!M;`!1/&!!!!!!!QR%!/$,!;`!!!!\"!!/#%!;Q`!"
        "!!!!!!!!!\"!!FQ/!!M;`!1/$!-!`!!!!!!!!!\"!!/#$!;Q`!9!99!1/[!-!`!1/'!M;`!#!Q=%!/8!"
        "!!!%!/$,!;`\"!!FR/!/!$!!\"!!/#$!;Q`!!!!!!!!!!!!!Q!R!!)Q=!!!!!!!!!!!!!M;`!,!;`\"!"
        "!FR/!/!)!!\"!!/#$!;R`!/!%!!!!!!%QD!,!;`#!!;R`!/!$!!!!!!M;`!1/-!-!`!$!!/!!!!!!!!!"
        "!!!,!;`#!!;Q`!!=F/!!!!!!!!!\"!!/#+!;Q`!!A;!!!!!!%!/%,!;`\"!!FQ/!!!!!!!!!!%!/&,!;"
        "`#!!;!!!!!!!!1/&!M;`!!!!!!!!!!!!!=F/!1/'!M;`!)!;!!!!!!!!!!!!!$!!`%!/$,!;`#!!;!!!"
        "!!!!!1/(!M;`!+!;=!!!!!!!!!!!!1/$!M;`!'!F=%!/%,!;`%!/'!!!!%!/$,!;`\"!!FA=!!9F=!1/"
        "$!M;`!1/$!!!!!1/&!M;`!)!;!!!!!\"!!/#$!;Q`!!%QD!1/[!-!`!1/)!M;`!\"!QD%!/1!!!!\"!!"
        "FR/!/!%!!!!!!=F/!1/$!M;`!1/$!!!!!1/$!M;`!!!!!!!!!!!!!%QD!,!;`!!!!!!!!!!!!1/$!M;`"
        "!1/)!!!!!1/$!M;`!1/&!!!!!,!;`#!!;Q`!!%QD!!!!!!!!!!!!!=F/!,!;`%!/-$!!`!!!!!!!!!!!"
        "!,!;`#!!;Q`!!=F/!!!!!!!!!\"!!/#+!;Q`!!A;!!!!!!%!/%,!;`\"!!FA=!!!!!!!!!!%!/%,!;`#"
        "!!;1D!!!!!!!!!!%!/%,!;`!!!Q!R!!!!!!!!!!%!/(,!;`#!!;!!!!!!!!!!!!!!!!R`!/#$!;Q`!!A"
        ";!!!!!!%!/(,!;`#!!;!R!!!!!!!!!!%!/',!;`\"!!FR/!/!'!!!!!!!QR!1/$!M;`!!!!!%!/$,!;`"
        "\"!!FA=!!!!!!!!!!\"!!FR/!/#&!;Q`!!A;!!!!!!!!!QA=!!M;`!,!;`\"!!FR/!/![!!Q`!!M;`!,"
        "!;`!!!Q1D!!9F=!1/'!M;`!&!FD%!/.!!!!#!!;Q`!!M;`!1/&!!!!!(!F/%!/$,!;`!!!!!!!!!!!!,"
        "!;`#!!;Q`!!=F/!!!!!!!!!!!!!=F/!,!;`!!!!!!!!!!!!!!QR%!/$,!;`%!/(!!!!%!/$,!;`%!/&!"
        "!!!\"!!FQ/!!M;`!,!;`%!/$!!!!#!!;R`!/\"-!FQ`!!1F!!!!!!#!!;Q`!!M;`!'!F=!!!!!!!!!!!"
        "!1/+!M;`!)!;!!!!!!!!!9F=!1/$!M;`!\"!QD!!!!!!!!!!!!1/%!M;`!)!;!!!!!!!!!!!!!$!!`%!"
        "/$,!;`#!!;!!!!!!!!'!F=%!/(,!;`#!!;!!!!!!!!(!F/%!/$,!;`\"!!FQ/!!!!!!!!!!%!/(,!;`#"
        "!!;!!!!!!!!!!!!!!!!R`!/#%!;Q`!!E;D!1/%!!!!!\"!QD!!!!!!!!!!!!1/$!M;`!(!F/!!!Q\"R!"
        "/#$!;Q`!!!!!!!!!!!!99\"9!/#'!;Q`!!A;R!!!!!!!!Q\"R!/#$!;R`!/![!!R`!/#$!;Q`!!!QR!!"
        "!!!!!!Q2D!/#'!;Q`!9!99!1/,!!!!!,!;`#!!;Q`!!9F=!1/&!!!!!1/$!M;`!(!F/!!!!!!!!M;`!,"
        "!;`\"!!FA=!!!!!!!!!!#!!;Q`!!M;`!1/$!!!!!1/$!M;`!'!F=%!/'!!!!%!/$,!;`!!!!!!!!!!!!"
        "'!F=!!!!!!!!!!!!!999#!!;Q`!!M;`!!!QR!!!!!!!!!!!!1/.!M;`!)!;!!!!!!!!!M;`!,!;`!!!Q"
        "1D!!!!!!!!!!%!/+,!;`#!!;1D!!!!!!!!!!%!/$,!;`!!!!!!!!!!!!\"!QD%!/$,!;`\"!!FQ/!!!!"
        "!!!!!!!!!Q2D!/#$!;Q`!!=F/!!!!!!!!!\"!!/#(!;Q`!!I;=!!!!!!!!!\"!!/#%!;Q`!!%QD!!!!!"
        "!!!!\"!!/#(!;Q`!!A;!!!!!!!!!!!!!!-!`!1/$!M;`!)!;R%!/%!!!!#!!;R`!/!$!!\"!!/#$!;Q`"
        "!!!!!!1/$!M;`!1/$!!!!!1/$!M;`!1/%!-!`!#!!=!!!!!!!!!!!!1/$!M;`!1/\\!-!`!1/$!M;`!'"
        "!F=%!/$!!!!!!!Q2D!/#&!;Q`!!=F/!1/*!!!!!1/$!M;`!!!!!!!!!!!!!!QR!1/$!!!!!(!F/#!!;Q"
        "`!!M;`!(!F/#!!;Q`!!M;`!'!F=!!!!!!!!!!!!1/$!M;`!1/$!!!!!1/$!M;`!(!F/%!/&!!!!%!/$,"
        "!;`!!!!!!!!!!!!#!Q=!!!Q!R!!!!!!!!!!%!/$,!;`!!!!!!!!!!!!!999%!/%,!;`!!!QR`!/#'!;Q"
        "`!!I;=!!!!!!!!!!!!!M;`!,!;`!!!Q1D!!!!!!!!!!%!/,,!;`#!!;\"!!/!'!!!!!!-!`!1/$!M;`!"
        ")!;!!!!!!!!!!!!!$!!`%!/$,!;`#!!;!!!!!!!!\"!QD%!/(,!;`#!!;!!!!!!!!#!Q=%!/%,!;`%!/"
        "$!!!!%!/(,!;`#!!;!!!!!!!!!!!!!!!!Q`!!M;`!,!;`#!!;2D!/!$!!!!!!M;`!,!;`%!/$!!!!%!/"
        "$,!;`!!99\"9!/#$!;R`!/!$!!!!!!%QD!1/)!M;`!)!;!!!!!\"!!/#$!;R`!/!]!!R`!/#$!;Q`!!5"
        "FD!1/%!!!!!\"!QD%!/&,!;`%!/)!!!!\"!!FQ/!!M;`!,!;`%!/$!!!!\"!!FR/!/!$!!\"!!/#&!;Q"
        "`!!%QD!!!!!!!!!\"!!/#$!;Q`!!9F=!!!!!!!!!!!!!)Q=!1/$!M;`!'!F=%!/%!!!!%!/$,!;`!!!!"
        "!!!!!!!!&!FD#!!;R`!/!$!!\"!!/#$!;Q`!!!!!!!!!!!!!Q2D!/#$!;Q`!!=F`!1/'!M;`!!999!!!"
        "!!!!!)Q=!,!;`#!!;Q`!!5FD!!!!!!!!!\"!!/#$!;R`!/!$!!Q`!!-Q`!1/&!M;`!)!;!%!/%!!!!!!"
        "!!R`!/#%!;Q`!!A;!!!!!!!!!Q2D!/#%!;Q`!!!!!!!!!!%!/),!;`#!!;!!!!!!!!(!F/%!/%,!;`%!"
        "/$!!!!#!!;R`!/\"'!FQ`!!1F!!!!!!!!!Q\"R!/#$!;R`!/!$!!\"!!/#$!;Q`!!!!!!!!!!!!!Q1D!"
        "!M;`!,!;`\"!!FR/!/#$!;Q`!!9F=!1/$!!!!!1/*!M;`!)!;!!!!!\"!!/#$!;R`!/!]!!R`!/#%!;Q"
        "`!!!QR!1/&!!!!!1/&!M;`!1/(!!!!!\"!QD#!!;Q`!!M;`!1/$!!!!!,!;`!!!Q1D!!!!!!!!!!%!/&"
        ",!;`!!!Q!R!!!!!!!!!!%!/%,!;`!!99!9!!!!!!!!!!\"!!FR/!/#$!;R`!/!%!!\"!!/#$!;Q`!!!!"
        "!!!!!!\"!!FQ/!!M;`!1/$!!!!!1/$!M;`!\"!QD!!!!!!!!!!!!'!F=%!/%,!;`!!!QR`!/#%!;Q`!!"
        "A;!!!!!!%!/$,!;`!!!QA=!!!!!!!!QR%!//,!;`#!!;Q/!!=F/!1/$!M;`!(!F`#!!;Q`!!9F=!!!!!"
        "!!!!\"!!/#&!;Q`!!!!!!!!!!%!/),!;`#!!;!!!!!!!!1/&!M;`!1/$!!!!!,!;`%!/'$!Q`!!!Q!!!"
        "!!!!!!!QR#!!;Q`!!M;`!!!QR!!!!!!!!!!!!(!F/%!/$,!;`!!!!!!!!!!!!1/$!M;`!'!F=%!/$,!;"
        "`%!/$!!!!%!/$,!;`%!/%$!!`!!!QQ`!!M;`!,!;`#!!;!!!!!!!!1/$!M;`!1/^!!!!!1/%!M;`!1/'"
        "!!!!!!!QR%!/%,!;`!!!Q2D!/!'!!!!!!M;`!,!;`!!!Q!R!!!!!!!!!!#!!;Q`!!M;`!!!!!!!!!!!!"
        "9!99!1/%!M;`!'!F=!!!!!!!!!!!!1/&!M;`!)!;!!!!!!!!!!!!!$!!`%!/$,!;`#!!;!!!!!!!!!!!"
        "!!!!!Q`!!M;`!,!;`#!!;!!!!!!!!(!F/#!!;Q`!!%QD!!!!!!!!!\"!!/#%!;R`!/!%!!\"!!/#(!;R"
        "`!/!$!!\"!!/#$!;Q`!!!QR!!!!!!!!Q\"R!/#6!;Q`!!A;!!!!!!!!!Q\"R!/#%!;Q`!!=F/!!!!!!!"
        "!!\"!!/#)!;Q`!!A;!!!!!!%!/&,!;`!!!!!!!!!!!!\"!QD#!!;R`!/!'!QQ`!!!Q!!!!!!!!!Q1D!!"
        "M;`!,!;`!!!!!!!!!!!!\"!QD%!/%,!;`!!!!!!!!!!!!1/'!M;`!'!F=!!!!!!!!!!!!'!F=%!/+,!;"
        "`#!!;!!!!!!!!1/$!M;`!1/_!!!!!(!F/#!!;Q`!!M;`!\"!QD!!!!!!!!!!!!!!QR%!/%!!!!!!99\""
        "9!/#%!;Q`!9!99!1/%!!!!!,!;`#!!;Q`!!=F/!!!!!!!!!\"!!/#$!;Q`!!!!!!!!!!\"!!FR/!/#$!"
        ";Q`!!=F/!!!!!!!!!!!!!=F/!,!;`%!/%$!!`%!/$!!!!!!!!B=!/#$!;Q`!!!QR!!!!!%!/$,!;`!!!"
        "!!!!!!!!!(!F/#!!;Q`!!M;`!!!!!!!!!!!!!!QR!1/%!M;`!!!QR%!/,!!!!%!/%,!;`!!!!!!!!!!!"
        "!'!F=%!/$,!;`!!!!R`!/#1!;Q`!!M;/!!!!!!!!!\"!!/#&!;Q`!!)Q=!!!!!!!!!\"!!/#)!;Q`!!A"
        ";!!!!!!%!/%,!;`!!99!9!!!!!!!!!!%!/(,!;`#!!;Q/!!!!!!!!!!\"!!FQ/!!M;`!1/$!!!!!1/%!"
        "M;`!,!;/!!!!!!!!!!!!1/&!M;`!(!F/!!!!!!!!!!!!(!F/%!/,,!;`#!!;!!!!!!!!1/$!M;`!1/$!"
        "!!!!!999#!!;Q`!!M;`!(!F/%!/Y!!!!%!/$,!;`%!/$!!!!#!!;Q`!!5FD!1/$!!!!!\"!QD%!/%,!;"
        "`%!/%!!!!%!/$,!;`!!!!!!!!!!!!1/$!M;`!!!!R!!!!!!!9!99!1/%!M;`!!!!!!!!!!!!!%QD!,!;"
        "`%!/%$!!`!!!!R/!/!$!!!!!!9F=!1/$!M;`!!!!!%!/$,!;`!!!!!!!!!!!!(!F/#!!;Q`!!M;`!'!F"
        "=!!!!!!!!!!!!(!F/%!/%,!;`\"!!FR/!/!*!!\"!!/#&!;Q`!!!!!!!!!!\"!!FQ/!!M;`!1/4!=F`!"
        "!999!!!!!!!9!99!1/&!M;`!#!Q=!!!!!!!!!!!!1/)!M;`!)!;!!!!!\"!!/#%!;R`!/!$!!!!!!M;`"
        "!1/'!=F`!'!F=!!!!!!!!!!!!,!;`\"!!FA=!!!!!!!!!!!!!Q!R!!M;`!1/$!=F`!(!F/!!!!!!!!!!"
        "!!1/&!M;`!1/$!!!!!1/$!M;`!1/'!-!`!1/$!M;`!!!!!!!!!\"!!/#$!;R`!/!$!!\"!!/#&!;R`!/"
        "!X!!!!!!%QD!,!;`#!!;Q`!!9F=!!!!!!!!!\"!!/#$!;R`!/!$!!!!!!!QR!1/$!M;`!(!F/%!/$!!!"
        "!%!/$,!;`!!!!!!!!!!!!1/$!M;`!(!F/!!!!!!!!!!!!1/%!M;`!1/$!!!!!,!;`%!/&(!F`\"!!FB="
        "!/!$!!\"!!/#(!;Q`!!!!!!!!!!\"!!FR/!/#$!;R`!/!$!!\"!!/#(!;Q`!!!QR!1/$!!!!!!!QR%!/"
        "',!;`\"!!FA=!!!!!!!!!!%!/.,!;`!!!!R`!/!(!QQ`!!!Q!!!!!!\"!!FQ/!!M;`!,!;`\"!!FQ/!!"
        "M;`!,!;`!!!Q1D!!!!!!!!!!%!/$,!;`\"!!FR`!/!%!!R`!/!$!!!!!!-!/!,!;`\"!!FA=!!!!!!!!"
        "!!\"!!FQ/!!M;`!1/'!=F`!%!FR!!!!!!!!!!!!,!;`%!/$!!!!%!/',!;`#!!;!!!!!!!!1/%!M;`!("
        "!F/!!!!!!!!!!!!1/$!M;`!1/&!-!`!$!Q`%!/$$!!`!!!!A=!!!!!!!!!!%!/$,!;`!!!!!!!!!!!!#"
        "!Q=%!/&,!;`%!/Y!!!!%!/$,!;`!!!!!!!!!!!!#!Q=%!/$,!;`!!99\"9!/!$!!\"!!/#$!;Q`!!9F="
        "!!!!!!!!!!!!!M;`!,!;`\"!!FQ/!!!!!!!!!!%!/%,!;`!!!!!!!!!!!!(!F/%!/$,!;`%!/$!!!!%!"
        "/(,!;`#!!;A=!!!!!!!!!!!!99\"9!/#'!;Q`!!!!!!!!!!\"!!FR/!/#%!;R`!/!$!!\"!!/#2!;R`!"
        "/!$!!\"!!/#6!;Q`!!A;!!!!!!%!/$,!;`!!!!!R!!M;`!,!;`!!!Q1D!!!!!!!!!!%!/*,!;`#!!;\""
        "!!/!&!!!!!9!99!1/)!M;`!)!;!!!!!!!!!!!!!$!!`%!/$!!!!#!!;R`!/\"&!FQ`!!1F!!!!!!%!/%"
        ",!;`%!/$!!!!%!/$,!;`%!/*$!!`!!!!!R!!!!!!!!QR%!/$,!;`!!!!!!!!!!!!1/'!M;`!!!QR%!/X"
        "!!!!!!!Q1D!!M;`!,!;`!!!Q1D!!!!!!!!!!%!/%,!;`%!/%!!!!%!/$,!;`!!99!9!!!!!!,!;`#!!;"
        "Q`!!=F/!!!!!!!!!\"!!/#%!;Q`!!!!!!!!!!!!99\"9!/#$!;Q`!!9F=!!!!!!!!!!!!!%QD!,!;`%!"
        "/'$!Q`!!!Q1D!!!!!!!!!!!!99\"9!/#&!;Q`!!!!!!!!!!\"!!FA=!!M;`!1/$!=F`!%!F!!!!!!!!!"
        "!!!!!!!R%!/0,!;`!!!Q!R!!!!!!!!!!!!!Q1D!!M;`!1/4!-Q`!$!Q/!!!!!!!!!!!!1/$!M;`!!!!!"
        "#!!;Q`!!M;`!\"!QD!!!!!!!!!!!!1/*!M;`!)!;R%!/&!!!!%!/$,!;`\"!!FR`!/#&!;Q`!!A;!!!!"
        "!!!!!!!!!!-!`!!!!!!!!!!!!!5FD!,!;`%!/&$!!`!!!!!!!!!!!!1/%!M;`!1/$!!!!!1/&!M;`!1/"
        "(!-!`!!!!!!!!!!!!!9F=!,!;`#!!;Q`!!=F/!!!!!!!!!\"!!/#$!;Q`!!=F/!,!;`#!!;Q`!!9F=!1"
        "/Y!!!!!1/$!M;`!!!!!!!!!!!!!9F=!,!;`%!/$$!Q`!!!Q2D!/!$!!\"!!/#$!;Q`!!!!R!,!;`#!!;"
        "Q`!!%QD!!!!!!!!!\"!!/#%!;Q`!!A;!!!!!!!!!!!!!!-!`!1/$!M;`!)!;!!!!!!!!!!!!!$!!`%!/"
        "),!;`#!!;!!!!!!!!!!!!!!!!R`!/#$!;Q`!!E;D!!!!!!!!!\"!!/#&!;Q`!!E;D!1/$!!!!!1/.!M;"
        "`!1/$!!!!!!!QR%!/',!;`\"!!FR`!/#/!;Q`!!M;/!!!!!!!!!\"!!/#$!;Q`!!!!!!,!;`#!!;Q`!!"
        "9F=!!!!!!!!!\"!!/#8!;Q`!!M;/!!!!!!!!!!!!!)Q=!,!;`!!!!!!!!!!!!(!F/#!!;R`!/!&!!Q`!"
        "!!!!!!!!!!!!Q1D!!M;`!,!;`!!!Q1D!!!!!!!!!!%!/$,!;`%!/*$!!`!!!!Q/!!!!!!!!!!%!/$,!;"
        "`%!/$!!!!%!/$,!;`!!!Q\"R!/#$!;R`!/!Y!!\"!!/#$!;Q`!!!QR!!!!!!!!!!R!!M;`!1/%!=F`!%"
        "!FR!!!!!!!!!!!!1/'!M;`!!!QR!!!!!!!!!!!!1/%!M;`!,!;/!!!!!!!!!!!!\"!QD%!/$,!;`\"!!"
        "FQ/!!!!!!!!!!%!/$,!;`%!/%$!!`#!!;Q`!!M;`!1/$!!!!!\"!QD%!/$,!;`\"!!FQ/!!!!!!!!!!%"
        "!/',!;`#!!;2D!/!$!!\"!!/#,!;Q`!!!QR!!!!!!!!!!!!9!99!1/8!M;`!)!;!!!!!\"!!/#'!;Q`!"
        "!%QD!!!!!!!!!\"!!/#8!;Q`!9!99!!!!!!!!!!!!!M;`!,!;`!!!!!!!!!!!!(!F/#!!;R`!/!&!!R`"
        "!/!$!!!!!!-!`!,!;`%!/$!!!!%!/$,!;`!!!QR`!/#)!;Q`!!A;!!!!!!!!!!!!!!-!`!,!;`#!!;Q`"
        "!!A;!!!!!!!!!Q2D!/#$!;Q`!!!!!!1/$!M;`!1/Y!!!!!(!F/#!!;Q`!!M;`!(!F/!!!!!!!!!!!!1/"
        "'!M;`!)!;!!!!!!!!!!!!!$!!`%!/%,!;`!!99!9!!!!!!!!!!%!/&,!;`#!!;!!!!!!!!!!!!!!!!R`"
        "!/#$!;Q`!!A;!!!!!!!!!!!!!!-!`!1/)!M;`!)!;!!!!!!!!!!!!!$!!`%!/$,!;`#!!;!!!!!!!!(!"
        "F/%!/',!;`#!!;2D!/!$!!!!!!9F=!1/(!M;`!(!F/%!/%!!!!%!/$,!;`!!!!R`!/#5!;Q`!!A;!!!!"
        "!!!!!Q2D!/#&!;R`!/!$!!\"!!/#8!;Q`!!A;!!!!!!!!!!!!!!-!`!,!;`!!!!!!!!!!!!(!F/#!!;R"
        "`!/!&!!R`!/!$!!!!!!-!`!,!;`%!/$!!!!%!/$,!;`\"!!FR`!/!)!!R`!/!$!!!!!!-!`!,!;`\"!!"
        "FQ/!!!!!!!!!!\"!!FQ/!!M;`!,!;`\"!!FA=!!!!!!1/$!M;`!1/Y!!!!!!999%!/$,!;`!!!!!!!!!"
        "!!!1/'!M;`!,!;/!!!!!!!!!!!!(!F/%!/%,!;`%!/$!!!!#!!;R`!/\"%!FQ`!!1FR!!!!!!!!!\"!!"
        "/#&!;Q`!!!!!!!!!!!!!Q2D!/#)!;Q`!!I;=!!!!!!!!!\"!!/#%!;Q`!!!QR!!!!!!!!!\"!!/#(!;Q"
        "`!!A;!!1/%!!!!!\"!!D%!/$(!F/!!!Q\"R!/!%!!!!!!!QR!1/$!M;`!$!Q`%!/6,!;`#!!;1D!!!!!"
        "!!!!!!!!Q\"R!/#$!;Q`!!9F=!!!!!!!!!!!!9!99!1/&!M;`!$!!`%!/2$!Q`!!!Q!!!!!!!!'!F=#!"
        "!;Q`!!M;`!!!!!!!!!!!!!%QD!,!;`%!/&$!!`!!!!1D!!!!!!!!!!#!!;Q`!!M;`!1/$!!!!!,!;`%!"
        "/+$!!`!!!!!R!!!!!!!!!!\"!!FQ/!!M;`!,!;`%!/$!!!R%!/$,!;`!!!Q!R!!!!!!1/$!M;`!!!QR%"
        "!/Y!!!!%!/$,!;`!!!!!!!!!!!!(!F/#!!;R`!/!&!!R`!/!$!!!!!!-!`!1/$!M;`!)!;!!!!!!!!!!"
        "!!!$!!`%!/&(!F`\"!!F!!!!!!!!!!QR%!/%,!;`!!!Q!R!!!!!!!!!!\"!!FQ/!!M;`!1/(!=F`!%!F"
        "!!!!!!!!!%QD!1/%!M;`!!!!!!!!!!!!!=F/!1/(!M;`!*!;D%!/-!!!!%!/(,!;`\"!!FR`!/#4!;Q`"
        "!!A;!!1/$!!!!!!!!R!!!Q2D!/!$!!\"!!/#$!;R`!/!5!!Q`!!%!D!!!!!!!!!\"!!/#$!;Q`!!!!!!"
        "!!!!!!!Q!R!!M;`!1/&!-Q`!$!Q/!!!!!!!!!!!!'!F=#!!;Q`!!!!!!!!!!!!99!9!!M;`!1/+!-!`!"
        "1/$!!!!!$!!`#!!;Q`!!M;`!)!;!!!!!!!!!!!!!$!!`#!!;Q`!!M;`!)!;!!!!!!!!!=F/!,!;`#!!;"
        "Q`!!9F=!1/Y!!!!!1/$!M;`!!!!!!!!!!!!!!QR!,!;`%!/'$!!`!!!!!!!!!!!!\"!QD%!/$,!;`%!/"
        "$!!!!#!!;R`!/\"&!FQ`!!1F!!!!!!!!!!!!!!-!`!1/%!M;`!)!;!!!!!!!!!!!!!\"!!D%!/(,!;`#"
        "!!;Q/!!!!!!!!!!%!/%,!;`%!/$!!!!%!/+,!;`#!!;R/!/!%!!!R!!!QR!'!F=%!/',!;`!!!!\"!!/"
        "#9!;Q`!!%QD!1/'!!!!!1/,!M;`!+!;=%!/(,!;`!!!!R`!/\"$!FQ`!!=F/!!!!!!!!!\"!!/#%!;R`"
        "!/!$!!!!!!M;`!1/'!=F`!%!F!!!!!!!!!!!!!$!!`%!/$!!!!%!/$,!;`\"!!FR`!/#'!;Q`!!A;!!!"
        "!!!!!!!!!!!-!`!,!;`#!!;Q`!!A;!!!!!!!!!!!!!!-!`!,!;`#!!;Q`!!M;/!!!!!!!!!!!!!%QD!1"
        "/$!M;`!1/S!!!!!(!F/\"!!FB=!/!%!!!!!!=F/!,!;`#!!;R`!/!$!!!!!!M;`!1/'!-Q`!!!Q!!!!!"
        "!!!!!!!!$!!`#!!;Q`!!M;`!)!;R!!!!!!!!!!!!1/'!M;`!+!;=!!!!!!!!!!!!1/'!M;`!1/$!!!!!"
        "1/)!M;`!)!;!!!!!!!!!9F=!1/$!M;`!'!F=%!/$!!!!%!/7,!;`#!!;\"!!/#.!;Q`!!-!`!1/-!-Q`"
        "!#!Q=!!99!9!!!!!!\"!QD%!/$,!;`\"!!FR`!/#)!;Q`!!A;!!1/,!M;`!)!;!!!!!!!!!!!!!$!!`%"
        "!/$,!;`#!!;!!!!!!!!!!!!!!!!R`!/#'!;Q`!9!99!!!!!!!!!!!!!M;`!!!QR!!!!!!!!!!!!1/*!M"
        ";`!*!;D!!!!!!!!!!!!\"!QD#!!;Q`!!M;`!(!F/%!/$!!!!%!/$,!;`%!/$!!!!!!!Q\"R!/#%!;Q`!"
        "!=F/!1/P!!!!!1/%!M;`!!999!!!!!!!!!!!!\"!QD#!!;Q`!!M;`!1/$!!!!!,!;`%!/'(!F`\"!!F1"
        "D!!!!!!!!!!%!/$,!;`!!!Q1D!!!!!!!!!!%!/(,!;`#!!;!!!!!!!!#!Q=%!/&,!;`\"!!FA=!!!!!!"
        "!!!!!!!Q\"R!/#(!;Q`!9!99!!!!!!!!!\"!!/#%!;R`!/!$!!!!!!%QD!1/5!M;`!,!;/!!!!!!!!%Q"
        "D!1/A!M;`!$!Q`%!/(,!;`#!!;1D!!!!!!1/+!M;`!,!;/!!!!!!!!!!!!1/&!M;`!!!QR!!!!!!!!!!"
        "!!1/(!M;`!+!;=!!!!!!!!!!!!,!;`#!!;R`!/!$!!\"!!/#(!;Q`!!!QR!1/$!!!!!1/$!M;`!1/$!!"
        "!!!1/$!M;`!'!F=%!/$!!!!!!!Q\"R!/#'!;R`!/!N!!\"!!/#'!;Q`!!!!!!!!!!!!99!9!!M;`!,!;"
        "`!!!Q!R!!!!!!!!!!%!/$,!;`%!/$$!Q`#!!;Q`!RM;`!!!!!!!!!!!!!%QD!,!;`#!!;Q`!!=F/!!!!"
        "!!!!!\"!!/#(!;Q`!!E;D!!!!!!!!!\"!!/#'!;Q`!!!QR!!!!!!!!!!!!!=F/!1/'!M;`!,!;/!!!!!"
        "!!!!!!!1/&!M;`!1/$!!!!!1/5!M;`!*!;D!!!!!!!!!!!!1/2!M;`!(!F`%!/7,!;`#!!;!!!!!!!!1"
        "/'!M;`!$!Q`%!/$,!;`#!!;!!!!!!!!!!!!!!!!R`!/#%!;Q`!!E;D!!!!!!!!!\"!!/#)!;Q`!!A;!!"
        "!!!!#!!;Q`!!M;`!1/%!!!R!1/%!M;`!'!F=%!/%!!!!%!/%,!;`!!!!!!!!!!!!1/%!M;`!1/%!!!!!"
        "!!QR%!/',!;`%!/N!!!!%!/(,!;`!!!!!!!!!!!!,!;`#!!;Q`!!9F=!!!!!!!!!\"!!/#)!;Q`!!A;!"
        "!!!!!!!!!!!!!-!`!,!;`#!!;Q`!!A;!!!!!!\"!!FQ/!!M;`!1/'!=F`!%!F!!!!!!!!!!!!!$!!`%!"
        "/&,!;`#!!;A=!!!!!!!!!!\"!!FR/!/#'!;Q`!!A;!!!!!!!!!Q2D!/#&!;R`!/!$!!\"!!/#$!;Q`!!"
        "-Q`!1/0!M;`!)!;R!!!!!!!!!!!!1/(!M;`!(!F`%!/@,!;`#!!;!!!!!!!!!!!!!!!!R`!/#)!;Q`!!"
        "A;R!!!!!!!!!!!!!9F=!,!;`#!!;Q`!!%QD!,!;`#!!;Q`!!=F/!!!!!!!!!\"!!/#)!;Q`!!A;!!!!!"
        "!\"!!FA=!!M;`!,!;`\"!!FR/!/!*!!!!!!%QD!1/$!M;`!(!F/!!!!!!!!=F/!1/$!M;`!'!F=%!/&!"
        "!!!!!!Q2D!/#'!;Q`!!!QR!1/M!-!`!1/$!M;`!!!!R%!/$,!;`!!!!!!!!!!!!1/$!M;`!!!!!!!!!!"
        "!!!9F=!,!;`%!/'$!!`%!/$!!!!!!!!Q`!!M;`!,!;`!!99!9!!!!!!!!QR%!/),!;`#!!;!!!!!!!!!"
        "!!!!!!!R`!/#&!;Q`!!A;!!!!!!!!!!!!!!-!`!1/&!M;`!)!;!!!!!!!!!!!!!$!!`%!/&,!;`#!!;!"
        "!!!!!!!!999%!/3,!;`#!!;\"R!/!$!!\"!!/#+!;Q`!!-Q`!1/<!M;`!)!;!!!!!!!!!!!!!$!!`%!/"
        "),!;`#!!;!!!!!!!!!!!!!!!!Q`!!M;`!,!;`#!!;!!!!M;`!,!;`\"!!FQ/!!!!!!!!!!%!/),!;`#!"
        "!;1D!!!!!!!999%!/%,!;`%!/'!!!!!!!Q\"R!/#%!;Q`!!=F/!!!!!\"!!FR/!/#%!;R`!/!$!!!!!!"
        "=F/!!!!!!!!!!!!!=F/!,!;`#!!;Q`!!%QD!1/$!M;`!!!QR%!/M$!!`\"!!FA=!!M;`!,!;`!!!!!!!"
        "!=F/!,!;`#!!;Q`!!9F=!!!!!%!/$,!;`!!!!!!!!!!!!!!QR%!/$,!;`!!!QR`!/#$!;Q`!!A;!!!!!"
        "!!!!!!!!!-!`!,!;`#!!;Q`!!M;/!!!!!!!!!\"!!/#)!;Q`!!A;!!!!!!!!!!!!!!!!R!1/&!M;`!1/"
        "$!!!!!1/'!M;`!)!;!!!!!!!!!!!!!$!!`%!/&,!;`#!!;A=!!!!!!!!!!\"!!FA=!!M;`!1/1!=F`!%"
        "!FR%!/$!!!!%!/-,!;`\"!!FQ/!!!QR!1/+!!!!!\"!QD\"!!FR/!/#,!;Q`!9!99!1/$!!!!!1/)!M;"
        "`!+!;=!!!!!!!!!!!!#!Q=#!!;Q`!!M;`!\"!QD!!!!!!!!M;`!,!;`!!!QA=!!!!!!!!!!%!/),!;`#"
        "!!;Q/!!!!!!!!!!%!/',!;`%!/$(!F/%!/&,!;`\"!!FA=!!9F=!1/&!M;`!1/$!!!!!'!F=#!!;Q`!!"
        "!!!!!!!!%!/$,!;`!!!!\"!!/#$!;Q`!!!QR!1/M!-!`!!!QR#!!;Q`!!M;`!!!!!!!!!\"!!/#$!;Q`"
        "!!!!!!(!F/#!!;Q`!!M;`!1/$!!!!!1/%!M;`!(!F`#!!;Q`!!M;`!)!;!!!!!!!!!!!!!$!!`%!/$,!"
        ";`#!!;!!!!!!!!&!FD%!/),!;`#!!;!!!!!!!!!!!!!!!!2D!/#%!;Q`!!%QD!!!!!!!!!\"!!/#'!;Q"
        "`!!M;/!!!!!!!!!!!!!9F=!,!;`#!!;Q`!!=F/!1/$!M;`!1/$!!!!!1/$!M;`!(!F`%!/.,!;`#!!;\""
        "R!/!$!!!!!9!99!1/)!M;`!(!F/!!99\"9!/!1!!!!!!%QD!1/*!M;`!1/%!!!!!1/)!M;`!)!;!!!!!"
        "!!!!!!!!$!!`#!!;Q`!!M;`!)!;!!!99!9!!M;`!,!;`!!!Q!R!!!!!!!!!!%!/*,!;`#!!;!!!!!!!!"
        "1/.!M;`!(!F/%!/&,!;`!!!Q2D!/!$!!!!!!9F=!,!;`!!!Q1D!!!!!!!!!!#!!;Q`!!M;`!!!!!!!!!"
        "\"!!/#$!;Q`!!!QR!1/N!-!`!,!;`#!!;Q`!!%QD!!!!!!!!Q2D!/#$!;Q`!!!QR!,!;`#!!;Q`!!%QD"
        "!!!!!!!!!!!!!)Q=!1/&!M;`!+!;=!!!!!!!!!!!!\"!QD%!/%,!;`!!!Q1D!!!!!!!!!!%!/*,!;`#!"
        "!;!!!!!!!!!!!!!!!!R`!/#$!;Q`!!E;D!!!!!!!!!\"!!/#(!;Q`!!A;!!!!!!!!!!!!!!-!`!,!;`\""
        "!!FR/!/#$!;Q`!!)Q=!!!!!!!!!!!!!!QR!1/1!M;`!)!;R%!/%!!!!%!/(,!;`%!/7!!!!%!/%,!;`!"
        "!!QQ`!!M;`!1/&!!!!!1/&!M;`!$!!`\"!!FQ`!!=F`!%!F!!!!!!!!!!!!!$!!`#!!;Q`!!9F=!!!!!"
        "\"!!FA=!!M;`!,!;`%!/$!!!!%!/*,!;`#!!;!!!!!!!!1/$!M;`!(!F/%!/(,!;`\"!!FR/!/#'!;R`"
        "!/!%!!!!!!=F/!,!;`#!!;Q`!!!!!!!!!!!!!Q1D!!M;`!'!F=!!!!!!!!!!!!1/$!M;`!!!QR%!/N$!"
        "!`%!/$,!;`!!!!!!!!!!!!\"!QD%!/',!;`%!/$!!!!%!/&,!;`%!/$!!!!%!/',!;`%!/$!!!!%!/*,"
        "!;`!!99\"9!/!)!!\"!!/#(!;Q`!!E;D!!!!!!!!!!!!!=F/!,!;`#!!;Q`!!!!!!1/$!M;`!!999!!!"
        "!!!!!!!!!1/1!M;`!*!;D!!!!!!!!=F/!1/$!!!!!1/$!M;`!\"!QD%!/&!!!!\"!!FB=!/#/!;Q`!!!"
        "QR!1/&!!!!!1/%!M;`!1/$!!!!!,!;`!!!!!!!!M;`!1/(!=F`!%!F!!!!!!!!9!99!,!;`#!!;Q`!!!"
        "QR!!!!!%!/$,!;`!!!!!!!!!!!!!!QR#!!;R`!/!)!QQ`!!!Q!!!!!!%!/$,!;`!!!Q\"R!/!&!!\"!!"
        "/#'!;Q`!!%QD!1/%!!!!!\"!QD%!/$,!;`%!/$!!!!#!!;Q`!!M;`!1/$!!!!!1/$!M;`!!!QR%!/N$!"
        "!`%!/$,!;`%!/$!!!!%!/(,!;`%!/$!!!!!!!Q!R!!=F/!\"!QD%!/$!!!!#!!;Q`!!%QD!1/&!M;`!!"
        "999!!!!!!!!!!!!!!QR%!/*,!;`#!!;\"R!/!'!!!!!!)Q=!1/)!M;`!)!;!!!!!!!!9!99!,!;`#!!;"
        "Q`!!=F/!!!!!%!/$,!;`!!!!!!!!!!!!1/)!M;`!$!!`%!/(,!;`#!!;1D!!!!!!#!Q=%!/$!!!!!!!Q"
        "!R!!M;`!!!QR%!/$!!!!!!99\"9!/#%!;Q`!!-Q`!1//!-!`!#!!=%!/%!!!!#!!;Q`!!M;`!!!QR%!/"
        "$!!!!\"!!FA=!!!!!!1/)!M;`!)!;!!!!!!!!!!!!!$!!`#!!;Q`!!5FD!1/%!M;`!!!!!!!!!\"!!/#"
        "%!;R`!/!'!!Q`!!!!!!!!!!%!/$,!;`!!!Q\"R!/!%!!\"!!/#&!;Q`!!%QD!1/&!!!!!1/%!M;`!'!F"
        "=%!/$!!!!#!!;Q`!!%QD!1/$!!!!!1/$!M;`!!!QR%!/N!!!!\"!!FA=!!M;`!,!;`%!/$!!!!!!!Q2D"
        "!/#(!;R`!/!(!!!!!!=F/!,!;`#!!;Q`!!!!!!!!!!!!!Q2D!/#$!;R`!/!$!!\"!!/#$!;Q`!!-!`!1"
        "/'!-Q`!#!Q=%!/%!!!!!!!QB=!/#*!;Q`!!A;!!!!!!!!!!!!!!-!`!,!;`#!!;Q`!!A;!!1/$!M;`!!"
        "!!!!!!!!!!!=F/!1/0!M;`!*!;D!!!!!!!9!99!1/%!!!R!\"!QD%!/$!!!!!!!Q\"R!/#(!;Q`!!A;!"
        "!1/,!!!!!(!F`#!!;Q`!!M;`!*!;D%!/$!!!!\"!!FB=!/!%!!!!!9!99!!!!!%!/),!;`%!/$!!!!%!"
        "/',!;`!!99!9!!!!!!!!!!%!/+,!;`#!!;!!!!!!!!1/$!M;`!!!QR!!!!!!!!!!!!!!QR%!/&,!;`!!"
        "99\"9!/!%!!!!!!%QD!1/&!M;`!1/$!!!!!,!;`#!!;R`!/!%!!\"!!/#$!;Q`!!!QR!!!!R%!/%,!;`"
        "%!/I!!!!!!!Q!R!!M;`!,!;`!!!Q\"R!/!$!!!!!!=F/!1/(!M;`!1/&!!!!!1/%!M;`!1/%!!!!!#!Q"
        "=#!!;Q`!!M;`!1/$!!!!!1/$!M;`!1/6!-!`!#!!=!!!!!!!!!!!!1/%!M;`!\"!QD#!!;Q`!!M;`!!!"
        "!!!!!!!!!!%QD!1/0!M;`!,!;/%!/*!!!!\"!!FA=!!M;`!1/'!-Q`!\"!QD%!/0!!!!#!!;R`!/!(!!"
        "!!!!=F`!!!!!!!!!\"!!/#)!;R`!/!$!!\"R!/#&!;Q`!!9F=!!!!!!!!!!!!!=F/!1/+!M;`!)!;!!!"
        "!!\"!!/#$!;Q`!!!!!!!!!!!!!Q2D!/#%!;R`!/!&!!!R!!)Q=!1/$!M;`!(!F`#!!;Q`!!M;`!)!;!!"
        "!!!!!!!!!!!#!!=#!!;Q`!!%QD!1/%!!!!!1/$!M;`!!!QR%!/&,!;`!!!Q\"R!/!I!!!!!!M;`!,!;`"
        "\"!!FB=!/!%!!!!!!=F/!1/1!M;`!1/%!!!!!(!F/#!!;Q`!!=F/!1/$!!!!!1/$!M;`!$!!`%!/5(!F"
        "`\"!!F!!!!!!!!!!!R%!/',!;`!!!Q!R!!!!!!!!QR%!/%,!;`\"!!FR`!/!,!!Q`!!!!!!!!!!\"!!F"
        "R/!/!G!!Q/!!M;`!!!!!!!!!\"!!/#)!;Q`!!%QD!!!!!!!!!!!!!9F=!1/$!M;`!(!F/%!/$!!!!%!/"
        ",,!;`#!!;!!!!!!!!1/$!M;`!!!!!!!!Q2D!/#%!;R`!/!%!!!!!!%QD!1/%!M;`!$!!`%!/$,!;`#!!"
        ";!!!!!!!!!!!!!!!!Q`!!M;`!1/&!!!!!1/$!M;`!!!QR%!/',!;`%!/I!!!!%!/$,!;`%!/'!!!!%!/"
        "-,!;`!!!Q\"R!/#$!;R`!/!&!!!!!!M;`!,!;`%!/$!!!!!!!Q\"R!/#8!;Q`!!A;!!!!!!!!!!!!!!-"
        "!`!1/%!M;`!)!;!!!!!!!!!9F=!1/-!M;`!$!Q`%!/$,!;`#!!;!!!!!!!!,!;`%!/F!!!!!!!QQ`!!!"
        "!!!!!!!\"!!FR/!/#'!;Q`!!=F`!$!!`!!!!R`!/!*!!!!!!-!`!1/+!M;`!+!;=!!!!!!!!!!!!1/$!"
        "M;`!!!!R%!/$,!;`!!!Q2D!/!$!!!!!!=F/!1/$!M;`!$!Q`%!/%$!!`!!!!Q/!!!!!!!!!!!!!Q\"R!"
        "/#$!;Q`!!!!!!!!!!\"!!FA=!!!!!!!!!!\"!!FQ/!!M;`!,!;`!!!QB=!/#$!;Q`!!9F=!,!;`#!!;R"
        "`!/!I!!\"R!/#$!;Q`!!!QR!1/'!!!!!1/*!M;`!!999!!!!!!!!!!!!1/$!M;`!1/&!!!!!!999#!!;"
        "Q`!!=F/!1/%!!!!!1/7!M;`!+!;=%!/$!!!!%!/$,!;`\"!!FQ/!!!!!!!!!!%!/2,!;`#!!;1D!!!!!"
        "!!!QR\"!!FR`!/!E!!!!!!M;`!!!!!!!!!\"!!/#%!;Q`!!-Q`!1/'!M;`!!999%!/'!!!!%!/-,!;`#"
        "!!;!R!!!!!!!!QR%!/',!;`!!!Q2D!/!$!!\"!!/#$!;Q`!!-Q`!1/&!-!`!$!!/%!/$!!!!%!/$,!;`"
        "\"!!FA=!!!!!!!!!!#!!;Q`!!!!!!!!!!\"!!FA=!!M;`!,!;`\"!!FQ/!!M;`!,!;`\"!!F1D!!!!!!"
        "1/$!M;`!1/H!!!!!'!F=%!/$,!;`!!!!!!!!!!!!(!F/%!/%!!!!!!!Q2D!/#&!;Q`!RM;/!1/&!!!!!"
        ",!;`#!!;Q`!!9F=!1/&!!!!!\"!QD#!!;Q`!!M;`!1/$!!!!!'!F=%!/7,!;`#!!;\"!!/!$!!!!!!%!"
        "D!!!QR%!/$!!!!%!/*,!;`!!!!R`!/#)!;Q`!!A;!!!!!!#!!;R`!/!E!!!R!!9F=!!!!!!!!!\"!!/#"
        "-!;Q`!!=F/!!!QR!!!!!!!!!QR!1/(!M;`!$!Q`%!/',!;`#!!;!!!!!!!!'!F=%!/&,!;`\"!!FR/!/"
        "!$!!\"!!/#$!;Q`!!-Q`!1/&!-!`!$!!/%!/$!!!!%!/%,!;`!!!!!!!!!!!!!!QR#!!;Q`!!!QR!!!!"
        "!!!!Q\"R!/#&!;Q`!9!99!!!!!%!/$,!;`%!/I!!!!%!/$,!;`!!99!9!!!!!!!!!!#!!;Q`!!%QD!1/"
        "%!!!!!\"!QD%!/&,!;`%!/%!!!!%!/$,!;`!!!!!!!!!!!!,!;`%!/$!!!!%!/$,!;`%!/$!!!!\"!!F"
        "B=!/#$!;R`!/!$!!Q`!!-Q`!1/0!=F`!%!F!%!/'!!!!!!!!2D!/#&!;Q`!!-!`!1/-!M;`!)!;!!!!!"
        "!!!!9F=!(!F`%!/C!!!!#!!;R`!/!$!!!!!!M;`!1/>!=F`!%!F!!!!!\"!!/#'!;R`!/!$!!!!!!9F="
        "!1/*!M;`!)!;!!!!!!!!!!!!!\"!!D%!/%,!;`!!!!!!!!!!!!,!;`#!!;Q`!!)Q=!!!!!!!!!\"!!/#"
        "&!;Q`!!!!!!!!!!!!99!9!!M;`!,!;`\"!!FB=!/!H!!\"!!/#%!;R`!/!$!!!!!!M;`!'!F=%!/&!!!"
        "!%!/&,!;`%!/$!!!!%!/$,!;`!!!!!!!!!!!!'!F=\"!!FQ/!!!!!!!!!!\"!!FB=!/#$!;R`!/!$!!\""
        "!!/#$!;R`!/!5!!Q`!!)!=!1/%!!!!!(!F/%!/4,!;`\"!!FA=!!!!!!!!!!#!!;R`!/!C!!Q/!!=F/!"
        "!!!!!!!!!!!!)Q=!1//!M;`!$!!`%!//,!;`#!!;A=!!!!!!!!!!%!/&,!;`!!99!9!!!!!!!!!!!!!Q"
        "\"R!/#*!;Q`!!A;!!!!!!!!!!!!!!%!D!1/%!M;`!!!QR!!!!!!!!!!!!,!;`#!!;Q`!!=F/!!!!!!!!"
        "!\"!!/#&!;R`!/!$!!\"!!/#$!;R`!/!I!!\"!!/#$!;Q`!!%QD!1/$!!!!!1/$!M;`!\"!QD%!/%!!!"
        "!\"!!FB=!/#%!;Q`!!!!!!1/$!M;`!(!F/!!!!!!!!!!!!,!;`\"!!FQ/!!!!!!!!!!\"!!FR/!/#$!;"
        "R`!/!$!!\"!!/#Q!;Q`!!A;!!!!!!!!99!9!!M;`!1/A!!!!!,!;`%!/$!!!!%!/-,!;`!!!QR`!/#2!"
        ";Q`!!A;!!!!!!!!!!!!!!-!`!1/%!M;`!)!;!!!!!!!!!!QR!1/)!M;`!)!;R!!!!!!!!!!!!!!QR%!/"
        "',!;`!!!!!!!!!!!!1/%!M;`!!!!!!!!!\"!!/#%!;Q`!!=F/!1/$!!!!!1/$!M;`!\"!QD%!/H!!!!!"
        "!99\"9!/#$!;Q`!9!99!!!!!!!!!!!!!!QR!1/%!M;`!1/%!!!!!!!QR%!/%,!;`!!!Q\"R!/#$!;Q`!"
        "!!!!!!!!!#!!;Q`!!M;`!1/$!!!!!1/$!M;`!(!F/!!!!!!!!!!!!!!QR%!/K,!;`#!!;\"R!/#$!;Q`"
        "!!9F=!1/$!!!!!(!F/%!/@$!!`!!!QQ`!!=F/!1/$!!!!!\"!QD%!/$,!;`!!!!\"!!/#1!;Q`!!-Q`!"
        "1/(!M;`!*!;D!!!!!!!!!!!!\"!QD%!/%,!;`!!!Q1D!!!!!!!!!!%!/),!;`#!!;2D!/!$!!\"!!/#'"
        "!;R`!/!$!!\"R!/#%!;Q`!!!!!!!!!!%!/%,!;`!!!Q2D!/!$!!!!!!9F=!1/$!M;`!1/5!!!!!!999\""
        "!!F2D!/!3!!!!!!%QD!1/$!M;`!1/$!!!R!!999%!/%,!;`!!!Q2D!/!$!!!!!!!QR!1/(!M;`!!!!!!"
        "!!!!!!!%QD!,!;`#!!;Q`!!!!!!!!!!\"!!FR/!/#$!;R`!/!$!!\"!!/#K!;Q`!!A;!!1/$!M;`!1/&"
        "!!!!!,!;`%!/\?$!!/#!!;R`!/!&!!\"!!/#$!;Q`!!!!!!1/$!M;`!$!Q`%!/5,!;`#!!;!!!!!!!!!!"
        "!!!!!!R`!/#%!;Q`!!A;!!!!!!!!!QB=!/#(!;Q`!!I;=!1/$!!!!!1/(!M;`!1/$!!!!!1/%!M;`!!!"
        "!!!!!!\"!!/#%!;R`!/!&!!\"!!/#$!;R`!/!4!!\"!!/#%!;Q`!!!QR!1/2!-!`!(!F/%!/$,!;`!!!"
        "Q\"R!/!$!!\"!!/#&!;R`!/!%!!\"!!/#'!;Q`!!%QD!!!!!!!!!!!!!M;`!,!;`%!/$!!!!%!/$,!;`"
        "!!!Q1D!!!!!!!!!!%!/%,!;`\"!!FR`!/!F!!Q`!!!!!!1/$!M;`!1/&!!!!!(!F/!!!QR`!/!=!!1D!"
        "!M;`!1/'!!!!!,!;`#!!;Q`!!)Q=!!!!!%!/$,!;`!!!QR`!/#4!;Q`!!M;/!!!!!!!!!!!!!9F=!1/&"
        "!M;`!!!!!!!!!\"!!/#)!;Q`!!A;!!!!!!!!!!!!!!-!/!1/'!M;`!!999!!!!!!!!!!!!'!F=#!!;R`"
        "!/!$!QQ`!!!Q!!!!!!%!/%,!;`%!/&!!!!%!/$,!;`%!/4!!!!%!/&,!;`%!/0$!!`!!!Q!R!!M;`!(!"
        "F/\"!!FR/!/#$!;Q`!!%QD!1/$!!!!!'!F=%!/&,!;`%!/$!!!!%!/',!;`!!!!!!!!!!!!,!;`#!!;Q"
        "`!!9F=!!!!!!!!!!!!!%QD!1/$!M;`!!!!!!!!!!!!!5FD!1/*!M;`!*!;D%!/$,!;`%!/=$!!`!!!!!"
        "!!!=F/!,!;`#!!;R`!/!'!!!!!!9F=!,!;`!!!!Q`!!-!`!1/6!!!!!1/%!-!`!1/(!!!!!$!!`#!!;Q"
        "`!!!!!!!!!!%!/),!;`%!/0(!F`\"!!F!!!!!!!!\"!QD%!/&,!;`!!!!!!!!!!!!!!QR%!/(,!;`#!!"
        ";!R!!!!!!!!!!%!/$,!;`\"!!FR/!/#$!;Q`!!%QD!!!!!!!!!!!!!!QR!,!;`%!/$(!F`\"!!FA=!!!"
        "!!!!!!!%!/$,!;`\"!!FA=!!!!!!!!!!\"!!FQ/!!!!!!!!!!%!/$,!;`%!/2!!!!!!!Q\"R!/#$!;Q`"
        "!!9F=!1/0!M;`!)!;!\"!!FR/!/#)!;Q`!!=F/!1/$!!!!!1/&!M;`!+!;=%!/$!!!!%!/&,!;`!!!!!"
        "!!!!!!!1/$!M;`!1/$!!!!!1/$!M;`!!!!!!!!!!!!!!QR!1/*!M;`!)!;!!!!Q2D!/#+!;Q`!!-!`!1"
        "/%!M;`!)!;R%!/*,!;`\"!!FR`!/#%!;Q`!!A;!!!!!!#!!;Q`!!=F/!1/(!!!!!(!F/#!!;Q`!!=F`!"
        "1/6!!!!!\"!QD#!!;Q`!!M;`!!999%!/(!!!!#!!;Q`!!M;`!!!!!!!!!\"!!/#.!;Q`!!9F=!!!!!%!"
        "/(,!;`%!/$!!!!%!/',!;`!!!!!!!!!!!!(!F/#!!;R`!/\"'!FQ`!!1F!!!!!!\"!!FB=!/#$!;Q`!!"
        "=F/!1/$!M;`!1/$!!!!!1/&!M;`!)!;R!!!!!!!!!QR!1/$!M;`!!999!!!!!!!!!!!!,!;`!!!!!!!!"
        "!!!!1/$!M;`!1/2!!!!!1/$!M;`!!!QR%!/$,!;`%!//$!!`%!/+,!;`\"!!FA=!!!!!!!!!!!!!QB=!"
        "/#&!;Q`!!A;R!!!!!!!!!\"!!/#&!;Q`!!!!!!!!!!\"!!FQ/!!M;`!,!;`!!!Q2D!/!$!!!!!!M;`!,"
        "!;`!!!!!!!!!!!!!!QR%!/%,!;`%!/&$!Q`!!!Q!!!!!!!!\"!QD%!//,!;`#!!;!!!!!!!!(!F/%!/("
        ",!;`\"!!FR`!/#%!;Q`!!A;!!!!!!#!!;Q`!!9F=!1/)!!!!!!!QR!!!Q2D!/!7!!!!!!!QR!1/*!!!!"
        "!,!;`!!!Q!R!!!!!!!!!R%!/-,!;`!!99!9!!!!!!!!!!%!/',!;`#!!;A=!!!!!!!!!!\"!!FR/!/#'"
        "!;Q`!!!!!!!!!!%!/(,!;`#!!;Q/!!!!!!!!!!%!/$,!;`\"!!FB=!/#$!;Q`!!9F=!!!!!!!!!!!!!9"
        "F=!1/&!M;`!)!;!!!!!!!!!=F/!1/$!M;`!1/$!!!!!,!;`!!!!!!!!!!!!1/(!M;`!!!QR%!/,!!!!%"
        "!/$,!;`!!!QA=!!!!!!,!;`#!!;Q`!!=F/!1//!-!`!1/,!M;`!!!QR!!!!!!!!!!!!1/'!M;`!)!;!!"
        "!!!!!!!9F=!1/%!M;`!!!!!!!!!!!!!%QD!1/$!M;`!1/$!!!!!!!QR%!/$!!!!\"!!FR/!/#*!;Q`!!"
        "!QR!!!!!!!!!!!!!%QD!,!;`%!/-(!F`\"!!F!!!!!!!!!!!!!!!!\"R!/#&!;Q`!!=F`!1/&!M;`!)!"
        ";R!!!!!!!9!99!\"!QD%!/K!!!!#!!;R`!/!$!!\"!!/#$!;Q`!!-Q`!1/'!M;`!,!;/%!/%!!!!%!/'"
        ",!;`%!/$!!!!%!/$,!;`!!!Q\"R!/#$!;Q`!!!!!!!!!!%!/(,!;`#!!;1D!!!!!!!!!!%!/',!;`\"!"
        "!FR/!/!$!!\"!!/#'!;Q`!!A;!!!!!!%!/%,!;`!!!!!!!!!!!!\"!QD#!!;Q`!!!!!!!!!!%!/),!;`"
        "%!/+!!!!%!/%,!;`!!!!!!!!%QD!,!;`#!!;Q`!9!99!1//!-!`!1/$!M;`!!!!!%!/),!;`!!!!!!!!"
        "!!!!!!QR%!/&,!;`#!!;!R!!!!!!!!!!%!/%,!;`%!/$!!!!%!/%,!;`%!/'!!!!%!/%,!;`!!!!R`!/"
        "#&!;Q`!!M;/!1/$!!!!!1/&!M;`!(!F`%!/(,!;`#!!;\"R!/!%!!!!!!%QD!1/*!M;`!1/$!-!/!\"!"
        "QD%!/K!!!!!!99\"9!/!$!!\"!!/#*!;Q`!!!QR!1/%!!!!!!999%!/&,!;`!!!Q1D!!!!!!!!!!!!!Q"
        "\"R!/#$!;Q`!!!!!!1/$!M;`!!!!!!!!!\"!!/#$!;Q`!!-Q`!1/$!M;`!,!;/!!!!!!!!!!!!1/&!M;"
        "`!(!F/%!/$!!!!%!/',!;`#!!;1D!!!!!!!!!!%!/%,!;`!!!!!!!!!!!!,!;`\"!!FA=!!!!!!!!!!%"
        "!/),!;`%!/*!!!!%!/%,!;`!!!Q!R!!!!!!1/$!M;`!1/0!-!`!1/$!M;`!!!QR!!!!!!!!!!R!1/(!M"
        ";`!!!!!!!!!\"!!/#'!;Q`!!A;!!!!!!!!!!!!!!-!`!,!;`#!!;Q`!!A;R!!!!!!!!!\"!!/#&!;Q`!"
        "!=F/!!!QR!!!Q\"R!/#$!;Q`!!-!`!1/*!M;`!)!;!%!/$!!!!!!!!2D!/#-!;R`!/!(!!!!!!%QD!1/"
        "&!M;`!(!F/%!/S$!!`\"!!FR/!/#%!;Q`!!9F=!1/)!!!!!1/$!M;`!$!Q`#!!;Q`!!=F/!1/$!!!!!1"
        "/$!M;`!!!!!%!/%,!;`!!!!!!!!!!!!1/)!M;`!)!;!!!!!!!!!%QD!1/$!M;`!1/%!!!!!1/(!M;`!)"
        "!;!!!!!!!!!!!!!$!!`#!!;Q`!!M;`!)!;!!!!!!!!9!99!,!;`!!!!!!!!!!!!\"!QD%!/%,!;`!!!!"
        "\"!!/#$!;R`!/!)!!R`!/#%!;Q`!!!!!!!!!!!!99\"9!/#$!;R`!/!0!!Q`!!=F/!,!;`#!!;Q`!!9F"
        "=!!!!!!!!!!!!9!99!1/'!M;`!!!!!!!!!!!!!!QR!1/&!M;`!,!;/!!!!!!!!!!!!1/$!M;`!(!F/!!"
        "!!!!!!!!!!'!F=#!!;R`!/!4!!R`!/!&!!!!!!)!=!1/$!M;`!$!!`%!/(,!;`#!!;!!!!!!!!!!!!!!"
        "!!B=!/!'!!!!!!=F/!,!;`#!!;Q`!!=F/!1/S!-!`!(!F/#!!;Q`!!M;`!\"!QD%!/*!!!!!!99\"9!/"
        "#&!;R`!/!$!!\"!!/#$!;Q`!9!99!1/%!M;`!'!F=!!!!!!!!!!!!1/)!M;`!)!;R%!/)!!!!%!/(,!;"
        "`#!!;A=!!!!!!!!!!\"!!FA=!!M;`!,!;`\"!!FQ/!!!!!!!!!!#!!;Q`!!M;`!!!!!!!!!\"!!/#%!;"
        "Q`!!!!!!\"!QD%!/$,!;`%!/'$!!`!!!Q\"R!/#%!;R`!/!$!!!!!!=F/!1/$!M;`!1/0!-!`!\"!QD%"
        "!/$,!;`%!/$!!!!!!!Q2D!/#&!;R`!/!$!!\"!!/#'!;Q`!!A;!!!!!!!!!!\"R!/#$!;R`!/!$!!\"!"
        "!/#5!;Q`!!A;!!1/&!!!!!$!!`%!/+,!;`!!99\"9!/!,!!!!!!!QR!(!F/!!!!Q/!!-Q`!\"!QD%!/M"
        "!!!!#!!;Q`!!-!`!!!!!\"!!FB=!/!-!!\"!!/#'!;Q`!!A;!!!!!!!!99\"9!/#$!;Q`!!-!`!1/%!M"
        ";`!*!;D!!!!!!!!!!!!1/$!M;`!$!Q`%!/&$!!`%!/'!!!!!!!!2D!/#)!;Q`!!A;!!!!!!!!!!!!!!-"
        "!`!,!;`#!!;Q`!!A;!!!!!!!!!!!R!!M;`!'!F=!!!!!!!!!!!!,!;`#!!;Q`!!=F/!!!!!!!!!\"!!/"
        "#$!;Q`!!9F=!1/&!!!!!(!F/%!/%,!;`%!/%!!!!%!/$,!;`!!!Q\"R!/!0!!Q`!!!QR!1/$!M;`!1/%"
        "!!!!!1/&!M;`!!!QR!!!!!!!!!!!!1/'!M;`!)!;!!!!!!!!!!!!!$!!`#!!;Q`!!M;`!)!;!!!!!!!!"
        "!!!!!$!!`%!/4,!;`#!!;!!!!!!!!!!!!!!!!2D!/!$!!\"!!/#,!;R`!/!0!!!!!!M;`!1/L!!!!!&!"
        "FD#!!;R`!/!0!!R`!/#'!;Q`!!!!!!!!!!%!/$,!;`!!!!!!!!!!!!1/%!M;`!!999!!!!!!!!!!!!1/"
        "+!M;`!!999%!/$!!!!%!/%,!;`!!!!R`!/\"%!FQ`!!9F=!!!!!!!!!!!!!!QR!,!;`#!!;Q`!!9F=!!"
        "!!!!!!!!!!!M;`!,!;`%!/$!!!!#!!;Q`!!=F/!1/$!!!!!1/$!M;`!1/&!!!!!\"!QD%!/%,!;`%!/&"
        "!!!!%!/$,!;`%!/2!!!!%!/$,!;`%!/%!!!!%!/&,!;`\"!!FQ/!!!!!!!!!!!!!QA=!!M;`!1/%!-!`"
        "!\"!!D!!!!!!!!!!!!1/%!M;`!!!!!!!!!\"!!/#$!;Q`!!-!`!1/1!-Q`!!!Q!!!!!!!!!!!!!$!!`#"
        "!!;Q`!!!!!!!!!!!!!Q2D!/#+!;R`!/!0!!!!!!M;`!'!F=%!/K!!!!#!!;Q`!!-Q`!$!Q`!!!Q!!!!!"
        "!!!!!!!!!!!\"R!/!*!!Q/!!=F/!1/&!M;`!\"!QD%!/%!!!!#!!;Q`!!M;`!!!!!%!/%,!;`%!/$!!!"
        "!%!/8,!;`#!!;!!!!!!!!!!!!!!!!Q`!!M;`!,!;`#!!;!!!!!!!!!!!!!!!!Q`!!=F/!!!!!!!!!!!!"
        "9!99!(!F/%!/$!!!!!!!Q2D!/#$!;R`!/!%!!\"!!/#&!;R`!/!&!!!!!9!99!,!;`#!!;Q`!!9F=!1/"
        "1!!!!!!999%!/$,!;`%!/%!!!!\"!!FR/!/#&!;R`!/!$!!!!!!M;`!1/&!-Q`!!!Q!!!!!!!!!%QD!1"
        "/$!M;`!#!Q=!!!!!!!!!!!!1/$!M;`!$!!`%!/0$!Q`!!!Q!!!!!!!!1/%!M;`!!!!!!!!!\"!!/#,!;"
        "Q`!!A;!!!!!!!!!!!!!!-!`!1/,!)!=!,!;`!!!Q\"R!/!I!!!!!9!99!$!Q`!!!!Q`!!-!`!!!!!%!/"
        ")$!!`#!!;Q`!!!!!!!!!!!!99\"9!/#'!;R`!/!%!!\"!!/#)!;Q`!!!!!!!!!!!!!Q!R!!M;`!1/7!-"
        "Q`!!!Q!!!!!!!!!=F/!,!;`#!!;R`!/!$!!!!!!=F/!,!;`%!/$!!!!#!!;R`!/!%!!\"!!/#$!;Q`!!"
        "!QR!!!!!!!!!\"R!/#&!;R`!/!(!!\"!!/#$!;R`!/!2!!!!!!!QR!1/$!M;`!1/%!!!!!(!F/%!/&,!"
        ";`%!/$!!!!#!!;R`!/\"&!FQ`!!1F!!!!!!!!99\"9!/#%!;R`!/!$!!\"!!/#3!;Q`!!A;!!!!!!%!/"
        "%,!;`!!!!!!!!!!!!1/,!M;`!)!;!!!!!!!!!!!!!1/.!-!`!,!;`%!/I!!!!#!!;Q`!!-!`!$!!`!!!"
        "!B=!/!*!!!!!9!99!!!!!!!!!\"!!/#(!;R`!/!%!!\"!!/#)!;Q`!!!!!!!!!!\"!!FA=!!M;`!1/6!"
        "-!`!1/$!!!!!$!!`#!!;Q`!!M;`!)!;!!!!!!!!9!99!,!;`!!99!9!!!!!!!!!!\"!!FA=!!9F=!1/%"
        "!!!!!1/$!M;`!!!!!!!!!\"!!/#&!;R`!/!(!!!!!!9F=!,!;`#!!;Q`!!5FD!1/2!!!!!\"!QD%!/$,"
        "!;`%!/%!!!!!!!Q2D!/#&!;R`!/!$!!!!!!M;`!1/&!-Q`!!!Q!!!!!!!!!!!!!$!!`%!/%,!;`#!!;!"
        "!!!!!!!!!QR%!/2,!;`#!!;!!!!!!!!1/%!M;`!!!!!!!!!!!!!!QR!1/&!M;`!(!F`%!/&,!;`#!!;!"
        "!!!!!!!!!!!!!!!R`!/!,!!Q/!!-Q`!1/H!!!!!!!QR!!!QQ`!!-!`!$!!`%!/)!!!!!!!!Q`!!M;`!1"
        "/$!!!!!1/(!M;`!1/%!!!!!1/(!M;`!1/$!!!!!1/&!M;`!$!!`%!/2,!;`#!!;!!!!!!!!1/$!M;`!#"
        "!Q=!!!!!!!!!!!!,!;`#!!;R`!/!$!!!!!!M;`!1/&!!!!!1/$!M;`!\"!QD%!/%,!;`!!!QB=!/!%!!"
        "!!!!%QD!!!!!!!!!!!!!!QR!1/$!M;`!1/3!-!`!1/$!M;`!'!F=%!/%!!!!\"!!FB=!/#&!;R`!/!$!"
        "!!!!!M;`!1/&!-Q`!!!Q!!!!!!!!!!!!!$!!`%!/%,!;`#!!;!!!!!!!!!!!!!!!!2D!/#'!;Q`!!-!`"
        "!1/*!M;`!)!;!!!!!\"!!/#%!;R`!/!$!!B=!/#&!;Q`!!-!`!1/&!M;`!)!;!!!!!!!!!!!!!1/.!-!"
        "`!(!F/%!/G!!!!\"!!FR`!/!-!!A=!9!99!!!!!!!!!!!!!=F/!1/(!M;`!1/%!!!!!1/(!M;`!1/$!!"
        "!!!1/+!M;`!*!;D!!!Q1D!!M;`!1/*!-!`!1/$!!!!!$!!`#!!;Q`!!M;`!)!;!!!!!!!!!%QD!,!;`#"
        "!!;Q`!!!!!!!!!!\"!!FQ/!!=F/!1/&!!!!!1/(!M;`!1/%!!!!!\"!QD#!!;R`!/!$!!\"!!/#$!;Q`"
        "!!!QR!1/3!-!`!1/$!M;`!!!!!!!!!!!!!%QD!!!!!!!!!!!!!=F/!1/&!M;`!1/$!!!!!,!;`%!/&$!"
        "Q`!!!Q!!!!!!!!!!!!!!!!R`!/#&!;Q`!!A;!!!!!!!!!!!!!!)!=!1/0!M;`!)!;!!!!!\"!!/#&!;Q"
        "`!!!!!!!!!!%!/&,!;`!!!QR`!/#&!;Q`!!M;/!1/0!!!!!$!Q`%!/F!!!!\"!!FR/!/!-!!Q`!!M;`!"
        "1/$!!!!!1/$!M;`!$!Q`%!/%$!!`!!!!\"R!/!$!!\"!!/#'!;R`!/!$!!!!!9!99!1/*!M;`!,!;/!!"
        "!!!!!!%QD!,!;`%!/*$!!`!!!!!!!!!!!!(!F/#!!;Q`!!M;`!!!QR!!!!!!!!!!!!,!;`#!!;Q`!!%Q"
        "D!!!!!!!!!!!!!M;`!!999%!/&!!!!%!/&,!;`\"!!FB=!/!%!!!!!!M;`!,!;`%!/$!!!!%!/%,!;`%"
        "!/3$!!`%!/$,!;`\"!!FA=!!!!!!!!!!#!!;Q`!!!!!!!!!!\"!!FR/!/#&!;Q`!!!!!!!!!!!!99!9!"
        "!M;`!1/&!-Q`!!!QR!!!!!!!!!!!!1/$!M;`!'!F=%!/$,!;`%!/$!!!!\"!!FR/!/#&!;Q`!!-Q`!1/"
        ")!M;`!)!;!!!!!\"!!/#&!;Q`!!!!!!!!!!!!!Q2D!/#,!;Q`!9!99!!!!!!!!!!!!!)Q=!1/-!-!`!$"
        "!Q`%!/D!!!!!!!Q2D!/!-!!Q`!!=F`!1/%!!!!!1/*!M;`!1/&!!!!!1/$!M;`!1/%!!!!!1/)!M;`!,"
        "!;/%!/$!!!!!!!QB=!/#$!;Q`!!-!`!1/&!-Q`!!!Q!!!!!!!!!!!!!$!!`#!!;Q`!!=F/!!!!!!!!!\""
        "!!/#$!;Q`!!!!!!!!!!#!!;Q`!!9F=!!!!!!!!!!!!!M;`!!!!!!!!!!!!9!99!1/%!M;`!!!QR%!/$!"
        "!!!\"!!FQ/!!M;`!,!;`!!99!9!!!!!!!!!!%!/%,!;`%!/4!!!!%!/$,!;`!!!!!!!!!!!!!!QR#!!;"
        "Q`!!!!!!!!!!%!/',!;`!!!!!!!!!!!!\"!QD#!!;R`!/!&!!Q`!!)!=!!!!!!!!!\"!!/#$!;Q`!!!!"
        "!!1/%!M;`!1/$!!!!!1//!M;`!1/$!!!!!1/$!M;`!1/$!!!!!!!QR#!!;R`!/!,!QQ`!!!Q!!!!!!!!"
        "!!!!!!-!`!1/-!%!D!'!F=%!/P$!!`\"!!FB=!/!$!!!!!!=F/!1/*!M;`!1/,!!!!!!!QR%!/(,!;`#"
        "!!;\"R!/!%!!!!!!9F=!1/*!M;`!)!;!!!!!!!!9!99!,!;`#!!;R`!/!$!!\"!!/#$!;Q`!!!!!!!!!"
        "!!!!Q\"R!/!$!!!!!!M;`!!!!!!!!!!!!!%QD!1/$!M;`!!!QR%!/$!!!!%!/%,!;`%!/$!!!!%!/$,!"
        ";`%!/5!!!!#!!;Q`!!M;`!(!F/!!!!!!!!!!!!,!;`#!!;Q`!!!!!!!!!!%!/',!;`!!!!!!!!!!!!'!"
        "F=#!!;R`!/!'!!Q`!!!!!!!!!!!!!QA=!!M;`!,!;`!!!!!!!!!!!!1/%!M;`!1/$!!!!!1/$!M;`!(!"
        "F`%!/*,!;`#!!;\"R!/!)!!!!!!!QR!1/-!M;`!1/$!!!!!'!F=&!/!$!!`%!/',!;`!!!!R`!/#$!;Q"
        "`!!A;R!1/+!!!!!1/(!M;`!!!QR%!/&!!!!%!/$,!;`!!!!R`!/!&!QQ`!!!Q!!!!!!!!!!!!!!-!`!,"
        "!;`\"!!FQ/!!!!!!!!!!!!99!9!!M;`!$!Q`!!!QQ`!!!Q!!1/%!!!!!#!!=\"!!FQ/!!!!!!!!!!\"!"
        "!FQ/!!M;`!,!;`\"!!FA=!!!!!!!!!!!!!Q\"R!/#%!;Q`!!%QD!!!!!!!!!!!!!9F=!,!;`#!!;Q`!!"
        "!QR!1/4!!!!!(!F/#!!;Q`!!M;`!1/$!!!!!,!;`#!!;Q`!!!!!!!!!!%!/&,!;`\"!!FA=!!!!!!!!!"
        "!%!/),!;`#!!;!!!!!!!!!!!!!!!!Q`!!M;`!'!F=!!!!!!!!%QD!1/%!M;`!!!!!!!!!!!!9!99!1/'"
        "!M;`!$!Q`%!/&,!;`#!!;R/!/!)!!!!!!)Q=!,!;`%!/,(!F`\"!!F\"!!/!$!!!!!!-!`!1/[!%!D!,"
        "!;`%!/$!!!!\"!!FR/!/#$!;Q`!!-Q`!1/(!M;`!)!;R%!/)!!!!%!/$,!;`!!!!R`!/#$!;Q`!!A;!!"
        "1/'!!!!!$!!`%!/),!;`#!!;!!!!!!!!!!!!!!!!Q`!!M;`!1/$!!!!!,!;`%!/$$!Q`!!!Q\"!!/!$!"
        "!!!!!-!/!,!;`!!!QA=!!!!!!!!!!%!/$,!;`%!/$!!!!%!/&,!;`%!/$!!!!%!/$,!;`%!/5!!!!#!!"
        ";Q`!!M;`!(!F/!!!!!!!!!!!!\"!QD#!!;Q`!!9F=!!!!!!!!!\"!!/#&!;Q`!!!QR!!!!!!!!!\"!!/"
        "#)!;Q`!!A;R!!!!!!!!!\"!!/#$!;Q`!!!!!!!!!!%!/%,!;`!!!Q!R!!!!!!!!!!!!!Q2D!/#-!;R`!"
        "/!)!!\"R!/#/!;R`!/!$!!!!!!M;`!1/-!-!`!,!;`%!/%$!!`!!!!!!!!%QD!,!;`#!!;R`!/!0!!!!"
        "!!%QD!,!;`#!!;Q`!!!!!!!!!!#!!;R`!/!%!!Q`!!%!D!1/+!!!!!(!F`!!!Q1D!!!!!!!!!!!!99\""
        "9!/#+!;Q`!!=F`!1/$!M;`!*!;D%!/&!!!!%!/',!;`\"!!FR/!/!$!!!!!!M;`!,!;`%!/$#!!=%!/)"
        ",!;`!!99!9!!!!!!!!!!%!/$,!;`!!!!!!!!!!!!\"!QD#!!;R`!/!*!!R`!/!$!!!!!!-!`!,!;`%!/"
        "$!!!!%!/',!;`#!!;!!!!!!!!'!F=#!!;Q`!!M;`!!999%!/4!!!!\"!!FA=!!M;`!,!;`!!99!9!!!!"
        "!!!!!!#!!;Q`!!M;`!!!QR!!!!!!!!!!!!1/&!M;`!1/$!!!!!1/*!M;`!)!;!!!!!\"!!/#$!;Q`!!="
        "F/!1/&!M;`!1/%!!!!!1/.!M;`!1/'!!!!!\"!QD%!//,!;`!!!Q!R!!!!!!!!!!!!!Q!R!!=F`!1/,!"
        "-!/!,!;`!!!!Q`!!)!=!,!;`%!/%!!!R\"!!FA=!!M;`!1//!!!!!,!;`!!!Q\"R!/!$!!!!!!9F=!#!"
        "!=!!!!Q`!!M;`!,!;`#!!;!!!!!!!!!!!!!!!!Q`!!-Q`!1/'!!!!!,!;`%!/$!!!!%!/+,!;`!!!QR`"
        "!/!1!!R`!/!$!!!!!!-!`!1/$!M;`!)!;!!!99\"9!/#)!;Q`!!A;!!!!!!!!!!!!!!-!`!,!;`\"!!F"
        "Q/!!!!!!!!!!\"!!FQ/!!M;`!1/*!-!`!1/$!!!!!$!!`\"!!FQ/!!!!!!!!!!!!!Q!R!!M;`!1/%!=F"
        "`!(!F/!!!!!!!!!!!!1/$!M;`!1/5!!!!!1/$!M;`!1/$!!!!!,!;`#!!;R`!/!$!!!!!!M;`!,!;`\""
        "!!FQ/!!M;`!,!;`!!99!9!!!!!!!!!!%!/*,!;`#!!;!!!!!!!!!!QR%!/',!;`\"!!FB=!/!&!!\"!!"
        "/#/!;Q`!!A;!!1/%!!!!!$!!`%!/0,!;`#!!;!!!!!!!!!!!!%!/($!!`\"!!FQ`!!-!`!$!!`!!!!!!"
        "!!!!!!(!F`#!!;R`!/!(!!Q/!!!QR!(!F/%!/-!!!!#!!;R`!/!(!!!!!!-Q`!,!;`#!!;Q`!!A;!!1/"
        "$!)!=!\"!QD%!/&!!!!\"!!FQ`!!%QD!1/$!!!!!1/;!M;`!,!;/%!/$!!!!%!/%,!;`!!!!!!!!9F=!"
        ",!;`%!/((!F`\"!!F!!!!!!!!\"!QD#!!;Q`!!M;`!\"!QD!!!!!!!!!!!!1/,!M;`!)!;!!!!!!!!!!"
        "QR!,!;`%!/$!!!!%!/',!;`!!99!9!!!!!!!!!!#!!;Q`!!M;`!'!F=%!/5!!!!#!!;Q`!!M;`!(!F/!"
        "!!!!!!!!!!!\"!QD#!!;Q`!!M;`!1/$!!!!!,!;`#!!;Q`!!%QD!,!;`#!!;Q`!!!QR!!!!!!!!!\"!!"
        "/#*!;Q`!!I;=!!!!!!!!!\"!!/#&!;R`!/!$!!!!!!M;`!,!;`!!!!!!!!!!!!(!F/%!/(,!;`!!!!R`"
        "!/#(!;Q`!!M;/!(!F/%!/2,!;`!!99!9!!!!!!!!!!!!!Q!R!!=F`!1/&!)!=!\"!QD!!!QQ`!!-!`!$"
        "!!`!!!!!!!!%QD!,!;`!!!QQ`!!-Q`!\"!QD#!!;Q`!!%QD!1/$!!!!!'!F=\"!!FR`!/!+!!!!!!M;`"
        "!1/%!!!!!(!F/#!!;Q`!!)!=!$!!`#!!;Q`!!M;`!+!;=%!/$!!!!!!!QR`!/!'!!!!!!M;`!1/$!!!!"
        "!1/$!M;`!$!!`%!/2,!;`\"!RFR`!/!&!QQ`!!-Q/!1/%!!!!!,!;`#!!;Q`!!!!!!!!!!%!/*,!;`#!"
        "!;!!!!!!!!1/$!M;`!!!QR!!!!!!!!!!!!1/,!M;`!)!;!!!!!!!!!=F/!,!;`%!/$!!!!%!/',!;`#!"
        "!;!!!!!!!!(!F/#!!;Q`!!M;`!1/5!!!!!!!QR#!!;Q`!!M;`!!!QR!!!!!!!!!!!!1/$!M;`!!!!!!!"
        "!!!!!!!QR!,!;`#!!;Q`!!!!!!,!;`#!!;Q`!!%QD!!!!!!!!!\"!!/#&!;R`!/!&!!R`!/!$!!!!!!-"
        "!`!,!;`\"!!FB=!/!$!!\"!!/#%!;Q`!!!!!!(!F/%!/3,!;`%!/2$!!`%!/$!!!!%!/($!!`#!!;Q`!"
        "!-!`!$!!`!!!!!!!!!QR!1/$!M;`!)!;!!!!Q!R!!M;`!,!;`\"!!FQ/!!!!!!!!!!\"!!FQ/!!-Q`!1"
        "/)!!!!!,!;`!!!Q!R!!!!!!!!!!%!/$,!;`!!!Q1D!!)!=!$!!`#!!;Q`!!M;`!)!;R%!/$!!!!#!!;R"
        "`!/!&!!!!!!M;`!\"!QD%!/$!!!!%!/',!;`\"!!FR`!/#6!;Q`!!A;!!1/(!!!!!$!!`%!/),!;`#!!"
        ";!!!!!!!!1/$!M;`!1/$!!!!!1/$!M;`!1/)!-!`!!!!!!!!!!!!!M;`!,!;`!!!!!!!!!!!!(!F/%!/"
        "',!;`#!!;!!!!!!!!1/$!M;`!1/5!!!!!1/$!M;`!1/$!!!!!1/$!M;`!!!!!!!!!!!!!)Q=!,!;`#!!"
        ";Q`!!!!!!1/$!M;`!!!!!!!!!!!!!!QR!,!;`%!/*$!!`%!/'!!!!!!!!1D!!!!!!1/%!M;`!!!!!\"!"
        "!FQ/!!M;`!1/$!=F`!&!FD%!/',!;`\"!!FR`!/!8!!Q`!!)!=!1/$!!!!!,!;`%!/'$!!`!!!QR`!/!"
        "$!!R`!/#%!;Q`!!A;!!(!F/#!!;Q`!!!!!!!!!!\"!!FA=!!!!!!!!QR#!!;Q`!!-!`!$!!`!!!!\"R!"
        "/!$!!Q/!!M;`!!!!!!!!!!!!!=F/!!!!!!!99!9!!M;`!!!QR%!/$!!!!#!!;Q`!!M;`!!!QR!!!!!!!"
        "!-!`!,!;`%!/'!!!!#!!;R`!/!$!!\"!!/#'!;Q`!!=F`!1/8!-Q`!!!Q!%!/&!!!!!!!!!R!!M;`!1/"
        "(!-Q`!\"!QD!!!!!!!!!!!!1/$!M;`!1/$!!!!!1/+!M;`!!999!!!!!!!!!!!!,!;`!!!Q1D!!!!!!!"
        "!!!%!/',!;`#!!;!R!!!!!!!!QR%!/$,!;`%!/5!!!!%!/$,!;`!!!!!!!!!!!!!!QR%!/$,!;`!!!!!"
        "!!!!!!!(!F/#!!;Q`!!M;`!!!!!%!/$,!;`%!/$!!!!#!!;R`!/\"*!FQ`!!5FD!1/)!!!!!,!;`#!!;"
        "Q`!!!!!!!!!!%!/',!;`#!!;!!!!=F/!1/&!M;`!$!!`%!/8,!;`#!!;!!!!!!!!!!!!!!!!Q`!!=F`!"
        "1/&!!!!!,!;`%!/$$!!`%!/%,!;`#!!;!!!!!!!!'!F=!!!!!!!!!!!!,!;`#!!;Q`!!9F=!1/$!M;`!"
        ")!;R!!!!A=!!-!`!,!;`\"!!FQ/!!=F/!,!;`!!!Q!R!!!!R!!!!!!!!Q2D!/!%!!!!!!M;`!,!;`%!/"
        "$!!!R\"!!F2D!/!&!!!!!!=F`!!999%!/$!!!!%!/5,!;`\"!!FR`!/#+!;Q`!!A;!!1/$!!!!!$!!/%"
        "!/*,!;`#!!;A=!!!!!!!!!!%!/$,!;`!!!Q!R!!!!!!!!!!%!/+,!;`#!!;!!!!!!!!(!F/#!!;Q`!!!"
        "!!!!!!!!!!Q2D!/#'!;Q`!!A;!!!!!!\"!!FQ/!!M;`!,!;`\"!!FR/!/!5!!R`!/#$!;Q`!!!!!!!!!"
        "!\"!!FR/!/#$!;Q`!!!!!!!!!!\"!!FQ/!!M;`!,!;`!!!!!!!!%QD!,!;`#!!;Q`!9!99!!!!!!!!!\""
        "!!/#%!;Q`!!-Q`!1/'!M;`!*!;D%!/,!!!!%!/&,!;`!!!QA=!!-!`!!!!!!!!Q\"R!/#=!;R`!/!%!!"
        "!!!!M;`!1/&!!!!!(!F/%!/$$!!`#!!;Q`!!M;`!1/&!!!!!\"!QD\"!!FQ/!!M;`!,!;`\"!!FR/!/!"
        ")!!\"!!/#$!;Q`!!=F/!!999%!/&!!!!#!!;Q`!!M;`!!!!!!!!!Q`!!=F`!1/'!!!!!,!;`%!/$!!!!"
        "!!!Q2D!/#*!;Q`!!=F`!1/D!M;`!*!;D!!!!\"!!/#%!;Q`!!9F=!!!!!!!!!!!!!9F=!,!;`%!/($!!"
        "`!!99!9!!!!!!!!!!#!!;Q`!!M;`!!!!!!!!!\"!!/#(!;Q`!!A;!!!!!!%!/$,!;`!!!Q\"R!/!5!!R"
        "`!/#$!;Q`!!!!!!!!!!%!/%,!;`!!!!!!!!!!!!(!F/#!!;Q`!!M;`!!!!!!!!!!!!!M;`!,!;`\"!!F"
        "A=!!!!!!!!!!!!!Q2D!/#,!;Q`!!E;D!1/*!!!!!1/(!M;`!1/%!%!D!1/8!M;`!(!F`%!/$,!;`#!!;"
        "B=!/!$!!!!!!M;`!1/&!-!/!'!F=!!!QQ`!!-!`!\"!!D#!!;Q`!!M;`!1/<!-!/!(!F`#!!;Q`!!M;`"
        "!*!;D!!!!Q`!!M;`!1/&!!!!!(!F`#!!;R`!/!$!!\"!!/#+!;Q`!!-!`!1/D!-Q`!#!Q=!!!!\"!!/#"
        "&!;R`!/!$!!\"!!/#%!;Q`!!=F`!,!;`#!!;Q`!!I;=!!!!!!!!!!!!!=F/!,!;`!!!QA=!!!!!!!!!!"
        "%!/',!;`#!!;Q/!!!!!!!!!!%!/$,!;`%!/5$!!`!!!Q\"R!/#$!;Q`!!!!!!!!!!%!/%,!;`!!!!!!!"
        "!!!!!#!Q=#!!;Q`!!M;`!!!!!!!!!\"!!/#$!;R`!/!$!!\"!!/#-!;Q`!!M;/!1/(!!!!!(!F/%!/(,"
        "!;`!!!Q2D!/!$!!Q`!!!QR!1/&!M;`!$!!`%!/6(!F`\"!!F\"!!/!$!!!!!!-!`!1/&!!!!!,!;`%!/"
        "&$!Q`!!!Q\"!!/!)!!!!!!%!D!1/1!-!`!1/'!M;`!1/&!!!!!,!;`!!99!9!!!!!!!!!!!!!Q2D!/#%"
        "!;Q`!!-Q`!1/<!M;`!+!;=\"!!FR/!/#&!;Q`!!=F`!1/'!M;`!+!;=!!!!\"!!/#'!;Q`!!!!!!!!!!"
        "!!!Q\"R!/#$!;Q`!!=F`!,!;`\"!!FB=!/!$!!!!!!M;`!,!;`!!!!!!!!!!!!\"!QD%!/',!;`#!!;1"
        "D!!!!!!!!!!%!/$,!;`%!/5$!!`\"!!FQ/!!M;`!,!;`\"!!FA=!!!!!!!!!!%!/%,!;`!!!!!!!!!!!"
        "!\"!QD#!!;Q`!!M;`!!!!!!!!!!!!9!99!,!;`#!!;Q`!!9F=!!!!!!!!!\"!!/#&!;Q`!!-!`!1/*!-"
        "Q`!1/$!)Q=!$!Q`%!/+,!;`#!!;\"!!/!%!!Q`!!9F=!1/'!M;`!1/5!-Q`!!!Q!!!!!!!!!!!!!$!!`"
        "\"!!FR`!/!%!!!!!!%QD!,!;`%!/&(!F`\"!!F\"!!/!(!!!!!!%!D!1/0!-!`!(!F`%!/&$!Q`!!!Q\""
        "!!/!$!!!!!!!!R!,!;`\"!!FR/!/!$!!\"!!/#9!;Q`!!-!`!1/'!M;`!)!;!!!!!!!!!-!/!,!;`%!/"
        ".$!Q`!!!Q!!!!!!!!1/&!M;`!1/%!!!!!\"!QD\"!!FQ/!!9F=!1/%!!!!!,!;`#!!;Q`!9!99!!!!!!"
        "!!!\"!!/#(!;Q`!!A;!!!!!!!!!!!!!!-!`!,!;`\"!!FR/!/!5!!R`!/#$!;Q`!!%QD!!!!!!!!Q\"R"
        "!/#%!;Q`!!!!!!!!!!!!99!9!!M;`!,!;`!!!Q!R!!!!!!!!!!%!/$,!;`!!!!!!!!!!!!\"!QD%!/=,"
        "!;`#!!;B=!/!&!!!R!!9F=!1/&!M;`!$!Q`%!/4(!F`!!99!9!!!!!!!!!!!!!Q1D!!M;`!1/&!%!D!!"
        "!QR%!/$!!!!#!!;Q`!!=F`!1/9!!!!!,!;`%!/*$!!/!!!QQ`!!M;`!1/$!!!!!1/5!M;`!$!Q`%!/+,"
        "!;`#!!;!!!!%!D!$!!`!!!Q2D!/#%!;Q`!!-Q`!1/*!M;`!)!;!!!!!!!!!!!!!$!!`%!/(,!;`#!!;\""
        "!!/!&!!!!!!-!`!,!;`#!!;Q`!!A;!!!!!!!!!!!!!!-!`!1/'!M;`!)!;!!!!!!!!!!!!!$!!`#!!;Q"
        "`!!)Q=!1/5!-!`!1/$!M;`!!!!R!!!!!!!!%QD!1/%!M;`!)!;!!!!!!!!!!!!!$!!`#!!;Q`!!%QD!!"
        "!!!!!!!\"!!/#$!;Q`!!)Q=!!!!!!!!!\"!!/#>!;Q`!!A;!!1/&!!!!!1/6!M;`!(!F`%!/%$!Q`!!!"
        "Q!!!!!!!!!!!!!!!!Q`!!=F`!1/)!!!!!,!;`#!!;R`!/!9!!Q/!!=F`!1/*!!!R!,!;`\"!!FR/!/!$"
        "!!\"!!/#-!;Q`!!-!`!1/1!M;`!+!;=%!/%!!!!%!/,,!;`\"!!FR`!/#$!;Q`!!A;!!!!!!!!!!!!!!"
        "-!`!1/*!M;`!)!;!!!!!!!!!9F=!1/$!M;`!1/$!!!!!(!F/#!!;R`!/!'!QQ`!!!Q!!!!!!!!!!!!!!"
        "-!`!,!;`!!!Q\"R!/!5!!R`!/#$!;Q`!!!!!!!!!!\"!!FA=!!M;`!1/$!=F`!%!F!!!!!!!!!!!!!$!"
        "!`#!!;Q`!!M;`!)!;!!!!!!!!!%QD!1/$!M;`!!!!!!!!!!!!!%QD!1/$!M;`!$!Q`%!/9,!;`#!!;!!"
        "!!9F=!1/%!-!`!(!F/%!/:,!;`!!!Q!R!!!!!!!!!!!!!QA=!!M;`!1/)!)!=!'!F=#!!;R`!/!$!!Q`"
        "!!!!R!1/5!!!!!$!Q`%!/)!!!!\"!!FQ`!!M;`!1/$!!!!!1/>!M;`!!999%!/%!!!!\"!!FA=!!M;`!"
        "1//!-Q`!!!Q!%!/$!!!!!!!!R`!/#/!;Q`!!A;!!!!!!!!!!!!!!-!`!1/(!M;`!)!;!!!!!!!!!%QD!"
        ",!;`#!!;R`!/!6!!\"!!/#$!;Q`!!!!!!!!!!\"!!FQ/!!M;`!1/$!-Q`!#!Q=!!!!!!!!!!!!1/$!M;"
        "`!1/$!!!!!1/%!M;`!!!!!!!!!\"!!/#8!;Q`!!-Q`!1/%!M;`!!999!!!Q1D!!M;`!1/%!-!`!!999%"
        "!/9,!;`\"!!FB=!/!$!!!!!!M;`!,!;`%!/)!!!!#!!;R`!/\"&!FQ`!!1F!!1/*!)!=!$!Q`!!!QR`!"
        "/!'!!!!!!-Q`!1/*!-!`!,!;`!!!Q\"R!/!$!!!!!!=F/!1/;!M;`!\"!QD%!/&!!!!!!!Q\"R!/#(!;"
        "Q`!!=F`!1/*!-Q`!!!Q!%!/$!!!!!!!!R`!/#-!;Q`!!A;!!!!!!!!!!!!!!-!`!1/(!M;`!!999!!!!"
        "!!!!!!!!1/$!M;`!1/6!!!!!1/$!M;`!!!!!!!!!\"!!/#'!;Q`!!A;!!!!!!%!/$,!;`!!!QA=!!!!!"
        "!!!!!!!!Q\"R!/#$!;Q`!!!!!!!!!!%!/=,!;`#!!;Q/!!!!!!,!;`!!!QQ`!!-Q`!!!Q!%!/$!!!!!!"
        "!!\"R!/#2!;Q`!!=F/!!!QR%!/(!!!!!!99!9!!M;`!(!F/!!!!Q`!!!!R!!!QR%!/%!!!!#!!;Q`!!="
        "F/!1/&!!!R!$!Q`%!/$,!;`#!!;B=!/!$!!\"!!/#$!;R`!/!'!!A=!!9F=!1/&!-!/!$!Q`!!!!Q/!!"
        "-!/!\"!QD#!!;R`!/!)!!!!!!%QD!(!F/%!/0,!;`\"!!FR`!/#&!;Q`!!A;!!!!!!!!!!!!!!-!`!(!"
        "F/!!!!\"!!/#)!;Q`!!-!`!1/*!=F`!%!FR%!/'!!!!%!/&,!;`\"!!FR/!/#$!;R`!/!$!!\"!!/#$!"
        ";R`!/!%!!Q`!!M;`!,!;`%!/$!!!!#!!;Q`!!M;`!(!F/%!/6!!!!%!/$,!;`!!!!!!!!!!!!1/'!M;`"
        "!)!;!!!!!!!!!%QD!1/$!M;`!!!!!!!!!\"!!/#%!;Q`!!!!!!!!!!%!/>,!;`#!!;!!!!=F/!,!;`!!"
        "!!Q`!!-!`!1/&!!!!!$!!`%!/.,!;`#!!;\"!!/!,!!!!!!-!`!$!!`!!!!!!!!M;`!1/&!!!!!,!;`#"
        "!!;R`!/!)!!A=!!=F/!(!F`!!!!!!!!!QR!,!;`#!!;R`!/!)!!!!!!M;`!1/&!)!=!'!F=%!/$\"!!D"
        "!!!Q2D!/!$!!!!!!!QR!1/(!!!!!!999\"!!FR/!/#2!;Q`!!!QR!1/%!!!!!,!;`!!!!\"!!/#/!;Q`"
        "!!-Q`!1/%!-!`!1/'!!!!!!!!R%!/&$!!`#!!;Q`!!%QD!1/$!!!!!(!F/%!/),!;`#!!;Q/!!!!!!!!"
        "!!!!!Q1D!!M;`!,!;`!!!Q\"R!/!6!!R`!/#$!;Q`!!!!!!!!!!%!/',!;`#!!;A=!!!!!!!!!!%!/),"
        "!;`%!/$!!!!%!/1,!;`\"!!FR`!/!-!QQ`!!!QR!!!!!\"!!FQ/!!M;`!$!Q`!!!QQ`!!!Q!!1/$!!!!"
        "!$!!`%!/+,!;`#!!;2D!/!%!!!!!!!QR!'!F=%!/$,!;`\"!!FQ`!!=F`!1/&!%!D!$!Q/\"!!FR/!/!"
        "&!!\"!!/#$!;Q`!!E;D!1/(!!!!!!!QR\"!!FQ/!!9F=!1/+!!!!!,!;`%!/'!!!R\"!!FR`!/!&!!!!"
        "!!-Q`!1/&!=F`!'!F=!!!Q\"R!/!%!!!!!!9F=!1/'!M;`!(!F`%!/',!;`#!!;R/!/!&!!!!!!M;`!,"
        "!;`!!!!\"R!/#5!;Q`!!%QD!1//!!!!!!!QR%!/*,!;`#!!;!!!!!!!!!!!!!!!!Q`!!M;`!,!;`#!!;"
        "\"!!/!7!!Q`!!M;`!,!;`!!!!!!!!!!!!1/(!M;`!)!;!!!!!!!!9!99!1/'!M;`!1/$!!!!!\"!QD%!"
        "/*,!;`!!!QR`!/#5!;Q`!!A;!!1/$!!!!!1/&!-!`!\"!QD%!/),!;`%!/$!!!R!!!Q!R!!9F=!1/$!M"
        ";`!(!F`%!/'$!!`!!!!\"!!/!$!!Q`!!M;`!1/'!!!!!(!F/#!!;R`!/!7!!Q`!!M;`!1/'!!!!!,!;`"
        "%!/+$!!`!!!QR`!/#%!;Q`!!M;/!!999!!!!!!!!!!!!!!QR%!/+,!;`%!/'!!!!!!!QQ`!!M;`!#!Q="
        "\"!!FR/!/#&!;Q`!!=F`!1/1!-!`!1/-!!!!!#!!=%!/+,!;`#!!;!!!!!!!!!!!!!!!!Q`!!M;`!(!F"
        "/%!/8!!!!#!!;Q`!!M;`!!!!!!!!!!!!!=F/!,!;`%!/'$!Q`!!!Q!!!!!!!!!!!!!!!!B=!/#$!;R`!"
        "/!%!!\"!!/#$!;Q`!!-!`!1/=!M;`!*!;D!!!QR`!/#%!;Q`!!A;!!1/$!!!!!$!!`%!/&,!;`#!!;2D"
        "!/#$!;Q`!!=F`!1/,!-!`!#!!=%!/$!!!!#!!;R`!/!'!!!!!!)Q=!,!;`!!!!Q`!!-!`!!!!R%!/3!!"
        "!!!!!QQ`!!M;`!1/'!!!!!\"!QD!!!Q2D!/!0!!Q`!!=F`!1/$!M;`!+!;=%!/(,!;`\"!!FR/!/!'!!"
        "!!!!=F`!,!;`!!!Q!R!!!!!!1/=!M;`!+!;=%!/$#!Q=!!!QR`!/#-!;Q`!!E;D!!!!!!!!!\"!!/#$!"
        ";R`!/!9!!!!!!M;`!,!;`!!!!!!!!!!!!(!F/#!!;R`!/\"'!FQ`!!5FD!1/%!!!!!#!Q=%!/%!!!!%!"
        "/%,!;`!!!QR`!/#&!;Q`!9!99!1/$!!!!!!!QR\"!!FR/!/#2!;Q`!!!!!!\"!!D%!/$,!;`%!/'$!!`"
        "%!/',!;`\"!!FR`!/!.!!Q`!!!!R!1/%!!!!!,!;`%!/'!!!!!!!Q1D!!M;`!$!!`!!!!Q`!!!!!!!!!"
        "!\"!!FA=!!M;`!(!F`\"!!FQ`!!1FR!!!QR\"!!FQ`!!M;`!!!!!!!99\"9!/#$!;R`!/!%!!1D!!=F`"
        "!,!;`%!/'!!!!!!99!9!!M;`!1/3!-!`!$!Q`%!/),!;`#!!;\"!!/!$!!!!!!-!`!$!!`\"!!FA=!!M"
        ";`!1/$!!!!!1/D!M;`!$!Q`%!/*$!!`!!!!!!!!!!!!\"!QD%!/$,!;`%!/9!!!!#!!;Q`!!M;`!!!!!"
        "!!!!!!!!)Q=!1/)!M;`!+!;=%!/)!!!!%!/-,!;`%!/'$!!/!!!Q2D!/#/!;Q`!!9F=!!!!!\"!RFR/!"
        "/#%!;Q`!!E;D!1/%!!!!!(!F/%!/1,!;`#!!;B=!/!'!!!!!!M;`!!!QR%!/&!!!!!!!Q1D!!M;`!$!Q"
        "`!!!QQ`!!!Q!!1/%!-!`!!!QR!!99!9!!!!!!!!QR!!!Q!R!!!!!!!999!!99\"9!/!'!!!!!!M;`!,!"
        ";`%!/'!!!!#!!;R`!/!7!!Q`!!-Q`!1/%!M;`!)!;R%!/&!!!!\"!!FR`!/!%!!\"!!/#+!;Q`!!-!`!"
        "1/C!=F`!%!F!!!!!!!!!!!!!$!!`#!!;Q`!!M;`!+!;=%!/9!!!!#!!;Q`!!M;`!!!QR!!!!!!!!!QR!"
        "1/+!M;`!)!;R%!/%!!!!!!!Q\"R!/#/!;R`!/!)!!Q`!!%QD!1/)!M;`!(!F`%!/$$!!`!!!!!!!!!!!"
        "!1/$!M;`!$!Q`%!/>$!!`#!!;Q`!!M;`!1/&!!!!!!!QR#!!;Q`!!=F`!(!F`\"!!FB=!/!3!!Q`!!M;"
        "`!,!;`%!/&!!!!!!!Q!R!!-Q`!1/:!-!`!,!;`%!/'!!!!\"!!FQ`!!M;`!,!;`#!!;\"R!/#3!;Q`!!"
        "-!`!1/<!M;`!!999!!!!!!!!!!!!(!F/%!/$,!;`%!/:!!!!#!!;Q`!!M;`!#!Q=!!!!!!!!!!!!1/\?!"
        "M;`!)!;!%!/*$!!`!!!Q2D!/#(!;Q`!!-Q`!,!;`#!!;Q`!!I;=!!!!!#!!;Q`!!5FD!!!QR#!!;Q`!!"
        "-!`!$!!`%!/%!!!!!!!!R/!/!3!!Q`!!=F`!1/%!)!=!,!;`\"!!FB=!/!&!!\"!!/#'!;Q`!!A;!!1/"
        "0!-!`!,!;`#!!;R`!/!&!!!!!!M;`!$!!`!!!!Q`!!-!/!1/>!%!D!$!Q`%!/$,!;`#!!;\"!!/#(!;Q"
        "`!!-Q`!1/F!M;`!)!;!%!/$!!!!!!!!Q`!!M;`!,!;`#!!;2D!/!9!!!!!!!QR!1/$!M;`!!!!!!!!!\""
        "!!/#@!;Q`!!E;D!!!!R!!!!!!!!M;`!1/,!-!`!'!F=%!/',!;`%!/%!!!!#!!;Q`!!-!`!$!!`!!!!2"
        "D!/!5!!!!!!-Q`!,!;`%!/%!!!!!!!QQ`!!M;`!1/&!!!!!\"!QD#!!;R`!/!$!!Q`!!!!R!1/$!-!`!"
        "1/'!%QD!1/'!!!!!(!F`#!!;Q`!!=F/!1/+!!!!!,!;`%!/;$!!`%!/%,!;`!!!!!!!!!QR!1/,!M;`!"
        "$!!`%!/@,!;`#!!;\"R!/!$!!!!!!%QD!1/$!M;`!!!QR%!/;!!!!%!/$,!;`!!!!!!!!!!!!(!F/#!!"
        ";R`!/\"\?!FQ`!!9F=!!!!!!!!QQ/!!M;`!(!F`\"!!FQ`!!1FR!1/)!!!!!\"!QD%!/',!;`\"!!FA=!"
        "9!99!!!!!%!/%,!;`#!!;B=!/!4!!!!!!M;`!(!F/%!/&!!!!#!!;Q`!!M;`!1/&!!!!!,!;`%!/$(!F"
        "`\"!!F\"!!/!0!!A=!!M;`!,!;`%!/&!!!!!!!Q2D!/!&!!Q/!!M;`!$!!`!!!!R`!/!%!!\"!!/!-!!"
        "Q`!!)!=!1/'!!!!!$!Q`%!/$,!;`#!!;1D!!!!!!1/$!M;`!(!F`%!/,,!;`#!!;Q/!!%QD!!!QR%!/&"
        "!!!!\"!!F2D!/#4!;Q`!!A;!!1/$!!!!!$!!/%!/$,!;`\"!!FB=!/!<!!\"!!/#$!;Q`!!!!!!!!!!!"
        "!!Q\"R!/#A!;Q`!!A;R!!!!!\"!!FR`!/#%!;Q`!!E;D!1/(!!!R!!999%!/&,!;`%!/$\"!QD!!!!\""
        "!!/#%!;Q`!!I;=!1/2!!!!!,!;`#!!;R`!/!'!!!!!!-Q`!,!;`%!/&!!!!%!/%,!;`#!!;2D!/!/!!!"
        "!!!=F`!,!;`!!!Q\"R!/!&!!!!!!-Q`!1/&!!!!!\"!QD#!!;Q`!!-!`!$!!`%!/%!!!!%!/+$!!`!!!"
        "!\"R!/!'!!!!!!-Q`!,!;`%!/%!!!!\"!!FR/!/#-!;Q`!!9F=!1/*!!!!!,!;`%!/3(!F`\"!!F2D!/"
        "!$!!!!!9!99!1/%!M;`!'!F=%!/=!!!!%!/$,!;`%!/$!!!!%!/B,!;`#!!;B=!/!$!!!!!!=F`!1/&!"
        "M;`!,!;/%!/&!!!!!!!Q2D!/#%!;R`!/!%!!\"!!/#%!;Q`!!A;!!1/$!!!!!$!!`%!/,!!!R#!!;Q`!"
        "!M;`!!!QR%!/(!!!!#!!;R`!/!'!!\"!!/#%!;Q`!!A;!!1/)!!!!!!999%!/%!!!!#!!;Q`!!M;`!1/"
        ".!!!!!1/$!M;`!,!;/%!/4!!!!!!!QQ`!!M;`!,!;`#!!;\"!!/!$!!!!!!-!`!1/'!M;`!+!;=%!/$\""
        "!QD%!/,!!!!!!!Q1D!!M;`!1/2!-!`!#!!=%!/%!!!!%!/%,!;`\"!!FR/!/!(!!!!!!!QR!\"!QD%!/"
        "%'!F=!!!Q2D!/!0!!!!!!!QR!,!;`#!!;Q`!!%QD!!!!!!!!!!!!!9F=!,!;`%!/B$!Q`!!!Q!!!!!!!"
        "!!!!!!!!!\"R!/#%!;R`!/!*!!Q`!!=F/!\"!QD%!/%!!!!%!/$,!;`%!/0$!!`!!!QR`!/#$!;Q`!!A"
        ";!!1/)!!!!!#!Q=%!/&!!!!!!!Q!R!!M;`!(!F`%!//!!!!#!!;Q`!!M;`!1//!!!!!!999%!/%,!;`#"
        "!!;\"!!/!$!!!!!!)!=!1/-!-!`!$!Q`#!!;Q`!!M;`!*!;D!!!Q!R!!9F=!1/(!M;`!!999%!/-!!!!"
        "\"!!F1D!!-!`!!!!R!!!Q2D!/#)!;Q`!R=F`!1/*!-!`!!!!R%!/&!!!!%!/$,!;`!!!Q\"R!/!$!!!!"
        "!9!99!#!Q=%!//,!;`!!!Q\"R!/!,!!\"!!/#$!;R`!/!$!!\"!!/#$!;R`!/!%!!Q`!!M;`!1/>!-!`"
        "!!999!!!!1D!!=F`!1/'!M;`!)!;!%!/&!!!!!!!!\"R!/!%!!!!!!-Q`!1/&!M;`!)!;!%!/9!!!!#!"
        "!;R`!/!(!!!!!!M;`!1/.!-!/!(!F`#!!;R`!/!2!!\"!!/#%!;Q`!!E;D!1//!!!!!,!;`#!!;R`!/!"
        "%!!\"!!/#'!;Q`!!9F=!1/,!!!!!(!F`#!!;Q`!!M;`!)!;!!!!Q2D!/#*!;Q`!!-!`!1/)!=F`!'!F="
        "%!/&!!!!%!/<,!;`%!/+$!!`!!!Q!R!!M;`!,!;`\"!!FA=!!!!!!!!!!!!!Q!R!!M;`!1/E!=F`!%!F"
        "!!!!!!!!!)!=!(!F`%!/&,!;`#!!;B=!/!*!!\"!!/#$!;R`!/!>!!Q`!!)Q=!1/'!!!!!!!QR#!!;R`"
        "!/!-!!1D!!M;`!1/E!!!!!(!F`#!!;Q`!!M;`!)!;!%!/$!!!!!!!!Q`!!M;`!,!;`#!!;2D!/!-!!!!"
        "!!-Q`!1/$!M;`!)!;!!!!!\"!!/#&!;Q`!!-Q`!1/-!M;`!+!;=%!/%!!!!%!//,!;`\"!!FQ/!!5FD!"
        "!!QR%!/'!!!!!!!Q!R!!9F=!1/$!M;`!1/-!-!`!1/$!M;`!1/$!!!!!1/G!M;`!)!;R%!/%!!!!%!/$"
        ",!;`%!/*$!!`%!/%,!;`%!/'$!!`#!!;Q`!!9F=!1/)!!!!!,!;`!!!QB=!/!,!!Q`!!M;`!1/(!!!!!"
        ",!;`!!!QR`!/!+!!!!!!M;`!(!F/%!/E!!!!#!!;R`!/\"$!FQ`!!1F!!1/,!!!!!1/&!-!`!#!!=\"!"
        "!FA=!!=F`!$!Q/%!/$!!!R%!/&,!;`\"!!FR`!/!.!!Q`!!!!!!!!!!%!//,!;`!!!Q2D!/!.!!\"!!/"
        "#$!;R`!/!-!!Q`!!%QD!,!;`#!!;Q`!!=F/!!!!!!!!!\"!!/#'!;Q`!!-!`!1/B!-Q`!\"!QD!!!Q!R"
        "!!%QD!1/&!M;`!(!F`%!/-$!Q`!!!Q\"!!/!'!!Q`!!)!=!!!!!!!!!R`!/\"$!FQ`!!1FR!1/7!!!!!"
        ",!;`%!/*$!!/\"!!FQ`!!M;`!1/4!!!!!!!QR%!/2$!!`%!/%,!;`#!!;\"!!/!,!!!!!!-Q`!1/&!M;"
        "`!,!;/!!!!!!!!!!!!!!QR%!/-,!;`!!!!R`!/#)!;Q`!!A;!!1/-!M;`!(!F/%!//!!!!%!/%,!;`%!"
        "//$!!`%!/$,!;`!!!QA=!!!!!!!!!!%!/$,!;`!!!!R`!/!0!QQ`!!-Q/!(!F/\"!!FQ/!!5FD!!!QR%"
        "!/&!!!!!!!Q1D!!M;`!,!;`\"!!FQ/!!)Q=!'!F=\"!!FR/!/#'!;R`!/!(!!\"!!/#&!;Q`!!=F`!1/"
        "2!-!`!1//!!!!!(!F`%!/+$!!`#!!;R`!/!(!!!R!!-Q/!'!F=%!/%!!!!!!!QQ`!!-!`!$!!`!!!!!!"
        "!!-Q`!1/5!-!`!(!F`%!/%,!;`#!!;\"!!/!$!!R`!/#$!;R`!/!,!!Q`!!-Q`!1/&!M;`!)!;!!!!!!"
        "!!!%QD!1/3!M;`!(!F`%!/%$!Q`!!!Q!!!!!!!!1/*!M;`!1/(!!!!!'!F=#!!;Q`!!M;`!\"!QD%!/%"
        "!!!!\"!!FR/!/#'!;R`!/!/!!Q`!!9F=!1/$!M;`!1/$!!!!!1/2!M;`!,!;/%!/3\"!!D\"!!FR/!/#"
        "&!;R`!/!'!!\"!!/#%!;Q`!!-Q`!1/%!-!`!\"!!D%!/%$!!`%!/',!;`%!/%$!!`!!!Q2D!/!$!!Q`!"
        "!-Q`!$!!`!!!!Q`!!!!!!!!!!!!!!Q`!!=F`!(!F`\"!!F!R!!%QD!,!;`%!/$$!!`#!!;R`!/!&!!Q`"
        "!!!QR!(!F`%!/'!!!!#!!;R`!/!%!!!!!!-Q/!(!F`%!/%$!!`!!!!Q/!!!!!!$!!`\"!!FQ`!!=F`!%"
        "!FR!!!!!!!!-!`!1/%!-Q`!!!Q!%!/$!!!!#!!;R`!/!*!!Q`!!%!D!1/2!-!`!!999\"!!FQ/!!=F/!"
        "1/$!%!D!1/*!M;`!$!!`%!/0,!;`#!!;!!!!!!!!!!!!!!!!R`!/#%!;Q`!!A;!!1/'!-!`!'!F=%!/%"
        ",!;`%!/%!!!!!!!QB=!/#&!;Q`!!=F/!1/2!!!!!1/%!M;`!!!!!!!!!!!!!!QR!1/&!M;`!$!Q`%!/-"
        ",!;`#!!;B=!/!4!!\"!!/#$!;R`!/!%!!!R!!-Q/!1/%!M;`!1/,!-!`!1/(!M;`!)!;!!!!!!!!9!99"
        "!1/(!=F`!'!F=!!!!!!!!-!`!1/$!M;`!)!;!\"!!FQ`!!-Q`!1/$!!!!!,!;`%!/&$!!`#!!;R`!/!'"
        "!!!!!!9F=!1/$!!!!!$!Q`%!/',!;`#!!;1D!!%!D!1/$!M;`!)!;!!!!!!!!!-Q`!1/%!=F`!(!F/%!"
        "/$!!!!!!!QR`!/#=!;Q`!!A;!!!!!!!!!!!!!!%!D!1/2!M;`!$!!`%!/),!;`#!!;1D!!!!!!!!!!%!"
        "/%,!;`%!/(!!!!%!/&,!;`!!99\"9!/!$!!!!!!9F=!1/&!M;`!1/4!!!!!!!QR%!/$,!;`%!/$!!!!\""
        "!!FR/!/#'!;Q`!!=F`!1/-!-!`!!!!R%!/$!!!!%!/$,!;`!!!QR`!/!%!!Q`!!%!D!1/,!!!!!(!F`%"
        "!/(,!;`#!!;\"R!/!)!!\"!!/#&!;Q`!!M;/!1/$!!!!!1/*!M;`!)!;!%!/%$!!`!!!!!!!!M;`!,!;"
        "`!!!QQ/!!-!`!1/%!=F`!%!F!!!!!!!!!!!!!\"!!D%!/+!!!R!!!QR`!/\"'!FQ`!!=F/!,!;`%!/$$"
        "!Q`!!!Q!!!!-!`!1/'!=F`!%!FR%!/$!!!!\"!!FR`!/#*!;Q`!!I;=!1/$!-!`!$!Q`%!/+,!;`#!!;"
        "Q/!!!!!!!!!!%!/@,!;`%!/$!!!!#!!;Q`!!M;`!1/'!!!!!\"!QD%!/&,!;`%!/%!!!!%!/&,!;`!!!"
        "Q\"R!/!8!!!!!!M;`!1/%!!!!!1/7!M;`!!!QR!!!!!!!!-!/!(!F`%!/),!;`#!!;B=!/!(!!\"R!/#"
        "&!;R`!/!.!!R`!/#$!;Q`!!A;!!1/%!!!!!#!!=\"!!FR`!/!*!QQ`!!-Q/!,!;`!!!QQ`!!-Q`!!!Q!"
        "!!!Q2D!/#)!;Q`!!A;R!!!!!!!!!!!!!=F/!1/)!!!!!,!;`%!/&(!F`\"!!FR/!/!%!!Q`!!M;`!$!!"
        "`!!!!R/!/!)!QQ`!!!Q!!!!!!!!!!\"!!/!+!!R`!/!'!!\"!!/#%!;Q`!!-Q`!1/'!!!!!1/$!M;`!,"
        "R;`(!D0R`!/#<!;Q`!!A;!!1/*!!!!!$!!`%!/%,!;`#!!;B=!/!$!!!!!!%QD!1/$!M;`!1/B!-!`!1"
        "/$!M;`!(!F`%!/3,!;`#!!;2D!/!&!!\"!!/#'!;R`!/!.!QQ`!!)Q=!1/,!!!!!1/$!M;`!1/&!-!`!"
        "1/%!M;`!$!Q`%!/',!;`#!!;!R!!=F`!1/$!M;`!)!;!%!/*,!;`!!!!Q`!!!!R!\"!QD%!/&!!!!!!!"
        "QR/!/#(!;Q`!!A;!!1/(!-!`!,!;`%!/*$!Q`!!!Q\"!!/!%!!!!!!!!R!,!;`%!/%(!F`\"!!F\"!!/"
        "!&!!\"!!/!(!!Q`!!!!!!!RQR&!DF2D!+5.+!(!F/%!/$,!;`\"!!FQ/!!!QR!1/0!!!!!\"!QD\"!!F"
        "A=!!=F/!1/&!M;`!(!F`%!/%,!;`#!!;\"R!/!&!!!!!!!QR!1/'!M;`!1/%!!!!!1/$!M;`!1/E!-!`"
        "!1/2!M;`!(!F`%!/',!;`#!!;Q/!!%QD!1/$!!!!!\"!QD\"!!FQ/!!M;`!(!F/!!!!!!!!)Q=!1/+!M"
        ";`!*!;D%!/-!!!!%!/$,!;`!!!QR`!/!%!!R`!/#(!;Q`!!=F`!1/)!-!`!!999%!/-,!;`#!!;!!!!!"
        "!!!$!Q/!!!!!R!!-Q`!1/0!M;`!)!;!\"!!FB=!/#*!;R`!/!'!!!!!!M;`!1/%!=F`!%!F!%!/'!!!!"
        "!!!!A=!!!!R!!RQR'!D;B=!D]0`!,!;`#!!;Q`!!M;/!1/<!-!`!1/%!M;`!$!!`%!/'(!F`\"!!F1D!"
        "!!QR!(!F/%!/(,!;`%!/%!!!!%!/$,!;`%!/G$!!`%!/&,!;`!!!QR`!/#5!;Q`!!I;=!1/'!!!!!,!;"
        "`%!/*$!!`!!!!B=!/!.!!\"!!/#$!;R`!/!%!!R`!/\"%!FQ/!!-Q`!1/:!=F`!%!F!!!!!!!!!=F`!#"
        "!!=!!!QR`!/#;!;Q`!!E;D!1/%!!!!!(!F`%!/%,!;`#!!;R/!/!(!!!!!R!QR!1/*!-!`!$!!/%!/.!"
        "!!!!!RQB=!DM;`!0R0`!!!Q2D!/!%!!A=!9!99!(!F/%!/&,!;`%!/%$!!`\"!!FR`!/#,!;Q`!!A;!!"
        "!!!!!!!!!!!!!!R!1/$!M;`!1/I!-!`!1/)!M;`!(!F`%!/5$!!`!!!!Q/!!=F/!!!QR%!/%!!!!!!!Q"
        "R`!/#&!;Q`!!A;!!1/-!!!!!$!Q`%!/%,!;`#!!;!R!!!!!!\"!QD!!!QR`!/#>!;Q`!!A;!!!!!!#!!"
        ";R`!/\">!FQ`!!1F!!1/$!!!R!!!QR%!/$!!!!!!RQ!R!!M;`!````%!/+!!!!%!/&,!;`!!!QQ`!!-!"
        "`!$!!`!!!!B=!/!%!!1D!9!99!6DFD0!/0R/!D]0`!,R;`%!/%,!;`!!!!Q/!!!!!!!!QR!!!Q!R!!9F"
        "=!1/+!M;`!$!Q`%!/-(!F`!!99!9!!!!!!!!!!!!!Q\"R!/#H!;Q`!!E;D!1/&!!!!!1/-!M;`!$!!`%"
        "!/*,!;`#!!;B=!/!-!!\"!!/#$!;R`!/!0!!Q`!!-Q`!1/$!M;`!,!;/!!!!!!!!!!!!\"!QD%!/@,!;"
        "`#!!;!!!!%QD!1/:!M;`!,!;/%!/($!!`&!+.3+!VISV!,!;`0!/`Q`!!M;`!,!;`#!!;A=!!M;`!1/,"
        "!!!!!,!;`#!!;Q`!!9F=!\"!QD!!!Q!R!!!!!!!RQR&!\\^2\\!/!&!!!!!!M;`!,!;`\"!!FQ/!!!!!"
        "!!!QR!!!Q2D!/!%!!\"R!/#%!;Q`!!=F`!1/5!M;`!)!;R%!/%!!!!#!!;R`!/!H!!R`!/!'!!!!!!)!"
        "=!1//!M;`!'!F=!!!Q\"R!/!0!!!!!!=F`!1/$!M;`!,R;`%!/,$!!`!!!!A=!!9F=!1/$!!QR!1/&!!"
        "!!!$!Q/#!!;R`!/\"@!FQ`!!5FD!1/$!M;`!1/=!-!`!@D0`%!/%!!!!%!/&,!;`#!!;\"R!/!)!!Q/!"
        "R!QR!6\\^\\0!/0Q/!!M;`!P=0`#!R;R`!/#%!;Q`!!A;!!1/$!!!!!\"!QD!!!Q!R!9!99!1/%!!!!!"
        "!!QR\"!!FR/!/#-!;Q`!!=F`!1//!M;`!)!;!%!/&!!!!%!/J$!!`!!!!\"!!/!&!!Q`!!!QR!1/,!M;"
        "`!!999%!/1!!!!!!!QR`!/#0!;Q`!!A;R!1/%!!!!!!!QR!!!!!R!!!!!!!!QR!!!QA=!!M;`!5/%!=F"
        "`!%!F!!!!!!!!!!!!!#!!=%!/%,!;`0!``Q`!!!!!!!!!!&!+.3+!VISV!1/$!!!!!L=;`%!/$!!!R%!"
        "/%,!;`%!/%$!!`!!!Q!R!!%QD!1/%!!!!!!!QR%!/7,!;`%!/*$!!`!!!!2D!/!X!!\"!!/#'!;Q`!!9"
        "F=!!!QR%!/,!!!!!!!QR/!/#&!;Q`!!9F=!1/&!M;`!(!F`%!/+$!Q`!!!Q!R!9!99!1/$!M;`!$!Q`%"
        "!/$$!!/\"!!FR`!/3)!;Q`!!A;!!1/$!!!!!!!!R\"!!FA=!!M;`!!!!!!!!!\"!!D]0`!1/0!M;`!,!"
        ";/!!!!!!!!!!!!\"!QD\"!!FQ/!!=F/!1/+!M;`!(!F`$!R0R`!D]0`!,R;`#!!;Q`!!M;`!$!!`%!/0"
        ",!;`#!!;!!!!!!!!!!!!%!/T$!!`%!/%!!!!!!!!R/!/#$!;R`!/!'!!\"!!/!$!Q1D!!=F/!1/%!M;`"
        "!!!!R%!/%,!;`\"!!FR/!/!,!!\"!!/#*!;Q`!!=F`!1/%!-!`!(!F/%!/%,!;`!!!QR`!/3\"!;Q`!!"
        "E;D!1/$!-!`!$!!/!!!Q2D!/!(!!\"!!/#&!;R`!/!%!!Q`!!=F`!1/(!M;`!)!;!%!/(!!!!!!!!A=!"
        "!%QD!'RF=+!VSCV!=]0`!,R;`%!/',!;`!!!!R`!/#/!;Q`!!A;!!1/_!!!!!1/%!M;`!1/$!=F/!!99"
        "9%!/(!!!!%!/$!!QR%!/.!!!!!!!QR`!/#*!;Q`!!A;!!!!!!!!!!!!!!!!R!,!;`&!/'$!Q`!!!Q!!!"
        "!-!`!!!QR%!/$,!;`!!!!!!!!!!!!(!F`#!!;Q`!!M;`!,!;/!!!!!!!!%QD!1/'!M;`!1/,!-!`!#!!"
        "=%!/$!!!!&!+.4+!/]0/!`/0/&!+.1+!!!QR!1/0!M;`!$!Q`%!/),!;`#!!;\"!!/1!!!!!!!%QD!1/"
        ".!M;`!(!F/!!!Q1D!!=F/!1/+!M;`!\"!QD%!/.!!!!!!!Q1D!!M;`!5/,!-!`!$!!/\"!!FA=!!M;`!"
        "(!F/%!/$!!!!\"!!FR`!/#-!;Q`!!M;/!\"!QD!!99!9!!!!!!!RQR%!/.!!!!!!RQ\"R!D5FD!6+.+!"
        "!!!\"!!/#$!;R`!/!/!QQ`!!)Q=!5/'!!!!!'!F=%!/9,!;`%!/,!!!!\"!!FR/!/3/!;T`!/]0`!(!F"
        "`\"!!FQ`!!5FD!1/%!!!!!$!Q`%!/%,!;`#!!;Q/!!%QD!1/$!!!!!,!;`#!!;T`!`]``!,!;`,!=0R`"
        "!/\"$!FQ`!!9F=!(!F/%!/%,!;`!!!QQ`!R-Q`!\\/;`+!=;Q/!9!99!1/&!!!!!\"!QD%!/),!;`!!!"
        "QR`!/\"&!FQ`!!9F=!5/.!!!!!!999%!/$!!QR!!!!\"!!/#1!;Q`!!9F=!!!QR%!/%!!!!!!!Q!R!!="
        "F/!,!;`&!/1$!!`0!HHQH!!M;`!,!;`\"!!FB=!/!&!!\"!!/#'!;T`!`]``!1/&!M;`!)!;!%!/&!!!"
        "R\"!!FR/!D]0`!,!;`0!/0Q`!!9F=!!!QR%!/',!;`#!!;R/!/!%!!Q`!!%QD!1/$!M;`!$!Q`%!/',!"
        ";`#!!;\"R!/11!!Q`!9!99!(!F/&!/O,!;`#!!;!!!!!!!!!!!!!!99#9!=I;=!1/,!M;`!1/%!!!!!6"
        "DFD!!!!T`!H]HH!!RQR!!!!!!!!M;`!,!;`%!/%!!!R!!!Q\"R!/!+!!!!!!=F/!,!;`%!/'$!Q`!!!Q"
        "\"!!/12!!Q`!!=F/!5/R!M;`!,R;`!!!QA=!!!!!!!!!!%!/),!;`%!/$!!!!#!!;Q`!!%QD!1/(!M;`"
        "!(!F/%!/$,!;`\"!!FQ/!!%QD!(!F/%!//,!;`\"!!FB=!/Q(!!\"!!/#$!;R`!/!*!!\"!!/#2!;Q`!"
        "!=F/!1/.!M;`!=/0!!!!!6DFD%!/,!!!!%!/*,!;`\"!!FQ/!!)Q=!1/,!M;`!\"!QD(!/@!!!!\"!!F"
        "Q/!!)Q=!\"!QD&!+.1+!!!QR!!999&!+.1+!!!QR!!!QR'!D;Q/!!%QD!&!FD%!/$!!QR(!/`!!!!%!/"
        "G$!!`!!";
    errChk(GetUserBitmapFromText (dataPtr, 102, &bitmapId));
    if (bitmapId)
        {
        errChk(SetCtrlBitmap (hPanel, ERROR_PAN_PICTURE, 0, bitmapId));
        errChk(DiscardBitmap (bitmapId));
        bitmapId = 0;
        }

    // Build control: ERROR_PAN_TEXTMSG_2
    errChk(ERROR_PAN_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 181, 31));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2"));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_YELLOW));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 14));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_TEXT_BGCOLOR, VAL_RED));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_DFLT_VALUE, " Open ErrorFile for details ?"));
    errChk(DefaultCtrl (hPanel, ERROR_PAN_TEXTMSG_2));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_HEIGHT, 18));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_WIDTH, 199));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ERROR_PAN_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL));

    // Build control: ERROR_PAN_TEXTMSG
    errChk(ERROR_PAN_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 140, 89));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG"));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_TEXT_COLOR, VAL_YELLOW));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_TEXT_POINT_SIZE, 20));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_DFLT_VALUE, "ERROR!"));
    errChk(DefaultCtrl (hPanel, ERROR_PAN_TEXTMSG));
//  errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_HEIGHT, 27));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_WIDTH, 81));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ERROR_PAN_TEXTMSG, "", VAL_DS_READ, NULL, NULL));

    // Set up ZPLANE order if necessary
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_ZPLANE_POSITION, 0));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_ZPLANE_POSITION, 1));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_ZPLANE_POSITION, 2));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_ZPLANE_POSITION, 3));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_ZPLANE_POSITION, 4));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_ZPLANE_POSITION, 5));

    // Set up TAB order if necessary
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_CTRL_TAB_POSITION, 0));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_CTRL_TAB_POSITION, 1));
    errChk(SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_CTRL_TAB_POSITION, 2));

    // Finalize panel colors, positioning, and sizing
    errChk(SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1));
    errChk(GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment));
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        errChk(GetMonitorFromPanel (hPanel, &monitorId));
        errChk(GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight));
        errChk(GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth));
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        errChk(SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(260*SFv)));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        errChk(SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(269*SFh)));
        errChk(SetPanelAttribute (hPanel, ATTR_TOP, (int)(248*SFv)));
        errChk(SetPanelAttribute (hPanel, ATTR_LEFT, (int)(443*SFh)));
        }
    errChk(SetPanelAttribute (hPanel, ATTR_TOP, VAL_AUTO_CENTER));
    errChk(SetPanelAttribute (hPanel, ATTR_LEFT, VAL_AUTO_CENTER));
    errChk(SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0));

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildGraphPanel ():  Build UI object GRAPHP; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildGraphPanel (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    errChk(hPanel = NewPanel (hParentPanel, "Distribution Plot", 142, 705, 334, 380));

    // Set the panel's attributes
    errChk(SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "GRAPHP"));
    errChk(SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0));
//  errChk(SetPanelAttribute (hPanel, ATTR_DIMMED, 0));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY));
//  errChk(SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS));
    errChk(SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY));
//  errChk(SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_BACKCOLOR, VAL_LT_GRAY));
//  errChk(SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC));
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 5));
//  errChk(SetPanelAttribute (hPanel, ATTR_SIZABLE, 1));
//  errChk(SetPanelAttribute (hPanel, ATTR_MOVABLE, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT"));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1));
//  errChk(SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 1));
//  errChk(SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 1));
    errChk(SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0));
//  if (!hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER));
//  errChk(SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1));
//  errChk(SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1));
    errChk(SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 1));
//  errChk(SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0));

    // Build control: GRAPHP_CLOSE
    errChk(GRAPHP_CLOSE = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Close", 308, 168));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_CONSTANT_NAME, "CLOSE"));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_CALLBACK_FUNCTION_POINTER, closeGraph));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, GRAPHP_CLOSE));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_HEIGHT, 23));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_WIDTH, 63));

    // Build control: GRAPHP_GRAPH
    errChk(GRAPHP_GRAPH = NewCtrl (hPanel, CTRL_GRAPH, "", 0, 0));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_CONSTANT_NAME, "GRAPH"));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_BGCOLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_GRID_COLOR, VAL_GRAY));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_PLOT_BGCOLOR, VAL_DK_GRAY));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYNAME_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYNAME_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYLABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYLABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XNAME, ""));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XNAME, ""));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XGRID_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XGRID_VISIBLE, 0));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XMINORGRID_VISIBLE, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XMINORGRID_VISIBLE, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XLABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XLABEL_VISIBLE, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XFORMAT, VAL_FLOATING_PT_FORMAT));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XFORMAT, VAL_FLOATING_PT_FORMAT));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XDIVISIONS, 8));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XDIVISIONS, VAL_AUTO));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XPRECISION, VAL_AUTO));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XPRECISION, VAL_AUTO));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XPADDING, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XPADDING, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XENG_UNITS, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XENG_UNITS, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XUSE_LABEL_STRINGS, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XUSE_LABEL_STRINGS, 0));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XAXIS_GAIN, 1.000000));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XAXIS_GAIN, 1.000000));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XAXIS_OFFSET, 0.000000));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XAXIS_OFFSET, 0.000000));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YNAME, ""));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YNAME, ""));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YGRID_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YGRID_VISIBLE, 0));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YMINORGRID_VISIBLE, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YMINORGRID_VISIBLE, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YLABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YLABEL_VISIBLE, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YMAP_MODE, VAL_LINEAR));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YMAP_MODE, VAL_LINEAR));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YFORMAT, VAL_FLOATING_PT_FORMAT));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YFORMAT, VAL_FLOATING_PT_FORMAT));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YDIVISIONS, VAL_AUTO));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YDIVISIONS, VAL_AUTO));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YPRECISION, VAL_AUTO));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YPRECISION, VAL_AUTO));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YPADDING, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YPADDING, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YENG_UNITS, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YENG_UNITS, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YREVERSE, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YREVERSE, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YUSE_LABEL_STRINGS, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YUSE_LABEL_STRINGS, 0));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YAXIS_GAIN, 1.000000));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YAXIS_GAIN, 1.000000));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YAXIS_OFFSET, 0.000000));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YAXIS_OFFSET, 0.000000));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_EDGE_STYLE, VAL_RAISED_EDGE));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_BORDER_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYNAME_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYNAME_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYNAME_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYNAME_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYNAME_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYLABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYLABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYLABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYLABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYLABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_GRAPH_BGCOLOR, VAL_LT_GRAY));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ANTI_ALIASED_PLOTS, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XMAP_MODE, VAL_LINEAR));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XREVERSE, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XREVERSE, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_DATA_MODE, VAL_RETAIN));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_COPY_ORIGINAL_DATA, 1));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XMARK_ORIGIN, 1));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XMARK_ORIGIN, 1));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YMARK_ORIGIN, 1));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YMARK_ORIGIN, 1));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_SMOOTH_UPDATE, 1));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_REFRESH_GRAPH, 1));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_SHIFT_TEXT_PLOTS, 1));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ENABLE_ZOOM_AND_PAN, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XLOOSE_FIT_AUTOSCALING, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XLOOSE_FIT_AUTOSCALING, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YLOOSE_FIT_AUTOSCALING, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YLOOSE_FIT_AUTOSCALING, 0));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XLOOSE_FIT_AUTOSCALING_UNIT, 2));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XLOOSE_FIT_AUTOSCALING_UNIT, 2));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YLOOSE_FIT_AUTOSCALING_UNIT, 2));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YLOOSE_FIT_AUTOSCALING_UNIT, 2));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LEGEND_VISIBLE, 0));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LEGEND_WIDTH, 76));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LEGEND_HEIGHT, 36));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LEGEND_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LEGEND_PLOT_BGCOLOR, VAL_DK_GRAY));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_DS_BIND_PLOT_STYLE, VAL_THIN_LINE));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_DS_BIND_POINT_STYLE, VAL_EMPTY_SQUARE));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_DS_BIND_LINE_STYLE, VAL_SOLID));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_DS_BIND_PLOT_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_HEIGHT, 304));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_WIDTH, 380));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_TOP, -21));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_LEFT, 77));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LEGEND_TOP, 268));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LEGEND_LEFT, 385));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_SIZE_TO_TEXT, 1));
//  errChk(DSBindCtrl (hPanel, GRAPHP_GRAPH, "", VAL_DS_READ, NULL, NULL));
    errChk(SetAxisScalingMode (hPanel, GRAPHP_GRAPH, VAL_BOTTOM_XAXIS, VAL_MANUAL, 0.000000, 16.000000));
    errChk(SetAxisScalingMode (hPanel, GRAPHP_GRAPH, VAL_TOP_XAXIS, VAL_MANUAL, 0.000000, 100.000000));
    errChk(SetAxisScalingMode (hPanel, GRAPHP_GRAPH, VAL_TOP_XAXIS, VAL_AUTOSCALE, 0.000000, 100.000000));
    errChk(SetAxisScalingMode (hPanel, GRAPHP_GRAPH, VAL_RIGHT_YAXIS, VAL_MANUAL, 0.000000, 100.000000));
    errChk(SetAxisScalingMode (hPanel, GRAPHP_GRAPH, VAL_RIGHT_YAXIS, VAL_AUTOSCALE, 0.000000, 100.000000));
    errChk(SetAxisScalingMode (hPanel, GRAPHP_GRAPH, VAL_LEFT_YAXIS, VAL_MANUAL, 0.000000, 1.000000));
    errChk(SetAxisScalingMode (hPanel, GRAPHP_GRAPH, VAL_LEFT_YAXIS, VAL_AUTOSCALE, 0.000000, 1.000000));
//  errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_NUM_CURSORS, 0));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS));

    // Set up ZPLANE order if necessary
    errChk(SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_ZPLANE_POSITION, 0));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ZPLANE_POSITION, 1));

    // Set up TAB order if necessary
    errChk(SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_CTRL_TAB_POSITION, 0));
    errChk(SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_CTRL_TAB_POSITION, 1));

    // Finalize panel colors, positioning, and sizing
    errChk(SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1));
    errChk(GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment));
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        errChk(GetMonitorFromPanel (hPanel, &monitorId));
        errChk(GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight));
        errChk(GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth));
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        errChk(SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(334*SFv)));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        errChk(SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(380*SFh)));
        errChk(SetPanelAttribute (hPanel, ATTR_TOP, (int)(142*SFv)));
        errChk(SetPanelAttribute (hPanel, ATTR_LEFT, (int)(705*SFh)));
        }
    errChk(SetPanelAttribute (hPanel, ATTR_TOP, VAL_AUTO_CENTER));
    errChk(SetPanelAttribute (hPanel, ATTR_LEFT, VAL_AUTO_CENTER));
//  errChk(SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1));

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildMainPanel ():  Build UI object MAIN; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildMainPanel (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    errChk(hPanel = NewPanel (hParentPanel, "RCC MAIN WINDOW", 77, 593, 650, 390));

    // Set the panel's attributes
    errChk(SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "MAIN"));
    errChk(SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0));
//  errChk(SetPanelAttribute (hPanel, ATTR_DIMMED, 0));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY));
//  errChk(SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS));
    errChk(SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY));
//  errChk(SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD8CABA));
//  errChk(SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC));
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 8));
    errChk(SetPanelAttribute (hPanel, ATTR_SIZABLE, 0));
//  errChk(SetPanelAttribute (hPanel, ATTR_MOVABLE, 1));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_FONT"));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1));
//  errChk(SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 1));
    errChk(SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0));
//  if (!hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER));
//  errChk(SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1));
//  errChk(SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1));
    errChk(SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 1));
//  errChk(SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0));

    // Build control: MAIN_ACTIVE_SLOT
    errChk(MAIN_ACTIVE_SLOT = NewCtrl (hPanel, CTRL_NUMERIC, "ActiveSlot#", 86, 183));
    errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_CONSTANT_NAME, "ACTIVE_SLOT"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_WIDTH, 58));
    errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_MAX_VALUE, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_INCR_VALUE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_FORMAT, VAL_DECIMAL_FORMAT));
    errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_CHECK_RANGE, VAL_NOTIFY));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_PADDING, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_SHOW_RADIX, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_ACTIVE_SLOT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_SHOW_INCDEC_ARROWS, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_WIDTH, 26));
    errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_TOP, 88));
    errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_LEFT, 111));
    errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_ACTIVE_SLOT, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_ROD_COUNTER
    errChk(MAIN_ROD_COUNTER = NewCtrl (hPanel, CTRL_NUMERIC, "Rod Count", 67, 183));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_CONSTANT_NAME, "ROD_COUNTER"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_WIDTH, 54));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_MAX_VALUE, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_INCR_VALUE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_FORMAT, VAL_DECIMAL_FORMAT));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_CHECK_RANGE, VAL_NOTIFY));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_PADDING, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_SHOW_RADIX, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_ROD_COUNTER));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_SHOW_INCDEC_ARROWS, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_WIDTH, 26));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_TOP, 69));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_LEFT, 116));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_ROD_COUNTER, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_SHOW_ERROR_WINDOW
    errChk(MAIN_SHOW_ERROR_WINDOW = NewCtrl (hPanel, CTRL_CHECK_BOX, "ShowErrorWindow", 37, 13));
    errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_CONSTANT_NAME, "SHOW_ERROR_WINDOW"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_WIDTH, 91));
    errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_DFLT_VALUE, 1));
    errChk(DefaultCtrl (hPanel, MAIN_SHOW_ERROR_WINDOW));
    errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_ON_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_OFF_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_WIDTH, 18));
    errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_TOP, 38));
    errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_LEFT, 31));
    errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: MAIN_COMM_LOOP_PRIOR
    errChk(MAIN_COMM_LOOP_PRIOR = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "CommLoop", 255, 114));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_CONSTANT_NAME, "COMM_LOOP_PRIOR"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_CALLBACK_FUNCTION_POINTER, setThreadPriorityOpt));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_DATA_TYPE, VAL_INTEGER));
    errChk(InsertListItem (hPanel, MAIN_COMM_LOOP_PRIOR, 0, "LOWEST", 0));
    errChk(InsertListItem (hPanel, MAIN_COMM_LOOP_PRIOR, 1, "BELOW_NORMAL", 1));
    errChk(InsertListItem (hPanel, MAIN_COMM_LOOP_PRIOR, 2, "NORMAL", 2));
    errChk(InsertListItem (hPanel, MAIN_COMM_LOOP_PRIOR, 3, "ABOVE_NORMAL", 3));
    errChk(InsertListItem (hPanel, MAIN_COMM_LOOP_PRIOR, 4, "HIGHEST", 4));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_FRAME_COLOR, 0XCC9966));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_WIDTH, 56));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_DFLT_INDEX, 1));
    errChk(DefaultCtrl (hPanel, MAIN_COMM_LOOP_PRIOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_MENU_ARROW_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_WIDTH, 97));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_TOP, 241));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_LEFT, 132));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Build control: MAIN_VME_BYTE_ORDER
    errChk(MAIN_VME_BYTE_ORDER = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "VME byte order", 134, 12));
    errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_CONSTANT_NAME, "VME_BYTE_ORDER"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_CALLBACK_FUNCTION_POINTER, globalOptions));
    errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_DATA_TYPE, VAL_INTEGER));
    errChk(InsertListItem (hPanel, MAIN_VME_BYTE_ORDER, 0, "MOTOROLA", 0));
    errChk(InsertListItem (hPanel, MAIN_VME_BYTE_ORDER, 1, "INTEL", 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_FRAME_COLOR, 0XCC9966));
//  errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_WIDTH, 68));
    errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE));
    errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_DFLT_INDEX, 1));
    errChk(DefaultCtrl (hPanel, MAIN_VME_BYTE_ORDER));
//  errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_MENU_ARROW_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_WIDTH, 79));
    errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_TOP, 122));
    errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_LEFT, 14));
    errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Build control: MAIN_UIR_PRIORITY
    errChk(MAIN_UIR_PRIORITY = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "UIR", 255, 12));
    errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_CONSTANT_NAME, "UIR_PRIORITY"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_CALLBACK_FUNCTION_POINTER, setThreadPriorityOpt));
    errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_DATA_TYPE, VAL_INTEGER));
    errChk(InsertListItem (hPanel, MAIN_UIR_PRIORITY, 0, "LOWEST", 0));
    errChk(InsertListItem (hPanel, MAIN_UIR_PRIORITY, 1, "BELOW_NORMAL", 1));
    errChk(InsertListItem (hPanel, MAIN_UIR_PRIORITY, 2, "NORMAL", 2));
    errChk(InsertListItem (hPanel, MAIN_UIR_PRIORITY, 3, "ABOVE_NORMAL", 3));
    errChk(InsertListItem (hPanel, MAIN_UIR_PRIORITY, 4, "HIGHEST", 4));
//  errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_FRAME_COLOR, 0XCC9966));
//  errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_WIDTH, 22));
    errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE));
    errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_DFLT_INDEX, 3));
    errChk(DefaultCtrl (hPanel, MAIN_UIR_PRIORITY));
//  errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_MENU_ARROW_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_WIDTH, 97));
    errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_TOP, 241));
    errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_LEFT, 46));
    errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Build control: MAIN_TEXTBUFF_TIMEOUT
    errChk(MAIN_TEXTBUFF_TIMEOUT = NewCtrl (hPanel, CTRL_NUMERIC, "textBuff", 318, 96));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_CONSTANT_NAME, "TEXTBUFF_TIMEOUT"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_CALLBACK_FUNCTION_POINTER, setTimeout));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_DATA_TYPE, VAL_DOUBLE));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_FRAME_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_WIDTH, 39));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_MAX_VALUE, HUGE_VAL));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_MIN_VALUE, 0.000000));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_INCR_VALUE, 1.000000));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_PRECISION, 3));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_CHECK_RANGE, VAL_COERCE));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_PADDING, 7));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_SHOW_RADIX, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_DFLT_VALUE, 5.000000));
    errChk(DefaultCtrl (hPanel, MAIN_TEXTBUFF_TIMEOUT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_SHOW_INCDEC_ARROWS, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_WIDTH, 56));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_TOP, 304));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_LEFT, 107));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_TEXTBUFF_TIMEOUT, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_CONTROL_PRIOR
    errChk(MAIN_CONTROL_PRIOR = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "CmdListExecution", 255, 217));
    errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_CONSTANT_NAME, "CONTROL_PRIOR"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_CALLBACK_FUNCTION_POINTER, setThreadPriorityOpt));
    errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_DATA_TYPE, VAL_INTEGER));
    errChk(InsertListItem (hPanel, MAIN_CONTROL_PRIOR, 0, "LOWEST", 0));
    errChk(InsertListItem (hPanel, MAIN_CONTROL_PRIOR, 1, "BELOW_NORMAL", 1));
    errChk(InsertListItem (hPanel, MAIN_CONTROL_PRIOR, 2, "NORMAL", 2));
    errChk(InsertListItem (hPanel, MAIN_CONTROL_PRIOR, 3, "ABOVE_NORMAL", 3));
    errChk(InsertListItem (hPanel, MAIN_CONTROL_PRIOR, 4, "HIGHEST", 4));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_FRAME_COLOR, 0XCC9966));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_WIDTH, 87));
    errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE));
    errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_DFLT_INDEX, 2));
    errChk(DefaultCtrl (hPanel, MAIN_CONTROL_PRIOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_MENU_ARROW_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_WIDTH, 97));
    errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_TOP, 241));
    errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_LEFT, 222));
    errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Build control: MAIN_CMDLISTEXEC_21
    errChk(MAIN_CMDLISTEXEC_21 = NewCtrl (hPanel, CTRL_SQUARE_LED, "21", 373, 343));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_CONSTANT_NAME, "CMDLISTEXEC_21"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_WIDTH, 62));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_ON_COLOR, 0XFFFF33));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_HEIGHT, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_TOP, 376));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_LEFT, 322));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: MAIN_CMDLISTEXEC_20
    errChk(MAIN_CMDLISTEXEC_20 = NewCtrl (hPanel, CTRL_SQUARE_LED, "20", 373, 322));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_CONSTANT_NAME, "CMDLISTEXEC_20"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_WIDTH, 62));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_20));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_ON_COLOR, 0XFFFF33));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_HEIGHT, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_TOP, 376));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_LEFT, 300));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: MAIN_CMDLISTEXEC_19
    errChk(MAIN_CMDLISTEXEC_19 = NewCtrl (hPanel, CTRL_SQUARE_LED, "19", 373, 301));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_CONSTANT_NAME, "CMDLISTEXEC_19"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_WIDTH, 62));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_19));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_ON_COLOR, 0XFFFF33));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_HEIGHT, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_TOP, 376));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_LEFT, 279));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: MAIN_CMDLISTEXEC_18
    errChk(MAIN_CMDLISTEXEC_18 = NewCtrl (hPanel, CTRL_SQUARE_LED, "18", 373, 280));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_CONSTANT_NAME, "CMDLISTEXEC_18"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_WIDTH, 62));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_18));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_ON_COLOR, 0XFFFF33));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_HEIGHT, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_TOP, 376));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_LEFT, 258));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: MAIN_CMDLISTEXEC_17
    errChk(MAIN_CMDLISTEXEC_17 = NewCtrl (hPanel, CTRL_SQUARE_LED, "17", 373, 258));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_CONSTANT_NAME, "CMDLISTEXEC_17"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_WIDTH, 62));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_17));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_ON_COLOR, 0XFFFF33));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_HEIGHT, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_TOP, 376));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_LEFT, 236));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: MAIN_CMDLISTEXEC_16
    errChk(MAIN_CMDLISTEXEC_16 = NewCtrl (hPanel, CTRL_SQUARE_LED, "16", 373, 237));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_CONSTANT_NAME, "CMDLISTEXEC_16"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_WIDTH, 62));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_16));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_ON_COLOR, 0XFFFF33));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_HEIGHT, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_TOP, 376));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_LEFT, 215));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: MAIN_CMDLISTEXEC_15
    errChk(MAIN_CMDLISTEXEC_15 = NewCtrl (hPanel, CTRL_SQUARE_LED, "15", 373, 216));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_CONSTANT_NAME, "CMDLISTEXEC_15"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_WIDTH, 62));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_15));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_ON_COLOR, 0XFFFF33));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_HEIGHT, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_TOP, 376));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_LEFT, 194));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: MAIN_CMDLISTEXEC_14
    errChk(MAIN_CMDLISTEXEC_14 = NewCtrl (hPanel, CTRL_SQUARE_LED, "14", 373, 195));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_CONSTANT_NAME, "CMDLISTEXEC_14"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_WIDTH, 62));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_14));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_ON_COLOR, 0XFFFF33));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_HEIGHT, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_TOP, 376));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_LEFT, 173));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: MAIN_CMDLISTEXEC_13
    errChk(MAIN_CMDLISTEXEC_13 = NewCtrl (hPanel, CTRL_SQUARE_LED, "13", 373, 174));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_CONSTANT_NAME, "CMDLISTEXEC_13"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_WIDTH, 62));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_13));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_ON_COLOR, 0XFFFF33));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_HEIGHT, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_TOP, 376));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_LEFT, 152));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: MAIN_CMDLISTEXEC_12
    errChk(MAIN_CMDLISTEXEC_12 = NewCtrl (hPanel, CTRL_SQUARE_LED, "12", 373, 153));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_CONSTANT_NAME, "CMDLISTEXEC_12"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_WIDTH, 62));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_12));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_ON_COLOR, 0XFFFF33));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_HEIGHT, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_TOP, 376));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_LEFT, 131));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: MAIN_CMDLISTEXEC_11
    errChk(MAIN_CMDLISTEXEC_11 = NewCtrl (hPanel, CTRL_SQUARE_LED, "11", 373, 132));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_CONSTANT_NAME, "CMDLISTEXEC_11"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_WIDTH, 62));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_11));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_ON_COLOR, 0XFFFF33));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_HEIGHT, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_TOP, 376));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_LEFT, 111));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: MAIN_CMDLISTEXEC_10
    errChk(MAIN_CMDLISTEXEC_10 = NewCtrl (hPanel, CTRL_SQUARE_LED, "10", 373, 111));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_CONSTANT_NAME, "CMDLISTEXEC_10"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_WIDTH, 62));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_10));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_ON_COLOR, 0XFFFF33));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_HEIGHT, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_TOP, 376));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_LEFT, 90));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: MAIN_CMDLISTEXEC_5
    errChk(MAIN_CMDLISTEXEC_5 = NewCtrl (hPanel, CTRL_SQUARE_LED, "5", 373, 6));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_CONSTANT_NAME, "CMDLISTEXEC_5"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_WIDTH, 31));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_5));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_ON_COLOR, 0XFFFF33));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_HEIGHT, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_TOP, 376));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_LEFT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: MAIN_CMDLISTEXEC_6
    errChk(MAIN_CMDLISTEXEC_6 = NewCtrl (hPanel, CTRL_SQUARE_LED, "6", 373, 27));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_CONSTANT_NAME, "CMDLISTEXEC_6"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_WIDTH, 31));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_6));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_ON_COLOR, 0XFFFF33));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_HEIGHT, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_TOP, 376));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_LEFT, 22));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: MAIN_CMDLISTEXEC_7
    errChk(MAIN_CMDLISTEXEC_7 = NewCtrl (hPanel, CTRL_SQUARE_LED, "7", 373, 48));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_CONSTANT_NAME, "CMDLISTEXEC_7"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_WIDTH, 62));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_7));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_ON_COLOR, 0XFFFF33));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_HEIGHT, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_TOP, 376));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_LEFT, 27));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: MAIN_CMDLISTEXEC_8
    errChk(MAIN_CMDLISTEXEC_8 = NewCtrl (hPanel, CTRL_SQUARE_LED, "8", 373, 69));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_CONSTANT_NAME, "CMDLISTEXEC_8"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_WIDTH, 62));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_8));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_ON_COLOR, 0XFFFF33));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_HEIGHT, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_TOP, 376));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_LEFT, 48));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: MAIN_CMDLISTEXEC_9
    errChk(MAIN_CMDLISTEXEC_9 = NewCtrl (hPanel, CTRL_SQUARE_LED, "9", 373, 90));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_CONSTANT_NAME, "CMDLISTEXEC_9"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_WIDTH, 62));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_9));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_ON_COLOR, 0XFFFF33));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_HEIGHT, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_WIDTH, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_TOP, 376));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_LEFT, 69));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: MAIN_EDIT_PLIST
    errChk(MAIN_EDIT_PLIST = NewCtrl (hPanel, CTRL_OBLONG_COMMAND_BUTTON, "EDIT", 614, 171));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_CONSTANT_NAME, "EDIT_PLIST"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_CALLBACK_FUNCTION_POINTER, sendListToAll));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_CTRL_MODE, VAL_HOT));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_LABEL_COLOR, 0X000066));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_LABEL_POINT_SIZE, 9));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_EDIT_PLIST));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_HEIGHT, 23));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_WIDTH, 37));

    // Build control: MAIN_EDIT_CLIST
    errChk(MAIN_EDIT_CLIST = NewCtrl (hPanel, CTRL_OBLONG_COMMAND_BUTTON, "EDIT", 505, 171));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_CONSTANT_NAME, "EDIT_CLIST"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_CALLBACK_FUNCTION_POINTER, sendListToAll));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_CTRL_MODE, VAL_HOT));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_LABEL_COLOR, 0X000066));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_LABEL_POINT_SIZE, 9));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_EDIT_CLIST));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_HEIGHT, 23));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_WIDTH, 37));

    // Build control: MAIN_DEL_CLIST_FROM_RING
    errChk(MAIN_DEL_CLIST_FROM_RING = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "REMOVE", 505, 111));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_CONSTANT_NAME, "DEL_CLIST_FROM_RING"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_CALLBACK_FUNCTION_POINTER, commandRingFunc));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_DEL_CLIST_FROM_RING));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_AUTO_SIZING, VAL_ALWAYS_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_WIDTH, 50));

    // Build control: MAIN_ADD_CLIST_TO_RING
    errChk(MAIN_ADD_CLIST_TO_RING = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "ADD", 505, 55));
    errChk(SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_CONSTANT_NAME, "ADD_CLIST_TO_RING"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_CALLBACK_FUNCTION_POINTER, commandRingFunc));
    errChk(SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_ADD_CLIST_TO_RING));
    errChk(SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_WIDTH, 50));

    // Build control: MAIN_DEL_PLIST_FROM_RING
    errChk(MAIN_DEL_PLIST_FROM_RING = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "REMOVE", 614, 111));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_CONSTANT_NAME, "DEL_PLIST_FROM_RING"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_CALLBACK_FUNCTION_POINTER, primRingFunc));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_DEL_PLIST_FROM_RING));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_AUTO_SIZING, VAL_ALWAYS_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_WIDTH, 50));

    // Build control: MAIN_EXT_LIST_TYPE
    errChk(MAIN_EXT_LIST_TYPE = NewCtrl (hPanel, CTRL_RING, "", 401, 307));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_CONSTANT_NAME, "EXT_LIST_TYPE"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_DATA_TYPE, VAL_INTEGER));
    errChk(InsertListItem (hPanel, MAIN_EXT_LIST_TYPE, 0, "CMD", 1));
    errChk(InsertListItem (hPanel, MAIN_EXT_LIST_TYPE, 1, "PRIM", 2));
    errChk(InsertListItem (hPanel, MAIN_EXT_LIST_TYPE, 2, "RAW", 3));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_FRAME_COLOR, VAL_LT_GRAY));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_WIDTH, 10));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_DFLT_INDEX, 0));
    errChk(DefaultCtrl (hPanel, MAIN_EXT_LIST_TYPE));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_WIDTH, 43));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_TOP, 387));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_LEFT, 312));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Build control: MAIN_IF_ERROR
    errChk(MAIN_IF_ERROR = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "If Error", 456, 277));
    errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_CONSTANT_NAME, "IF_ERROR"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_DATA_TYPE, VAL_INTEGER));
    errChk(InsertListItem (hPanel, MAIN_IF_ERROR, 0, "DEFAULT", 0));
    errChk(InsertListItem (hPanel, MAIN_IF_ERROR, 1, "STOP", 1));
    errChk(InsertListItem (hPanel, MAIN_IF_ERROR, 2, "CONTINUE", 2));
//  errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_FRAME_COLOR, 0XCC9966));
//  errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_WIDTH, 42));
    errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_TEXT_BGCOLOR, VAL_WHITE));
//  errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_DFLT_INDEX, 0));
    errChk(DefaultCtrl (hPanel, MAIN_IF_ERROR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_MENU_ARROW_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_WIDTH, 75));
    errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_TOP, 442));
    errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_LEFT, 291));
    errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Build control: MAIN_ADD_PLIST_TO_RING
    errChk(MAIN_ADD_PLIST_TO_RING = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "ADD", 614, 55));
    errChk(SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_CONSTANT_NAME, "ADD_PLIST_TO_RING"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_CALLBACK_FUNCTION_POINTER, primRingFunc));
    errChk(SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_ADD_PLIST_TO_RING));
    errChk(SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_WIDTH, 50));

    // Build control: MAIN_DSP_MONITOR_PERIOD
    errChk(MAIN_DSP_MONITOR_PERIOD = NewCtrl (hPanel, CTRL_NUMERIC, "Period", 190, 302));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_CONSTANT_NAME, "DSP_MONITOR_PERIOD"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_CALLBACK_FUNCTION_POINTER, setTimeout));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_DATA_TYPE, VAL_DOUBLE));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_FRAME_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_WIDTH, 29));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_MAX_VALUE, 10.000000));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_MIN_VALUE, 0.000000));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_INCR_VALUE, 1.000000));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_PRECISION, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_CHECK_RANGE, VAL_COERCE));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_PADDING, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_SHOW_RADIX, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_DFLT_VALUE, 1.000000));
    errChk(DefaultCtrl (hPanel, MAIN_DSP_MONITOR_PERIOD));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_SHOW_INCDEC_ARROWS, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_WIDTH, 33));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_TOP, 178));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_LEFT, 307));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_DSP_MONITOR_PERIOD, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_FPGA_MONITOR_PERIOD
    errChk(MAIN_FPGA_MONITOR_PERIOD = NewCtrl (hPanel, CTRL_NUMERIC, "Period", 190, 195));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_CONSTANT_NAME, "FPGA_MONITOR_PERIOD"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_CALLBACK_FUNCTION_POINTER, setTimeout));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_DATA_TYPE, VAL_DOUBLE));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_FRAME_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_WIDTH, 29));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_MAX_VALUE, 10.000000));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_MIN_VALUE, 0.000000));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_INCR_VALUE, 1.000000));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_PRECISION, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_CHECK_RANGE, VAL_COERCE));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_PADDING, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_SHOW_RADIX, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_DFLT_VALUE, 1.000000));
    errChk(DefaultCtrl (hPanel, MAIN_FPGA_MONITOR_PERIOD));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_SHOW_INCDEC_ARROWS, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_WIDTH, 33));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_TOP, 178));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_LEFT, 200));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_FPGA_MONITOR_PERIOD, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_REFRESH_PERIOD
    errChk(MAIN_REFRESH_PERIOD = NewCtrl (hPanel, CTRL_NUMERIC, "Period", 190, 87));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_CONSTANT_NAME, "REFRESH_PERIOD"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_CALLBACK_FUNCTION_POINTER, setTimeout));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_DATA_TYPE, VAL_DOUBLE));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_FRAME_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_WIDTH, 29));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_MAX_VALUE, 10.000000));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_MIN_VALUE, 0.000000));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_INCR_VALUE, 1.000000));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_PRECISION, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_CHECK_RANGE, VAL_COERCE));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_PADDING, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_SHOW_RADIX, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_DFLT_VALUE, 1.000000));
    errChk(DefaultCtrl (hPanel, MAIN_REFRESH_PERIOD));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_SHOW_INCDEC_ARROWS, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_WIDTH, 33));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_TOP, 178));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_LEFT, 91));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_REFRESH_PERIOD, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_ROD_INIT_TIMEOUT
    errChk(MAIN_ROD_INIT_TIMEOUT = NewCtrl (hPanel, CTRL_NUMERIC, "rodInit", 318, 18));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_CONSTANT_NAME, "ROD_INIT_TIMEOUT"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_CALLBACK_FUNCTION_POINTER, setTimeout));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_DATA_TYPE, VAL_DOUBLE));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_FRAME_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_WIDTH, 32));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_MAX_VALUE, HUGE_VAL));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_MIN_VALUE, 0.000000));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_INCR_VALUE, 1.000000));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_PRECISION, 3));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_CHECK_RANGE, VAL_COERCE));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_PADDING, 7));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_SHOW_RADIX, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_DFLT_VALUE, 5.000000));
    errChk(DefaultCtrl (hPanel, MAIN_ROD_INIT_TIMEOUT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_SHOW_INCDEC_ARROWS, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_WIDTH, 56));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_TOP, 304));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_LEFT, 32));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_ROD_INIT_TIMEOUT, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_DSP_ACK_CLEAR_TIMEOUT
    errChk(MAIN_DSP_ACK_CLEAR_TIMEOUT = NewCtrl (hPanel, CTRL_NUMERIC, "dspAckClear", 318, 172));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_CONSTANT_NAME, "DSP_ACK_CLEAR_TIMEOUT"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_CALLBACK_FUNCTION_POINTER, setTimeout));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_DATA_TYPE, VAL_DOUBLE));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_FRAME_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_WIDTH, 63));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_MAX_VALUE, HUGE_VAL));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_MIN_VALUE, 0.000000));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_INCR_VALUE, 1.000000));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_PRECISION, 3));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_CHECK_RANGE, VAL_COERCE));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_PADDING, 7));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_SHOW_RADIX, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_DFLT_VALUE, 5.000000));
    errChk(DefaultCtrl (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_SHOW_INCDEC_ARROWS, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_WIDTH, 56));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_TOP, 304));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_LEFT, 171));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_DEFAULT_SLOT
    errChk(MAIN_DEFAULT_SLOT = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "DefaultSlot#", 111, 174));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_CONSTANT_NAME, "DEFAULT_SLOT"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_CALLBACK_FUNCTION_POINTER, globalOptions));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_DATA_TYPE, VAL_INTEGER));
    errChk(InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 0, "5", 5));
    errChk(InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 1, "6", 6));
    errChk(InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 2, "7", 7));
    errChk(InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 3, "8", 8));
    errChk(InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 4, "9", 9));
    errChk(InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 5, "10", 10));
    errChk(InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 6, "11", 11));
    errChk(InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 7, "12", 12));
    errChk(InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 8, "14", 14));
    errChk(InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 9, "15", 15));
    errChk(InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 10, "16", 16));
    errChk(InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 11, "17", 17));
    errChk(InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 12, "18", 18));
    errChk(InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 13, "19", 19));
    errChk(InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 14, "20", 20));
    errChk(InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 15, "21", 21));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_FRAME_COLOR, 0XCC9966));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_WIDTH, 62));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_TEXT_COLOR, 0XFFFF99));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_TEXT_POINT_SIZE, 16));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_TEXT_BGCOLOR, 0X003366));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_DFLT_INDEX, 0));
    errChk(DefaultCtrl (hPanel, MAIN_DEFAULT_SLOT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_MENU_ARROW_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_WIDTH, 43));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_TOP, 118));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_LEFT, 104));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Build control: MAIN_SLOT_NUMBER
    errChk(MAIN_SLOT_NUMBER = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Slot#", 397, 163));
    errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_CONSTANT_NAME, "SLOT_NUMBER"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR));
    errChk(InsertListItem (hPanel, MAIN_SLOT_NUMBER, 0, "ALL", 0));
    errChk(InsertListItem (hPanel, MAIN_SLOT_NUMBER, 1, "5", 5));
    errChk(InsertListItem (hPanel, MAIN_SLOT_NUMBER, 2, "6", 6));
    errChk(InsertListItem (hPanel, MAIN_SLOT_NUMBER, 3, "7", 7));
    errChk(InsertListItem (hPanel, MAIN_SLOT_NUMBER, 4, "8", 8));
    errChk(InsertListItem (hPanel, MAIN_SLOT_NUMBER, 5, "9", 9));
    errChk(InsertListItem (hPanel, MAIN_SLOT_NUMBER, 6, "10", 10));
    errChk(InsertListItem (hPanel, MAIN_SLOT_NUMBER, 7, "11", 11));
    errChk(InsertListItem (hPanel, MAIN_SLOT_NUMBER, 8, "12", 12));
    errChk(InsertListItem (hPanel, MAIN_SLOT_NUMBER, 9, "14", 14));
    errChk(InsertListItem (hPanel, MAIN_SLOT_NUMBER, 10, "15", 15));
    errChk(InsertListItem (hPanel, MAIN_SLOT_NUMBER, 11, "16", 16));
    errChk(InsertListItem (hPanel, MAIN_SLOT_NUMBER, 12, "17", 17));
    errChk(InsertListItem (hPanel, MAIN_SLOT_NUMBER, 13, "18", 18));
    errChk(InsertListItem (hPanel, MAIN_SLOT_NUMBER, 14, "19", 19));
    errChk(InsertListItem (hPanel, MAIN_SLOT_NUMBER, 15, "20", 20));
    errChk(InsertListItem (hPanel, MAIN_SLOT_NUMBER, 16, "21", 21));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_FRAME_COLOR, 0XCC9966));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_CTRL_MODE, VAL_NORMAL));
    errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_COLOR, 0X000099));
    errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_POINT_SIZE, 15));
    errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_WIDTH, 38));
    errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_TEXT_COLOR, 0XFFFF99));
    errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_TEXT_POINT_SIZE, 16));
    errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_TEXT_BGCOLOR, 0X003366));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_DFLT_INDEX, 0));
    errChk(DefaultCtrl (hPanel, MAIN_SLOT_NUMBER));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_MENU_ARROW_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_WIDTH, 57));
    errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_TOP, 402));
    errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_LEFT, 126));
    errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Build control: MAIN_DSP_ACK_SET_TIMEOUT
    errChk(MAIN_DSP_ACK_SET_TIMEOUT = NewCtrl (hPanel, CTRL_NUMERIC, "", 318, 253));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_CONSTANT_NAME, "DSP_ACK_SET_TIMEOUT"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_CALLBACK_FUNCTION_POINTER, setTimeout));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_DATA_TYPE, VAL_DOUBLE));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_FRAME_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_MAX_VALUE, HUGE_VAL));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_MIN_VALUE, 0.000000));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_INCR_VALUE, 1.000000));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_PRECISION, 3));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_CHECK_RANGE, VAL_COERCE));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_PADDING, 7));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_SHOW_RADIX, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_DFLT_VALUE, 10.000000));
    errChk(DefaultCtrl (hPanel, MAIN_DSP_ACK_SET_TIMEOUT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_SHOW_INCDEC_ARROWS, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_WIDTH, 56));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_TOP, 304));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_LEFT, 279));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_PLIST_RING
    errChk(MAIN_PLIST_RING = NewCtrl (hPanel, CTRL_POPUP_MENU_RING, "", 588, 16));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_CONSTANT_NAME, "PLIST_RING"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_CALLBACK_FUNCTION_POINTER, primRingFunc));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_DATA_TYPE, VAL_STRING));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_FRAME_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_DISABLE_CHECK_MARK, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_BGCOLOR, 0XC9D3D0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_TEXT_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_MENU_ARROW_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_WIDTH, 35));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_TOP, 567));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_LEFT, -12));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: MAIN_CLIST_RING
    errChk(MAIN_CLIST_RING = NewCtrl (hPanel, CTRL_POPUP_MENU_RING, "", 479, 16));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_CONSTANT_NAME, "CLIST_RING"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_CALLBACK_FUNCTION_POINTER, commandRingFunc));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_DATA_TYPE, VAL_STRING));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_FRAME_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_DISABLE_CHECK_MARK, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_BGCOLOR, 0XC9D3D0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_TEXT_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_MENU_ARROW_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_WIDTH, 35));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_TOP, 458));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_LEFT, -12));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: MAIN_DSP_SET_TIMEOUT
    errChk(MAIN_DSP_SET_TIMEOUT = NewCtrl (hPanel, CTRL_VSWITCH, "", 310, 319));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_CONSTANT_NAME, "DSP_SET_TIMEOUT"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_CALLBACK_FUNCTION_POINTER, globalOptions));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_DATA_TYPE, VAL_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_TEXT_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_DFLT_INDEX, 0));
    errChk(DefaultCtrl (hPanel, MAIN_DSP_SET_TIMEOUT));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_ON_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_OFF_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_BINARY_SWITCH_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_ON_TEXT, "On"));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_OFF_TEXT, "Off"));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_HEIGHT, 28));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_WIDTH, 14));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_TOP, 296));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_LEFT, 332));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: MAIN_REPEAT_BUILD_EXEC
    errChk(MAIN_REPEAT_BUILD_EXEC = NewCtrl (hPanel, CTRL_VSWITCH, "", 562, 130));
    errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_CONSTANT_NAME, "REPEAT_BUILD_EXEC"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_DATA_TYPE, VAL_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_TEXT_POINT_SIZE, 10));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_DFLT_INDEX, 1));
    errChk(DefaultCtrl (hPanel, MAIN_REPEAT_BUILD_EXEC));
    errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_ON_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_OFF_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_BINARY_SWITCH_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_ON_TEXT, "EXEC"));
    errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_OFF_TEXT, "BUILD"));
    errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_HEIGHT, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_WIDTH, 12));
    errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_TOP, 573));
    errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_LEFT, 99));
    errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: MAIN_COMM_LOOP_RUNNING
    errChk(MAIN_COMM_LOOP_RUNNING = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "CommLoop", 78, 285));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_CONSTANT_NAME, "COMM_LOOP_RUNNING"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_CALLBACK_FUNCTION_POINTER, globalOptions));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_WIDTH, 64));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_TEXT_POINT_SIZE, 10));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_COMM_LOOP_RUNNING));
//  errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_ON_COLOR, 0X32E768));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_OFF_COLOR, 0XF4342F));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_ON_TEXT, "RUNNING"));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_OFF_TEXT, "SUSPENDED"));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_HEIGHT, 23));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_WIDTH, 74));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_TOP, 62));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_LEFT, 288));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: MAIN_CLIST_FILE
    errChk(MAIN_CLIST_FILE = NewCtrl (hPanel, CTRL_STRING, "", 481, 53));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_CONSTANT_NAME, "CLIST_FILE"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_CALLBACK_FUNCTION_POINTER, sendListToAll));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_FRAME_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_BGCOLOR, 0XB0B0B0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_DFLT_VALUE, ""));
    errChk(DefaultCtrl (hPanel, MAIN_CLIST_FILE));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_MAX_ENTRY_LENGTH, -1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_WIDTH, 300));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_TOP, 461));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_LEFT, 260));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_HSCROLL_OFFSET, 0));
//  errChk(DSBindCtrl (hPanel, MAIN_CLIST_FILE, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_SEND_COMMAND_LIST
    errChk(MAIN_SEND_COMMAND_LIST = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "SEND CMD LIST", 505, 219));
    errChk(SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_CONSTANT_NAME, "SEND_COMMAND_LIST"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_CALLBACK_FUNCTION_POINTER, sendListToAll));
    errChk(SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_CTRL_MODE, VAL_HOT));
    errChk(SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_LABEL_COLOR, 0X000066));
    errChk(SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_SEND_COMMAND_LIST));
    errChk(SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_HEIGHT, 23));
    errChk(SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_WIDTH, 134));

    // Build control: MAIN_PLIST_FILE
    errChk(MAIN_PLIST_FILE = NewCtrl (hPanel, CTRL_STRING, "", 589, 53));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_CONSTANT_NAME, "PLIST_FILE"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_CALLBACK_FUNCTION_POINTER, sendListToAll));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_FRAME_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_BGCOLOR, 0XB0B0B0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_DFLT_VALUE, ""));
    errChk(DefaultCtrl (hPanel, MAIN_PLIST_FILE));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_MAX_ENTRY_LENGTH, -1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_WIDTH, 300));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_TOP, 569));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_LEFT, 260));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_HSCROLL_OFFSET, 0));
//  errChk(DSBindCtrl (hPanel, MAIN_PLIST_FILE, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_SEND_LIST
    errChk(MAIN_SEND_LIST = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "SEND PRIM LIST", 614, 217));
    errChk(SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_CONSTANT_NAME, "SEND_LIST"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_CALLBACK_FUNCTION_POINTER, sendListToAll));
    errChk(SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_CTRL_MODE, VAL_HOT));
    errChk(SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_LABEL_COLOR, 0X202020));
    errChk(SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_SEND_LIST));
    errChk(SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_HEIGHT, 23));
    errChk(SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_WIDTH, 134));

    // Build control: MAIN_HOSTS_RUNNING
    errChk(MAIN_HOSTS_RUNNING = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "RODs", 117, 285));
    errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_CONSTANT_NAME, "HOSTS_RUNNING"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_CALLBACK_FUNCTION_POINTER, globalOptions));
    errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_WIDTH, 36));
    errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_TEXT_POINT_SIZE, 10));
//  errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_HOSTS_RUNNING));
//  errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_ON_COLOR, 0X32E768));
    errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_OFF_COLOR, 0XF4342F));
    errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_ON_TEXT, "ENABLED"));
    errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_OFF_TEXT, "DISABLED"));
    errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_HEIGHT, 23));
    errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_WIDTH, 74));
    errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_TOP, 102));
    errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_LEFT, 300));
    errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: MAIN_CLIST_REP
    errChk(MAIN_CLIST_REP = NewCtrl (hPanel, CTRL_NUMERIC, "Repetitions", 456, 54));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_CONSTANT_NAME, "CLIST_REP"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_FRAME_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_WIDTH, 56));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_INCR_VALUE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_FORMAT, VAL_DECIMAL_FORMAT));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_PRECISION, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_CHECK_RANGE, VAL_IGNORE));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_PADDING, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_SHOW_RADIX, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_CLIST_REP));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_SHOW_INCDEC_ARROWS, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_WIDTH, 60));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_TOP, 442));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_LEFT, 57));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_CLIST_REP, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_PLIST_REP
    errChk(MAIN_PLIST_REP = NewCtrl (hPanel, CTRL_NUMERIC, "Repetitions", 564, 54));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_CONSTANT_NAME, "PLIST_REP"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_FRAME_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_WIDTH, 56));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_INCR_VALUE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_FORMAT, VAL_DECIMAL_FORMAT));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_PRECISION, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_CHECK_RANGE, VAL_IGNORE));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_PADDING, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_SHOW_RADIX, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_PLIST_REP));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_SHOW_INCDEC_ARROWS, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_WIDTH, 60));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_TOP, 550));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_LEFT, 57));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_PLIST_REP, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_PIXEL_NOT_SCT
    errChk(MAIN_PIXEL_NOT_SCT = NewCtrl (hPanel, CTRL_RING, "Config", 43, 174));
    errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_CONSTANT_NAME, "PIXEL_NOT_SCT"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_DATA_TYPE, VAL_INTEGER));
    errChk(InsertListItem (hPanel, MAIN_PIXEL_NOT_SCT, 0, "?????", -1));
    errChk(InsertListItem (hPanel, MAIN_PIXEL_NOT_SCT, 1, "SCT", 0));
    errChk(InsertListItem (hPanel, MAIN_PIXEL_NOT_SCT, 2, "Pixel", 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_FRAME_COLOR, 0XD4D0C8));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_WIDTH, 33));
    errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_TEXT_POINT_SIZE, 13));
    errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_TEXT_BGCOLOR, VAL_WHITE));
//  errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_DFLT_INDEX, 0));
    errChk(DefaultCtrl (hPanel, MAIN_PIXEL_NOT_SCT));
    errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_WIDTH, 43));
    errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_TOP, 47));
    errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_LEFT, 131));
    errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Build control: MAIN_RESET_ALL
    errChk(MAIN_RESET_ALL = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "RESET RODs", 101, 12));
    errChk(SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_CONSTANT_NAME, "RESET_ALL"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_CALLBACK_FUNCTION_POINTER, resetAllRods));
    errChk(SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_RESET_ALL));
    errChk(SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_CMD_BUTTON_COLOR, 0XFFFF33));
    errChk(SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_HEIGHT, 20));
    errChk(SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_WIDTH, 79));

    // Build control: MAIN_SYS_RESET
    errChk(MAIN_SYS_RESET = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "SYS RESET", 79, 12));
    errChk(SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_CONSTANT_NAME, "SYS_RESET"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_CALLBACK_FUNCTION_POINTER, sysReset));
    errChk(SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_SYS_RESET));
    errChk(SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_CMD_BUTTON_COLOR, 0XF4342F));
    errChk(SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_HEIGHT, 20));
    errChk(SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_WIDTH, 79));

    // Build control: MAIN_RUN_RESMAN
    errChk(MAIN_RUN_RESMAN = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "RESMAN", 56, 12));
    errChk(SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_CONSTANT_NAME, "RUN_RESMAN"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_CALLBACK_FUNCTION_POINTER, runResman));
    errChk(SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_RUN_RESMAN));
    errChk(SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_CMD_BUTTON_COLOR, 0X32E768));
    errChk(SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_HEIGHT, 20));
    errChk(SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_WIDTH, 79));

    // Build control: MAIN_RST_CTRL
    errChk(MAIN_RST_CTRL = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "RST ALL", 256, 318));
    errChk(SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_CONSTANT_NAME, "RST_CTRL"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_CALLBACK_FUNCTION_POINTER, resetAllControlThreads));
    errChk(SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_LABEL_POINT_SIZE, 7));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_RST_CTRL));
    errChk(SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
//  errChk(SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_WIDTH, 41));

    // Build control: MAIN_REFRESH_DISP
    errChk(MAIN_REFRESH_DISP = NewCtrl (hPanel, CTRL_RING_VSLIDE, "", 184, 68));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_CONSTANT_NAME, "REFRESH_DISP"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_CALLBACK_FUNCTION_POINTER, globalOptions));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_DATA_TYPE, VAL_INTEGER));
    errChk(InsertListItem (hPanel, MAIN_REFRESH_DISP, 0, "Off", 0));
    errChk(InsertListItem (hPanel, MAIN_REFRESH_DISP, 1, "On", 1));
    errChk(InsertListItem (hPanel, MAIN_REFRESH_DISP, 2, "Runtime", 2));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_BGCOLOR, 0XD8CABA));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_DFLT_INDEX, 1));
    errChk(DefaultCtrl (hPanel, MAIN_REFRESH_DISP));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_SHOW_INCDEC_ARROWS, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_NEEDLE_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_FILL_HOUSING_COLOR, 0X7F7F7F));
//  errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_TICK_STYLE, VAL_NO_MINOR_TICKS));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_FILL_COLOR, VAL_RED));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_FILL_OPTION, VAL_NO_FILL));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_HEIGHT, 24));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_WIDTH, 7));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_TOP, 163));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_LEFT, 3));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_SLIDER_LEFT, 64));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_SLIDER_WIDTH, 14));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_SLIDER_HEIGHT, 10));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: MAIN_CHECKSUM_SLAVE
    errChk(MAIN_CHECKSUM_SLAVE = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "ChecksumSlave", 572, 308));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_CONSTANT_NAME, "CHECKSUM_SLAVE"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_CALLBACK_FUNCTION_POINTER, globalOptions));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_WIDTH, 80));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_TEXT_POINT_SIZE, 8));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_DFLT_VALUE, 1));
    errChk(DefaultCtrl (hPanel, MAIN_CHECKSUM_SLAVE));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_ON_COLOR, 0XFF9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_OFF_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_ON_TEXT, "ON"));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_OFF_TEXT, "OFF"));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_WIDTH, 23));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_TOP, 572));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_LEFT, 207));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: MAIN_DSP_MONITOR_REFRESH
    errChk(MAIN_DSP_MONITOR_REFRESH = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 191, 272));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_CONSTANT_NAME, "DSP_MONITOR_REFRESH"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_CALLBACK_FUNCTION_POINTER, globalOptions));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_TEXT_POINT_SIZE, 8));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_DSP_MONITOR_REFRESH));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_ON_COLOR, 0XFF9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_OFF_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_ON_TEXT, "ON"));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_OFF_TEXT, "OFF"));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_WIDTH, 23));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_TOP, 192));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_LEFT, 223));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: MAIN_CHECKSUM_MASTER
    errChk(MAIN_CHECKSUM_MASTER = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "ChecksumMaster", 556, 308));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_CONSTANT_NAME, "CHECKSUM_MASTER"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_CALLBACK_FUNCTION_POINTER, globalOptions));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_WIDTH, 85));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_TEXT_POINT_SIZE, 8));
//  errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_DFLT_VALUE, 1));
    errChk(DefaultCtrl (hPanel, MAIN_CHECKSUM_MASTER));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_ON_COLOR, 0XFF9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_OFF_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_ON_TEXT, "ON"));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_OFF_TEXT, "OFF"));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_WIDTH, 23));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_TOP, 556));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_LEFT, 201));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: MAIN_FPGA_MONITOR_REFRESH
    errChk(MAIN_FPGA_MONITOR_REFRESH = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 191, 165));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_CONSTANT_NAME, "FPGA_MONITOR_REFRESH"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_CALLBACK_FUNCTION_POINTER, globalOptions));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_TEXT_POINT_SIZE, 8));
//  errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_FPGA_MONITOR_REFRESH));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_ON_COLOR, 0XFF9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_OFF_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_ON_TEXT, "ON"));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_OFF_TEXT, "OFF"));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_WIDTH, 23));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_TOP, 192));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_LEFT, 116));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: MAIN_SAVE_LISTS_OPTION
    errChk(MAIN_SAVE_LISTS_OPTION = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "SaveLists", 540, 308));
    errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_CONSTANT_NAME, "SAVE_LISTS_OPTION"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_CALLBACK_FUNCTION_POINTER, globalOptions));
    errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_WIDTH, 49));
    errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_TEXT_POINT_SIZE, 8));
//  errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_SAVE_LISTS_OPTION));
    errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_ON_COLOR, 0XFF9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_OFF_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_ON_TEXT, "ON"));
    errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_OFF_TEXT, "OFF"));
    errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_WIDTH, 23));
    errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_TOP, 541));
    errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_LEFT, 246));
    errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: MAIN_EXT_EXEC
    errChk(MAIN_EXT_EXEC = NewCtrl (hPanel, CTRL_ROUND_LED, "ExtList", 403, 250));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_CONSTANT_NAME, "EXT_EXEC"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_WIDTH, 34));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, MAIN_EXT_EXEC));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_TOP, 404));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_LEFT, 271));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: MAIN_TEXTMSG_2
    errChk(MAIN_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 226, 138));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_TEXT_BGCOLOR, 0XD8CABA));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_DFLT_VALUE, "Thread Priority"));
    errChk(DefaultCtrl (hPanel, MAIN_TEXTMSG_2));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_WIDTH, 86));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_DECORATION_3
    errChk(MAIN_DECORATION_3 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 294, 5));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_3, ATTR_CONSTANT_NAME, "DECORATION_3"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_3, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_3, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_3, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_3, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_3, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_3, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_3, ATTR_HEIGHT, 55));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_3, ATTR_WIDTH, 360));

    // Build control: MAIN_TEXTMSG_3
    errChk(MAIN_TEXTMSG_3 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 288, 144));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_CONSTANT_NAME, "TEXTMSG_3"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_TEXT_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_TEXT_BGCOLOR, 0XD8CABA));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_DFLT_VALUE, "Timeout[sec]"));
    errChk(DefaultCtrl (hPanel, MAIN_TEXTMSG_3));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_WIDTH, 76));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_TEXTMSG_3, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_ERROR_TIMER
    errChk(MAIN_ERROR_TIMER = NewCtrl (hPanel, CTRL_TIMER, "errorTimer", 80, 232));
    errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_CONSTANT_NAME, "ERROR_TIMER"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_CALLBACK_FUNCTION_POINTER, errorTimer));
    errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_WIDTH, 50));
    errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_BGCOLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_INTERVAL, 0.000000));
    errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_ENABLED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_HEIGHT, 38));
    errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_WIDTH, 38));
    errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_TOP, 62));
    errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_LEFT, 233));
    errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: MAIN_TEXTMSG_5
    errChk(MAIN_TEXTMSG_5 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 192, 122));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_CONSTANT_NAME, "TEXTMSG_5"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_DFLT_VALUE, "s"));
    errChk(DefaultCtrl (hPanel, MAIN_TEXTMSG_5));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_WIDTH, 8));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_TEXTMSG_5, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_TEXTMSG_6
    errChk(MAIN_TEXTMSG_6 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 303, 254));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_CONSTANT_NAME, "TEXTMSG_6"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_DFLT_VALUE, "dspAckSet"));
    errChk(DefaultCtrl (hPanel, MAIN_TEXTMSG_6));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_WIDTH, 55));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_TEXTMSG_6, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_TEXTMSG
    errChk(MAIN_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 23, 81));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_TEXT_COLOR, 0X000066));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_TEXT_ITALIC, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_TEXT_UNDERLINE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_TEXT_POINT_SIZE, 15));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_TEXT_BGCOLOR, 0XD8CABA));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_DFLT_VALUE, " CRATE STATUS/CONTROL "));
    errChk(DefaultCtrl (hPanel, MAIN_TEXTMSG));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_HEIGHT, 18));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_WIDTH, 204));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_TEXTMSG, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_DECORATION_2
    errChk(MAIN_DECORATION_2 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 232, 5));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_2, ATTR_CONSTANT_NAME, "DECORATION_2"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_2, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_2, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_2, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_2, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_2, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_2, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_2, ATTR_HEIGHT, 55));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_2, ATTR_WIDTH, 360));

    // Build control: MAIN_TEXTMSG_18
    errChk(MAIN_TEXTMSG_18 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 948, 525));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_CONSTANT_NAME, "TEXTMSG_18"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_TEXT_COLOR, 0X000066));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_TEXT_ITALIC, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_TEXT_UNDERLINE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_TEXT_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_DFLT_VALUE, " HISTOGRAM SETUP "));
    errChk(DefaultCtrl (hPanel, MAIN_TEXTMSG_18));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_WIDTH, 130));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_TEXTMSG_18, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_TEXTMSG_23
    errChk(MAIN_TEXTMSG_23 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 1008, 525));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_CONSTANT_NAME, "TEXTMSG_23"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_TEXT_COLOR, 0X000066));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_TEXT_ITALIC, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_TEXT_UNDERLINE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_TEXT_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_DFLT_VALUE, " HISTOGRAM SETUP "));
    errChk(DefaultCtrl (hPanel, MAIN_TEXTMSG_23));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_WIDTH, 130));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_TEXTMSG_23, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_TEXTMSG_10
    errChk(MAIN_TEXTMSG_10 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 541, 138));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_CONSTANT_NAME, "TEXTMSG_10"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_TEXT_COLOR, 0X000066));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_TEXT_ITALIC, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_TEXT_UNDERLINE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_TEXT_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_DFLT_VALUE, "PRIMITIVE LIST"));
    errChk(DefaultCtrl (hPanel, MAIN_TEXTMSG_10));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_WIDTH, 97));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_TEXTMSG_10, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_DECORATION
    errChk(MAIN_DECORATION = NewCtrl (hPanel, CTRL_RAISED_BOX, "", 539, 5));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION, ATTR_CONSTANT_NAME, "DECORATION"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION, ATTR_FRAME_COLOR, 0XEEDDCC));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION, ATTR_HEIGHT, 107));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION, ATTR_WIDTH, 360));

    // Build control: MAIN_DECORATION_7
    errChk(MAIN_DECORATION_7 = NewCtrl (hPanel, CTRL_RAISED_BOX, "", 427, 5));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_7, ATTR_CONSTANT_NAME, "DECORATION_7"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_7, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_7, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_7, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_7, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_7, ATTR_FRAME_COLOR, 0XC9D3D0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_7, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_7, ATTR_HEIGHT, 110));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_7, ATTR_WIDTH, 360));

    // Build control: MAIN_TEXTMSG_9
    errChk(MAIN_TEXTMSG_9 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 431, 138));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_CONSTANT_NAME, "TEXTMSG_9"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_TEXT_COLOR, 0X000066));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_TEXT_ITALIC, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_TEXT_UNDERLINE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_TEXT_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_DFLT_VALUE, "COMMAND LIST"));
    errChk(DefaultCtrl (hPanel, MAIN_TEXTMSG_9));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_WIDTH, 97));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_TEXTMSG_9, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_TEXTMSG_11
    errChk(MAIN_TEXTMSG_11 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 353, 129));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_CONSTANT_NAME, "TEXTMSG_11"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_TEXT_BGCOLOR, 0XD8CABA));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_DFLT_VALUE, "CmdListBusy RODslot#"));
    errChk(DefaultCtrl (hPanel, MAIN_TEXTMSG_11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_WIDTH, 113));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_TEXTMSG_11, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_TEXTMSG_7
    errChk(MAIN_TEXTMSG_7 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 24, 308));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_CONSTANT_NAME, "TEXTMSG_7"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_TEXT_BGCOLOR, 0XD8CABA));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_DFLT_VALUE, "v06/11/04 E"));
    errChk(DefaultCtrl (hPanel, MAIN_TEXTMSG_7));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_TEXTMSG_7, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_TEXTMSG_25
    errChk(MAIN_TEXTMSG_25 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 192, 230));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_CONSTANT_NAME, "TEXTMSG_25"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_DFLT_VALUE, "s"));
    errChk(DefaultCtrl (hPanel, MAIN_TEXTMSG_25));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_WIDTH, 8));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_TEXTMSG_25, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_TEXTMSG_24
    errChk(MAIN_TEXTMSG_24 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 163, 161));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_CONSTANT_NAME, "TEXTMSG_24"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_TEXT_ITALIC, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_TEXT_UNDERLINE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_TEXT_BGCOLOR, 0XD8CABA));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_DFLT_VALUE, "FPGA Monitor"));
    errChk(DefaultCtrl (hPanel, MAIN_TEXTMSG_24));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_WIDTH, 69));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_TEXTMSG_24, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_TEXTMSG_26
    errChk(MAIN_TEXTMSG_26 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 192, 337));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_CONSTANT_NAME, "TEXTMSG_26"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_DFLT_VALUE, "s"));
    errChk(DefaultCtrl (hPanel, MAIN_TEXTMSG_26));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_WIDTH, 8));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_TEXTMSG_26, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_TEXTMSG_4
    errChk(MAIN_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 163, 47));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_TEXT_ITALIC, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_TEXT_BGCOLOR, 0XD8CABA));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_DFLT_VALUE, "TestStand"));
    errChk(DefaultCtrl (hPanel, MAIN_TEXTMSG_4));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_WIDTH, 52));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_DECORATION_4
    errChk(MAIN_DECORATION_4 = NewCtrl (hPanel, CTRL_RECESSED_BOX, "", 172, 13));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_4, ATTR_CONSTANT_NAME, "DECORATION_4"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_4, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_4, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_4, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_4, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_4, ATTR_FRAME_COLOR, 0XD8CABA));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_4, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_4, ATTR_HEIGHT, 45));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_4, ATTR_WIDTH, 128));

    // Build control: MAIN_DECORATION_8
    errChk(MAIN_DECORATION_8 = NewCtrl (hPanel, CTRL_RECESSED_BOX, "", 172, 148));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_8, ATTR_CONSTANT_NAME, "DECORATION_8"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_8, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_8, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_8, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_8, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_8, ATTR_FRAME_COLOR, 0XD8CABA));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_8, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_8, ATTR_HEIGHT, 45));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_8, ATTR_WIDTH, 101));

    // Build control: MAIN_DECORATION_9
    errChk(MAIN_DECORATION_9 = NewCtrl (hPanel, CTRL_RECESSED_BOX, "", 172, 255));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_9, ATTR_CONSTANT_NAME, "DECORATION_9"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_9, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_9, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_9, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_9, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_9, ATTR_FRAME_COLOR, 0XD8CABA));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_9, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_9, ATTR_HEIGHT, 45));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_9, ATTR_WIDTH, 101));

    // Build control: MAIN_TEXTMSG_27
    errChk(MAIN_TEXTMSG_27 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 163, 271));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_CONSTANT_NAME, "TEXTMSG_27"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_TEXT_ITALIC, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_TEXT_UNDERLINE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_TEXT_BGCOLOR, 0XD8CABA));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_DFLT_VALUE, "DSP Monitor"));
    errChk(DefaultCtrl (hPanel, MAIN_TEXTMSG_27));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_WIDTH, 63));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_TEXTMSG_27, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_TEXTMSG_28
    errChk(MAIN_TEXTMSG_28 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 148, 148));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_CONSTANT_NAME, "TEXTMSG_28"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_TEXT_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_TEXT_BGCOLOR, 0XD8CABA));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_DFLT_VALUE, "Status Refresh"));
    errChk(DefaultCtrl (hPanel, MAIN_TEXTMSG_28));
//  errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_WIDTH, 87));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, MAIN_TEXTMSG_28, "", VAL_DS_READ, NULL, NULL));

    // Build control: MAIN_DECORATION_10
    errChk(MAIN_DECORATION_10 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 157, 4));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_10, ATTR_CONSTANT_NAME, "DECORATION_10"));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_10, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_10, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_10, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_10, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_10, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_10, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_10, ATTR_HEIGHT, 67));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_10, ATTR_WIDTH, 361));

    // Set up ZPLANE order if necessary
    errChk(SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_ZPLANE_POSITION, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_ZPLANE_POSITION, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_ZPLANE_POSITION, 2));
    errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_ZPLANE_POSITION, 3));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_ZPLANE_POSITION, 4));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_10, ATTR_ZPLANE_POSITION, 5));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_ZPLANE_POSITION, 6));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_ZPLANE_POSITION, 7));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_ZPLANE_POSITION, 8));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_ZPLANE_POSITION, 9));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_9, ATTR_ZPLANE_POSITION, 10));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_ZPLANE_POSITION, 11));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_ZPLANE_POSITION, 12));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_ZPLANE_POSITION, 13));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_ZPLANE_POSITION, 14));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_8, ATTR_ZPLANE_POSITION, 15));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_ZPLANE_POSITION, 16));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_ZPLANE_POSITION, 17));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_ZPLANE_POSITION, 18));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_ZPLANE_POSITION, 19));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_ZPLANE_POSITION, 20));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_ZPLANE_POSITION, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_ZPLANE_POSITION, 22));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_ZPLANE_POSITION, 23));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_ZPLANE_POSITION, 24));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_ZPLANE_POSITION, 25));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_ZPLANE_POSITION, 26));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_ZPLANE_POSITION, 27));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_ZPLANE_POSITION, 28));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_ZPLANE_POSITION, 29));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_ZPLANE_POSITION, 30));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_ZPLANE_POSITION, 31));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_ZPLANE_POSITION, 32));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_ZPLANE_POSITION, 33));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_ZPLANE_POSITION, 34));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_ZPLANE_POSITION, 35));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_ZPLANE_POSITION, 36));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_ZPLANE_POSITION, 37));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_ZPLANE_POSITION, 38));
    errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_ZPLANE_POSITION, 39));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_ZPLANE_POSITION, 40));
    errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_ZPLANE_POSITION, 41));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_ZPLANE_POSITION, 42));
    errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_ZPLANE_POSITION, 43));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_ZPLANE_POSITION, 44));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_ZPLANE_POSITION, 45));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_ZPLANE_POSITION, 46));
    errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_ZPLANE_POSITION, 47));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_ZPLANE_POSITION, 48));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_ZPLANE_POSITION, 49));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_ZPLANE_POSITION, 50));
    errChk(SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_ZPLANE_POSITION, 51));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_ZPLANE_POSITION, 52));
    errChk(SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_ZPLANE_POSITION, 53));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_ZPLANE_POSITION, 54));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_ZPLANE_POSITION, 55));
    errChk(SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_ZPLANE_POSITION, 56));
    errChk(SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_ZPLANE_POSITION, 57));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_ZPLANE_POSITION, 58));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_ZPLANE_POSITION, 59));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_ZPLANE_POSITION, 60));
    errChk(SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_ZPLANE_POSITION, 61));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_ZPLANE_POSITION, 62));
    errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_ZPLANE_POSITION, 63));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_ZPLANE_POSITION, 64));
    errChk(SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_ZPLANE_POSITION, 65));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_ZPLANE_POSITION, 66));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_ZPLANE_POSITION, 67));
    errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_ZPLANE_POSITION, 68));
    errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_ZPLANE_POSITION, 69));
    errChk(SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_ZPLANE_POSITION, 70));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_ZPLANE_POSITION, 71));
    errChk(SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_ZPLANE_POSITION, 72));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_ZPLANE_POSITION, 73));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_ZPLANE_POSITION, 74));
    errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_ZPLANE_POSITION, 75));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_ZPLANE_POSITION, 76));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_4, ATTR_ZPLANE_POSITION, 77));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_ZPLANE_POSITION, 78));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_ZPLANE_POSITION, 79));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_ZPLANE_POSITION, 80));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_ZPLANE_POSITION, 81));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_ZPLANE_POSITION, 82));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_3, ATTR_ZPLANE_POSITION, 83));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_ZPLANE_POSITION, 84));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_ZPLANE_POSITION, 85));
    errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_ZPLANE_POSITION, 86));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_ZPLANE_POSITION, 87));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_2, ATTR_ZPLANE_POSITION, 88));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION_7, ATTR_ZPLANE_POSITION, 89));
    errChk(SetCtrlAttribute (hPanel, MAIN_DECORATION, ATTR_ZPLANE_POSITION, 90));

    // Set up TAB order if necessary
    errChk(SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_CTRL_TAB_POSITION, 0));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_CTRL_TAB_POSITION, 1));
    errChk(SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_CTRL_TAB_POSITION, 2));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_CTRL_TAB_POSITION, 3));
    errChk(SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_CTRL_TAB_POSITION, 4));
    errChk(SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_CTRL_TAB_POSITION, 5));
    errChk(SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_CTRL_TAB_POSITION, 6));
    errChk(SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_CTRL_TAB_POSITION, 7));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_CTRL_TAB_POSITION, 8));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_CTRL_TAB_POSITION, 9));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_CTRL_TAB_POSITION, 10));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_CTRL_TAB_POSITION, 11));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_CTRL_TAB_POSITION, 12));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_CTRL_TAB_POSITION, 13));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_CTRL_TAB_POSITION, 14));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_CTRL_TAB_POSITION, 15));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_CTRL_TAB_POSITION, 16));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_CTRL_TAB_POSITION, 17));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_CTRL_TAB_POSITION, 18));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_CTRL_TAB_POSITION, 19));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_CTRL_TAB_POSITION, 20));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_CTRL_TAB_POSITION, 21));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_CTRL_TAB_POSITION, 22));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_CTRL_TAB_POSITION, 23));
    errChk(SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_CTRL_TAB_POSITION, 24));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_CTRL_TAB_POSITION, 25));
    errChk(SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_CTRL_TAB_POSITION, 26));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_CTRL_TAB_POSITION, 27));
    errChk(SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_CTRL_TAB_POSITION, 28));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_CTRL_TAB_POSITION, 29));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_CTRL_TAB_POSITION, 30));
    errChk(SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_CTRL_TAB_POSITION, 31));
    errChk(SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_CTRL_TAB_POSITION, 32));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_CTRL_TAB_POSITION, 33));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_CTRL_TAB_POSITION, 34));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_CTRL_TAB_POSITION, 35));
    errChk(SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_CTRL_TAB_POSITION, 36));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_CTRL_TAB_POSITION, 37));
    errChk(SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_CTRL_TAB_POSITION, 38));
    errChk(SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_CTRL_TAB_POSITION, 39));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_CTRL_TAB_POSITION, 40));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_CTRL_TAB_POSITION, 41));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_CTRL_TAB_POSITION, 42));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_CTRL_TAB_POSITION, 43));
    errChk(SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_CTRL_TAB_POSITION, 44));
    errChk(SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_CTRL_TAB_POSITION, 45));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_CTRL_TAB_POSITION, 46));
    errChk(SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_CTRL_TAB_POSITION, 47));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_CTRL_TAB_POSITION, 48));
    errChk(SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_CTRL_TAB_POSITION, 49));
    errChk(SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_CTRL_TAB_POSITION, 50));
    errChk(SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_CTRL_TAB_POSITION, 51));
    errChk(SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_CTRL_TAB_POSITION, 52));
    errChk(SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_CTRL_TAB_POSITION, 53));
    errChk(SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_CTRL_TAB_POSITION, 54));
    errChk(SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_CTRL_TAB_POSITION, 55));
    errChk(SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_CTRL_TAB_POSITION, 56));
    errChk(SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_CTRL_TAB_POSITION, 57));
    errChk(SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_CTRL_TAB_POSITION, 58));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_CTRL_TAB_POSITION, 59));
    errChk(SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_CTRL_TAB_POSITION, 60));
    errChk(SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_CTRL_TAB_POSITION, 61));
    errChk(SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_CTRL_TAB_POSITION, 62));
    errChk(SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_CTRL_TAB_POSITION, 63));
    errChk(SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_CTRL_TAB_POSITION, 64));

    // Finalize panel colors, positioning, and sizing
    errChk(SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1));
    errChk(GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment));
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        errChk(GetMonitorFromPanel (hPanel, &monitorId));
        errChk(GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight));
        errChk(GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth));
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        errChk(SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(650*SFv)));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        errChk(SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(390*SFh)));
        errChk(SetPanelAttribute (hPanel, ATTR_TOP, (int)(77*SFv)));
        errChk(SetPanelAttribute (hPanel, ATTR_LEFT, (int)(593*SFh)));
        }
    errChk(SetPanelAttribute (hPanel, ATTR_TOP, VAL_AUTO_CENTER));
    errChk(SetPanelAttribute (hPanel, ATTR_LEFT, VAL_AUTO_CENTER));
    errChk(SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0));

    errChk(buildMainMenu (hPanel));

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildRodSelectPanel ():  Build UI object NEWROD_PN; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildRodSelectPanel (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    errChk(hPanel = NewPanel (hParentPanel, "New ROD", 152, 500, 201, 330));

    // Set the panel's attributes
    errChk(SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "NEWROD_PN"));
    errChk(SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0));
//  errChk(SetPanelAttribute (hPanel, ATTR_DIMMED, 0));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY));
//  errChk(SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS));
    errChk(SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY));
//  errChk(SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0X00CCFF));
//  errChk(SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC));
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, 0XCC9966));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 5));
    errChk(SetPanelAttribute (hPanel, ATTR_SIZABLE, 0));
//  errChk(SetPanelAttribute (hPanel, ATTR_MOVABLE, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT"));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1));
    errChk(SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0));
//  if (!hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER));
//  errChk(SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1));
//  errChk(SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1));
//  errChk(SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0));
//  errChk(SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0));

    // Build control: NEWROD_PN_CANCEL
    errChk(NEWROD_PN_CANCEL = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Cancel", 141, 203));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_CONSTANT_NAME, "CANCEL"));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_CALLBACK_FUNCTION_POINTER, slotNumberWindow));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, NEWROD_PN_CANCEL));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_HEIGHT, 26));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_WIDTH, 70));

    // Build control: NEWROD_PN_OK
    errChk(NEWROD_PN_OK = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "__OK", 141, 71));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_CONSTANT_NAME, "OK"));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_CALLBACK_FUNCTION_POINTER, slotNumberWindow));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, NEWROD_PN_OK));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_HEIGHT, 26));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_WIDTH, 70));

    // Build control: NEWROD_PN_SLOT_21
    errChk(NEWROD_PN_SLOT_21 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "21", 105, 276));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_CONSTANT_NAME, "SLOT_21"));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, NEWROD_PN_SLOT_21));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_ON_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_OFF_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_TOP, 91));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_LEFT, 277));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: NEWROD_PN_SLOT_20
    errChk(NEWROD_PN_SLOT_20 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "20", 105, 251));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_CONSTANT_NAME, "SLOT_20"));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, NEWROD_PN_SLOT_20));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_ON_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_OFF_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_TOP, 91));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_LEFT, 252));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: NEWROD_PN_SLOT_19
    errChk(NEWROD_PN_SLOT_19 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "19", 105, 227));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_CONSTANT_NAME, "SLOT_19"));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, NEWROD_PN_SLOT_19));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_ON_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_OFF_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_TOP, 91));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_LEFT, 228));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: NEWROD_PN_SLOT_18
    errChk(NEWROD_PN_SLOT_18 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "18", 105, 203));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_CONSTANT_NAME, "SLOT_18"));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, NEWROD_PN_SLOT_18));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_ON_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_OFF_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_TOP, 91));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_LEFT, 204));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: NEWROD_PN_SLOT_17
    errChk(NEWROD_PN_SLOT_17 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "17", 105, 178));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_CONSTANT_NAME, "SLOT_17"));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, NEWROD_PN_SLOT_17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_ON_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_OFF_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_TOP, 91));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_LEFT, 179));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: NEWROD_PN_SLOT_16
    errChk(NEWROD_PN_SLOT_16 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "16", 105, 154));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_CONSTANT_NAME, "SLOT_16"));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, NEWROD_PN_SLOT_16));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_ON_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_OFF_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_TOP, 91));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_LEFT, 155));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: NEWROD_PN_SLOT_15
    errChk(NEWROD_PN_SLOT_15 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "15", 105, 130));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_CONSTANT_NAME, "SLOT_15"));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, NEWROD_PN_SLOT_15));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_ON_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_OFF_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_TOP, 91));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_LEFT, 131));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: NEWROD_PN_SLOT_14
    errChk(NEWROD_PN_SLOT_14 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "14", 105, 106));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_CONSTANT_NAME, "SLOT_14"));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, NEWROD_PN_SLOT_14));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_ON_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_OFF_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_TOP, 91));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_LEFT, 107));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: NEWROD_PN_SLOT_5
    errChk(NEWROD_PN_SLOT_5 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "5", 65, 58));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_CONSTANT_NAME, "SLOT_5"));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_WIDTH, 10));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, NEWROD_PN_SLOT_5));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_ON_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_OFF_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_TOP, 51));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_LEFT, 62));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: NEWROD_PN_SLOT_12
    errChk(NEWROD_PN_SLOT_12 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "12", 65, 227));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_CONSTANT_NAME, "SLOT_12"));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, NEWROD_PN_SLOT_12));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_ON_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_OFF_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_TOP, 51));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_LEFT, 228));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: NEWROD_PN_SLOT_11
    errChk(NEWROD_PN_SLOT_11 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "11", 65, 203));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_CONSTANT_NAME, "SLOT_11"));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, NEWROD_PN_SLOT_11));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_ON_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_OFF_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_TOP, 51));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_LEFT, 204));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: NEWROD_PN_SLOT_10
    errChk(NEWROD_PN_SLOT_10 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "10", 65, 179));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_CONSTANT_NAME, "SLOT_10"));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, NEWROD_PN_SLOT_10));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_ON_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_OFF_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_TOP, 51));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_LEFT, 180));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: NEWROD_PN_SLOT_9
    errChk(NEWROD_PN_SLOT_9 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "9", 65, 154));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_CONSTANT_NAME, "SLOT_9"));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_WIDTH, 10));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, NEWROD_PN_SLOT_9));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_ON_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_OFF_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_TOP, 51));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_LEFT, 158));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: NEWROD_PN_SLOT_8
    errChk(NEWROD_PN_SLOT_8 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "8", 65, 130));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_CONSTANT_NAME, "SLOT_8"));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_WIDTH, 10));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, NEWROD_PN_SLOT_8));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_ON_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_OFF_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_TOP, 51));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_LEFT, 134));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: NEWROD_PN_SLOT_7
    errChk(NEWROD_PN_SLOT_7 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "7", 65, 106));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_CONSTANT_NAME, "SLOT_7"));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_WIDTH, 10));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, NEWROD_PN_SLOT_7));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_ON_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_OFF_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_TOP, 51));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_LEFT, 110));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: NEWROD_PN_SLOT_6
    errChk(NEWROD_PN_SLOT_6 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "6", 65, 82));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_CONSTANT_NAME, "SLOT_6"));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_WIDTH, 10));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, NEWROD_PN_SLOT_6));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_ON_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_OFF_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_TOP, 51));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_LEFT, 86));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: NEWROD_PN_SELECT_ALL
    errChk(NEWROD_PN_SELECT_ALL = NewCtrl (hPanel, CTRL_VSWITCH, "", 100, 21));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_CONSTANT_NAME, "SELECT_ALL"));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_CALLBACK_FUNCTION_POINTER, selectAll));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_DATA_TYPE, VAL_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_BGCOLOR, 0X00CCFF));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_TEXT_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_DFLT_INDEX, 0));
    errChk(DefaultCtrl (hPanel, NEWROD_PN_SELECT_ALL));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_ON_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_OFF_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_BINARY_SWITCH_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_ON_TEXT, "Select All"));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_OFF_TEXT, "Deselect All"));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_HEIGHT, 25));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_WIDTH, 14));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_TOP, 79));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_LEFT, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: NEWROD_PN_TEXTMSG
    errChk(NEWROD_PN_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 18, 95));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG"));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_TEXT_POINT_SIZE, 13));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_TEXT_BGCOLOR, 0X00CCFF));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_DFLT_VALUE, "Slot number:"));
    errChk(DefaultCtrl (hPanel, NEWROD_PN_TEXTMSG));
//  errChk(SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_HEIGHT, 18));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_WIDTH, 89));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, NEWROD_PN_TEXTMSG, "", VAL_DS_READ, NULL, NULL));

    // Set up ZPLANE order if necessary
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_ZPLANE_POSITION, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_ZPLANE_POSITION, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_ZPLANE_POSITION, 2));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_ZPLANE_POSITION, 3));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_ZPLANE_POSITION, 4));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_ZPLANE_POSITION, 5));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_ZPLANE_POSITION, 6));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_ZPLANE_POSITION, 7));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_ZPLANE_POSITION, 8));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_ZPLANE_POSITION, 9));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_ZPLANE_POSITION, 10));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_ZPLANE_POSITION, 11));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_ZPLANE_POSITION, 12));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_ZPLANE_POSITION, 13));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_ZPLANE_POSITION, 14));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_ZPLANE_POSITION, 15));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_ZPLANE_POSITION, 16));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_ZPLANE_POSITION, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_ZPLANE_POSITION, 18));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_ZPLANE_POSITION, 19));

    // Set up TAB order if necessary
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_CTRL_TAB_POSITION, 0));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_CTRL_TAB_POSITION, 1));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_CTRL_TAB_POSITION, 2));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_CTRL_TAB_POSITION, 3));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_CTRL_TAB_POSITION, 4));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_CTRL_TAB_POSITION, 5));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_CTRL_TAB_POSITION, 6));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_CTRL_TAB_POSITION, 7));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_CTRL_TAB_POSITION, 8));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_CTRL_TAB_POSITION, 9));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_CTRL_TAB_POSITION, 10));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_CTRL_TAB_POSITION, 11));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_CTRL_TAB_POSITION, 12));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_CTRL_TAB_POSITION, 13));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_CTRL_TAB_POSITION, 14));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_CTRL_TAB_POSITION, 15));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_CTRL_TAB_POSITION, 16));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_CTRL_TAB_POSITION, 17));
    errChk(SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_CTRL_TAB_POSITION, 18));

    // Finalize panel colors, positioning, and sizing
    errChk(SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1));
    errChk(GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment));
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        errChk(GetMonitorFromPanel (hPanel, &monitorId));
        errChk(GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight));
        errChk(GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth));
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        errChk(SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(201*SFv)));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        errChk(SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(330*SFh)));
        errChk(SetPanelAttribute (hPanel, ATTR_TOP, (int)(152*SFv)));
        errChk(SetPanelAttribute (hPanel, ATTR_LEFT, (int)(500*SFh)));
        }
    errChk(SetPanelAttribute (hPanel, ATTR_TOP, VAL_AUTO_CENTER));
    errChk(SetPanelAttribute (hPanel, ATTR_LEFT, VAL_AUTO_CENTER));
    errChk(SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0));

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildRodPanel ():  Build UI object ROD; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildRodPanel (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    errChk(hPanel = NewPanel (hParentPanel, "ROD - slot#", 20, 4, 965, 1216));

    // Set the panel's attributes
    errChk(SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "ROD"));
    errChk(SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0));
//  errChk(SetPanelAttribute (hPanel, ATTR_DIMMED, 0));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_BOTH_SCROLL_BARS));
    errChk(SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY));
//  errChk(SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_BACKCOLOR, VAL_LT_GRAY));
//  errChk(SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 19));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC));
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 5));
//  errChk(SetPanelAttribute (hPanel, ATTR_SIZABLE, 1));
//  errChk(SetPanelAttribute (hPanel, ATTR_MOVABLE, 1));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_FONT"));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 13));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1));
//  errChk(SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 1));
//  errChk(SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 1));
    errChk(SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0));
//  if (!hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER));
//  errChk(SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1));
//  errChk(SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1));
    errChk(SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 1));
//  errChk(SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0));

    // Build control: ROD_COMMAND_REG_4
    errChk(ROD_COMMAND_REG_4 = NewCtrl (hPanel, CTRL_SQUARE_LED, "RdRq", 270, 91));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_CONSTANT_NAME, "COMMAND_REG_4"));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_WIDTH, 53));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_COMMAND_REG_4));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_ON_COLOR, 0X00CCFF));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_TOP, 270));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_LEFT, 107));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: ROD_STAT_REG_6
    errChk(ROD_STAT_REG_6 = NewCtrl (hPanel, CTRL_SQUARE_LED, "ErrorBuffNE", 270, 71));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_CONSTANT_NAME, "STAT_REG_6"));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_WIDTH, 59));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_STAT_REG_6));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_ON_COLOR, 0XFF3300));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_TOP, 270));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_LEFT, 13));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_COMMAND_REG_3
    errChk(ROD_COMMAND_REG_3 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Abort", 146, 91));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_CONSTANT_NAME, "COMMAND_REG_3"));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_WIDTH, 47));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_COMMAND_REG_3));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_ON_COLOR, 0XFF3300));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_TOP, 146));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_LEFT, 107));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: ROD_COMMAND_REG_2
    errChk(ROD_COMMAND_REG_2 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Resume", 169, 91));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_CONSTANT_NAME, "COMMAND_REG_2"));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_WIDTH, 47));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_COMMAND_REG_2));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_ON_COLOR, 0X00CCFF));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_TOP, 169));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_LEFT, 106));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: ROD_COMMAND_REG_10
    errChk(ROD_COMMAND_REG_10 = NewCtrl (hPanel, CTRL_SQUARE_LED, "DmaReq", 233, 91));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_CONSTANT_NAME, "COMMAND_REG_10"));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_WIDTH, 47));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_COMMAND_REG_10));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_ON_COLOR, 0X00CCFF));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_TOP, 233));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_LEFT, 105));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: ROD_COMMAND_REG_1
    errChk(ROD_COMMAND_REG_1 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Pause", 184, 91));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_CONSTANT_NAME, "COMMAND_REG_1"));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_WIDTH, 47));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_COMMAND_REG_1));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_ON_COLOR, 0X00CCFF));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_TOP, 184));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_LEFT, 107));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: ROD_COMMAND_REG_0
    errChk(ROD_COMMAND_REG_0 = NewCtrl (hPanel, CTRL_SQUARE_LED, "InListRdy", 214, 91));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_CONSTANT_NAME, "COMMAND_REG_0"));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_WIDTH, 47));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_COMMAND_REG_0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_ON_COLOR, 0X00CCFF));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_TOP, 214));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_LEFT, 107));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: ROD_COMMAND_REG_5
    errChk(ROD_COMMAND_REG_5 = NewCtrl (hPanel, CTRL_SQUARE_LED, "RdRq", 285, 91));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_CONSTANT_NAME, "COMMAND_REG_5"));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_WIDTH, 49));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_COMMAND_REG_5));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_ON_COLOR, 0X00CCFF));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_TOP, 285));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_LEFT, 107));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: ROD_STAT_REG_7
    errChk(ROD_STAT_REG_7 = NewCtrl (hPanel, CTRL_SQUARE_LED, "InfoBuffNE", 285, 71));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_CONSTANT_NAME, "STAT_REG_7"));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_WIDTH, 55));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_STAT_REG_7));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_TOP, 285));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_LEFT, 17));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_STAT_REG_0
    errChk(ROD_STAT_REG_0 = NewCtrl (hPanel, CTRL_SQUARE_LED, "DspRunning", 139, 71));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_CONSTANT_NAME, "STAT_REG_0"));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_WIDTH, 62));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_STAT_REG_0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_ON_COLOR, 0XFFFF33));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_TOP, 138));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_LEFT, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: ROD_STAT_REG_5
    errChk(ROD_STAT_REG_5 = NewCtrl (hPanel, CTRL_SQUARE_LED, "DspAck", 215, 71));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_CONSTANT_NAME, "STAT_REG_5"));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_WIDTH, 41));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_STAT_REG_5));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_TOP, 214));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_LEFT, 29));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: ROD_EDIT_PLIST
    errChk(ROD_EDIT_PLIST = NewCtrl (hPanel, CTRL_OBLONG_COMMAND_BUTTON, "EDIT", 521, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_CONSTANT_NAME, "EDIT_PLIST"));
//  errChk(SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_CALLBACK_FUNCTION_POINTER, sendList));
    errChk(SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_CTRL_MODE, VAL_HOT));
    errChk(SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_LABEL_COLOR, 0X000066));
    errChk(SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_LABEL_POINT_SIZE, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_EDIT_PLIST));
    errChk(SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
//  errChk(SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_HEIGHT, 23));
    errChk(SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_WIDTH, 36));

    // Build control: ROD_STAT_REG_1
    errChk(ROD_STAT_REG_1 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Busy", 154, 71));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_CONSTANT_NAME, "STAT_REG_1"));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_WIDTH, 27));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_STAT_REG_1));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_TOP, 153));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_LEFT, 43));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: ROD_COMMAND_REG_7
    errChk(ROD_COMMAND_REG_7 = NewCtrl (hPanel, CTRL_SQUARE_LED, "RdRq", 315, 91));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_CONSTANT_NAME, "COMMAND_REG_7"));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_WIDTH, 53));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_COMMAND_REG_7));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_ON_COLOR, 0X00CCFF));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_TOP, 315));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_LEFT, 107));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: ROD_COMMAND_REG_6
    errChk(ROD_COMMAND_REG_6 = NewCtrl (hPanel, CTRL_SQUARE_LED, "RdRq", 300, 91));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_CONSTANT_NAME, "COMMAND_REG_6"));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_WIDTH, 53));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_COMMAND_REG_6));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_ON_COLOR, 0X00CCFF));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_TOP, 300));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_LEFT, 107));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: ROD_STAT_REG_11
    errChk(ROD_STAT_REG_11 = NewCtrl (hPanel, CTRL_SQUARE_LED, "DmaErr", 250, 71));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_CONSTANT_NAME, "STAT_REG_11"));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_WIDTH, 55));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_STAT_REG_11));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_ON_COLOR, VAL_RED));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_TOP, 249));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_LEFT, 24));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: ROD_STAT_REG_9
    errChk(ROD_STAT_REG_9 = NewCtrl (hPanel, CTRL_SQUARE_LED, "XferBuffNE", 315, 71));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_CONSTANT_NAME, "STAT_REG_9"));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_WIDTH, 56));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_STAT_REG_9));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_TOP, 315));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_LEFT, 16));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_STAT_REG_4
    errChk(ROD_STAT_REG_4 = NewCtrl (hPanel, CTRL_SQUARE_LED, "OutListRdy", 199, 71));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_CONSTANT_NAME, "STAT_REG_4"));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_WIDTH, 55));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_STAT_REG_4));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_TOP, 199));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_LEFT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: ROD_REPEAT_BUILD_EXEC
    errChk(ROD_REPEAT_BUILD_EXEC = NewCtrl (hPanel, CTRL_VSWITCH, "", 470, 111));
    errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_CONSTANT_NAME, "REPEAT_BUILD_EXEC"));
//  errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_CALLBACK_FUNCTION_POINTER, hostOptions));
    errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_DATA_TYPE, VAL_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_TEXT_POINT_SIZE, 10));
//  errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_DFLT_INDEX, 1));
    errChk(DefaultCtrl (hPanel, ROD_REPEAT_BUILD_EXEC));
    errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_ON_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_OFF_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_BINARY_SWITCH_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_ON_TEXT, "EXEC"));
    errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_OFF_TEXT, "BUILD"));
    errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_HEIGHT, 21));
    errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_WIDTH, 12));
    errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_TOP, 481));
    errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_LEFT, 80));
    errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_STAT_REG_8
    errChk(ROD_STAT_REG_8 = NewCtrl (hPanel, CTRL_SQUARE_LED, "DiagBuffNE", 300, 71));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_CONSTANT_NAME, "STAT_REG_8"));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_WIDTH, 59));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_STAT_REG_8));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_TOP, 300));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_LEFT, 13));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_VME_COMM_REG0
    errChk(ROD_VME_COMM_REG0 = NewCtrl (hPanel, CTRL_NUMERIC, "Command0", 117, 92));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_CONSTANT_NAME, "VME_COMM_REG0"));
//  errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_FRAME_COLOR, 0X006699));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_WIDTH, 64));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_INCR_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_PRECISION, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_CHECK_RANGE, VAL_IGNORE));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_VME_COMM_REG0));
//  errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_SHOW_INCDEC_ARROWS, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_WIDTH, 70));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_TOP, 101));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_LEFT, 95));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_VME_COMM_REG0, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_STAT_REG_10
    errChk(ROD_STAT_REG_10 = NewCtrl (hPanel, CTRL_SQUARE_LED, "DmaAck", 233, 71));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_CONSTANT_NAME, "STAT_REG_10"));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_WIDTH, 50));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_HEIGHT, 17));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_STAT_REG_10));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_ON_COLOR, VAL_YELLOW));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_TOP, 233));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_LEFT, 24));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: ROD_LIST_FILE
    errChk(ROD_LIST_FILE = NewCtrl (hPanel, CTRL_STRING, "", 496, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_CONSTANT_NAME, "LIST_FILE"));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_CALLBACK_FUNCTION_POINTER, sendList));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_FRAME_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_BGCOLOR, 0XB0B0B0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_DFLT_VALUE, ""));
    errChk(DefaultCtrl (hPanel, ROD_LIST_FILE));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_MAX_ENTRY_LENGTH, -1));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_WIDTH, 186));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_TOP, 476));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_LEFT, 208));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_HSCROLL_OFFSET, 0));
//  errChk(DSBindCtrl (hPanel, ROD_LIST_FILE, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_SEND_LIST
    errChk(ROD_SEND_LIST = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "SEND PRIM LIST", 521, 59));
    errChk(SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_CONSTANT_NAME, "SEND_LIST"));
//  errChk(SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_CALLBACK_FUNCTION_POINTER, sendList));
    errChk(SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_CTRL_MODE, VAL_HOT));
    errChk(SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_LABEL_COLOR, 0X000066));
    errChk(SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_SEND_LIST));
    errChk(SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
//  errChk(SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_HEIGHT, 23));
    errChk(SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_WIDTH, 127));

    // Build control: ROD_ROD_REV
    errChk(ROD_ROD_REV = NewCtrl (hPanel, CTRL_NUMERIC, "ROD Revision", 39, 199));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_CONSTANT_NAME, "ROD_REV"));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_WIDTH, 71));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_TEXT_POINT_SIZE, 13));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_INCR_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_CHECK_RANGE, VAL_NOTIFY));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_PADDING, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_ROD_REV));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_TOP, 25));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_LEFT, 196));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_ROD_REV, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_ROD_SN
    errChk(ROD_ROD_SN = NewCtrl (hPanel, CTRL_NUMERIC, "ROD S/N", 39, 130));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_CONSTANT_NAME, "ROD_SN"));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_WIDTH, 50));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_TEXT_POINT_SIZE, 13));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_INCR_VALUE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_FORMAT, VAL_DECIMAL_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_CHECK_RANGE, VAL_NOTIFY));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_PADDING, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_ROD_SN));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_TOP, 25));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_LEFT, 139));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_ROD_SN, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_ROD_STAT_REG0
    errChk(ROD_ROD_STAT_REG0 = NewCtrl (hPanel, CTRL_NUMERIC, "Status0", 117, 18));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_CONSTANT_NAME, "ROD_STAT_REG0"));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_FRAME_COLOR, 0X009933));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_WIDTH, 46));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_INCR_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_PRECISION, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_CHECK_RANGE, VAL_IGNORE));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_ROD_STAT_REG0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_SHOW_INCDEC_ARROWS, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_WIDTH, 70));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_TOP, 101));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_LEFT, 31));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_ROD_STAT_REG0, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_LIST_REPEAT_COUNTER
    errChk(ROD_LIST_REPEAT_COUNTER = NewCtrl (hPanel, CTRL_NUMERIC, "Counter", 448, 109));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_CONSTANT_NAME, "LIST_REPEAT_COUNTER"));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_FRAME_COLOR, 0X006699));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_WIDTH, 40));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_INCR_VALUE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_FORMAT, VAL_DECIMAL_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_PRECISION, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_CHECK_RANGE, VAL_IGNORE));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_PADDING, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_SHOW_RADIX, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_LIST_REPEAT_COUNTER));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_SHOW_INCDEC_ARROWS, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_WIDTH, 55));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_TOP, 432));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_LEFT, 117));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_LIST_REPEAT_COUNTER, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_NUMBER_OF_LIST_REP
    errChk(ROD_NUMBER_OF_LIST_REP = NewCtrl (hPanel, CTRL_NUMERIC, "Repetitions", 448, 47));
    errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_CONSTANT_NAME, "NUMBER_OF_LIST_REP"));
//  errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_CALLBACK_FUNCTION_POINTER, changeNumberOfListRep));
    errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_FRAME_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_WIDTH, 56));
    errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_INCR_VALUE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_FORMAT, VAL_DECIMAL_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_PRECISION, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_CHECK_RANGE, VAL_IGNORE));
//  errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_PADDING, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_SHOW_RADIX, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_NUMBER_OF_LIST_REP));
//  errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_SHOW_INCDEC_ARROWS, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_WIDTH, 60));
    errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_TOP, 432));
    errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_LEFT, 51));
    errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_NUMBER_OF_LIST_REP, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_RESET_REP_NUM
    errChk(ROD_RESET_REP_NUM = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Stop", 472, 63));
    errChk(SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_CONSTANT_NAME, "RESET_REP_NUM"));
//  errChk(SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_CALLBACK_FUNCTION_POINTER, hostOptions));
    errChk(SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_RESET_REP_NUM));
    errChk(SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_HEIGHT, 18));
    errChk(SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_WIDTH, 36));

    // Build control: ROD_STAT_REG_3
    errChk(ROD_STAT_REG_3 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Paused", 184, 71));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_CONSTANT_NAME, "STAT_REG_3"));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_WIDTH, 39));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_STAT_REG_3));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_ON_COLOR, 0XFFFF33));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_TOP, 184));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_LEFT, 31));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: ROD_STAT_REG_2
    errChk(ROD_STAT_REG_2 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Executing", 169, 71));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_CONSTANT_NAME, "STAT_REG_2"));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_WIDTH, 50));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_HEIGHT, 18));
//  errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_STAT_REG_2));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_TOP, 168));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_LEFT, 20));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_SIZE_TO_TEXT, 0));

    // Build control: ROD_SLAVE3
    errChk(ROD_SLAVE3 = NewCtrl (hPanel, CTRL_ROUND_LED, "3", 73, 121));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_CONSTANT_NAME, "SLAVE3"));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_WIDTH, 10));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_SLAVE3));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_HEIGHT, 20));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_WIDTH, 20));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_TOP, 75));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_LEFT, 126));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_SLAVE2
    errChk(ROD_SLAVE2 = NewCtrl (hPanel, CTRL_ROUND_LED, "2", 73, 101));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_CONSTANT_NAME, "SLAVE2"));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_WIDTH, 10));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_SLAVE2));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_HEIGHT, 20));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_WIDTH, 20));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_TOP, 75));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_LEFT, 106));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_SLAVE1
    errChk(ROD_SLAVE1 = NewCtrl (hPanel, CTRL_ROUND_LED, "1", 73, 81));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_CONSTANT_NAME, "SLAVE1"));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_WIDTH, 10));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_SLAVE1));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_HEIGHT, 20));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_WIDTH, 20));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_TOP, 75));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_LEFT, 86));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_SLAVE0
    errChk(ROD_SLAVE0 = NewCtrl (hPanel, CTRL_ROUND_LED, "0", 73, 61));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_CONSTANT_NAME, "SLAVE0"));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_WIDTH, 10));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_SLAVE0));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_HEIGHT, 20));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_WIDTH, 20));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_TOP, 75));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_LEFT, 66));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_ROD_STAT_REG1
    errChk(ROD_ROD_STAT_REG1 = NewCtrl (hPanel, CTRL_NUMERIC, "Status1", 345, 19));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_CONSTANT_NAME, "ROD_STAT_REG1"));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_FRAME_COLOR, 0X009933));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_WIDTH, 46));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_INCR_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_PRECISION, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_CHECK_RANGE, VAL_IGNORE));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_ROD_STAT_REG1));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_WIDTH, 70));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_TOP, 330));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_LEFT, 34));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_ROD_STAT_REG1, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_LIST_INDEX
    errChk(ROD_LIST_INDEX = NewCtrl (hPanel, CTRL_NUMERIC, "List Index", 345, 93));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_CONSTANT_NAME, "LIST_INDEX"));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_FRAME_COLOR, 0X006699));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_WIDTH, 58));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_INCR_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_PRECISION, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_CHECK_RANGE, VAL_IGNORE));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_LIST_INDEX));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_WIDTH, 70));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_TOP, 330));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_LEFT, 101));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_LIST_INDEX, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_READ_STATUS
    errChk(ROD_READ_STATUS = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "READ STATUS", 378, 63));
    errChk(SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_CONSTANT_NAME, "READ_STATUS"));
//  errChk(SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_CALLBACK_FUNCTION_POINTER, hostOptions));
    errChk(SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_CTRL_MODE, VAL_HOT));
//  errChk(SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_READ_STATUS));
    errChk(SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_CMD_BUTTON_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_WIDTH, 80));

    // Build control: ROD_SLOT_NUMBER
    errChk(ROD_SLOT_NUMBER = NewCtrl (hPanel, CTRL_NUMERIC, "Slot#", 38, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_CONSTANT_NAME, "SLOT_NUMBER"));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_WIDTH, 28));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_TEXT_COLOR, 0XFFFF99));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_TEXT_POINT_SIZE, 13));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_TEXT_BGCOLOR, 0X006699));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_MAX_VALUE, 21));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_MIN_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_INCR_VALUE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_FORMAT, VAL_DECIMAL_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_CHECK_RANGE, VAL_NOTIFY));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_PADDING, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_SHOW_RADIX, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_DFLT_VALUE, 1));
    errChk(DefaultCtrl (hPanel, ROD_SLOT_NUMBER));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_WIDTH, 30));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_TOP, 25));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_LEFT, 10));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_SLOT_NUMBER, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_XFERBUFF_READRQ_OPT
    errChk(ROD_XFERBUFF_READRQ_OPT = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 318, 150));
    errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_CONSTANT_NAME, "XFERBUFF_READRQ_OPT"));
//  errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_CALLBACK_FUNCTION_POINTER, hostOptions));
    errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_BGCOLOR, 0XB0B0B0));
//  errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_TEXT_POINT_SIZE, 8));
//  errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_XFERBUFF_READRQ_OPT));
    errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_ON_COLOR, 0XFF9966));
    errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_OFF_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_ON_TEXT, "EN"));
    errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_OFF_TEXT, "DIS"));
    errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_WIDTH, 24));
    errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_TOP, 297));
    errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_LEFT, 133));
    errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_WIN_SIZE
    errChk(ROD_WIN_SIZE = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 37, 368));
    errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_CONSTANT_NAME, "WIN_SIZE"));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_CALLBACK_FUNCTION_POINTER, hostOptions));
    errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_BGCOLOR, 0XB0B0B0));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_TEXT_POINT_SIZE, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_DFLT_VALUE, 1));
    errChk(DefaultCtrl (hPanel, ROD_WIN_SIZE));
    errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_ON_COLOR, 0XFF9966));
    errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_OFF_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_ON_TEXT, "<<"));
    errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_OFF_TEXT, ">>"));
    errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_HEIGHT, 22));
    errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_WIDTH, 24));
    errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_TOP, 22));
    errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_LEFT, 351));
    errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_ERRBUFF_READRQ_OPT
    errChk(ROD_ERRBUFF_READRQ_OPT = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 270, 150));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_CONSTANT_NAME, "ERRBUFF_READRQ_OPT"));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_CALLBACK_FUNCTION_POINTER, hostOptions));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_BGCOLOR, 0XB0B0B0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_TEXT_POINT_SIZE, 8));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_ERRBUFF_READRQ_OPT));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_ON_COLOR, 0XFF9966));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_OFF_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_ON_TEXT, "EN"));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_OFF_TEXT, "DIS"));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_WIDTH, 24));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_TOP, 249));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_LEFT, 133));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_INFOBUFF_READRQ_OPT
    errChk(ROD_INFOBUFF_READRQ_OPT = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 286, 150));
    errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_CONSTANT_NAME, "INFOBUFF_READRQ_OPT"));
//  errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_CALLBACK_FUNCTION_POINTER, hostOptions));
    errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_BGCOLOR, 0XB0B0B0));
//  errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_TEXT_POINT_SIZE, 8));
//  errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_INFOBUFF_READRQ_OPT));
    errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_ON_COLOR, 0XFF9966));
    errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_OFF_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_ON_TEXT, "EN"));
    errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_OFF_TEXT, "DIS"));
    errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_WIDTH, 24));
    errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_TOP, 265));
    errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_LEFT, 133));
    errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_DIAGBUFF_READRQ_OPT
    errChk(ROD_DIAGBUFF_READRQ_OPT = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 302, 150));
    errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_CONSTANT_NAME, "DIAGBUFF_READRQ_OPT"));
//  errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_CALLBACK_FUNCTION_POINTER, hostOptions));
    errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_BGCOLOR, 0XB0B0B0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_TEXT_POINT_SIZE, 8));
//  errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_DIAGBUFF_READRQ_OPT));
    errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_ON_COLOR, 0XFF9966));
    errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_OFF_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_ON_TEXT, "EN"));
    errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_OFF_TEXT, "DIS"));
    errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_WIDTH, 24));
    errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_TOP, 281));
    errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_LEFT, 133));
    errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_DMA_REQ_BUTTON
    errChk(ROD_DMA_REQ_BUTTON = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 234, 150));
    errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_CONSTANT_NAME, "DMA_REQ_BUTTON"));
    errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_VISIBLE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_CALLBACK_FUNCTION_POINTER, hostOptions));
    errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_DIMMED, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_POINT_SIZE, 7));
//  errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_WIDTH, 6));
    errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_HEIGHT, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_BGCOLOR, 0XB0B0B0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_TEXT_POINT_SIZE, 8));
//  errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_DMA_REQ_BUTTON));
    errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_ON_COLOR, 0XFF9966));
    errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_OFF_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_ON_TEXT, "ON"));
    errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_OFF_TEXT, "OFF"));
    errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_WIDTH, 24));
    errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_TOP, 213));
    errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_LEFT, 133));
    errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_RESUME_BUTTON
    errChk(ROD_RESUME_BUTTON = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 169, 150));
    errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_CONSTANT_NAME, "RESUME_BUTTON"));
//  errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_CALLBACK_FUNCTION_POINTER, hostOptions));
    errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_POINT_SIZE, 7));
//  errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_WIDTH, 6));
    errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_HEIGHT, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_BGCOLOR, 0XB0B0B0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_TEXT_POINT_SIZE, 8));
//  errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_RESUME_BUTTON));
    errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_ON_COLOR, 0XFF9966));
    errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_OFF_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_ON_TEXT, "ON"));
    errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_OFF_TEXT, "OFF"));
    errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_WIDTH, 24));
    errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_TOP, 148));
    errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_LEFT, 133));
    errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_PAUSE_BUTTON
    errChk(ROD_PAUSE_BUTTON = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 185, 150));
    errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_CONSTANT_NAME, "PAUSE_BUTTON"));
//  errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_CALLBACK_FUNCTION_POINTER, hostOptions));
    errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_POINT_SIZE, 7));
//  errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_WIDTH, 6));
    errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_HEIGHT, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_BGCOLOR, 0XB0B0B0));
//  errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_TEXT_POINT_SIZE, 8));
//  errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_PAUSE_BUTTON));
    errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_ON_COLOR, 0XFF9966));
    errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_OFF_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_ON_TEXT, "ON"));
    errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_OFF_TEXT, "OFF"));
    errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_WIDTH, 24));
    errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_TOP, 164));
    errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_LEFT, 133));
    errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_ABORT_BUTTON
    errChk(ROD_ABORT_BUTTON = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 146, 150));
    errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_CONSTANT_NAME, "ABORT_BUTTON"));
//  errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_CALLBACK_FUNCTION_POINTER, hostOptions));
    errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_BGCOLOR, 0XB0B0B0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_TEXT_POINT_SIZE, 8));
//  errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_ABORT_BUTTON));
    errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE));
    errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_ON_COLOR, 0XFF9966));
    errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_OFF_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_ON_TEXT, "ON"));
    errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_OFF_TEXT, "OFF"));
    errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_WIDTH, 24));
    errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_TOP, 125));
    errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_LEFT, 133));
    errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_HOST_RUNNING
    errChk(ROD_HOST_RUNNING = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 37, 48));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_CONSTANT_NAME, "HOST_RUNNING"));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_CALLBACK_FUNCTION_POINTER, hostEnabledAndInit));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_BGCOLOR, 0XB8C7C9));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_TEXT_POINT_SIZE, 10));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_HOST_RUNNING));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_ON_COLOR, 0X32E768));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_OFF_COLOR, 0XF4342F));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_ON_TEXT, "ENABLED"));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_OFF_TEXT, "DISABLED"));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_HEIGHT, 23));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_WIDTH, 74));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_TOP, 16));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_LEFT, 31));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_MDSP_SP0
    errChk(ROD_MDSP_SP0 = NewCtrl (hPanel, CTRL_RING, "", 122, 196));
    errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_CONSTANT_NAME, "MDSP_SP0"));
//  errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_DATA_TYPE, VAL_INTEGER));
    errChk(InsertListItem (hPanel, ROD_MDSP_SP0, 0, "TIM", 1));
    errChk(InsertListItem (hPanel, ROD_MDSP_SP0, 1, "MDSP-SP0", 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_FRAME_COLOR, 0XB8C7C9));
//  errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_TEXT_BGCOLOR, 0XC7D2D3));
//  errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_DFLT_INDEX, 0));
    errChk(DefaultCtrl (hPanel, ROD_MDSP_SP0));
    errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_WIDTH, 60));
    errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_TOP, 107));
    errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_LEFT, 205));
    errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Build control: ROD_MEMORY
    errChk(ROD_MEMORY = NewCtrl (hPanel, CTRL_RING, "InMem Size", 39, 320));
    errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_CONSTANT_NAME, "MEMORY"));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_DATA_TYPE, VAL_INTEGER));
    errChk(InsertListItem (hPanel, ROD_MEMORY, 0, "32k", 1));
    errChk(InsertListItem (hPanel, ROD_MEMORY, 1, "4k", 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_FRAME_COLOR, 0XD4D0C8));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_WIDTH, 58));
    errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_TEXT_POINT_SIZE, 13));
    errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_DFLT_INDEX, 1));
    errChk(DefaultCtrl (hPanel, ROD_MEMORY));
    errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_WIDTH, 41));
    errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_TOP, 24));
    errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_LEFT, 312));
    errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Build control: ROD_PIXEL_NOT_SCT
    errChk(ROD_PIXEL_NOT_SCT = NewCtrl (hPanel, CTRL_RING, "Type", 39, 268));
    errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_CONSTANT_NAME, "PIXEL_NOT_SCT"));
//  errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_DATA_TYPE, VAL_INTEGER));
    errChk(InsertListItem (hPanel, ROD_PIXEL_NOT_SCT, 0, "SCT", 0));
    errChk(InsertListItem (hPanel, ROD_PIXEL_NOT_SCT, 1, "Pixel", 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_FRAME_COLOR, 0XD4D0C8));
//  errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_WIDTH, 27));
    errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_TEXT_POINT_SIZE, 13));
    errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_DFLT_INDEX, 1));
    errChk(DefaultCtrl (hPanel, ROD_PIXEL_NOT_SCT));
    errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_WIDTH, 48));
    errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_TOP, 24));
    errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_LEFT, 277));
    errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Build control: ROD_TEST_PATH
    errChk(ROD_TEST_PATH = NewCtrl (hPanel, CTRL_SQUARE_LED, "Test", 77, 320));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_CONSTANT_NAME, "TEST_PATH"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_WIDTH, 24));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_TEST_PATH));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_ON_COLOR, 0XFFE26F));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_TOP, 78));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_LEFT, 338));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_TRAP_EN_DSP3
    errChk(ROD_TRAP_EN_DSP3 = NewCtrl (hPanel, CTRL_SQUARE_LED, "3", 417, 195));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_CONSTANT_NAME, "TRAP_EN_DSP3"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_WIDTH, 10));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_TRAP_EN_DSP3));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_HEIGHT, 18));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_WIDTH, 18));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_TOP, 418));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_LEFT, 199));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_TRAP_EN_DSP2
    errChk(ROD_TRAP_EN_DSP2 = NewCtrl (hPanel, CTRL_SQUARE_LED, "2", 398, 195));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_CONSTANT_NAME, "TRAP_EN_DSP2"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_WIDTH, 10));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_TRAP_EN_DSP2));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_HEIGHT, 18));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_WIDTH, 18));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_TOP, 400));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_LEFT, 199));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_TRAP_EN_DSP1
    errChk(ROD_TRAP_EN_DSP1 = NewCtrl (hPanel, CTRL_SQUARE_LED, "1", 379, 195));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_CONSTANT_NAME, "TRAP_EN_DSP1"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_WIDTH, 10));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_TRAP_EN_DSP1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_HEIGHT, 18));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_WIDTH, 18));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_TOP, 381));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_LEFT, 199));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_TRAP_LD3
    errChk(ROD_TRAP_LD3 = NewCtrl (hPanel, CTRL_ROUND_LED, "", 418, 304));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_CONSTANT_NAME, "TRAP_LD3"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_TRAP_LD3));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_TOP, 404));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_LEFT, 308));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_TRAP_FF3
    errChk(ROD_TRAP_FF3 = NewCtrl (hPanel, CTRL_ROUND_LED, "", 418, 288));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_CONSTANT_NAME, "TRAP_FF3"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_TRAP_FF3));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_ON_COLOR, 0XF4342F));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_TOP, 404));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_LEFT, 292));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_TRAP_LD2
    errChk(ROD_TRAP_LD2 = NewCtrl (hPanel, CTRL_ROUND_LED, "", 399, 304));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_CONSTANT_NAME, "TRAP_LD2"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_TRAP_LD2));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_TOP, 385));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_LEFT, 308));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_TRAP_EF3
    errChk(ROD_TRAP_EF3 = NewCtrl (hPanel, CTRL_ROUND_LED, "", 418, 272));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_CONSTANT_NAME, "TRAP_EF3"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_TRAP_EF3));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_TOP, 404));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_LEFT, 276));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_TRAP_LD1
    errChk(ROD_TRAP_LD1 = NewCtrl (hPanel, CTRL_ROUND_LED, "", 380, 304));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_CONSTANT_NAME, "TRAP_LD1"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_TRAP_LD1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_TOP, 366));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_LEFT, 308));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_TRAP_FF2
    errChk(ROD_TRAP_FF2 = NewCtrl (hPanel, CTRL_ROUND_LED, "", 399, 288));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_CONSTANT_NAME, "TRAP_FF2"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_TRAP_FF2));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_ON_COLOR, 0XF4342F));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_TOP, 385));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_LEFT, 292));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_TRAP_LD0
    errChk(ROD_TRAP_LD0 = NewCtrl (hPanel, CTRL_ROUND_LED, "LD", 361, 304));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_CONSTANT_NAME, "TRAP_LD0"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_TRAP_LD0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_TOP, 346));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_LEFT, 304));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_TRAP_ON3
    errChk(ROD_TRAP_ON3 = NewCtrl (hPanel, CTRL_ROUND_LED, "", 418, 257));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_CONSTANT_NAME, "TRAP_ON3"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_TRAP_ON3));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_TOP, 404));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_LEFT, 261));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_TRAP_FF1
    errChk(ROD_TRAP_FF1 = NewCtrl (hPanel, CTRL_ROUND_LED, "", 380, 288));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_CONSTANT_NAME, "TRAP_FF1"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_TRAP_FF1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_ON_COLOR, 0XF4342F));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_TOP, 366));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_LEFT, 292));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_TRAP_EF2
    errChk(ROD_TRAP_EF2 = NewCtrl (hPanel, CTRL_ROUND_LED, "", 399, 272));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_CONSTANT_NAME, "TRAP_EF2"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_TRAP_EF2));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_TOP, 385));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_LEFT, 276));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_TRAP_FF0
    errChk(ROD_TRAP_FF0 = NewCtrl (hPanel, CTRL_ROUND_LED, "FF", 361, 288));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_CONSTANT_NAME, "TRAP_FF0"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_COLOR, 0X990000));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_TRAP_FF0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_ON_COLOR, 0XF4342F));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_TOP, 346));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_LEFT, 289));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_TRAP_ON2
    errChk(ROD_TRAP_ON2 = NewCtrl (hPanel, CTRL_ROUND_LED, "", 399, 257));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_CONSTANT_NAME, "TRAP_ON2"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_TRAP_ON2));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_TOP, 385));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_LEFT, 261));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_TRAP_EF1
    errChk(ROD_TRAP_EF1 = NewCtrl (hPanel, CTRL_ROUND_LED, "", 380, 272));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_CONSTANT_NAME, "TRAP_EF1"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_TRAP_EF1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_TOP, 366));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_LEFT, 276));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_TRAP_ON1
    errChk(ROD_TRAP_ON1 = NewCtrl (hPanel, CTRL_ROUND_LED, "", 380, 257));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_CONSTANT_NAME, "TRAP_ON1"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_TRAP_ON1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_TOP, 366));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_LEFT, 261));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_TRAP_EF0
    errChk(ROD_TRAP_EF0 = NewCtrl (hPanel, CTRL_ROUND_LED, "EF", 361, 272));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_CONSTANT_NAME, "TRAP_EF0"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_WIDTH, 16));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_TRAP_EF0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_TOP, 346));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_LEFT, 272));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_TRAP_ON0
    errChk(ROD_TRAP_ON0 = NewCtrl (hPanel, CTRL_ROUND_LED, "On", 361, 257));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_CONSTANT_NAME, "TRAP_ON0"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_TRAP_ON0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_TOP, 346));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_LEFT, 256));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_TRAP_EN_DSP0
    errChk(ROD_TRAP_EN_DSP0 = NewCtrl (hPanel, CTRL_SQUARE_LED, "0", 360, 195));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_CONSTANT_NAME, "TRAP_EN_DSP0"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_WIDTH, 10));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_TRAP_EN_DSP0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_HEIGHT, 18));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_WIDTH, 18));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_TOP, 361));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_LEFT, 199));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_EVID_ERROR
    errChk(ROD_EVID_ERROR = NewCtrl (hPanel, CTRL_ROUND_LED, "Event ID Empty Error", 254, 273));
    errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_CONSTANT_NAME, "EVID_ERROR"));
//  errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_WIDTH, 102));
    errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_EVID_ERROR));
    errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_ON_COLOR, 0XF4342F));
    errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_TOP, 254));
    errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_LEFT, 288));
    errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_EM_FULL_1
    errChk(ROD_EM_FULL_1 = NewCtrl (hPanel, CTRL_ROUND_LED, "FF", 486, 347));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_CONSTANT_NAME, "EM_FULL_1"));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_COLOR, 0X990000));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_EM_FULL_1));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_ON_COLOR, 0XF4342F));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_TOP, 486));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_LEFT, 362));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_EM_EMPTY_1
    errChk(ROD_EM_EMPTY_1 = NewCtrl (hPanel, CTRL_ROUND_LED, "EF", 486, 316));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_CONSTANT_NAME, "EM_EMPTY_1"));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_COLOR, 0X006600));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_WIDTH, 16));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_EM_EMPTY_1));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_TOP, 486));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_LEFT, 330));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_EM_FULL_0
    errChk(ROD_EM_FULL_0 = NewCtrl (hPanel, CTRL_ROUND_LED, "FF", 470, 347));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_CONSTANT_NAME, "EM_FULL_0"));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_COLOR, 0X990000));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_EM_FULL_0));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_ON_COLOR, 0XF4342F));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_TOP, 470));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_LEFT, 362));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_EM_EMPTY_0
    errChk(ROD_EM_EMPTY_0 = NewCtrl (hPanel, CTRL_ROUND_LED, "EF", 470, 316));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_CONSTANT_NAME, "EM_EMPTY_0"));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_COLOR, 0X006600));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_WIDTH, 16));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_EM_EMPTY_0));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_TOP, 470));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_LEFT, 330));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_FIFO_EFB_FULL
    errChk(ROD_FIFO_EFB_FULL = NewCtrl (hPanel, CTRL_ROUND_LED, "FF", 254, 214));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_CONSTANT_NAME, "FIFO_EFB_FULL"));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_COLOR, 0X990000));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_FIFO_EFB_FULL));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_ON_COLOR, 0XF4342F));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_TOP, 253));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_LEFT, 255));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_FIFO_1_FULL
    errChk(ROD_FIFO_1_FULL = NewCtrl (hPanel, CTRL_ROUND_LED, "FF", 222, 283));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_CONSTANT_NAME, "FIFO_1_FULL"));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_COLOR, 0X990000));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_FIFO_1_FULL));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_ON_COLOR, 0XF4342F));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_TOP, 222));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_LEFT, 333));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_FIFO_0_FULL
    errChk(ROD_FIFO_0_FULL = NewCtrl (hPanel, CTRL_ROUND_LED, "FF", 222, 213));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_CONSTANT_NAME, "FIFO_0_FULL"));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_COLOR, 0X990000));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_FIFO_0_FULL));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_ON_COLOR, 0XF4342F));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_TOP, 222));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_LEFT, 264));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_ALL_ZERO
    errChk(ROD_ALL_ZERO = NewCtrl (hPanel, CTRL_ROUND_LED, "All Zero", 177, 296));
    errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_CONSTANT_NAME, "ALL_ZERO"));
//  errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_WIDTH, 39));
    errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_ALL_ZERO));
    errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_ON_COLOR, 0XFFE26F));
    errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_TOP, 177));
    errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_LEFT, 311));
    errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_ROD_BUSY_0
    errChk(ROD_ROD_BUSY_0 = NewCtrl (hPanel, CTRL_SQUARE_LED, "A", 547, 195));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_CONSTANT_NAME, "ROD_BUSY_0"));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_WIDTH, 10));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_ROD_BUSY_0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_ON_COLOR, 0XFF7553));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_TOP, 548));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_LEFT, 199));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_ROD_BUSY_1
    errChk(ROD_ROD_BUSY_1 = NewCtrl (hPanel, CTRL_SQUARE_LED, "B", 547, 211));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_CONSTANT_NAME, "ROD_BUSY_1"));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_WIDTH, 10));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_ROD_BUSY_1));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_ON_COLOR, 0XFF7553));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_TOP, 548));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_LEFT, 215));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_HT_LIMIT_0
    errChk(ROD_HT_LIMIT_0 = NewCtrl (hPanel, CTRL_SQUARE_LED, "A", 532, 195));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_CONSTANT_NAME, "HT_LIMIT_0"));
//  errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_WIDTH, 10));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_HT_LIMIT_0));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_ON_COLOR, 0XFFE26F));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_TOP, 533));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_LEFT, 199));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_HT_LIMIT_1
    errChk(ROD_HT_LIMIT_1 = NewCtrl (hPanel, CTRL_SQUARE_LED, "B", 532, 211));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_CONSTANT_NAME, "HT_LIMIT_1"));
//  errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_WIDTH, 10));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_HT_LIMIT_1));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_ON_COLOR, 0XFFE26F));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_TOP, 533));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_LEFT, 215));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_TEST_BENCH_RUN
    errChk(ROD_TEST_BENCH_RUN = NewCtrl (hPanel, CTRL_ROUND_LED, "Run", 315, 296));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_CONSTANT_NAME, "TEST_BENCH_RUN"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_WIDTH, 23));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_TEST_BENCH_RUN));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_ON_COLOR, 0XFFE26F));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_TOP, 315));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_LEFT, 311));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_DEBUG_FIFO
    errChk(ROD_DEBUG_FIFO = NewCtrl (hPanel, CTRL_ROUND_LED, "Debug FIFO I/O", 460, 197));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_CONSTANT_NAME, "DEBUG_FIFO"));
//  errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_WIDTH, 80));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_DEBUG_FIFO));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_TOP, 460));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_LEFT, 212));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_TEST_BENCH
    errChk(ROD_TEST_BENCH = NewCtrl (hPanel, CTRL_ROUND_LED, "Test Bench I/O", 315, 196));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_CONSTANT_NAME, "TEST_BENCH"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_WIDTH, 77));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_TEST_BENCH));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_TOP, 315));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_LEFT, 211));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_EFB_DM
    errChk(ROD_EFB_DM = NewCtrl (hPanel, CTRL_ROUND_LED, "EFB DynMask Encoder", 238, 196));
    errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_CONSTANT_NAME, "EFB_DM"));
//  errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_WIDTH, 114));
    errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_EFB_DM));
    errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_TOP, 238));
    errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_LEFT, 212));
    errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_FORM_MB
    errChk(ROD_FORM_MB = NewCtrl (hPanel, CTRL_ROUND_LED, "Formatter ModeBits Encoder", 207, 196));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_CONSTANT_NAME, "FORM_MB"));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_WIDTH, 137));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_FORM_MB));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_TOP, 207));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_LEFT, 211));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_CAL_SIGNAL_DEC
    errChk(ROD_CAL_SIGNAL_DEC = NewCtrl (hPanel, CTRL_ROUND_LED, "Cal Signal Decoder", 193, 236));
    errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_CONSTANT_NAME, "CAL_SIGNAL_DEC"));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_WIDTH, 94));
    errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_CAL_SIGNAL_DEC));
    errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_TOP, 193));
    errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_LEFT, 252));
    errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_TRG_SIGNAL_DEC
    errChk(ROD_TRG_SIGNAL_DEC = NewCtrl (hPanel, CTRL_ROUND_LED, "TIM", 192, 196));
    errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_CONSTANT_NAME, "TRG_SIGNAL_DEC"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_WIDTH, 22));
    errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_TRG_SIGNAL_DEC));
    errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_TOP, 192));
    errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_LEFT, 211));
    errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_CMD_MASK_READY
    errChk(ROD_CMD_MASK_READY = NewCtrl (hPanel, CTRL_ROUND_LED, "Mask", 123, 359));
    errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_CONSTANT_NAME, "CMD_MASK_READY"));
//  errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_WIDTH, 29));
    errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_CMD_MASK_READY));
    errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_OFF_COLOR, VAL_RED));
    errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_TOP, 107));
    errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_LEFT, 355));
    errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_FE_CMD_PULSE_COUNT
    errChk(ROD_FE_CMD_PULSE_COUNT = NewCtrl (hPanel, CTRL_ROUND_LED, "FE CMD Pulse Counter", 161, 196));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_CONSTANT_NAME, "FE_CMD_PULSE_COUNT"));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_WIDTH, 112));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_FE_CMD_PULSE_COUNT));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_TOP, 161));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_LEFT, 211));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_FE_OCCUP
    errChk(ROD_FE_OCCUP = NewCtrl (hPanel, CTRL_ROUND_LED, "FE Occ Counters", 176, 196));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_CONSTANT_NAME, "FE_OCCUP"));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_WIDTH, 84));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_FE_OCCUP));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_TOP, 176));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_LEFT, 211));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_FE_CMD_PLS_COUNTER
    errChk(ROD_FE_CMD_PLS_COUNTER = NewCtrl (hPanel, CTRL_NUMERIC, "", 160, 324));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_CONSTANT_NAME, "FE_CMD_PLS_COUNTER"));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_FRAME_COLOR, 0XD4D0C8));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_INCR_VALUE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_FORMAT, VAL_DECIMAL_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_CHECK_RANGE, VAL_NOTIFY));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_PADDING, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_FE_CMD_PLS_COUNTER));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_SHOW_INCDEC_ARROWS, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_WIDTH, 33));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_TOP, 145));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_LEFT, 326));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_FE_CMD_PLS_COUNTER, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_INTERNAL_TIM
    errChk(ROD_INTERNAL_TIM = NewCtrl (hPanel, CTRL_ROUND_LED, "Int TIM En", 505, 197));
    errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_CONSTANT_NAME, "INTERNAL_TIM"));
//  errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_WIDTH, 53));
    errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_INTERNAL_TIM));
    errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_OFF_COLOR, 0XBBBFC6));
    errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_TOP, 505));
    errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_LEFT, 213));
    errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_IN_MEM
    errChk(ROD_IN_MEM = NewCtrl (hPanel, CTRL_ROUND_LED, "InMem En", 475, 197));
    errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_CONSTANT_NAME, "IN_MEM"));
//  errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_WIDTH, 51));
    errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_IN_MEM));
    errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_OFF_COLOR, 0XBBBFC6));
    errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_TOP, 475));
    errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_LEFT, 213));
    errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_DEBUG_MEM
    errChk(ROD_DEBUG_MEM = NewCtrl (hPanel, CTRL_ROUND_LED, "DebugMem En", 490, 197));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_CONSTANT_NAME, "DEBUG_MEM"));
//  errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_WIDTH, 74));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_DEBUG_MEM));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_OFF_COLOR, 0XBBBFC6));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_TOP, 490));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_LEFT, 212));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_CORR_TRIGGER
    errChk(ROD_CORR_TRIGGER = NewCtrl (hPanel, CTRL_ROUND_LED, "CorrTrig En", 520, 276));
    errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_CONSTANT_NAME, "CORR_TRIGGER"));
//  errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_WIDTH, 56));
    errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_CORR_TRIGGER));
    errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_OFF_COLOR, 0XBBBFC6));
    errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_TOP, 520));
    errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_LEFT, 291));
    errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_FORM_MB_EFB
    errChk(ROD_FORM_MB_EFB = NewCtrl (hPanel, CTRL_ROUND_LED, "FMB/EFBDM En", 504, 276));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_CONSTANT_NAME, "FORM_MB_EFB"));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_WIDTH, 83));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_FORM_MB_EFB));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_TOP, 504));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_LEFT, 292));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_FE_CMD_OUT
    errChk(ROD_FE_CMD_OUT = NewCtrl (hPanel, CTRL_ROUND_LED, "FE CMD OUT Enabled", 103, 196));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_CONSTANT_NAME, "FE_CMD_OUT"));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_WIDTH, 111));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_FE_CMD_OUT));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_ON_COLOR, 0X00CC00));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_TOP, 104));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_LEFT, 214));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_DATA_PATH
    errChk(ROD_DATA_PATH = NewCtrl (hPanel, CTRL_SQUARE_LED, "Data", 77, 205));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_CONSTANT_NAME, "DATA_PATH"));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_WIDTH, 26));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_DATA_PATH));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_ON_COLOR, 0XFFE26F));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_HEIGHT, 17));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_WIDTH, 17));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_TOP, 78));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_LEFT, 223));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_MASK1_1
    errChk(ROD_MASK1_1 = NewCtrl (hPanel, CTRL_NUMERIC, "MDSP-SP1", 141, 257));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_CONSTANT_NAME, "MASK1_1"));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_FRAME_COLOR, 0XD4D0C8));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_WIDTH, 57));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_MAX_VALUE, 65535));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_INCR_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_PADDING, 4));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_MASK1_1));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_WIDTH, 42));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_TOP, 144));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_LEFT, 198));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_MASK1_1, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_MASK0_1
    errChk(ROD_MASK0_1 = NewCtrl (hPanel, CTRL_NUMERIC, "", 122, 257));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_CONSTANT_NAME, "MASK0_1"));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_FRAME_COLOR, 0XD4D0C8));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_MAX_VALUE, 65535));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_INCR_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_PADDING, 4));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_MASK0_1));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_WIDTH, 42));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_TOP, 108));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_LEFT, 255));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_MASK0_1, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_MASK1_0
    errChk(ROD_MASK1_0 = NewCtrl (hPanel, CTRL_NUMERIC, "", 141, 290));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_CONSTANT_NAME, "MASK1_0"));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_FRAME_COLOR, 0XD4D0C8));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_BGCOLOR, 0XB8C7C9));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_INCR_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_MASK1_0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_WIDTH, 67));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_TOP, 123));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_LEFT, 301));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_MASK1_0, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_MASK0_0
    errChk(ROD_MASK0_0 = NewCtrl (hPanel, CTRL_NUMERIC, "", 122, 290));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_CONSTANT_NAME, "MASK0_0"));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_FRAME_COLOR, 0XD4D0C8));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_HEIGHT, 14));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_INCR_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_MASK0_0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_WIDTH, 67));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_TOP, 113));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_LEFT, 286));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_MASK0_0, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TRAP3
    errChk(ROD_TRAP3 = NewCtrl (hPanel, CTRL_RING, "", 416, 215));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_CONSTANT_NAME, "TRAP3"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_DATA_TYPE, VAL_INTEGER));
    errChk(InsertListItem (hPanel, ROD_TRAP3, 0, "NONE", 0));
    errChk(InsertListItem (hPanel, ROD_TRAP3, 1, "ATLAS", 1));
    errChk(InsertListItem (hPanel, ROD_TRAP3, 2, "TIM", 2));
    errChk(InsertListItem (hPanel, ROD_TRAP3, 3, "ROD", 4));
    errChk(InsertListItem (hPanel, ROD_TRAP3, 4, "ALL", 8));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_FRAME_COLOR, VAL_LT_GRAY));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_TEXT_BGCOLOR, 0XF7F7F7));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_DFLT_INDEX, 0));
    errChk(DefaultCtrl (hPanel, ROD_TRAP3));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_WIDTH, 42));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_TOP, 401));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_LEFT, 220));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Build control: ROD_TRAP2
    errChk(ROD_TRAP2 = NewCtrl (hPanel, CTRL_RING, "", 397, 215));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_CONSTANT_NAME, "TRAP2"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_DATA_TYPE, VAL_INTEGER));
    errChk(InsertListItem (hPanel, ROD_TRAP2, 0, "NONE", 0));
    errChk(InsertListItem (hPanel, ROD_TRAP2, 1, "ATLAS", 1));
    errChk(InsertListItem (hPanel, ROD_TRAP2, 2, "TIM", 2));
    errChk(InsertListItem (hPanel, ROD_TRAP2, 3, "ROD", 4));
    errChk(InsertListItem (hPanel, ROD_TRAP2, 4, "ALL", 8));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_FRAME_COLOR, VAL_LT_GRAY));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_TEXT_BGCOLOR, 0XF7F7F7));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_DFLT_INDEX, 0));
    errChk(DefaultCtrl (hPanel, ROD_TRAP2));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_WIDTH, 42));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_TOP, 382));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_LEFT, 220));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Build control: ROD_TRAP1
    errChk(ROD_TRAP1 = NewCtrl (hPanel, CTRL_RING, "", 378, 215));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_CONSTANT_NAME, "TRAP1"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_DATA_TYPE, VAL_INTEGER));
    errChk(InsertListItem (hPanel, ROD_TRAP1, 0, "NONE", 0));
    errChk(InsertListItem (hPanel, ROD_TRAP1, 1, "ATLAS", 1));
    errChk(InsertListItem (hPanel, ROD_TRAP1, 2, "TIM", 2));
    errChk(InsertListItem (hPanel, ROD_TRAP1, 3, "ROD", 4));
    errChk(InsertListItem (hPanel, ROD_TRAP1, 4, "ALL", 8));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_FRAME_COLOR, VAL_LT_GRAY));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_TEXT_BGCOLOR, 0XF7F7F7));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_DFLT_INDEX, 0));
    errChk(DefaultCtrl (hPanel, ROD_TRAP1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_WIDTH, 42));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_TOP, 363));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_LEFT, 220));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Build control: ROD_MODE
    errChk(ROD_MODE = NewCtrl (hPanel, CTRL_RING, "", 77, 252));
    errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_CONSTANT_NAME, "MODE"));
//  errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_DATA_TYPE, VAL_INTEGER));
    errChk(InsertListItem (hPanel, ROD_MODE, 0, "MODE 0", 0));
    errChk(InsertListItem (hPanel, ROD_MODE, 1, "MODE 1", 1));
    errChk(InsertListItem (hPanel, ROD_MODE, 2, "MODE 2", 2));
    errChk(InsertListItem (hPanel, ROD_MODE, 3, "MODE 3", 3));
    errChk(InsertListItem (hPanel, ROD_MODE, 4, "MODE 4", 4));
    errChk(InsertListItem (hPanel, ROD_MODE, 5, "MODE 5", 5));
    errChk(InsertListItem (hPanel, ROD_MODE, 6, "MODE 6", 6));
    errChk(InsertListItem (hPanel, ROD_MODE, 7, "MODE 7", 7));
    errChk(InsertListItem (hPanel, ROD_MODE, 8, "MODE 8", 8));
    errChk(InsertListItem (hPanel, ROD_MODE, 9, "MODE 9", 9));
    errChk(InsertListItem (hPanel, ROD_MODE, 10, "MODE 10", 10));
    errChk(InsertListItem (hPanel, ROD_MODE, 11, "MODE 11", 11));
    errChk(InsertListItem (hPanel, ROD_MODE, 12, "MODE 12", 12));
    errChk(InsertListItem (hPanel, ROD_MODE, 13, "MODE 13", 13));
    errChk(InsertListItem (hPanel, ROD_MODE, 14, "MODE 14", 14));
    errChk(InsertListItem (hPanel, ROD_MODE, 15, "MODE 15", 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_FRAME_COLOR, VAL_LT_GRAY));
//  errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_TEXT_BGCOLOR, 0XF7F7F7));
//  errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_DFLT_INDEX, 0));
    errChk(DefaultCtrl (hPanel, ROD_MODE));
    errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_WIDTH, 52));
    errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_TOP, 62));
    errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_LEFT, 259));
    errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Build control: ROD_FORMAT3
    errChk(ROD_FORMAT3 = NewCtrl (hPanel, CTRL_RING, "", 417, 320));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_CONSTANT_NAME, "FORMAT3"));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_DATA_TYPE, VAL_INTEGER));
    errChk(InsertListItem (hPanel, ROD_FORMAT3, 0, "S-link/Event", 0));
    errChk(InsertListItem (hPanel, ROD_FORMAT3, 1, "Error/Event", 1));
    errChk(InsertListItem (hPanel, ROD_FORMAT3, 2, "S-link/Data", 2));
    errChk(InsertListItem (hPanel, ROD_FORMAT3, 3, "Error/Data", 3));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_FRAME_COLOR, VAL_LT_GRAY));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_TEXT_BGCOLOR, 0XF7F7F7));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_DFLT_INDEX, 0));
    errChk(DefaultCtrl (hPanel, ROD_FORMAT3));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_WIDTH, 55));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_TOP, 402));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_LEFT, 331));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Build control: ROD_FORMAT2
    errChk(ROD_FORMAT2 = NewCtrl (hPanel, CTRL_RING, "", 398, 320));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_CONSTANT_NAME, "FORMAT2"));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_DATA_TYPE, VAL_INTEGER));
    errChk(InsertListItem (hPanel, ROD_FORMAT2, 0, "S-link/Event", 0));
    errChk(InsertListItem (hPanel, ROD_FORMAT2, 1, "Error/Event", 1));
    errChk(InsertListItem (hPanel, ROD_FORMAT2, 2, "S-link/Data", 2));
    errChk(InsertListItem (hPanel, ROD_FORMAT2, 3, "Error/Data", 3));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_FRAME_COLOR, VAL_LT_GRAY));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_TEXT_BGCOLOR, 0XF7F7F7));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_DFLT_INDEX, 0));
    errChk(DefaultCtrl (hPanel, ROD_FORMAT2));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_WIDTH, 55));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_TOP, 383));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_LEFT, 331));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Build control: ROD_FORMAT1
    errChk(ROD_FORMAT1 = NewCtrl (hPanel, CTRL_RING, "", 379, 320));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_CONSTANT_NAME, "FORMAT1"));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_DATA_TYPE, VAL_INTEGER));
    errChk(InsertListItem (hPanel, ROD_FORMAT1, 0, "S-link/Event", 0));
    errChk(InsertListItem (hPanel, ROD_FORMAT1, 1, "Error/Event", 1));
    errChk(InsertListItem (hPanel, ROD_FORMAT1, 2, "S-link/Data", 2));
    errChk(InsertListItem (hPanel, ROD_FORMAT1, 3, "Error/Data", 3));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_FRAME_COLOR, VAL_LT_GRAY));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_TEXT_BGCOLOR, 0XF7F7F7));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_DFLT_INDEX, 0));
    errChk(DefaultCtrl (hPanel, ROD_FORMAT1));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_WIDTH, 55));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_TOP, 364));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_LEFT, 331));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Build control: ROD_FORMAT0
    errChk(ROD_FORMAT0 = NewCtrl (hPanel, CTRL_RING, "Format", 360, 320));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_CONSTANT_NAME, "FORMAT0"));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_DATA_TYPE, VAL_INTEGER));
    errChk(InsertListItem (hPanel, ROD_FORMAT0, 0, "S-link/Event", 0));
    errChk(InsertListItem (hPanel, ROD_FORMAT0, 1, "Error/Event", 1));
    errChk(InsertListItem (hPanel, ROD_FORMAT0, 2, "S-link/Data", 2));
    errChk(InsertListItem (hPanel, ROD_FORMAT0, 3, "Error/Data", 3));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_FRAME_COLOR, VAL_LT_GRAY));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_WIDTH, 35));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_TEXT_BGCOLOR, 0XF7F7F7));
//  errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_DFLT_INDEX, 0));
    errChk(DefaultCtrl (hPanel, ROD_FORMAT0));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_WIDTH, 55));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_TOP, 345));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_LEFT, 331));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Build control: ROD_TRAP0
    errChk(ROD_TRAP0 = NewCtrl (hPanel, CTRL_RING, "Trap", 360, 215));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_CONSTANT_NAME, "TRAP0"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_DATA_TYPE, VAL_INTEGER));
    errChk(InsertListItem (hPanel, ROD_TRAP0, 0, "NONE", 0));
    errChk(InsertListItem (hPanel, ROD_TRAP0, 1, "ATLAS", 1));
    errChk(InsertListItem (hPanel, ROD_TRAP0, 2, "TIM", 2));
    errChk(InsertListItem (hPanel, ROD_TRAP0, 3, "ROD", 4));
    errChk(InsertListItem (hPanel, ROD_TRAP0, 4, "ALL", 8));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_FRAME_COLOR, VAL_LT_GRAY));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_WIDTH, 25));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_TEXT_BGCOLOR, 0XF7F7F7));
//  errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_DFLT_INDEX, 0));
    errChk(DefaultCtrl (hPanel, ROD_TRAP0));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_WIDTH, 42));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_TOP, 345));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_LEFT, 222));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Build control: ROD_HOST_INDEX
    errChk(ROD_HOST_INDEX = NewCtrl (hPanel, CTRL_NUMERIC, "HostIndex", 45, 19));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_CONSTANT_NAME, "HOST_INDEX"));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_VISIBLE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_COLOR, VAL_WHITE));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_WIDTH, 51));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_TEXT_POINT_SIZE, 13));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_MAX_VALUE, 21));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_INCR_VALUE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_FORMAT, VAL_DECIMAL_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_CHECK_RANGE, VAL_NOTIFY));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_PADDING, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_SHOW_RADIX, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_HOST_INDEX));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_WIDTH, 30));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_TOP, 31));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_LEFT, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_HOST_INDEX, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_POLL_RFIELD_WIDTH
    errChk(ROD_POLL_RFIELD_WIDTH = NewCtrl (hPanel, CTRL_NUMERIC, "Width", 669, 147));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_CONSTANT_NAME, "POLL_RFIELD_WIDTH"));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_FRAME_COLOR, 0X0099CC));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_WIDTH, 31));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_POLL_RFIELD_WIDTH));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_TOP, 655));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_LEFT, 166));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_POLL_RFIELD_WIDTH, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_LINK
    errChk(ROD_LINK = NewCtrl (hPanel, CTRL_NUMERIC, "Link", 644, 611));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_CONSTANT_NAME, "LINK"));
//  errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_FRAME_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_WIDTH, 27));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_TEXT_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_MAX_VALUE, 95));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_INCR_VALUE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_FORMAT, VAL_DECIMAL_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_PRECISION, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_CHECK_RANGE, VAL_COERCE));
//  errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_PADDING, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_LINK));
//  errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_SHOW_INCDEC_ARROWS, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_WIDTH, 62));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_TOP, 629));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_LEFT, 632));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_LINK, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_SAMPLES
    errChk(ROD_SAMPLES = NewCtrl (hPanel, CTRL_NUMERIC, "Samples", 682, 611));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_CONSTANT_NAME, "SAMPLES"));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_FRAME_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_WIDTH, 50));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_MAX_VALUE, 67108864));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_MIN_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_INCR_VALUE, 256));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_PRECISION, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_CHECK_RANGE, VAL_COERCE));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_DFLT_VALUE, 1048576));
    errChk(DefaultCtrl (hPanel, ROD_SAMPLES));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_WIDTH, 62));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_TOP, 667));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_LEFT, 617));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_SAMPLES, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_POLL_RFIELD_OBJECT_ID
    errChk(ROD_POLL_RFIELD_OBJECT_ID = NewCtrl (hPanel, CTRL_NUMERIC, "ObjectId", 636, 148));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_CONSTANT_NAME, "POLL_RFIELD_OBJECT_ID"));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_FRAME_COLOR, 0X0099CC));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_WIDTH, 43));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_POLL_RFIELD_OBJECT_ID));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_TOP, 622));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_LEFT, 162));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_POLL_RFIELD_OBJECT_ID, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_POLL_RFIELD_OFFSET
    errChk(ROD_POLL_RFIELD_OFFSET = NewCtrl (hPanel, CTRL_NUMERIC, "Offset", 636, 214));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_CONSTANT_NAME, "POLL_RFIELD_OFFSET"));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_FRAME_COLOR, 0X0099CC));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_WIDTH, 31));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_POLL_RFIELD_OFFSET));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_TOP, 622));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_LEFT, 234));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_POLL_RFIELD_OFFSET, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_DESIRED_VALUE
    errChk(ROD_DESIRED_VALUE = NewCtrl (hPanel, CTRL_NUMERIC, "DesiredValue", 669, 214));
    errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_CONSTANT_NAME, "DESIRED_VALUE"));
//  errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_FRAME_COLOR, 0X0099CC));
    errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_WIDTH, 66));
    errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_INCR_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_DESIRED_VALUE));
    errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_TOP, 655));
    errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_LEFT, 215));
    errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_DESIRED_VALUE, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_POLL_RFIELD_INDEX
    errChk(ROD_POLL_RFIELD_INDEX = NewCtrl (hPanel, CTRL_NUMERIC, "ListIndex", 605, 148));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_CONSTANT_NAME, "POLL_RFIELD_INDEX"));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_WIDTH, 45));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_INCR_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_POLL_RFIELD_INDEX));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_TOP, 591));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_LEFT, 160));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_POLL_RFIELD_INDEX, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_POLL_RFIELD_TIME
    errChk(ROD_POLL_RFIELD_TIME = NewCtrl (hPanel, CTRL_STRING, "Time", 605, 214));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_CONSTANT_NAME, "POLL_RFIELD_TIME"));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_WIDTH, 26));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_DFLT_VALUE, ""));
    errChk(DefaultCtrl (hPanel, ROD_POLL_RFIELD_TIME));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_MAX_ENTRY_LENGTH, -1));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_TOP, 591));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_LEFT, 232));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_HSCROLL_OFFSET, 0));
//  errChk(DSBindCtrl (hPanel, ROD_POLL_RFIELD_TIME, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEST_RESULT
    errChk(ROD_TEST_RESULT = NewCtrl (hPanel, CTRL_NUMERIC, "TestResult", 679, 299));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_CONSTANT_NAME, "TEST_RESULT"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_FRAME_COLOR, 0X0099CC));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_WIDTH, 54));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_TEXT_COLOR, VAL_YELLOW));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_TEXT_BGCOLOR, 0X003366));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_INCR_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_TEST_RESULT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_TOP, 666));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_LEFT, 304));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEST_RESULT, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TGR_INDEX
    errChk(ROD_TGR_INDEX = NewCtrl (hPanel, CTRL_NUMERIC, "ListIndex", 606, 298));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_CONSTANT_NAME, "TGR_INDEX"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_WIDTH, 45));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_INCR_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_TGR_INDEX));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_TOP, 592));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_LEFT, 310));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TGR_INDEX, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TGR_TIME
    errChk(ROD_TGR_TIME = NewCtrl (hPanel, CTRL_STRING, "Time", 641, 298));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_CONSTANT_NAME, "TGR_TIME"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_WIDTH, 26));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_DFLT_VALUE, ""));
    errChk(DefaultCtrl (hPanel, ROD_TGR_TIME));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_MAX_ENTRY_LENGTH, -1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_TOP, 627));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_LEFT, 316));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_HSCROLL_OFFSET, 0));
//  errChk(DSBindCtrl (hPanel, ROD_TGR_TIME, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_WIDTH
    errChk(ROD_WIDTH = NewCtrl (hPanel, CTRL_NUMERIC, "Width", 669, 5));
    errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_CONSTANT_NAME, "WIDTH"));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_FRAME_COLOR, 0X0099CC));
    errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_WIDTH, 31));
    errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_WIDTH));
    errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_TOP, 655));
    errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_LEFT, 24));
    errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_WIDTH, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_OBJECT_ID
    errChk(ROD_OBJECT_ID = NewCtrl (hPanel, CTRL_NUMERIC, "ObjectId", 636, 6));
    errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_CONSTANT_NAME, "OBJECT_ID"));
//  errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_FRAME_COLOR, 0X0099CC));
    errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_WIDTH, 43));
    errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_OBJECT_ID));
    errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_TOP, 622));
    errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_LEFT, 20));
    errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_OBJECT_ID, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_OFFSET
    errChk(ROD_OFFSET = NewCtrl (hPanel, CTRL_NUMERIC, "Offset", 636, 72));
    errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_CONSTANT_NAME, "OFFSET"));
//  errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_FRAME_COLOR, 0X0099CC));
    errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_WIDTH, 31));
    errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_INCR_VALUE, 4));
    errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_OFFSET));
    errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_TOP, 622));
    errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_LEFT, 92));
    errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_OFFSET, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_DATA_OUT
    errChk(ROD_DATA_OUT = NewCtrl (hPanel, CTRL_NUMERIC, "DataOut", 669, 72));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_CONSTANT_NAME, "DATA_OUT"));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_FRAME_COLOR, 0X0099CC));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_WIDTH, 43));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_TEXT_COLOR, VAL_YELLOW));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_TEXT_BGCOLOR, 0X003366));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_INCR_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_DATA_OUT));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_TOP, 655));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_LEFT, 83));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_DATA_OUT, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_RWFIELD_INDEX
    errChk(ROD_RWFIELD_INDEX = NewCtrl (hPanel, CTRL_NUMERIC, "ListIndex", 605, 6));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_CONSTANT_NAME, "RWFIELD_INDEX"));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_WIDTH, 45));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_INCR_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_RWFIELD_INDEX));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_TOP, 591));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_LEFT, 18));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_RWFIELD_INDEX, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_RWFIELD_TIME
    errChk(ROD_RWFIELD_TIME = NewCtrl (hPanel, CTRL_STRING, "Time", 605, 72));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_CONSTANT_NAME, "RWFIELD_TIME"));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_WIDTH, 26));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_DFLT_VALUE, ""));
    errChk(DefaultCtrl (hPanel, ROD_RWFIELD_TIME));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_MAX_ENTRY_LENGTH, -1));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_TOP, 591));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_LEFT, 90));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_HSCROLL_OFFSET, 0));
//  errChk(DSBindCtrl (hPanel, ROD_RWFIELD_TIME, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_ERRMSG_MASK
    errChk(ROD_ERRMSG_MASK = NewCtrl (hPanel, CTRL_NUMERIC, "ErrmsgMask", 668, 385));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_CONSTANT_NAME, "ERRMSG_MASK"));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_DATA_TYPE, VAL_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_FRAME_COLOR, 0X0099CC));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_WIDTH, 61));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_MAX_VALUE, 2147483647));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_INCR_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_ERRMSG_MASK));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_TOP, 654));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_LEFT, 388));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_ERRMSG_MASK, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_ERRMSGMASK_INDEX
    errChk(ROD_ERRMSGMASK_INDEX = NewCtrl (hPanel, CTRL_NUMERIC, "ListIndex", 605, 384));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_CONSTANT_NAME, "ERRMSGMASK_INDEX"));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_WIDTH, 45));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_INCR_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_ERRMSGMASK_INDEX));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_TOP, 591));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_LEFT, 396));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_ERRMSGMASK_INDEX, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_ERRMSGMASK_TIME
    errChk(ROD_ERRMSGMASK_TIME = NewCtrl (hPanel, CTRL_STRING, "Time", 635, 385));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_CONSTANT_NAME, "ERRMSGMASK_TIME"));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_WIDTH, 26));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_DFLT_VALUE, ""));
    errChk(DefaultCtrl (hPanel, ROD_ERRMSGMASK_TIME));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_MAX_ENTRY_LENGTH, -1));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_TOP, 622));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_LEFT, 402));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_HSCROLL_OFFSET, 0));
//  errChk(DSBindCtrl (hPanel, ROD_ERRMSGMASK_TIME, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_MEM_TEST_START
    errChk(ROD_MEM_TEST_START = NewCtrl (hPanel, CTRL_NUMERIC, "StartAddr", 638, 465));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_CONSTANT_NAME, "MEM_TEST_START"));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_FRAME_COLOR, 0X0099CC));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_WIDTH, 47));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_INCR_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_MEM_TEST_START));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_TOP, 624));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_LEFT, 475));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_MEM_TEST_START, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_MEM_TEST_RETURN_CODE
    errChk(ROD_MEM_TEST_RETURN_CODE = NewCtrl (hPanel, CTRL_NUMERIC, "ReturnCode", 674, 492));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_CONSTANT_NAME, "MEM_TEST_RETURN_CODE"));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_FRAME_COLOR, 0X0099CC));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_WIDTH, 60));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_TEXT_COLOR, 0XFFFF33));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_TEXT_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_TEXT_BGCOLOR, 0X003366));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_INCR_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_CHECK_RANGE, VAL_NOTIFY));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_PADDING, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_MEM_TEST_RETURN_CODE));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_WIDTH, 75));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_TOP, 660));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_LEFT, 501));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_MEM_TEST_RETURN_CODE, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_MEM_TEST_SIZE
    errChk(ROD_MEM_TEST_SIZE = NewCtrl (hPanel, CTRL_NUMERIC, "MemorySize", 638, 532));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_CONSTANT_NAME, "MEM_TEST_SIZE"));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_FRAME_COLOR, 0X0099CC));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_WIDTH, 60));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_INCR_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_MEM_TEST_SIZE));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_TOP, 624));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_LEFT, 534));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_MEM_TEST_SIZE, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_MEM_TEST_INDEX
    errChk(ROD_MEM_TEST_INDEX = NewCtrl (hPanel, CTRL_NUMERIC, "ListIndex", 605, 466));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_CONSTANT_NAME, "MEM_TEST_INDEX"));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_WIDTH, 45));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_MAX_VALUE, -1));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_INCR_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_FORMAT, VAL_HEX_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_CHECK_RANGE, VAL_NOTIFY));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_PADDING, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_MEM_TEST_INDEX));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_TOP, 591));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_LEFT, 478));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_MEM_TEST_INDEX, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_MEM_TEST_TIME
    errChk(ROD_MEM_TEST_TIME = NewCtrl (hPanel, CTRL_STRING, "Time", 605, 532));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_CONSTANT_NAME, "MEM_TEST_TIME"));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_WIDTH, 26));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_DFLT_VALUE, ""));
    errChk(DefaultCtrl (hPanel, ROD_MEM_TEST_TIME));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_MAX_ENTRY_LENGTH, -1));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_WIDTH, 65));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_TOP, 591));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_LEFT, 548));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_HSCROLL_OFFSET, 0));
//  errChk(DSBindCtrl (hPanel, ROD_MEM_TEST_TIME, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_OVERFLOW
    errChk(ROD_OVERFLOW = NewCtrl (hPanel, CTRL_ROUND_LED, "Overflow", 610, 763));
    errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_CONSTANT_NAME, "OVERFLOW"));
//  errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_WIDTH, 45));
    errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_OVERFLOW));
    errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_ON_COLOR, VAL_RED));
    errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_HEIGHT, 20));
    errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_WIDTH, 20));
    errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_TOP, 596));
    errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_LEFT, 750));
    errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_NOT_FOUND
    errChk(ROD_NOT_FOUND = NewCtrl (hPanel, CTRL_ROUND_LED, "NotFound", 690, 221));
    errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_CONSTANT_NAME, "NOT_FOUND"));
//  errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_WIDTH, 50));
    errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_NOT_FOUND));
    errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_ON_COLOR, VAL_RED));
    errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_HEIGHT, 20));
    errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_WIDTH, 20));
    errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_TOP, 692));
    errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_LEFT, 170));
    errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_RWREG_DISP
    errChk(ROD_RWREG_DISP = NewCtrl (hPanel, CTRL_CHECK_BOX, "", 580, 6));
    errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_CONSTANT_NAME, "RWREG_DISP"));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_RWREG_DISP));
    errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_ON_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_OFF_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_TOP, 579));
    errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_LEFT, 24));
    errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_TOTAL_TIME
    errChk(ROD_TOTAL_TIME = NewCtrl (hPanel, CTRL_NUMERIC, "Total Time", 682, 745));
    errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_CONSTANT_NAME, "TOTAL_TIME"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_DATA_TYPE, VAL_DOUBLE));
//  errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_FRAME_COLOR, 0X0099CC));
    errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_WIDTH, 53));
    errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_MAX_VALUE, HUGE_VAL));
    errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_MIN_VALUE, -HUGE_VAL));
    errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_INCR_VALUE, 1.000000));
    errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_PRECISION, 3));
//  errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_CHECK_RANGE, VAL_NOTIFY));
//  errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_PADDING, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_DFLT_VALUE, 0.000000));
    errChk(DefaultCtrl (hPanel, ROD_TOTAL_TIME));
    errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_WIDTH, 50));
    errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_TOP, 667));
    errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_LEFT, 744));
    errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TOTAL_TIME, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_SAMPLING_TIME
    errChk(ROD_SAMPLING_TIME = NewCtrl (hPanel, CTRL_NUMERIC, "SamplTime", 644, 746));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_CONSTANT_NAME, "SAMPLING_TIME"));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_DATA_TYPE, VAL_DOUBLE));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_FRAME_COLOR, 0X0099CC));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_WIDTH, 55));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_MAX_VALUE, HUGE_VAL));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_MIN_VALUE, -HUGE_VAL));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_INCR_VALUE, 1.000000));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_PRECISION, 3));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_CHECK_RANGE, VAL_NOTIFY));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_PADDING, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_SHOW_RADIX, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_DFLT_VALUE, 0.000000));
    errChk(DefaultCtrl (hPanel, ROD_SAMPLING_TIME));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_WIDTH, 50));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_TOP, 629));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_LEFT, 744));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_SAMPLING_TIME, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_SAVE_DATA
    errChk(ROD_SAVE_DATA = NewCtrl (hPanel, CTRL_CHECK_BOX, "SaveData", 646, 698));
    errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_CONSTANT_NAME, "SAVE_DATA"));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_WIDTH, 51));
    errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_SAVE_DATA));
    errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_ON_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_OFF_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_HEIGHT, 16));
    errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_WIDTH, 16));
    errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_TOP, 630));
    errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_LEFT, 682));
    errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_POLL_DISP
    errChk(ROD_POLL_DISP = NewCtrl (hPanel, CTRL_CHECK_BOX, "", 580, 148));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_CONSTANT_NAME, "POLL_DISP"));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_POLL_DISP));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_ON_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_OFF_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_TOP, 579));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_LEFT, 166));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_CAPTURE
    errChk(ROD_CAPTURE = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "Capture", 680, 677));
    errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_CONSTANT_NAME, "CAPTURE"));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_BOLD, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_WIDTH, 47));
    errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, ROD_CAPTURE));
//  errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_AUTO_SIZING, VAL_GROW_ONLY));
    errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_ON_COLOR, 0X32E768));
    errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_OFF_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_ON_TEXT, "ON"));
    errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_OFF_TEXT, "OFF"));
    errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_HEIGHT, 23));
    errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_WIDTH, 60));
    errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_TOP, 664));
    errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_LEFT, 683));
    errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_FEOCC_NOT_FIFOWC
    errChk(ROD_FEOCC_NOT_FIFOWC = NewCtrl (hPanel, CTRL_VSWITCH, "", 598, 638));
    errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_CONSTANT_NAME, "FEOCC_NOT_FIFOWC"));
//  errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_DATA_TYPE, VAL_INTEGER));
//  errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_CTRL_MODE, VAL_NORMAL));
//  errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_TEXT_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_DFLT_INDEX, 1));
    errChk(DefaultCtrl (hPanel, ROD_FEOCC_NOT_FIFOWC));
    errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_ON_VALUE, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_OFF_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_BINARY_SWITCH_COLOR, 0XCC9966));
    errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_ON_TEXT, "FE OccCnt"));
    errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_OFF_TEXT, "OutFifoWC"));
    errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_HEIGHT, 30));
    errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_TOP, 577));
    errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_LEFT, 618));
    errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: ROD_DECORATION_2
    errChk(ROD_DECORATION_2 = NewCtrl (hPanel, CTRL_RECESSED_BOX, "", 575, 379));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_2, ATTR_CONSTANT_NAME, "DECORATION_2"));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_2, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_2, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_2, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_2, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_2, ATTR_FRAME_COLOR, 0XD6D6D6));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_2, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_2, ATTR_HEIGHT, 140));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_2, ATTR_WIDTH, 80));

    // Build control: ROD_DECORATION_4
    errChk(ROD_DECORATION_4 = NewCtrl (hPanel, CTRL_RECESSED_BOX, "", 575, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_4, ATTR_CONSTANT_NAME, "DECORATION_4"));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_4, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_4, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_4, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_4, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_4, ATTR_FRAME_COLOR, 0XD6D6D6));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_4, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_4, ATTR_HEIGHT, 140));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_4, ATTR_WIDTH, 140));

    // Build control: ROD_TEXTMSG_13
    errChk(ROD_TEXTMSG_13 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 577, 163));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_CONSTANT_NAME, "TEXTMSG_13"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_TEXT_COLOR, 0X000066));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_TEXT_ITALIC, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_TEXT_UNDERLINE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_TEXT_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_DFLT_VALUE, " POLL REG FIELD "));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_13));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_WIDTH, 111));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_13, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_5
    errChk(ROD_TEXTMSG_5 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 577, 24));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_CONSTANT_NAME, "TEXTMSG_5"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_TEXT_COLOR, 0X000066));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_TEXT_ITALIC, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_TEXT_UNDERLINE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_TEXT_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_DFLT_VALUE, " RW REG FIELD "));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_5));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_WIDTH, 101));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_5, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_DECORATION_7
    errChk(ROD_DECORATION_7 = NewCtrl (hPanel, CTRL_RECESSED_BOX, "", 575, 143));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_7, ATTR_CONSTANT_NAME, "DECORATION_7"));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_7, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_7, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_7, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_7, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_7, ATTR_FRAME_COLOR, 0XD6D6D6));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_7, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_7, ATTR_HEIGHT, 140));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_7, ATTR_WIDTH, 140));

    // Build control: ROD_TEXTMSG_14
    errChk(ROD_TEXTMSG_14 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 577, 477));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_CONSTANT_NAME, "TEXTMSG_14"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_TEXT_COLOR, 0X000066));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_TEXT_ITALIC, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_TEXT_UNDERLINE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_TEXT_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_DFLT_VALUE, " MEMORY TEST"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_14));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_WIDTH, 97));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_14, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_DECORATION_8
    errChk(ROD_DECORATION_8 = NewCtrl (hPanel, CTRL_RECESSED_BOX, "", 575, 461));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_8, ATTR_CONSTANT_NAME, "DECORATION_8"));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_8, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_8, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_8, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_8, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_8, ATTR_FRAME_COLOR, 0XD6D6D6));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_8, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_8, ATTR_HEIGHT, 140));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_8, ATTR_WIDTH, 140));

    // Build control: ROD_TEXTMSG_16
    errChk(ROD_TEXTMSG_16 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 576, 633));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_CONSTANT_NAME, "TEXTMSG_16"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_TEXT_COLOR, 0X000066));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_TEXT_ITALIC, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_TEXT_UNDERLINE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_TEXT_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_DFLT_VALUE, "Capture FEOcc&OutFifoWC "));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_16));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_WIDTH, 161));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_16, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_2
    errChk(ROD_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 577, 381));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_TEXT_COLOR, 0X000066));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_TEXT_ITALIC, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_DFLT_VALUE, " ERR MASK "));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_2));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_WIDTH, 75));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_4
    errChk(ROD_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 645, 795));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_DFLT_VALUE, "s"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_4));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_WIDTH, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_17
    errChk(ROD_TEXTMSG_17 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 683, 794));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_CONSTANT_NAME, "TEXTMSG_17"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_DFLT_VALUE, "s"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_17));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_WIDTH, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_17, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_DECORATION_3
    errChk(ROD_DECORATION_3 = NewCtrl (hPanel, CTRL_RAISED_FRAME, "", 594, 741));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_3, ATTR_CONSTANT_NAME, "DECORATION_3"));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_3, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_3, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_3, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_3, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_3, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_3, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_3, ATTR_HEIGHT, 113));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_3, ATTR_WIDTH, 64));

    // Build control: ROD_DECORATION
    errChk(ROD_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 98, 5));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION, ATTR_CONSTANT_NAME, "DECORATION"));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION, ATTR_FRAME_COLOR, 0XB0B0B0));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION, ATTR_HEIGHT, 273));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION, ATTR_WIDTH, 176));

    // Build control: ROD_TEXTMSG_26
    errChk(ROD_TEXTMSG_26 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 147, 95));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_CONSTANT_NAME, "TEXTMSG_26"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_DFLT_VALUE, "3"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_26));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_SIZE_TO_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_26, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_21
    errChk(ROD_TEXTMSG_21 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 155, 75));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_CONSTANT_NAME, "TEXTMSG_21"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_DFLT_VALUE, "1"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_21));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_SIZE_TO_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_21, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_22
    errChk(ROD_TEXTMSG_22 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 140, 75));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_CONSTANT_NAME, "TEXTMSG_22"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_DFLT_VALUE, "0"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_22));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_SIZE_TO_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_22, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_24
    errChk(ROD_TEXTMSG_24 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 170, 75));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_CONSTANT_NAME, "TEXTMSG_24"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_DFLT_VALUE, "2"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_24));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_SIZE_TO_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_24, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_28
    errChk(ROD_TEXTMSG_28 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 200, 74));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_CONSTANT_NAME, "TEXTMSG_28"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_DFLT_VALUE, "4"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_28));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_SIZE_TO_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_28, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_27
    errChk(ROD_TEXTMSG_27 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 215, 75));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_CONSTANT_NAME, "TEXTMSG_27"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_DFLT_VALUE, "5"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_27));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_SIZE_TO_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_27, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_30
    errChk(ROD_TEXTMSG_30 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 271, 75));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_CONSTANT_NAME, "TEXTMSG_30"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_DFLT_VALUE, "8"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_30));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_SIZE_TO_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_30, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_29
    errChk(ROD_TEXTMSG_29 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 286, 75));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_CONSTANT_NAME, "TEXTMSG_29"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_DFLT_VALUE, "9"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_29));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_SIZE_TO_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_29, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_32
    errChk(ROD_TEXTMSG_32 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 301, 75));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_CONSTANT_NAME, "TEXTMSG_32"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_DFLT_VALUE, "A"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_32));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_SIZE_TO_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_32, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_31
    errChk(ROD_TEXTMSG_31 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 316, 75));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_CONSTANT_NAME, "TEXTMSG_31"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_DFLT_VALUE, "B"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_31));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_SIZE_TO_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_31, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_33
    errChk(ROD_TEXTMSG_33 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 215, 95));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_CONSTANT_NAME, "TEXTMSG_33"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_DFLT_VALUE, "0"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_33));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_SIZE_TO_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_33, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_34
    errChk(ROD_TEXTMSG_34 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 170, 95));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_CONSTANT_NAME, "TEXTMSG_34"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_DFLT_VALUE, "2"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_34));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_SIZE_TO_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_34, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_35
    errChk(ROD_TEXTMSG_35 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 271, 94));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_CONSTANT_NAME, "TEXTMSG_35"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_DFLT_VALUE, "4"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_35));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_SIZE_TO_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_35, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_36
    errChk(ROD_TEXTMSG_36 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 286, 95));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_CONSTANT_NAME, "TEXTMSG_36"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_DFLT_VALUE, "5"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_36));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_SIZE_TO_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_36, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_37
    errChk(ROD_TEXTMSG_37 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 301, 95));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_CONSTANT_NAME, "TEXTMSG_37"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_DFLT_VALUE, "6"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_37));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_SIZE_TO_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_37, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_38
    errChk(ROD_TEXTMSG_38 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 316, 95));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_CONSTANT_NAME, "TEXTMSG_38"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_DFLT_VALUE, "7"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_38));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_SIZE_TO_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_38, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_10
    errChk(ROD_TEXTMSG_10 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 76, 22));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_CONSTANT_NAME, "TEXTMSG_10"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_TEXT_COLOR, 0X000066));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_DFLT_VALUE, "SlvDSP"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_10));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_WIDTH, 40));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_10, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_41
    errChk(ROD_TEXTMSG_41 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 63, 252));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_CONSTANT_NAME, "TEXTMSG_41"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_TEXT_ITALIC, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_TEXT_UNDERLINE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_TEXT_BGCOLOR, 0XC4D0D2));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_DFLT_VALUE, "RodMode"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_41));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_WIDTH, 50));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_41, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_DECORATION_14
    errChk(ROD_DECORATION_14 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 70, 190));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_14, ATTR_CONSTANT_NAME, "DECORATION_14"));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_14, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_14, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_14, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_14, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_14, ATTR_FRAME_COLOR, 0XB8C7C9));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_14, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_14, ATTR_HEIGHT, 30));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_14, ATTR_WIDTH, 190));

    // Build control: ROD_TEXTMSG_47
    errChk(ROD_TEXTMSG_47 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 222, 299));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_CONSTANT_NAME, "TEXTMSG_47"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_DFLT_VALUE, "FIFO B"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_47));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_WIDTH, 36));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_47, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_23
    errChk(ROD_TEXTMSG_23 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 185, 75));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_CONSTANT_NAME, "TEXTMSG_23"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_DFLT_VALUE, "3"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_23));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_SIZE_TO_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_23, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_25
    errChk(ROD_TEXTMSG_25 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 185, 95));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_CONSTANT_NAME, "TEXTMSG_25"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_DFLT_VALUE, "1"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_25));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_SIZE_TO_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_25, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_9
    errChk(ROD_TEXTMSG_9 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 222, 229));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_CONSTANT_NAME, "TEXTMSG_9"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_DFLT_VALUE, "FIFO A"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_9));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_WIDTH, 36));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_9, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_40
    errChk(ROD_TEXTMSG_40 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 445, 249));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_CONSTANT_NAME, "TEXTMSG_40"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_TEXT_ITALIC, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_TEXT_UNDERLINE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_TEXT_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_TEXT_BGCOLOR, 0XC4D0D2));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_DFLT_VALUE, "FIFO Status"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_40));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_WIDTH, 70));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_40, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_8
    errChk(ROD_TEXTMSG_8 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 533, 229));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_CONSTANT_NAME, "TEXTMSG_8"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_DFLT_VALUE, "Header/Trailer Limit"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_8));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_WIDTH, 96));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_8, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_46
    errChk(ROD_TEXTMSG_46 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 455, 318));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_CONSTANT_NAME, "TEXTMSG_46"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_TEXT_ITALIC, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_TEXT_UNDERLINE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_DFLT_VALUE, "EventMem"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_46));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_WIDTH, 54));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_46, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_49
    errChk(ROD_TEXTMSG_49 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 472, 306));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_CONSTANT_NAME, "TEXTMSG_49"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_DFLT_VALUE, "A"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_49));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_WIDTH, 10));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_49, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_50
    errChk(ROD_TEXTMSG_50 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 489, 306));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_CONSTANT_NAME, "TEXTMSG_50"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_DFLT_VALUE, "B"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_50));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_WIDTH, 10));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_50, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_DECORATION_6
    errChk(ROD_DECORATION_6 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 452, 190));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_6, ATTR_CONSTANT_NAME, "DECORATION_6"));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_6, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_6, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_6, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_6, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_6, ATTR_FRAME_COLOR, 0XB8C7C9));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_6, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_6, ATTR_HEIGHT, 116));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_6, ATTR_WIDTH, 190));

    // Build control: ROD_DECORATION_5
    errChk(ROD_DECORATION_5 = NewCtrl (hPanel, CTRL_RAISED_BOX, "", 22, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_5, ATTR_CONSTANT_NAME, "DECORATION_5"));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_5, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_5, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_5, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_5, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_5, ATTR_FRAME_COLOR, 0XC4D0D2));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_5, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_5, ATTR_HEIGHT, 550));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_5, ATTR_WIDTH, 400));

    // Build control: ROD_DECORATION_9
    errChk(ROD_DECORATION_9 = NewCtrl (hPanel, CTRL_RECESSED_BOX, "", 575, 605));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_9, ATTR_CONSTANT_NAME, "DECORATION_9"));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_9, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_9, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_9, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_9, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_9, ATTR_FRAME_COLOR, 0XD6D6D6));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_9, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_9, ATTR_HEIGHT, 140));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_9, ATTR_WIDTH, 203));

    // Build control: ROD_TEXTMSG_54
    errChk(ROD_TEXTMSG_54 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 577, 288));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_CONSTANT_NAME, "TEXTMSG_54"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_TEXT_COLOR, 0X000066));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_TEXT_ITALIC, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_TEXT_UNDERLINE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_TEXT_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_DFLT_VALUE, "TestGlobalReg"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_54));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_WIDTH, 87));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_54, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_45
    errChk(ROD_TEXTMSG_45 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 548, 229));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_CONSTANT_NAME, "TEXTMSG_45"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_DFLT_VALUE, "Formatter FIFO Full"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_45));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_WIDTH, 92));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_45, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_48
    errChk(ROD_TEXTMSG_48 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 253, 229));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_CONSTANT_NAME, "TEXTMSG_48"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_DFLT_VALUE, "FIFO"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_48));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_WIDTH, 26));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_48, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_DECORATION_13
    errChk(ROD_DECORATION_13 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 340, 190));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_13, ATTR_CONSTANT_NAME, "DECORATION_13"));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_13, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_13, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_13, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_13, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_13, ATTR_FRAME_COLOR, 0XB8C7C9));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_13, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_13, ATTR_HEIGHT, 100));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_13, ATTR_WIDTH, 190));

    // Build control: ROD_TEXTMSG_39
    errChk(ROD_TEXTMSG_39 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 332, 213));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_CONSTANT_NAME, "TEXTMSG_39"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_TEXT_ITALIC, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_TEXT_UNDERLINE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_TEXT_POINT_SIZE, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_TEXT_BGCOLOR, 0XC4D0D2));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_DFLT_VALUE, "Router/DSP Trap Status"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_39));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_WIDTH, 142));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_39, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_3
    errChk(ROD_TEXTMSG_3 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 345, 196));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_CONSTANT_NAME, "TEXTMSG_3"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_DFLT_VALUE, "En"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_3));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_WIDTH, 16));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_3, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_53
    errChk(ROD_TEXTMSG_53 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 234, 94));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_CONSTANT_NAME, "TEXTMSG_53"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_DFLT_VALUE, "A"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_53));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_SIZE_TO_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_53, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_51
    errChk(ROD_TEXTMSG_51 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 234, 75));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_CONSTANT_NAME, "TEXTMSG_51"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_DFLT_VALUE, "6"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_51));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_SIZE_TO_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_51, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_TEXTMSG_52
    errChk(ROD_TEXTMSG_52 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 250, 75));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_CONSTANT_NAME, "TEXTMSG_52"));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_TEXT_FONT, VAL_APP_FONT));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_TEXT_POINT_SIZE, 9));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_DFLT_VALUE, "7"));
    errChk(DefaultCtrl (hPanel, ROD_TEXTMSG_52));
//  errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_TEXT_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_HEIGHT, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_WIDTH, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_SIZE_TO_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, ROD_TEXTMSG_52, "", VAL_DS_READ, NULL, NULL));

    // Build control: ROD_DECORATION_15
    errChk(ROD_DECORATION_15 = NewCtrl (hPanel, CTRL_RECESSED_BOX, "", 575, 287));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_15, ATTR_CONSTANT_NAME, "DECORATION_15"));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_15, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_15, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_15, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_15, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_15, ATTR_FRAME_COLOR, 0XD6D6D6));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_15, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_15, ATTR_HEIGHT, 140));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_15, ATTR_WIDTH, 90));

    // Set up ZPLANE order if necessary
    errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_ZPLANE_POSITION, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_ZPLANE_POSITION, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_ZPLANE_POSITION, 2));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_ZPLANE_POSITION, 3));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_ZPLANE_POSITION, 4));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_ZPLANE_POSITION, 5));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_ZPLANE_POSITION, 6));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_15, ATTR_ZPLANE_POSITION, 7));
    errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_ZPLANE_POSITION, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_ZPLANE_POSITION, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_ZPLANE_POSITION, 10));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_ZPLANE_POSITION, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_ZPLANE_POSITION, 12));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_ZPLANE_POSITION, 13));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_ZPLANE_POSITION, 14));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_ZPLANE_POSITION, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_ZPLANE_POSITION, 16));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_ZPLANE_POSITION, 17));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_ZPLANE_POSITION, 18));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_ZPLANE_POSITION, 19));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_ZPLANE_POSITION, 20));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_ZPLANE_POSITION, 21));
    errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_ZPLANE_POSITION, 22));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_ZPLANE_POSITION, 23));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_ZPLANE_POSITION, 24));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_ZPLANE_POSITION, 25));
    errChk(SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_ZPLANE_POSITION, 26));
    errChk(SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_ZPLANE_POSITION, 27));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_ZPLANE_POSITION, 28));
    errChk(SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_ZPLANE_POSITION, 29));
    errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_ZPLANE_POSITION, 30));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_ZPLANE_POSITION, 31));
    errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_ZPLANE_POSITION, 32));
    errChk(SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_ZPLANE_POSITION, 33));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_ZPLANE_POSITION, 34));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_ZPLANE_POSITION, 35));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_ZPLANE_POSITION, 36));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_ZPLANE_POSITION, 37));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_ZPLANE_POSITION, 38));
    errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_ZPLANE_POSITION, 39));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_ZPLANE_POSITION, 40));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_ZPLANE_POSITION, 41));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_ZPLANE_POSITION, 42));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_ZPLANE_POSITION, 43));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_ZPLANE_POSITION, 44));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_ZPLANE_POSITION, 45));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_ZPLANE_POSITION, 46));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_ZPLANE_POSITION, 47));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_ZPLANE_POSITION, 48));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_ZPLANE_POSITION, 49));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_ZPLANE_POSITION, 50));
    errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_ZPLANE_POSITION, 51));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_ZPLANE_POSITION, 52));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_ZPLANE_POSITION, 53));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_ZPLANE_POSITION, 54));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_ZPLANE_POSITION, 55));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_ZPLANE_POSITION, 56));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_ZPLANE_POSITION, 57));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_ZPLANE_POSITION, 58));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_ZPLANE_POSITION, 59));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_ZPLANE_POSITION, 60));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_ZPLANE_POSITION, 61));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_ZPLANE_POSITION, 62));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_ZPLANE_POSITION, 63));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_ZPLANE_POSITION, 64));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_ZPLANE_POSITION, 65));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_ZPLANE_POSITION, 66));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_ZPLANE_POSITION, 67));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_ZPLANE_POSITION, 68));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_ZPLANE_POSITION, 69));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_ZPLANE_POSITION, 70));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_ZPLANE_POSITION, 71));
    errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_ZPLANE_POSITION, 72));
    errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_ZPLANE_POSITION, 73));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_ZPLANE_POSITION, 74));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_ZPLANE_POSITION, 75));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_14, ATTR_ZPLANE_POSITION, 76));
    errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_ZPLANE_POSITION, 77));
    errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_ZPLANE_POSITION, 78));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_ZPLANE_POSITION, 79));
    errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_ZPLANE_POSITION, 80));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_ZPLANE_POSITION, 81));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_ZPLANE_POSITION, 82));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_ZPLANE_POSITION, 83));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_ZPLANE_POSITION, 84));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_ZPLANE_POSITION, 85));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_ZPLANE_POSITION, 86));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_ZPLANE_POSITION, 87));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_ZPLANE_POSITION, 88));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_ZPLANE_POSITION, 89));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_13, ATTR_ZPLANE_POSITION, 90));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_ZPLANE_POSITION, 91));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_ZPLANE_POSITION, 92));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_ZPLANE_POSITION, 93));
    errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_ZPLANE_POSITION, 94));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_ZPLANE_POSITION, 95));
    errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_ZPLANE_POSITION, 96));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_ZPLANE_POSITION, 97));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_ZPLANE_POSITION, 98));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_ZPLANE_POSITION, 99));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_ZPLANE_POSITION, 100));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_ZPLANE_POSITION, 101));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_ZPLANE_POSITION, 102));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_ZPLANE_POSITION, 103));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_6, ATTR_ZPLANE_POSITION, 104));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_ZPLANE_POSITION, 105));
    errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_ZPLANE_POSITION, 106));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_ZPLANE_POSITION, 107));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_ZPLANE_POSITION, 108));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_ZPLANE_POSITION, 109));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_ZPLANE_POSITION, 110));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_ZPLANE_POSITION, 111));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_ZPLANE_POSITION, 112));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_ZPLANE_POSITION, 113));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_ZPLANE_POSITION, 114));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_ZPLANE_POSITION, 115));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_ZPLANE_POSITION, 116));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_ZPLANE_POSITION, 117));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_ZPLANE_POSITION, 118));
    errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_ZPLANE_POSITION, 119));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_ZPLANE_POSITION, 120));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_ZPLANE_POSITION, 121));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_ZPLANE_POSITION, 122));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_ZPLANE_POSITION, 123));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_ZPLANE_POSITION, 124));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_ZPLANE_POSITION, 125));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_ZPLANE_POSITION, 126));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_ZPLANE_POSITION, 127));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_ZPLANE_POSITION, 128));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_ZPLANE_POSITION, 129));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_ZPLANE_POSITION, 130));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_ZPLANE_POSITION, 131));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_ZPLANE_POSITION, 132));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_ZPLANE_POSITION, 133));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_ZPLANE_POSITION, 134));
    errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_ZPLANE_POSITION, 135));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_ZPLANE_POSITION, 136));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_ZPLANE_POSITION, 137));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_ZPLANE_POSITION, 138));
    errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_ZPLANE_POSITION, 139));
    errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_ZPLANE_POSITION, 140));
    errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_ZPLANE_POSITION, 141));
    errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_ZPLANE_POSITION, 142));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION, ATTR_ZPLANE_POSITION, 143));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_ZPLANE_POSITION, 144));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_ZPLANE_POSITION, 145));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_ZPLANE_POSITION, 146));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_ZPLANE_POSITION, 147));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_ZPLANE_POSITION, 148));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_ZPLANE_POSITION, 149));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_ZPLANE_POSITION, 150));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_ZPLANE_POSITION, 151));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_ZPLANE_POSITION, 152));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_ZPLANE_POSITION, 153));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_ZPLANE_POSITION, 154));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_ZPLANE_POSITION, 155));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_ZPLANE_POSITION, 156));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_ZPLANE_POSITION, 157));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_ZPLANE_POSITION, 158));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_ZPLANE_POSITION, 159));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_ZPLANE_POSITION, 160));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_5, ATTR_ZPLANE_POSITION, 161));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_3, ATTR_ZPLANE_POSITION, 162));
    errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_ZPLANE_POSITION, 163));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_ZPLANE_POSITION, 164));
    errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_ZPLANE_POSITION, 165));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_ZPLANE_POSITION, 166));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_ZPLANE_POSITION, 167));
    errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_ZPLANE_POSITION, 168));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_ZPLANE_POSITION, 169));
    errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_ZPLANE_POSITION, 170));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_ZPLANE_POSITION, 171));
    errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_ZPLANE_POSITION, 172));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_ZPLANE_POSITION, 173));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_9, ATTR_ZPLANE_POSITION, 174));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_ZPLANE_POSITION, 175));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_ZPLANE_POSITION, 176));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_ZPLANE_POSITION, 177));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_ZPLANE_POSITION, 178));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_ZPLANE_POSITION, 179));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_ZPLANE_POSITION, 180));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_8, ATTR_ZPLANE_POSITION, 181));
    errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_ZPLANE_POSITION, 182));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_ZPLANE_POSITION, 183));
    errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_ZPLANE_POSITION, 184));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_ZPLANE_POSITION, 185));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_ZPLANE_POSITION, 186));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_ZPLANE_POSITION, 187));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_ZPLANE_POSITION, 188));
    errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_ZPLANE_POSITION, 189));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_ZPLANE_POSITION, 190));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_ZPLANE_POSITION, 191));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_7, ATTR_ZPLANE_POSITION, 192));
    errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_ZPLANE_POSITION, 193));
    errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_ZPLANE_POSITION, 194));
    errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_ZPLANE_POSITION, 195));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_ZPLANE_POSITION, 196));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_ZPLANE_POSITION, 197));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_ZPLANE_POSITION, 198));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_ZPLANE_POSITION, 199));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_4, ATTR_ZPLANE_POSITION, 200));
    errChk(SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_ZPLANE_POSITION, 201));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_ZPLANE_POSITION, 202));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_ZPLANE_POSITION, 203));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_ZPLANE_POSITION, 204));
    errChk(SetCtrlAttribute (hPanel, ROD_DECORATION_2, ATTR_ZPLANE_POSITION, 205));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_ZPLANE_POSITION, 206));

    // Set up TAB order if necessary
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_CTRL_TAB_POSITION, 0));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_CTRL_TAB_POSITION, 1));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_CTRL_TAB_POSITION, 2));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_CTRL_TAB_POSITION, 3));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_CTRL_TAB_POSITION, 4));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_CTRL_TAB_POSITION, 5));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_CTRL_TAB_POSITION, 6));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_CTRL_TAB_POSITION, 7));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_CTRL_TAB_POSITION, 8));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_CTRL_TAB_POSITION, 9));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_CTRL_TAB_POSITION, 10));
    errChk(SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_CTRL_TAB_POSITION, 11));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_CTRL_TAB_POSITION, 12));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_CTRL_TAB_POSITION, 13));
    errChk(SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_CTRL_TAB_POSITION, 14));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_CTRL_TAB_POSITION, 15));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_CTRL_TAB_POSITION, 16));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_CTRL_TAB_POSITION, 17));
    errChk(SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_CTRL_TAB_POSITION, 18));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_CTRL_TAB_POSITION, 19));
    errChk(SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_CTRL_TAB_POSITION, 20));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_CTRL_TAB_POSITION, 21));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_CTRL_TAB_POSITION, 22));
    errChk(SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_CTRL_TAB_POSITION, 23));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_CTRL_TAB_POSITION, 24));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_CTRL_TAB_POSITION, 25));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_CTRL_TAB_POSITION, 26));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_CTRL_TAB_POSITION, 27));
    errChk(SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_CTRL_TAB_POSITION, 28));
    errChk(SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_CTRL_TAB_POSITION, 29));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_CTRL_TAB_POSITION, 30));
    errChk(SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_CTRL_TAB_POSITION, 31));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_CTRL_TAB_POSITION, 32));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_CTRL_TAB_POSITION, 33));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_CTRL_TAB_POSITION, 34));
    errChk(SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_CTRL_TAB_POSITION, 35));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_CTRL_TAB_POSITION, 36));
    errChk(SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_CTRL_TAB_POSITION, 37));
    errChk(SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_CTRL_TAB_POSITION, 38));
    errChk(SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_CTRL_TAB_POSITION, 39));
    errChk(SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_CTRL_TAB_POSITION, 40));
    errChk(SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_CTRL_TAB_POSITION, 41));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_CTRL_TAB_POSITION, 42));
    errChk(SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_CTRL_TAB_POSITION, 43));
    errChk(SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_CTRL_TAB_POSITION, 44));
    errChk(SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_CTRL_TAB_POSITION, 45));
    errChk(SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_CTRL_TAB_POSITION, 46));
    errChk(SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_CTRL_TAB_POSITION, 47));
    errChk(SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_CTRL_TAB_POSITION, 48));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_CTRL_TAB_POSITION, 49));
    errChk(SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_CTRL_TAB_POSITION, 50));
    errChk(SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_CTRL_TAB_POSITION, 51));
    errChk(SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_CTRL_TAB_POSITION, 52));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_CTRL_TAB_POSITION, 53));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_CTRL_TAB_POSITION, 54));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_CTRL_TAB_POSITION, 55));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_CTRL_TAB_POSITION, 56));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_CTRL_TAB_POSITION, 57));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_CTRL_TAB_POSITION, 58));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_CTRL_TAB_POSITION, 59));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_CTRL_TAB_POSITION, 60));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_CTRL_TAB_POSITION, 61));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_CTRL_TAB_POSITION, 62));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_CTRL_TAB_POSITION, 63));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_CTRL_TAB_POSITION, 64));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_CTRL_TAB_POSITION, 65));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_CTRL_TAB_POSITION, 66));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_CTRL_TAB_POSITION, 67));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_CTRL_TAB_POSITION, 68));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_CTRL_TAB_POSITION, 69));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_CTRL_TAB_POSITION, 70));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_CTRL_TAB_POSITION, 71));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_CTRL_TAB_POSITION, 72));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_CTRL_TAB_POSITION, 73));
    errChk(SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_CTRL_TAB_POSITION, 74));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_CTRL_TAB_POSITION, 75));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_CTRL_TAB_POSITION, 76));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_CTRL_TAB_POSITION, 77));
    errChk(SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_CTRL_TAB_POSITION, 78));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_CTRL_TAB_POSITION, 79));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_CTRL_TAB_POSITION, 80));
    errChk(SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_CTRL_TAB_POSITION, 81));
    errChk(SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_CTRL_TAB_POSITION, 82));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_CTRL_TAB_POSITION, 83));
    errChk(SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_CTRL_TAB_POSITION, 84));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_CTRL_TAB_POSITION, 85));
    errChk(SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_CTRL_TAB_POSITION, 86));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_CTRL_TAB_POSITION, 87));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_CTRL_TAB_POSITION, 88));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_CTRL_TAB_POSITION, 89));
    errChk(SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_CTRL_TAB_POSITION, 90));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_CTRL_TAB_POSITION, 91));
    errChk(SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_CTRL_TAB_POSITION, 92));
    errChk(SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_CTRL_TAB_POSITION, 93));
    errChk(SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_CTRL_TAB_POSITION, 94));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_CTRL_TAB_POSITION, 95));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_CTRL_TAB_POSITION, 96));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_CTRL_TAB_POSITION, 97));
    errChk(SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_CTRL_TAB_POSITION, 98));
    errChk(SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_CTRL_TAB_POSITION, 99));
    errChk(SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_CTRL_TAB_POSITION, 100));
    errChk(SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_CTRL_TAB_POSITION, 101));
    errChk(SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_CTRL_TAB_POSITION, 102));
    errChk(SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_CTRL_TAB_POSITION, 103));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_CTRL_TAB_POSITION, 104));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_CTRL_TAB_POSITION, 105));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_CTRL_TAB_POSITION, 106));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_CTRL_TAB_POSITION, 107));
    errChk(SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_CTRL_TAB_POSITION, 108));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_CTRL_TAB_POSITION, 109));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_CTRL_TAB_POSITION, 110));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_CTRL_TAB_POSITION, 111));
    errChk(SetCtrlAttribute (hPanel, ROD_MODE, ATTR_CTRL_TAB_POSITION, 112));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_CTRL_TAB_POSITION, 113));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_CTRL_TAB_POSITION, 114));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_CTRL_TAB_POSITION, 115));
    errChk(SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_CTRL_TAB_POSITION, 116));
    errChk(SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_CTRL_TAB_POSITION, 117));
    errChk(SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_CTRL_TAB_POSITION, 118));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_CTRL_TAB_POSITION, 119));
    errChk(SetCtrlAttribute (hPanel, ROD_LINK, ATTR_CTRL_TAB_POSITION, 120));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_CTRL_TAB_POSITION, 121));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_CTRL_TAB_POSITION, 122));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_CTRL_TAB_POSITION, 123));
    errChk(SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_CTRL_TAB_POSITION, 124));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_CTRL_TAB_POSITION, 125));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_CTRL_TAB_POSITION, 126));
    errChk(SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_CTRL_TAB_POSITION, 127));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_CTRL_TAB_POSITION, 128));
    errChk(SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_CTRL_TAB_POSITION, 129));
    errChk(SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_CTRL_TAB_POSITION, 130));
    errChk(SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_CTRL_TAB_POSITION, 131));
    errChk(SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_CTRL_TAB_POSITION, 132));
    errChk(SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_CTRL_TAB_POSITION, 133));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_CTRL_TAB_POSITION, 134));
    errChk(SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_CTRL_TAB_POSITION, 135));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_CTRL_TAB_POSITION, 136));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_CTRL_TAB_POSITION, 137));
    errChk(SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_CTRL_TAB_POSITION, 138));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_CTRL_TAB_POSITION, 139));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_CTRL_TAB_POSITION, 140));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_CTRL_TAB_POSITION, 141));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_CTRL_TAB_POSITION, 142));
    errChk(SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_CTRL_TAB_POSITION, 143));
    errChk(SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_CTRL_TAB_POSITION, 144));
    errChk(SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_CTRL_TAB_POSITION, 145));
    errChk(SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_CTRL_TAB_POSITION, 146));
    errChk(SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_CTRL_TAB_POSITION, 147));
    errChk(SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_CTRL_TAB_POSITION, 148));
    errChk(SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_CTRL_TAB_POSITION, 149));
    errChk(SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_CTRL_TAB_POSITION, 150));
    errChk(SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_CTRL_TAB_POSITION, 151));
    errChk(SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_CTRL_TAB_POSITION, 152));

    // Finalize panel colors, positioning, and sizing
    errChk(SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1));
    errChk(GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment));
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        errChk(GetMonitorFromPanel (hPanel, &monitorId));
        errChk(GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight));
        errChk(GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth));
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        errChk(SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(965*SFv)));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        errChk(SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(1216*SFh)));
        errChk(SetPanelAttribute (hPanel, ATTR_TOP, (int)(20*SFv)));
        errChk(SetPanelAttribute (hPanel, ATTR_LEFT, (int)(4*SFh)));
        }
    errChk(SetPanelAttribute (hPanel, ATTR_TOP, VAL_AUTO_CENTER));
    errChk(SetPanelAttribute (hPanel, ATTR_LEFT, VAL_AUTO_CENTER));
    errChk(SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0));

    errChk(buildRodPanelMenu (hPanel));

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildTextPanel ():  Build UI object TEXT_PANEL; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildTextPanel (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    errChk(hPanel = NewPanel (hParentPanel, "TxtPanel", 68, 733, 605, 600));

    // Set the panel's attributes
    errChk(SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "TEXT_PANEL"));
    errChk(SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0));
//  errChk(SetPanelAttribute (hPanel, ATTR_DIMMED, 0));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, 0X009966));
//  errChk(SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS));
    errChk(SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY));
//  errChk(SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_BACKCOLOR, VAL_GRAY));
//  errChk(SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC));
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_OFFWHITE));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, 0X009966));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 10));
    errChk(SetPanelAttribute (hPanel, ATTR_SIZABLE, 0));
//  errChk(SetPanelAttribute (hPanel, ATTR_MOVABLE, 1));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_FONT"));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11));
    if (hParentPanel)
        errChk(SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1));
    errChk(SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0));
//  if (!hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER));
//  errChk(SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1));
//  errChk(SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1));
//  if (hParentPanel)
    //  errChk(SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1));
//  errChk(SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0));
//  errChk(SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0));

    // Build control: TEXT_PANEL_HOST_INDEX
    errChk(TEXT_PANEL_HOST_INDEX = NewCtrl (hPanel, CTRL_NUMERIC, "HostIndex", 40, 27));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_CONSTANT_NAME, "HOST_INDEX"));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_VISIBLE, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_CTRL_MODE, VAL_INDICATOR));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_COLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_POINT_SIZE, 12));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_WIDTH, 51));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_TEXT_POINT_SIZE, 14));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_TEXT_BOLD, 1));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_MAX_VALUE, 21));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_MIN_VALUE, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_INCR_VALUE, 1));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_FORMAT, VAL_DECIMAL_FORMAT));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_PRECISION, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_CHECK_RANGE, VAL_NOTIFY));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_PADDING, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_SHOW_RADIX, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, TEXT_PANEL_HOST_INDEX));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_SHOW_INCDEC_ARROWS, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_WIDTH, 29));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_TOP, 24));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_LEFT, 18));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));
//  errChk(DSBindCtrl (hPanel, TEXT_PANEL_HOST_INDEX, "", VAL_DS_READ, NULL, NULL));

    // Build control: TEXT_PANEL_TEXTBOX
    errChk(TEXT_PANEL_TEXTBOX = NewCtrl (hPanel, CTRL_TEXT_BOX, "", 53, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_CONSTANT_NAME, "TEXTBOX"));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_FRAME_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_SCROLL_BARS, VAL_VERT_SCROLL_BAR));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_POINT_SIZE, 12));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_WIDTH, 9));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_BGCOLOR, VAL_LT_GRAY));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_TEXT_COLOR, VAL_BLACK));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_TEXT_STRIKEOUT, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_TEXT_POINT_SIZE, 11));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_TEXT_BGCOLOR, VAL_WHITE));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_DFLT_VALUE, ""));
    errChk(DefaultCtrl (hPanel, TEXT_PANEL_TEXTBOX));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_MAX_ENTRY_LENGTH, -1));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_WRAP_MODE, VAL_WORD_WRAP));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_ENTER_IS_NEWLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_FIRST_VISIBLE_LINE, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_EXTRA_LINES, -1));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_NO_EDIT_TEXT, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_HEIGHT, 552));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_WIDTH, 599));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_TOP, 44));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_LEFT, -15));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_HSCROLL_OFFSET, 0));
//  errChk(DSBindCtrl (hPanel, TEXT_PANEL_TEXTBOX, "", VAL_DS_READ, NULL, NULL));

    // Build control: TEXT_PANEL_OVERFLOW
    errChk(TEXT_PANEL_OVERFLOW = NewCtrl (hPanel, CTRL_ROUND_LED, "Overflow", 27, 301));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_CONSTANT_NAME, "OVERFLOW"));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_POINT_SIZE, 12));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_WIDTH, 45));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, TEXT_PANEL_OVERFLOW));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_ON_COLOR, VAL_RED));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_HEIGHT, 20));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_WIDTH, 20));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_TOP, 28));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_LEFT, 254));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: TEXT_PANEL_OVERWRITE
    errChk(TEXT_PANEL_OVERWRITE = NewCtrl (hPanel, CTRL_ROUND_LED, "Overwrite", 27, 229));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_CONSTANT_NAME, "OVERWRITE"));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_SHORTCUT_KEY, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_POINT_SIZE, 12));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_WIDTH, 48));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_DFLT_VALUE, 0));
    errChk(DefaultCtrl (hPanel, TEXT_PANEL_OVERWRITE));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_ON_COLOR, VAL_GREEN));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_OFF_COLOR, VAL_LT_GRAY));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_HEIGHT, 20));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_WIDTH, 20));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_TOP, 28));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_LEFT, 180));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_SIZE_TO_TEXT, 1));

    // Build control: TEXT_PANEL_TXTBUFF_MODE
    errChk(TEXT_PANEL_TXTBUFF_MODE = NewCtrl (hPanel, CTRL_RING, "BufferMode", 27, 95));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_CONSTANT_NAME, "TXTBUFF_MODE"));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_VISIBLE, 1));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_CALLBACK_FUNCTION_POINTER, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_SHORTCUT_KEY, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_DATA_TYPE, VAL_INTEGER));
    errChk(InsertListItem (hPanel, TEXT_PANEL_TXTBUFF_MODE, 0, "LINEAR", 0));
    errChk(InsertListItem (hPanel, TEXT_PANEL_TXTBUFF_MODE, 1, "RING", 1));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_DIMMED, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_FRAME_COLOR, 0X7F7F7F));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_DISABLE_CHECK_MARK, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_CTRL_MODE, VAL_INDICATOR));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_POINT_SIZE, 12));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_BOLD, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_VISIBLE, 1));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_WIDTH, 58));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_HEIGHT, 15));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_RAISED, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_BGCOLOR, VAL_GRAY));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_TEXT_COLOR, VAL_BLACK));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_TEXT_FONT, VAL_DIALOG_FONT));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_TEXT_ITALIC, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_TEXT_UNDERLINE, 0));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_TEXT_STRIKEOUT, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_TEXT_POINT_SIZE, 12));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_TEXT_BOLD, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_TEXT_BGCOLOR, VAL_WHITE));
//  errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_DFLT_INDEX, 0));
    errChk(DefaultCtrl (hPanel, TEXT_PANEL_TXTBUFF_MODE));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_WIDTH, 55));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_TOP, 31));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_LEFT, 37));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_SIZE_TO_TEXT, 1));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED));

    // Set up ZPLANE order if necessary
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_ZPLANE_POSITION, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_ZPLANE_POSITION, 1));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_ZPLANE_POSITION, 2));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_ZPLANE_POSITION, 3));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_ZPLANE_POSITION, 4));

    // Set up TAB order if necessary
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_CTRL_TAB_POSITION, 0));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_CTRL_TAB_POSITION, 1));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_CTRL_TAB_POSITION, 2));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_CTRL_TAB_POSITION, 3));
    errChk(SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_CTRL_TAB_POSITION, 4));

    // Finalize panel colors, positioning, and sizing
    errChk(SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0));
    errChk(SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1));
    errChk(GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment));
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        errChk(GetMonitorFromPanel (hPanel, &monitorId));
        errChk(GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight));
        errChk(GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth));
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        errChk(SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(605*SFv)));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        errChk(SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(600*SFh)));
        errChk(SetPanelAttribute (hPanel, ATTR_TOP, (int)(68*SFv)));
        errChk(SetPanelAttribute (hPanel, ATTR_LEFT, (int)(733*SFh)));
        }
    errChk(SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0));

    errChk(buildTextPanelMenu (hPanel));

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildCommandListStatusMenu ():  Build UI object CSTAT_MENU; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildCommandListStatusMenu (int hParentPanel)
{
    int hMenubar;
    int error = 0;

    // Create the menubar
    errChk(hMenubar = NewMenuBar (hParentPanel));
    errChk(SetMenuBarAttribute (hMenubar, 0, ATTR_CONSTANT_NAME, "CSTAT_MENU"));

    // Build menu: CSTAT_MENU_CLEAR_STATUS_WINDOW
    errChk(CSTAT_MENU_CLEAR_STATUS_WINDOW = NewMenu (hMenubar, "ClearStatusWindow", -1));
    errChk(SetMenuBarAttribute (hMenubar, CSTAT_MENU_CLEAR_STATUS_WINDOW, ATTR_CONSTANT_NAME, "CLEAR_STATUS_WINDOW"));
//  errChk(SetMenuBarAttribute (hMenubar, CSTAT_MENU_CLEAR_STATUS_WINDOW, ATTR_DIMMED, 0));
    errChk(SetMenuBarAttribute (hMenubar, CSTAT_MENU_CLEAR_STATUS_WINDOW, ATTR_CALLBACK_FUNCTION_POINTER, commandStatusMenu));

    // Build menu: CSTAT_MENU_OPEN_STATUS_FILE
    errChk(CSTAT_MENU_OPEN_STATUS_FILE = NewMenu (hMenubar, "OpenStatusFile", -1));
    errChk(SetMenuBarAttribute (hMenubar, CSTAT_MENU_OPEN_STATUS_FILE, ATTR_CONSTANT_NAME, "OPEN_STATUS_FILE"));
//  errChk(SetMenuBarAttribute (hMenubar, CSTAT_MENU_OPEN_STATUS_FILE, ATTR_DIMMED, 0));
    errChk(SetMenuBarAttribute (hMenubar, CSTAT_MENU_OPEN_STATUS_FILE, ATTR_CALLBACK_FUNCTION_POINTER, commandStatusMenu));

    // Build menu: CSTAT_MENU_CMD_LIST_EDITOR
    errChk(CSTAT_MENU_CMD_LIST_EDITOR = NewMenu (hMenubar, "CmdListEditor", -1));
    errChk(SetMenuBarAttribute (hMenubar, CSTAT_MENU_CMD_LIST_EDITOR, ATTR_CONSTANT_NAME, "CMD_LIST_EDITOR"));
//  errChk(SetMenuBarAttribute (hMenubar, CSTAT_MENU_CMD_LIST_EDITOR, ATTR_DIMMED, 0));
    errChk(SetMenuBarAttribute (hMenubar, CSTAT_MENU_CMD_LIST_EDITOR, ATTR_CALLBACK_FUNCTION_POINTER, commandStatusMenu));

    // Build menu: CSTAT_MENU_CLOSE_WINDOW
    errChk(CSTAT_MENU_CLOSE_WINDOW = NewMenu (hMenubar, "Hide", -1));
    errChk(SetMenuBarAttribute (hMenubar, CSTAT_MENU_CLOSE_WINDOW, ATTR_CONSTANT_NAME, "CLOSE_WINDOW"));
//  errChk(SetMenuBarAttribute (hMenubar, CSTAT_MENU_CLOSE_WINDOW, ATTR_DIMMED, 0));
    errChk(SetMenuBarAttribute (hMenubar, CSTAT_MENU_CLOSE_WINDOW, ATTR_CALLBACK_FUNCTION_POINTER, commandStatusMenu));

    //We're done!
    return hMenubar;
Error:
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildDspCommRegMonitorMenu ():  Build UI object DSPMON; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildDspCommRegMonitorMenu (int hParentPanel)
{
    int hMenubar;
    int error = 0;

    // Create the menubar
    errChk(hMenubar = NewMenuBar (hParentPanel));
    errChk(SetMenuBarAttribute (hMenubar, 0, ATTR_CONSTANT_NAME, "DSPMON"));

    // Build menu: DSPMON_HIDE
    errChk(DSPMON_HIDE = NewMenu (hMenubar, "Hide", -1));
    errChk(SetMenuBarAttribute (hMenubar, DSPMON_HIDE, ATTR_CONSTANT_NAME, "HIDE"));
//  errChk(SetMenuBarAttribute (hMenubar, DSPMON_HIDE, ATTR_DIMMED, 0));
    errChk(SetMenuBarAttribute (hMenubar, DSPMON_HIDE, ATTR_CALLBACK_FUNCTION_POINTER, dspMonMenu));

    //We're done!
    return hMenubar;
Error:
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildMainMenu ():  Build UI object MAIN_MENU; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildMainMenu (int hParentPanel)
{
    int hMenubar;
    int error = 0;

    // Create the menubar
    errChk(hMenubar = NewMenuBar (hParentPanel));
    errChk(SetMenuBarAttribute (hMenubar, 0, ATTR_CONSTANT_NAME, "MAIN_MENU"));

    // Build menu: MAIN_MENU_LOAD_ROD
    errChk(MAIN_MENU_LOAD_ROD = NewMenu (hMenubar, "LoadRod", -1));
    errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_LOAD_ROD, ATTR_CONSTANT_NAME, "LOAD_ROD"));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_LOAD_ROD, ATTR_DIMMED, 0));
    errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_LOAD_ROD, ATTR_CALLBACK_FUNCTION_POINTER, mainMenu));

    // Build menu: MAIN_MENU_PARAMS
    errChk(MAIN_MENU_PARAMS = NewMenu (hMenubar, "Params", -1));
    errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS, ATTR_CONSTANT_NAME, "PARAMS"));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS, ATTR_DIMMED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS, ATTR_CALLBACK_FUNCTION_POINTER, NULL));

    // Create item: SAVE_RINGS (MenuBar003_Menu002_Item001)
    errChk(MAIN_MENU_PARAMS_SAVE_RINGS = NewMenuItem (hMenubar, MAIN_MENU_PARAMS, "Save list rings", -1, 0, mainMenu, 0));
    errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_SAVE_RINGS, ATTR_CONSTANT_NAME, "SAVE_RINGS"));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_SAVE_RINGS, ATTR_DIMMED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_SAVE_RINGS, ATTR_CHECKED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_SAVE_RINGS, ATTR_BOLD, 0));

    // Create item: LOAD_RINGS (MenuBar003_Menu002_Item002)
    errChk(MAIN_MENU_PARAMS_LOAD_RINGS = NewMenuItem (hMenubar, MAIN_MENU_PARAMS, "Load list rings", -1, 0, mainMenu, 0));
    errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_LOAD_RINGS, ATTR_CONSTANT_NAME, "LOAD_RINGS"));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_LOAD_RINGS, ATTR_DIMMED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_LOAD_RINGS, ATTR_CHECKED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_LOAD_RINGS, ATTR_BOLD, 0));

    // Create item: SET (MenuBar003_Menu002_Item003)
    errChk(MAIN_MENU_PARAMS_SET = NewMenuItem (hMenubar, MAIN_MENU_PARAMS, "Set current values as default", -1, 0, mainMenu, 0));
    errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_SET, ATTR_CONSTANT_NAME, "SET"));
    errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_SET, ATTR_DIMMED, 1));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_SET, ATTR_CHECKED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_SET, ATTR_BOLD, 0));

    // Create item: LOAD (MenuBar003_Menu002_Item004)
    errChk(MAIN_MENU_PARAMS_LOAD = NewMenuItem (hMenubar, MAIN_MENU_PARAMS, "Load default values", -1, 0, mainMenu, 0));
    errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_LOAD, ATTR_CONSTANT_NAME, "LOAD"));
    errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_LOAD, ATTR_DIMMED, 1));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_LOAD, ATTR_CHECKED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_LOAD, ATTR_BOLD, 0));

    // Build menu: MAIN_MENU_SHOW_ERROR_FILE
    errChk(MAIN_MENU_SHOW_ERROR_FILE = NewMenu (hMenubar, "ErrorFile", -1));
    errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_SHOW_ERROR_FILE, ATTR_CONSTANT_NAME, "SHOW_ERROR_FILE"));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_SHOW_ERROR_FILE, ATTR_DIMMED, 0));
    errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_SHOW_ERROR_FILE, ATTR_CALLBACK_FUNCTION_POINTER, mainMenu));

    // Build menu: MAIN_MENU_LIST_EDIT
    errChk(MAIN_MENU_LIST_EDIT = NewMenu (hMenubar, "ListEditor", -1));
    errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_LIST_EDIT, ATTR_CONSTANT_NAME, "LIST_EDIT"));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_LIST_EDIT, ATTR_DIMMED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_LIST_EDIT, ATTR_CALLBACK_FUNCTION_POINTER, NULL));

    // Create item: PRIM (MenuBar003_Menu004_Item001)
    errChk(MAIN_MENU_LIST_EDIT_PRIM = NewMenuItem (hMenubar, MAIN_MENU_LIST_EDIT, "PrimitiveList", -1, 0, mainMenu, 0));
    errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_LIST_EDIT_PRIM, ATTR_CONSTANT_NAME, "PRIM"));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_LIST_EDIT_PRIM, ATTR_DIMMED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_LIST_EDIT_PRIM, ATTR_CHECKED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_LIST_EDIT_PRIM, ATTR_BOLD, 0));

    // Create item: COMMAND (MenuBar003_Menu004_Item002)
    errChk(MAIN_MENU_LIST_EDIT_COMMAND = NewMenuItem (hMenubar, MAIN_MENU_LIST_EDIT, "CommandList", -1, 0, mainMenu, 0));
    errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_LIST_EDIT_COMMAND, ATTR_CONSTANT_NAME, "COMMAND"));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_LIST_EDIT_COMMAND, ATTR_DIMMED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_LIST_EDIT_COMMAND, ATTR_CHECKED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_LIST_EDIT_COMMAND, ATTR_BOLD, 0));

    // Build menu: MAIN_MENU_MEM_ACCESS
    errChk(MAIN_MENU_MEM_ACCESS = NewMenu (hMenubar, "Memory", -1));
    errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS, ATTR_CONSTANT_NAME, "MEM_ACCESS"));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS, ATTR_DIMMED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS, ATTR_CALLBACK_FUNCTION_POINTER, NULL));

    // Create item: TIM (MenuBar003_Menu005_Item001)
    errChk(MAIN_MENU_MEM_ACCESS_TIM = NewMenuItem (hMenubar, MAIN_MENU_MEM_ACCESS, "Tim", -1, 0, mainMenu, 0));
    errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_TIM, ATTR_CONSTANT_NAME, "TIM"));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_TIM, ATTR_DIMMED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_TIM, ATTR_CHECKED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_TIM, ATTR_BOLD, 0));

    // Create item: VME (MenuBar003_Menu005_Item002)
    errChk(MAIN_MENU_MEM_ACCESS_VME = NewMenuItem (hMenubar, MAIN_MENU_MEM_ACCESS, "VME", -1, 0, mainMenu, 0));
    errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_VME, ATTR_CONSTANT_NAME, "VME"));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_VME, ATTR_DIMMED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_VME, ATTR_CHECKED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_VME, ATTR_BOLD, 0));

    // Create item: MASTER_DSP (MenuBar003_Menu005_Item003)
    errChk(MAIN_MENU_MEM_ACCESS_MASTER_DSP = NewMenuItem (hMenubar, MAIN_MENU_MEM_ACCESS, "MasterDSP", -1, 0, mainMenu, 0));
    errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_MASTER_DSP, ATTR_CONSTANT_NAME, "MASTER_DSP"));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_MASTER_DSP, ATTR_DIMMED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_MASTER_DSP, ATTR_CHECKED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_MASTER_DSP, ATTR_BOLD, 0));

    // Create item: SLAVE_DSP (MenuBar003_Menu005_Item004)
    errChk(MAIN_MENU_MEM_ACCESS_SLAVE_DSP = NewMenuItem (hMenubar, MAIN_MENU_MEM_ACCESS, "SlaveDSP", -1, 0, mainMenu, 0));
    errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_SLAVE_DSP, ATTR_CONSTANT_NAME, "SLAVE_DSP"));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_SLAVE_DSP, ATTR_DIMMED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_SLAVE_DSP, ATTR_CHECKED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_SLAVE_DSP, ATTR_BOLD, 0));

    // Create item: FPGA (MenuBar003_Menu005_Item005)
    errChk(MAIN_MENU_MEM_ACCESS_FPGA = NewMenuItem (hMenubar, MAIN_MENU_MEM_ACCESS, "FPGA Ctrl/StatusRegs.", -1, 0, mainMenu, 0));
    errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_FPGA, ATTR_CONSTANT_NAME, "FPGA"));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_FPGA, ATTR_DIMMED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_FPGA, ATTR_CHECKED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_FPGA, ATTR_BOLD, 0));

    // Create item: FLASH (MenuBar003_Menu005_Item006)
    errChk(MAIN_MENU_MEM_ACCESS_FLASH = NewMenuItem (hMenubar, MAIN_MENU_MEM_ACCESS, "FLASH", -1, 0, mainMenu, 0));
    errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_FLASH, ATTR_CONSTANT_NAME, "FLASH"));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_FLASH, ATTR_DIMMED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_FLASH, ATTR_CHECKED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_FLASH, ATTR_BOLD, 0));

    // Create item: VIEW_BIN_FI (MenuBar003_Menu005_Item007)
    errChk(MAIN_MENU_MEM_ACCESS_VIEW_BIN_FI = NewMenuItem (hMenubar, MAIN_MENU_MEM_ACCESS, "View Bin File", -1, 0, mainMenu, 0));
    errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_VIEW_BIN_FI, ATTR_CONSTANT_NAME, "VIEW_BIN_FI"));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_VIEW_BIN_FI, ATTR_DIMMED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_VIEW_BIN_FI, ATTR_CHECKED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_VIEW_BIN_FI, ATTR_BOLD, 0));

    // Build menu: MAIN_MENU_QUIT
    errChk(MAIN_MENU_QUIT = NewMenu (hMenubar, "Exit", -1));
    errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_QUIT, ATTR_CONSTANT_NAME, "QUIT"));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_QUIT, ATTR_DIMMED, 0));
    errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_QUIT, ATTR_CALLBACK_FUNCTION_POINTER, mainMenu));

    // Build menu: MAIN_MENU_HELP
    errChk(MAIN_MENU_HELP = NewMenu (hMenubar, "Help", -1));
    errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_HELP, ATTR_CONSTANT_NAME, "HELP"));
//  errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_HELP, ATTR_DIMMED, 0));
    errChk(SetMenuBarAttribute (hMenubar, MAIN_MENU_HELP, ATTR_CALLBACK_FUNCTION_POINTER, mainMenu));

    //We're done!
    return hMenubar;
Error:
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildRodPanelMenu ():  Build UI object RODN_MENU; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildRodPanelMenu (int hParentPanel)
{
    int hMenubar;
    int error = 0;

    // Create the menubar
    errChk(hMenubar = NewMenuBar (hParentPanel));
    errChk(SetMenuBarAttribute (hMenubar, 0, ATTR_CONSTANT_NAME, "RODN_MENU"));

    // Build menu: RODN_MENU_GO_TO_MAIN
    errChk(RODN_MENU_GO_TO_MAIN = NewMenu (hMenubar, "Main", -1));
    errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_GO_TO_MAIN, ATTR_CONSTANT_NAME, "GO_TO_MAIN"));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_GO_TO_MAIN, ATTR_DIMMED, 0));
    errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_GO_TO_MAIN, ATTR_CALLBACK_FUNCTION_POINTER, hostMenu));

    // Build menu: RODN_MENU_LIST_EDIT
    errChk(RODN_MENU_LIST_EDIT = NewMenu (hMenubar, "ListEditor", -1));
    errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_LIST_EDIT, ATTR_CONSTANT_NAME, "LIST_EDIT"));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_LIST_EDIT, ATTR_DIMMED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_LIST_EDIT, ATTR_CALLBACK_FUNCTION_POINTER, NULL));

    // Create item: PRIM (MenuBar004_Menu002_Item001)
    errChk(RODN_MENU_LIST_EDIT_PRIM = NewMenuItem (hMenubar, RODN_MENU_LIST_EDIT, "PrimitiveList", -1, 0, hostMenu, 0));
    errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_LIST_EDIT_PRIM, ATTR_CONSTANT_NAME, "PRIM"));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_LIST_EDIT_PRIM, ATTR_DIMMED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_LIST_EDIT_PRIM, ATTR_CHECKED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_LIST_EDIT_PRIM, ATTR_BOLD, 0));

    // Create item: COMMAND (MenuBar004_Menu002_Item002)
    errChk(RODN_MENU_LIST_EDIT_COMMAND = NewMenuItem (hMenubar, RODN_MENU_LIST_EDIT, "CommandList", -1, 0, hostMenu, 0));
    errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_LIST_EDIT_COMMAND, ATTR_CONSTANT_NAME, "COMMAND"));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_LIST_EDIT_COMMAND, ATTR_DIMMED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_LIST_EDIT_COMMAND, ATTR_CHECKED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_LIST_EDIT_COMMAND, ATTR_BOLD, 0));

    // Build menu: RODN_MENU_SHOW_TXT_WIND
    errChk(RODN_MENU_SHOW_TXT_WIND = NewMenu (hMenubar, "TextBuffers", -1));
    errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND, ATTR_CONSTANT_NAME, "SHOW_TXT_WIND"));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND, ATTR_DIMMED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND, ATTR_CALLBACK_FUNCTION_POINTER, NULL));

    // Create item: ERROR (MenuBar004_Menu003_Item001)
    errChk(RODN_MENU_SHOW_TXT_WIND_ERROR = NewMenuItem (hMenubar, RODN_MENU_SHOW_TXT_WIND, "Error", -1, 0, hostMenu, 0));
    errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_ERROR, ATTR_CONSTANT_NAME, "ERROR"));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_ERROR, ATTR_DIMMED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_ERROR, ATTR_CHECKED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_ERROR, ATTR_BOLD, 0));

    // Create item: INFO (MenuBar004_Menu003_Item002)
    errChk(RODN_MENU_SHOW_TXT_WIND_INFO = NewMenuItem (hMenubar, RODN_MENU_SHOW_TXT_WIND, "Info", -1, 0, hostMenu, 0));
    errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_INFO, ATTR_CONSTANT_NAME, "INFO"));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_INFO, ATTR_DIMMED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_INFO, ATTR_CHECKED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_INFO, ATTR_BOLD, 0));

    // Create item: DIAG (MenuBar004_Menu003_Item003)
    errChk(RODN_MENU_SHOW_TXT_WIND_DIAG = NewMenuItem (hMenubar, RODN_MENU_SHOW_TXT_WIND, "Diag", -1, 0, hostMenu, 0));
    errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_DIAG, ATTR_CONSTANT_NAME, "DIAG"));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_DIAG, ATTR_DIMMED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_DIAG, ATTR_CHECKED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_DIAG, ATTR_BOLD, 0));

    // Create item: XFER (MenuBar004_Menu003_Item004)
    errChk(RODN_MENU_SHOW_TXT_WIND_XFER = NewMenuItem (hMenubar, RODN_MENU_SHOW_TXT_WIND, "Xfer", -1, 0, hostMenu, 0));
    errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_XFER, ATTR_CONSTANT_NAME, "XFER"));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_XFER, ATTR_DIMMED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_XFER, ATTR_CHECKED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_XFER, ATTR_BOLD, 0));

    // Build menu: RODN_MENU_COMMAND_WINDOW
    errChk(RODN_MENU_COMMAND_WINDOW = NewMenu (hMenubar, "CommandListStatus", -1));
    errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_COMMAND_WINDOW, ATTR_CONSTANT_NAME, "COMMAND_WINDOW"));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_COMMAND_WINDOW, ATTR_DIMMED, 0));
    errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_COMMAND_WINDOW, ATTR_CALLBACK_FUNCTION_POINTER, hostMenu));

    // Build menu: RODN_MENU_DSP_MON
    errChk(RODN_MENU_DSP_MON = NewMenu (hMenubar, "DSPMonitor", -1));
    errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_DSP_MON, ATTR_CONSTANT_NAME, "DSP_MON"));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_DSP_MON, ATTR_DIMMED, 0));
    errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_DSP_MON, ATTR_CALLBACK_FUNCTION_POINTER, hostMenu));

    // Build menu: RODN_MENU_ROD_DATA
    errChk(RODN_MENU_ROD_DATA = NewMenu (hMenubar, "Data", -1));
    errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_ROD_DATA, ATTR_CONSTANT_NAME, "ROD_DATA"));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_ROD_DATA, ATTR_DIMMED, 0));
    errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_ROD_DATA, ATTR_CALLBACK_FUNCTION_POINTER, hostMenu));

    // Build menu: RODN_MENU_RESET
    errChk(RODN_MENU_RESET = NewMenu (hMenubar, "Reset", -1));
    errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_RESET, ATTR_CONSTANT_NAME, "RESET"));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_RESET, ATTR_DIMMED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_RESET, ATTR_CALLBACK_FUNCTION_POINTER, NULL));

    // Create item: ROD (MenuBar004_Menu007_Item001)
    errChk(RODN_MENU_RESET_ROD = NewMenuItem (hMenubar, RODN_MENU_RESET, "ROD", -1, 0, hostMenu, 0));
    errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_RESET_ROD, ATTR_CONSTANT_NAME, "ROD"));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_RESET_ROD, ATTR_DIMMED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_RESET_ROD, ATTR_CHECKED, 0));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_RESET_ROD, ATTR_BOLD, 0));

    // Build menu: RODN_MENU_EXIT_ROD
    errChk(RODN_MENU_EXIT_ROD = NewMenu (hMenubar, "ExitRod", -1));
    errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_EXIT_ROD, ATTR_CONSTANT_NAME, "EXIT_ROD"));
//  errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_EXIT_ROD, ATTR_DIMMED, 0));
    errChk(SetMenuBarAttribute (hMenubar, RODN_MENU_EXIT_ROD, ATTR_CALLBACK_FUNCTION_POINTER, hostMenu));

    //We're done!
    return hMenubar;
Error:
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildTextPanelMenu ():  Build UI object TXT_BUFF; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildTextPanelMenu (int hParentPanel)
{
    int hMenubar;
    int error = 0;

    // Create the menubar
    errChk(hMenubar = NewMenuBar (hParentPanel));
    errChk(SetMenuBarAttribute (hMenubar, 0, ATTR_CONSTANT_NAME, "TXT_BUFF"));

    // Build menu: TXT_BUFF_CLEAR_WINDOW
    errChk(TXT_BUFF_CLEAR_WINDOW = NewMenu (hMenubar, "ClearWindow", -1));
    errChk(SetMenuBarAttribute (hMenubar, TXT_BUFF_CLEAR_WINDOW, ATTR_CONSTANT_NAME, "CLEAR_WINDOW"));
//  errChk(SetMenuBarAttribute (hMenubar, TXT_BUFF_CLEAR_WINDOW, ATTR_DIMMED, 0));
    errChk(SetMenuBarAttribute (hMenubar, TXT_BUFF_CLEAR_WINDOW, ATTR_CALLBACK_FUNCTION_POINTER, txtBuffWindowMenu));

    // Build menu: TXT_BUFF_OPEN_TXT_FILE
    errChk(TXT_BUFF_OPEN_TXT_FILE = NewMenu (hMenubar, "OpenFile", -1));
    errChk(SetMenuBarAttribute (hMenubar, TXT_BUFF_OPEN_TXT_FILE, ATTR_CONSTANT_NAME, "OPEN_TXT_FILE"));
//  errChk(SetMenuBarAttribute (hMenubar, TXT_BUFF_OPEN_TXT_FILE, ATTR_DIMMED, 0));
    errChk(SetMenuBarAttribute (hMenubar, TXT_BUFF_OPEN_TXT_FILE, ATTR_CALLBACK_FUNCTION_POINTER, txtBuffWindowMenu));

    // Build menu: TXT_BUFF_CLOSE_WINDOW
    errChk(TXT_BUFF_CLOSE_WINDOW = NewMenu (hMenubar, "HideWindow", -1));
    errChk(SetMenuBarAttribute (hMenubar, TXT_BUFF_CLOSE_WINDOW, ATTR_CONSTANT_NAME, "CLOSE_WINDOW"));
//  errChk(SetMenuBarAttribute (hMenubar, TXT_BUFF_CLOSE_WINDOW, ATTR_DIMMED, 0));
    errChk(SetMenuBarAttribute (hMenubar, TXT_BUFF_CLOSE_WINDOW, ATTR_CALLBACK_FUNCTION_POINTER, txtBuffWindowMenu));

    //We're done!
    return hMenubar;
Error:
    return error;
}
