
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------
//
//  "uiRodMemory.c"
//
//  Implementation file for UI build functions
//
//  Date: 11-07-2004
//
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------

//----------------------------------------------------------------------------------------------------
//  Include header files
//----------------------------------------------------------------------------------------------------

#include "uiRodMemory.h"
#include <Utility.h> // definition of NULL
#include "toolbox.h" // definition of errChk macro

extern int CVIFUNC_C GetUserBitmapFromText (char *imageText, int version, int *bitmapId); // needed if there are bitmaps
extern int CVIFUNC_C NewActiveXCtrlFromPersistence (int panel, const char *ctrlLabel,
                                                    int top, int left, char *defaultIID,
                                                    int binaryFormat, char *persistenceText,
                                                    HRESULT *activeXError); // needed if there are ActiveX controls

//----------------------------------------------------------------------------------------------------
//  Prototype UI build functions.
//----------------------------------------------------------------------------------------------------

int buildPanel_mdspMemory (int hParentPanel);
int buildPanel_sdspMemory (int hParentPanel);
int buildPanel_vmeMemory (int hParentPanel);
int buildPanel_mdspWriteRange (int hParentPanel);
int buildPanel_sdspWriteRange (int hParentPanel);
int buildPanel_vmeWriteRange (int hParentPanel);
int buildMenu_memoryPanel (int hParentPanel);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: MASTER_MEM
// ------------------------------------------------------------------------------------------------

// Control: MASTER_MEM_COMPARE_BUFFS
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_LOAD_FILE
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_WRITE_WORD
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_READ_WORD
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_WRITE_TO_MEMORY
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_NEW_BUFFER
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_WORD_ADDRESS
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_BLOCK_ACCESS
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_READ_MEMORY
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_SAVE_WRITE_TABLE
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_SAVE_READ_TABLE
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_WRITE_TABLE
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_READ_BYTES
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_WRITE_TABLE_ADDR
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_READ_TABLE_ADDR
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_READ_ADDRESS
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_EXTERNAL_VIEWER
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_ADDRESS_TABLE
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_WRITE_TABLE_SLIDE
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MASTER_MEM_READ_TABLE_SLIDE
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: SLAVE_MEM
// ------------------------------------------------------------------------------------------------

// Control: SLAVE_MEM_COMPARE_BUFFS
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_LOAD_FILE
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_WRITE_WORD
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_READ_WORD
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_WRITE_TO_MEMORY
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_NEW_BUFFER
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_WORD_ADDRESS
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_READ_MEMORY
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_SAVE_WRITE_TABLE
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_SAVE_READ_TABLE
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_WRITE_TABLE
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_READ_BYTES
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_WRITE_TABLE_ADDR
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_READ_TABLE_ADDR
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_READ_ADDRESS
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_EXTERNAL_VIEWER
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_ADDRESS_TABLE
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_WRITE_TABLE_SLIDE
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SLAVE_MEM_READ_TABLE_SLIDE
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: VME_MEM
// ------------------------------------------------------------------------------------------------

// Control: VME_MEM_COMPARE_BUFFS
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_WRITE_WORD
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_READ_WORD
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_NEW_BUFFER
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_LOAD_FILE
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_WRITE_TO_MEMORY
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_SAVE_WRITE_TABLE
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_SLOT_NUMBER
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_READ_MEMORY
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_WRITE_TABLE
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_EXTERNAL_VIEWER
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_SAVE_READ_TABLE
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_WRITE_TABLE_ADDR
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_READ_TABLE_ADDR
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_ADDRESS_TABLE_TIM
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_ADDRESS_TABLE
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_WRITE_TABLE_SLIDE
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_READ_TABLE_SLIDE
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: VME_MEM_VME_ACCESS
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: WRBUFF_M
// ------------------------------------------------------------------------------------------------

// Control: WRBUFF_M_CANCEL
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: WRBUFF_M_OK
int CVICALLBACK masterMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: WRBUFF_M_BYTES
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: WRBUFF_M_ADDRESS
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: WRBUFF_S
// ------------------------------------------------------------------------------------------------

// Control: WRBUFF_S_CANCEL
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: WRBUFF_S_OK
int CVICALLBACK slaveMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: WRBUFF_S_BYTES
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: WRBUFF_S_ADDRESS
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: WRBUFF_VME
// ------------------------------------------------------------------------------------------------

// Control: WRBUFF_VME_CANCEL
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: WRBUFF_VME_OK
int CVICALLBACK vmeMemButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: ROD_MEM
// ------------------------------------------------------------------------------------------------

// Menu: GOTO_MAIN
void CVICALLBACK rodMemMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: VIEW_BIN_FILE
void CVICALLBACK rodMemMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: CLOSE_WINDOW
void CVICALLBACK rodMemMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);


//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  MASTER_MEM
// ------------------------------------------------------------------------------------------------

int MASTER_MEM_COMPARE_BUFFS                 = 0;  // control identifier
int MASTER_MEM_LOAD_FILE                     = 0;  // control identifier
int MASTER_MEM_WRITE_WORD                    = 0;  // control identifier
int MASTER_MEM_READ_WORD                     = 0;  // control identifier
int MASTER_MEM_WRITE_TO_MEMORY               = 0;  // control identifier
int MASTER_MEM_WRITE_BYTES                   = 0;  // control identifier
int MASTER_MEM_DELAY                         = 0;  // control identifier
int MASTER_MEM_NEW_BUFFER                    = 0;  // control identifier
int MASTER_MEM_WRITE_ADDRESS                 = 0;  // control identifier
int MASTER_MEM_READ_DATA_WORD                = 0;  // control identifier
int MASTER_MEM_WRITE_DATA_WORD               = 0;  // control identifier
int MASTER_MEM_WORD_ADDRESS                  = 0;  // control identifier
int MASTER_MEM_PIO                           = 0;  // control identifier
int MASTER_MEM_BLOCK_ACCESS                  = 0;  // control identifier
int MASTER_MEM_READ_MEMORY                   = 0;  // control identifier
int MASTER_MEM_SAVE_WRITE_TABLE              = 0;  // control identifier
int MASTER_MEM_SAVE_READ_TABLE               = 0;  // control identifier
int MASTER_MEM_WRITE_TABLE                   = 0;  // control identifier
int MASTER_MEM_READ_TABLE                    = 0;  // control identifier
int MASTER_MEM_REPEAT_COUNTER                = 0;  // control identifier
int MASTER_MEM_REPEAT                        = 0;  // control identifier
int MASTER_MEM_READ_BYTES                    = 0;  // control identifier
int MASTER_MEM_WRITE_TABLE_ADDR              = 0;  // control identifier
int MASTER_MEM_READ_TABLE_ADDR               = 0;  // control identifier
int MASTER_MEM_READ_ADDRESS                  = 0;  // control identifier
int MASTER_MEM_SLOT_NUMBER                   = 0;  // control identifier
int MASTER_MEM_EXTERNAL_VIEWER               = 0;  // control identifier
int MASTER_MEM_ADDRESS_TABLE                 = 0;  // control identifier
int MASTER_MEM_VME_BUSY                      = 0;  // control identifier
int MASTER_MEM_WRITE_TABLE_SLIDE             = 0;  // control identifier
int MASTER_MEM_READ_TABLE_SLIDE              = 0;  // control identifier
int MASTER_MEM_COUNTER_ON                    = 0;  // control identifier
int MASTER_MEM_TIMER                         = 0;  // control identifier
int MASTER_MEM_DECORATION_3                  = 0;  // control identifier
int MASTER_MEM_TEXTMSG                       = 0;  // control identifier
int MASTER_MEM_TEXTMSG_2                     = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  SLAVE_MEM
// ------------------------------------------------------------------------------------------------

int SLAVE_MEM_COMPARE_BUFFS                  = 0;  // control identifier
int SLAVE_MEM_LOAD_FILE                      = 0;  // control identifier
int SLAVE_MEM_WRITE_WORD                     = 0;  // control identifier
int SLAVE_MEM_READ_WORD                      = 0;  // control identifier
int SLAVE_MEM_WRITE_TO_MEMORY                = 0;  // control identifier
int SLAVE_MEM_WRITE_BYTES                    = 0;  // control identifier
int SLAVE_MEM_NEW_BUFFER                     = 0;  // control identifier
int SLAVE_MEM_WRITE_ADDRESS                  = 0;  // control identifier
int SLAVE_MEM_READ_DATA_WORD                 = 0;  // control identifier
int SLAVE_MEM_WRITE_DATA_WORD                = 0;  // control identifier
int SLAVE_MEM_WORD_ADDRESS                   = 0;  // control identifier
int SLAVE_MEM_READ_MEMORY                    = 0;  // control identifier
int SLAVE_MEM_PIO                            = 0;  // control identifier
int SLAVE_MEM_SAVE_WRITE_TABLE               = 0;  // control identifier
int SLAVE_MEM_SAVE_READ_TABLE                = 0;  // control identifier
int SLAVE_MEM_WRITE_TABLE                    = 0;  // control identifier
int SLAVE_MEM_READ_TABLE                     = 0;  // control identifier
int SLAVE_MEM_READ_BYTES                     = 0;  // control identifier
int SLAVE_MEM_WRITE_TABLE_ADDR               = 0;  // control identifier
int SLAVE_MEM_READ_TABLE_ADDR                = 0;  // control identifier
int SLAVE_MEM_READ_ADDRESS                   = 0;  // control identifier
int SLAVE_MEM_SLAVE_NUMBER                   = 0;  // control identifier
int SLAVE_MEM_SLOT_NUMBER                    = 0;  // control identifier
int SLAVE_MEM_EXTERNAL_VIEWER                = 0;  // control identifier
int SLAVE_MEM_ADDRESS_TABLE                  = 0;  // control identifier
int SLAVE_MEM_VME_BUSY                       = 0;  // control identifier
int SLAVE_MEM_WRITE_TABLE_SLIDE              = 0;  // control identifier
int SLAVE_MEM_READ_TABLE_SLIDE               = 0;  // control identifier
int SLAVE_MEM_BINARYSWITCH                   = 0;  // control identifier
int SLAVE_MEM_TIMER                          = 0;  // control identifier
int SLAVE_MEM_DECORATION_3                   = 0;  // control identifier
int SLAVE_MEM_TEXTMSG                        = 0;  // control identifier
int SLAVE_MEM_TEXTMSG_2                      = 0;  // control identifier
int SLAVE_MEM_DECORATION_4                   = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  VME_MEM
// ------------------------------------------------------------------------------------------------

int VME_MEM_COMPARE_BUFFS                    = 0;  // control identifier
int VME_MEM_WRITE_WORD                       = 0;  // control identifier
int VME_MEM_READ_WORD                        = 0;  // control identifier
int VME_MEM_NEW_BUFFER                       = 0;  // control identifier
int VME_MEM_LOAD_FILE                        = 0;  // control identifier
int VME_MEM_WRITE_TO_MEMORY                  = 0;  // control identifier
int VME_MEM_WRITE_BYTES                      = 0;  // control identifier
int VME_MEM_READ_DATA_WORD                   = 0;  // control identifier
int VME_MEM_WRITE_DATA_WORD                  = 0;  // control identifier
int VME_MEM_WORD_ADDRESS                     = 0;  // control identifier
int VME_MEM_WRITE_ADDRESS                    = 0;  // control identifier
int VME_MEM_SAVE_WRITE_TABLE                 = 0;  // control identifier
int VME_MEM_SLOT_NUMBER                      = 0;  // control identifier
int VME_MEM_READ_MEMORY                      = 0;  // control identifier
int VME_MEM_WRITE_TABLE                      = 0;  // control identifier
int VME_MEM_READ_TABLE                       = 0;  // control identifier
int VME_MEM_EXTERNAL_VIEWER                  = 0;  // control identifier
int VME_MEM_SAVE_READ_TABLE                  = 0;  // control identifier
int VME_MEM_WRITE_TABLE_ADDR                 = 0;  // control identifier
int VME_MEM_READ_TABLE_ADDR                  = 0;  // control identifier
int VME_MEM_READ_BYTES                       = 0;  // control identifier
int VME_MEM_READ_ADDRESS                     = 0;  // control identifier
int VME_MEM_ADDRESS_TABLE_TIM                = 0;  // control identifier
int VME_MEM_ADDRESS_TABLE                    = 0;  // control identifier
int VME_MEM_VME_BUSY                         = 0;  // control identifier
int VME_MEM_WRITE_TABLE_SLIDE                = 0;  // control identifier
int VME_MEM_READ_TABLE_SLIDE                 = 0;  // control identifier
int VME_MEM_VME_ACCESS                       = 0;  // control identifier
int VME_MEM_TEXTMSG_5                        = 0;  // control identifier
int VME_MEM_DECORATION_3                     = 0;  // control identifier
int VME_MEM_TEXTMSG_11                       = 0;  // control identifier
int VME_MEM_TEXTMSG_12                       = 0;  // control identifier
int VME_MEM_TEXTMSG_14                       = 0;  // control identifier
int VME_MEM_TEXTMSG_15                       = 0;  // control identifier
int VME_MEM_TEXTMSG_16                       = 0;  // control identifier
int VME_MEM_TEXTMSG_17                       = 0;  // control identifier
int VME_MEM_TEXTMSG_18                       = 0;  // control identifier
int VME_MEM_TEXTMSG                          = 0;  // control identifier
int VME_MEM_TEXTMSG_19                       = 0;  // control identifier
int VME_MEM_DECORATION_4                     = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  WRBUFF_M
// ------------------------------------------------------------------------------------------------

int WRBUFF_M_CANCEL                          = 0;  // control identifier
int WRBUFF_M_OK                              = 0;  // control identifier
int WRBUFF_M_DEFAULT_VALUE                   = 0;  // control identifier
int WRBUFF_M_BYTES                           = 0;  // control identifier
int WRBUFF_M_ADDRESS                         = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  WRBUFF_S
// ------------------------------------------------------------------------------------------------

int WRBUFF_S_CANCEL                          = 0;  // control identifier
int WRBUFF_S_OK                              = 0;  // control identifier
int WRBUFF_S_DEFAULT_VALUE                   = 0;  // control identifier
int WRBUFF_S_BYTES                           = 0;  // control identifier
int WRBUFF_S_ADDRESS                         = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  WRBUFF_VME
// ------------------------------------------------------------------------------------------------

int WRBUFF_VME_CANCEL                        = 0;  // control identifier
int WRBUFF_VME_OK                            = 0;  // control identifier
int WRBUFF_VME_DEFAULT_VALUE                 = 0;  // control identifier
int WRBUFF_VME_BYTES                         = 0;  // control identifier
int WRBUFF_VME_REL_ADDRESS                   = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  ROD_MEM
// ------------------------------------------------------------------------------------------------

int ROD_MEM_GOTO_MAIN                        = 0;  // menu identifier
int ROD_MEM_VIEW_BIN_FILE                    = 0;  // menu identifier
int ROD_MEM_CLOSE_WINDOW                     = 0;  // menu identifier

//----------------------------------------------------------------------------------------------------
// buildPanel_mdspMemory ():  Build UI object MASTER_MEM; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_mdspMemory (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "MASTER DSP MEMORY", 24, 5, 530, 885);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "MASTER_MEM");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0X99CCCC);
//  SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, 0X99CCCC);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 5);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
//  SetPanelAttribute (hPanel, ATTR_MOVABLE, 1);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
//  SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 0);
    SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 1);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: MASTER_MEM_COMPARE_BUFFS
    MASTER_MEM_COMPARE_BUFFS = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "COMPARE BUFFS", 437, 267);
    SetCtrlAttribute (hPanel, MASTER_MEM_COMPARE_BUFFS, ATTR_CONSTANT_NAME, "COMPARE_BUFFS");
//  SetCtrlAttribute (hPanel, MASTER_MEM_COMPARE_BUFFS, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_COMPARE_BUFFS, ATTR_CALLBACK_FUNCTION_POINTER, masterMemButtons);
    SetCtrlAttribute (hPanel, MASTER_MEM_COMPARE_BUFFS, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_COMPARE_BUFFS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_COMPARE_BUFFS, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_COMPARE_BUFFS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MASTER_MEM_COMPARE_BUFFS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_COMPARE_BUFFS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_COMPARE_BUFFS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_COMPARE_BUFFS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_COMPARE_BUFFS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_COMPARE_BUFFS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_COMPARE_BUFFS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_COMPARE_BUFFS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MASTER_MEM_COMPARE_BUFFS);
    SetCtrlAttribute (hPanel, MASTER_MEM_COMPARE_BUFFS, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MASTER_MEM_COMPARE_BUFFS, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, MASTER_MEM_COMPARE_BUFFS, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, MASTER_MEM_COMPARE_BUFFS, ATTR_WIDTH, 115);

    // Build control: MASTER_MEM_LOAD_FILE
    MASTER_MEM_LOAD_FILE = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "LOAD FILE TO TABLE", 476, 400);
    SetCtrlAttribute (hPanel, MASTER_MEM_LOAD_FILE, ATTR_CONSTANT_NAME, "LOAD_FILE");
//  SetCtrlAttribute (hPanel, MASTER_MEM_LOAD_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_LOAD_FILE, ATTR_CALLBACK_FUNCTION_POINTER, masterMemButtons);
    SetCtrlAttribute (hPanel, MASTER_MEM_LOAD_FILE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_LOAD_FILE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_LOAD_FILE, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_LOAD_FILE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MASTER_MEM_LOAD_FILE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_LOAD_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_LOAD_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_LOAD_FILE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_LOAD_FILE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_LOAD_FILE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_LOAD_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_LOAD_FILE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MASTER_MEM_LOAD_FILE);
    SetCtrlAttribute (hPanel, MASTER_MEM_LOAD_FILE, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MASTER_MEM_LOAD_FILE, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, MASTER_MEM_LOAD_FILE, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, MASTER_MEM_LOAD_FILE, ATTR_WIDTH, 180);

    // Build control: MASTER_MEM_WRITE_WORD
    MASTER_MEM_WRITE_WORD = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "WRITE WORD", 123, 672);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_WORD, ATTR_CONSTANT_NAME, "WRITE_WORD");
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_WORD, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_WORD, ATTR_CALLBACK_FUNCTION_POINTER, masterMemButtons);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_WORD, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_WORD, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_WORD, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_WORD, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_WORD, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_WORD, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_WORD, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_WORD, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_WORD, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_WORD, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_WORD, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_WORD, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MASTER_MEM_WRITE_WORD);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_WORD, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_WORD, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_WORD, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_WORD, ATTR_WIDTH, 96);

    // Build control: MASTER_MEM_READ_WORD
    MASTER_MEM_READ_WORD = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "READ WORD", 123, 774);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_WORD, ATTR_CONSTANT_NAME, "READ_WORD");
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_WORD, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_WORD, ATTR_CALLBACK_FUNCTION_POINTER, masterMemButtons);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_WORD, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_WORD, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_WORD, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_WORD, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_WORD, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_WORD, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_WORD, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_WORD, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_WORD, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_WORD, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_WORD, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_WORD, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MASTER_MEM_READ_WORD);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_WORD, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_WORD, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_WORD, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_WORD, ATTR_WIDTH, 96);

    // Build control: MASTER_MEM_WRITE_TO_MEMORY
    MASTER_MEM_WRITE_TO_MEMORY = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "WRITE TABLE TO MASTER", 437, 400);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TO_MEMORY, ATTR_CONSTANT_NAME, "WRITE_TO_MEMORY");
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TO_MEMORY, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TO_MEMORY, ATTR_CALLBACK_FUNCTION_POINTER, masterMemButtons);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TO_MEMORY, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TO_MEMORY, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TO_MEMORY, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TO_MEMORY, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TO_MEMORY, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TO_MEMORY, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TO_MEMORY, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TO_MEMORY, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TO_MEMORY, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TO_MEMORY, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TO_MEMORY, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TO_MEMORY, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MASTER_MEM_WRITE_TO_MEMORY);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TO_MEMORY, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TO_MEMORY, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TO_MEMORY, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TO_MEMORY, ATTR_WIDTH, 180);

    // Build control: MASTER_MEM_WRITE_BYTES
    MASTER_MEM_WRITE_BYTES = NewCtrl (hPanel, CTRL_NUMERIC, "Size", 61, 520);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_CONSTANT_NAME, "WRITE_BYTES");
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_FRAME_COLOR, 0XB0B0B0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_LABEL_WIDTH, 27);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_MAX_VALUE, 33554432);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MASTER_MEM_WRITE_BYTES);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_WIDTH, 75);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_LABEL_TOP, 47);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_LABEL_LEFT, 545);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MASTER_MEM_WRITE_BYTES, "", VAL_DS_READ, NULL, NULL);

    // Build control: MASTER_MEM_DELAY
    MASTER_MEM_DELAY = NewCtrl (hPanel, CTRL_NUMERIC, "Delay(ms)", 496, 589);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_CONSTANT_NAME, "DELAY");
//  SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_LABEL_WIDTH, 58);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_MAX_VALUE, 999);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_INCR_VALUE, 10);
//  SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_PADDING, 3);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MASTER_MEM_DELAY);
//  SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_WIDTH, 55);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_LABEL_TOP, 481);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_LABEL_LEFT, 589);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MASTER_MEM_DELAY, "", VAL_DS_READ, NULL, NULL);

    // Build control: MASTER_MEM_NEW_BUFFER
    MASTER_MEM_NEW_BUFFER = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "NEW BUFF", 59, 343);
    SetCtrlAttribute (hPanel, MASTER_MEM_NEW_BUFFER, ATTR_CONSTANT_NAME, "NEW_BUFFER");
//  SetCtrlAttribute (hPanel, MASTER_MEM_NEW_BUFFER, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_NEW_BUFFER, ATTR_CALLBACK_FUNCTION_POINTER, masterMemButtons);
    SetCtrlAttribute (hPanel, MASTER_MEM_NEW_BUFFER, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_NEW_BUFFER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_NEW_BUFFER, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_NEW_BUFFER, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MASTER_MEM_NEW_BUFFER, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_NEW_BUFFER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_NEW_BUFFER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_NEW_BUFFER, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_NEW_BUFFER, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MASTER_MEM_NEW_BUFFER, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_NEW_BUFFER, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_NEW_BUFFER, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MASTER_MEM_NEW_BUFFER);
    SetCtrlAttribute (hPanel, MASTER_MEM_NEW_BUFFER, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MASTER_MEM_NEW_BUFFER, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, MASTER_MEM_NEW_BUFFER, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, MASTER_MEM_NEW_BUFFER, ATTR_WIDTH, 68);

    // Build control: MASTER_MEM_WRITE_ADDRESS
    MASTER_MEM_WRITE_ADDRESS = NewCtrl (hPanel, CTRL_NUMERIC, "Address", 61, 434);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_CONSTANT_NAME, "WRITE_ADDRESS");
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_FRAME_COLOR, 0XB0B0B0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_LABEL_WIDTH, 48);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_TEXT_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MASTER_MEM_WRITE_ADDRESS);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_WIDTH, 75);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_LABEL_TOP, 47);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_LABEL_LEFT, 449);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MASTER_MEM_WRITE_ADDRESS, "", VAL_DS_READ, NULL, NULL);

    // Build control: MASTER_MEM_READ_DATA_WORD
    MASTER_MEM_READ_DATA_WORD = NewCtrl (hPanel, CTRL_NUMERIC, "", 100, 775);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_CONSTANT_NAME, "READ_DATA_WORD");
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_FRAME_COLOR, 0XB0B0B0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_INCR_VALUE, 16);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MASTER_MEM_READ_DATA_WORD);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_LABEL_TOP, 86);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_LABEL_LEFT, 812);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MASTER_MEM_READ_DATA_WORD, "", VAL_DS_READ, NULL, NULL);

    // Build control: MASTER_MEM_WRITE_DATA_WORD
    MASTER_MEM_WRITE_DATA_WORD = NewCtrl (hPanel, CTRL_NUMERIC, "", 100, 682);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_CONSTANT_NAME, "WRITE_DATA_WORD");
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MASTER_MEM_WRITE_DATA_WORD);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_WIDTH, 85);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_LABEL_TOP, 86);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_LABEL_LEFT, 721);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MASTER_MEM_WRITE_DATA_WORD, "", VAL_DS_READ, NULL, NULL);

    // Build control: MASTER_MEM_WORD_ADDRESS
    MASTER_MEM_WORD_ADDRESS = NewCtrl (hPanel, CTRL_NUMERIC, "Address", 77, 727);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_CONSTANT_NAME, "WORD_ADDRESS");
//  SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_CALLBACK_FUNCTION_POINTER, wordBoundary);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_LABEL_WIDTH, 48);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MASTER_MEM_WORD_ADDRESS);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_WIDTH, 85);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_LABEL_TOP, 63);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_LABEL_LEFT, 746);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MASTER_MEM_WORD_ADDRESS, "", VAL_DS_READ, NULL, NULL);

    // Build control: MASTER_MEM_PIO
    MASTER_MEM_PIO = NewCtrl (hPanel, CTRL_VSWITCH, "PIO/DMA", 467, 319);
    SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_CONSTANT_NAME, "PIO");
//  SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_DATA_TYPE, VAL_INTEGER);
//  SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_LABEL_WIDTH, 57);
    SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_DFLT_INDEX, 1);
    DefaultCtrl (hPanel, MASTER_MEM_PIO);
    SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_ON_VALUE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_OFF_VALUE, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_BINARY_SWITCH_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_ON_TEXT, "PIO");
    SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_OFF_TEXT, "DMA (exper.)");
    SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_HEIGHT, 30);
    SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_LABEL_TOP, 476);
    SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_LABEL_LEFT, 260);
    SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MASTER_MEM_BLOCK_ACCESS
    MASTER_MEM_BLOCK_ACCESS = NewCtrl (hPanel, CTRL_VSWITCH, "BlockAccess", 448, 589);
    SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_CONSTANT_NAME, "BLOCK_ACCESS");
//  SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_CALLBACK_FUNCTION_POINTER, masterMemButtons);
    SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_DATA_TYPE, VAL_INTEGER);
//  SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_LABEL_WIDTH, 76);
    SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_DFLT_INDEX, 1);
    DefaultCtrl (hPanel, MASTER_MEM_BLOCK_ACCESS);
    SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_ON_VALUE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_OFF_VALUE, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_BINARY_SWITCH_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_ON_TEXT, "Yes");
    SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_OFF_TEXT, "No (BOC)");
    SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_HEIGHT, 30);
    SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_LABEL_TOP, 431);
    SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_LABEL_LEFT, 587);
    SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MASTER_MEM_READ_MEMORY
    MASTER_MEM_READ_MEMORY = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "READ MASTER MEMORY", 437, 73);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_MEMORY, ATTR_CONSTANT_NAME, "READ_MEMORY");
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_MEMORY, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_MEMORY, ATTR_CALLBACK_FUNCTION_POINTER, masterMemButtons);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_MEMORY, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_MEMORY, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_MEMORY, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_MEMORY, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_MEMORY, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_MEMORY, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_MEMORY, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_MEMORY, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_MEMORY, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_MEMORY, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_MEMORY, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_MEMORY, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MASTER_MEM_READ_MEMORY);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_MEMORY, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_MEMORY, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_MEMORY, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_MEMORY, ATTR_WIDTH, 180);

    // Build control: MASTER_MEM_SAVE_WRITE_TABLE
    MASTER_MEM_SAVE_WRITE_TABLE = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "SAVE TO FILE", 499, 400);
    SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_WRITE_TABLE, ATTR_CONSTANT_NAME, "SAVE_WRITE_TABLE");
//  SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_WRITE_TABLE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_WRITE_TABLE, ATTR_CALLBACK_FUNCTION_POINTER, masterMemButtons);
    SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_WRITE_TABLE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_WRITE_TABLE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_WRITE_TABLE, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_WRITE_TABLE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_WRITE_TABLE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_WRITE_TABLE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_WRITE_TABLE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_WRITE_TABLE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_WRITE_TABLE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_WRITE_TABLE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_WRITE_TABLE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_WRITE_TABLE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MASTER_MEM_SAVE_WRITE_TABLE);
    SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_WRITE_TABLE, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_WRITE_TABLE, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_WRITE_TABLE, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_WRITE_TABLE, ATTR_WIDTH, 180);

    // Build control: MASTER_MEM_SAVE_READ_TABLE
    MASTER_MEM_SAVE_READ_TABLE = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "SAVE TO FILE", 499, 73);
    SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_READ_TABLE, ATTR_CONSTANT_NAME, "SAVE_READ_TABLE");
//  SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_READ_TABLE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_READ_TABLE, ATTR_CALLBACK_FUNCTION_POINTER, masterMemButtons);
    SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_READ_TABLE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_READ_TABLE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_READ_TABLE, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_READ_TABLE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_READ_TABLE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_READ_TABLE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_READ_TABLE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_READ_TABLE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_READ_TABLE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_READ_TABLE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_READ_TABLE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_READ_TABLE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MASTER_MEM_SAVE_READ_TABLE);
    SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_READ_TABLE, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_READ_TABLE, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_READ_TABLE, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_READ_TABLE, ATTR_WIDTH, 180);

    // Build control: MASTER_MEM_WRITE_TABLE
    MASTER_MEM_WRITE_TABLE = NewCtrl (hPanel, CTRL_TABLE, "WRITE TO MDSP MEMORY", 89, 339);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_CONSTANT_NAME, "WRITE_TABLE");
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_CALLBACK_FUNCTION_POINTER, masterMemButtons);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_CTRL_MODE, VAL_NORMAL);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_LABEL_TEXT, "WRITE TO MDSP MEMORY");
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_LABEL_ITALIC, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_LABEL_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_LABEL_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_LABEL_WIDTH, 194);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_LABEL_BGCOLOR, 0X99CCCC);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_PADDING, 8);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_WRAP_MODE, VAL_LINE_WRAP);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_ENTER_IS_NEWLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_NO_EDIT_TEXT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_UPPER_LEFT_CORNER_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_TABLE_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_ROW_LABELS_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_TABLE_MODE, VAL_ROW);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_ROW_LABELS_VISIBLE, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_ROW_LABELS_WIDTH, 25);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_ENABLE_ROW_SIZING, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_COLUMN_LABELS_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_COLUMN_LABELS_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_COLUMN_LABELS_HEIGHT, 25);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_ENABLE_COLUMN_SIZING, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_ENABLE_POPUP_MENU, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_CELL_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_CELL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_STR_CELL_DFLT_VALUE, "");
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_HEIGHT, 336);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_WIDTH, 295);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_LABEL_TOP, 27);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_LABEL_LEFT, 396);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    InsertTableRows (hPanel, MASTER_MEM_WRITE_TABLE, -1, 16, VAL_USE_MASTER_CELL_TYPE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 6, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 7, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 8, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 9, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 10, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 11, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 12, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 13, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 14, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 15, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 16, ATTR_VERTICAL_GRID_VISIBLE, 1);
    InsertTableColumns (hPanel, MASTER_MEM_WRITE_TABLE, -1, 5, VAL_USE_MASTER_CELL_TYPE);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_LABEL_TEXT, "Addr[hex]");
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_COLUMN_WIDTH, 70);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_LABEL_TEXT, "0");
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_COLUMN_WIDTH, 55);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_LABEL_TEXT, "4");
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_COLUMN_WIDTH, 54);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 3, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_LABEL_TEXT, "8");
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_COLUMN_WIDTH, 55);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 4, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_LABEL_TEXT, "C");
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_COLUMN_WIDTH, 56);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_WRITE_TABLE, 5, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    DefaultCtrl (hPanel, MASTER_MEM_WRITE_TABLE);
    SetActiveTableCell (hPanel, MASTER_MEM_WRITE_TABLE, MakePoint (1, 1));
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_VSCROLL_OFFSET, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindTableCellRange (hPanel, MASTER_MEM_WRITE_TABLE, MakeRect(0, 0, 0, 0), "", VAL_DS_READ, NULL, NULL);

    // Build control: MASTER_MEM_READ_TABLE
    MASTER_MEM_READ_TABLE = NewCtrl (hPanel, CTRL_TABLE, "READ MDSP MEMORY", 89, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_CONSTANT_NAME, "READ_TABLE");
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_CTRL_MODE, VAL_NORMAL);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_LABEL_TEXT, "READ MDSP MEMORY");
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_LABEL_ITALIC, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_LABEL_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_LABEL_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_LABEL_WIDTH, 162);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_LABEL_BGCOLOR, 0X99CCCC);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_PADDING, 8);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_WRAP_MODE, VAL_LINE_WRAP);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_ENTER_IS_NEWLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_NO_EDIT_TEXT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_UPPER_LEFT_CORNER_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_TABLE_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_ROW_LABELS_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_TABLE_MODE, VAL_ROW);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_ROW_LABELS_VISIBLE, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_ROW_LABELS_WIDTH, 25);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_ENABLE_ROW_SIZING, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_COLUMN_LABELS_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_COLUMN_LABELS_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_COLUMN_LABELS_HEIGHT, 25);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_ENABLE_COLUMN_SIZING, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_ENABLE_POPUP_MENU, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_CELL_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_CELL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_STR_CELL_DFLT_VALUE, "");
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_HEIGHT, 336);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_WIDTH, 295);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_LABEL_TOP, 27);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_LABEL_LEFT, 84);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    InsertTableRows (hPanel, MASTER_MEM_READ_TABLE, -1, 16, VAL_USE_MASTER_CELL_TYPE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 6, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 7, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 8, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 9, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 10, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 11, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 12, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 13, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 14, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 15, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MASTER_MEM_READ_TABLE, 16, ATTR_VERTICAL_GRID_VISIBLE, 1);
    InsertTableColumns (hPanel, MASTER_MEM_READ_TABLE, -1, 5, VAL_USE_MASTER_CELL_TYPE);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_LABEL_TEXT, "Addr[hex]");
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_COLUMN_WIDTH, 70);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_LABEL_TEXT, "0");
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_COLUMN_WIDTH, 55);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_LABEL_TEXT, "4");
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_COLUMN_WIDTH, 54);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 3, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_LABEL_TEXT, "8");
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_COLUMN_WIDTH, 55);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 4, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_LABEL_TEXT, "C");
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_COLUMN_WIDTH, 56);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_READ_TABLE, 5, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (2, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (3, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (4, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), bitmapId);
        SetTableCellAttribute (hPanel, MASTER_MEM_READ_TABLE, MakePoint (5, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    DefaultCtrl (hPanel, MASTER_MEM_READ_TABLE);
    SetActiveTableCell (hPanel, MASTER_MEM_READ_TABLE, MakePoint (1, 2));
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_VSCROLL_OFFSET, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindTableCellRange (hPanel, MASTER_MEM_READ_TABLE, MakeRect(0, 0, 0, 0), "", VAL_DS_READ, NULL, NULL);

    // Build control: MASTER_MEM_REPEAT_COUNTER
    MASTER_MEM_REPEAT_COUNTER = NewCtrl (hPanel, CTRL_NUMERIC, "counter", 471, 8);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_CONSTANT_NAME, "REPEAT_COUNTER");
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_FRAME_COLOR, 0X0099FF);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_LABEL_WIDTH, 46);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_MAX_VALUE, 16777216);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_INCR_VALUE, 4);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_PADDING, 7);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MASTER_MEM_REPEAT_COUNTER);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_WIDTH, 56);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_LABEL_TOP, 457);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_LABEL_LEFT, 14);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MASTER_MEM_REPEAT_COUNTER, "", VAL_DS_READ, NULL, NULL);

    // Build control: MASTER_MEM_REPEAT
    MASTER_MEM_REPEAT = NewCtrl (hPanel, CTRL_NUMERIC, "repetitions", 441, 8);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_CONSTANT_NAME, "REPEAT");
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_LABEL_WIDTH, 62);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_MAX_VALUE, 16777216);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_INCR_VALUE, 4);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_PADDING, 7);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MASTER_MEM_REPEAT);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_WIDTH, 56);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_LABEL_TOP, 427);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_LABEL_LEFT, 5);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MASTER_MEM_REPEAT, "", VAL_DS_READ, NULL, NULL);

    // Build control: MASTER_MEM_READ_BYTES
    MASTER_MEM_READ_BYTES = NewCtrl (hPanel, CTRL_NUMERIC, "Size", 61, 171);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_CONSTANT_NAME, "READ_BYTES");
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_CALLBACK_FUNCTION_POINTER, wordBoundary);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_LABEL_WIDTH, 27);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_MAX_VALUE, 33554432);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_MIN_VALUE, 4);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_DFLT_VALUE, 4);
    DefaultCtrl (hPanel, MASTER_MEM_READ_BYTES);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_LABEL_TOP, 47);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_LABEL_LEFT, 203);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MASTER_MEM_READ_BYTES, "", VAL_DS_READ, NULL, NULL);

    // Build control: MASTER_MEM_WRITE_TABLE_ADDR
    MASTER_MEM_WRITE_TABLE_ADDR = NewCtrl (hPanel, CTRL_NUMERIC, "", 117, 342);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_CONSTANT_NAME, "WRITE_TABLE_ADDR");
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_CALLBACK_FUNCTION_POINTER, masterMemButtons);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_COLOR, 0X000099);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_PADDING, 8);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MASTER_MEM_WRITE_TABLE_ADDR);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_WIDTH, 69);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_TOP, 102);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_LEFT, 370);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, "", VAL_DS_READ, NULL, NULL);

    // Build control: MASTER_MEM_READ_TABLE_ADDR
    MASTER_MEM_READ_TABLE_ADDR = NewCtrl (hPanel, CTRL_NUMERIC, "", 117, 14);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_CONSTANT_NAME, "READ_TABLE_ADDR");
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_CALLBACK_FUNCTION_POINTER, masterMemButtons);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_TEXT_COLOR, 0X000099);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_PADDING, 8);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MASTER_MEM_READ_TABLE_ADDR);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_WIDTH, 69);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_LABEL_TOP, 102);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_LABEL_LEFT, 42);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MASTER_MEM_READ_TABLE_ADDR, "", VAL_DS_READ, NULL, NULL);

    // Build control: MASTER_MEM_READ_ADDRESS
    MASTER_MEM_READ_ADDRESS = NewCtrl (hPanel, CTRL_NUMERIC, "Address", 61, 82);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_CONSTANT_NAME, "READ_ADDRESS");
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_CALLBACK_FUNCTION_POINTER, wordBoundary);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_LABEL_WIDTH, 48);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_TEXT_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MASTER_MEM_READ_ADDRESS);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_LABEL_TOP, 46);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_LABEL_LEFT, 103);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MASTER_MEM_READ_ADDRESS, "", VAL_DS_READ, NULL, NULL);

    // Build control: MASTER_MEM_SLOT_NUMBER
    MASTER_MEM_SLOT_NUMBER = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Slot#", 24, 765);
    SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_CONSTANT_NAME, "SLOT_NUMBER");
//  SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    InsertListItem (hPanel, MASTER_MEM_SLOT_NUMBER, 0, "5", 5);
    InsertListItem (hPanel, MASTER_MEM_SLOT_NUMBER, 1, "6", 6);
    InsertListItem (hPanel, MASTER_MEM_SLOT_NUMBER, 2, "7", 7);
    InsertListItem (hPanel, MASTER_MEM_SLOT_NUMBER, 3, "8", 8);
    InsertListItem (hPanel, MASTER_MEM_SLOT_NUMBER, 4, "9", 9);
    InsertListItem (hPanel, MASTER_MEM_SLOT_NUMBER, 5, "10", 10);
    InsertListItem (hPanel, MASTER_MEM_SLOT_NUMBER, 6, "11", 11);
    InsertListItem (hPanel, MASTER_MEM_SLOT_NUMBER, 7, "12", 12);
    InsertListItem (hPanel, MASTER_MEM_SLOT_NUMBER, 8, "14", 14);
    InsertListItem (hPanel, MASTER_MEM_SLOT_NUMBER, 9, "15", 15);
    InsertListItem (hPanel, MASTER_MEM_SLOT_NUMBER, 10, "16", 16);
    InsertListItem (hPanel, MASTER_MEM_SLOT_NUMBER, 11, "17", 17);
    InsertListItem (hPanel, MASTER_MEM_SLOT_NUMBER, 12, "18", 18);
    InsertListItem (hPanel, MASTER_MEM_SLOT_NUMBER, 13, "19", 19);
    InsertListItem (hPanel, MASTER_MEM_SLOT_NUMBER, 14, "20", 20);
    InsertListItem (hPanel, MASTER_MEM_SLOT_NUMBER, 15, "21", 21);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_CTRL_MODE, VAL_NORMAL);
    SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_LABEL_POINT_SIZE, 16);
    SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_LABEL_WIDTH, 45);
    SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_LABEL_HEIGHT, 22);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_TEXT_COLOR, 0XFFFF99);
    SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_TEXT_FONT, "Arial");
//  SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_TEXT_POINT_SIZE, 22);
    SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_TEXT_BGCOLOR, 0X003366);
    SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_DFLT_INDEX, 11);
    DefaultCtrl (hPanel, MASTER_MEM_SLOT_NUMBER);
//  SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_WIDTH, 50);
    SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_LABEL_TOP, 31);
    SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_LABEL_LEFT, 719);
    SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: MASTER_MEM_EXTERNAL_VIEWER
    MASTER_MEM_EXTERNAL_VIEWER = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "EXTERNAL VIEWER", 476, 73);
    SetCtrlAttribute (hPanel, MASTER_MEM_EXTERNAL_VIEWER, ATTR_CONSTANT_NAME, "EXTERNAL_VIEWER");
//  SetCtrlAttribute (hPanel, MASTER_MEM_EXTERNAL_VIEWER, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_EXTERNAL_VIEWER, ATTR_CALLBACK_FUNCTION_POINTER, masterMemButtons);
    SetCtrlAttribute (hPanel, MASTER_MEM_EXTERNAL_VIEWER, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_EXTERNAL_VIEWER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_EXTERNAL_VIEWER, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_EXTERNAL_VIEWER, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MASTER_MEM_EXTERNAL_VIEWER, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_EXTERNAL_VIEWER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_EXTERNAL_VIEWER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_EXTERNAL_VIEWER, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_EXTERNAL_VIEWER, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_EXTERNAL_VIEWER, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_EXTERNAL_VIEWER, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_EXTERNAL_VIEWER, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MASTER_MEM_EXTERNAL_VIEWER);
    SetCtrlAttribute (hPanel, MASTER_MEM_EXTERNAL_VIEWER, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MASTER_MEM_EXTERNAL_VIEWER, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, MASTER_MEM_EXTERNAL_VIEWER, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, MASTER_MEM_EXTERNAL_VIEWER, ATTR_WIDTH, 180);

    // Build control: MASTER_MEM_ADDRESS_TABLE
    MASTER_MEM_ADDRESS_TABLE = NewCtrl (hPanel, CTRL_TABLE, "", 155, 663);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_CONSTANT_NAME, "ADDRESS_TABLE");
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_CALLBACK_FUNCTION_POINTER, masterMemButtons);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_SCROLL_BARS, VAL_VERT_SCROLL_BAR);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_LABEL_TEXT, "");
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_LABEL_BGCOLOR, 0X99CCCC);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_PADDING, 8);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_WRAP_MODE, VAL_LINE_WRAP);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_ENTER_IS_NEWLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_NO_EDIT_TEXT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_UPPER_LEFT_CORNER_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_TABLE_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_ROW_LABELS_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_TABLE_MODE, VAL_COLUMN);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_ROW_LABELS_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_ROW_LABELS_WIDTH, 88);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_ENABLE_ROW_SIZING, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_COLUMN_LABELS_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_COLUMN_LABELS_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_COLUMN_LABELS_HEIGHT, 16);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_ENABLE_COLUMN_SIZING, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_ENABLE_POPUP_MENU, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_CELL_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_CELL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_STR_CELL_DFLT_VALUE, "");
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_HEIGHT, 370);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_WIDTH, 217);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_LABEL_TOP, 134);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_LABEL_LEFT, 662);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    InsertTableColumns (hPanel, MASTER_MEM_ADDRESS_TABLE, -1, 2, VAL_USE_MASTER_CELL_TYPE);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_TEXT, "Address");
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_COLUMN_WIDTH, 52);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_TEXT, "Size(B)");
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_COLUMN_WIDTH, 54);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
    DefaultCtrl (hPanel, MASTER_MEM_ADDRESS_TABLE);
    SetActiveTableCell (hPanel, MASTER_MEM_ADDRESS_TABLE, MakePoint (1, 0));
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_VSCROLL_OFFSET, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindTableCellRange (hPanel, MASTER_MEM_ADDRESS_TABLE, MakeRect(0, 0, 0, 0), "", VAL_DS_READ, NULL, NULL);

    // Build control: MASTER_MEM_VME_BUSY
    MASTER_MEM_VME_BUSY = NewCtrl (hPanel, CTRL_SQUARE_LED, "VME", 25, 309);
    SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_CONSTANT_NAME, "VME_BUSY");
//  SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_LABEL_WIDTH, 26);
    SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MASTER_MEM_VME_BUSY);
    SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_ON_COLOR, VAL_YELLOW);
    SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_HEIGHT, 19);
    SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_WIDTH, 30);
    SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_LABEL_TOP, 27);
    SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_LABEL_LEFT, 311);
    SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MASTER_MEM_WRITE_TABLE_SLIDE
    MASTER_MEM_WRITE_TABLE_SLIDE = NewCtrl (hPanel, CTRL_NUMERIC_VSLIDE, "", 118, 640);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_CONSTANT_NAME, "WRITE_TABLE_SLIDE");
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_CALLBACK_FUNCTION_POINTER, masterMemButtons);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_BGCOLOR, 0X99CCCC);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_COLOR, 0X99CCFF);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_MAX_VALUE, 256);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_CHECK_RANGE, VAL_IGNORE);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_DFLT_VALUE, 256);
    DefaultCtrl (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_SHOW_INCDEC_ARROWS, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_DIG_DISP_WIDTH, 75);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_DIG_DISP_HEIGHT, 19);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_SHOW_DIG_DISP, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_NEEDLE_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_FILL_HOUSING_COLOR, 0X7F7F7F);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_MARKER_STYLE, VAL_NO_MARKERS);
//  SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_TICK_STYLE, VAL_NO_MINOR_TICKS);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_FILL_COLOR, VAL_RED);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_FILL_OPTION, VAL_NO_FILL);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_HEIGHT, 304);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_WIDTH, 13);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_TOP, 97);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_LEFT, 587);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_SLIDER_LEFT, 639);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_SLIDER_WIDTH, 15);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_SLIDER_HEIGHT, 8);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_DIG_DISP_TOP, 436);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_DIG_DISP_LEFT, 591);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, "", VAL_DS_READ, NULL, NULL);

    // Build control: MASTER_MEM_READ_TABLE_SLIDE
    MASTER_MEM_READ_TABLE_SLIDE = NewCtrl (hPanel, CTRL_NUMERIC_VSLIDE, "", 118, 312);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_CONSTANT_NAME, "READ_TABLE_SLIDE");
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_CALLBACK_FUNCTION_POINTER, masterMemButtons);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_LABEL_BGCOLOR, 0X99CCCC);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_TEXT_COLOR, 0X99CCFF);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_MAX_VALUE, 256);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_CHECK_RANGE, VAL_IGNORE);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_DFLT_VALUE, 256);
    DefaultCtrl (hPanel, MASTER_MEM_READ_TABLE_SLIDE);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_SHOW_INCDEC_ARROWS, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_DIG_DISP_WIDTH, 75);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_DIG_DISP_HEIGHT, 19);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_SHOW_DIG_DISP, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_NEEDLE_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_FILL_HOUSING_COLOR, 0X7F7F7F);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_MARKER_STYLE, VAL_NO_MARKERS);
//  SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_TICK_STYLE, VAL_NO_MINOR_TICKS);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_FILL_COLOR, VAL_RED);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_FILL_OPTION, VAL_NO_FILL);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_HEIGHT, 304);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_WIDTH, 13);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_LABEL_TOP, 97);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_LABEL_LEFT, 259);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_SLIDER_LEFT, 311);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_SLIDER_WIDTH, 15);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_SLIDER_HEIGHT, 8);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_DIG_DISP_TOP, 436);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_DIG_DISP_LEFT, 263);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_LABEL_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MASTER_MEM_READ_TABLE_SLIDE, "", VAL_DS_READ, NULL, NULL);

    // Build control: MASTER_MEM_COUNTER_ON
    MASTER_MEM_COUNTER_ON = NewCtrl (hPanel, CTRL_CHECK_BOX, "", 460, 2);
    SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_CONSTANT_NAME, "COUNTER_ON");
//  SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_DFLT_VALUE, 1);
    DefaultCtrl (hPanel, MASTER_MEM_COUNTER_ON);
    SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_HEIGHT, 13);
    SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_WIDTH, 13);
    SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_LABEL_TOP, 459);
    SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_LABEL_LEFT, 18);
    SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MASTER_MEM_TIMER
    MASTER_MEM_TIMER = NewCtrl (hPanel, CTRL_NUMERIC, "Time(sec)", 498, 319);
    SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_CONSTANT_NAME, "TIMER");
//  SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_DATA_TYPE, VAL_DOUBLE);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_LABEL_WIDTH, 49);
    SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_MAX_VALUE, HUGE_VAL);
    SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_MIN_VALUE, -HUGE_VAL);
    SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_INCR_VALUE, 1.000000);
    SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_PRECISION, 3);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_DFLT_VALUE, 0.000000);
    DefaultCtrl (hPanel, MASTER_MEM_TIMER);
    SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_WIDTH, 60);
    SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_LABEL_TOP, 500);
    SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_LABEL_LEFT, 270);
    SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MASTER_MEM_TIMER, "", VAL_DS_READ, NULL, NULL);

    // Build control: MASTER_MEM_DECORATION_3
    MASTER_MEM_DECORATION_3 = NewCtrl (hPanel, CTRL_RAISED_BOX, "", 62, 664);
    SetCtrlAttribute (hPanel, MASTER_MEM_DECORATION_3, ATTR_CONSTANT_NAME, "DECORATION_3");
//  SetCtrlAttribute (hPanel, MASTER_MEM_DECORATION_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_DECORATION_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_DECORATION_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_DECORATION_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_DECORATION_3, ATTR_FRAME_COLOR, 0X99CCCC);
    SetCtrlAttribute (hPanel, MASTER_MEM_DECORATION_3, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, MASTER_MEM_DECORATION_3, ATTR_HEIGHT, 90);
    SetCtrlAttribute (hPanel, MASTER_MEM_DECORATION_3, ATTR_WIDTH, 214);

    // Build control: MASTER_MEM_TEXTMSG
    MASTER_MEM_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 63, 597);
    SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG, ATTR_DFLT_VALUE, "B");
    DefaultCtrl (hPanel, MASTER_MEM_TEXTMSG);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG, ATTR_WIDTH, 10);
    SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MASTER_MEM_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: MASTER_MEM_TEXTMSG_2
    MASTER_MEM_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 63, 252);
    SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG_2, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG_2, ATTR_DFLT_VALUE, "B");
    DefaultCtrl (hPanel, MASTER_MEM_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG_2, ATTR_WIDTH, 10);
    SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MASTER_MEM_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG_2, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, MASTER_MEM_TEXTMSG, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, MASTER_MEM_COMPARE_BUFFS, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_WORD, ATTR_ZPLANE_POSITION, 14);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_WORD, ATTR_ZPLANE_POSITION, 15);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_ZPLANE_POSITION, 16);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_ZPLANE_POSITION, 17);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_ZPLANE_POSITION, 18);
    SetCtrlAttribute (hPanel, MASTER_MEM_DECORATION_3, ATTR_ZPLANE_POSITION, 19);
    SetCtrlAttribute (hPanel, MASTER_MEM_NEW_BUFFER, ATTR_ZPLANE_POSITION, 20);
    SetCtrlAttribute (hPanel, MASTER_MEM_EXTERNAL_VIEWER, ATTR_ZPLANE_POSITION, 21);
    SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_ZPLANE_POSITION, 22);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_ZPLANE_POSITION, 23);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_ZPLANE_POSITION, 24);
    SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_WRITE_TABLE, ATTR_ZPLANE_POSITION, 25);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_ZPLANE_POSITION, 26);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_ZPLANE_POSITION, 27);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TO_MEMORY, ATTR_ZPLANE_POSITION, 28);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_MEMORY, ATTR_ZPLANE_POSITION, 29);
    SetCtrlAttribute (hPanel, MASTER_MEM_LOAD_FILE, ATTR_ZPLANE_POSITION, 30);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_ZPLANE_POSITION, 31);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_ZPLANE_POSITION, 32);
    SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_READ_TABLE, ATTR_ZPLANE_POSITION, 33);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_ZPLANE_POSITION, 34);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_ZPLANE_POSITION, 35);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, MASTER_MEM_COMPARE_BUFFS, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, MASTER_MEM_LOAD_FILE, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_WORD, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_WORD, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TO_MEMORY, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_BYTES, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, MASTER_MEM_DELAY, ATTR_CTRL_TAB_POSITION, 6);
    SetCtrlAttribute (hPanel, MASTER_MEM_NEW_BUFFER, ATTR_CTRL_TAB_POSITION, 7);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_ADDRESS, ATTR_CTRL_TAB_POSITION, 8);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_DATA_WORD, ATTR_CTRL_TAB_POSITION, 9);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_DATA_WORD, ATTR_CTRL_TAB_POSITION, 10);
    SetCtrlAttribute (hPanel, MASTER_MEM_WORD_ADDRESS, ATTR_CTRL_TAB_POSITION, 11);
    SetCtrlAttribute (hPanel, MASTER_MEM_PIO, ATTR_CTRL_TAB_POSITION, 12);
    SetCtrlAttribute (hPanel, MASTER_MEM_BLOCK_ACCESS, ATTR_CTRL_TAB_POSITION, 13);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_MEMORY, ATTR_CTRL_TAB_POSITION, 14);
    SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_WRITE_TABLE, ATTR_CTRL_TAB_POSITION, 15);
    SetCtrlAttribute (hPanel, MASTER_MEM_SAVE_READ_TABLE, ATTR_CTRL_TAB_POSITION, 16);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE, ATTR_CTRL_TAB_POSITION, 17);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE, ATTR_CTRL_TAB_POSITION, 18);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT_COUNTER, ATTR_CTRL_TAB_POSITION, 19);
    SetCtrlAttribute (hPanel, MASTER_MEM_REPEAT, ATTR_CTRL_TAB_POSITION, 20);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_BYTES, ATTR_CTRL_TAB_POSITION, 21);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_ADDR, ATTR_CTRL_TAB_POSITION, 22);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_ADDR, ATTR_CTRL_TAB_POSITION, 23);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_ADDRESS, ATTR_CTRL_TAB_POSITION, 24);
    SetCtrlAttribute (hPanel, MASTER_MEM_SLOT_NUMBER, ATTR_CTRL_TAB_POSITION, 25);
    SetCtrlAttribute (hPanel, MASTER_MEM_EXTERNAL_VIEWER, ATTR_CTRL_TAB_POSITION, 26);
    SetCtrlAttribute (hPanel, MASTER_MEM_ADDRESS_TABLE, ATTR_CTRL_TAB_POSITION, 27);
    SetCtrlAttribute (hPanel, MASTER_MEM_VME_BUSY, ATTR_CTRL_TAB_POSITION, 28);
    SetCtrlAttribute (hPanel, MASTER_MEM_WRITE_TABLE_SLIDE, ATTR_CTRL_TAB_POSITION, 29);
    SetCtrlAttribute (hPanel, MASTER_MEM_READ_TABLE_SLIDE, ATTR_CTRL_TAB_POSITION, 30);
    SetCtrlAttribute (hPanel, MASTER_MEM_COUNTER_ON, ATTR_CTRL_TAB_POSITION, 31);
    SetCtrlAttribute (hPanel, MASTER_MEM_TIMER, ATTR_CTRL_TAB_POSITION, 32);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(530*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(885*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(24*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(5*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_TOP, VAL_AUTO_CENTER);
    SetPanelAttribute (hPanel, ATTR_LEFT, VAL_AUTO_CENTER);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    buildMenu_memoryPanel (hPanel);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_sdspMemory ():  Build UI object SLAVE_MEM; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_sdspMemory (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "SLAVE DSP MEMORY", 75, 37, 530, 885);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "SLAVE_MEM");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD7CEAA);
//  SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, 0XD7CEAA);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 5);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
//  SetPanelAttribute (hPanel, ATTR_MOVABLE, 1);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
//  SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 0);
    SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 1);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: SLAVE_MEM_COMPARE_BUFFS
    SLAVE_MEM_COMPARE_BUFFS = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "COMPARE BUFFS", 437, 267);
    SetCtrlAttribute (hPanel, SLAVE_MEM_COMPARE_BUFFS, ATTR_CONSTANT_NAME, "COMPARE_BUFFS");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_COMPARE_BUFFS, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_COMPARE_BUFFS, ATTR_CALLBACK_FUNCTION_POINTER, slaveMemButtons);
    SetCtrlAttribute (hPanel, SLAVE_MEM_COMPARE_BUFFS, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_COMPARE_BUFFS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_COMPARE_BUFFS, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_COMPARE_BUFFS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLAVE_MEM_COMPARE_BUFFS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_COMPARE_BUFFS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_COMPARE_BUFFS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_COMPARE_BUFFS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_COMPARE_BUFFS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_COMPARE_BUFFS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_COMPARE_BUFFS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_COMPARE_BUFFS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SLAVE_MEM_COMPARE_BUFFS);
    SetCtrlAttribute (hPanel, SLAVE_MEM_COMPARE_BUFFS, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_COMPARE_BUFFS, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_COMPARE_BUFFS, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, SLAVE_MEM_COMPARE_BUFFS, ATTR_WIDTH, 115);

    // Build control: SLAVE_MEM_LOAD_FILE
    SLAVE_MEM_LOAD_FILE = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "LOAD FILE TO TABLE", 476, 400);
    SetCtrlAttribute (hPanel, SLAVE_MEM_LOAD_FILE, ATTR_CONSTANT_NAME, "LOAD_FILE");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_LOAD_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_LOAD_FILE, ATTR_CALLBACK_FUNCTION_POINTER, slaveMemButtons);
    SetCtrlAttribute (hPanel, SLAVE_MEM_LOAD_FILE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_LOAD_FILE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_LOAD_FILE, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_LOAD_FILE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLAVE_MEM_LOAD_FILE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_LOAD_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_LOAD_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_LOAD_FILE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_LOAD_FILE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_LOAD_FILE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_LOAD_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_LOAD_FILE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SLAVE_MEM_LOAD_FILE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_LOAD_FILE, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_LOAD_FILE, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_LOAD_FILE, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, SLAVE_MEM_LOAD_FILE, ATTR_WIDTH, 180);

    // Build control: SLAVE_MEM_WRITE_WORD
    SLAVE_MEM_WRITE_WORD = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "WRITE WORD", 156, 672);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_WORD, ATTR_CONSTANT_NAME, "WRITE_WORD");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_WORD, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_WORD, ATTR_CALLBACK_FUNCTION_POINTER, slaveMemButtons);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_WORD, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_WORD, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_WORD, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_WORD, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_WORD, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_WORD, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_WORD, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_WORD, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_WORD, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_WORD, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_WORD, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_WORD, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SLAVE_MEM_WRITE_WORD);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_WORD, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_WORD, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_WORD, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_WORD, ATTR_WIDTH, 96);

    // Build control: SLAVE_MEM_READ_WORD
    SLAVE_MEM_READ_WORD = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "READ WORD", 156, 774);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_WORD, ATTR_CONSTANT_NAME, "READ_WORD");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_WORD, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_WORD, ATTR_CALLBACK_FUNCTION_POINTER, slaveMemButtons);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_WORD, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_WORD, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_WORD, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_WORD, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_WORD, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_WORD, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_WORD, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_WORD, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_WORD, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_WORD, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_WORD, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_WORD, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SLAVE_MEM_READ_WORD);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_WORD, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_WORD, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_WORD, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_WORD, ATTR_WIDTH, 96);

    // Build control: SLAVE_MEM_WRITE_TO_MEMORY
    SLAVE_MEM_WRITE_TO_MEMORY = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "WRITE TABLE TO SLAVE", 437, 400);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TO_MEMORY, ATTR_CONSTANT_NAME, "WRITE_TO_MEMORY");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TO_MEMORY, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TO_MEMORY, ATTR_CALLBACK_FUNCTION_POINTER, slaveMemButtons);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TO_MEMORY, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TO_MEMORY, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TO_MEMORY, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TO_MEMORY, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TO_MEMORY, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TO_MEMORY, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TO_MEMORY, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TO_MEMORY, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TO_MEMORY, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TO_MEMORY, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TO_MEMORY, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TO_MEMORY, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SLAVE_MEM_WRITE_TO_MEMORY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TO_MEMORY, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TO_MEMORY, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TO_MEMORY, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TO_MEMORY, ATTR_WIDTH, 180);

    // Build control: SLAVE_MEM_WRITE_BYTES
    SLAVE_MEM_WRITE_BYTES = NewCtrl (hPanel, CTRL_NUMERIC, "Size", 61, 520);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_CONSTANT_NAME, "WRITE_BYTES");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_FRAME_COLOR, 0XB0B0B0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_LABEL_WIDTH, 27);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_MAX_VALUE, -2147483648);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SLAVE_MEM_WRITE_BYTES);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_WIDTH, 75);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_LABEL_TOP, 47);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_LABEL_LEFT, 544);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SLAVE_MEM_WRITE_BYTES, "", VAL_DS_READ, NULL, NULL);

    // Build control: SLAVE_MEM_NEW_BUFFER
    SLAVE_MEM_NEW_BUFFER = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "NEW BUFF", 59, 343);
    SetCtrlAttribute (hPanel, SLAVE_MEM_NEW_BUFFER, ATTR_CONSTANT_NAME, "NEW_BUFFER");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_NEW_BUFFER, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_NEW_BUFFER, ATTR_CALLBACK_FUNCTION_POINTER, slaveMemButtons);
    SetCtrlAttribute (hPanel, SLAVE_MEM_NEW_BUFFER, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_NEW_BUFFER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_NEW_BUFFER, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_NEW_BUFFER, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_NEW_BUFFER, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_NEW_BUFFER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_NEW_BUFFER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_NEW_BUFFER, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_NEW_BUFFER, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_NEW_BUFFER, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_NEW_BUFFER, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_NEW_BUFFER, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SLAVE_MEM_NEW_BUFFER);
    SetCtrlAttribute (hPanel, SLAVE_MEM_NEW_BUFFER, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_NEW_BUFFER, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_NEW_BUFFER, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, SLAVE_MEM_NEW_BUFFER, ATTR_WIDTH, 68);

    // Build control: SLAVE_MEM_WRITE_ADDRESS
    SLAVE_MEM_WRITE_ADDRESS = NewCtrl (hPanel, CTRL_NUMERIC, "Address", 61, 434);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_CONSTANT_NAME, "WRITE_ADDRESS");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_FRAME_COLOR, 0XB0B0B0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_LABEL_WIDTH, 48);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_TEXT_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SLAVE_MEM_WRITE_ADDRESS);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_WIDTH, 75);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_LABEL_TOP, 47);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_LABEL_LEFT, 449);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SLAVE_MEM_WRITE_ADDRESS, "", VAL_DS_READ, NULL, NULL);

    // Build control: SLAVE_MEM_READ_DATA_WORD
    SLAVE_MEM_READ_DATA_WORD = NewCtrl (hPanel, CTRL_NUMERIC, "", 130, 775);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_CONSTANT_NAME, "READ_DATA_WORD");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_INCR_VALUE, 16);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SLAVE_MEM_READ_DATA_WORD);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_LABEL_TOP, 116);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_LABEL_LEFT, 812);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SLAVE_MEM_READ_DATA_WORD, "", VAL_DS_READ, NULL, NULL);

    // Build control: SLAVE_MEM_WRITE_DATA_WORD
    SLAVE_MEM_WRITE_DATA_WORD = NewCtrl (hPanel, CTRL_NUMERIC, "", 130, 682);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_CONSTANT_NAME, "WRITE_DATA_WORD");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SLAVE_MEM_WRITE_DATA_WORD);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_WIDTH, 85);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_LABEL_TOP, 116);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_LABEL_LEFT, 721);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SLAVE_MEM_WRITE_DATA_WORD, "", VAL_DS_READ, NULL, NULL);

    // Build control: SLAVE_MEM_WORD_ADDRESS
    SLAVE_MEM_WORD_ADDRESS = NewCtrl (hPanel, CTRL_NUMERIC, "Address", 106, 727);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_CONSTANT_NAME, "WORD_ADDRESS");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_CALLBACK_FUNCTION_POINTER, wordBoundary);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_LABEL_WIDTH, 48);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SLAVE_MEM_WORD_ADDRESS);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_WIDTH, 85);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_LABEL_TOP, 92);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_LABEL_LEFT, 746);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SLAVE_MEM_WORD_ADDRESS, "", VAL_DS_READ, NULL, NULL);

    // Build control: SLAVE_MEM_READ_MEMORY
    SLAVE_MEM_READ_MEMORY = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "READ SLAVE MEMORY", 437, 73);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_MEMORY, ATTR_CONSTANT_NAME, "READ_MEMORY");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_MEMORY, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_MEMORY, ATTR_CALLBACK_FUNCTION_POINTER, slaveMemButtons);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_MEMORY, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_MEMORY, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_MEMORY, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_MEMORY, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_MEMORY, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_MEMORY, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_MEMORY, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_MEMORY, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_MEMORY, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_MEMORY, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_MEMORY, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_MEMORY, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SLAVE_MEM_READ_MEMORY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_MEMORY, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_MEMORY, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_MEMORY, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_MEMORY, ATTR_WIDTH, 180);

    // Build control: SLAVE_MEM_PIO
    SLAVE_MEM_PIO = NewCtrl (hPanel, CTRL_VSWITCH, "PIO/DMA", 466, 316);
    SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_CONSTANT_NAME, "PIO");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_DATA_TYPE, VAL_INTEGER);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_LABEL_WIDTH, 57);
    SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_DFLT_INDEX, 1);
    DefaultCtrl (hPanel, SLAVE_MEM_PIO);
    SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_ON_VALUE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_OFF_VALUE, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_BINARY_SWITCH_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_ON_TEXT, "PIO");
    SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_OFF_TEXT, "DMA (exper.)");
    SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_HEIGHT, 30);
    SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_LABEL_TOP, 475);
    SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_LABEL_LEFT, 257);
    SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: SLAVE_MEM_SAVE_WRITE_TABLE
    SLAVE_MEM_SAVE_WRITE_TABLE = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "SAVE TO FILE", 499, 400);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_WRITE_TABLE, ATTR_CONSTANT_NAME, "SAVE_WRITE_TABLE");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_WRITE_TABLE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_WRITE_TABLE, ATTR_CALLBACK_FUNCTION_POINTER, slaveMemButtons);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_WRITE_TABLE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_WRITE_TABLE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_WRITE_TABLE, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_WRITE_TABLE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_WRITE_TABLE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_WRITE_TABLE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_WRITE_TABLE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_WRITE_TABLE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_WRITE_TABLE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_WRITE_TABLE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_WRITE_TABLE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_WRITE_TABLE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SLAVE_MEM_SAVE_WRITE_TABLE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_WRITE_TABLE, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_WRITE_TABLE, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_WRITE_TABLE, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_WRITE_TABLE, ATTR_WIDTH, 180);

    // Build control: SLAVE_MEM_SAVE_READ_TABLE
    SLAVE_MEM_SAVE_READ_TABLE = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "SAVE TO FILE", 499, 73);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_READ_TABLE, ATTR_CONSTANT_NAME, "SAVE_READ_TABLE");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_READ_TABLE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_READ_TABLE, ATTR_CALLBACK_FUNCTION_POINTER, slaveMemButtons);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_READ_TABLE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_READ_TABLE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_READ_TABLE, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_READ_TABLE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_READ_TABLE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_READ_TABLE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_READ_TABLE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_READ_TABLE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_READ_TABLE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_READ_TABLE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_READ_TABLE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_READ_TABLE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SLAVE_MEM_SAVE_READ_TABLE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_READ_TABLE, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_READ_TABLE, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_READ_TABLE, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_READ_TABLE, ATTR_WIDTH, 180);

    // Build control: SLAVE_MEM_WRITE_TABLE
    SLAVE_MEM_WRITE_TABLE = NewCtrl (hPanel, CTRL_TABLE, "WRITE TO SDSP MEMORY", 89, 339);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_CONSTANT_NAME, "WRITE_TABLE");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_CALLBACK_FUNCTION_POINTER, slaveMemButtons);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_CTRL_MODE, VAL_NORMAL);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_LABEL_TEXT, "WRITE TO SDSP MEMORY");
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_LABEL_ITALIC, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_LABEL_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_LABEL_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_LABEL_WIDTH, 192);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_PADDING, 8);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_WRAP_MODE, VAL_LINE_WRAP);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_ENTER_IS_NEWLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_NO_EDIT_TEXT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_UPPER_LEFT_CORNER_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_TABLE_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_ROW_LABELS_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_TABLE_MODE, VAL_ROW);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_ROW_LABELS_VISIBLE, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_ROW_LABELS_WIDTH, 25);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_ENABLE_ROW_SIZING, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_COLUMN_LABELS_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_COLUMN_LABELS_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_COLUMN_LABELS_HEIGHT, 25);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_ENABLE_COLUMN_SIZING, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_ENABLE_POPUP_MENU, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_CELL_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_CELL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_STR_CELL_DFLT_VALUE, "");
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_HEIGHT, 336);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_WIDTH, 295);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_LABEL_TOP, 27);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_LABEL_LEFT, 397);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    InsertTableRows (hPanel, SLAVE_MEM_WRITE_TABLE, -1, 16, VAL_USE_MASTER_CELL_TYPE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 6, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 7, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 8, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 9, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 10, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 11, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 12, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 13, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 14, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 15, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 16, ATTR_VERTICAL_GRID_VISIBLE, 1);
    InsertTableColumns (hPanel, SLAVE_MEM_WRITE_TABLE, -1, 5, VAL_USE_MASTER_CELL_TYPE);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_LABEL_TEXT, "Addr[hex]");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_COLUMN_WIDTH, 70);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_LABEL_TEXT, "0");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_COLUMN_WIDTH, 55);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_LABEL_TEXT, "4");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_COLUMN_WIDTH, 54);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 3, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_LABEL_TEXT, "8");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_COLUMN_WIDTH, 55);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 4, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_LABEL_TEXT, "C");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_COLUMN_WIDTH, 56);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, 5, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    DefaultCtrl (hPanel, SLAVE_MEM_WRITE_TABLE);
    SetActiveTableCell (hPanel, SLAVE_MEM_WRITE_TABLE, MakePoint (1, 1));
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_VSCROLL_OFFSET, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindTableCellRange (hPanel, SLAVE_MEM_WRITE_TABLE, MakeRect(0, 0, 0, 0), "", VAL_DS_READ, NULL, NULL);

    // Build control: SLAVE_MEM_READ_TABLE
    SLAVE_MEM_READ_TABLE = NewCtrl (hPanel, CTRL_TABLE, "READ SDSP MEMORY", 89, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_CONSTANT_NAME, "READ_TABLE");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_CTRL_MODE, VAL_NORMAL);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_LABEL_TEXT, "READ SDSP MEMORY");
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_LABEL_ITALIC, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_LABEL_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_LABEL_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_LABEL_WIDTH, 160);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_PADDING, 8);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_WRAP_MODE, VAL_LINE_WRAP);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_ENTER_IS_NEWLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_NO_EDIT_TEXT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_UPPER_LEFT_CORNER_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_TABLE_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_ROW_LABELS_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_TABLE_MODE, VAL_ROW);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_ROW_LABELS_VISIBLE, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_ROW_LABELS_WIDTH, 25);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_ENABLE_ROW_SIZING, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_COLUMN_LABELS_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_COLUMN_LABELS_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_COLUMN_LABELS_HEIGHT, 25);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_ENABLE_COLUMN_SIZING, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_ENABLE_POPUP_MENU, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_CELL_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_CELL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_STR_CELL_DFLT_VALUE, "");
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_HEIGHT, 336);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_WIDTH, 295);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_LABEL_TOP, 27);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_LABEL_LEFT, 85);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    InsertTableRows (hPanel, SLAVE_MEM_READ_TABLE, -1, 16, VAL_USE_MASTER_CELL_TYPE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 6, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 7, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 8, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 9, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 10, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 11, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 12, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 13, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 14, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 15, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, SLAVE_MEM_READ_TABLE, 16, ATTR_VERTICAL_GRID_VISIBLE, 1);
    InsertTableColumns (hPanel, SLAVE_MEM_READ_TABLE, -1, 5, VAL_USE_MASTER_CELL_TYPE);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_LABEL_TEXT, "Addr[hex]");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_COLUMN_WIDTH, 70);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_LABEL_TEXT, "0");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_COLUMN_WIDTH, 55);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_LABEL_TEXT, "4");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_COLUMN_WIDTH, 54);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 3, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_LABEL_TEXT, "8");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_COLUMN_WIDTH, 55);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 4, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_LABEL_TEXT, "C");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_COLUMN_WIDTH, 56);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_READ_TABLE, 5, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (2, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (3, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (4, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), bitmapId);
        SetTableCellAttribute (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (5, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    DefaultCtrl (hPanel, SLAVE_MEM_READ_TABLE);
    SetActiveTableCell (hPanel, SLAVE_MEM_READ_TABLE, MakePoint (1, 2));
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_VSCROLL_OFFSET, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindTableCellRange (hPanel, SLAVE_MEM_READ_TABLE, MakeRect(0, 0, 0, 0), "", VAL_DS_READ, NULL, NULL);

    // Build control: SLAVE_MEM_READ_BYTES
    SLAVE_MEM_READ_BYTES = NewCtrl (hPanel, CTRL_NUMERIC, "Size", 61, 171);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_CONSTANT_NAME, "READ_BYTES");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_CALLBACK_FUNCTION_POINTER, wordBoundary);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_LABEL_WIDTH, 27);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_MAX_VALUE, -2147483648);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_MIN_VALUE, 4);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_DFLT_VALUE, 4);
    DefaultCtrl (hPanel, SLAVE_MEM_READ_BYTES);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_LABEL_TOP, 47);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_LABEL_LEFT, 203);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SLAVE_MEM_READ_BYTES, "", VAL_DS_READ, NULL, NULL);

    // Build control: SLAVE_MEM_WRITE_TABLE_ADDR
    SLAVE_MEM_WRITE_TABLE_ADDR = NewCtrl (hPanel, CTRL_NUMERIC, "", 117, 342);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_CONSTANT_NAME, "WRITE_TABLE_ADDR");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_CALLBACK_FUNCTION_POINTER, slaveMemButtons);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_COLOR, 0X000099);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_PADDING, 8);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_WIDTH, 69);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_TOP, 102);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_LEFT, 370);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, "", VAL_DS_READ, NULL, NULL);

    // Build control: SLAVE_MEM_READ_TABLE_ADDR
    SLAVE_MEM_READ_TABLE_ADDR = NewCtrl (hPanel, CTRL_NUMERIC, "", 117, 14);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_CONSTANT_NAME, "READ_TABLE_ADDR");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_CALLBACK_FUNCTION_POINTER, slaveMemButtons);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_TEXT_COLOR, 0X000099);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_PADDING, 8);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SLAVE_MEM_READ_TABLE_ADDR);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_WIDTH, 69);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_LABEL_TOP, 102);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_LABEL_LEFT, 42);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SLAVE_MEM_READ_TABLE_ADDR, "", VAL_DS_READ, NULL, NULL);

    // Build control: SLAVE_MEM_READ_ADDRESS
    SLAVE_MEM_READ_ADDRESS = NewCtrl (hPanel, CTRL_NUMERIC, "Address", 61, 82);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_CONSTANT_NAME, "READ_ADDRESS");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_CALLBACK_FUNCTION_POINTER, wordBoundary);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_LABEL_WIDTH, 48);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_TEXT_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SLAVE_MEM_READ_ADDRESS);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_LABEL_TOP, 46);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_LABEL_LEFT, 103);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SLAVE_MEM_READ_ADDRESS, "", VAL_DS_READ, NULL, NULL);

    // Build control: SLAVE_MEM_SLAVE_NUMBER
    SLAVE_MEM_SLAVE_NUMBER = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Slave#", 35, 725);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_CONSTANT_NAME, "SLAVE_NUMBER");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    InsertListItem (hPanel, SLAVE_MEM_SLAVE_NUMBER, 0, "0", 0);
    InsertListItem (hPanel, SLAVE_MEM_SLAVE_NUMBER, 1, "1", 1);
    InsertListItem (hPanel, SLAVE_MEM_SLAVE_NUMBER, 2, "2", 2);
    InsertListItem (hPanel, SLAVE_MEM_SLAVE_NUMBER, 3, "3", 3);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_CTRL_MODE, VAL_NORMAL);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_LABEL_POINT_SIZE, 16);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_LABEL_WIDTH, 57);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_LABEL_HEIGHT, 22);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_TEXT_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_TEXT_FONT, "Arial");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_TEXT_POINT_SIZE, 22);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, SLAVE_MEM_SLAVE_NUMBER);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_WIDTH, 50);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_LABEL_TOP, 42);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_LABEL_LEFT, 672);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SLAVE_MEM_SLOT_NUMBER
    SLAVE_MEM_SLOT_NUMBER = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Slot#", 35, 820);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_CONSTANT_NAME, "SLOT_NUMBER");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    InsertListItem (hPanel, SLAVE_MEM_SLOT_NUMBER, 0, "5", 5);
    InsertListItem (hPanel, SLAVE_MEM_SLOT_NUMBER, 1, "6", 6);
    InsertListItem (hPanel, SLAVE_MEM_SLOT_NUMBER, 2, "7", 7);
    InsertListItem (hPanel, SLAVE_MEM_SLOT_NUMBER, 3, "8", 8);
    InsertListItem (hPanel, SLAVE_MEM_SLOT_NUMBER, 4, "9", 9);
    InsertListItem (hPanel, SLAVE_MEM_SLOT_NUMBER, 5, "10", 10);
    InsertListItem (hPanel, SLAVE_MEM_SLOT_NUMBER, 6, "11", 11);
    InsertListItem (hPanel, SLAVE_MEM_SLOT_NUMBER, 7, "12", 12);
    InsertListItem (hPanel, SLAVE_MEM_SLOT_NUMBER, 8, "14", 14);
    InsertListItem (hPanel, SLAVE_MEM_SLOT_NUMBER, 9, "15", 15);
    InsertListItem (hPanel, SLAVE_MEM_SLOT_NUMBER, 10, "16", 16);
    InsertListItem (hPanel, SLAVE_MEM_SLOT_NUMBER, 11, "17", 17);
    InsertListItem (hPanel, SLAVE_MEM_SLOT_NUMBER, 12, "18", 18);
    InsertListItem (hPanel, SLAVE_MEM_SLOT_NUMBER, 13, "19", 19);
    InsertListItem (hPanel, SLAVE_MEM_SLOT_NUMBER, 14, "20", 20);
    InsertListItem (hPanel, SLAVE_MEM_SLOT_NUMBER, 15, "21", 21);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_CTRL_MODE, VAL_NORMAL);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_LABEL_POINT_SIZE, 16);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_LABEL_WIDTH, 45);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_LABEL_HEIGHT, 22);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_TEXT_COLOR, 0XFFFF99);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_TEXT_FONT, "Arial");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_TEXT_POINT_SIZE, 22);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_TEXT_BGCOLOR, 0X003366);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_DFLT_INDEX, 14);
    DefaultCtrl (hPanel, SLAVE_MEM_SLOT_NUMBER);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_WIDTH, 50);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_LABEL_TOP, 42);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_LABEL_LEFT, 777);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SLAVE_MEM_EXTERNAL_VIEWER
    SLAVE_MEM_EXTERNAL_VIEWER = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "EXTERNAL VIEWER", 476, 73);
    SetCtrlAttribute (hPanel, SLAVE_MEM_EXTERNAL_VIEWER, ATTR_CONSTANT_NAME, "EXTERNAL_VIEWER");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_EXTERNAL_VIEWER, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_EXTERNAL_VIEWER, ATTR_CALLBACK_FUNCTION_POINTER, slaveMemButtons);
    SetCtrlAttribute (hPanel, SLAVE_MEM_EXTERNAL_VIEWER, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_EXTERNAL_VIEWER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_EXTERNAL_VIEWER, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_EXTERNAL_VIEWER, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLAVE_MEM_EXTERNAL_VIEWER, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_EXTERNAL_VIEWER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_EXTERNAL_VIEWER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_EXTERNAL_VIEWER, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_EXTERNAL_VIEWER, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_EXTERNAL_VIEWER, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_EXTERNAL_VIEWER, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_EXTERNAL_VIEWER, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SLAVE_MEM_EXTERNAL_VIEWER);
    SetCtrlAttribute (hPanel, SLAVE_MEM_EXTERNAL_VIEWER, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_EXTERNAL_VIEWER, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_EXTERNAL_VIEWER, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, SLAVE_MEM_EXTERNAL_VIEWER, ATTR_WIDTH, 180);

    // Build control: SLAVE_MEM_ADDRESS_TABLE
    SLAVE_MEM_ADDRESS_TABLE = NewCtrl (hPanel, CTRL_TABLE, "", 195, 663);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_CONSTANT_NAME, "ADDRESS_TABLE");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_CALLBACK_FUNCTION_POINTER, slaveMemButtons);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_SCROLL_BARS, VAL_VERT_SCROLL_BAR);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_LABEL_TEXT, "");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_LABEL_BGCOLOR, 0X99CCCC);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_PADDING, 8);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_WRAP_MODE, VAL_LINE_WRAP);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_ENTER_IS_NEWLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_NO_EDIT_TEXT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_UPPER_LEFT_CORNER_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_TABLE_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_ROW_LABELS_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_TABLE_MODE, VAL_COLUMN);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_ROW_LABELS_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_ROW_LABELS_WIDTH, 88);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_ENABLE_ROW_SIZING, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_COLUMN_LABELS_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_COLUMN_LABELS_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_COLUMN_LABELS_HEIGHT, 16);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_ENABLE_COLUMN_SIZING, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_ENABLE_POPUP_MENU, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_CELL_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_CELL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_STR_CELL_DFLT_VALUE, "");
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_HEIGHT, 327);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_WIDTH, 217);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_LABEL_TOP, 174);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_LABEL_LEFT, 662);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    InsertTableColumns (hPanel, SLAVE_MEM_ADDRESS_TABLE, -1, 2, VAL_USE_MASTER_CELL_TYPE);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_TEXT, "Address");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_COLUMN_WIDTH, 52);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_TEXT, "Size(B)");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_COLUMN_WIDTH, 54);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
    DefaultCtrl (hPanel, SLAVE_MEM_ADDRESS_TABLE);
    SetActiveTableCell (hPanel, SLAVE_MEM_ADDRESS_TABLE, MakePoint (1, 0));
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_VSCROLL_OFFSET, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindTableCellRange (hPanel, SLAVE_MEM_ADDRESS_TABLE, MakeRect(0, 0, 0, 0), "", VAL_DS_READ, NULL, NULL);

    // Build control: SLAVE_MEM_VME_BUSY
    SLAVE_MEM_VME_BUSY = NewCtrl (hPanel, CTRL_SQUARE_LED, "VME", 25, 309);
    SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_CONSTANT_NAME, "VME_BUSY");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_LABEL_WIDTH, 26);
    SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SLAVE_MEM_VME_BUSY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_ON_COLOR, VAL_YELLOW);
    SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_HEIGHT, 19);
    SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_WIDTH, 30);
    SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_LABEL_TOP, 27);
    SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_LABEL_LEFT, 311);
    SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: SLAVE_MEM_WRITE_TABLE_SLIDE
    SLAVE_MEM_WRITE_TABLE_SLIDE = NewCtrl (hPanel, CTRL_NUMERIC_VSLIDE, "", 118, 640);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_CONSTANT_NAME, "WRITE_TABLE_SLIDE");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_CALLBACK_FUNCTION_POINTER, slaveMemButtons);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_BGCOLOR, 0X99CCCC);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_COLOR, 0X99CCFF);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_MAX_VALUE, 256);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_CHECK_RANGE, VAL_IGNORE);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_DFLT_VALUE, 256);
    DefaultCtrl (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_SHOW_INCDEC_ARROWS, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_DIG_DISP_WIDTH, 75);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_DIG_DISP_HEIGHT, 19);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_SHOW_DIG_DISP, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_NEEDLE_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_FILL_HOUSING_COLOR, 0X7F7F7F);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_MARKER_STYLE, VAL_NO_MARKERS);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_TICK_STYLE, VAL_NO_MINOR_TICKS);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_FILL_COLOR, VAL_RED);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_FILL_OPTION, VAL_NO_FILL);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_HEIGHT, 304);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_WIDTH, 13);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_TOP, 97);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_LEFT, 587);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_SLIDER_LEFT, 639);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_SLIDER_WIDTH, 15);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_SLIDER_HEIGHT, 8);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_DIG_DISP_TOP, 436);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_DIG_DISP_LEFT, 591);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, "", VAL_DS_READ, NULL, NULL);

    // Build control: SLAVE_MEM_READ_TABLE_SLIDE
    SLAVE_MEM_READ_TABLE_SLIDE = NewCtrl (hPanel, CTRL_NUMERIC_VSLIDE, "", 118, 312);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_CONSTANT_NAME, "READ_TABLE_SLIDE");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_CALLBACK_FUNCTION_POINTER, slaveMemButtons);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_LABEL_BGCOLOR, 0X99CCCC);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_TEXT_COLOR, 0X99CCFF);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_MAX_VALUE, 256);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_CHECK_RANGE, VAL_IGNORE);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_DFLT_VALUE, 256);
    DefaultCtrl (hPanel, SLAVE_MEM_READ_TABLE_SLIDE);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_SHOW_INCDEC_ARROWS, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_DIG_DISP_WIDTH, 75);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_DIG_DISP_HEIGHT, 19);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_SHOW_DIG_DISP, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_NEEDLE_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_FILL_HOUSING_COLOR, 0X7F7F7F);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_MARKER_STYLE, VAL_NO_MARKERS);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_TICK_STYLE, VAL_NO_MINOR_TICKS);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_FILL_COLOR, VAL_RED);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_FILL_OPTION, VAL_NO_FILL);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_HEIGHT, 304);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_WIDTH, 13);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_LABEL_TOP, 97);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_LABEL_LEFT, 259);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_SLIDER_LEFT, 311);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_SLIDER_WIDTH, 15);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_SLIDER_HEIGHT, 8);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_DIG_DISP_TOP, 436);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_DIG_DISP_LEFT, 263);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_LABEL_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, "", VAL_DS_READ, NULL, NULL);

    // Build control: SLAVE_MEM_BINARYSWITCH
    SLAVE_MEM_BINARYSWITCH = NewCtrl (hPanel, CTRL_VSWITCH, "SLAVE ACCESS", 44, 610);
    SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_CONSTANT_NAME, "BINARYSWITCH");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_DATA_TYPE, VAL_INTEGER);
    SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_LABEL_WIDTH, 73);
    SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_TEXT_BOLD, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, SLAVE_MEM_BINARYSWITCH);
    SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_ON_VALUE, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_OFF_VALUE, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_BINARY_SWITCH_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_ON_TEXT, "primitive");
    SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_OFF_TEXT, "direct");
    SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_HEIGHT, 20);
    SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_WIDTH, 10);
    SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_LABEL_TOP, 30);
    SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_LABEL_LEFT, 592);
    SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: SLAVE_MEM_TIMER
    SLAVE_MEM_TIMER = NewCtrl (hPanel, CTRL_NUMERIC, "Time(sec)", 497, 316);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_CONSTANT_NAME, "TIMER");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_DATA_TYPE, VAL_DOUBLE);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_LABEL_WIDTH, 49);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_MAX_VALUE, HUGE_VAL);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_MIN_VALUE, -HUGE_VAL);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_INCR_VALUE, 1.000000);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_PRECISION, 3);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_DFLT_VALUE, 0.000000);
    DefaultCtrl (hPanel, SLAVE_MEM_TIMER);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_WIDTH, 60);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_LABEL_TOP, 499);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_LABEL_LEFT, 267);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SLAVE_MEM_TIMER, "", VAL_DS_READ, NULL, NULL);

    // Build control: SLAVE_MEM_DECORATION_3
    SLAVE_MEM_DECORATION_3 = NewCtrl (hPanel, CTRL_RAISED_BOX, "", 87, 664);
    SetCtrlAttribute (hPanel, SLAVE_MEM_DECORATION_3, ATTR_CONSTANT_NAME, "DECORATION_3");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_DECORATION_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_DECORATION_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_DECORATION_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_DECORATION_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_DECORATION_3, ATTR_FRAME_COLOR, 0XD7CEAA);
    SetCtrlAttribute (hPanel, SLAVE_MEM_DECORATION_3, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SLAVE_MEM_DECORATION_3, ATTR_HEIGHT, 101);
    SetCtrlAttribute (hPanel, SLAVE_MEM_DECORATION_3, ATTR_WIDTH, 214);

    // Build control: SLAVE_MEM_TEXTMSG
    SLAVE_MEM_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 64, 252);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG, ATTR_TEXT_BGCOLOR, 0XD7CEAA);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG, ATTR_DFLT_VALUE, "B");
    DefaultCtrl (hPanel, SLAVE_MEM_TEXTMSG);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG, ATTR_WIDTH, 10);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SLAVE_MEM_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: SLAVE_MEM_TEXTMSG_2
    SLAVE_MEM_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 63, 596);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG_2, ATTR_TEXT_BGCOLOR, 0XD7CEAA);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG_2, ATTR_DFLT_VALUE, "B");
    DefaultCtrl (hPanel, SLAVE_MEM_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG_2, ATTR_WIDTH, 10);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SLAVE_MEM_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: SLAVE_MEM_DECORATION_4
    SLAVE_MEM_DECORATION_4 = NewCtrl (hPanel, CTRL_RAISED_BOX, "", 24, 664);
    SetCtrlAttribute (hPanel, SLAVE_MEM_DECORATION_4, ATTR_CONSTANT_NAME, "DECORATION_4");
//  SetCtrlAttribute (hPanel, SLAVE_MEM_DECORATION_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_DECORATION_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_DECORATION_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SLAVE_MEM_DECORATION_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_DECORATION_4, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, SLAVE_MEM_DECORATION_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SLAVE_MEM_DECORATION_4, ATTR_HEIGHT, 57);
    SetCtrlAttribute (hPanel, SLAVE_MEM_DECORATION_4, ATTR_WIDTH, 214);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG_2, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TEXTMSG, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, SLAVE_MEM_COMPARE_BUFFS, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_WORD, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_WORD, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_ZPLANE_POSITION, 14);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_ZPLANE_POSITION, 15);
    SetCtrlAttribute (hPanel, SLAVE_MEM_DECORATION_3, ATTR_ZPLANE_POSITION, 16);
    SetCtrlAttribute (hPanel, SLAVE_MEM_NEW_BUFFER, ATTR_ZPLANE_POSITION, 17);
    SetCtrlAttribute (hPanel, SLAVE_MEM_EXTERNAL_VIEWER, ATTR_ZPLANE_POSITION, 18);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_ZPLANE_POSITION, 19);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_ZPLANE_POSITION, 20);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_ZPLANE_POSITION, 21);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_WRITE_TABLE, ATTR_ZPLANE_POSITION, 22);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_ZPLANE_POSITION, 23);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_ZPLANE_POSITION, 24);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TO_MEMORY, ATTR_ZPLANE_POSITION, 25);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_MEMORY, ATTR_ZPLANE_POSITION, 26);
    SetCtrlAttribute (hPanel, SLAVE_MEM_LOAD_FILE, ATTR_ZPLANE_POSITION, 27);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_ZPLANE_POSITION, 28);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_ZPLANE_POSITION, 29);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_READ_TABLE, ATTR_ZPLANE_POSITION, 30);
    SetCtrlAttribute (hPanel, SLAVE_MEM_DECORATION_4, ATTR_ZPLANE_POSITION, 31);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_ZPLANE_POSITION, 32);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_ZPLANE_POSITION, 33);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, SLAVE_MEM_COMPARE_BUFFS, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, SLAVE_MEM_LOAD_FILE, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_WORD, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_WORD, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TO_MEMORY, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_BYTES, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, SLAVE_MEM_NEW_BUFFER, ATTR_CTRL_TAB_POSITION, 6);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_ADDRESS, ATTR_CTRL_TAB_POSITION, 7);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_DATA_WORD, ATTR_CTRL_TAB_POSITION, 8);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_DATA_WORD, ATTR_CTRL_TAB_POSITION, 9);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WORD_ADDRESS, ATTR_CTRL_TAB_POSITION, 10);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_MEMORY, ATTR_CTRL_TAB_POSITION, 11);
    SetCtrlAttribute (hPanel, SLAVE_MEM_PIO, ATTR_CTRL_TAB_POSITION, 12);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_WRITE_TABLE, ATTR_CTRL_TAB_POSITION, 13);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SAVE_READ_TABLE, ATTR_CTRL_TAB_POSITION, 14);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE, ATTR_CTRL_TAB_POSITION, 15);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE, ATTR_CTRL_TAB_POSITION, 16);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_BYTES, ATTR_CTRL_TAB_POSITION, 17);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_ADDR, ATTR_CTRL_TAB_POSITION, 18);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_ADDR, ATTR_CTRL_TAB_POSITION, 19);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_ADDRESS, ATTR_CTRL_TAB_POSITION, 20);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLAVE_NUMBER, ATTR_CTRL_TAB_POSITION, 21);
    SetCtrlAttribute (hPanel, SLAVE_MEM_SLOT_NUMBER, ATTR_CTRL_TAB_POSITION, 22);
    SetCtrlAttribute (hPanel, SLAVE_MEM_EXTERNAL_VIEWER, ATTR_CTRL_TAB_POSITION, 23);
    SetCtrlAttribute (hPanel, SLAVE_MEM_ADDRESS_TABLE, ATTR_CTRL_TAB_POSITION, 24);
    SetCtrlAttribute (hPanel, SLAVE_MEM_VME_BUSY, ATTR_CTRL_TAB_POSITION, 25);
    SetCtrlAttribute (hPanel, SLAVE_MEM_WRITE_TABLE_SLIDE, ATTR_CTRL_TAB_POSITION, 26);
    SetCtrlAttribute (hPanel, SLAVE_MEM_READ_TABLE_SLIDE, ATTR_CTRL_TAB_POSITION, 27);
    SetCtrlAttribute (hPanel, SLAVE_MEM_BINARYSWITCH, ATTR_CTRL_TAB_POSITION, 28);
    SetCtrlAttribute (hPanel, SLAVE_MEM_TIMER, ATTR_CTRL_TAB_POSITION, 29);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(530*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(885*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(75*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(37*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_TOP, VAL_AUTO_CENTER);
    SetPanelAttribute (hPanel, ATTR_LEFT, VAL_AUTO_CENTER);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    buildMenu_memoryPanel (hPanel);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_vmeMemory ():  Build UI object VME_MEM; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_vmeMemory (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "VME MEMORY", 214, 38, 530, 885);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "VME_MEM");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0X99CC99);
//  SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, 0X99CC99);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 5);
//  SetPanelAttribute (hPanel, ATTR_SIZABLE, 1);
//  SetPanelAttribute (hPanel, ATTR_MOVABLE, 1);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
//  SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 0);
    SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 1);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: VME_MEM_COMPARE_BUFFS
    VME_MEM_COMPARE_BUFFS = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "COMPARE BUFFS", 437, 265);
    SetCtrlAttribute (hPanel, VME_MEM_COMPARE_BUFFS, ATTR_CONSTANT_NAME, "COMPARE_BUFFS");
//  SetCtrlAttribute (hPanel, VME_MEM_COMPARE_BUFFS, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_COMPARE_BUFFS, ATTR_CALLBACK_FUNCTION_POINTER, vmeMemButtons);
    SetCtrlAttribute (hPanel, VME_MEM_COMPARE_BUFFS, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_COMPARE_BUFFS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_COMPARE_BUFFS, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, VME_MEM_COMPARE_BUFFS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, VME_MEM_COMPARE_BUFFS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_COMPARE_BUFFS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_COMPARE_BUFFS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_COMPARE_BUFFS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_COMPARE_BUFFS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, VME_MEM_COMPARE_BUFFS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_COMPARE_BUFFS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_COMPARE_BUFFS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, VME_MEM_COMPARE_BUFFS);
    SetCtrlAttribute (hPanel, VME_MEM_COMPARE_BUFFS, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, VME_MEM_COMPARE_BUFFS, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, VME_MEM_COMPARE_BUFFS, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, VME_MEM_COMPARE_BUFFS, ATTR_WIDTH, 115);

    // Build control: VME_MEM_WRITE_WORD
    VME_MEM_WRITE_WORD = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "WRITE WORD", 151, 676);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_WORD, ATTR_CONSTANT_NAME, "WRITE_WORD");
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_WORD, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_WORD, ATTR_CALLBACK_FUNCTION_POINTER, vmeMemButtons);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_WORD, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_WORD, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_WORD, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_WORD, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_WORD, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_WORD, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_WORD, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_WORD, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_WORD, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_WORD, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_WORD, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_WORD, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, VME_MEM_WRITE_WORD);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_WORD, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_WORD, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_WORD, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_WORD, ATTR_WIDTH, 96);

    // Build control: VME_MEM_READ_WORD
    VME_MEM_READ_WORD = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "READ WORD", 151, 779);
    SetCtrlAttribute (hPanel, VME_MEM_READ_WORD, ATTR_CONSTANT_NAME, "READ_WORD");
//  SetCtrlAttribute (hPanel, VME_MEM_READ_WORD, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_WORD, ATTR_CALLBACK_FUNCTION_POINTER, vmeMemButtons);
    SetCtrlAttribute (hPanel, VME_MEM_READ_WORD, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_WORD, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_WORD, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_WORD, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, VME_MEM_READ_WORD, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_WORD, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_WORD, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_WORD, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_WORD, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, VME_MEM_READ_WORD, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_WORD, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_WORD, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, VME_MEM_READ_WORD);
    SetCtrlAttribute (hPanel, VME_MEM_READ_WORD, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_WORD, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, VME_MEM_READ_WORD, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, VME_MEM_READ_WORD, ATTR_WIDTH, 89);

    // Build control: VME_MEM_NEW_BUFFER
    VME_MEM_NEW_BUFFER = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "NEW BUFF", 59, 341);
    SetCtrlAttribute (hPanel, VME_MEM_NEW_BUFFER, ATTR_CONSTANT_NAME, "NEW_BUFFER");
//  SetCtrlAttribute (hPanel, VME_MEM_NEW_BUFFER, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_NEW_BUFFER, ATTR_CALLBACK_FUNCTION_POINTER, vmeMemButtons);
    SetCtrlAttribute (hPanel, VME_MEM_NEW_BUFFER, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_NEW_BUFFER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_NEW_BUFFER, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, VME_MEM_NEW_BUFFER, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, VME_MEM_NEW_BUFFER, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_NEW_BUFFER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_NEW_BUFFER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_NEW_BUFFER, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_NEW_BUFFER, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, VME_MEM_NEW_BUFFER, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_NEW_BUFFER, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_NEW_BUFFER, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, VME_MEM_NEW_BUFFER);
    SetCtrlAttribute (hPanel, VME_MEM_NEW_BUFFER, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, VME_MEM_NEW_BUFFER, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, VME_MEM_NEW_BUFFER, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, VME_MEM_NEW_BUFFER, ATTR_WIDTH, 68);

    // Build control: VME_MEM_LOAD_FILE
    VME_MEM_LOAD_FILE = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "LOAD FILE TO TABLE", 476, 403);
    SetCtrlAttribute (hPanel, VME_MEM_LOAD_FILE, ATTR_CONSTANT_NAME, "LOAD_FILE");
//  SetCtrlAttribute (hPanel, VME_MEM_LOAD_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_LOAD_FILE, ATTR_CALLBACK_FUNCTION_POINTER, vmeMemButtons);
    SetCtrlAttribute (hPanel, VME_MEM_LOAD_FILE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_LOAD_FILE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_LOAD_FILE, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, VME_MEM_LOAD_FILE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, VME_MEM_LOAD_FILE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_LOAD_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_LOAD_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_LOAD_FILE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_LOAD_FILE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, VME_MEM_LOAD_FILE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_LOAD_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_LOAD_FILE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, VME_MEM_LOAD_FILE);
    SetCtrlAttribute (hPanel, VME_MEM_LOAD_FILE, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, VME_MEM_LOAD_FILE, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, VME_MEM_LOAD_FILE, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, VME_MEM_LOAD_FILE, ATTR_WIDTH, 180);

    // Build control: VME_MEM_WRITE_TO_MEMORY
    VME_MEM_WRITE_TO_MEMORY = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "WRITE TABLE TO VME", 437, 403);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TO_MEMORY, ATTR_CONSTANT_NAME, "WRITE_TO_MEMORY");
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TO_MEMORY, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TO_MEMORY, ATTR_CALLBACK_FUNCTION_POINTER, vmeMemButtons);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TO_MEMORY, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TO_MEMORY, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TO_MEMORY, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TO_MEMORY, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TO_MEMORY, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TO_MEMORY, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TO_MEMORY, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TO_MEMORY, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TO_MEMORY, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TO_MEMORY, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TO_MEMORY, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TO_MEMORY, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, VME_MEM_WRITE_TO_MEMORY);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TO_MEMORY, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TO_MEMORY, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TO_MEMORY, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TO_MEMORY, ATTR_WIDTH, 180);

    // Build control: VME_MEM_WRITE_BYTES
    VME_MEM_WRITE_BYTES = NewCtrl (hPanel, CTRL_NUMERIC, "Size", 60, 503);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_CONSTANT_NAME, "WRITE_BYTES");
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_LABEL_WIDTH, 27);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_MAX_VALUE, 16777215);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, VME_MEM_WRITE_BYTES);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_WIDTH, 70);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_LABEL_TOP, 46);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_LABEL_LEFT, 526);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, VME_MEM_WRITE_BYTES, "", VAL_DS_READ, NULL, NULL);

    // Build control: VME_MEM_READ_DATA_WORD
    VME_MEM_READ_DATA_WORD = NewCtrl (hPanel, CTRL_NUMERIC, "", 126, 779);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_CONSTANT_NAME, "READ_DATA_WORD");
//  SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, VME_MEM_READ_DATA_WORD);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_LABEL_TOP, 112);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_LABEL_LEFT, 816);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, VME_MEM_READ_DATA_WORD, "", VAL_DS_READ, NULL, NULL);

    // Build control: VME_MEM_WRITE_DATA_WORD
    VME_MEM_WRITE_DATA_WORD = NewCtrl (hPanel, CTRL_NUMERIC, "", 126, 686);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_CONSTANT_NAME, "WRITE_DATA_WORD");
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, VME_MEM_WRITE_DATA_WORD);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_WIDTH, 85);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_LABEL_TOP, 112);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_LABEL_LEFT, 725);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, VME_MEM_WRITE_DATA_WORD, "", VAL_DS_READ, NULL, NULL);

    // Build control: VME_MEM_WORD_ADDRESS
    VME_MEM_WORD_ADDRESS = NewCtrl (hPanel, CTRL_NUMERIC, "RelAddress", 103, 744);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_CONSTANT_NAME, "WORD_ADDRESS");
//  SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_LABEL_WIDTH, 67);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_MAX_VALUE, 16777215);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, VME_MEM_WORD_ADDRESS);
//  SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_WIDTH, 70);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_LABEL_TOP, 89);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_LABEL_LEFT, 747);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, VME_MEM_WORD_ADDRESS, "", VAL_DS_READ, NULL, NULL);

    // Build control: VME_MEM_WRITE_ADDRESS
    VME_MEM_WRITE_ADDRESS = NewCtrl (hPanel, CTRL_NUMERIC, "RelAddr", 60, 425);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_CONSTANT_NAME, "WRITE_ADDRESS");
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_LABEL_WIDTH, 48);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_TEXT_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_MAX_VALUE, 16777215);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, VME_MEM_WRITE_ADDRESS);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_WIDTH, 70);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_LABEL_TOP, 46);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_LABEL_LEFT, 440);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, VME_MEM_WRITE_ADDRESS, "", VAL_DS_READ, NULL, NULL);

    // Build control: VME_MEM_SAVE_WRITE_TABLE
    VME_MEM_SAVE_WRITE_TABLE = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "SAVE TO FILE", 499, 403);
    SetCtrlAttribute (hPanel, VME_MEM_SAVE_WRITE_TABLE, ATTR_CONSTANT_NAME, "SAVE_WRITE_TABLE");
//  SetCtrlAttribute (hPanel, VME_MEM_SAVE_WRITE_TABLE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_SAVE_WRITE_TABLE, ATTR_CALLBACK_FUNCTION_POINTER, vmeMemButtons);
    SetCtrlAttribute (hPanel, VME_MEM_SAVE_WRITE_TABLE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_SAVE_WRITE_TABLE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_SAVE_WRITE_TABLE, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, VME_MEM_SAVE_WRITE_TABLE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, VME_MEM_SAVE_WRITE_TABLE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_SAVE_WRITE_TABLE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_SAVE_WRITE_TABLE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_SAVE_WRITE_TABLE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_SAVE_WRITE_TABLE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, VME_MEM_SAVE_WRITE_TABLE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_SAVE_WRITE_TABLE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_SAVE_WRITE_TABLE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, VME_MEM_SAVE_WRITE_TABLE);
    SetCtrlAttribute (hPanel, VME_MEM_SAVE_WRITE_TABLE, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, VME_MEM_SAVE_WRITE_TABLE, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, VME_MEM_SAVE_WRITE_TABLE, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, VME_MEM_SAVE_WRITE_TABLE, ATTR_WIDTH, 180);

    // Build control: VME_MEM_SLOT_NUMBER
    VME_MEM_SLOT_NUMBER = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Slot#", 39, 723);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_CONSTANT_NAME, "SLOT_NUMBER");
//  SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_CALLBACK_FUNCTION_POINTER, vmeMemButtons);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    InsertListItem (hPanel, VME_MEM_SLOT_NUMBER, 0, "5", 5);
    InsertListItem (hPanel, VME_MEM_SLOT_NUMBER, 1, "6", 6);
    InsertListItem (hPanel, VME_MEM_SLOT_NUMBER, 2, "7", 7);
    InsertListItem (hPanel, VME_MEM_SLOT_NUMBER, 3, "8", 8);
    InsertListItem (hPanel, VME_MEM_SLOT_NUMBER, 4, "9", 9);
    InsertListItem (hPanel, VME_MEM_SLOT_NUMBER, 5, "10", 10);
    InsertListItem (hPanel, VME_MEM_SLOT_NUMBER, 6, "11", 11);
    InsertListItem (hPanel, VME_MEM_SLOT_NUMBER, 7, "12", 12);
    InsertListItem (hPanel, VME_MEM_SLOT_NUMBER, 8, "13TIM", 13);
    InsertListItem (hPanel, VME_MEM_SLOT_NUMBER, 9, "14", 14);
    InsertListItem (hPanel, VME_MEM_SLOT_NUMBER, 10, "15", 15);
    InsertListItem (hPanel, VME_MEM_SLOT_NUMBER, 11, "16", 16);
    InsertListItem (hPanel, VME_MEM_SLOT_NUMBER, 12, "17", 17);
    InsertListItem (hPanel, VME_MEM_SLOT_NUMBER, 13, "18", 18);
    InsertListItem (hPanel, VME_MEM_SLOT_NUMBER, 14, "19", 19);
    InsertListItem (hPanel, VME_MEM_SLOT_NUMBER, 15, "20", 20);
    InsertListItem (hPanel, VME_MEM_SLOT_NUMBER, 16, "21", 21);
//  SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_CTRL_MODE, VAL_NORMAL);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_LABEL_POINT_SIZE, 16);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_LABEL_WIDTH, 45);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_LABEL_HEIGHT, 22);
//  SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_TEXT_COLOR, 0XFFFF99);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_TEXT_FONT, "Arial");
//  SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_TEXT_POINT_SIZE, 22);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_TEXT_BGCOLOR, 0X003366);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_DFLT_INDEX, 12);
    DefaultCtrl (hPanel, VME_MEM_SLOT_NUMBER);
//  SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_WIDTH, 81);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_LABEL_TOP, 46);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_LABEL_LEFT, 680);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: VME_MEM_READ_MEMORY
    VME_MEM_READ_MEMORY = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "READ VME MEMORY", 437, 65);
    SetCtrlAttribute (hPanel, VME_MEM_READ_MEMORY, ATTR_CONSTANT_NAME, "READ_MEMORY");
//  SetCtrlAttribute (hPanel, VME_MEM_READ_MEMORY, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_MEMORY, ATTR_CALLBACK_FUNCTION_POINTER, vmeMemButtons);
    SetCtrlAttribute (hPanel, VME_MEM_READ_MEMORY, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_MEMORY, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_MEMORY, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, VME_MEM_READ_MEMORY, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, VME_MEM_READ_MEMORY, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_MEMORY, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_MEMORY, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_MEMORY, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_MEMORY, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, VME_MEM_READ_MEMORY, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_MEMORY, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_MEMORY, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, VME_MEM_READ_MEMORY);
    SetCtrlAttribute (hPanel, VME_MEM_READ_MEMORY, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_MEMORY, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, VME_MEM_READ_MEMORY, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, VME_MEM_READ_MEMORY, ATTR_WIDTH, 180);

    // Build control: VME_MEM_WRITE_TABLE
    VME_MEM_WRITE_TABLE = NewCtrl (hPanel, CTRL_TABLE, "WRITE TO VME MEMORY", 88, 339);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_CONSTANT_NAME, "WRITE_TABLE");
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_CALLBACK_FUNCTION_POINTER, vmeMemButtons);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_CTRL_MODE, VAL_NORMAL);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_LABEL_TEXT, "WRITE TO VME MEMORY");
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_LABEL_ITALIC, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_LABEL_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_LABEL_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_LABEL_WIDTH, 183);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_PADDING, 8);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_WRAP_MODE, VAL_LINE_WRAP);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_ENTER_IS_NEWLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_NO_EDIT_TEXT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_UPPER_LEFT_CORNER_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_TABLE_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_ROW_LABELS_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_TABLE_MODE, VAL_COLUMN);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_ROW_LABELS_VISIBLE, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_ROW_LABELS_WIDTH, 25);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_ENABLE_ROW_SIZING, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_COLUMN_LABELS_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_COLUMN_LABELS_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_COLUMN_LABELS_HEIGHT, 25);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_ENABLE_COLUMN_SIZING, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_ENABLE_POPUP_MENU, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_CELL_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_CELL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_STR_CELL_DFLT_VALUE, "");
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_HEIGHT, 336);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_WIDTH, 295);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_LABEL_TOP, 26);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_LABEL_LEFT, 402);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    InsertTableRows (hPanel, VME_MEM_WRITE_TABLE, -1, 16, VAL_USE_MASTER_CELL_TYPE);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 6, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 7, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 8, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 9, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 10, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 11, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 12, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 13, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 14, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 15, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_WRITE_TABLE, 16, ATTR_VERTICAL_GRID_VISIBLE, 1);
    InsertTableColumns (hPanel, VME_MEM_WRITE_TABLE, -1, 5, VAL_USE_MASTER_CELL_TYPE);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_LABEL_TEXT, "RelAddr[hex]");
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_MAX_VALUE, 16777215);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_PADDING, 6);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_COLUMN_WIDTH, 70);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_LABEL_TEXT, "0");
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_COLUMN_WIDTH, 55);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_LABEL_TEXT, "4");
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_COLUMN_WIDTH, 54);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 3, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_LABEL_TEXT, "8");
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_COLUMN_WIDTH, 55);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 4, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_LABEL_TEXT, "C");
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_COLUMN_WIDTH, 56);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_WRITE_TABLE, 5, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (2, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (3, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (4, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_WRITE_TABLE, MakePoint (5, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    DefaultCtrl (hPanel, VME_MEM_WRITE_TABLE);
    SetActiveTableCell (hPanel, VME_MEM_WRITE_TABLE, MakePoint (1, 1));
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_VSCROLL_OFFSET, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindTableCellRange (hPanel, VME_MEM_WRITE_TABLE, MakeRect(0, 0, 0, 0), "", VAL_DS_READ, NULL, NULL);

    // Build control: VME_MEM_READ_TABLE
    VME_MEM_READ_TABLE = NewCtrl (hPanel, CTRL_TABLE, "READ VME MEMORY", 88, 11);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_CONSTANT_NAME, "READ_TABLE");
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_CTRL_MODE, VAL_NORMAL);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_LABEL_TEXT, "READ VME MEMORY");
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_LABEL_ITALIC, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_LABEL_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_LABEL_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_LABEL_WIDTH, 151);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_PADDING, 8);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_WRAP_MODE, VAL_LINE_WRAP);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_ENTER_IS_NEWLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_NO_EDIT_TEXT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_UPPER_LEFT_CORNER_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_TABLE_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_ROW_LABELS_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_TABLE_MODE, VAL_COLUMN);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_ROW_LABELS_VISIBLE, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_ROW_LABELS_WIDTH, 25);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_ENABLE_ROW_SIZING, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_COLUMN_LABELS_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_COLUMN_LABELS_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_COLUMN_LABELS_HEIGHT, 25);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_ENABLE_COLUMN_SIZING, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_ENABLE_POPUP_MENU, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_CELL_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_CELL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_STR_CELL_DFLT_VALUE, "");
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_HEIGHT, 336);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_WIDTH, 295);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_LABEL_TOP, 26);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_LABEL_LEFT, 90);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    InsertTableRows (hPanel, VME_MEM_READ_TABLE, -1, 16, VAL_USE_MASTER_CELL_TYPE);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 6, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 7, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 8, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 9, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 10, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 11, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 12, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 13, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 14, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 15, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_READ_TABLE, 16, ATTR_VERTICAL_GRID_VISIBLE, 1);
    InsertTableColumns (hPanel, VME_MEM_READ_TABLE, -1, 5, VAL_USE_MASTER_CELL_TYPE);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_LABEL_TEXT, "RelAddr[hex]");
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_MAX_VALUE, 16777215);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_PADDING, 6);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_COLUMN_WIDTH, 70);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_LABEL_TEXT, "0");
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_COLUMN_WIDTH, 55);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_LABEL_TEXT, "4");
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_COLUMN_WIDTH, 54);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 3, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_LABEL_TEXT, "8");
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_COLUMN_WIDTH, 55);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 4, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_LABEL_TEXT, "C");
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_COLUMN_WIDTH, 56);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_READ_TABLE, 5, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 11), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 12), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 13), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 14), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 15), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_TEXT_COLOR, 0X000099);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_TEXT_BGCOLOR, 0XE6E6E6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (2, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (3, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (4, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_CHECK_RANGE, VAL_IGNORE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_CELL_DIMMED, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_READ_TABLE, MakePoint (5, 16), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    DefaultCtrl (hPanel, VME_MEM_READ_TABLE);
    SetActiveTableCell (hPanel, VME_MEM_READ_TABLE, MakePoint (1, 2));
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_VSCROLL_OFFSET, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindTableCellRange (hPanel, VME_MEM_READ_TABLE, MakeRect(0, 0, 0, 0), "", VAL_DS_READ, NULL, NULL);

    // Build control: VME_MEM_EXTERNAL_VIEWER
    VME_MEM_EXTERNAL_VIEWER = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "EXTERNAL VIEWER", 476, 65);
    SetCtrlAttribute (hPanel, VME_MEM_EXTERNAL_VIEWER, ATTR_CONSTANT_NAME, "EXTERNAL_VIEWER");
//  SetCtrlAttribute (hPanel, VME_MEM_EXTERNAL_VIEWER, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_EXTERNAL_VIEWER, ATTR_CALLBACK_FUNCTION_POINTER, vmeMemButtons);
    SetCtrlAttribute (hPanel, VME_MEM_EXTERNAL_VIEWER, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_EXTERNAL_VIEWER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_EXTERNAL_VIEWER, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, VME_MEM_EXTERNAL_VIEWER, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, VME_MEM_EXTERNAL_VIEWER, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_EXTERNAL_VIEWER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_EXTERNAL_VIEWER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_EXTERNAL_VIEWER, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_EXTERNAL_VIEWER, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, VME_MEM_EXTERNAL_VIEWER, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_EXTERNAL_VIEWER, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_EXTERNAL_VIEWER, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, VME_MEM_EXTERNAL_VIEWER);
    SetCtrlAttribute (hPanel, VME_MEM_EXTERNAL_VIEWER, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, VME_MEM_EXTERNAL_VIEWER, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, VME_MEM_EXTERNAL_VIEWER, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, VME_MEM_EXTERNAL_VIEWER, ATTR_WIDTH, 180);

    // Build control: VME_MEM_SAVE_READ_TABLE
    VME_MEM_SAVE_READ_TABLE = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "SAVE TO FILE", 499, 65);
    SetCtrlAttribute (hPanel, VME_MEM_SAVE_READ_TABLE, ATTR_CONSTANT_NAME, "SAVE_READ_TABLE");
//  SetCtrlAttribute (hPanel, VME_MEM_SAVE_READ_TABLE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_SAVE_READ_TABLE, ATTR_CALLBACK_FUNCTION_POINTER, vmeMemButtons);
    SetCtrlAttribute (hPanel, VME_MEM_SAVE_READ_TABLE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_SAVE_READ_TABLE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_SAVE_READ_TABLE, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, VME_MEM_SAVE_READ_TABLE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, VME_MEM_SAVE_READ_TABLE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_SAVE_READ_TABLE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_SAVE_READ_TABLE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_SAVE_READ_TABLE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_SAVE_READ_TABLE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, VME_MEM_SAVE_READ_TABLE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_SAVE_READ_TABLE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_SAVE_READ_TABLE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, VME_MEM_SAVE_READ_TABLE);
    SetCtrlAttribute (hPanel, VME_MEM_SAVE_READ_TABLE, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, VME_MEM_SAVE_READ_TABLE, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, VME_MEM_SAVE_READ_TABLE, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, VME_MEM_SAVE_READ_TABLE, ATTR_WIDTH, 180);

    // Build control: VME_MEM_WRITE_TABLE_ADDR
    VME_MEM_WRITE_TABLE_ADDR = NewCtrl (hPanel, CTRL_NUMERIC, "", 115, 342);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_CONSTANT_NAME, "WRITE_TABLE_ADDR");
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_CALLBACK_FUNCTION_POINTER, vmeMemButtons);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_COLOR, 0X000099);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_MAX_VALUE, 16777215);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_INCR_VALUE, 2);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_PADDING, 6);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, VME_MEM_WRITE_TABLE_ADDR);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_WIDTH, 69);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_TOP, 100);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_LEFT, 390);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, VME_MEM_WRITE_TABLE_ADDR, "", VAL_DS_READ, NULL, NULL);

    // Build control: VME_MEM_READ_TABLE_ADDR
    VME_MEM_READ_TABLE_ADDR = NewCtrl (hPanel, CTRL_NUMERIC, "", 115, 14);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_CONSTANT_NAME, "READ_TABLE_ADDR");
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_CALLBACK_FUNCTION_POINTER, vmeMemButtons);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_TEXT_COLOR, 0X000099);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_MAX_VALUE, 16777215);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_INCR_VALUE, 2);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_PADDING, 6);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, VME_MEM_READ_TABLE_ADDR);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_WIDTH, 69);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_LABEL_TOP, 100);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_LABEL_LEFT, 62);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, VME_MEM_READ_TABLE_ADDR, "", VAL_DS_READ, NULL, NULL);

    // Build control: VME_MEM_READ_BYTES
    VME_MEM_READ_BYTES = NewCtrl (hPanel, CTRL_NUMERIC, "Size", 61, 166);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_CONSTANT_NAME, "READ_BYTES");
//  SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_LABEL_WIDTH, 27);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_MAX_VALUE, 16777215);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_MIN_VALUE, 4);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_DFLT_VALUE, 4);
    DefaultCtrl (hPanel, VME_MEM_READ_BYTES);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_WIDTH, 70);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_LABEL_TOP, 47);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_LABEL_LEFT, 193);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, VME_MEM_READ_BYTES, "", VAL_DS_READ, NULL, NULL);

    // Build control: VME_MEM_READ_ADDRESS
    VME_MEM_READ_ADDRESS = NewCtrl (hPanel, CTRL_NUMERIC, "RelAddr", 61, 85);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_CONSTANT_NAME, "READ_ADDRESS");
//  SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_LABEL_WIDTH, 48);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_TEXT_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_MAX_VALUE, 16777215);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, VME_MEM_READ_ADDRESS);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_WIDTH, 70);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_LABEL_TOP, 47);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_LABEL_LEFT, 97);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, VME_MEM_READ_ADDRESS, "", VAL_DS_READ, NULL, NULL);

    // Build control: VME_MEM_ADDRESS_TABLE_TIM
    VME_MEM_ADDRESS_TABLE_TIM = NewCtrl (hPanel, CTRL_TABLE, "", 186, 664);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_CONSTANT_NAME, "ADDRESS_TABLE_TIM");
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_VISIBLE, 0);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_CALLBACK_FUNCTION_POINTER, vmeMemButtons);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_SCROLL_BARS, VAL_VERT_SCROLL_BAR);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_LABEL_TEXT, "");
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_LABEL_BGCOLOR, 0X99CCCC);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_PADDING, 8);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_WRAP_MODE, VAL_LINE_WRAP);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_ENTER_IS_NEWLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_NO_EDIT_TEXT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_UPPER_LEFT_CORNER_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_TABLE_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_ROW_LABELS_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_TABLE_MODE, VAL_COLUMN);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_ROW_LABELS_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_ROW_LABELS_WIDTH, 89);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_ENABLE_ROW_SIZING, 1);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_COLUMN_LABELS_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_COLUMN_LABELS_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_COLUMN_LABELS_HEIGHT, 16);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_ENABLE_COLUMN_SIZING, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_ENABLE_POPUP_MENU, 1);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_CELL_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_CELL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_STR_CELL_DFLT_VALUE, "");
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_HEIGHT, 339);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_WIDTH, 216);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_LABEL_TOP, 165);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_LABEL_LEFT, 663);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_LABEL_SIZE_TO_TEXT, 1);
    InsertTableRows (hPanel, VME_MEM_ADDRESS_TABLE_TIM, -1, 1, VAL_USE_MASTER_CELL_TYPE);
//  SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_LABEL_TEXT, "TimCtrl/Status");
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_PADDING, 8);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_USE_LABEL_TEXT, 1);
//  SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
    InsertTableColumns (hPanel, VME_MEM_ADDRESS_TABLE_TIM, -1, 2, VAL_USE_MASTER_CELL_TYPE);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_LABEL_TEXT, "Address");
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_MAX_VALUE, 16777215);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_PADDING, 6);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_COLUMN_WIDTH, 51);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_LABEL_TEXT, "Size(B)");
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_COLUMN_WIDTH, 54);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_MAX_VALUE, 16777215);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_PADDING, 6);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (1, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_NUM_CELL_DFLT_VALUE, 50);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), bitmapId);
        SetTableCellAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    DefaultCtrl (hPanel, VME_MEM_ADDRESS_TABLE_TIM);
    SetActiveTableCell (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakePoint (2, 1));
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_VSCROLL_OFFSET, 0);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_HSCROLL_OFFSET, 0);
//  DSBindTableCellRange (hPanel, VME_MEM_ADDRESS_TABLE_TIM, MakeRect(0, 0, 0, 0), "", VAL_DS_READ, NULL, NULL);

    // Build control: VME_MEM_ADDRESS_TABLE
    VME_MEM_ADDRESS_TABLE = NewCtrl (hPanel, CTRL_TABLE, "", 186, 664);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_CONSTANT_NAME, "ADDRESS_TABLE");
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_CALLBACK_FUNCTION_POINTER, vmeMemButtons);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_SCROLL_BARS, VAL_VERT_SCROLL_BAR);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_LABEL_TEXT, "");
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_LABEL_BGCOLOR, 0X99CCCC);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_PADDING, 8);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_WRAP_MODE, VAL_LINE_WRAP);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_ENTER_IS_NEWLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_NO_EDIT_TEXT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_UPPER_LEFT_CORNER_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_TABLE_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_ROW_LABELS_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_TABLE_MODE, VAL_COLUMN);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_ROW_LABELS_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_ROW_LABELS_WIDTH, 89);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_ENABLE_ROW_SIZING, 1);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_COLUMN_LABELS_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_COLUMN_LABELS_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_COLUMN_LABELS_HEIGHT, 16);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_ENABLE_COLUMN_SIZING, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_ENABLE_POPUP_MENU, 1);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_CELL_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_CELL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_STR_CELL_DFLT_VALUE, "");
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_HEIGHT, 339);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_WIDTH, 216);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_LABEL_TOP, 165);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_LABEL_LEFT, 663);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    InsertTableColumns (hPanel, VME_MEM_ADDRESS_TABLE, -1, 2, VAL_USE_MASTER_CELL_TYPE);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_TEXT, "Address");
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_MAX_VALUE, 16777215);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_PADDING, 6);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_COLUMN_WIDTH, 51);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_TEXT, "Size(B)");
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_COLUMN_WIDTH, 54);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_CELL_MODE, VAL_INDICATOR);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, VME_MEM_ADDRESS_TABLE, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
    DefaultCtrl (hPanel, VME_MEM_ADDRESS_TABLE);
    SetActiveTableCell (hPanel, VME_MEM_ADDRESS_TABLE, MakePoint (1, 0));
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_VSCROLL_OFFSET, 0);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindTableCellRange (hPanel, VME_MEM_ADDRESS_TABLE, MakeRect(0, 0, 0, 0), "", VAL_DS_READ, NULL, NULL);

    // Build control: VME_MEM_VME_BUSY
    VME_MEM_VME_BUSY = NewCtrl (hPanel, CTRL_SQUARE_LED, "VME", 26, 301);
    SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_CONSTANT_NAME, "VME_BUSY");
//  SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_LABEL_WIDTH, 26);
    SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, VME_MEM_VME_BUSY);
    SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_ON_COLOR, VAL_YELLOW);
    SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_HEIGHT, 19);
    SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_WIDTH, 30);
    SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_LABEL_TOP, 28);
    SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_LABEL_LEFT, 303);
    SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: VME_MEM_WRITE_TABLE_SLIDE
    VME_MEM_WRITE_TABLE_SLIDE = NewCtrl (hPanel, CTRL_NUMERIC_VSLIDE, "", 115, 642);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_CONSTANT_NAME, "WRITE_TABLE_SLIDE");
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_CALLBACK_FUNCTION_POINTER, vmeMemButtons);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_BGCOLOR, 0X99CCCC);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_COLOR, 0X99CC99);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_MAX_VALUE, 256);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_CHECK_RANGE, VAL_IGNORE);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_DFLT_VALUE, 256);
    DefaultCtrl (hPanel, VME_MEM_WRITE_TABLE_SLIDE);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_SHOW_INCDEC_ARROWS, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_DIG_DISP_WIDTH, 75);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_DIG_DISP_HEIGHT, 19);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_SHOW_DIG_DISP, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_NEEDLE_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_FILL_HOUSING_COLOR, 0X7F7F7F);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_MARKER_STYLE, VAL_NO_MARKERS);
//  SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_TICK_STYLE, VAL_NO_MINOR_TICKS);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_FILL_COLOR, VAL_RED);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_FILL_OPTION, VAL_NO_FILL);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_HEIGHT, 304);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_WIDTH, 13);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_TOP, 94);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_LEFT, 589);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_SLIDER_LEFT, 641);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_SLIDER_WIDTH, 15);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_SLIDER_HEIGHT, 8);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_DIG_DISP_TOP, 433);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_DIG_DISP_LEFT, 593);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_LABEL_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, VME_MEM_WRITE_TABLE_SLIDE, "", VAL_DS_READ, NULL, NULL);

    // Build control: VME_MEM_READ_TABLE_SLIDE
    VME_MEM_READ_TABLE_SLIDE = NewCtrl (hPanel, CTRL_NUMERIC_VSLIDE, "", 115, 313);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_CONSTANT_NAME, "READ_TABLE_SLIDE");
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_CALLBACK_FUNCTION_POINTER, vmeMemButtons);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_LABEL_BGCOLOR, 0X99CCCC);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_TEXT_COLOR, 0X99CC99);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_MAX_VALUE, 256);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_CHECK_RANGE, VAL_IGNORE);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_DFLT_VALUE, 256);
    DefaultCtrl (hPanel, VME_MEM_READ_TABLE_SLIDE);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_SHOW_INCDEC_ARROWS, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_DIG_DISP_WIDTH, 75);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_DIG_DISP_HEIGHT, 19);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_SHOW_DIG_DISP, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_NEEDLE_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_FILL_HOUSING_COLOR, 0X7F7F7F);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_MARKER_STYLE, VAL_NO_MARKERS);
//  SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_TICK_STYLE, VAL_NO_MINOR_TICKS);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_FILL_COLOR, VAL_RED);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_FILL_OPTION, VAL_NO_FILL);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_HEIGHT, 304);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_WIDTH, 13);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_LABEL_TOP, 94);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_LABEL_LEFT, 260);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_SLIDER_LEFT, 312);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_SLIDER_WIDTH, 15);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_SLIDER_HEIGHT, 8);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_DIG_DISP_TOP, 433);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_DIG_DISP_LEFT, 264);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_LABEL_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, VME_MEM_READ_TABLE_SLIDE, "", VAL_DS_READ, NULL, NULL);

    // Build control: VME_MEM_VME_ACCESS
    VME_MEM_VME_ACCESS = NewCtrl (hPanel, CTRL_RING_POINTER_VSLIDE, "ElementSize", 46, 858);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_CONSTANT_NAME, "VME_ACCESS");
//  SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_CALLBACK_FUNCTION_POINTER, vmeMemButtons);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, VME_MEM_VME_ACCESS, 0, "8 bit", 1);
    InsertListItem (hPanel, VME_MEM_VME_ACCESS, 1, "16 bit", 2);
    InsertListItem (hPanel, VME_MEM_VME_ACCESS, 2, "32 bit", 4);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_CTRL_MODE, VAL_NORMAL);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_LABEL_COLOR, 0X000099);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_LABEL_WIDTH, 61);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_DFLT_INDEX, 2);
    DefaultCtrl (hPanel, VME_MEM_VME_ACCESS);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_NEEDLE_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_FILL_HOUSING_COLOR, VAL_GRAY);
//  SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_TICK_STYLE, VAL_NO_MINOR_TICKS);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_FILL_COLOR, VAL_RED);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_FILL_OPTION, VAL_NO_FILL);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_HEIGHT, 26);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_WIDTH, 7);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_LABEL_TOP, 27);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_LABEL_LEFT, 812);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_SLIDER_LEFT, 850);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_SLIDER_WIDTH, 17);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_SLIDER_HEIGHT, 12);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: VME_MEM_TEXTMSG_5
    VME_MEM_TEXTMSG_5 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 264, 933);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_5, ATTR_CONSTANT_NAME, "TEXTMSG_5");
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_5, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_5, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_5, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_5, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_5, ATTR_TEXT_BGCOLOR, 0X99CC99);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_5, ATTR_DFLT_VALUE, "8b");
    DefaultCtrl (hPanel, VME_MEM_TEXTMSG_5);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_5, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_5, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_5, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_5, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_5, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, VME_MEM_TEXTMSG_5, "", VAL_DS_READ, NULL, NULL);

    // Build control: VME_MEM_DECORATION_3
    VME_MEM_DECORATION_3 = NewCtrl (hPanel, CTRL_RAISED_BOX, "", 87, 664);
    SetCtrlAttribute (hPanel, VME_MEM_DECORATION_3, ATTR_CONSTANT_NAME, "DECORATION_3");
//  SetCtrlAttribute (hPanel, VME_MEM_DECORATION_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_DECORATION_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, VME_MEM_DECORATION_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_DECORATION_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_DECORATION_3, ATTR_FRAME_COLOR, 0X99CC99);
    SetCtrlAttribute (hPanel, VME_MEM_DECORATION_3, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, VME_MEM_DECORATION_3, ATTR_HEIGHT, 94);
    SetCtrlAttribute (hPanel, VME_MEM_DECORATION_3, ATTR_WIDTH, 216);

    // Build control: VME_MEM_TEXTMSG_11
    VME_MEM_TEXTMSG_11 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 150, 933);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_11, ATTR_CONSTANT_NAME, "TEXTMSG_11");
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_11, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_11, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_11, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_11, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_11, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_11, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_11, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_11, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_11, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_11, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_11, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_11, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_11, ATTR_TEXT_BGCOLOR, 0X99CC99);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_11, ATTR_DFLT_VALUE, "16b");
    DefaultCtrl (hPanel, VME_MEM_TEXTMSG_11);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_11, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_11, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_11, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_11, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_11, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, VME_MEM_TEXTMSG_11, "", VAL_DS_READ, NULL, NULL);

    // Build control: VME_MEM_TEXTMSG_12
    VME_MEM_TEXTMSG_12 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 172, 933);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_12, ATTR_CONSTANT_NAME, "TEXTMSG_12");
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_12, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_12, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_12, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_12, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_12, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_12, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_12, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_12, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_12, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_12, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_12, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_12, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_12, ATTR_TEXT_BGCOLOR, 0X99CC99);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_12, ATTR_DFLT_VALUE, "32b");
    DefaultCtrl (hPanel, VME_MEM_TEXTMSG_12);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_12, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_12, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_12, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_12, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_12, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, VME_MEM_TEXTMSG_12, "", VAL_DS_READ, NULL, NULL);

    // Build control: VME_MEM_TEXTMSG_14
    VME_MEM_TEXTMSG_14 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 218, 933);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_14, ATTR_CONSTANT_NAME, "TEXTMSG_14");
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_14, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_14, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_14, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_14, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_14, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_14, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_14, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_14, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_14, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_14, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_14, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_14, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_14, ATTR_TEXT_BGCOLOR, 0X99CC99);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_14, ATTR_DFLT_VALUE, "16b");
    DefaultCtrl (hPanel, VME_MEM_TEXTMSG_14);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_14, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_14, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_14, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_14, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_14, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, VME_MEM_TEXTMSG_14, "", VAL_DS_READ, NULL, NULL);

    // Build control: VME_MEM_TEXTMSG_15
    VME_MEM_TEXTMSG_15 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 241, 933);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_15, ATTR_CONSTANT_NAME, "TEXTMSG_15");
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_15, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_15, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_15, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_15, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_15, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_15, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_15, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_15, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_15, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_15, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_15, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_15, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_15, ATTR_TEXT_BGCOLOR, 0X99CC99);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_15, ATTR_DFLT_VALUE, "16b");
    DefaultCtrl (hPanel, VME_MEM_TEXTMSG_15);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_15, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_15, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_15, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_15, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_15, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, VME_MEM_TEXTMSG_15, "", VAL_DS_READ, NULL, NULL);

    // Build control: VME_MEM_TEXTMSG_16
    VME_MEM_TEXTMSG_16 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 195, 933);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_16, ATTR_CONSTANT_NAME, "TEXTMSG_16");
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_16, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_16, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_16, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_16, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_16, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_16, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_16, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_16, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_16, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_16, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_16, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_16, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_16, ATTR_TEXT_BGCOLOR, 0X99CC99);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_16, ATTR_DFLT_VALUE, "32b");
    DefaultCtrl (hPanel, VME_MEM_TEXTMSG_16);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_16, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_16, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_16, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_16, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_16, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, VME_MEM_TEXTMSG_16, "", VAL_DS_READ, NULL, NULL);

    // Build control: VME_MEM_TEXTMSG_17
    VME_MEM_TEXTMSG_17 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 287, 933);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_17, ATTR_CONSTANT_NAME, "TEXTMSG_17");
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_17, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_17, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_17, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_17, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_17, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_17, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_17, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_17, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_17, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_17, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_17, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_17, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_17, ATTR_TEXT_BGCOLOR, 0X99CC99);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_17, ATTR_DFLT_VALUE, "8b");
    DefaultCtrl (hPanel, VME_MEM_TEXTMSG_17);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_17, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_17, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_17, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_17, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_17, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, VME_MEM_TEXTMSG_17, "", VAL_DS_READ, NULL, NULL);

    // Build control: VME_MEM_TEXTMSG_18
    VME_MEM_TEXTMSG_18 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 310, 933);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_18, ATTR_CONSTANT_NAME, "TEXTMSG_18");
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_18, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_18, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_18, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_18, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_18, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_18, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_18, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_18, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_18, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_18, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_18, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_18, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_18, ATTR_TEXT_BGCOLOR, 0X99CC99);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_18, ATTR_DFLT_VALUE, "8b");
    DefaultCtrl (hPanel, VME_MEM_TEXTMSG_18);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_18, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_18, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_18, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_18, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_18, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, VME_MEM_TEXTMSG_18, "", VAL_DS_READ, NULL, NULL);

    // Build control: VME_MEM_TEXTMSG
    VME_MEM_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 63, 236);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG, ATTR_DFLT_VALUE, "B");
    DefaultCtrl (hPanel, VME_MEM_TEXTMSG);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG, ATTR_WIDTH, 10);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, VME_MEM_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: VME_MEM_TEXTMSG_19
    VME_MEM_TEXTMSG_19 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 62, 575);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_19, ATTR_CONSTANT_NAME, "TEXTMSG_19");
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_19, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_19, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_19, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_19, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_19, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_19, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_19, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_19, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_19, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_19, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_19, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_19, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_19, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_19, ATTR_DFLT_VALUE, "B");
    DefaultCtrl (hPanel, VME_MEM_TEXTMSG_19);
//  SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_19, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_19, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_19, ATTR_WIDTH, 10);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_19, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_19, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, VME_MEM_TEXTMSG_19, "", VAL_DS_READ, NULL, NULL);

    // Build control: VME_MEM_DECORATION_4
    VME_MEM_DECORATION_4 = NewCtrl (hPanel, CTRL_RAISED_BOX, "", 26, 664);
    SetCtrlAttribute (hPanel, VME_MEM_DECORATION_4, ATTR_CONSTANT_NAME, "DECORATION_4");
//  SetCtrlAttribute (hPanel, VME_MEM_DECORATION_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, VME_MEM_DECORATION_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, VME_MEM_DECORATION_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, VME_MEM_DECORATION_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, VME_MEM_DECORATION_4, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, VME_MEM_DECORATION_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, VME_MEM_DECORATION_4, ATTR_HEIGHT, 57);
    SetCtrlAttribute (hPanel, VME_MEM_DECORATION_4, ATTR_WIDTH, 216);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_19, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, VME_MEM_COMPARE_BUFFS, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, VME_MEM_NEW_BUFFER, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_18, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_17, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_16, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_15, ATTR_ZPLANE_POSITION, 14);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_14, ATTR_ZPLANE_POSITION, 15);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_12, ATTR_ZPLANE_POSITION, 16);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_11, ATTR_ZPLANE_POSITION, 17);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_WORD, ATTR_ZPLANE_POSITION, 18);
    SetCtrlAttribute (hPanel, VME_MEM_READ_WORD, ATTR_ZPLANE_POSITION, 19);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_ZPLANE_POSITION, 20);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_ZPLANE_POSITION, 21);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_ZPLANE_POSITION, 22);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_ZPLANE_POSITION, 23);
    SetCtrlAttribute (hPanel, VME_MEM_TEXTMSG_5, ATTR_ZPLANE_POSITION, 24);
    SetCtrlAttribute (hPanel, VME_MEM_SAVE_WRITE_TABLE, ATTR_ZPLANE_POSITION, 25);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_ZPLANE_POSITION, 26);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_ZPLANE_POSITION, 27);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TO_MEMORY, ATTR_ZPLANE_POSITION, 28);
    SetCtrlAttribute (hPanel, VME_MEM_LOAD_FILE, ATTR_ZPLANE_POSITION, 29);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_ZPLANE_POSITION, 30);
    SetCtrlAttribute (hPanel, VME_MEM_READ_MEMORY, ATTR_ZPLANE_POSITION, 31);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_ZPLANE_POSITION, 32);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_ZPLANE_POSITION, 33);
    SetCtrlAttribute (hPanel, VME_MEM_SAVE_READ_TABLE, ATTR_ZPLANE_POSITION, 34);
    SetCtrlAttribute (hPanel, VME_MEM_DECORATION_3, ATTR_ZPLANE_POSITION, 35);
    SetCtrlAttribute (hPanel, VME_MEM_DECORATION_4, ATTR_ZPLANE_POSITION, 36);
    SetCtrlAttribute (hPanel, VME_MEM_EXTERNAL_VIEWER, ATTR_ZPLANE_POSITION, 37);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_ZPLANE_POSITION, 38);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_ZPLANE_POSITION, 39);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, VME_MEM_COMPARE_BUFFS, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_WORD, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, VME_MEM_READ_WORD, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, VME_MEM_NEW_BUFFER, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, VME_MEM_LOAD_FILE, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TO_MEMORY, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_BYTES, ATTR_CTRL_TAB_POSITION, 6);
    SetCtrlAttribute (hPanel, VME_MEM_READ_DATA_WORD, ATTR_CTRL_TAB_POSITION, 7);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_DATA_WORD, ATTR_CTRL_TAB_POSITION, 8);
    SetCtrlAttribute (hPanel, VME_MEM_WORD_ADDRESS, ATTR_CTRL_TAB_POSITION, 9);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_ADDRESS, ATTR_CTRL_TAB_POSITION, 10);
    SetCtrlAttribute (hPanel, VME_MEM_SAVE_WRITE_TABLE, ATTR_CTRL_TAB_POSITION, 11);
    SetCtrlAttribute (hPanel, VME_MEM_SLOT_NUMBER, ATTR_CTRL_TAB_POSITION, 12);
    SetCtrlAttribute (hPanel, VME_MEM_READ_MEMORY, ATTR_CTRL_TAB_POSITION, 13);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE, ATTR_CTRL_TAB_POSITION, 14);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE, ATTR_CTRL_TAB_POSITION, 15);
    SetCtrlAttribute (hPanel, VME_MEM_EXTERNAL_VIEWER, ATTR_CTRL_TAB_POSITION, 16);
    SetCtrlAttribute (hPanel, VME_MEM_SAVE_READ_TABLE, ATTR_CTRL_TAB_POSITION, 17);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_ADDR, ATTR_CTRL_TAB_POSITION, 18);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_ADDR, ATTR_CTRL_TAB_POSITION, 19);
    SetCtrlAttribute (hPanel, VME_MEM_READ_BYTES, ATTR_CTRL_TAB_POSITION, 20);
    SetCtrlAttribute (hPanel, VME_MEM_READ_ADDRESS, ATTR_CTRL_TAB_POSITION, 21);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE_TIM, ATTR_CTRL_TAB_POSITION, 22);
    SetCtrlAttribute (hPanel, VME_MEM_ADDRESS_TABLE, ATTR_CTRL_TAB_POSITION, 23);
    SetCtrlAttribute (hPanel, VME_MEM_VME_BUSY, ATTR_CTRL_TAB_POSITION, 24);
    SetCtrlAttribute (hPanel, VME_MEM_WRITE_TABLE_SLIDE, ATTR_CTRL_TAB_POSITION, 25);
    SetCtrlAttribute (hPanel, VME_MEM_READ_TABLE_SLIDE, ATTR_CTRL_TAB_POSITION, 26);
    SetCtrlAttribute (hPanel, VME_MEM_VME_ACCESS, ATTR_CTRL_TAB_POSITION, 27);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(530*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(885*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(214*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(38*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_TOP, VAL_AUTO_CENTER);
    SetPanelAttribute (hPanel, ATTR_LEFT, VAL_AUTO_CENTER);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    buildMenu_memoryPanel (hPanel);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_mdspWriteRange ():  Build UI object WRBUFF_M; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_mdspWriteRange (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "Master DSP write buffer", 73, 411, 133, 256);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "WRBUFF_M");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0X0099FF);
//  SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 5);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
//  SetPanelAttribute (hPanel, ATTR_MOVABLE, 1);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: WRBUFF_M_CANCEL
    WRBUFF_M_CANCEL = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Cancel", 89, 142);
    SetCtrlAttribute (hPanel, WRBUFF_M_CANCEL, ATTR_CONSTANT_NAME, "CANCEL");
//  SetCtrlAttribute (hPanel, WRBUFF_M_CANCEL, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, WRBUFF_M_CANCEL, ATTR_CALLBACK_FUNCTION_POINTER, masterMemButtons);
    SetCtrlAttribute (hPanel, WRBUFF_M_CANCEL, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_CANCEL, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, WRBUFF_M_CANCEL, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, WRBUFF_M_CANCEL, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, WRBUFF_M_CANCEL, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, WRBUFF_M_CANCEL, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_CANCEL, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_CANCEL, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_CANCEL, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, WRBUFF_M_CANCEL, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_CANCEL, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, WRBUFF_M_CANCEL, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, WRBUFF_M_CANCEL);
    SetCtrlAttribute (hPanel, WRBUFF_M_CANCEL, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, WRBUFF_M_CANCEL, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, WRBUFF_M_CANCEL, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, WRBUFF_M_CANCEL, ATTR_WIDTH, 70);

    // Build control: WRBUFF_M_OK
    WRBUFF_M_OK = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "__OK", 89, 40);
    SetCtrlAttribute (hPanel, WRBUFF_M_OK, ATTR_CONSTANT_NAME, "OK");
//  SetCtrlAttribute (hPanel, WRBUFF_M_OK, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, WRBUFF_M_OK, ATTR_CALLBACK_FUNCTION_POINTER, masterMemButtons);
    SetCtrlAttribute (hPanel, WRBUFF_M_OK, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_OK, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, WRBUFF_M_OK, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, WRBUFF_M_OK, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, WRBUFF_M_OK, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, WRBUFF_M_OK, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_OK, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_OK, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_OK, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, WRBUFF_M_OK, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_OK, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, WRBUFF_M_OK, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, WRBUFF_M_OK);
    SetCtrlAttribute (hPanel, WRBUFF_M_OK, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, WRBUFF_M_OK, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, WRBUFF_M_OK, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, WRBUFF_M_OK, ATTR_WIDTH, 70);

    // Build control: WRBUFF_M_DEFAULT_VALUE
    WRBUFF_M_DEFAULT_VALUE = NewCtrl (hPanel, CTRL_NUMERIC, "DefaultValue", 60, 89);
    SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_CONSTANT_NAME, "DEFAULT_VALUE");
//  SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_LABEL_WIDTH, 64);
    SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, WRBUFF_M_DEFAULT_VALUE);
    SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_WIDTH, 69);
    SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_LABEL_TOP, 46);
    SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_LABEL_LEFT, 93);
    SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, WRBUFF_M_DEFAULT_VALUE, "", VAL_DS_READ, NULL, NULL);

    // Build control: WRBUFF_M_BYTES
    WRBUFF_M_BYTES = NewCtrl (hPanel, CTRL_NUMERIC, "Bytes", 25, 137);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_CONSTANT_NAME, "BYTES");
//  SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_CALLBACK_FUNCTION_POINTER, wordBoundary);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_LABEL_WIDTH, 34);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_MAX_VALUE, 33554432);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_MIN_VALUE, 4);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_DFLT_VALUE, 4);
    DefaultCtrl (hPanel, WRBUFF_M_BYTES);
//  SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_LABEL_TOP, 11);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_LABEL_LEFT, 160);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, WRBUFF_M_BYTES, "", VAL_DS_READ, NULL, NULL);

    // Build control: WRBUFF_M_ADDRESS
    WRBUFF_M_ADDRESS = NewCtrl (hPanel, CTRL_NUMERIC, "Address", 25, 36);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_CONSTANT_NAME, "ADDRESS");
//  SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_CALLBACK_FUNCTION_POINTER, wordBoundary);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_LABEL_WIDTH, 48);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_TEXT_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, WRBUFF_M_ADDRESS);
//  SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_LABEL_TOP, 11);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_LABEL_LEFT, 55);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, WRBUFF_M_ADDRESS, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, WRBUFF_M_CANCEL, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, WRBUFF_M_OK, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_ZPLANE_POSITION, 4);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, WRBUFF_M_CANCEL, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, WRBUFF_M_OK, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, WRBUFF_M_DEFAULT_VALUE, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, WRBUFF_M_BYTES, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, WRBUFF_M_ADDRESS, ATTR_CTRL_TAB_POSITION, 4);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(133*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(256*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(73*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(411*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_sdspWriteRange ():  Build UI object WRBUFF_S; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_sdspWriteRange (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "Slave DSP write buffer", 63, 401, 133, 256);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "WRBUFF_S");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD28159);
//  SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 5);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
//  SetPanelAttribute (hPanel, ATTR_MOVABLE, 1);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: WRBUFF_S_CANCEL
    WRBUFF_S_CANCEL = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Cancel", 89, 142);
    SetCtrlAttribute (hPanel, WRBUFF_S_CANCEL, ATTR_CONSTANT_NAME, "CANCEL");
//  SetCtrlAttribute (hPanel, WRBUFF_S_CANCEL, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, WRBUFF_S_CANCEL, ATTR_CALLBACK_FUNCTION_POINTER, slaveMemButtons);
    SetCtrlAttribute (hPanel, WRBUFF_S_CANCEL, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_CANCEL, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, WRBUFF_S_CANCEL, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, WRBUFF_S_CANCEL, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, WRBUFF_S_CANCEL, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, WRBUFF_S_CANCEL, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_CANCEL, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_CANCEL, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_CANCEL, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, WRBUFF_S_CANCEL, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_CANCEL, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, WRBUFF_S_CANCEL, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, WRBUFF_S_CANCEL);
    SetCtrlAttribute (hPanel, WRBUFF_S_CANCEL, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, WRBUFF_S_CANCEL, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, WRBUFF_S_CANCEL, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, WRBUFF_S_CANCEL, ATTR_WIDTH, 70);

    // Build control: WRBUFF_S_OK
    WRBUFF_S_OK = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "__OK", 89, 40);
    SetCtrlAttribute (hPanel, WRBUFF_S_OK, ATTR_CONSTANT_NAME, "OK");
//  SetCtrlAttribute (hPanel, WRBUFF_S_OK, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, WRBUFF_S_OK, ATTR_CALLBACK_FUNCTION_POINTER, slaveMemButtons);
    SetCtrlAttribute (hPanel, WRBUFF_S_OK, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_OK, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, WRBUFF_S_OK, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, WRBUFF_S_OK, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, WRBUFF_S_OK, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, WRBUFF_S_OK, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_OK, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_OK, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_OK, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, WRBUFF_S_OK, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_OK, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, WRBUFF_S_OK, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, WRBUFF_S_OK);
    SetCtrlAttribute (hPanel, WRBUFF_S_OK, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, WRBUFF_S_OK, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, WRBUFF_S_OK, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, WRBUFF_S_OK, ATTR_WIDTH, 70);

    // Build control: WRBUFF_S_DEFAULT_VALUE
    WRBUFF_S_DEFAULT_VALUE = NewCtrl (hPanel, CTRL_NUMERIC, "DefaultValue", 60, 89);
    SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_CONSTANT_NAME, "DEFAULT_VALUE");
//  SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_LABEL_WIDTH, 64);
    SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, WRBUFF_S_DEFAULT_VALUE);
    SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_WIDTH, 69);
    SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_LABEL_TOP, 46);
    SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_LABEL_LEFT, 93);
    SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, WRBUFF_S_DEFAULT_VALUE, "", VAL_DS_READ, NULL, NULL);

    // Build control: WRBUFF_S_BYTES
    WRBUFF_S_BYTES = NewCtrl (hPanel, CTRL_NUMERIC, "Bytes", 25, 137);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_CONSTANT_NAME, "BYTES");
//  SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_CALLBACK_FUNCTION_POINTER, wordBoundary);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_LABEL_WIDTH, 34);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_MAX_VALUE, -2147483648);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_MIN_VALUE, 4);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_DFLT_VALUE, 4);
    DefaultCtrl (hPanel, WRBUFF_S_BYTES);
//  SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_LABEL_TOP, 11);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_LABEL_LEFT, 160);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, WRBUFF_S_BYTES, "", VAL_DS_READ, NULL, NULL);

    // Build control: WRBUFF_S_ADDRESS
    WRBUFF_S_ADDRESS = NewCtrl (hPanel, CTRL_NUMERIC, "Address", 25, 36);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_CONSTANT_NAME, "ADDRESS");
//  SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_CALLBACK_FUNCTION_POINTER, wordBoundary);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_LABEL_WIDTH, 48);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_TEXT_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, WRBUFF_S_ADDRESS);
//  SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_LABEL_TOP, 11);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_LABEL_LEFT, 55);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, WRBUFF_S_ADDRESS, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, WRBUFF_S_CANCEL, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, WRBUFF_S_OK, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_ZPLANE_POSITION, 4);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, WRBUFF_S_CANCEL, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, WRBUFF_S_OK, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, WRBUFF_S_DEFAULT_VALUE, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, WRBUFF_S_BYTES, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, WRBUFF_S_ADDRESS, ATTR_CTRL_TAB_POSITION, 4);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(133*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(256*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(63*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(401*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_vmeWriteRange ():  Build UI object WRBUFF_VME; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_vmeWriteRange (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "VME write buffer", 63, 399, 133, 256);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "WRBUFF_VME");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0X99CC99);
//  SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 5);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
//  SetPanelAttribute (hPanel, ATTR_MOVABLE, 1);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: WRBUFF_VME_CANCEL
    WRBUFF_VME_CANCEL = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Cancel", 90, 156);
    SetCtrlAttribute (hPanel, WRBUFF_VME_CANCEL, ATTR_CONSTANT_NAME, "CANCEL");
//  SetCtrlAttribute (hPanel, WRBUFF_VME_CANCEL, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, WRBUFF_VME_CANCEL, ATTR_CALLBACK_FUNCTION_POINTER, vmeMemButtons);
    SetCtrlAttribute (hPanel, WRBUFF_VME_CANCEL, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_CANCEL, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, WRBUFF_VME_CANCEL, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_CANCEL, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_CANCEL, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_CANCEL, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_CANCEL, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_CANCEL, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_CANCEL, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_CANCEL, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_CANCEL, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, WRBUFF_VME_CANCEL, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, WRBUFF_VME_CANCEL);
    SetCtrlAttribute (hPanel, WRBUFF_VME_CANCEL, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_CANCEL, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, WRBUFF_VME_CANCEL, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, WRBUFF_VME_CANCEL, ATTR_WIDTH, 70);

    // Build control: WRBUFF_VME_OK
    WRBUFF_VME_OK = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "__OK", 90, 40);
    SetCtrlAttribute (hPanel, WRBUFF_VME_OK, ATTR_CONSTANT_NAME, "OK");
//  SetCtrlAttribute (hPanel, WRBUFF_VME_OK, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, WRBUFF_VME_OK, ATTR_CALLBACK_FUNCTION_POINTER, vmeMemButtons);
    SetCtrlAttribute (hPanel, WRBUFF_VME_OK, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_OK, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, WRBUFF_VME_OK, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_OK, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_OK, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_OK, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_OK, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_OK, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_OK, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_OK, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_OK, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, WRBUFF_VME_OK, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, WRBUFF_VME_OK);
    SetCtrlAttribute (hPanel, WRBUFF_VME_OK, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_OK, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, WRBUFF_VME_OK, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, WRBUFF_VME_OK, ATTR_WIDTH, 70);

    // Build control: WRBUFF_VME_DEFAULT_VALUE
    WRBUFF_VME_DEFAULT_VALUE = NewCtrl (hPanel, CTRL_NUMERIC, "DefaultValue", 60, 97);
    SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_CONSTANT_NAME, "DEFAULT_VALUE");
//  SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_LABEL_WIDTH, 64);
    SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, WRBUFF_VME_DEFAULT_VALUE);
    SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_WIDTH, 69);
    SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_LABEL_TOP, 46);
    SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_LABEL_LEFT, 101);
    SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, WRBUFF_VME_DEFAULT_VALUE, "", VAL_DS_READ, NULL, NULL);

    // Build control: WRBUFF_VME_BYTES
    WRBUFF_VME_BYTES = NewCtrl (hPanel, CTRL_NUMERIC, "Bytes", 24, 146);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_CONSTANT_NAME, "BYTES");
//  SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_LABEL_WIDTH, 34);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_MAX_VALUE, 16777215);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_MIN_VALUE, 4);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_DFLT_VALUE, 4);
    DefaultCtrl (hPanel, WRBUFF_VME_BYTES);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_LABEL_TOP, 10);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_LABEL_LEFT, 169);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, WRBUFF_VME_BYTES, "", VAL_DS_READ, NULL, NULL);

    // Build control: WRBUFF_VME_REL_ADDRESS
    WRBUFF_VME_REL_ADDRESS = NewCtrl (hPanel, CTRL_NUMERIC, "RelAddr", 24, 39);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_CONSTANT_NAME, "REL_ADDRESS");
//  SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_LABEL_WIDTH, 48);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_TEXT_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_MAX_VALUE, 16777215);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, WRBUFF_VME_REL_ADDRESS);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_WIDTH, 70);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_LABEL_TOP, 10);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_LABEL_LEFT, 51);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, WRBUFF_VME_REL_ADDRESS, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, WRBUFF_VME_CANCEL, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, WRBUFF_VME_OK, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_ZPLANE_POSITION, 4);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, WRBUFF_VME_CANCEL, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, WRBUFF_VME_OK, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, WRBUFF_VME_DEFAULT_VALUE, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, WRBUFF_VME_BYTES, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, WRBUFF_VME_REL_ADDRESS, ATTR_CTRL_TAB_POSITION, 4);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(133*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(256*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(63*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(399*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildMenu_memoryPanel ():  Build UI object ROD_MEM; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildMenu_memoryPanel (int hParentPanel)
{
    int hMenubar;
    int error = 0;

    // Create the menubar
    hMenubar = NewMenuBar (hParentPanel);
    SetMenuBarAttribute (hMenubar, 0, ATTR_CONSTANT_NAME, "ROD_MEM");

    // Build menu: ROD_MEM_GOTO_MAIN
    ROD_MEM_GOTO_MAIN = NewMenu (hMenubar, "MainWindow", -1);
    SetMenuBarAttribute (hMenubar, ROD_MEM_GOTO_MAIN, ATTR_CONSTANT_NAME, "GOTO_MAIN");
//  SetMenuBarAttribute (hMenubar, ROD_MEM_GOTO_MAIN, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, ROD_MEM_GOTO_MAIN, ATTR_CALLBACK_FUNCTION_POINTER, rodMemMenu);

    // Build menu: ROD_MEM_VIEW_BIN_FILE
    ROD_MEM_VIEW_BIN_FILE = NewMenu (hMenubar, "ViewBinFile", -1);
    SetMenuBarAttribute (hMenubar, ROD_MEM_VIEW_BIN_FILE, ATTR_CONSTANT_NAME, "VIEW_BIN_FILE");
//  SetMenuBarAttribute (hMenubar, ROD_MEM_VIEW_BIN_FILE, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, ROD_MEM_VIEW_BIN_FILE, ATTR_CALLBACK_FUNCTION_POINTER, rodMemMenu);

    // Build menu: ROD_MEM_CLOSE_WINDOW
    ROD_MEM_CLOSE_WINDOW = NewMenu (hMenubar, "HideWindow", -1);
    SetMenuBarAttribute (hMenubar, ROD_MEM_CLOSE_WINDOW, ATTR_CONSTANT_NAME, "CLOSE_WINDOW");
//  SetMenuBarAttribute (hMenubar, ROD_MEM_CLOSE_WINDOW, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, ROD_MEM_CLOSE_WINDOW, ATTR_CALLBACK_FUNCTION_POINTER, rodMemMenu);

    //We're done!
    return hMenubar;
Error:
    return error;
}
