
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------
//
//  "uiFpga.c"
//
//  Implementation file for UI build functions
//
//  Date: 11-07-2004
//
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------

//----------------------------------------------------------------------------------------------------
//  Include header files
//----------------------------------------------------------------------------------------------------

#include "uiFpga.h"
#include <Utility.h> // definition of NULL
#include "toolbox.h" // definition of errChk macro

extern int CVIFUNC_C GetUserBitmapFromText (char *imageText, int version, int *bitmapId); // needed if there are bitmaps
extern int CVIFUNC_C NewActiveXCtrlFromPersistence (int panel, const char *ctrlLabel,
                                                    int top, int left, char *defaultIID,
                                                    int binaryFormat, char *persistenceText,
                                                    HRESULT *activeXError); // needed if there are ActiveX controls

//----------------------------------------------------------------------------------------------------
//  Prototype UI build functions.
//----------------------------------------------------------------------------------------------------

int buildPanel_flashAccess (int hParentPanel);
int buildPanel_flash (int hParentPanel);
int buildPanel_fpgaStatus (int hParentPanel);
int buildMenu_flash (int hParentPanel);
int buildMenu_fpgaStatus (int hParentPanel);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: FLASH_INFO
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: PAN_FLASH
// ------------------------------------------------------------------------------------------------

// Control: PAN_FLASH_FORM_READ
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_DSP_PRG_WRITE
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_FORM_WRITE
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_DSP_PRG_FILE
int CVICALLBACK pickFileName (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_READ_FLASH_1
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_CLEAR_FLASH_1
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_FORM_FILE
int CVICALLBACK pickFileName (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_FORM_START_ADDR
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_ROUTER_READ
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_ROUTER_WRITE
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_EFB_READ
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_ROUTER_FILE
int CVICALLBACK pickFileName (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_ROUTER_START_ADDR
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_EFB_WRITE
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_READ_FLASH_2
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_SLOT_NUMBER
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_CLEAR_FLASH_DSP
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_CLEAR_FLASH_2
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_EFB_FILE
int CVICALLBACK pickFileName (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_EFB_START_ADDR
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_RRIF_READ
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_RRIF_WRITE
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_LOCATION_READ
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_RRIF_FILE
int CVICALLBACK pickFileName (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_RRIF_START_ADDR
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_LOCATION_WRITE
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_READ_FLASH_0
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_CLEAR_FLASH_0
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_LOCATION_FILE
int CVICALLBACK pickFileName (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PAN_FLASH_LOCATION_START_ADDR
int CVICALLBACK flashButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: PANEL_FPGA
// ------------------------------------------------------------------------------------------------

// Control: PANEL_FPGA_READ_REG
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_SLOT_NUMBER
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM2_BUTT_1
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM2_BUTT_7
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM2_BUTT_6
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM2_BUTT_5
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM2_BUTT_4
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM2_BUTT_3
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM2_BUTT_2
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM2_BUTT_0
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM1_BUTT_1
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM1_BUTT_7
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM1_BUTT_6
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM1_BUTT_5
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM1_BUTT_4
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM1_BUTT_3
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM1_BUTT_2
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM1_BUTT_0
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM0_BUTT_1
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM0_BUTT_7
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM0_BUTT_6
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM0_BUTT_5
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM0_BUTT_4
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM0_BUTT_3
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM0_BUTT_2
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_FPGA_COM0_BUTT_0
int CVICALLBACK fpgaRegButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: FLASH_MENU
// ------------------------------------------------------------------------------------------------

// Menu: GOTO_MAIN
void CVICALLBACK flashMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: SAVE_SETTINGS
void CVICALLBACK flashMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: LOAD_SETTINGS
void CVICALLBACK flashMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: VIEW_BIN_FILE
void CVICALLBACK flashMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: CLOSE_WINDOW
void CVICALLBACK flashMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: FPGA_MENU
// ------------------------------------------------------------------------------------------------

// Menu: GOTO_MAIN
void CVICALLBACK fpgaMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: CLOSE_WINDOW
void CVICALLBACK fpgaMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);


//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  FLASH_INFO
// ------------------------------------------------------------------------------------------------

int FLASH_INFO_SECTOR                        = 0;  // control identifier
int FLASH_INFO_FLASH_NAME                    = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  PAN_FLASH
// ------------------------------------------------------------------------------------------------

int PAN_FLASH_FORM_READ                      = 0;  // control identifier
int PAN_FLASH_DSP_PRG_WRITE                  = 0;  // control identifier
int PAN_FLASH_FORM_WRITE                     = 0;  // control identifier
int PAN_FLASH_DSP_PRG_FILE                   = 0;  // control identifier
int PAN_FLASH_READ_FLASH_1                   = 0;  // control identifier
int PAN_FLASH_CLEAR_FLASH_1                  = 0;  // control identifier
int PAN_FLASH_FORM_FILE                      = 0;  // control identifier
int PAN_FLASH_DSP_PRG_SIZE                   = 0;  // control identifier
int PAN_FLASH_DSP_PRG_START_ADDR             = 0;  // control identifier
int PAN_FLASH_FORM_END_ADDR                  = 0;  // control identifier
int PAN_FLASH_FORM_SIZE                      = 0;  // control identifier
int PAN_FLASH_FLASH_2_START_ADDR             = 0;  // control identifier
int PAN_FLASH_FLASH_1_START_ADDR             = 0;  // control identifier
int PAN_FLASH_FLASH_0_START_ADDR             = 0;  // control identifier
int PAN_FLASH_FORM_START_ADDR                = 0;  // control identifier
int PAN_FLASH_ROUTER_READ                    = 0;  // control identifier
int PAN_FLASH_ROUTER_WRITE                   = 0;  // control identifier
int PAN_FLASH_EFB_READ                       = 0;  // control identifier
int PAN_FLASH_ROUTER_FILE                    = 0;  // control identifier
int PAN_FLASH_DSP_PRG_END_ADDR               = 0;  // control identifier
int PAN_FLASH_ROUTER_SIZE                    = 0;  // control identifier
int PAN_FLASH_ROUTER_END_ADDR                = 0;  // control identifier
int PAN_FLASH_ROUTER_START_ADDR              = 0;  // control identifier
int PAN_FLASH_EFB_WRITE                      = 0;  // control identifier
int PAN_FLASH_READ_FLASH_2                   = 0;  // control identifier
int PAN_FLASH_SLOT_NUMBER                    = 0;  // control identifier
int PAN_FLASH_CLEAR_FLASH_DSP                = 0;  // control identifier
int PAN_FLASH_CLEAR_FLASH_2                  = 0;  // control identifier
int PAN_FLASH_EFB_FILE                       = 0;  // control identifier
int PAN_FLASH_EFB_SIZE                       = 0;  // control identifier
int PAN_FLASH_EFB_END_ADDR                   = 0;  // control identifier
int PAN_FLASH_EFB_START_ADDR                 = 0;  // control identifier
int PAN_FLASH_RRIF_READ                      = 0;  // control identifier
int PAN_FLASH_RRIF_WRITE                     = 0;  // control identifier
int PAN_FLASH_LOCATION_READ                  = 0;  // control identifier
int PAN_FLASH_RRIF_FILE                      = 0;  // control identifier
int PAN_FLASH_RRIF_SIZE                      = 0;  // control identifier
int PAN_FLASH_RRIF_END_ADDR                  = 0;  // control identifier
int PAN_FLASH_RRIF_START_ADDR                = 0;  // control identifier
int PAN_FLASH_LOCATION_WRITE                 = 0;  // control identifier
int PAN_FLASH_READ_FLASH_0                   = 0;  // control identifier
int PAN_FLASH_CLEAR_FLASH_0                  = 0;  // control identifier
int PAN_FLASH_LOCATION_SIZE                  = 0;  // control identifier
int PAN_FLASH_LOCATION_FILE                  = 0;  // control identifier
int PAN_FLASH_LOCATION_END_ADDR              = 0;  // control identifier
int PAN_FLASH_LOCATION_START_ADDR            = 0;  // control identifier
int PAN_FLASH_DECORATION_2                   = 0;  // control identifier
int PAN_FLASH_TEXTMSG                        = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  PANEL_FPGA
// ------------------------------------------------------------------------------------------------

int PANEL_FPGA_READ_REG                      = 0;  // control identifier
int PANEL_FPGA_CONTROL_8                     = 0;  // control identifier
int PANEL_FPGA_CONTROL_4                     = 0;  // control identifier
int PANEL_FPGA_CONTROL_3                     = 0;  // control identifier
int PANEL_FPGA_CONTROL_3_BIT_0               = 0;  // control identifier
int PANEL_FPGA_CONTROL_3_BIT_1               = 0;  // control identifier
int PANEL_FPGA_CONTROL_3_BIT_2               = 0;  // control identifier
int PANEL_FPGA_CONTROL_3_BIT_3               = 0;  // control identifier
int PANEL_FPGA_CONTROL_3_BIT_4               = 0;  // control identifier
int PANEL_FPGA_CONTROL_3_BIT_5               = 0;  // control identifier
int PANEL_FPGA_CONTROL_3_BIT_6               = 0;  // control identifier
int PANEL_FPGA_CONTROL_3_BIT_7               = 0;  // control identifier
int PANEL_FPGA_CONTROL_2                     = 0;  // control identifier
int PANEL_FPGA_CONTROL_2_BIT_0               = 0;  // control identifier
int PANEL_FPGA_CONTROL_2_BIT_1               = 0;  // control identifier
int PANEL_FPGA_CONTROL_2_BIT_2               = 0;  // control identifier
int PANEL_FPGA_CONTROL_2_BIT_3               = 0;  // control identifier
int PANEL_FPGA_STAT_7                        = 0;  // control identifier
int PANEL_FPGA_STAT_10                       = 0;  // control identifier
int PANEL_FPGA_STAT_9                        = 0;  // control identifier
int PANEL_FPGA_STAT_6                        = 0;  // control identifier
int PANEL_FPGA_CONTROL_2_BIT_4               = 0;  // control identifier
int PANEL_FPGA_CONTROL_2_BIT_5               = 0;  // control identifier
int PANEL_FPGA_CONTROL_2_BIT_6               = 0;  // control identifier
int PANEL_FPGA_CONTROL_2_BIT_7               = 0;  // control identifier
int PANEL_FPGA_CONTROL_1_BIT_0               = 0;  // control identifier
int PANEL_FPGA_CONTROL_1                     = 0;  // control identifier
int PANEL_FPGA_CONTROL_1_BIT_1               = 0;  // control identifier
int PANEL_FPGA_CONTROL_1_BIT_2               = 0;  // control identifier
int PANEL_FPGA_CONTROL_1_BIT_3               = 0;  // control identifier
int PANEL_FPGA_CONTROL_1_BIT_4               = 0;  // control identifier
int PANEL_FPGA_CONTROL_1_BIT_5               = 0;  // control identifier
int PANEL_FPGA_CONTROL_1_BIT_6               = 0;  // control identifier
int PANEL_FPGA_CONTROL_1_BIT_7               = 0;  // control identifier
int PANEL_FPGA_CONTROL_0_BIT_0               = 0;  // control identifier
int PANEL_FPGA_CONTROL_0_BIT_1               = 0;  // control identifier
int PANEL_FPGA_CONTROL_0_BIT_2               = 0;  // control identifier
int PANEL_FPGA_SLOT_NUMBER                   = 0;  // control identifier
int PANEL_FPGA_CONTROL_0                     = 0;  // control identifier
int PANEL_FPGA_CONTROL_0_BIT_3               = 0;  // control identifier
int PANEL_FPGA_CONTROL_0_BIT_4               = 0;  // control identifier
int PANEL_FPGA_CONTROL_0_BIT_5               = 0;  // control identifier
int PANEL_FPGA_CONTROL_0_BIT_6               = 0;  // control identifier
int PANEL_FPGA_CONTROL_0_BIT_7               = 0;  // control identifier
int PANEL_FPGA_STAT_5                        = 0;  // control identifier
int PANEL_FPGA_STAT_5_BIT_0                  = 0;  // control identifier
int PANEL_FPGA_STAT_5_BIT_1                  = 0;  // control identifier
int PANEL_FPGA_STAT_5_BIT_2                  = 0;  // control identifier
int PANEL_FPGA_STAT_5_BIT_3                  = 0;  // control identifier
int PANEL_FPGA_STAT_5_BIT_4                  = 0;  // control identifier
int PANEL_FPGA_STAT_5_BIT_5                  = 0;  // control identifier
int PANEL_FPGA_STAT_5_BIT_6                  = 0;  // control identifier
int PANEL_FPGA_STAT_5_BIT_7                  = 0;  // control identifier
int PANEL_FPGA_STAT_8                        = 0;  // control identifier
int PANEL_FPGA_STAT_4                        = 0;  // control identifier
int PANEL_FPGA_STAT_4_BIT_0                  = 0;  // control identifier
int PANEL_FPGA_STAT_4_BIT_1                  = 0;  // control identifier
int PANEL_FPGA_STAT_4_BIT_2                  = 0;  // control identifier
int PANEL_FPGA_STAT_4_BIT_3                  = 0;  // control identifier
int PANEL_FPGA_STAT_4_BIT_4                  = 0;  // control identifier
int PANEL_FPGA_STAT_4_BIT_5                  = 0;  // control identifier
int PANEL_FPGA_STAT_4_BIT_6                  = 0;  // control identifier
int PANEL_FPGA_STAT_4_BIT_7                  = 0;  // control identifier
int PANEL_FPGA_STAT_3                        = 0;  // control identifier
int PANEL_FPGA_STAT_3_BIT_0                  = 0;  // control identifier
int PANEL_FPGA_STAT_3_BIT_1                  = 0;  // control identifier
int PANEL_FPGA_STAT_3_BIT_2                  = 0;  // control identifier
int PANEL_FPGA_STAT_3_BIT_3                  = 0;  // control identifier
int PANEL_FPGA_STAT_3_BIT_4                  = 0;  // control identifier
int PANEL_FPGA_STAT_3_BIT_5                  = 0;  // control identifier
int PANEL_FPGA_STAT_3_BIT_6                  = 0;  // control identifier
int PANEL_FPGA_STAT_3_BIT_7                  = 0;  // control identifier
int PANEL_FPGA_STAT_2_BIT_0                  = 0;  // control identifier
int PANEL_FPGA_STAT_2_BIT_1                  = 0;  // control identifier
int PANEL_FPGA_STAT_2_BIT_2                  = 0;  // control identifier
int PANEL_FPGA_STAT_2_BIT_3                  = 0;  // control identifier
int PANEL_FPGA_STAT_2_BIT_4                  = 0;  // control identifier
int PANEL_FPGA_STAT_2                        = 0;  // control identifier
int PANEL_FPGA_STAT_2_BIT_5                  = 0;  // control identifier
int PANEL_FPGA_STAT_2_BIT_6                  = 0;  // control identifier
int PANEL_FPGA_STAT_2_BIT_7                  = 0;  // control identifier
int PANEL_FPGA_STAT_1                        = 0;  // control identifier
int PANEL_FPGA_STAT_1_BIT_0                  = 0;  // control identifier
int PANEL_FPGA_STAT_1_BIT_1                  = 0;  // control identifier
int PANEL_FPGA_STAT_1_BIT_2                  = 0;  // control identifier
int PANEL_FPGA_STAT_1_BIT_3                  = 0;  // control identifier
int PANEL_FPGA_STAT_1_BIT_4                  = 0;  // control identifier
int PANEL_FPGA_STAT_1_BIT_5                  = 0;  // control identifier
int PANEL_FPGA_STAT_1_BIT_6                  = 0;  // control identifier
int PANEL_FPGA_STAT_1_BIT_7                  = 0;  // control identifier
int PANEL_FPGA_STAT_0_BIT_0                  = 0;  // control identifier
int PANEL_FPGA_STAT_0_BIT_1                  = 0;  // control identifier
int PANEL_FPGA_STAT_0_BIT_2                  = 0;  // control identifier
int PANEL_FPGA_STAT_0_BIT_3                  = 0;  // control identifier
int PANEL_FPGA_STAT_0_BIT_4                  = 0;  // control identifier
int PANEL_FPGA_STAT_0_BIT_5                  = 0;  // control identifier
int PANEL_FPGA_STAT_0                        = 0;  // control identifier
int PANEL_FPGA_STAT_0_BIT_6                  = 0;  // control identifier
int PANEL_FPGA_STAT_0_BIT_7                  = 0;  // control identifier
int PANEL_FPGA_COM2_BUTT_1                   = 0;  // control identifier
int PANEL_FPGA_COM2_BUTT_7                   = 0;  // control identifier
int PANEL_FPGA_COM2_BUTT_6                   = 0;  // control identifier
int PANEL_FPGA_COM2_BUTT_5                   = 0;  // control identifier
int PANEL_FPGA_COM2_BUTT_4                   = 0;  // control identifier
int PANEL_FPGA_COM2_BUTT_3                   = 0;  // control identifier
int PANEL_FPGA_COM2_BUTT_2                   = 0;  // control identifier
int PANEL_FPGA_COM2_BUTT_0                   = 0;  // control identifier
int PANEL_FPGA_COM1_BUTT_1                   = 0;  // control identifier
int PANEL_FPGA_COM1_BUTT_7                   = 0;  // control identifier
int PANEL_FPGA_COM1_BUTT_6                   = 0;  // control identifier
int PANEL_FPGA_COM1_BUTT_5                   = 0;  // control identifier
int PANEL_FPGA_COM1_BUTT_4                   = 0;  // control identifier
int PANEL_FPGA_COM1_BUTT_3                   = 0;  // control identifier
int PANEL_FPGA_COM1_BUTT_2                   = 0;  // control identifier
int PANEL_FPGA_COM1_BUTT_0                   = 0;  // control identifier
int PANEL_FPGA_COM0_BUTT_1                   = 0;  // control identifier
int PANEL_FPGA_COM0_BUTT_7                   = 0;  // control identifier
int PANEL_FPGA_COM0_BUTT_6                   = 0;  // control identifier
int PANEL_FPGA_COM0_BUTT_5                   = 0;  // control identifier
int PANEL_FPGA_COM0_BUTT_4                   = 0;  // control identifier
int PANEL_FPGA_COM0_BUTT_3                   = 0;  // control identifier
int PANEL_FPGA_COM0_BUTT_2                   = 0;  // control identifier
int PANEL_FPGA_COM0_BUTT_0                   = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_20                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_21                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_22                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_23                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_24                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_25                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_26                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_27                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_55                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_56                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_57                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_58                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_59                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_60                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_61                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_62                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_63                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_64                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_65                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_66                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_67                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_68                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_69                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_70                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_71                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_72                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_73                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_74                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_75                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_76                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_77                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_78                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_99                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_100                   = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_101                   = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_102                   = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_103                   = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_104                   = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_105                   = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_106                   = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_109                   = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_111                   = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_28                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_29                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_30                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_31                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_32                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_33                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_34                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_35                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_36                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_37                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_38                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_39                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_40                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_41                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_42                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_43                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_44                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_45                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_46                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_47                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_48                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_49                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_50                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_51                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_90                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_91                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_92                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_93                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_94                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_95                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_96                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_97                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_112                   = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_113                   = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_114                   = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_115                   = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_116                   = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_117                   = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_118                   = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_119                   = 0;  // control identifier
int PANEL_FPGA_TEXTMSG                       = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_52                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_53                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_54                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_98                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_120                   = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_107                   = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_89                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_88                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_121                   = 0;  // control identifier
int PANEL_FPGA_DECORATION_2                  = 0;  // control identifier
int PANEL_FPGA_DECORATION                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_87                    = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_2                     = 0;  // control identifier
int PANEL_FPGA_TEXTMSG_3                     = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  FLASH_MENU
// ------------------------------------------------------------------------------------------------

int FLASH_MENU_GOTO_MAIN                     = 0;  // menu identifier
int FLASH_MENU_SAVE_SETTINGS                 = 0;  // menu identifier
int FLASH_MENU_LOAD_SETTINGS                 = 0;  // menu identifier
int FLASH_MENU_VIEW_BIN_FILE                 = 0;  // menu identifier
int FLASH_MENU_CLOSE_WINDOW                  = 0;  // menu identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  FPGA_MENU
// ------------------------------------------------------------------------------------------------

int FPGA_MENU_GOTO_MAIN                      = 0;  // menu identifier
int FPGA_MENU_CLOSE_WINDOW                   = 0;  // menu identifier

//----------------------------------------------------------------------------------------------------
// buildPanel_flashAccess ():  Build UI object FLASH_INFO; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_flashAccess (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "FLASH ACCESS", 138, 24, 179, 343);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "FLASH_INFO");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, 0X0033FF);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, 0XFFFF99);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, 0X0033FF);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 5);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
//  SetPanelAttribute (hPanel, ATTR_MOVABLE, 1);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "NIDialogMetaFontBoldface");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 12);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: FLASH_INFO_SECTOR
    FLASH_INFO_SECTOR = NewCtrl (hPanel, CTRL_NUMERIC_LEVEL_HSLIDE, "Sector", 88, 52);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_CONSTANT_NAME, "SECTOR");
//  SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_LABEL_COLOR, 0X0033FF);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_LABEL_WIDTH, 40);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_LABEL_BGCOLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_TEXT_BGCOLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_MAX_VALUE, 128);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_CHECK_RANGE, VAL_IGNORE);
//  SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, FLASH_INFO_SECTOR);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_DIG_DISP_WIDTH, 35);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_DIG_DISP_HEIGHT, 19);
//  SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_SHOW_DIG_DISP, 1);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_NEEDLE_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_FILL_HOUSING_COLOR, 0X7F7F7F);
//  SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_MARKER_STYLE, VAL_FULL_MARKERS);
//  SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_TICK_STYLE, VAL_NO_MINOR_TICKS);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_FILL_COLOR, 0X3333FF);
//  SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_FILL_OPTION, VAL_BOTTOM_FILL);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_HEIGHT, 25);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_WIDTH, 240);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_LABEL_TOP, 71);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_LABEL_LEFT, 53);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_DIG_DISP_TOP, 68);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_DIG_DISP_LEFT, 96);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, FLASH_INFO_SECTOR, "", VAL_DS_READ, NULL, NULL);

    // Build control: FLASH_INFO_FLASH_NAME
    FLASH_INFO_FLASH_NAME = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 31, 52);
    SetCtrlAttribute (hPanel, FLASH_INFO_FLASH_NAME, ATTR_CONSTANT_NAME, "FLASH_NAME");
//  SetCtrlAttribute (hPanel, FLASH_INFO_FLASH_NAME, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, FLASH_INFO_FLASH_NAME, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, FLASH_INFO_FLASH_NAME, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, FLASH_INFO_FLASH_NAME, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, FLASH_INFO_FLASH_NAME, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, FLASH_INFO_FLASH_NAME, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, FLASH_INFO_FLASH_NAME, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, FLASH_INFO_FLASH_NAME, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, FLASH_INFO_FLASH_NAME, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, FLASH_INFO_FLASH_NAME, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, FLASH_INFO_FLASH_NAME, ATTR_TEXT_POINT_SIZE, 12);
    SetCtrlAttribute (hPanel, FLASH_INFO_FLASH_NAME, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, FLASH_INFO_FLASH_NAME, ATTR_TEXT_BGCOLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, FLASH_INFO_FLASH_NAME, ATTR_DFLT_VALUE, "Text Message");
    DefaultCtrl (hPanel, FLASH_INFO_FLASH_NAME);
//  SetCtrlAttribute (hPanel, FLASH_INFO_FLASH_NAME, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, FLASH_INFO_FLASH_NAME, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, FLASH_INFO_FLASH_NAME, ATTR_WIDTH, 83);
    SetCtrlAttribute (hPanel, FLASH_INFO_FLASH_NAME, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, FLASH_INFO_FLASH_NAME, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, FLASH_INFO_FLASH_NAME, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, FLASH_INFO_FLASH_NAME, ATTR_ZPLANE_POSITION, 1);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, FLASH_INFO_SECTOR, ATTR_CTRL_TAB_POSITION, 0);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(179*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(343*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(138*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(24*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_TOP, VAL_AUTO_CENTER);
    SetPanelAttribute (hPanel, ATTR_LEFT, VAL_AUTO_CENTER);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_flash ():  Build UI object PAN_FLASH; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_flash (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "FLASH", 19, 321, 710, 372);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "PAN_FLASH");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XE2D39E);
//  SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 5);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
//  SetPanelAttribute (hPanel, ATTR_MOVABLE, 1);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
//  SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
    SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 1);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: PAN_FLASH_FORM_READ
    PAN_FLASH_FORM_READ = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Read", 272, 24);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_READ, ATTR_CONSTANT_NAME, "FORM_READ");
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_READ, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_READ, ATTR_CALLBACK_FUNCTION_POINTER, flashButtons);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_READ, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_READ, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_READ, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_READ, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_READ, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_READ, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_READ, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_READ, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_READ, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_READ, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_READ, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_READ, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_FORM_READ);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_READ, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_READ, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_READ, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_READ, ATTR_WIDTH, 61);

    // Build control: PAN_FLASH_DSP_PRG_WRITE
    PAN_FLASH_DSP_PRG_WRITE = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Write", 639, 284);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_WRITE, ATTR_CONSTANT_NAME, "DSP_PRG_WRITE");
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_WRITE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_WRITE, ATTR_CALLBACK_FUNCTION_POINTER, flashButtons);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_WRITE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_WRITE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_WRITE, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_WRITE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_WRITE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_WRITE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_WRITE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_WRITE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_WRITE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_WRITE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_WRITE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_WRITE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_DSP_PRG_WRITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_WRITE, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_WRITE, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_WRITE, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_WRITE, ATTR_WIDTH, 61);

    // Build control: PAN_FLASH_FORM_WRITE
    PAN_FLASH_FORM_WRITE = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Write", 272, 284);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_WRITE, ATTR_CONSTANT_NAME, "FORM_WRITE");
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_WRITE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_WRITE, ATTR_CALLBACK_FUNCTION_POINTER, flashButtons);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_WRITE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_WRITE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_WRITE, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_WRITE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_WRITE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_WRITE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_WRITE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_WRITE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_WRITE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_WRITE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_WRITE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_WRITE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_FORM_WRITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_WRITE, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_WRITE, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_WRITE, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_WRITE, ATTR_WIDTH, 61);

    // Build control: PAN_FLASH_DSP_PRG_FILE
    PAN_FLASH_DSP_PRG_FILE = NewCtrl (hPanel, CTRL_STRING, "DSP PROGRAM", 610, 23);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_CONSTANT_NAME, "DSP_PRG_FILE");
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_CALLBACK_FUNCTION_POINTER, pickFileName);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_LABEL_POINT_SIZE, 15);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_LABEL_WIDTH, 114);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, PAN_FLASH_DSP_PRG_FILE);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_WIDTH, 322);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_LABEL_TOP, 594);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_LABEL_LEFT, 132);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, PAN_FLASH_DSP_PRG_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_READ_FLASH_1
    PAN_FLASH_READ_FLASH_1 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, " Read FLASH1", 511, 225);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_1, ATTR_CONSTANT_NAME, "READ_FLASH_1");
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_1, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_1, ATTR_CALLBACK_FUNCTION_POINTER, flashButtons);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_1, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_READ_FLASH_1);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_1, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_1, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_1, ATTR_HEIGHT, 24);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_1, ATTR_WIDTH, 120);

    // Build control: PAN_FLASH_CLEAR_FLASH_1
    PAN_FLASH_CLEAR_FLASH_1 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, " Erase FLASH1", 511, 26);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_1, ATTR_CONSTANT_NAME, "CLEAR_FLASH_1");
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_1, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_1, ATTR_CALLBACK_FUNCTION_POINTER, flashButtons);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_1, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_CLEAR_FLASH_1);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_1, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_1, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_1, ATTR_HEIGHT, 24);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_1, ATTR_WIDTH, 120);

    // Build control: PAN_FLASH_FORM_FILE
    PAN_FLASH_FORM_FILE = NewCtrl (hPanel, CTRL_STRING, " FORMATTER FILE ", 242, 23);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_CONSTANT_NAME, "FORM_FILE");
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_CALLBACK_FUNCTION_POINTER, pickFileName);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_LABEL_POINT_SIZE, 15);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_LABEL_WIDTH, 140);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_LABEL_HEIGHT, 18);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_LABEL_RAISED, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, PAN_FLASH_FORM_FILE);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_WIDTH, 322);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_LABEL_TOP, 224);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_LABEL_LEFT, 119);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, PAN_FLASH_FORM_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_DSP_PRG_SIZE
    PAN_FLASH_DSP_PRG_SIZE = NewCtrl (hPanel, CTRL_NUMERIC, "Size[B]", 641, 74);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_CONSTANT_NAME, "DSP_PRG_SIZE");
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_FRAME_COLOR, 0XB0B0B0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_LABEL_WIDTH, 36);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_TEXT_BGCOLOR, 0XFFFFE6);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_DSP_PRG_SIZE);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_WIDTH, 50);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_LABEL_TOP, 627);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_LABEL_LEFT, 81);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PAN_FLASH_DSP_PRG_SIZE, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_DSP_PRG_START_ADDR
    PAN_FLASH_DSP_PRG_START_ADDR = NewCtrl (hPanel, CTRL_NUMERIC, "Start addr", 641, 153);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_CONSTANT_NAME, "DSP_PRG_START_ADDR");
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_FRAME_COLOR, 0XB0B0B0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_LABEL_WIDTH, 49);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_DSP_PRG_START_ADDR);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_WIDTH, 60);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_LABEL_TOP, 627);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_LABEL_LEFT, 158);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_FORM_END_ADDR
    PAN_FLASH_FORM_END_ADDR = NewCtrl (hPanel, CTRL_NUMERIC, "End addr", 274, 221);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_CONSTANT_NAME, "FORM_END_ADDR");
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_FRAME_COLOR, 0XB0B0B0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_LABEL_WIDTH, 46);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_FORM_END_ADDR);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_WIDTH, 53);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_LABEL_TOP, 260);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_LABEL_LEFT, 225);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PAN_FLASH_FORM_END_ADDR, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_FORM_SIZE
    PAN_FLASH_FORM_SIZE = NewCtrl (hPanel, CTRL_NUMERIC, "Size[B]", 274, 92);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_CONSTANT_NAME, "FORM_SIZE");
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_FRAME_COLOR, 0XB0B0B0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_LABEL_WIDTH, 36);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_TEXT_BGCOLOR, 0XFFFFE6);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_FORM_SIZE);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_WIDTH, 50);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_LABEL_TOP, 260);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_LABEL_LEFT, 99);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PAN_FLASH_FORM_SIZE, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_FLASH_2_START_ADDR
    PAN_FLASH_FLASH_2_START_ADDR = NewCtrl (hPanel, CTRL_NUMERIC, "", 546, 161);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_CONSTANT_NAME, "FLASH_2_START_ADDR");
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_FRAME_COLOR, 0XB0B0B0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_FLASH_2_START_ADDR);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_WIDTH, 53);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_LABEL_TOP, 532);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_LABEL_LEFT, 185);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PAN_FLASH_FLASH_2_START_ADDR, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_FLASH_1_START_ADDR
    PAN_FLASH_FLASH_1_START_ADDR = NewCtrl (hPanel, CTRL_NUMERIC, "", 512, 161);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_CONSTANT_NAME, "FLASH_1_START_ADDR");
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_FRAME_COLOR, 0XB0B0B0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_FLASH_1_START_ADDR);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_WIDTH, 53);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_LABEL_TOP, 498);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_LABEL_LEFT, 185);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PAN_FLASH_FLASH_1_START_ADDR, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_FLASH_0_START_ADDR
    PAN_FLASH_FLASH_0_START_ADDR = NewCtrl (hPanel, CTRL_NUMERIC, "Start addr", 479, 161);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_CONSTANT_NAME, "FLASH_0_START_ADDR");
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_FRAME_COLOR, 0XB0B0B0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_LABEL_WIDTH, 49);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_FLASH_0_START_ADDR);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_WIDTH, 53);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_LABEL_TOP, 465);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_LABEL_LEFT, 162);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PAN_FLASH_FLASH_0_START_ADDR, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_FORM_START_ADDR
    PAN_FLASH_FORM_START_ADDR = NewCtrl (hPanel, CTRL_NUMERIC, "Start addr", 274, 167);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_CONSTANT_NAME, "FORM_START_ADDR");
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_CALLBACK_FUNCTION_POINTER, flashButtons);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_LABEL_WIDTH, 49);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_FORM_START_ADDR);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_WIDTH, 53);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_LABEL_TOP, 260);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_LABEL_LEFT, 168);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PAN_FLASH_FORM_START_ADDR, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_ROUTER_READ
    PAN_FLASH_ROUTER_READ = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Read", 428, 24);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_READ, ATTR_CONSTANT_NAME, "ROUTER_READ");
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_READ, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_READ, ATTR_CALLBACK_FUNCTION_POINTER, flashButtons);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_READ, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_READ, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_READ, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_READ, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_READ, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_READ, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_READ, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_READ, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_READ, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_READ, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_READ, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_READ, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_ROUTER_READ);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_READ, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_READ, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_READ, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_READ, ATTR_WIDTH, 61);

    // Build control: PAN_FLASH_ROUTER_WRITE
    PAN_FLASH_ROUTER_WRITE = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Write", 428, 284);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_WRITE, ATTR_CONSTANT_NAME, "ROUTER_WRITE");
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_WRITE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_WRITE, ATTR_CALLBACK_FUNCTION_POINTER, flashButtons);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_WRITE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_WRITE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_WRITE, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_WRITE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_WRITE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_WRITE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_WRITE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_WRITE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_WRITE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_WRITE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_WRITE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_WRITE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_ROUTER_WRITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_WRITE, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_WRITE, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_WRITE, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_WRITE, ATTR_WIDTH, 61);

    // Build control: PAN_FLASH_EFB_READ
    PAN_FLASH_EFB_READ = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Read", 351, 24);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_READ, ATTR_CONSTANT_NAME, "EFB_READ");
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_READ, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_READ, ATTR_CALLBACK_FUNCTION_POINTER, flashButtons);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_READ, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_READ, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_READ, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_READ, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_READ, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_READ, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_READ, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_READ, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_READ, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_READ, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_READ, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_READ, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_EFB_READ);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_READ, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_READ, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_READ, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_READ, ATTR_WIDTH, 61);

    // Build control: PAN_FLASH_ROUTER_FILE
    PAN_FLASH_ROUTER_FILE = NewCtrl (hPanel, CTRL_STRING, " ROUTER FILE ", 398, 23);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_CONSTANT_NAME, "ROUTER_FILE");
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_CALLBACK_FUNCTION_POINTER, pickFileName);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_LABEL_POINT_SIZE, 15);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_LABEL_WIDTH, 118);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, PAN_FLASH_ROUTER_FILE);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_WIDTH, 322);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_LABEL_TOP, 382);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_LABEL_LEFT, 128);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_LABEL_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, PAN_FLASH_ROUTER_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_DSP_PRG_END_ADDR
    PAN_FLASH_DSP_PRG_END_ADDR = NewCtrl (hPanel, CTRL_NUMERIC, "End addr", 641, 214);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_CONSTANT_NAME, "DSP_PRG_END_ADDR");
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_FRAME_COLOR, 0XB0B0B0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_LABEL_WIDTH, 46);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_DSP_PRG_END_ADDR);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_WIDTH, 60);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_LABEL_TOP, 627);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_LABEL_LEFT, 221);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_ROUTER_SIZE
    PAN_FLASH_ROUTER_SIZE = NewCtrl (hPanel, CTRL_NUMERIC, "Size[B]", 430, 91);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_CONSTANT_NAME, "ROUTER_SIZE");
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_FRAME_COLOR, 0XB0B0B0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_LABEL_WIDTH, 36);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_TEXT_BGCOLOR, 0XFFFFE6);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_ROUTER_SIZE);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_WIDTH, 50);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_LABEL_TOP, 416);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_LABEL_LEFT, 98);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PAN_FLASH_ROUTER_SIZE, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_ROUTER_END_ADDR
    PAN_FLASH_ROUTER_END_ADDR = NewCtrl (hPanel, CTRL_NUMERIC, "End addr", 430, 222);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_CONSTANT_NAME, "ROUTER_END_ADDR");
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_FRAME_COLOR, 0XB0B0B0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_LABEL_WIDTH, 46);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_ROUTER_END_ADDR);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_WIDTH, 53);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_LABEL_TOP, 416);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_LABEL_LEFT, 226);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PAN_FLASH_ROUTER_END_ADDR, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_ROUTER_START_ADDR
    PAN_FLASH_ROUTER_START_ADDR = NewCtrl (hPanel, CTRL_NUMERIC, "Start addr", 430, 167);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_CONSTANT_NAME, "ROUTER_START_ADDR");
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_CALLBACK_FUNCTION_POINTER, flashButtons);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_LABEL_WIDTH, 49);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_ROUTER_START_ADDR);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_WIDTH, 53);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_LABEL_TOP, 416);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_LABEL_LEFT, 168);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PAN_FLASH_ROUTER_START_ADDR, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_EFB_WRITE
    PAN_FLASH_EFB_WRITE = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Write", 352, 284);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_WRITE, ATTR_CONSTANT_NAME, "EFB_WRITE");
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_WRITE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_WRITE, ATTR_CALLBACK_FUNCTION_POINTER, flashButtons);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_WRITE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_WRITE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_WRITE, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_WRITE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_WRITE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_WRITE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_WRITE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_WRITE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_WRITE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_WRITE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_WRITE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_WRITE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_EFB_WRITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_WRITE, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_WRITE, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_WRITE, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_WRITE, ATTR_WIDTH, 61);

    // Build control: PAN_FLASH_READ_FLASH_2
    PAN_FLASH_READ_FLASH_2 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, " Read FLASH2", 545, 225);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_2, ATTR_CONSTANT_NAME, "READ_FLASH_2");
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_2, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_2, ATTR_CALLBACK_FUNCTION_POINTER, flashButtons);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_2, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_2, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_2, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_READ_FLASH_2);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_2, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_2, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_2, ATTR_HEIGHT, 24);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_2, ATTR_WIDTH, 120);

    // Build control: PAN_FLASH_SLOT_NUMBER
    PAN_FLASH_SLOT_NUMBER = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Slot#", 23, 172);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_CONSTANT_NAME, "SLOT_NUMBER");
//  SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_CALLBACK_FUNCTION_POINTER, flashButtons);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    InsertListItem (hPanel, PAN_FLASH_SLOT_NUMBER, 0, "5", 5);
    InsertListItem (hPanel, PAN_FLASH_SLOT_NUMBER, 1, "6", 6);
    InsertListItem (hPanel, PAN_FLASH_SLOT_NUMBER, 2, "7", 7);
    InsertListItem (hPanel, PAN_FLASH_SLOT_NUMBER, 3, "8", 8);
    InsertListItem (hPanel, PAN_FLASH_SLOT_NUMBER, 4, "9", 9);
    InsertListItem (hPanel, PAN_FLASH_SLOT_NUMBER, 5, "10", 10);
    InsertListItem (hPanel, PAN_FLASH_SLOT_NUMBER, 6, "11", 11);
    InsertListItem (hPanel, PAN_FLASH_SLOT_NUMBER, 7, "12", 12);
    InsertListItem (hPanel, PAN_FLASH_SLOT_NUMBER, 8, "14", 14);
    InsertListItem (hPanel, PAN_FLASH_SLOT_NUMBER, 9, "15", 15);
    InsertListItem (hPanel, PAN_FLASH_SLOT_NUMBER, 10, "16", 16);
    InsertListItem (hPanel, PAN_FLASH_SLOT_NUMBER, 11, "17", 17);
    InsertListItem (hPanel, PAN_FLASH_SLOT_NUMBER, 12, "18", 18);
    InsertListItem (hPanel, PAN_FLASH_SLOT_NUMBER, 13, "19", 19);
    InsertListItem (hPanel, PAN_FLASH_SLOT_NUMBER, 14, "20", 20);
    InsertListItem (hPanel, PAN_FLASH_SLOT_NUMBER, 15, "21", 21);
//  SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_LABEL_POINT_SIZE, 16);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_LABEL_WIDTH, 45);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_LABEL_HEIGHT, 22);
//  SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_TEXT_COLOR, 0XFFFF99);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_TEXT_FONT, "Arial");
//  SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_TEXT_POINT_SIZE, 22);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_TEXT_BGCOLOR, 0X003366);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_DFLT_INDEX, 11);
    DefaultCtrl (hPanel, PAN_FLASH_SLOT_NUMBER);
//  SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_WIDTH, 50);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_LABEL_TOP, 30);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_LABEL_LEFT, 127);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: PAN_FLASH_CLEAR_FLASH_DSP
    PAN_FLASH_CLEAR_FLASH_DSP = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, " Erase FLASH DSP", 667, 26);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_DSP, ATTR_CONSTANT_NAME, "CLEAR_FLASH_DSP");
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_DSP, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_DSP, ATTR_CALLBACK_FUNCTION_POINTER, flashButtons);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_DSP, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_DSP, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_DSP, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_DSP, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_DSP, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_DSP, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_DSP, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_DSP, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_DSP, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_DSP, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_DSP, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_DSP, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_CLEAR_FLASH_DSP);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_DSP, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_DSP, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_DSP, ATTR_HEIGHT, 24);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_DSP, ATTR_WIDTH, 120);

    // Build control: PAN_FLASH_CLEAR_FLASH_2
    PAN_FLASH_CLEAR_FLASH_2 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, " Erase FLASH2", 545, 26);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_2, ATTR_CONSTANT_NAME, "CLEAR_FLASH_2");
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_2, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_2, ATTR_CALLBACK_FUNCTION_POINTER, flashButtons);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_2, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_2, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_2, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_CLEAR_FLASH_2);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_2, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_2, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_2, ATTR_HEIGHT, 24);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_2, ATTR_WIDTH, 120);

    // Build control: PAN_FLASH_EFB_FILE
    PAN_FLASH_EFB_FILE = NewCtrl (hPanel, CTRL_STRING, " EFB FILE ", 323, 23);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_CONSTANT_NAME, "EFB_FILE");
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_CALLBACK_FUNCTION_POINTER, pickFileName);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_LABEL_POINT_SIZE, 15);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_LABEL_WIDTH, 118);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, PAN_FLASH_EFB_FILE);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_WIDTH, 322);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_LABEL_TOP, 306);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_LABEL_LEFT, 128);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_LABEL_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, PAN_FLASH_EFB_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_EFB_SIZE
    PAN_FLASH_EFB_SIZE = NewCtrl (hPanel, CTRL_NUMERIC, "Size[B]", 354, 92);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_CONSTANT_NAME, "EFB_SIZE");
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_FRAME_COLOR, 0XB0B0B0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_LABEL_WIDTH, 36);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_TEXT_BGCOLOR, 0XFFFFE6);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_EFB_SIZE);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_WIDTH, 50);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_LABEL_TOP, 340);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_LABEL_LEFT, 99);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PAN_FLASH_EFB_SIZE, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_EFB_END_ADDR
    PAN_FLASH_EFB_END_ADDR = NewCtrl (hPanel, CTRL_NUMERIC, "End addr", 354, 221);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_CONSTANT_NAME, "EFB_END_ADDR");
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_FRAME_COLOR, 0XB0B0B0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_LABEL_WIDTH, 46);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_EFB_END_ADDR);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_WIDTH, 53);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_LABEL_TOP, 340);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_LABEL_LEFT, 225);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PAN_FLASH_EFB_END_ADDR, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_EFB_START_ADDR
    PAN_FLASH_EFB_START_ADDR = NewCtrl (hPanel, CTRL_NUMERIC, "Start addr", 354, 167);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_CONSTANT_NAME, "EFB_START_ADDR");
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_CALLBACK_FUNCTION_POINTER, flashButtons);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_LABEL_WIDTH, 49);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_EFB_START_ADDR);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_WIDTH, 53);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_LABEL_TOP, 340);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_LABEL_LEFT, 168);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PAN_FLASH_EFB_START_ADDR, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_RRIF_READ
    PAN_FLASH_RRIF_READ = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Read", 189, 24);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_READ, ATTR_CONSTANT_NAME, "RRIF_READ");
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_READ, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_READ, ATTR_CALLBACK_FUNCTION_POINTER, flashButtons);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_READ, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_READ, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_READ, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_READ, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_READ, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_READ, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_READ, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_READ, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_READ, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_READ, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_READ, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_READ, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_RRIF_READ);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_READ, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_READ, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_READ, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_READ, ATTR_WIDTH, 61);

    // Build control: PAN_FLASH_RRIF_WRITE
    PAN_FLASH_RRIF_WRITE = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Write", 188, 284);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_WRITE, ATTR_CONSTANT_NAME, "RRIF_WRITE");
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_WRITE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_WRITE, ATTR_CALLBACK_FUNCTION_POINTER, flashButtons);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_WRITE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_WRITE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_WRITE, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_WRITE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_WRITE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_WRITE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_WRITE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_WRITE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_WRITE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_WRITE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_WRITE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_WRITE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_RRIF_WRITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_WRITE, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_WRITE, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_WRITE, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_WRITE, ATTR_WIDTH, 61);

    // Build control: PAN_FLASH_LOCATION_READ
    PAN_FLASH_LOCATION_READ = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Read", 109, 24);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_READ, ATTR_CONSTANT_NAME, "LOCATION_READ");
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_READ, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_READ, ATTR_CALLBACK_FUNCTION_POINTER, flashButtons);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_READ, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_READ, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_READ, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_READ, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_READ, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_READ, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_READ, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_READ, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_READ, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_READ, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_READ, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_READ, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_LOCATION_READ);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_READ, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_READ, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_READ, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_READ, ATTR_WIDTH, 61);

    // Build control: PAN_FLASH_RRIF_FILE
    PAN_FLASH_RRIF_FILE = NewCtrl (hPanel, CTRL_STRING, " RRIF FILE ", 159, 23);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_CONSTANT_NAME, "RRIF_FILE");
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_CALLBACK_FUNCTION_POINTER, pickFileName);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_LABEL_POINT_SIZE, 15);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_LABEL_WIDTH, 118);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_LABEL_HEIGHT, 18);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_LABEL_RAISED, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, PAN_FLASH_RRIF_FILE);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_WIDTH, 322);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_LABEL_TOP, 143);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_LABEL_LEFT, 128);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_LABEL_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, PAN_FLASH_RRIF_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_RRIF_SIZE
    PAN_FLASH_RRIF_SIZE = NewCtrl (hPanel, CTRL_NUMERIC, "Size[B]", 191, 92);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_CONSTANT_NAME, "RRIF_SIZE");
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_FRAME_COLOR, 0XB0B0B0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_LABEL_WIDTH, 36);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_TEXT_BGCOLOR, 0XFFFFE6);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_RRIF_SIZE);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_WIDTH, 50);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_LABEL_TOP, 177);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_LABEL_LEFT, 99);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PAN_FLASH_RRIF_SIZE, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_RRIF_END_ADDR
    PAN_FLASH_RRIF_END_ADDR = NewCtrl (hPanel, CTRL_NUMERIC, "End addr", 190, 221);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_CONSTANT_NAME, "RRIF_END_ADDR");
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_FRAME_COLOR, 0XB0B0B0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_LABEL_WIDTH, 46);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_RRIF_END_ADDR);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_WIDTH, 53);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_LABEL_TOP, 176);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_LABEL_LEFT, 225);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PAN_FLASH_RRIF_END_ADDR, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_RRIF_START_ADDR
    PAN_FLASH_RRIF_START_ADDR = NewCtrl (hPanel, CTRL_NUMERIC, "Start addr", 190, 167);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_CONSTANT_NAME, "RRIF_START_ADDR");
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_CALLBACK_FUNCTION_POINTER, flashButtons);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_LABEL_WIDTH, 49);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_RRIF_START_ADDR);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_WIDTH, 53);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_LABEL_TOP, 176);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_LABEL_LEFT, 168);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PAN_FLASH_RRIF_START_ADDR, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_LOCATION_WRITE
    PAN_FLASH_LOCATION_WRITE = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Write", 109, 284);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_WRITE, ATTR_CONSTANT_NAME, "LOCATION_WRITE");
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_WRITE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_WRITE, ATTR_CALLBACK_FUNCTION_POINTER, flashButtons);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_WRITE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_WRITE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_WRITE, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_WRITE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_WRITE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_WRITE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_WRITE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_WRITE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_WRITE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_WRITE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_WRITE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_WRITE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_LOCATION_WRITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_WRITE, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_WRITE, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_WRITE, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_WRITE, ATTR_WIDTH, 61);

    // Build control: PAN_FLASH_READ_FLASH_0
    PAN_FLASH_READ_FLASH_0 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, " Read FLASH0 (E)", 478, 225);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_0, ATTR_CONSTANT_NAME, "READ_FLASH_0");
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_0, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_0, ATTR_CALLBACK_FUNCTION_POINTER, flashButtons);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_0, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_READ_FLASH_0);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_0, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_0, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_0, ATTR_HEIGHT, 24);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_0, ATTR_WIDTH, 120);

    // Build control: PAN_FLASH_CLEAR_FLASH_0
    PAN_FLASH_CLEAR_FLASH_0 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, " Erase FLASH0 (E)", 478, 26);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_0, ATTR_CONSTANT_NAME, "CLEAR_FLASH_0");
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_0, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_0, ATTR_CALLBACK_FUNCTION_POINTER, flashButtons);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_0, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_CLEAR_FLASH_0);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_0, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_0, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_0, ATTR_HEIGHT, 24);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_0, ATTR_WIDTH, 120);

    // Build control: PAN_FLASH_LOCATION_SIZE
    PAN_FLASH_LOCATION_SIZE = NewCtrl (hPanel, CTRL_NUMERIC, "Size[B]", 111, 92);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_CONSTANT_NAME, "LOCATION_SIZE");
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_FRAME_COLOR, 0XB0B0B0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_LABEL_WIDTH, 36);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_TEXT_BGCOLOR, 0XFFFFE6);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_LOCATION_SIZE);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_WIDTH, 50);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_LABEL_TOP, 98);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_LABEL_LEFT, 99);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PAN_FLASH_LOCATION_SIZE, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_LOCATION_FILE
    PAN_FLASH_LOCATION_FILE = NewCtrl (hPanel, CTRL_STRING, " LOCATION FILE ", 80, 23);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_CONSTANT_NAME, "LOCATION_FILE");
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_CALLBACK_FUNCTION_POINTER, pickFileName);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_LABEL_POINT_SIZE, 15);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_LABEL_WIDTH, 118);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, PAN_FLASH_LOCATION_FILE);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_WIDTH, 322);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_LABEL_TOP, 64);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_LABEL_LEFT, 128);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_LABEL_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, PAN_FLASH_LOCATION_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_LOCATION_END_ADDR
    PAN_FLASH_LOCATION_END_ADDR = NewCtrl (hPanel, CTRL_NUMERIC, "End addr", 111, 221);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_CONSTANT_NAME, "LOCATION_END_ADDR");
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_FRAME_COLOR, 0XB0B0B0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_LABEL_WIDTH, 46);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_LOCATION_END_ADDR);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_WIDTH, 53);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_LABEL_TOP, 97);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_LABEL_LEFT, 225);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PAN_FLASH_LOCATION_END_ADDR, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_LOCATION_START_ADDR
    PAN_FLASH_LOCATION_START_ADDR = NewCtrl (hPanel, CTRL_NUMERIC, "Start addr", 111, 167);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_CONSTANT_NAME, "LOCATION_START_ADDR");
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_CALLBACK_FUNCTION_POINTER, flashButtons);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_LABEL_WIDTH, 49);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PAN_FLASH_LOCATION_START_ADDR);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_WIDTH, 53);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_LABEL_TOP, 97);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_LABEL_LEFT, 168);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PAN_FLASH_LOCATION_START_ADDR, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAN_FLASH_DECORATION_2
    PAN_FLASH_DECORATION_2 = NewCtrl (hPanel, CTRL_RAISED_BOX, "", 463, 16);
    SetCtrlAttribute (hPanel, PAN_FLASH_DECORATION_2, ATTR_CONSTANT_NAME, "DECORATION_2");
//  SetCtrlAttribute (hPanel, PAN_FLASH_DECORATION_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DECORATION_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DECORATION_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_DECORATION_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DECORATION_2, ATTR_FRAME_COLOR, 0XC9D0B0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DECORATION_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, PAN_FLASH_DECORATION_2, ATTR_HEIGHT, 120);
    SetCtrlAttribute (hPanel, PAN_FLASH_DECORATION_2, ATTR_WIDTH, 340);

    // Build control: PAN_FLASH_TEXTMSG
    PAN_FLASH_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 53, 15);
    SetCtrlAttribute (hPanel, PAN_FLASH_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
    SetCtrlAttribute (hPanel, PAN_FLASH_TEXTMSG, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, PAN_FLASH_TEXTMSG, ATTR_TEXT_COLOR, VAL_RED);
//  SetCtrlAttribute (hPanel, PAN_FLASH_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAN_FLASH_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAN_FLASH_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAN_FLASH_TEXTMSG, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_TEXTMSG, ATTR_TEXT_BGCOLOR, 0XE2D39E);
    SetCtrlAttribute (hPanel, PAN_FLASH_TEXTMSG, ATTR_DFLT_VALUE, "Initial values and limits are set  from loadExitHost.c,");
    DefaultCtrl (hPanel, PAN_FLASH_TEXTMSG);
//  SetCtrlAttribute (hPanel, PAN_FLASH_TEXTMSG, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, PAN_FLASH_TEXTMSG, ATTR_WIDTH, 242);
    SetCtrlAttribute (hPanel, PAN_FLASH_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PAN_FLASH_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, PAN_FLASH_TEXTMSG, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_DSP, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_WRITE, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_READ, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_ZPLANE_POSITION, 14);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_WRITE, ATTR_ZPLANE_POSITION, 15);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_ZPLANE_POSITION, 16);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_ZPLANE_POSITION, 17);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_ZPLANE_POSITION, 18);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_ZPLANE_POSITION, 19);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_ZPLANE_POSITION, 20);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_1, ATTR_ZPLANE_POSITION, 21);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_1, ATTR_ZPLANE_POSITION, 22);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_2, ATTR_ZPLANE_POSITION, 23);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_READ, ATTR_ZPLANE_POSITION, 24);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_ZPLANE_POSITION, 25);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_ZPLANE_POSITION, 26);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_ZPLANE_POSITION, 27);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_WRITE, ATTR_ZPLANE_POSITION, 28);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_READ, ATTR_ZPLANE_POSITION, 29);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_ZPLANE_POSITION, 30);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_ZPLANE_POSITION, 31);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_ZPLANE_POSITION, 32);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_WRITE, ATTR_ZPLANE_POSITION, 33);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_2, ATTR_ZPLANE_POSITION, 34);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_0, ATTR_ZPLANE_POSITION, 35);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_READ, ATTR_ZPLANE_POSITION, 36);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_ZPLANE_POSITION, 37);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_ZPLANE_POSITION, 38);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_ZPLANE_POSITION, 39);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_WRITE, ATTR_ZPLANE_POSITION, 40);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_READ, ATTR_ZPLANE_POSITION, 41);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_ZPLANE_POSITION, 42);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_ZPLANE_POSITION, 43);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_ZPLANE_POSITION, 44);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_WRITE, ATTR_ZPLANE_POSITION, 45);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_0, ATTR_ZPLANE_POSITION, 46);
    SetCtrlAttribute (hPanel, PAN_FLASH_DECORATION_2, ATTR_ZPLANE_POSITION, 47);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_READ, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_WRITE, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_WRITE, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_FILE, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_1, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_1, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_FILE, ATTR_CTRL_TAB_POSITION, 6);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_SIZE, ATTR_CTRL_TAB_POSITION, 7);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_START_ADDR, ATTR_CTRL_TAB_POSITION, 8);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_END_ADDR, ATTR_CTRL_TAB_POSITION, 9);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_SIZE, ATTR_CTRL_TAB_POSITION, 10);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_2_START_ADDR, ATTR_CTRL_TAB_POSITION, 11);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_1_START_ADDR, ATTR_CTRL_TAB_POSITION, 12);
    SetCtrlAttribute (hPanel, PAN_FLASH_FLASH_0_START_ADDR, ATTR_CTRL_TAB_POSITION, 13);
    SetCtrlAttribute (hPanel, PAN_FLASH_FORM_START_ADDR, ATTR_CTRL_TAB_POSITION, 14);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_READ, ATTR_CTRL_TAB_POSITION, 15);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_WRITE, ATTR_CTRL_TAB_POSITION, 16);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_READ, ATTR_CTRL_TAB_POSITION, 17);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_FILE, ATTR_CTRL_TAB_POSITION, 18);
    SetCtrlAttribute (hPanel, PAN_FLASH_DSP_PRG_END_ADDR, ATTR_CTRL_TAB_POSITION, 19);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_SIZE, ATTR_CTRL_TAB_POSITION, 20);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_END_ADDR, ATTR_CTRL_TAB_POSITION, 21);
    SetCtrlAttribute (hPanel, PAN_FLASH_ROUTER_START_ADDR, ATTR_CTRL_TAB_POSITION, 22);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_WRITE, ATTR_CTRL_TAB_POSITION, 23);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_2, ATTR_CTRL_TAB_POSITION, 24);
    SetCtrlAttribute (hPanel, PAN_FLASH_SLOT_NUMBER, ATTR_CTRL_TAB_POSITION, 25);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_DSP, ATTR_CTRL_TAB_POSITION, 26);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_2, ATTR_CTRL_TAB_POSITION, 27);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_FILE, ATTR_CTRL_TAB_POSITION, 28);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_SIZE, ATTR_CTRL_TAB_POSITION, 29);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_END_ADDR, ATTR_CTRL_TAB_POSITION, 30);
    SetCtrlAttribute (hPanel, PAN_FLASH_EFB_START_ADDR, ATTR_CTRL_TAB_POSITION, 31);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_READ, ATTR_CTRL_TAB_POSITION, 32);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_WRITE, ATTR_CTRL_TAB_POSITION, 33);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_READ, ATTR_CTRL_TAB_POSITION, 34);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_FILE, ATTR_CTRL_TAB_POSITION, 35);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_SIZE, ATTR_CTRL_TAB_POSITION, 36);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_END_ADDR, ATTR_CTRL_TAB_POSITION, 37);
    SetCtrlAttribute (hPanel, PAN_FLASH_RRIF_START_ADDR, ATTR_CTRL_TAB_POSITION, 38);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_WRITE, ATTR_CTRL_TAB_POSITION, 39);
    SetCtrlAttribute (hPanel, PAN_FLASH_READ_FLASH_0, ATTR_CTRL_TAB_POSITION, 40);
    SetCtrlAttribute (hPanel, PAN_FLASH_CLEAR_FLASH_0, ATTR_CTRL_TAB_POSITION, 41);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_SIZE, ATTR_CTRL_TAB_POSITION, 42);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_FILE, ATTR_CTRL_TAB_POSITION, 43);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_END_ADDR, ATTR_CTRL_TAB_POSITION, 44);
    SetCtrlAttribute (hPanel, PAN_FLASH_LOCATION_START_ADDR, ATTR_CTRL_TAB_POSITION, 45);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(710*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(372*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(19*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(321*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_TOP, VAL_AUTO_CENTER);
    SetPanelAttribute (hPanel, ATTR_LEFT, VAL_AUTO_CENTER);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    buildMenu_flash (hPanel);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_fpgaStatus ():  Build UI object PANEL_FPGA; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_fpgaStatus (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "FPGA STATUS/COMMAND REGS", 48, 30, 498, 620);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "PANEL_FPGA");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XB7C1CA);
//  SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 5);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
//  SetPanelAttribute (hPanel, ATTR_MOVABLE, 1);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
//  SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
    SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 1);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: PANEL_FPGA_READ_REG
    PANEL_FPGA_READ_REG = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, " READ  ALL REGISTERS ", 466, 243);
    SetCtrlAttribute (hPanel, PANEL_FPGA_READ_REG, ATTR_CONSTANT_NAME, "READ_REG");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_READ_REG, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_READ_REG, ATTR_CALLBACK_FUNCTION_POINTER, fpgaRegButtons);
    SetCtrlAttribute (hPanel, PANEL_FPGA_READ_REG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_READ_REG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_READ_REG, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_READ_REG, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, PANEL_FPGA_READ_REG, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_READ_REG, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_READ_REG, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_READ_REG, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_READ_REG, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_READ_REG, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_READ_REG, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_READ_REG, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_READ_REG);
    SetCtrlAttribute (hPanel, PANEL_FPGA_READ_REG, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_READ_REG, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_READ_REG, ATTR_HEIGHT, 24);
    SetCtrlAttribute (hPanel, PANEL_FPGA_READ_REG, ATTR_WIDTH, 159);

    // Build control: PANEL_FPGA_CONTROL_8
    PANEL_FPGA_CONTROL_8 = NewCtrl (hPanel, CTRL_NUMERIC, "S7", 334, 532);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_CONSTANT_NAME, "CONTROL_8");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_LABEL_WIDTH, 16);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_MAX_VALUE, 255);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_PADDING, 2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_8);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_WIDTH, 40);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_LABEL_TOP, 336);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_LABEL_LEFT, 514);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_CONTROL_8, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_CONTROL_4
    PANEL_FPGA_CONTROL_4 = NewCtrl (hPanel, CTRL_NUMERIC, "C4", 294, 515);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_CONSTANT_NAME, "CONTROL_4");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_LABEL_WIDTH, 16);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_4);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_WIDTH, 76);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_LABEL_TOP, 296);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_LABEL_LEFT, 497);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_CONTROL_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_CONTROL_3
    PANEL_FPGA_CONTROL_3 = NewCtrl (hPanel, CTRL_NUMERIC, "C3", 294, 442);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_CONSTANT_NAME, "CONTROL_3");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_LABEL_WIDTH, 16);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_MAX_VALUE, 255);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_PADDING, 2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_3);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_WIDTH, 40);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_LABEL_TOP, 296);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_LABEL_LEFT, 423);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_CONTROL_3, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_CONTROL_3_BIT_0
    PANEL_FPGA_CONTROL_3_BIT_0 = NewCtrl (hPanel, CTRL_SQUARE_LED, "RD Flash", 435, 466);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_CONSTANT_NAME, "CONTROL_3_BIT_0");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_LABEL_WIDTH, 47);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_3_BIT_0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_LABEL_TOP, 436);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_LABEL_LEFT, 417);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_3_BIT_1
    PANEL_FPGA_CONTROL_3_BIT_1 = NewCtrl (hPanel, CTRL_SQUARE_LED, "WR Flash", 418, 466);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_CONSTANT_NAME, "CONTROL_3_BIT_1");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_LABEL_WIDTH, 50);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_3_BIT_1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_LABEL_TOP, 419);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_LABEL_LEFT, 414);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_3_BIT_2
    PANEL_FPGA_CONTROL_3_BIT_2 = NewCtrl (hPanel, CTRL_SQUARE_LED, "WR Flash I", 401, 466);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_CONSTANT_NAME, "CONTROL_3_BIT_2");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_LABEL_WIDTH, 56);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_3_BIT_2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_LABEL_TOP, 402);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_LABEL_LEFT, 409);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_3_BIT_3
    PANEL_FPGA_CONTROL_3_BIT_3 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 384, 466);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_CONSTANT_NAME, "CONTROL_3_BIT_3");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_3_BIT_3);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_LABEL_TOP, 385);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_LABEL_LEFT, 427);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_3_BIT_4
    PANEL_FPGA_CONTROL_3_BIT_4 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 367, 466);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_CONSTANT_NAME, "CONTROL_3_BIT_4");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_3_BIT_4);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_LABEL_TOP, 368);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_LABEL_LEFT, 427);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_3_BIT_5
    PANEL_FPGA_CONTROL_3_BIT_5 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 350, 466);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_CONSTANT_NAME, "CONTROL_3_BIT_5");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_3_BIT_5);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_LABEL_TOP, 351);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_LABEL_LEFT, 427);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_3_BIT_6
    PANEL_FPGA_CONTROL_3_BIT_6 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 333, 466);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_CONSTANT_NAME, "CONTROL_3_BIT_6");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_3_BIT_6);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_LABEL_TOP, 334);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_LABEL_LEFT, 442);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_3_BIT_7
    PANEL_FPGA_CONTROL_3_BIT_7 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 317, 466);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_CONSTANT_NAME, "CONTROL_3_BIT_7");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_3_BIT_7);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_LABEL_TOP, 318);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_LABEL_LEFT, 442);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_2
    PANEL_FPGA_CONTROL_2 = NewCtrl (hPanel, CTRL_NUMERIC, "C2", 294, 328);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_CONSTANT_NAME, "CONTROL_2");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_LABEL_WIDTH, 16);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_MAX_VALUE, 255);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_PADDING, 2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_WIDTH, 40);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_LABEL_TOP, 296);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_LABEL_LEFT, 309);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_CONTROL_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_CONTROL_2_BIT_0
    PANEL_FPGA_CONTROL_2_BIT_0 = NewCtrl (hPanel, CTRL_SQUARE_LED, "MDSP HPI Boot", 435, 352);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_CONSTANT_NAME, "CONTROL_2_BIT_0");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_LABEL_WIDTH, 80);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_2_BIT_0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_LABEL_TOP, 436);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_LABEL_LEFT, 272);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_2_BIT_1
    PANEL_FPGA_CONTROL_2_BIT_1 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Reset MDSP", 418, 352);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_CONSTANT_NAME, "CONTROL_2_BIT_1");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_LABEL_WIDTH, 65);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_2_BIT_1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_LABEL_TOP, 419);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_LABEL_LEFT, 287);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_2_BIT_2
    PANEL_FPGA_CONTROL_2_BIT_2 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Reset SDSP0", 401, 352);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_CONSTANT_NAME, "CONTROL_2_BIT_2");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_LABEL_WIDTH, 69);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_2_BIT_2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_LABEL_TOP, 402);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_LABEL_LEFT, 283);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_2_BIT_3
    PANEL_FPGA_CONTROL_2_BIT_3 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Reset SDSP1", 384, 352);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_CONSTANT_NAME, "CONTROL_2_BIT_3");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_LABEL_WIDTH, 69);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_2_BIT_3);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_LABEL_TOP, 385);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_LABEL_LEFT, 283);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_7
    PANEL_FPGA_STAT_7 = NewCtrl (hPanel, CTRL_NUMERIC, "ROD Revision", 37, 466);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_CONSTANT_NAME, "STAT_7");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_LABEL_WIDTH, 83);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_TEXT_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_7);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_LABEL_TOP, 22);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_LABEL_LEFT, 457);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_STAT_7, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_STAT_10
    PANEL_FPGA_STAT_10 = NewCtrl (hPanel, CTRL_NUMERIC, "Code Version", 39, 124);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_CONSTANT_NAME, "STAT_10");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_LABEL_WIDTH, 78);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_TEXT_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_10);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_LABEL_TOP, 24);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_LABEL_LEFT, 117);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_STAT_10, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_STAT_9
    PANEL_FPGA_STAT_9 = NewCtrl (hPanel, CTRL_NUMERIC, "ROD ID", 39, 24);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_CONSTANT_NAME, "STAT_9");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_LABEL_WIDTH, 47);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_TEXT_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_LABEL_TOP, 24);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_LABEL_LEFT, 32);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_STAT_9, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_STAT_6
    PANEL_FPGA_STAT_6 = NewCtrl (hPanel, CTRL_NUMERIC, "ROD S/N", 37, 387);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_CONSTANT_NAME, "STAT_6");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_LABEL_WIDTH, 57);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_TEXT_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_6);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_LABEL_TOP, 22);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_LABEL_LEFT, 391);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_STAT_6, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_CONTROL_2_BIT_4
    PANEL_FPGA_CONTROL_2_BIT_4 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Reset SDSP2", 367, 352);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_CONSTANT_NAME, "CONTROL_2_BIT_4");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_LABEL_WIDTH, 69);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_2_BIT_4);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_LABEL_TOP, 368);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_LABEL_LEFT, 283);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_2_BIT_5
    PANEL_FPGA_CONTROL_2_BIT_5 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Reset SDSP3", 350, 352);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_CONSTANT_NAME, "CONTROL_2_BIT_5");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_LABEL_WIDTH, 69);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_2_BIT_5);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_LABEL_TOP, 351);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_LABEL_LEFT, 283);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_2_BIT_6
    PANEL_FPGA_CONTROL_2_BIT_6 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Reset board", 333, 352);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_CONSTANT_NAME, "CONTROL_2_BIT_6");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_LABEL_WIDTH, 61);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_2_BIT_6);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_LABEL_TOP, 334);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_LABEL_LEFT, 291);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_2_BIT_7
    PANEL_FPGA_CONTROL_2_BIT_7 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 317, 352);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_CONSTANT_NAME, "CONTROL_2_BIT_7");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_2_BIT_7);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_LABEL_TOP, 318);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_LABEL_LEFT, 328);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_1_BIT_0
    PANEL_FPGA_CONTROL_1_BIT_0 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Reset RRIF", 435, 218);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_CONSTANT_NAME, "CONTROL_1_BIT_0");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_LABEL_WIDTH, 59);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_1_BIT_0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_LABEL_TOP, 436);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_LABEL_LEFT, 159);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_1
    PANEL_FPGA_CONTROL_1 = NewCtrl (hPanel, CTRL_NUMERIC, "C1", 294, 195);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_CONSTANT_NAME, "CONTROL_1");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_LABEL_WIDTH, 16);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_MAX_VALUE, 255);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_PADDING, 2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_WIDTH, 40);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_LABEL_TOP, 296);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_LABEL_LEFT, 177);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_CONTROL_1, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_CONTROL_1_BIT_1
    PANEL_FPGA_CONTROL_1_BIT_1 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Reset FormA", 418, 218);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_CONSTANT_NAME, "CONTROL_1_BIT_1");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_LABEL_WIDTH, 64);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_1_BIT_1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_LABEL_TOP, 419);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_LABEL_LEFT, 154);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_1_BIT_2
    PANEL_FPGA_CONTROL_1_BIT_2 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Reset FormB", 401, 218);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_CONSTANT_NAME, "CONTROL_1_BIT_2");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_LABEL_WIDTH, 64);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_1_BIT_2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_LABEL_TOP, 402);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_LABEL_LEFT, 154);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_1_BIT_3
    PANEL_FPGA_CONTROL_1_BIT_3 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Reset EFB", 384, 218);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_CONSTANT_NAME, "CONTROL_1_BIT_3");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_LABEL_WIDTH, 54);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_1_BIT_3);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_LABEL_TOP, 385);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_LABEL_LEFT, 164);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_1_BIT_4
    PANEL_FPGA_CONTROL_1_BIT_4 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Reset Router", 367, 218);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_CONSTANT_NAME, "CONTROL_1_BIT_4");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_LABEL_WIDTH, 66);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_1_BIT_4);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_LABEL_TOP, 368);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_LABEL_LEFT, 152);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_1_BIT_5
    PANEL_FPGA_CONTROL_1_BIT_5 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Reset all FPGA", 350, 218);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_CONSTANT_NAME, "CONTROL_1_BIT_5");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_LABEL_WIDTH, 75);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_1_BIT_5);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_LABEL_TOP, 351);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_LABEL_LEFT, 143);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_1_BIT_6
    PANEL_FPGA_CONTROL_1_BIT_6 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Hold FPGA", 333, 218);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_CONSTANT_NAME, "CONTROL_1_BIT_6");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_LABEL_WIDTH, 56);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_1_BIT_6);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_LABEL_TOP, 334);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_LABEL_LEFT, 159);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_1_BIT_7
    PANEL_FPGA_CONTROL_1_BIT_7 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 317, 218);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_CONSTANT_NAME, "CONTROL_1_BIT_7");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_1_BIT_7);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_LABEL_TOP, 318);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_LABEL_LEFT, 194);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_0_BIT_0
    PANEL_FPGA_CONTROL_0_BIT_0 = NewCtrl (hPanel, CTRL_SQUARE_LED, "CnfgRRIF", 435, 85);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_CONSTANT_NAME, "CONTROL_0_BIT_0");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_LABEL_WIDTH, 50);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_0_BIT_0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_LABEL_TOP, 436);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_LABEL_LEFT, 33);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_0_BIT_1
    PANEL_FPGA_CONTROL_0_BIT_1 = NewCtrl (hPanel, CTRL_SQUARE_LED, "CnfgFormA&B", 418, 85);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_CONSTANT_NAME, "CONTROL_0_BIT_1");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_LABEL_WIDTH, 68);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_0_BIT_1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_LABEL_TOP, 419);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_LABEL_LEFT, 15);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_0_BIT_2
    PANEL_FPGA_CONTROL_0_BIT_2 = NewCtrl (hPanel, CTRL_SQUARE_LED, "CnfgFormA&B", 401, 85);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_CONSTANT_NAME, "CONTROL_0_BIT_2");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_LABEL_WIDTH, 68);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_0_BIT_2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_LABEL_TOP, 402);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_LABEL_LEFT, 12);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_SLOT_NUMBER
    PANEL_FPGA_SLOT_NUMBER = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Slot#", 24, 294);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_CONSTANT_NAME, "SLOT_NUMBER");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_CALLBACK_FUNCTION_POINTER, fpgaRegButtons);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    InsertListItem (hPanel, PANEL_FPGA_SLOT_NUMBER, 0, "5", 5);
    InsertListItem (hPanel, PANEL_FPGA_SLOT_NUMBER, 1, "6", 6);
    InsertListItem (hPanel, PANEL_FPGA_SLOT_NUMBER, 2, "7", 7);
    InsertListItem (hPanel, PANEL_FPGA_SLOT_NUMBER, 3, "8", 8);
    InsertListItem (hPanel, PANEL_FPGA_SLOT_NUMBER, 4, "9", 9);
    InsertListItem (hPanel, PANEL_FPGA_SLOT_NUMBER, 5, "10", 10);
    InsertListItem (hPanel, PANEL_FPGA_SLOT_NUMBER, 6, "11", 11);
    InsertListItem (hPanel, PANEL_FPGA_SLOT_NUMBER, 7, "12", 12);
    InsertListItem (hPanel, PANEL_FPGA_SLOT_NUMBER, 8, "14", 14);
    InsertListItem (hPanel, PANEL_FPGA_SLOT_NUMBER, 9, "15", 15);
    InsertListItem (hPanel, PANEL_FPGA_SLOT_NUMBER, 10, "16", 16);
    InsertListItem (hPanel, PANEL_FPGA_SLOT_NUMBER, 11, "17", 17);
    InsertListItem (hPanel, PANEL_FPGA_SLOT_NUMBER, 12, "18", 18);
    InsertListItem (hPanel, PANEL_FPGA_SLOT_NUMBER, 13, "19", 19);
    InsertListItem (hPanel, PANEL_FPGA_SLOT_NUMBER, 14, "20", 20);
    InsertListItem (hPanel, PANEL_FPGA_SLOT_NUMBER, 15, "21", 21);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_LABEL_POINT_SIZE, 16);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_LABEL_WIDTH, 45);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_LABEL_HEIGHT, 22);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_TEXT_COLOR, 0XFFFF99);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_TEXT_FONT, "Arial");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_TEXT_POINT_SIZE, 22);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_TEXT_BGCOLOR, 0X003366);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_DFLT_INDEX, 11);
    DefaultCtrl (hPanel, PANEL_FPGA_SLOT_NUMBER);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_WIDTH, 50);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_LABEL_TOP, 31);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_LABEL_LEFT, 250);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: PANEL_FPGA_CONTROL_0
    PANEL_FPGA_CONTROL_0 = NewCtrl (hPanel, CTRL_NUMERIC, "C0", 294, 62);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_CONSTANT_NAME, "CONTROL_0");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_LABEL_WIDTH, 16);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_MAX_VALUE, 255);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_PADDING, 2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_WIDTH, 40);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_LABEL_TOP, 296);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_LABEL_LEFT, 43);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_CONTROL_0, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_CONTROL_0_BIT_3
    PANEL_FPGA_CONTROL_0_BIT_3 = NewCtrl (hPanel, CTRL_SQUARE_LED, "CnfgEFB", 384, 85);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_CONSTANT_NAME, "CONTROL_0_BIT_3");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_LABEL_WIDTH, 45);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_0_BIT_3);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_LABEL_TOP, 385);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_LABEL_LEFT, 39);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_0_BIT_4
    PANEL_FPGA_CONTROL_0_BIT_4 = NewCtrl (hPanel, CTRL_SQUARE_LED, "CnfgRouter", 367, 85);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_CONSTANT_NAME, "CONTROL_0_BIT_4");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_LABEL_WIDTH, 57);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_0_BIT_4);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_LABEL_TOP, 368);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_LABEL_LEFT, 26);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_0_BIT_5
    PANEL_FPGA_CONTROL_0_BIT_5 = NewCtrl (hPanel, CTRL_SQUARE_LED, "CnfgAll", 350, 85);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_CONSTANT_NAME, "CONTROL_0_BIT_5");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_LABEL_WIDTH, 36);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_0_BIT_5);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_LABEL_TOP, 351);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_LABEL_LEFT, 47);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_0_BIT_6
    PANEL_FPGA_CONTROL_0_BIT_6 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Cnfg Ovrd", 333, 85);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_CONSTANT_NAME, "CONTROL_0_BIT_6");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_LABEL_WIDTH, 51);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_0_BIT_6);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_LABEL_TOP, 334);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_LABEL_LEFT, 32);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_CONTROL_0_BIT_7
    PANEL_FPGA_CONTROL_0_BIT_7 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 317, 85);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_CONSTANT_NAME, "CONTROL_0_BIT_7");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_CONTROL_0_BIT_7);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_LABEL_TOP, 317);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_LABEL_LEFT, 61);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_5
    PANEL_FPGA_STAT_5 = NewCtrl (hPanel, CTRL_NUMERIC, "S5", 94, 522);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_CONSTANT_NAME, "STAT_5");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_LABEL_WIDTH, 16);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_MAX_VALUE, 255);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_PADDING, 2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_5);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_WIDTH, 40);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_LABEL_TOP, 96);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_LABEL_LEFT, 503);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_STAT_5, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_STAT_5_BIT_0
    PANEL_FPGA_STAT_5_BIT_0 = NewCtrl (hPanel, CTRL_SQUARE_LED, "RRIF Halt", 235, 546);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_CONSTANT_NAME, "STAT_5_BIT_0");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_LABEL_WIDTH, 50);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_5_BIT_0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_LABEL_TOP, 236);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_LABEL_LEFT, 495);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_5_BIT_1
    PANEL_FPGA_STAT_5_BIT_1 = NewCtrl (hPanel, CTRL_SQUARE_LED, "FormA Halt", 218, 546);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_CONSTANT_NAME, "STAT_5_BIT_1");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_LABEL_WIDTH, 55);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_5_BIT_1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_LABEL_TOP, 219);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_LABEL_LEFT, 490);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_5_BIT_2
    PANEL_FPGA_STAT_5_BIT_2 = NewCtrl (hPanel, CTRL_SQUARE_LED, "FormB Halt", 201, 546);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_CONSTANT_NAME, "STAT_5_BIT_2");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_LABEL_WIDTH, 55);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_5_BIT_2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_LABEL_TOP, 202);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_LABEL_LEFT, 489);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_5_BIT_3
    PANEL_FPGA_STAT_5_BIT_3 = NewCtrl (hPanel, CTRL_SQUARE_LED, "EFB Halt", 184, 546);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_CONSTANT_NAME, "STAT_5_BIT_3");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_LABEL_WIDTH, 45);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_5_BIT_3);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_LABEL_TOP, 185);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_LABEL_LEFT, 499);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_5_BIT_4
    PANEL_FPGA_STAT_5_BIT_4 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Router Halt", 167, 546);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_CONSTANT_NAME, "STAT_5_BIT_4");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_LABEL_WIDTH, 57);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_5_BIT_4);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_LABEL_TOP, 168);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_LABEL_LEFT, 487);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_5_BIT_5
    PANEL_FPGA_STAT_5_BIT_5 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 150, 546);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_CONSTANT_NAME, "STAT_5_BIT_5");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_5_BIT_5);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_LABEL_TOP, 151);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_LABEL_LEFT, 522);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_5_BIT_6
    PANEL_FPGA_STAT_5_BIT_6 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 133, 546);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_CONSTANT_NAME, "STAT_5_BIT_6");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_5_BIT_6);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_LABEL_TOP, 133);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_LABEL_LEFT, 522);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_5_BIT_7
    PANEL_FPGA_STAT_5_BIT_7 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 117, 546);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_CONSTANT_NAME, "STAT_5_BIT_7");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_5_BIT_7);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_LABEL_TOP, 117);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_LABEL_LEFT, 522);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_8
    PANEL_FPGA_STAT_8 = NewCtrl (hPanel, CTRL_RING, "InMem Size", 37, 556);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_CONSTANT_NAME, "STAT_8");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, PANEL_FPGA_STAT_8, 0, "32k", 1);
    InsertListItem (hPanel, PANEL_FPGA_STAT_8, 1, "4k", 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_FRAME_COLOR, 0XD4D0C8);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_LABEL_WIDTH, 68);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_TEXT_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_DFLT_INDEX, 1);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_8);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_WIDTH, 48);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_LABEL_TOP, 22);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_LABEL_LEFT, 546);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: PANEL_FPGA_STAT_4
    PANEL_FPGA_STAT_4 = NewCtrl (hPanel, CTRL_NUMERIC, "S4", 94, 432);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_CONSTANT_NAME, "STAT_4");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_LABEL_WIDTH, 16);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_MAX_VALUE, 255);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_PADDING, 2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_4);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_WIDTH, 40);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_LABEL_TOP, 96);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_LABEL_LEFT, 413);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_STAT_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_STAT_4_BIT_0
    PANEL_FPGA_STAT_4_BIT_0 = NewCtrl (hPanel, CTRL_SQUARE_LED, "RD Flash", 235, 456);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_CONSTANT_NAME, "STAT_4_BIT_0");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_LABEL_WIDTH, 47);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_4_BIT_0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_LABEL_TOP, 236);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_LABEL_LEFT, 407);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_4_BIT_1
    PANEL_FPGA_STAT_4_BIT_1 = NewCtrl (hPanel, CTRL_SQUARE_LED, "WR Flash", 218, 456);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_CONSTANT_NAME, "STAT_4_BIT_1");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_LABEL_WIDTH, 50);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_4_BIT_1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_LABEL_TOP, 219);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_LABEL_LEFT, 404);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_4_BIT_2
    PANEL_FPGA_STAT_4_BIT_2 = NewCtrl (hPanel, CTRL_SQUARE_LED, "WR Flash I", 201, 456);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_CONSTANT_NAME, "STAT_4_BIT_2");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_LABEL_WIDTH, 56);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_4_BIT_2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_LABEL_TOP, 202);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_LABEL_LEFT, 400);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_4_BIT_3
    PANEL_FPGA_STAT_4_BIT_3 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Flash Busy", 184, 456);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_CONSTANT_NAME, "STAT_4_BIT_3");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_LABEL_WIDTH, 54);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_4_BIT_3);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_LABEL_TOP, 185);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_LABEL_LEFT, 401);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_4_BIT_4
    PANEL_FPGA_STAT_4_BIT_4 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 167, 456);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_CONSTANT_NAME, "STAT_4_BIT_4");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_4_BIT_4);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_LABEL_TOP, 168);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_LABEL_LEFT, 426);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_4_BIT_5
    PANEL_FPGA_STAT_4_BIT_5 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 150, 456);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_CONSTANT_NAME, "STAT_4_BIT_5");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_4_BIT_5);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_LABEL_TOP, 151);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_LABEL_LEFT, 432);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_4_BIT_6
    PANEL_FPGA_STAT_4_BIT_6 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 133, 456);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_CONSTANT_NAME, "STAT_4_BIT_6");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_4_BIT_6);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_LABEL_TOP, 133);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_LABEL_LEFT, 432);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_4_BIT_7
    PANEL_FPGA_STAT_4_BIT_7 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 117, 456);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_CONSTANT_NAME, "STAT_4_BIT_7");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_4_BIT_7);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_LABEL_TOP, 117);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_LABEL_LEFT, 432);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_3
    PANEL_FPGA_STAT_3 = NewCtrl (hPanel, CTRL_NUMERIC, "S3", 94, 339);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_CONSTANT_NAME, "STAT_3");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_LABEL_WIDTH, 16);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_MAX_VALUE, 255);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_PADDING, 2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_3);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_WIDTH, 40);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_LABEL_TOP, 96);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_LABEL_LEFT, 320);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_STAT_3, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_STAT_3_BIT_0
    PANEL_FPGA_STAT_3_BIT_0 = NewCtrl (hPanel, CTRL_SQUARE_LED, "RRIF Init", 235, 363);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_CONSTANT_NAME, "STAT_3_BIT_0");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_LABEL_WIDTH, 45);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_3_BIT_0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_LABEL_TOP, 236);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_LABEL_LEFT, 318);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_3_BIT_1
    PANEL_FPGA_STAT_3_BIT_1 = NewCtrl (hPanel, CTRL_SQUARE_LED, "FormA Init", 218, 363);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_CONSTANT_NAME, "STAT_3_BIT_1");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_LABEL_WIDTH, 50);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_3_BIT_1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_LABEL_TOP, 219);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_LABEL_LEFT, 311);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_3_BIT_2
    PANEL_FPGA_STAT_3_BIT_2 = NewCtrl (hPanel, CTRL_SQUARE_LED, "FormB Init", 201, 363);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_CONSTANT_NAME, "STAT_3_BIT_2");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_LABEL_WIDTH, 50);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_3_BIT_2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_LABEL_TOP, 202);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_LABEL_LEFT, 311);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_3_BIT_3
    PANEL_FPGA_STAT_3_BIT_3 = NewCtrl (hPanel, CTRL_SQUARE_LED, "EFB Init", 184, 363);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_CONSTANT_NAME, "STAT_3_BIT_3");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_LABEL_WIDTH, 40);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_3_BIT_3);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_LABEL_TOP, 185);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_LABEL_LEFT, 323);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_3_BIT_4
    PANEL_FPGA_STAT_3_BIT_4 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Router Init", 167, 363);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_CONSTANT_NAME, "STAT_3_BIT_4");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_LABEL_WIDTH, 52);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_3_BIT_4);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_LABEL_TOP, 168);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_LABEL_LEFT, 311);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_3_BIT_5
    PANEL_FPGA_STAT_3_BIT_5 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 150, 363);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_CONSTANT_NAME, "STAT_3_BIT_5");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_3_BIT_5);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_LABEL_TOP, 151);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_LABEL_LEFT, 339);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_3_BIT_6
    PANEL_FPGA_STAT_3_BIT_6 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 133, 363);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_CONSTANT_NAME, "STAT_3_BIT_6");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_3_BIT_6);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_LABEL_TOP, 133);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_LABEL_LEFT, 339);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_3_BIT_7
    PANEL_FPGA_STAT_3_BIT_7 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 117, 363);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_CONSTANT_NAME, "STAT_3_BIT_7");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_3_BIT_7);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_LABEL_TOP, 117);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_LABEL_LEFT, 339);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_2_BIT_0
    PANEL_FPGA_STAT_2_BIT_0 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 235, 270);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_CONSTANT_NAME, "STAT_2_BIT_0");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_2_BIT_0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_LABEL_TOP, 236);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_LABEL_LEFT, 252);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_2_BIT_1
    PANEL_FPGA_STAT_2_BIT_1 = NewCtrl (hPanel, CTRL_SQUARE_LED, "MDSP", 218, 270);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_CONSTANT_NAME, "STAT_2_BIT_1");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_LABEL_WIDTH, 34);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_2_BIT_1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_LABEL_TOP, 219);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_LABEL_LEFT, 235);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_2_BIT_2
    PANEL_FPGA_STAT_2_BIT_2 = NewCtrl (hPanel, CTRL_SQUARE_LED, "SDSP0", 201, 270);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_CONSTANT_NAME, "STAT_2_BIT_2");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_LABEL_WIDTH, 38);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_2_BIT_2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_LABEL_TOP, 202);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_LABEL_LEFT, 231);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_2_BIT_3
    PANEL_FPGA_STAT_2_BIT_3 = NewCtrl (hPanel, CTRL_SQUARE_LED, "SDSP1", 184, 270);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_CONSTANT_NAME, "STAT_2_BIT_3");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_LABEL_WIDTH, 38);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_2_BIT_3);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_LABEL_TOP, 185);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_LABEL_LEFT, 231);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_2_BIT_4
    PANEL_FPGA_STAT_2_BIT_4 = NewCtrl (hPanel, CTRL_SQUARE_LED, "SDSP2", 167, 270);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_CONSTANT_NAME, "STAT_2_BIT_4");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_LABEL_WIDTH, 38);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_2_BIT_4);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_LABEL_TOP, 168);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_LABEL_LEFT, 231);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_2
    PANEL_FPGA_STAT_2 = NewCtrl (hPanel, CTRL_NUMERIC, "S2", 94, 247);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_CONSTANT_NAME, "STAT_2");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_LABEL_WIDTH, 16);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_MAX_VALUE, 255);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_PADDING, 2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_WIDTH, 40);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_LABEL_TOP, 96);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_LABEL_LEFT, 228);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_STAT_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_STAT_2_BIT_5
    PANEL_FPGA_STAT_2_BIT_5 = NewCtrl (hPanel, CTRL_SQUARE_LED, "SDSP3", 150, 270);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_CONSTANT_NAME, "STAT_2_BIT_5");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_LABEL_WIDTH, 38);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_2_BIT_5);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_LABEL_TOP, 151);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_LABEL_LEFT, 231);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_2_BIT_6
    PANEL_FPGA_STAT_2_BIT_6 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 133, 270);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_CONSTANT_NAME, "STAT_2_BIT_6");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_2_BIT_6);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_LABEL_TOP, 134);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_LABEL_LEFT, 246);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_2_BIT_7
    PANEL_FPGA_STAT_2_BIT_7 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 117, 270);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_CONSTANT_NAME, "STAT_2_BIT_7");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_2_BIT_7);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_LABEL_TOP, 118);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_LABEL_LEFT, 246);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_1
    PANEL_FPGA_STAT_1 = NewCtrl (hPanel, CTRL_NUMERIC, "S1", 94, 154);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_CONSTANT_NAME, "STAT_1");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_LABEL_WIDTH, 16);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_MAX_VALUE, 255);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_PADDING, 2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_WIDTH, 40);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_LABEL_TOP, 96);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_LABEL_LEFT, 135);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_STAT_1, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_STAT_1_BIT_0
    PANEL_FPGA_STAT_1_BIT_0 = NewCtrl (hPanel, CTRL_SQUARE_LED, "RRIF", 235, 177);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_CONSTANT_NAME, "STAT_1_BIT_0");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_LABEL_WIDTH, 28);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_1_BIT_0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_LABEL_TOP, 236);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_LABEL_LEFT, 148);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_1_BIT_1
    PANEL_FPGA_STAT_1_BIT_1 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Form A", 218, 177);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_CONSTANT_NAME, "STAT_1_BIT_1");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_LABEL_WIDTH, 36);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_1_BIT_1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_LABEL_TOP, 219);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_LABEL_LEFT, 140);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_1_BIT_2
    PANEL_FPGA_STAT_1_BIT_2 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Form B", 201, 177);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_CONSTANT_NAME, "STAT_1_BIT_2");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_LABEL_WIDTH, 36);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_1_BIT_2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_LABEL_TOP, 202);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_LABEL_LEFT, 140);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_1_BIT_3
    PANEL_FPGA_STAT_1_BIT_3 = NewCtrl (hPanel, CTRL_SQUARE_LED, "EFB", 184, 177);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_CONSTANT_NAME, "STAT_1_BIT_3");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_LABEL_WIDTH, 23);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_1_BIT_3);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_LABEL_TOP, 185);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_LABEL_LEFT, 153);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_1_BIT_4
    PANEL_FPGA_STAT_1_BIT_4 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Router", 167, 177);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_CONSTANT_NAME, "STAT_1_BIT_4");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_LABEL_WIDTH, 35);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_1_BIT_4);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_LABEL_TOP, 168);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_LABEL_LEFT, 141);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_1_BIT_5
    PANEL_FPGA_STAT_1_BIT_5 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 150, 177);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_CONSTANT_NAME, "STAT_1_BIT_5");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_1_BIT_5);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_LABEL_TOP, 151);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_LABEL_LEFT, 153);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_1_BIT_6
    PANEL_FPGA_STAT_1_BIT_6 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 133, 177);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_CONSTANT_NAME, "STAT_1_BIT_6");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_1_BIT_6);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_LABEL_TOP, 134);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_LABEL_LEFT, 153);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_1_BIT_7
    PANEL_FPGA_STAT_1_BIT_7 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 117, 177);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_CONSTANT_NAME, "STAT_1_BIT_7");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_1_BIT_7);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_LABEL_TOP, 118);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_LABEL_LEFT, 153);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_0_BIT_0
    PANEL_FPGA_STAT_0_BIT_0 = NewCtrl (hPanel, CTRL_SQUARE_LED, "RRIF Done", 235, 85);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_CONSTANT_NAME, "STAT_0_BIT_0");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_LABEL_WIDTH, 57);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_0_BIT_0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_LABEL_TOP, 236);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_LABEL_LEFT, 28);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_0_BIT_1
    PANEL_FPGA_STAT_0_BIT_1 = NewCtrl (hPanel, CTRL_SQUARE_LED, "FormA Done", 218, 85);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_CONSTANT_NAME, "STAT_0_BIT_1");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_LABEL_WIDTH, 62);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_0_BIT_1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_LABEL_TOP, 219);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_LABEL_LEFT, 23);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_0_BIT_2
    PANEL_FPGA_STAT_0_BIT_2 = NewCtrl (hPanel, CTRL_SQUARE_LED, "FormB Done", 201, 85);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_CONSTANT_NAME, "STAT_0_BIT_2");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_LABEL_WIDTH, 62);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_0_BIT_2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_LABEL_TOP, 202);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_LABEL_LEFT, 23);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_0_BIT_3
    PANEL_FPGA_STAT_0_BIT_3 = NewCtrl (hPanel, CTRL_SQUARE_LED, "EFB Done", 184, 85);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_CONSTANT_NAME, "STAT_0_BIT_3");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_LABEL_WIDTH, 52);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_0_BIT_3);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_LABEL_TOP, 185);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_LABEL_LEFT, 33);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_0_BIT_4
    PANEL_FPGA_STAT_0_BIT_4 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Router Done", 167, 85);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_CONSTANT_NAME, "STAT_0_BIT_4");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_LABEL_WIDTH, 64);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_0_BIT_4);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_LABEL_TOP, 168);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_LABEL_LEFT, 19);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_0_BIT_5
    PANEL_FPGA_STAT_0_BIT_5 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Cnfg En", 150, 85);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_CONSTANT_NAME, "STAT_0_BIT_5");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_LABEL_WIDTH, 41);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_0_BIT_5);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_LABEL_TOP, 151);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_LABEL_LEFT, 42);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_0
    PANEL_FPGA_STAT_0 = NewCtrl (hPanel, CTRL_NUMERIC, "S0", 94, 62);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_CONSTANT_NAME, "STAT_0");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_LABEL_WIDTH, 16);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_MAX_VALUE, 255);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_PADDING, 2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_WIDTH, 40);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_LABEL_TOP, 96);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_LABEL_LEFT, 43);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_STAT_0, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_STAT_0_BIT_6
    PANEL_FPGA_STAT_0_BIT_6 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 133, 85);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_CONSTANT_NAME, "STAT_0_BIT_6");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_0_BIT_6);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_LABEL_TOP, 133);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_LABEL_LEFT, 53);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_STAT_0_BIT_7
    PANEL_FPGA_STAT_0_BIT_7 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 117, 85);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_CONSTANT_NAME, "STAT_0_BIT_7");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_STAT_0_BIT_7);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_LABEL_TOP, 117);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_LABEL_LEFT, 61);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_COM2_BUTT_1
    PANEL_FPGA_COM2_BUTT_1 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "OK", 418, 374);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_1, ATTR_CONSTANT_NAME, "COM2_BUTT_1");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_1, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_1, ATTR_CALLBACK_FUNCTION_POINTER, fpgaRegButtons);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_1, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_1, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_1, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_1, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_COM2_BUTT_1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_1, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_1, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_1, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_1, ATTR_WIDTH, 24);

    // Build control: PANEL_FPGA_COM2_BUTT_7
    PANEL_FPGA_COM2_BUTT_7 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "OK", 316, 374);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_7, ATTR_CONSTANT_NAME, "COM2_BUTT_7");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_7, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_7, ATTR_CALLBACK_FUNCTION_POINTER, fpgaRegButtons);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_7, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_7, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_7, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_7, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_7, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_7, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_7, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_7, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_7, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_COM2_BUTT_7);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_7, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_7, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_7, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_7, ATTR_WIDTH, 24);

    // Build control: PANEL_FPGA_COM2_BUTT_6
    PANEL_FPGA_COM2_BUTT_6 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "OK", 333, 374);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_6, ATTR_CONSTANT_NAME, "COM2_BUTT_6");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_6, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_6, ATTR_CALLBACK_FUNCTION_POINTER, fpgaRegButtons);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_6, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_6, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_6, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_6, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_6, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_6, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_6, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_6, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_6, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_COM2_BUTT_6);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_6, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_6, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_6, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_6, ATTR_WIDTH, 24);

    // Build control: PANEL_FPGA_COM2_BUTT_5
    PANEL_FPGA_COM2_BUTT_5 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "OK", 350, 374);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_5, ATTR_CONSTANT_NAME, "COM2_BUTT_5");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_5, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_5, ATTR_CALLBACK_FUNCTION_POINTER, fpgaRegButtons);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_5, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_5, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_5, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_5, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_5, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_COM2_BUTT_5);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_5, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_5, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_5, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_5, ATTR_WIDTH, 24);

    // Build control: PANEL_FPGA_COM2_BUTT_4
    PANEL_FPGA_COM2_BUTT_4 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "OK", 367, 374);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_4, ATTR_CONSTANT_NAME, "COM2_BUTT_4");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_4, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_4, ATTR_CALLBACK_FUNCTION_POINTER, fpgaRegButtons);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_4, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_4, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_4, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_4, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_4, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_COM2_BUTT_4);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_4, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_4, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_4, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_4, ATTR_WIDTH, 24);

    // Build control: PANEL_FPGA_COM2_BUTT_3
    PANEL_FPGA_COM2_BUTT_3 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "OK", 384, 374);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_3, ATTR_CONSTANT_NAME, "COM2_BUTT_3");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_3, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_3, ATTR_CALLBACK_FUNCTION_POINTER, fpgaRegButtons);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_3, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_3, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_3, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_3, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_COM2_BUTT_3);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_3, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_3, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_3, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_3, ATTR_WIDTH, 24);

    // Build control: PANEL_FPGA_COM2_BUTT_2
    PANEL_FPGA_COM2_BUTT_2 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "OK", 401, 374);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_2, ATTR_CONSTANT_NAME, "COM2_BUTT_2");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_2, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_2, ATTR_CALLBACK_FUNCTION_POINTER, fpgaRegButtons);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_2, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_2, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_2, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_2, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_COM2_BUTT_2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_2, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_2, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_2, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_2, ATTR_WIDTH, 24);

    // Build control: PANEL_FPGA_COM2_BUTT_0
    PANEL_FPGA_COM2_BUTT_0 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 435, 374);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_CONSTANT_NAME, "COM2_BUTT_0");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_CALLBACK_FUNCTION_POINTER, fpgaRegButtons);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_LABEL_WIDTH, 6);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_LABEL_HEIGHT, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_LABEL_BGCOLOR, 0XB7C1CA);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_TEXT_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_COM2_BUTT_0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_ON_COLOR, 0XD8B18B);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_OFF_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_WIDTH, 24);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_LABEL_TOP, 414);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_LABEL_LEFT, 389);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_FPGA_COM1_BUTT_1
    PANEL_FPGA_COM1_BUTT_1 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "OK", 418, 240);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_1, ATTR_CONSTANT_NAME, "COM1_BUTT_1");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_1, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_1, ATTR_CALLBACK_FUNCTION_POINTER, fpgaRegButtons);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_1, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_1, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_1, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_1, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_COM1_BUTT_1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_1, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_1, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_1, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_1, ATTR_WIDTH, 24);

    // Build control: PANEL_FPGA_COM1_BUTT_7
    PANEL_FPGA_COM1_BUTT_7 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "OK", 316, 240);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_7, ATTR_CONSTANT_NAME, "COM1_BUTT_7");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_7, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_7, ATTR_CALLBACK_FUNCTION_POINTER, fpgaRegButtons);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_7, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_7, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_7, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_7, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_7, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_7, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_7, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_7, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_7, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_COM1_BUTT_7);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_7, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_7, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_7, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_7, ATTR_WIDTH, 24);

    // Build control: PANEL_FPGA_COM1_BUTT_6
    PANEL_FPGA_COM1_BUTT_6 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "OK", 333, 240);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_6, ATTR_CONSTANT_NAME, "COM1_BUTT_6");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_6, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_6, ATTR_CALLBACK_FUNCTION_POINTER, fpgaRegButtons);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_6, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_6, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_6, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_6, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_6, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_6, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_6, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_6, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_6, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_COM1_BUTT_6);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_6, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_6, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_6, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_6, ATTR_WIDTH, 24);

    // Build control: PANEL_FPGA_COM1_BUTT_5
    PANEL_FPGA_COM1_BUTT_5 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "OK", 350, 240);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_5, ATTR_CONSTANT_NAME, "COM1_BUTT_5");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_5, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_5, ATTR_CALLBACK_FUNCTION_POINTER, fpgaRegButtons);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_5, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_5, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_5, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_5, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_5, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_COM1_BUTT_5);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_5, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_5, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_5, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_5, ATTR_WIDTH, 24);

    // Build control: PANEL_FPGA_COM1_BUTT_4
    PANEL_FPGA_COM1_BUTT_4 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "OK", 367, 240);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_4, ATTR_CONSTANT_NAME, "COM1_BUTT_4");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_4, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_4, ATTR_CALLBACK_FUNCTION_POINTER, fpgaRegButtons);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_4, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_4, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_4, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_4, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_4, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_COM1_BUTT_4);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_4, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_4, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_4, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_4, ATTR_WIDTH, 24);

    // Build control: PANEL_FPGA_COM1_BUTT_3
    PANEL_FPGA_COM1_BUTT_3 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "OK", 384, 240);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_3, ATTR_CONSTANT_NAME, "COM1_BUTT_3");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_3, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_3, ATTR_CALLBACK_FUNCTION_POINTER, fpgaRegButtons);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_3, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_3, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_3, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_3, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_COM1_BUTT_3);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_3, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_3, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_3, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_3, ATTR_WIDTH, 24);

    // Build control: PANEL_FPGA_COM1_BUTT_2
    PANEL_FPGA_COM1_BUTT_2 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "OK", 401, 240);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_2, ATTR_CONSTANT_NAME, "COM1_BUTT_2");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_2, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_2, ATTR_CALLBACK_FUNCTION_POINTER, fpgaRegButtons);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_2, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_2, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_2, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_2, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_COM1_BUTT_2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_2, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_2, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_2, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_2, ATTR_WIDTH, 24);

    // Build control: PANEL_FPGA_COM1_BUTT_0
    PANEL_FPGA_COM1_BUTT_0 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "OK", 435, 240);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_0, ATTR_CONSTANT_NAME, "COM1_BUTT_0");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_0, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_0, ATTR_CALLBACK_FUNCTION_POINTER, fpgaRegButtons);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_0, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_0, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_0, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_0, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_COM1_BUTT_0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_0, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_0, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_0, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_0, ATTR_WIDTH, 24);

    // Build control: PANEL_FPGA_COM0_BUTT_1
    PANEL_FPGA_COM0_BUTT_1 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "OK", 418, 107);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_1, ATTR_CONSTANT_NAME, "COM0_BUTT_1");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_1, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_1, ATTR_CALLBACK_FUNCTION_POINTER, fpgaRegButtons);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_1, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_1, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_1, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_1, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_COM0_BUTT_1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_1, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_1, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_1, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_1, ATTR_WIDTH, 24);

    // Build control: PANEL_FPGA_COM0_BUTT_7
    PANEL_FPGA_COM0_BUTT_7 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "OK", 316, 107);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_7, ATTR_CONSTANT_NAME, "COM0_BUTT_7");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_7, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_7, ATTR_CALLBACK_FUNCTION_POINTER, fpgaRegButtons);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_7, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_7, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_7, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_7, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_7, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_7, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_7, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_7, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_7, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_COM0_BUTT_7);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_7, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_7, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_7, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_7, ATTR_WIDTH, 24);

    // Build control: PANEL_FPGA_COM0_BUTT_6
    PANEL_FPGA_COM0_BUTT_6 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "OK", 333, 107);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_6, ATTR_CONSTANT_NAME, "COM0_BUTT_6");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_6, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_6, ATTR_CALLBACK_FUNCTION_POINTER, fpgaRegButtons);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_6, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_6, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_6, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_6, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_6, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_6, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_6, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_6, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_6, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_COM0_BUTT_6);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_6, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_6, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_6, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_6, ATTR_WIDTH, 24);

    // Build control: PANEL_FPGA_COM0_BUTT_5
    PANEL_FPGA_COM0_BUTT_5 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "OK", 350, 107);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_5, ATTR_CONSTANT_NAME, "COM0_BUTT_5");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_5, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_5, ATTR_CALLBACK_FUNCTION_POINTER, fpgaRegButtons);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_5, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_5, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_5, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_5, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_5, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_COM0_BUTT_5);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_5, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_5, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_5, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_5, ATTR_WIDTH, 24);

    // Build control: PANEL_FPGA_COM0_BUTT_4
    PANEL_FPGA_COM0_BUTT_4 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "OK", 367, 107);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_4, ATTR_CONSTANT_NAME, "COM0_BUTT_4");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_4, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_4, ATTR_CALLBACK_FUNCTION_POINTER, fpgaRegButtons);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_4, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_4, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_4, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_4, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_4, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_COM0_BUTT_4);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_4, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_4, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_4, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_4, ATTR_WIDTH, 24);

    // Build control: PANEL_FPGA_COM0_BUTT_3
    PANEL_FPGA_COM0_BUTT_3 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "OK", 384, 107);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_3, ATTR_CONSTANT_NAME, "COM0_BUTT_3");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_3, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_3, ATTR_CALLBACK_FUNCTION_POINTER, fpgaRegButtons);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_3, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_3, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_3, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_3, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_COM0_BUTT_3);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_3, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_3, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_3, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_3, ATTR_WIDTH, 24);

    // Build control: PANEL_FPGA_COM0_BUTT_2
    PANEL_FPGA_COM0_BUTT_2 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "OK", 401, 107);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_2, ATTR_CONSTANT_NAME, "COM0_BUTT_2");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_2, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_2, ATTR_CALLBACK_FUNCTION_POINTER, fpgaRegButtons);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_2, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_2, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_2, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_2, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_COM0_BUTT_2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_2, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_2, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_2, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_2, ATTR_WIDTH, 24);

    // Build control: PANEL_FPGA_COM0_BUTT_0
    PANEL_FPGA_COM0_BUTT_0 = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "OK", 435, 107);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_0, ATTR_CONSTANT_NAME, "COM0_BUTT_0");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_0, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_0, ATTR_CALLBACK_FUNCTION_POINTER, fpgaRegButtons);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_0, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_0, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_0, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_0, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_FPGA_COM0_BUTT_0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_0, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_0, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_0, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_0, ATTR_WIDTH, 24);

    // Build control: PANEL_FPGA_TEXTMSG_20
    PANEL_FPGA_TEXTMSG_20 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 236, 90);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_20, ATTR_CONSTANT_NAME, "TEXTMSG_20");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_20, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_20, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_20, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_20, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_20, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_20, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_20, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_20, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_20, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_20, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_20, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_20, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_20, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_20, ATTR_DFLT_VALUE, "0");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_20);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_20, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_20, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_20, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_20, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_20, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_20, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_21
    PANEL_FPGA_TEXTMSG_21 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 219, 89);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_21, ATTR_CONSTANT_NAME, "TEXTMSG_21");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_21, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_21, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_21, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_21, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_21, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_21, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_21, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_21, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_21, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_21, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_21, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_21, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_21, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_21, ATTR_DFLT_VALUE, "1");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_21);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_21, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_21, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_21, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_21, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_21, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_21, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_22
    PANEL_FPGA_TEXTMSG_22 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 202, 90);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_22, ATTR_CONSTANT_NAME, "TEXTMSG_22");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_22, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_22, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_22, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_22, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_22, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_22, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_22, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_22, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_22, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_22, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_22, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_22, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_22, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_22, ATTR_DFLT_VALUE, "2");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_22);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_22, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_22, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_22, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_22, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_22, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_22, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_23
    PANEL_FPGA_TEXTMSG_23 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 186, 90);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_23, ATTR_CONSTANT_NAME, "TEXTMSG_23");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_23, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_23, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_23, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_23, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_23, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_23, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_23, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_23, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_23, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_23, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_23, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_23, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_23, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_23, ATTR_DFLT_VALUE, "3");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_23);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_23, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_23, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_23, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_23, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_23, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_23, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_24
    PANEL_FPGA_TEXTMSG_24 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 168, 89);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_24, ATTR_CONSTANT_NAME, "TEXTMSG_24");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_24, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_24, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_24, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_24, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_24, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_24, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_24, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_24, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_24, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_24, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_24, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_24, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_24, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_24, ATTR_DFLT_VALUE, "4");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_24);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_24, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_24, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_24, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_24, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_24, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_24, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_25
    PANEL_FPGA_TEXTMSG_25 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 151, 90);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_25, ATTR_CONSTANT_NAME, "TEXTMSG_25");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_25, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_25, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_25, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_25, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_25, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_25, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_25, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_25, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_25, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_25, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_25, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_25, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_25, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_25, ATTR_DFLT_VALUE, "5");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_25);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_25, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_25, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_25, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_25, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_25, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_25, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_26
    PANEL_FPGA_TEXTMSG_26 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 134, 90);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_26, ATTR_CONSTANT_NAME, "TEXTMSG_26");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_26, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_26, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_26, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_26, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_26, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_26, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_26, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_26, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_26, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_26, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_26, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_26, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_26, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_26, ATTR_DFLT_VALUE, "6");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_26);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_26, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_26, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_26, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_26, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_26, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_26, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_27
    PANEL_FPGA_TEXTMSG_27 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 118, 90);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_27, ATTR_CONSTANT_NAME, "TEXTMSG_27");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_27, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_27, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_27, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_27, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_27, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_27, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_27, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_27, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_27, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_27, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_27, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_27, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_27, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_27, ATTR_DFLT_VALUE, "7");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_27);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_27, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_27, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_27, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_27, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_27, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_27, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_55
    PANEL_FPGA_TEXTMSG_55 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 436, 90);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_55, ATTR_CONSTANT_NAME, "TEXTMSG_55");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_55, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_55, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_55, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_55, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_55, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_55, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_55, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_55, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_55, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_55, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_55, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_55, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_55, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_55, ATTR_DFLT_VALUE, "0");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_55);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_55, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_55, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_55, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_55, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_55, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_55, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_56
    PANEL_FPGA_TEXTMSG_56 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 419, 89);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_56, ATTR_CONSTANT_NAME, "TEXTMSG_56");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_56, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_56, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_56, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_56, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_56, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_56, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_56, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_56, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_56, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_56, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_56, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_56, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_56, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_56, ATTR_DFLT_VALUE, "1");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_56);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_56, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_56, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_56, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_56, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_56, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_56, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_57
    PANEL_FPGA_TEXTMSG_57 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 402, 90);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_57, ATTR_CONSTANT_NAME, "TEXTMSG_57");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_57, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_57, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_57, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_57, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_57, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_57, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_57, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_57, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_57, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_57, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_57, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_57, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_57, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_57, ATTR_DFLT_VALUE, "2");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_57);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_57, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_57, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_57, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_57, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_57, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_57, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_58
    PANEL_FPGA_TEXTMSG_58 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 386, 90);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_58, ATTR_CONSTANT_NAME, "TEXTMSG_58");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_58, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_58, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_58, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_58, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_58, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_58, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_58, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_58, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_58, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_58, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_58, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_58, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_58, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_58, ATTR_DFLT_VALUE, "3");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_58);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_58, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_58, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_58, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_58, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_58, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_58, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_59
    PANEL_FPGA_TEXTMSG_59 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 368, 89);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_59, ATTR_CONSTANT_NAME, "TEXTMSG_59");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_59, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_59, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_59, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_59, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_59, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_59, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_59, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_59, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_59, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_59, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_59, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_59, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_59, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_59, ATTR_DFLT_VALUE, "4");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_59);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_59, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_59, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_59, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_59, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_59, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_59, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_60
    PANEL_FPGA_TEXTMSG_60 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 351, 90);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_60, ATTR_CONSTANT_NAME, "TEXTMSG_60");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_60, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_60, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_60, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_60, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_60, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_60, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_60, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_60, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_60, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_60, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_60, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_60, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_60, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_60, ATTR_DFLT_VALUE, "5");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_60);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_60, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_60, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_60, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_60, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_60, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_60, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_61
    PANEL_FPGA_TEXTMSG_61 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 334, 90);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_61, ATTR_CONSTANT_NAME, "TEXTMSG_61");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_61, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_61, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_61, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_61, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_61, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_61, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_61, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_61, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_61, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_61, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_61, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_61, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_61, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_61, ATTR_DFLT_VALUE, "6");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_61);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_61, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_61, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_61, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_61, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_61, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_61, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_62
    PANEL_FPGA_TEXTMSG_62 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 318, 90);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_62, ATTR_CONSTANT_NAME, "TEXTMSG_62");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_62, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_62, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_62, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_62, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_62, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_62, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_62, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_62, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_62, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_62, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_62, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_62, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_62, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_62, ATTR_DFLT_VALUE, "7");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_62);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_62, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_62, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_62, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_62, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_62, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_62, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_63
    PANEL_FPGA_TEXTMSG_63 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 436, 223);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_63, ATTR_CONSTANT_NAME, "TEXTMSG_63");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_63, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_63, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_63, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_63, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_63, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_63, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_63, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_63, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_63, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_63, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_63, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_63, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_63, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_63, ATTR_DFLT_VALUE, "0");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_63);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_63, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_63, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_63, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_63, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_63, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_63, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_64
    PANEL_FPGA_TEXTMSG_64 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 419, 222);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_64, ATTR_CONSTANT_NAME, "TEXTMSG_64");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_64, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_64, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_64, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_64, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_64, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_64, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_64, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_64, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_64, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_64, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_64, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_64, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_64, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_64, ATTR_DFLT_VALUE, "1");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_64);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_64, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_64, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_64, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_64, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_64, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_64, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_65
    PANEL_FPGA_TEXTMSG_65 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 402, 223);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_65, ATTR_CONSTANT_NAME, "TEXTMSG_65");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_65, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_65, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_65, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_65, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_65, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_65, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_65, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_65, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_65, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_65, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_65, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_65, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_65, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_65, ATTR_DFLT_VALUE, "2");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_65);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_65, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_65, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_65, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_65, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_65, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_65, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_66
    PANEL_FPGA_TEXTMSG_66 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 386, 223);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_66, ATTR_CONSTANT_NAME, "TEXTMSG_66");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_66, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_66, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_66, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_66, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_66, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_66, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_66, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_66, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_66, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_66, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_66, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_66, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_66, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_66, ATTR_DFLT_VALUE, "3");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_66);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_66, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_66, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_66, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_66, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_66, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_66, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_67
    PANEL_FPGA_TEXTMSG_67 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 368, 222);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_67, ATTR_CONSTANT_NAME, "TEXTMSG_67");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_67, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_67, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_67, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_67, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_67, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_67, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_67, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_67, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_67, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_67, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_67, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_67, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_67, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_67, ATTR_DFLT_VALUE, "4");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_67);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_67, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_67, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_67, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_67, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_67, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_67, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_68
    PANEL_FPGA_TEXTMSG_68 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 351, 223);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_68, ATTR_CONSTANT_NAME, "TEXTMSG_68");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_68, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_68, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_68, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_68, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_68, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_68, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_68, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_68, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_68, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_68, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_68, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_68, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_68, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_68, ATTR_DFLT_VALUE, "5");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_68);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_68, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_68, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_68, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_68, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_68, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_68, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_69
    PANEL_FPGA_TEXTMSG_69 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 334, 223);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_69, ATTR_CONSTANT_NAME, "TEXTMSG_69");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_69, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_69, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_69, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_69, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_69, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_69, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_69, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_69, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_69, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_69, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_69, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_69, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_69, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_69, ATTR_DFLT_VALUE, "6");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_69);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_69, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_69, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_69, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_69, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_69, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_69, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_70
    PANEL_FPGA_TEXTMSG_70 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 318, 223);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_70, ATTR_CONSTANT_NAME, "TEXTMSG_70");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_70, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_70, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_70, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_70, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_70, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_70, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_70, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_70, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_70, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_70, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_70, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_70, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_70, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_70, ATTR_DFLT_VALUE, "7");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_70);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_70, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_70, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_70, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_70, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_70, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_70, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_71
    PANEL_FPGA_TEXTMSG_71 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 436, 357);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_71, ATTR_CONSTANT_NAME, "TEXTMSG_71");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_71, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_71, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_71, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_71, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_71, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_71, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_71, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_71, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_71, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_71, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_71, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_71, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_71, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_71, ATTR_DFLT_VALUE, "0");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_71);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_71, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_71, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_71, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_71, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_71, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_71, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_72
    PANEL_FPGA_TEXTMSG_72 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 419, 356);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_72, ATTR_CONSTANT_NAME, "TEXTMSG_72");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_72, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_72, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_72, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_72, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_72, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_72, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_72, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_72, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_72, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_72, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_72, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_72, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_72, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_72, ATTR_DFLT_VALUE, "1");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_72);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_72, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_72, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_72, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_72, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_72, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_72, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_73
    PANEL_FPGA_TEXTMSG_73 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 402, 357);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_73, ATTR_CONSTANT_NAME, "TEXTMSG_73");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_73, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_73, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_73, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_73, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_73, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_73, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_73, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_73, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_73, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_73, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_73, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_73, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_73, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_73, ATTR_DFLT_VALUE, "2");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_73);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_73, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_73, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_73, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_73, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_73, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_73, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_74
    PANEL_FPGA_TEXTMSG_74 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 386, 357);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_74, ATTR_CONSTANT_NAME, "TEXTMSG_74");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_74, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_74, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_74, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_74, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_74, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_74, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_74, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_74, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_74, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_74, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_74, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_74, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_74, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_74, ATTR_DFLT_VALUE, "3");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_74);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_74, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_74, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_74, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_74, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_74, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_74, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_75
    PANEL_FPGA_TEXTMSG_75 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 368, 356);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_75, ATTR_CONSTANT_NAME, "TEXTMSG_75");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_75, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_75, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_75, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_75, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_75, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_75, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_75, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_75, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_75, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_75, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_75, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_75, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_75, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_75, ATTR_DFLT_VALUE, "4");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_75);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_75, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_75, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_75, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_75, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_75, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_75, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_76
    PANEL_FPGA_TEXTMSG_76 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 351, 357);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_76, ATTR_CONSTANT_NAME, "TEXTMSG_76");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_76, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_76, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_76, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_76, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_76, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_76, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_76, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_76, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_76, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_76, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_76, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_76, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_76, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_76, ATTR_DFLT_VALUE, "5");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_76);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_76, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_76, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_76, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_76, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_76, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_76, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_77
    PANEL_FPGA_TEXTMSG_77 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 334, 357);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_77, ATTR_CONSTANT_NAME, "TEXTMSG_77");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_77, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_77, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_77, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_77, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_77, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_77, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_77, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_77, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_77, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_77, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_77, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_77, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_77, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_77, ATTR_DFLT_VALUE, "6");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_77);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_77, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_77, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_77, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_77, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_77, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_77, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_78
    PANEL_FPGA_TEXTMSG_78 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 318, 357);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_78, ATTR_CONSTANT_NAME, "TEXTMSG_78");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_78, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_78, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_78, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_78, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_78, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_78, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_78, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_78, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_78, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_78, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_78, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_78, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_78, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_78, ATTR_DFLT_VALUE, "7");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_78);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_78, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_78, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_78, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_78, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_78, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_78, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_99
    PANEL_FPGA_TEXTMSG_99 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 436, 471);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_99, ATTR_CONSTANT_NAME, "TEXTMSG_99");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_99, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_99, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_99, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_99, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_99, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_99, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_99, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_99, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_99, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_99, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_99, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_99, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_99, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_99, ATTR_DFLT_VALUE, "0");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_99);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_99, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_99, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_99, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_99, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_99, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_99, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_100
    PANEL_FPGA_TEXTMSG_100 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 419, 470);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_100, ATTR_CONSTANT_NAME, "TEXTMSG_100");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_100, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_100, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_100, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_100, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_100, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_100, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_100, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_100, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_100, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_100, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_100, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_100, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_100, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_100, ATTR_DFLT_VALUE, "1");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_100);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_100, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_100, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_100, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_100, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_100, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_100, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_101
    PANEL_FPGA_TEXTMSG_101 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 402, 471);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_101, ATTR_CONSTANT_NAME, "TEXTMSG_101");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_101, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_101, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_101, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_101, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_101, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_101, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_101, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_101, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_101, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_101, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_101, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_101, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_101, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_101, ATTR_DFLT_VALUE, "2");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_101);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_101, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_101, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_101, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_101, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_101, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_101, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_102
    PANEL_FPGA_TEXTMSG_102 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 386, 471);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_102, ATTR_CONSTANT_NAME, "TEXTMSG_102");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_102, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_102, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_102, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_102, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_102, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_102, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_102, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_102, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_102, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_102, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_102, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_102, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_102, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_102, ATTR_DFLT_VALUE, "3");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_102);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_102, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_102, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_102, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_102, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_102, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_102, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_103
    PANEL_FPGA_TEXTMSG_103 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 368, 470);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_103, ATTR_CONSTANT_NAME, "TEXTMSG_103");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_103, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_103, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_103, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_103, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_103, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_103, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_103, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_103, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_103, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_103, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_103, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_103, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_103, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_103, ATTR_DFLT_VALUE, "4");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_103);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_103, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_103, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_103, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_103, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_103, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_103, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_104
    PANEL_FPGA_TEXTMSG_104 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 351, 471);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_104, ATTR_CONSTANT_NAME, "TEXTMSG_104");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_104, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_104, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_104, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_104, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_104, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_104, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_104, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_104, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_104, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_104, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_104, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_104, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_104, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_104, ATTR_DFLT_VALUE, "5");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_104);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_104, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_104, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_104, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_104, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_104, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_104, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_105
    PANEL_FPGA_TEXTMSG_105 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 334, 471);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_105, ATTR_CONSTANT_NAME, "TEXTMSG_105");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_105, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_105, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_105, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_105, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_105, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_105, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_105, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_105, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_105, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_105, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_105, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_105, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_105, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_105, ATTR_DFLT_VALUE, "6");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_105);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_105, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_105, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_105, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_105, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_105, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_105, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_106
    PANEL_FPGA_TEXTMSG_106 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 318, 471);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_106, ATTR_CONSTANT_NAME, "TEXTMSG_106");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_106, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_106, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_106, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_106, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_106, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_106, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_106, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_106, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_106, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_106, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_106, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_106, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_106, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_106, ATTR_DFLT_VALUE, "7");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_106);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_106, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_106, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_106, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_106, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_106, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_106, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_109
    PANEL_FPGA_TEXTMSG_109 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 279, 495);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_109, ATTR_CONSTANT_NAME, "TEXTMSG_109");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_109, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_109, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_109, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_109, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_109, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_109, ATTR_TEXT_COLOR, 0X003399);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_109, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_109, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_109, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_109, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_109, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_109, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_109, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_109, ATTR_DFLT_VALUE, "FlashAddr+WrData");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_109);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_109, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_109, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_109, ATTR_WIDTH, 109);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_109, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_109, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_109, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_111
    PANEL_FPGA_TEXTMSG_111 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 319, 509);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_111, ATTR_CONSTANT_NAME, "TEXTMSG_111");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_111, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_111, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_111, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_111, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_111, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_111, ATTR_TEXT_COLOR, 0X003399);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_111, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_111, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_111, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_111, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_111, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_111, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_111, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_111, ATTR_DFLT_VALUE, "FlashRdData");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_111);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_111, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_111, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_111, ATTR_WIDTH, 76);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_111, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_111, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_111, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_28
    PANEL_FPGA_TEXTMSG_28 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 236, 182);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_28, ATTR_CONSTANT_NAME, "TEXTMSG_28");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_28, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_28, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_28, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_28, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_28, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_28, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_28, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_28, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_28, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_28, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_28, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_28, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_28, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_28, ATTR_DFLT_VALUE, "0");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_28);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_28, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_28, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_28, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_28, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_28, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_28, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_29
    PANEL_FPGA_TEXTMSG_29 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 219, 181);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_29, ATTR_CONSTANT_NAME, "TEXTMSG_29");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_29, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_29, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_29, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_29, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_29, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_29, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_29, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_29, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_29, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_29, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_29, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_29, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_29, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_29, ATTR_DFLT_VALUE, "1");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_29);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_29, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_29, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_29, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_29, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_29, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_29, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_30
    PANEL_FPGA_TEXTMSG_30 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 202, 182);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_30, ATTR_CONSTANT_NAME, "TEXTMSG_30");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_30, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_30, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_30, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_30, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_30, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_30, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_30, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_30, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_30, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_30, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_30, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_30, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_30, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_30, ATTR_DFLT_VALUE, "2");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_30);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_30, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_30, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_30, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_30, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_30, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_30, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_31
    PANEL_FPGA_TEXTMSG_31 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 186, 182);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_31, ATTR_CONSTANT_NAME, "TEXTMSG_31");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_31, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_31, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_31, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_31, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_31, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_31, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_31, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_31, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_31, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_31, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_31, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_31, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_31, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_31, ATTR_DFLT_VALUE, "3");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_31);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_31, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_31, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_31, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_31, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_31, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_31, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_32
    PANEL_FPGA_TEXTMSG_32 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 168, 181);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_32, ATTR_CONSTANT_NAME, "TEXTMSG_32");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_32, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_32, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_32, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_32, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_32, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_32, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_32, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_32, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_32, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_32, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_32, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_32, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_32, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_32, ATTR_DFLT_VALUE, "4");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_32);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_32, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_32, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_32, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_32, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_32, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_32, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_33
    PANEL_FPGA_TEXTMSG_33 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 151, 182);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_33, ATTR_CONSTANT_NAME, "TEXTMSG_33");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_33, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_33, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_33, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_33, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_33, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_33, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_33, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_33, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_33, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_33, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_33, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_33, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_33, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_33, ATTR_DFLT_VALUE, "5");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_33);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_33, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_33, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_33, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_33, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_33, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_33, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_34
    PANEL_FPGA_TEXTMSG_34 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 134, 182);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_34, ATTR_CONSTANT_NAME, "TEXTMSG_34");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_34, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_34, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_34, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_34, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_34, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_34, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_34, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_34, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_34, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_34, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_34, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_34, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_34, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_34, ATTR_DFLT_VALUE, "6");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_34);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_34, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_34, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_34, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_34, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_34, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_34, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_35
    PANEL_FPGA_TEXTMSG_35 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 118, 182);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_35, ATTR_CONSTANT_NAME, "TEXTMSG_35");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_35, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_35, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_35, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_35, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_35, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_35, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_35, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_35, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_35, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_35, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_35, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_35, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_35, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_35, ATTR_DFLT_VALUE, "7");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_35);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_35, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_35, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_35, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_35, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_35, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_35, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_36
    PANEL_FPGA_TEXTMSG_36 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 236, 275);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_36, ATTR_CONSTANT_NAME, "TEXTMSG_36");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_36, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_36, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_36, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_36, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_36, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_36, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_36, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_36, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_36, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_36, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_36, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_36, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_36, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_36, ATTR_DFLT_VALUE, "0");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_36);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_36, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_36, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_36, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_36, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_36, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_36, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_37
    PANEL_FPGA_TEXTMSG_37 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 219, 274);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_37, ATTR_CONSTANT_NAME, "TEXTMSG_37");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_37, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_37, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_37, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_37, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_37, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_37, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_37, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_37, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_37, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_37, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_37, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_37, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_37, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_37, ATTR_DFLT_VALUE, "1");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_37);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_37, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_37, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_37, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_37, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_37, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_37, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_38
    PANEL_FPGA_TEXTMSG_38 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 202, 275);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_38, ATTR_CONSTANT_NAME, "TEXTMSG_38");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_38, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_38, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_38, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_38, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_38, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_38, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_38, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_38, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_38, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_38, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_38, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_38, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_38, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_38, ATTR_DFLT_VALUE, "2");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_38);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_38, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_38, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_38, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_38, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_38, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_38, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_39
    PANEL_FPGA_TEXTMSG_39 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 186, 275);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_39, ATTR_CONSTANT_NAME, "TEXTMSG_39");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_39, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_39, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_39, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_39, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_39, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_39, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_39, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_39, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_39, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_39, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_39, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_39, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_39, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_39, ATTR_DFLT_VALUE, "3");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_39);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_39, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_39, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_39, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_39, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_39, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_39, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_40
    PANEL_FPGA_TEXTMSG_40 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 168, 274);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_40, ATTR_CONSTANT_NAME, "TEXTMSG_40");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_40, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_40, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_40, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_40, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_40, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_40, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_40, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_40, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_40, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_40, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_40, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_40, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_40, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_40, ATTR_DFLT_VALUE, "4");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_40);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_40, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_40, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_40, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_40, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_40, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_40, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_41
    PANEL_FPGA_TEXTMSG_41 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 151, 275);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_41, ATTR_CONSTANT_NAME, "TEXTMSG_41");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_41, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_41, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_41, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_41, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_41, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_41, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_41, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_41, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_41, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_41, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_41, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_41, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_41, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_41, ATTR_DFLT_VALUE, "5");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_41);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_41, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_41, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_41, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_41, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_41, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_41, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_42
    PANEL_FPGA_TEXTMSG_42 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 134, 275);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_42, ATTR_CONSTANT_NAME, "TEXTMSG_42");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_42, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_42, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_42, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_42, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_42, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_42, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_42, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_42, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_42, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_42, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_42, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_42, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_42, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_42, ATTR_DFLT_VALUE, "6");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_42);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_42, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_42, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_42, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_42, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_42, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_42, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_43
    PANEL_FPGA_TEXTMSG_43 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 118, 275);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_43, ATTR_CONSTANT_NAME, "TEXTMSG_43");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_43, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_43, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_43, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_43, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_43, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_43, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_43, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_43, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_43, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_43, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_43, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_43, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_43, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_43, ATTR_DFLT_VALUE, "7");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_43);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_43, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_43, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_43, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_43, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_43, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_43, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_44
    PANEL_FPGA_TEXTMSG_44 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 236, 368);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_44, ATTR_CONSTANT_NAME, "TEXTMSG_44");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_44, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_44, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_44, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_44, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_44, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_44, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_44, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_44, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_44, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_44, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_44, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_44, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_44, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_44, ATTR_DFLT_VALUE, "0");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_44);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_44, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_44, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_44, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_44, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_44, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_44, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_45
    PANEL_FPGA_TEXTMSG_45 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 219, 367);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_45, ATTR_CONSTANT_NAME, "TEXTMSG_45");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_45, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_45, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_45, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_45, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_45, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_45, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_45, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_45, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_45, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_45, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_45, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_45, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_45, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_45, ATTR_DFLT_VALUE, "1");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_45);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_45, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_45, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_45, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_45, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_45, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_45, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_46
    PANEL_FPGA_TEXTMSG_46 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 202, 368);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_46, ATTR_CONSTANT_NAME, "TEXTMSG_46");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_46, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_46, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_46, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_46, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_46, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_46, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_46, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_46, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_46, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_46, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_46, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_46, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_46, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_46, ATTR_DFLT_VALUE, "2");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_46);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_46, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_46, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_46, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_46, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_46, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_46, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_47
    PANEL_FPGA_TEXTMSG_47 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 186, 368);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_47, ATTR_CONSTANT_NAME, "TEXTMSG_47");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_47, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_47, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_47, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_47, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_47, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_47, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_47, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_47, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_47, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_47, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_47, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_47, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_47, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_47, ATTR_DFLT_VALUE, "3");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_47);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_47, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_47, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_47, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_47, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_47, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_47, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_48
    PANEL_FPGA_TEXTMSG_48 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 168, 367);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_48, ATTR_CONSTANT_NAME, "TEXTMSG_48");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_48, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_48, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_48, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_48, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_48, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_48, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_48, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_48, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_48, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_48, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_48, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_48, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_48, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_48, ATTR_DFLT_VALUE, "4");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_48);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_48, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_48, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_48, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_48, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_48, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_48, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_49
    PANEL_FPGA_TEXTMSG_49 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 151, 368);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_49, ATTR_CONSTANT_NAME, "TEXTMSG_49");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_49, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_49, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_49, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_49, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_49, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_49, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_49, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_49, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_49, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_49, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_49, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_49, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_49, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_49, ATTR_DFLT_VALUE, "5");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_49);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_49, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_49, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_49, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_49, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_49, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_49, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_50
    PANEL_FPGA_TEXTMSG_50 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 134, 368);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_50, ATTR_CONSTANT_NAME, "TEXTMSG_50");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_50, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_50, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_50, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_50, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_50, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_50, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_50, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_50, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_50, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_50, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_50, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_50, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_50, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_50, ATTR_DFLT_VALUE, "6");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_50);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_50, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_50, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_50, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_50, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_50, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_50, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_51
    PANEL_FPGA_TEXTMSG_51 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 118, 368);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_51, ATTR_CONSTANT_NAME, "TEXTMSG_51");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_51, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_51, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_51, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_51, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_51, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_51, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_51, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_51, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_51, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_51, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_51, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_51, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_51, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_51, ATTR_DFLT_VALUE, "7");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_51);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_51, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_51, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_51, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_51, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_51, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_51, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_90
    PANEL_FPGA_TEXTMSG_90 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 236, 461);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_90, ATTR_CONSTANT_NAME, "TEXTMSG_90");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_90, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_90, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_90, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_90, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_90, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_90, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_90, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_90, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_90, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_90, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_90, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_90, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_90, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_90, ATTR_DFLT_VALUE, "0");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_90);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_90, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_90, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_90, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_90, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_90, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_90, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_91
    PANEL_FPGA_TEXTMSG_91 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 219, 460);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_91, ATTR_CONSTANT_NAME, "TEXTMSG_91");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_91, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_91, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_91, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_91, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_91, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_91, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_91, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_91, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_91, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_91, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_91, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_91, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_91, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_91, ATTR_DFLT_VALUE, "1");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_91);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_91, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_91, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_91, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_91, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_91, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_91, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_92
    PANEL_FPGA_TEXTMSG_92 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 202, 461);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_92, ATTR_CONSTANT_NAME, "TEXTMSG_92");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_92, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_92, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_92, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_92, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_92, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_92, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_92, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_92, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_92, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_92, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_92, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_92, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_92, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_92, ATTR_DFLT_VALUE, "2");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_92);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_92, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_92, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_92, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_92, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_92, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_92, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_93
    PANEL_FPGA_TEXTMSG_93 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 186, 461);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_93, ATTR_CONSTANT_NAME, "TEXTMSG_93");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_93, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_93, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_93, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_93, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_93, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_93, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_93, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_93, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_93, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_93, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_93, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_93, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_93, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_93, ATTR_DFLT_VALUE, "3");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_93);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_93, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_93, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_93, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_93, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_93, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_93, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_94
    PANEL_FPGA_TEXTMSG_94 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 168, 460);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_94, ATTR_CONSTANT_NAME, "TEXTMSG_94");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_94, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_94, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_94, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_94, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_94, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_94, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_94, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_94, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_94, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_94, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_94, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_94, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_94, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_94, ATTR_DFLT_VALUE, "4");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_94);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_94, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_94, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_94, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_94, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_94, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_94, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_95
    PANEL_FPGA_TEXTMSG_95 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 151, 461);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_95, ATTR_CONSTANT_NAME, "TEXTMSG_95");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_95, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_95, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_95, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_95, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_95, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_95, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_95, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_95, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_95, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_95, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_95, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_95, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_95, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_95, ATTR_DFLT_VALUE, "5");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_95);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_95, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_95, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_95, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_95, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_95, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_95, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_96
    PANEL_FPGA_TEXTMSG_96 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 134, 461);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_96, ATTR_CONSTANT_NAME, "TEXTMSG_96");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_96, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_96, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_96, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_96, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_96, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_96, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_96, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_96, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_96, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_96, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_96, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_96, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_96, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_96, ATTR_DFLT_VALUE, "6");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_96);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_96, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_96, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_96, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_96, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_96, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_96, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_97
    PANEL_FPGA_TEXTMSG_97 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 118, 461);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_97, ATTR_CONSTANT_NAME, "TEXTMSG_97");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_97, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_97, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_97, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_97, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_97, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_97, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_97, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_97, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_97, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_97, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_97, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_97, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_97, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_97, ATTR_DFLT_VALUE, "7");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_97);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_97, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_97, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_97, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_97, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_97, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_97, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_112
    PANEL_FPGA_TEXTMSG_112 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 236, 551);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_112, ATTR_CONSTANT_NAME, "TEXTMSG_112");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_112, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_112, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_112, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_112, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_112, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_112, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_112, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_112, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_112, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_112, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_112, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_112, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_112, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_112, ATTR_DFLT_VALUE, "0");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_112);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_112, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_112, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_112, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_112, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_112, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_112, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_113
    PANEL_FPGA_TEXTMSG_113 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 219, 550);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_113, ATTR_CONSTANT_NAME, "TEXTMSG_113");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_113, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_113, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_113, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_113, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_113, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_113, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_113, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_113, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_113, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_113, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_113, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_113, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_113, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_113, ATTR_DFLT_VALUE, "1");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_113);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_113, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_113, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_113, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_113, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_113, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_113, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_114
    PANEL_FPGA_TEXTMSG_114 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 202, 551);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_114, ATTR_CONSTANT_NAME, "TEXTMSG_114");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_114, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_114, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_114, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_114, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_114, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_114, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_114, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_114, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_114, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_114, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_114, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_114, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_114, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_114, ATTR_DFLT_VALUE, "2");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_114);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_114, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_114, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_114, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_114, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_114, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_114, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_115
    PANEL_FPGA_TEXTMSG_115 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 186, 551);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_115, ATTR_CONSTANT_NAME, "TEXTMSG_115");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_115, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_115, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_115, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_115, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_115, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_115, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_115, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_115, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_115, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_115, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_115, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_115, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_115, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_115, ATTR_DFLT_VALUE, "3");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_115);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_115, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_115, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_115, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_115, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_115, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_115, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_116
    PANEL_FPGA_TEXTMSG_116 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 168, 550);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_116, ATTR_CONSTANT_NAME, "TEXTMSG_116");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_116, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_116, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_116, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_116, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_116, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_116, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_116, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_116, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_116, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_116, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_116, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_116, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_116, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_116, ATTR_DFLT_VALUE, "4");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_116);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_116, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_116, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_116, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_116, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_116, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_116, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_117
    PANEL_FPGA_TEXTMSG_117 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 151, 551);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_117, ATTR_CONSTANT_NAME, "TEXTMSG_117");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_117, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_117, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_117, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_117, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_117, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_117, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_117, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_117, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_117, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_117, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_117, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_117, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_117, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_117, ATTR_DFLT_VALUE, "5");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_117);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_117, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_117, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_117, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_117, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_117, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_117, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_118
    PANEL_FPGA_TEXTMSG_118 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 134, 551);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_118, ATTR_CONSTANT_NAME, "TEXTMSG_118");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_118, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_118, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_118, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_118, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_118, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_118, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_118, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_118, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_118, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_118, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_118, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_118, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_118, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_118, ATTR_DFLT_VALUE, "6");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_118);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_118, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_118, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_118, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_118, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_118, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_118, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_119
    PANEL_FPGA_TEXTMSG_119 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 118, 551);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_119, ATTR_CONSTANT_NAME, "TEXTMSG_119");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_119, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_119, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_119, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_119, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_119, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_119, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_119, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_119, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_119, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_119, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_119, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_119, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_119, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_119, ATTR_DFLT_VALUE, "7");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_119);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_119, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_119, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_119, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_119, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_119, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_119, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG
    PANEL_FPGA_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 77, 52);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG, ATTR_TEXT_COLOR, 0X003399);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG, ATTR_TEXT_POINT_SIZE, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG, ATTR_DFLT_VALUE, "FpgaCnfg");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG, ATTR_WIDTH, 57);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_52
    PANEL_FPGA_TEXTMSG_52 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 77, 142);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_52, ATTR_CONSTANT_NAME, "TEXTMSG_52");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_52, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_52, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_52, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_52, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_52, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_52, ATTR_TEXT_COLOR, 0X003399);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_52, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_52, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_52, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_52, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_52, ATTR_TEXT_POINT_SIZE, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_52, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_52, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_52, ATTR_DFLT_VALUE, "FpgaReset");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_52);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_52, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_52, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_52, ATTR_WIDTH, 64);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_52, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_52, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_52, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_53
    PANEL_FPGA_TEXTMSG_53 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 77, 229);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_53, ATTR_CONSTANT_NAME, "TEXTMSG_53");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_53, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_53, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_53, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_53, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_53, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_53, ATTR_TEXT_COLOR, 0X003399);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_53, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_53, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_53, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_53, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_53, ATTR_TEXT_POINT_SIZE, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_53, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_53, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_53, ATTR_DFLT_VALUE, "VmeDspReset");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_53);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_53, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_53, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_53, ATTR_WIDTH, 82);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_53, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_53, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_53, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_54
    PANEL_FPGA_TEXTMSG_54 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 77, 332);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_54, ATTR_CONSTANT_NAME, "TEXTMSG_54");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_54, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_54, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_54, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_54, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_54, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_54, ATTR_TEXT_COLOR, 0X003399);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_54, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_54, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_54, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_54, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_54, ATTR_TEXT_POINT_SIZE, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_54, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_54, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_54, ATTR_DFLT_VALUE, "FpgaInit");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_54);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_54, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_54, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_54, ATTR_WIDTH, 49);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_54, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_54, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_54, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_98
    PANEL_FPGA_TEXTMSG_98 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 77, 434);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_98, ATTR_CONSTANT_NAME, "TEXTMSG_98");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_98, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_98, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_98, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_98, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_98, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_98, ATTR_TEXT_COLOR, 0X003399);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_98, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_98, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_98, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_98, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_98, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_98, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_98, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_98, ATTR_DFLT_VALUE, "Flash");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_98);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_98, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_98, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_98, ATTR_WIDTH, 33);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_98, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_98, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_98, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_120
    PANEL_FPGA_TEXTMSG_120 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 77, 512);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_120, ATTR_CONSTANT_NAME, "TEXTMSG_120");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_120, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_120, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_120, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_120, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_120, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_120, ATTR_TEXT_COLOR, 0X003399);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_120, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_120, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_120, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_120, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_120, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_120, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_120, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_120, ATTR_DFLT_VALUE, "FlpgaHalt");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_120);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_120, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_120, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_120, ATTR_WIDTH, 57);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_120, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_120, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_120, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_107
    PANEL_FPGA_TEXTMSG_107 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 278, 445);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_107, ATTR_CONSTANT_NAME, "TEXTMSG_107");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_107, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_107, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_107, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_107, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_107, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_107, ATTR_TEXT_COLOR, 0X003399);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_107, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_107, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_107, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_107, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_107, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_107, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_107, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_107, ATTR_DFLT_VALUE, "Flash");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_107);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_107, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_107, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_107, ATTR_WIDTH, 33);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_107, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_107, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_107, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_89
    PANEL_FPGA_TEXTMSG_89 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 278, 303);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_89, ATTR_CONSTANT_NAME, "TEXTMSG_89");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_89, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_89, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_89, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_89, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_89, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_89, ATTR_TEXT_COLOR, 0X003399);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_89, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_89, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_89, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_89, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_89, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_89, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_89, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_89, ATTR_DFLT_VALUE, "VmeDspReset");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_89);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_89, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_89, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_89, ATTR_WIDTH, 82);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_89, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_89, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_89, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_88
    PANEL_FPGA_TEXTMSG_88 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 278, 180);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_88, ATTR_CONSTANT_NAME, "TEXTMSG_88");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_88, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_88, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_88, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_88, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_88, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_88, ATTR_TEXT_COLOR, 0X003399);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_88, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_88, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_88, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_88, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_88, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_88, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_88, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_88, ATTR_DFLT_VALUE, "FpgaReset");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_88);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_88, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_88, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_88, ATTR_WIDTH, 64);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_88, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_88, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_88, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_121
    PANEL_FPGA_TEXTMSG_121 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 261, 283);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_121, ATTR_CONSTANT_NAME, "TEXTMSG_121");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_121, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_121, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_121, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_121, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_121, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_121, ATTR_TEXT_COLOR, 0X303030);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_121, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_121, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_121, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_121, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_121, ATTR_TEXT_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_121, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_121, ATTR_TEXT_BGCOLOR, 0XB7C1CA);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_121, ATTR_DFLT_VALUE, " CONTROL ");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_121);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_121, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_121, ATTR_HEIGHT, 18);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_121, ATTR_WIDTH, 74);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_121, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_121, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_121, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_DECORATION_2
    PANEL_FPGA_DECORATION_2 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 268, 7);
    SetCtrlAttribute (hPanel, PANEL_FPGA_DECORATION_2, ATTR_CONSTANT_NAME, "DECORATION_2");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_DECORATION_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_DECORATION_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_DECORATION_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_DECORATION_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_DECORATION_2, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_DECORATION_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, PANEL_FPGA_DECORATION_2, ATTR_HEIGHT, 192);
    SetCtrlAttribute (hPanel, PANEL_FPGA_DECORATION_2, ATTR_WIDTH, 605);

    // Build control: PANEL_FPGA_DECORATION
    PANEL_FPGA_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 67, 7);
    SetCtrlAttribute (hPanel, PANEL_FPGA_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_DECORATION, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, PANEL_FPGA_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, PANEL_FPGA_DECORATION, ATTR_HEIGHT, 192);
    SetCtrlAttribute (hPanel, PANEL_FPGA_DECORATION, ATTR_WIDTH, 605);

    // Build control: PANEL_FPGA_TEXTMSG_87
    PANEL_FPGA_TEXTMSG_87 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 277, 53);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_87, ATTR_CONSTANT_NAME, "TEXTMSG_87");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_87, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_87, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_87, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_87, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_87, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_87, ATTR_TEXT_COLOR, 0X003399);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_87, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_87, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_87, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_87, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_87, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_87, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_87, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_87, ATTR_DFLT_VALUE, "FpgaCnfg");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_87);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_87, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_87, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_87, ATTR_WIDTH, 57);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_87, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_87, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_87, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_2
    PANEL_FPGA_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 60, 288);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_2, ATTR_TEXT_COLOR, 0X303030);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_2, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_2, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_2, ATTR_TEXT_BGCOLOR, 0XB7C1CA);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_2, ATTR_DFLT_VALUE, " STATUS ");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_2, ATTR_HEIGHT, 18);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_2, ATTR_WIDTH, 63);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_FPGA_TEXTMSG_3
    PANEL_FPGA_TEXTMSG_3 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 39, 370);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_3, ATTR_CONSTANT_NAME, "TEXTMSG_3");
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_3, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_3, ATTR_TEXT_BGCOLOR, 0XB7C1CA);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_3, ATTR_DFLT_VALUE, "S6");
    DefaultCtrl (hPanel, PANEL_FPGA_TEXTMSG_3);
//  SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_3, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_3, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_3, ATTR_WIDTH, 16);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_3, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_3, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_FPGA_TEXTMSG_3, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_3, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_121, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_2, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, PANEL_FPGA_DECORATION_2, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, PANEL_FPGA_DECORATION, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_1, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_7, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_6, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_5, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_4, ATTR_ZPLANE_POSITION, 14);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_3, ATTR_ZPLANE_POSITION, 15);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_2, ATTR_ZPLANE_POSITION, 16);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_ZPLANE_POSITION, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_1, ATTR_ZPLANE_POSITION, 18);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_7, ATTR_ZPLANE_POSITION, 19);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_6, ATTR_ZPLANE_POSITION, 20);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_5, ATTR_ZPLANE_POSITION, 21);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_4, ATTR_ZPLANE_POSITION, 22);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_3, ATTR_ZPLANE_POSITION, 23);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_2, ATTR_ZPLANE_POSITION, 24);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_0, ATTR_ZPLANE_POSITION, 25);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_1, ATTR_ZPLANE_POSITION, 26);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_7, ATTR_ZPLANE_POSITION, 27);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_6, ATTR_ZPLANE_POSITION, 28);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_5, ATTR_ZPLANE_POSITION, 29);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_4, ATTR_ZPLANE_POSITION, 30);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_3, ATTR_ZPLANE_POSITION, 31);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_2, ATTR_ZPLANE_POSITION, 32);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_120, ATTR_ZPLANE_POSITION, 33);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_119, ATTR_ZPLANE_POSITION, 34);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_118, ATTR_ZPLANE_POSITION, 35);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_117, ATTR_ZPLANE_POSITION, 36);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_116, ATTR_ZPLANE_POSITION, 37);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_115, ATTR_ZPLANE_POSITION, 38);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_114, ATTR_ZPLANE_POSITION, 39);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_113, ATTR_ZPLANE_POSITION, 40);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_112, ATTR_ZPLANE_POSITION, 41);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_ZPLANE_POSITION, 42);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_ZPLANE_POSITION, 43);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_ZPLANE_POSITION, 44);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_ZPLANE_POSITION, 45);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_ZPLANE_POSITION, 46);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_ZPLANE_POSITION, 47);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_ZPLANE_POSITION, 48);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_ZPLANE_POSITION, 49);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_ZPLANE_POSITION, 50);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_111, ATTR_ZPLANE_POSITION, 51);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_ZPLANE_POSITION, 52);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_ZPLANE_POSITION, 53);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_109, ATTR_ZPLANE_POSITION, 54);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_ZPLANE_POSITION, 55);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_107, ATTR_ZPLANE_POSITION, 56);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_106, ATTR_ZPLANE_POSITION, 57);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_105, ATTR_ZPLANE_POSITION, 58);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_104, ATTR_ZPLANE_POSITION, 59);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_103, ATTR_ZPLANE_POSITION, 60);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_102, ATTR_ZPLANE_POSITION, 61);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_101, ATTR_ZPLANE_POSITION, 62);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_100, ATTR_ZPLANE_POSITION, 63);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_99, ATTR_ZPLANE_POSITION, 64);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_ZPLANE_POSITION, 65);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_ZPLANE_POSITION, 66);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_ZPLANE_POSITION, 67);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_ZPLANE_POSITION, 68);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_ZPLANE_POSITION, 69);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_ZPLANE_POSITION, 70);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_ZPLANE_POSITION, 71);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_ZPLANE_POSITION, 72);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_ZPLANE_POSITION, 73);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_98, ATTR_ZPLANE_POSITION, 74);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_97, ATTR_ZPLANE_POSITION, 75);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_96, ATTR_ZPLANE_POSITION, 76);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_95, ATTR_ZPLANE_POSITION, 77);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_94, ATTR_ZPLANE_POSITION, 78);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_93, ATTR_ZPLANE_POSITION, 79);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_92, ATTR_ZPLANE_POSITION, 80);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_91, ATTR_ZPLANE_POSITION, 81);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_90, ATTR_ZPLANE_POSITION, 82);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_ZPLANE_POSITION, 83);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_ZPLANE_POSITION, 84);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_ZPLANE_POSITION, 85);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_ZPLANE_POSITION, 86);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_ZPLANE_POSITION, 87);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_ZPLANE_POSITION, 88);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_ZPLANE_POSITION, 89);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_ZPLANE_POSITION, 90);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_ZPLANE_POSITION, 91);
    SetCtrlAttribute (hPanel, PANEL_FPGA_READ_REG, ATTR_ZPLANE_POSITION, 92);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_0, ATTR_ZPLANE_POSITION, 93);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_89, ATTR_ZPLANE_POSITION, 94);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_88, ATTR_ZPLANE_POSITION, 95);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_87, ATTR_ZPLANE_POSITION, 96);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_78, ATTR_ZPLANE_POSITION, 97);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_77, ATTR_ZPLANE_POSITION, 98);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_76, ATTR_ZPLANE_POSITION, 99);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_75, ATTR_ZPLANE_POSITION, 100);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_74, ATTR_ZPLANE_POSITION, 101);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_73, ATTR_ZPLANE_POSITION, 102);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_72, ATTR_ZPLANE_POSITION, 103);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_71, ATTR_ZPLANE_POSITION, 104);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_ZPLANE_POSITION, 105);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_ZPLANE_POSITION, 106);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_ZPLANE_POSITION, 107);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_ZPLANE_POSITION, 108);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_ZPLANE_POSITION, 109);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_ZPLANE_POSITION, 110);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_ZPLANE_POSITION, 111);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_ZPLANE_POSITION, 112);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_ZPLANE_POSITION, 113);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_70, ATTR_ZPLANE_POSITION, 114);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_69, ATTR_ZPLANE_POSITION, 115);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_68, ATTR_ZPLANE_POSITION, 116);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_67, ATTR_ZPLANE_POSITION, 117);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_66, ATTR_ZPLANE_POSITION, 118);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_65, ATTR_ZPLANE_POSITION, 119);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_64, ATTR_ZPLANE_POSITION, 120);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_63, ATTR_ZPLANE_POSITION, 121);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_ZPLANE_POSITION, 122);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_ZPLANE_POSITION, 123);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_ZPLANE_POSITION, 124);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_ZPLANE_POSITION, 125);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_ZPLANE_POSITION, 126);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_ZPLANE_POSITION, 127);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_ZPLANE_POSITION, 128);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_ZPLANE_POSITION, 129);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_ZPLANE_POSITION, 130);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_62, ATTR_ZPLANE_POSITION, 131);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_61, ATTR_ZPLANE_POSITION, 132);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_60, ATTR_ZPLANE_POSITION, 133);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_59, ATTR_ZPLANE_POSITION, 134);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_58, ATTR_ZPLANE_POSITION, 135);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_57, ATTR_ZPLANE_POSITION, 136);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_56, ATTR_ZPLANE_POSITION, 137);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_55, ATTR_ZPLANE_POSITION, 138);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_ZPLANE_POSITION, 139);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_ZPLANE_POSITION, 140);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_ZPLANE_POSITION, 141);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_ZPLANE_POSITION, 142);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_ZPLANE_POSITION, 143);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_ZPLANE_POSITION, 144);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_ZPLANE_POSITION, 145);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_ZPLANE_POSITION, 146);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_ZPLANE_POSITION, 147);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_54, ATTR_ZPLANE_POSITION, 148);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_53, ATTR_ZPLANE_POSITION, 149);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_52, ATTR_ZPLANE_POSITION, 150);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG, ATTR_ZPLANE_POSITION, 151);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_51, ATTR_ZPLANE_POSITION, 152);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_50, ATTR_ZPLANE_POSITION, 153);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_49, ATTR_ZPLANE_POSITION, 154);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_48, ATTR_ZPLANE_POSITION, 155);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_47, ATTR_ZPLANE_POSITION, 156);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_46, ATTR_ZPLANE_POSITION, 157);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_45, ATTR_ZPLANE_POSITION, 158);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_44, ATTR_ZPLANE_POSITION, 159);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_ZPLANE_POSITION, 160);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_ZPLANE_POSITION, 161);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_ZPLANE_POSITION, 162);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_ZPLANE_POSITION, 163);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_ZPLANE_POSITION, 164);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_ZPLANE_POSITION, 165);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_ZPLANE_POSITION, 166);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_ZPLANE_POSITION, 167);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_ZPLANE_POSITION, 168);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_43, ATTR_ZPLANE_POSITION, 169);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_42, ATTR_ZPLANE_POSITION, 170);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_41, ATTR_ZPLANE_POSITION, 171);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_40, ATTR_ZPLANE_POSITION, 172);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_39, ATTR_ZPLANE_POSITION, 173);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_38, ATTR_ZPLANE_POSITION, 174);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_37, ATTR_ZPLANE_POSITION, 175);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_36, ATTR_ZPLANE_POSITION, 176);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_ZPLANE_POSITION, 177);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_ZPLANE_POSITION, 178);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_ZPLANE_POSITION, 179);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_ZPLANE_POSITION, 180);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_ZPLANE_POSITION, 181);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_ZPLANE_POSITION, 182);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_ZPLANE_POSITION, 183);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_ZPLANE_POSITION, 184);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_ZPLANE_POSITION, 185);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_35, ATTR_ZPLANE_POSITION, 186);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_34, ATTR_ZPLANE_POSITION, 187);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_33, ATTR_ZPLANE_POSITION, 188);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_32, ATTR_ZPLANE_POSITION, 189);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_31, ATTR_ZPLANE_POSITION, 190);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_30, ATTR_ZPLANE_POSITION, 191);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_29, ATTR_ZPLANE_POSITION, 192);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_28, ATTR_ZPLANE_POSITION, 193);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_ZPLANE_POSITION, 194);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_ZPLANE_POSITION, 195);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_ZPLANE_POSITION, 196);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_ZPLANE_POSITION, 197);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_ZPLANE_POSITION, 198);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_ZPLANE_POSITION, 199);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_ZPLANE_POSITION, 200);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_ZPLANE_POSITION, 201);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_ZPLANE_POSITION, 202);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_27, ATTR_ZPLANE_POSITION, 203);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_26, ATTR_ZPLANE_POSITION, 204);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_25, ATTR_ZPLANE_POSITION, 205);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_24, ATTR_ZPLANE_POSITION, 206);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_23, ATTR_ZPLANE_POSITION, 207);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_22, ATTR_ZPLANE_POSITION, 208);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_21, ATTR_ZPLANE_POSITION, 209);
    SetCtrlAttribute (hPanel, PANEL_FPGA_TEXTMSG_20, ATTR_ZPLANE_POSITION, 210);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_ZPLANE_POSITION, 211);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_ZPLANE_POSITION, 212);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_ZPLANE_POSITION, 213);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_ZPLANE_POSITION, 214);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_ZPLANE_POSITION, 215);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_ZPLANE_POSITION, 216);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_ZPLANE_POSITION, 217);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_ZPLANE_POSITION, 218);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_ZPLANE_POSITION, 219);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, PANEL_FPGA_READ_REG, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_8, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_4, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_0, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_1, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_2, ATTR_CTRL_TAB_POSITION, 6);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_3, ATTR_CTRL_TAB_POSITION, 7);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_4, ATTR_CTRL_TAB_POSITION, 8);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_5, ATTR_CTRL_TAB_POSITION, 9);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_6, ATTR_CTRL_TAB_POSITION, 10);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_3_BIT_7, ATTR_CTRL_TAB_POSITION, 11);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2, ATTR_CTRL_TAB_POSITION, 12);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_0, ATTR_CTRL_TAB_POSITION, 13);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_1, ATTR_CTRL_TAB_POSITION, 14);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_2, ATTR_CTRL_TAB_POSITION, 15);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_3, ATTR_CTRL_TAB_POSITION, 16);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_7, ATTR_CTRL_TAB_POSITION, 17);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_10, ATTR_CTRL_TAB_POSITION, 18);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_9, ATTR_CTRL_TAB_POSITION, 19);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_6, ATTR_CTRL_TAB_POSITION, 20);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_4, ATTR_CTRL_TAB_POSITION, 21);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_5, ATTR_CTRL_TAB_POSITION, 22);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_6, ATTR_CTRL_TAB_POSITION, 23);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_2_BIT_7, ATTR_CTRL_TAB_POSITION, 24);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_0, ATTR_CTRL_TAB_POSITION, 25);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1, ATTR_CTRL_TAB_POSITION, 26);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_1, ATTR_CTRL_TAB_POSITION, 27);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_2, ATTR_CTRL_TAB_POSITION, 28);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_3, ATTR_CTRL_TAB_POSITION, 29);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_4, ATTR_CTRL_TAB_POSITION, 30);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_5, ATTR_CTRL_TAB_POSITION, 31);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_6, ATTR_CTRL_TAB_POSITION, 32);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_1_BIT_7, ATTR_CTRL_TAB_POSITION, 33);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_0, ATTR_CTRL_TAB_POSITION, 34);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_1, ATTR_CTRL_TAB_POSITION, 35);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_2, ATTR_CTRL_TAB_POSITION, 36);
    SetCtrlAttribute (hPanel, PANEL_FPGA_SLOT_NUMBER, ATTR_CTRL_TAB_POSITION, 37);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0, ATTR_CTRL_TAB_POSITION, 38);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_3, ATTR_CTRL_TAB_POSITION, 39);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_4, ATTR_CTRL_TAB_POSITION, 40);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_5, ATTR_CTRL_TAB_POSITION, 41);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_6, ATTR_CTRL_TAB_POSITION, 42);
    SetCtrlAttribute (hPanel, PANEL_FPGA_CONTROL_0_BIT_7, ATTR_CTRL_TAB_POSITION, 43);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5, ATTR_CTRL_TAB_POSITION, 44);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_0, ATTR_CTRL_TAB_POSITION, 45);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_1, ATTR_CTRL_TAB_POSITION, 46);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_2, ATTR_CTRL_TAB_POSITION, 47);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_3, ATTR_CTRL_TAB_POSITION, 48);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_4, ATTR_CTRL_TAB_POSITION, 49);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_5, ATTR_CTRL_TAB_POSITION, 50);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_6, ATTR_CTRL_TAB_POSITION, 51);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_5_BIT_7, ATTR_CTRL_TAB_POSITION, 52);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_8, ATTR_CTRL_TAB_POSITION, 53);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4, ATTR_CTRL_TAB_POSITION, 54);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_0, ATTR_CTRL_TAB_POSITION, 55);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_1, ATTR_CTRL_TAB_POSITION, 56);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_2, ATTR_CTRL_TAB_POSITION, 57);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_3, ATTR_CTRL_TAB_POSITION, 58);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_4, ATTR_CTRL_TAB_POSITION, 59);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_5, ATTR_CTRL_TAB_POSITION, 60);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_6, ATTR_CTRL_TAB_POSITION, 61);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_4_BIT_7, ATTR_CTRL_TAB_POSITION, 62);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3, ATTR_CTRL_TAB_POSITION, 63);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_0, ATTR_CTRL_TAB_POSITION, 64);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_1, ATTR_CTRL_TAB_POSITION, 65);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_2, ATTR_CTRL_TAB_POSITION, 66);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_3, ATTR_CTRL_TAB_POSITION, 67);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_4, ATTR_CTRL_TAB_POSITION, 68);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_5, ATTR_CTRL_TAB_POSITION, 69);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_6, ATTR_CTRL_TAB_POSITION, 70);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_3_BIT_7, ATTR_CTRL_TAB_POSITION, 71);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_0, ATTR_CTRL_TAB_POSITION, 72);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_1, ATTR_CTRL_TAB_POSITION, 73);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_2, ATTR_CTRL_TAB_POSITION, 74);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_3, ATTR_CTRL_TAB_POSITION, 75);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_4, ATTR_CTRL_TAB_POSITION, 76);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2, ATTR_CTRL_TAB_POSITION, 77);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_5, ATTR_CTRL_TAB_POSITION, 78);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_6, ATTR_CTRL_TAB_POSITION, 79);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_2_BIT_7, ATTR_CTRL_TAB_POSITION, 80);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1, ATTR_CTRL_TAB_POSITION, 81);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_0, ATTR_CTRL_TAB_POSITION, 82);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_1, ATTR_CTRL_TAB_POSITION, 83);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_2, ATTR_CTRL_TAB_POSITION, 84);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_3, ATTR_CTRL_TAB_POSITION, 85);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_4, ATTR_CTRL_TAB_POSITION, 86);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_5, ATTR_CTRL_TAB_POSITION, 87);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_6, ATTR_CTRL_TAB_POSITION, 88);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_1_BIT_7, ATTR_CTRL_TAB_POSITION, 89);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_0, ATTR_CTRL_TAB_POSITION, 90);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_1, ATTR_CTRL_TAB_POSITION, 91);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_2, ATTR_CTRL_TAB_POSITION, 92);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_3, ATTR_CTRL_TAB_POSITION, 93);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_4, ATTR_CTRL_TAB_POSITION, 94);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_5, ATTR_CTRL_TAB_POSITION, 95);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0, ATTR_CTRL_TAB_POSITION, 96);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_6, ATTR_CTRL_TAB_POSITION, 97);
    SetCtrlAttribute (hPanel, PANEL_FPGA_STAT_0_BIT_7, ATTR_CTRL_TAB_POSITION, 98);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_1, ATTR_CTRL_TAB_POSITION, 99);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_7, ATTR_CTRL_TAB_POSITION, 100);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_6, ATTR_CTRL_TAB_POSITION, 101);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_5, ATTR_CTRL_TAB_POSITION, 102);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_4, ATTR_CTRL_TAB_POSITION, 103);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_3, ATTR_CTRL_TAB_POSITION, 104);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_2, ATTR_CTRL_TAB_POSITION, 105);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM2_BUTT_0, ATTR_CTRL_TAB_POSITION, 106);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_1, ATTR_CTRL_TAB_POSITION, 107);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_7, ATTR_CTRL_TAB_POSITION, 108);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_6, ATTR_CTRL_TAB_POSITION, 109);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_5, ATTR_CTRL_TAB_POSITION, 110);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_4, ATTR_CTRL_TAB_POSITION, 111);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_3, ATTR_CTRL_TAB_POSITION, 112);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_2, ATTR_CTRL_TAB_POSITION, 113);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM1_BUTT_0, ATTR_CTRL_TAB_POSITION, 114);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_1, ATTR_CTRL_TAB_POSITION, 115);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_7, ATTR_CTRL_TAB_POSITION, 116);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_6, ATTR_CTRL_TAB_POSITION, 117);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_5, ATTR_CTRL_TAB_POSITION, 118);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_4, ATTR_CTRL_TAB_POSITION, 119);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_3, ATTR_CTRL_TAB_POSITION, 120);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_2, ATTR_CTRL_TAB_POSITION, 121);
    SetCtrlAttribute (hPanel, PANEL_FPGA_COM0_BUTT_0, ATTR_CTRL_TAB_POSITION, 122);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(498*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(620*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(48*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(30*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_TOP, VAL_AUTO_CENTER);
    SetPanelAttribute (hPanel, ATTR_LEFT, VAL_AUTO_CENTER);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    buildMenu_fpgaStatus (hPanel);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildMenu_flash ():  Build UI object FLASH_MENU; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildMenu_flash (int hParentPanel)
{
    int hMenubar;
    int error = 0;

    // Create the menubar
    hMenubar = NewMenuBar (hParentPanel);
    SetMenuBarAttribute (hMenubar, 0, ATTR_CONSTANT_NAME, "FLASH_MENU");

    // Build menu: FLASH_MENU_GOTO_MAIN
    FLASH_MENU_GOTO_MAIN = NewMenu (hMenubar, "MainPanel", -1);
    SetMenuBarAttribute (hMenubar, FLASH_MENU_GOTO_MAIN, ATTR_CONSTANT_NAME, "GOTO_MAIN");
//  SetMenuBarAttribute (hMenubar, FLASH_MENU_GOTO_MAIN, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, FLASH_MENU_GOTO_MAIN, ATTR_CALLBACK_FUNCTION_POINTER, flashMenu);

    // Build menu: FLASH_MENU_SAVE_SETTINGS
    FLASH_MENU_SAVE_SETTINGS = NewMenu (hMenubar, "SaveCurrentSettings", -1);
    SetMenuBarAttribute (hMenubar, FLASH_MENU_SAVE_SETTINGS, ATTR_CONSTANT_NAME, "SAVE_SETTINGS");
//  SetMenuBarAttribute (hMenubar, FLASH_MENU_SAVE_SETTINGS, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, FLASH_MENU_SAVE_SETTINGS, ATTR_CALLBACK_FUNCTION_POINTER, flashMenu);

    // Build menu: FLASH_MENU_LOAD_SETTINGS
    FLASH_MENU_LOAD_SETTINGS = NewMenu (hMenubar, "LoadSettings", -1);
    SetMenuBarAttribute (hMenubar, FLASH_MENU_LOAD_SETTINGS, ATTR_CONSTANT_NAME, "LOAD_SETTINGS");
//  SetMenuBarAttribute (hMenubar, FLASH_MENU_LOAD_SETTINGS, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, FLASH_MENU_LOAD_SETTINGS, ATTR_CALLBACK_FUNCTION_POINTER, flashMenu);

    // Build menu: FLASH_MENU_VIEW_BIN_FILE
    FLASH_MENU_VIEW_BIN_FILE = NewMenu (hMenubar, "ViewBinFile", -1);
    SetMenuBarAttribute (hMenubar, FLASH_MENU_VIEW_BIN_FILE, ATTR_CONSTANT_NAME, "VIEW_BIN_FILE");
//  SetMenuBarAttribute (hMenubar, FLASH_MENU_VIEW_BIN_FILE, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, FLASH_MENU_VIEW_BIN_FILE, ATTR_CALLBACK_FUNCTION_POINTER, flashMenu);

    // Build menu: FLASH_MENU_CLOSE_WINDOW
    FLASH_MENU_CLOSE_WINDOW = NewMenu (hMenubar, "Hide", -1);
    SetMenuBarAttribute (hMenubar, FLASH_MENU_CLOSE_WINDOW, ATTR_CONSTANT_NAME, "CLOSE_WINDOW");
//  SetMenuBarAttribute (hMenubar, FLASH_MENU_CLOSE_WINDOW, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, FLASH_MENU_CLOSE_WINDOW, ATTR_CALLBACK_FUNCTION_POINTER, flashMenu);

    //We're done!
    return hMenubar;
Error:
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildMenu_fpgaStatus ():  Build UI object FPGA_MENU; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildMenu_fpgaStatus (int hParentPanel)
{
    int hMenubar;
    int error = 0;

    // Create the menubar
    hMenubar = NewMenuBar (hParentPanel);
    SetMenuBarAttribute (hMenubar, 0, ATTR_CONSTANT_NAME, "FPGA_MENU");

    // Build menu: FPGA_MENU_GOTO_MAIN
    FPGA_MENU_GOTO_MAIN = NewMenu (hMenubar, "MainPanel", -1);
    SetMenuBarAttribute (hMenubar, FPGA_MENU_GOTO_MAIN, ATTR_CONSTANT_NAME, "GOTO_MAIN");
//  SetMenuBarAttribute (hMenubar, FPGA_MENU_GOTO_MAIN, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, FPGA_MENU_GOTO_MAIN, ATTR_CALLBACK_FUNCTION_POINTER, fpgaMenu);

    // Build menu: FPGA_MENU_CLOSE_WINDOW
    FPGA_MENU_CLOSE_WINDOW = NewMenu (hMenubar, "Hide", -1);
    SetMenuBarAttribute (hMenubar, FPGA_MENU_CLOSE_WINDOW, ATTR_CONSTANT_NAME, "CLOSE_WINDOW");
//  SetMenuBarAttribute (hMenubar, FPGA_MENU_CLOSE_WINDOW, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, FPGA_MENU_CLOSE_WINDOW, ATTR_CALLBACK_FUNCTION_POINTER, fpgaMenu);

    //We're done!
    return hMenubar;
Error:
    return error;
}
