
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------
//
//  "uiMain.c"
//
//  Implementation file for UI build functions
//
//  Date: 11-07-2004
//
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------

//----------------------------------------------------------------------------------------------------
//  Include header files
//----------------------------------------------------------------------------------------------------

#include "uiMain.h"
#include <Utility.h> // definition of NULL
#include "toolbox.h" // definition of errChk macro

extern int CVIFUNC_C GetUserBitmapFromText (char *imageText, int version, int *bitmapId); // needed if there are bitmaps
extern int CVIFUNC_C NewActiveXCtrlFromPersistence (int panel, const char *ctrlLabel,
                                                    int top, int left, char *defaultIID,
                                                    int binaryFormat, char *persistenceText,
                                                    HRESULT *activeXError); // needed if there are ActiveX controls

//----------------------------------------------------------------------------------------------------
//  Prototype UI build functions.
//----------------------------------------------------------------------------------------------------

int buildPanel_cmdListStatus (int hParentPanel);
int buildPanel_dspMonitor (int hParentPanel);
int buildPanel_rodDevil (int hParentPanel);
int buildPanel_graph (int hParentPanel);
int buildPanel_main (int hParentPanel);
int buildPanel_rodSelect (int hParentPanel);
int buildPanel_rod (int hParentPanel);
int buildPanel_textBuffer (int hParentPanel);
int buildMenu_cmdListStatus (int hParentPanel);
int buildMenu_dspMonitor (int hParentPanel);
int buildMenu_main (int hParentPanel);
int buildMenu_rod (int hParentPanel);
int buildMenu_textBuffer (int hParentPanel);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: CLISTP
// ------------------------------------------------------------------------------------------------

// Control: CLISTP_LIST_FILE
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_SEND_LIST
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_NUM_OF_LIST_REP
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_EDIT_CLIST
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_RESET_CMDREP
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_RESET_REP_LIST_NUM
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_RESUME_CTRL_THREAD
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CLISTP_RESET_CTRL_THREAD
int CVICALLBACK commandButtons (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: DSPMONP
// ------------------------------------------------------------------------------------------------

// Control: DSPMONP_STATUS_REG_2
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_STATUS_REG_1
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_HCMD_REG
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_TRAP_CMD_STAT
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_INTR_DSP_HSHK_WR
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_INTR_DSP_HSHK_RD
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RESERVED_REG_4
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RESERVED_REG_5
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RESERVED_REG_6
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_TASK_STATE_REG
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RESERVED_REG_2
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RESERVED_REG_3
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RESERVED_REG_1
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RESERVED_REG_0
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_HSTAT_REG_1
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_HSTAT_REG_0
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_HCMD_STAT_REG_1
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_HCMD_STAT_REG_0
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_LOOP_REG
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_TRAPSTAT_REG_1
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_TRAPSTAT_REG_0
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_DIAGNOSTIC_REG
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_COMMAND_REG_0
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_STATUS_REG_0
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_EDIT_FIELD
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_31
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_30
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_29
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_31
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_30
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_29
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_28
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_27
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_26
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_25
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_23
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_24
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_22
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_21
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_20
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_19
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_18
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_15
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_17
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_16
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_14
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_13
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_12
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_11
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_7
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_10
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_9
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_8
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_6
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_5
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_4
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_3
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_2
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_1
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_RBIT_0
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_28
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_27
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_26
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_24
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_25
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_23
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_22
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_21
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_20
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_19
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_18
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_16
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_17
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_7
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_15
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_6
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_14
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_5
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_13
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_4
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_12
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_3
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_11
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_2
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_10
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_COPY
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_WRITE
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_VIEW_CRDH
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_READ_REGS
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_0
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_8
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_1
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_BIT_9
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: DSPMONP_REGISTERS_RING_READ
int CVICALLBACK dspMonitor (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: ERROR_PAN
// ------------------------------------------------------------------------------------------------

// Control: ERROR_PAN_NO
int CVICALLBACK shutErrorPanel (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ERROR_PAN_OK
int CVICALLBACK shutErrorPanel (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: GRAPHP
// ------------------------------------------------------------------------------------------------

// Control: GRAPHP_CLOSE
int CVICALLBACK closeGraph (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: MAIN
// ------------------------------------------------------------------------------------------------

// Control: MAIN_COMM_LOOP_PRIOR
int CVICALLBACK setThreadPriorityOpt (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_VME_BYTE_ORDER
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_UIR_PRIORITY
int CVICALLBACK setThreadPriorityOpt (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_TEXTBUFF_TIMEOUT
int CVICALLBACK setTimeout (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_CONTROL_PRIOR
int CVICALLBACK setThreadPriorityOpt (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_EDIT_PLIST
int CVICALLBACK sendListToAll (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_EDIT_CLIST
int CVICALLBACK sendListToAll (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_DEL_CLIST_FROM_RING
int CVICALLBACK commandRingFunc (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_ADD_CLIST_TO_RING
int CVICALLBACK commandRingFunc (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_DEL_PLIST_FROM_RING
int CVICALLBACK primRingFunc (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_ADD_PLIST_TO_RING
int CVICALLBACK primRingFunc (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_DSP_MONITOR_PERIOD
int CVICALLBACK setTimeout (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_FPGA_MONITOR_PERIOD
int CVICALLBACK setTimeout (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_REFRESH_PERIOD
int CVICALLBACK setTimeout (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_ROD_INIT_TIMEOUT
int CVICALLBACK setTimeout (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_DSP_ACK_CLEAR_TIMEOUT
int CVICALLBACK setTimeout (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_DEFAULT_SLOT
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_DSP_ACK_SET_TIMEOUT
int CVICALLBACK setTimeout (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_PLIST_RING
int CVICALLBACK primRingFunc (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_CLIST_RING
int CVICALLBACK commandRingFunc (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_DSP_SET_TIMEOUT
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_COMM_LOOP_RUNNING
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_CLIST_FILE
int CVICALLBACK sendListToAll (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_SEND_COMMAND_LIST
int CVICALLBACK sendListToAll (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_PLIST_FILE
int CVICALLBACK sendListToAll (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_SEND_LIST
int CVICALLBACK sendListToAll (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_HOSTS_RUNNING
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_RESET_ALL
int CVICALLBACK resetAllRods (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_SYS_RESET
int CVICALLBACK sysReset (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_RUN_RESMAN
int CVICALLBACK runResman (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_RST_CTRL
int CVICALLBACK resetAllControlThreads (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_REFRESH_DISP
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_CHECKSUM_SLAVE
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_DSP_MONITOR_REFRESH
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_CHECKSUM_MASTER
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_FPGA_MONITOR_REFRESH
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_SAVE_LISTS_OPTION
int CVICALLBACK globalOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: MAIN_ERROR_TIMER
int CVICALLBACK errorTimer (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: NEWROD_PN
// ------------------------------------------------------------------------------------------------

// Control: NEWROD_PN_CANCEL
int CVICALLBACK slotNumberWindow (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: NEWROD_PN_OK
int CVICALLBACK slotNumberWindow (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: NEWROD_PN_SELECT_ALL
int CVICALLBACK selectAll (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: ROD
// ------------------------------------------------------------------------------------------------

// Control: ROD_EDIT_PLIST
int CVICALLBACK sendList (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_REPEAT_BUILD_EXEC
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_LIST_FILE
int CVICALLBACK sendList (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_SEND_LIST
int CVICALLBACK sendList (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_NUMBER_OF_LIST_REP
int CVICALLBACK changeNumberOfListRep (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_RESET_REP_NUM
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_READ_STATUS
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_XFERBUFF_READRQ_OPT
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_WIN_SIZE
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_ERRBUFF_READRQ_OPT
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_INFOBUFF_READRQ_OPT
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_DIAGBUFF_READRQ_OPT
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_DMA_REQ_BUTTON
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_RESUME_BUTTON
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_PAUSE_BUTTON
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_ABORT_BUTTON
int CVICALLBACK hostOptions (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: ROD_HOST_RUNNING
int CVICALLBACK hostEnabledAndInit (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: TEXT_PANEL
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: CSTAT_MENU
// ------------------------------------------------------------------------------------------------

// Menu: CLEAR_STATUS_WINDOW
void CVICALLBACK commandStatusMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: OPEN_STATUS_FILE
void CVICALLBACK commandStatusMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: CMD_LIST_EDITOR
void CVICALLBACK commandStatusMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: CLOSE_WINDOW
void CVICALLBACK commandStatusMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: DSPMON
// ------------------------------------------------------------------------------------------------

// Menu: HIDE
void CVICALLBACK dspMonMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: MAIN_MENU
// ------------------------------------------------------------------------------------------------

// Menu: LOAD_ROD
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_PARAMS_SAVE_RINGS
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_PARAMS_LOAD_RINGS
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_PARAMS_SET
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_PARAMS_LOAD
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: SHOW_ERROR_FILE
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_LIST_EDIT_PRIM
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_LIST_EDIT_COMMAND
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_MEM_ACCESS_TIM
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_MEM_ACCESS_VME
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_MEM_ACCESS_MASTER_DSP
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_MEM_ACCESS_SLAVE_DSP
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_MEM_ACCESS_FPGA
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_MEM_ACCESS_FLASH
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: MAIN_MENU_MEM_ACCESS_VIEW_BIN_FI
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: QUIT
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: HELP
void CVICALLBACK mainMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: RODN_MENU
// ------------------------------------------------------------------------------------------------

// Menu: GO_TO_MAIN
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: RODN_MENU_LIST_EDIT_PRIM
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: RODN_MENU_LIST_EDIT_COMMAND
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: RODN_MENU_SHOW_TXT_WIND_ERROR
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: RODN_MENU_SHOW_TXT_WIND_INFO
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: RODN_MENU_SHOW_TXT_WIND_DIAG
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: RODN_MENU_SHOW_TXT_WIND_XFER
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: COMMAND_WINDOW
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: DSP_MON
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: ROD_DATA
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu item: RODN_MENU_RESET_ROD
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: EXIT_ROD
void CVICALLBACK hostMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: TXT_BUFF
// ------------------------------------------------------------------------------------------------

// Menu: CLEAR_WINDOW
void CVICALLBACK txtBuffWindowMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: OPEN_TXT_FILE
void CVICALLBACK txtBuffWindowMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: CLOSE_WINDOW
void CVICALLBACK txtBuffWindowMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);


//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  CLISTP
// ------------------------------------------------------------------------------------------------

int CLISTP_COMMAND_RING                      = 0;  // control identifier
int CLISTP_HOST_INDEX                        = 0;  // control identifier
int CLISTP_LIST_FILE                         = 0;  // control identifier
int CLISTP_SEND_LIST                         = 0;  // control identifier
int CLISTP_NUM_COMMANDS                      = 0;  // control identifier
int CLISTP_COMMAND_INDEX                     = 0;  // control identifier
int CLISTP_CMDREP                            = 0;  // control identifier
int CLISTP_CMDREP_COUNT                      = 0;  // control identifier
int CLISTP_LIST_REP_COUNTER                  = 0;  // control identifier
int CLISTP_NUM_OF_LIST_REP                   = 0;  // control identifier
int CLISTP_EDIT_CLIST                        = 0;  // control identifier
int CLISTP_RESET_CMDREP                      = 0;  // control identifier
int CLISTP_RESET_REP_LIST_NUM                = 0;  // control identifier
int CLISTP_STOPPED                           = 0;  // control identifier
int CLISTP_BUSY                              = 0;  // control identifier
int CLISTP_STATUS_BOX                        = 0;  // control identifier
int CLISTP_IF_ERROR                          = 0;  // control identifier
int CLISTP_RESUME_CTRL_THREAD                = 0;  // control identifier
int CLISTP_RESET_CTRL_THREAD                 = 0;  // control identifier
int CLISTP_DECORATION_12                     = 0;  // control identifier
int CLISTP_DECORATION                        = 0;  // control identifier
int CLISTP_TEXTMSG_3                         = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  DSPMONP
// ------------------------------------------------------------------------------------------------

int DSPMONP_SLOT_NUM                         = 0;  // control identifier
int DSPMONP_HOST_INDEX                       = 0;  // control identifier
int DSPMONP_STATUS_REG_2                     = 0;  // control identifier
int DSPMONP_STATUS_REG_1                     = 0;  // control identifier
int DSPMONP_HCMD_REG                         = 0;  // control identifier
int DSPMONP_TRAP_CMD_STAT                    = 0;  // control identifier
int DSPMONP_INTR_DSP_HSHK_WR                 = 0;  // control identifier
int DSPMONP_INTR_DSP_HSHK_RD                 = 0;  // control identifier
int DSPMONP_RESERVED_REG_4                   = 0;  // control identifier
int DSPMONP_RESERVED_REG_5                   = 0;  // control identifier
int DSPMONP_RESERVED_REG_6                   = 0;  // control identifier
int DSPMONP_TASK_STATE_REG                   = 0;  // control identifier
int DSPMONP_RESERVED_REG_2                   = 0;  // control identifier
int DSPMONP_RESERVED_REG_3                   = 0;  // control identifier
int DSPMONP_RESERVED_REG_1                   = 0;  // control identifier
int DSPMONP_RESERVED_REG_0                   = 0;  // control identifier
int DSPMONP_HSTAT_REG_1                      = 0;  // control identifier
int DSPMONP_HSTAT_REG_0                      = 0;  // control identifier
int DSPMONP_HCMD_STAT_REG_1                  = 0;  // control identifier
int DSPMONP_HCMD_STAT_REG_0                  = 0;  // control identifier
int DSPMONP_LOOP_REG                         = 0;  // control identifier
int DSPMONP_TRAPSTAT_REG_1                   = 0;  // control identifier
int DSPMONP_TRAPSTAT_REG_0                   = 0;  // control identifier
int DSPMONP_DIAGNOSTIC_REG                   = 0;  // control identifier
int DSPMONP_COMMAND_REG_0                    = 0;  // control identifier
int DSPMONP_STATUS_REG_0                     = 0;  // control identifier
int DSPMONP_CURR_VAL                         = 0;  // control identifier
int DSPMONP_EDIT_FIELD                       = 0;  // control identifier
int DSPMONP_BIT_31                           = 0;  // control identifier
int DSPMONP_BIT_30                           = 0;  // control identifier
int DSPMONP_BIT_29                           = 0;  // control identifier
int DSPMONP_RBIT_31                          = 0;  // control identifier
int DSPMONP_RBIT_30                          = 0;  // control identifier
int DSPMONP_RBIT_29                          = 0;  // control identifier
int DSPMONP_RBIT_28                          = 0;  // control identifier
int DSPMONP_RBIT_27                          = 0;  // control identifier
int DSPMONP_RBIT_26                          = 0;  // control identifier
int DSPMONP_RBIT_25                          = 0;  // control identifier
int DSPMONP_RBIT_23                          = 0;  // control identifier
int DSPMONP_RBIT_24                          = 0;  // control identifier
int DSPMONP_RBIT_22                          = 0;  // control identifier
int DSPMONP_RBIT_21                          = 0;  // control identifier
int DSPMONP_RBIT_20                          = 0;  // control identifier
int DSPMONP_RBIT_19                          = 0;  // control identifier
int DSPMONP_RBIT_18                          = 0;  // control identifier
int DSPMONP_RBIT_15                          = 0;  // control identifier
int DSPMONP_RBIT_17                          = 0;  // control identifier
int DSPMONP_RBIT_16                          = 0;  // control identifier
int DSPMONP_RBIT_14                          = 0;  // control identifier
int DSPMONP_RBIT_13                          = 0;  // control identifier
int DSPMONP_RBIT_12                          = 0;  // control identifier
int DSPMONP_RBIT_11                          = 0;  // control identifier
int DSPMONP_RBIT_7                           = 0;  // control identifier
int DSPMONP_RBIT_10                          = 0;  // control identifier
int DSPMONP_RBIT_9                           = 0;  // control identifier
int DSPMONP_RBIT_8                           = 0;  // control identifier
int DSPMONP_RBIT_6                           = 0;  // control identifier
int DSPMONP_RBIT_5                           = 0;  // control identifier
int DSPMONP_RBIT_4                           = 0;  // control identifier
int DSPMONP_RBIT_3                           = 0;  // control identifier
int DSPMONP_RBIT_2                           = 0;  // control identifier
int DSPMONP_RBIT_1                           = 0;  // control identifier
int DSPMONP_RBIT_0                           = 0;  // control identifier
int DSPMONP_BIT_28                           = 0;  // control identifier
int DSPMONP_BIT_27                           = 0;  // control identifier
int DSPMONP_BIT_26                           = 0;  // control identifier
int DSPMONP_BIT_24                           = 0;  // control identifier
int DSPMONP_BIT_25                           = 0;  // control identifier
int DSPMONP_BIT_23                           = 0;  // control identifier
int DSPMONP_BIT_22                           = 0;  // control identifier
int DSPMONP_BIT_21                           = 0;  // control identifier
int DSPMONP_BIT_20                           = 0;  // control identifier
int DSPMONP_BIT_19                           = 0;  // control identifier
int DSPMONP_BIT_18                           = 0;  // control identifier
int DSPMONP_BIT_16                           = 0;  // control identifier
int DSPMONP_BIT_17                           = 0;  // control identifier
int DSPMONP_BIT_7                            = 0;  // control identifier
int DSPMONP_BIT_15                           = 0;  // control identifier
int DSPMONP_BIT_6                            = 0;  // control identifier
int DSPMONP_BIT_14                           = 0;  // control identifier
int DSPMONP_BIT_5                            = 0;  // control identifier
int DSPMONP_BIT_13                           = 0;  // control identifier
int DSPMONP_BIT_4                            = 0;  // control identifier
int DSPMONP_BIT_12                           = 0;  // control identifier
int DSPMONP_BIT_3                            = 0;  // control identifier
int DSPMONP_BIT_11                           = 0;  // control identifier
int DSPMONP_BIT_2                            = 0;  // control identifier
int DSPMONP_BIT_10                           = 0;  // control identifier
int DSPMONP_COPY                             = 0;  // control identifier
int DSPMONP_WRITE                            = 0;  // control identifier
int DSPMONP_VIEW_CRDH                        = 0;  // control identifier
int DSPMONP_READ_REGS                        = 0;  // control identifier
int DSPMONP_BIT_0                            = 0;  // control identifier
int DSPMONP_BIT_8                            = 0;  // control identifier
int DSPMONP_BIT_1                            = 0;  // control identifier
int DSPMONP_BIT_9                            = 0;  // control identifier
int DSPMONP_REGISTERS_RING_READ              = 0;  // control identifier
int DSPMONP_DSP_TYPE                         = 0;  // control identifier
int DSPMONP_REGISTERS_RING_WRITE             = 0;  // control identifier
int DSPMONP_TEXTMSG                          = 0;  // control identifier
int DSPMONP_TEXTMSG_2                        = 0;  // control identifier
int DSPMONP_TEXTMSG_3                        = 0;  // control identifier
int DSPMONP_TEXTMSG_4                        = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  ERROR_PAN
// ------------------------------------------------------------------------------------------------

int ERROR_PAN_NO                             = 0;  // control identifier
int ERROR_PAN_OK                             = 0;  // control identifier
int ERROR_PAN_SHOW_ERROR_WINDOW              = 0;  // control identifier
int ERROR_PAN_PICTURE                        = 0;  // control identifier
int ERROR_PAN_TEXTMSG_2                      = 0;  // control identifier
int ERROR_PAN_TEXTMSG                        = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  GRAPHP
// ------------------------------------------------------------------------------------------------

int GRAPHP_CLOSE                             = 0;  // control identifier
int GRAPHP_GRAPH                             = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  MAIN
// ------------------------------------------------------------------------------------------------

int MAIN_ACTIVE_SLOT                         = 0;  // control identifier
int MAIN_ROD_COUNTER                         = 0;  // control identifier
int MAIN_SHOW_ERROR_WINDOW                   = 0;  // control identifier
int MAIN_COMM_LOOP_PRIOR                     = 0;  // control identifier
int MAIN_VME_BYTE_ORDER                      = 0;  // control identifier
int MAIN_UIR_PRIORITY                        = 0;  // control identifier
int MAIN_TEXTBUFF_TIMEOUT                    = 0;  // control identifier
int MAIN_CONTROL_PRIOR                       = 0;  // control identifier
int MAIN_CMDLISTEXEC_21                      = 0;  // control identifier
int MAIN_CMDLISTEXEC_20                      = 0;  // control identifier
int MAIN_CMDLISTEXEC_19                      = 0;  // control identifier
int MAIN_CMDLISTEXEC_18                      = 0;  // control identifier
int MAIN_CMDLISTEXEC_17                      = 0;  // control identifier
int MAIN_CMDLISTEXEC_16                      = 0;  // control identifier
int MAIN_CMDLISTEXEC_15                      = 0;  // control identifier
int MAIN_CMDLISTEXEC_14                      = 0;  // control identifier
int MAIN_CMDLISTEXEC_13                      = 0;  // control identifier
int MAIN_CMDLISTEXEC_12                      = 0;  // control identifier
int MAIN_CMDLISTEXEC_11                      = 0;  // control identifier
int MAIN_CMDLISTEXEC_10                      = 0;  // control identifier
int MAIN_CMDLISTEXEC_5                       = 0;  // control identifier
int MAIN_CMDLISTEXEC_6                       = 0;  // control identifier
int MAIN_CMDLISTEXEC_7                       = 0;  // control identifier
int MAIN_CMDLISTEXEC_8                       = 0;  // control identifier
int MAIN_CMDLISTEXEC_9                       = 0;  // control identifier
int MAIN_EDIT_PLIST                          = 0;  // control identifier
int MAIN_EDIT_CLIST                          = 0;  // control identifier
int MAIN_DEL_CLIST_FROM_RING                 = 0;  // control identifier
int MAIN_ADD_CLIST_TO_RING                   = 0;  // control identifier
int MAIN_DEL_PLIST_FROM_RING                 = 0;  // control identifier
int MAIN_EXT_LIST_TYPE                       = 0;  // control identifier
int MAIN_IF_ERROR                            = 0;  // control identifier
int MAIN_ADD_PLIST_TO_RING                   = 0;  // control identifier
int MAIN_DSP_MONITOR_PERIOD                  = 0;  // control identifier
int MAIN_FPGA_MONITOR_PERIOD                 = 0;  // control identifier
int MAIN_REFRESH_PERIOD                      = 0;  // control identifier
int MAIN_ROD_INIT_TIMEOUT                    = 0;  // control identifier
int MAIN_DSP_ACK_CLEAR_TIMEOUT               = 0;  // control identifier
int MAIN_DEFAULT_SLOT                        = 0;  // control identifier
int MAIN_SLOT_NUMBER                         = 0;  // control identifier
int MAIN_DSP_ACK_SET_TIMEOUT                 = 0;  // control identifier
int MAIN_PLIST_RING                          = 0;  // control identifier
int MAIN_CLIST_RING                          = 0;  // control identifier
int MAIN_DSP_SET_TIMEOUT                     = 0;  // control identifier
int MAIN_REPEAT_BUILD_EXEC                   = 0;  // control identifier
int MAIN_COMM_LOOP_RUNNING                   = 0;  // control identifier
int MAIN_CLIST_FILE                          = 0;  // control identifier
int MAIN_SEND_COMMAND_LIST                   = 0;  // control identifier
int MAIN_PLIST_FILE                          = 0;  // control identifier
int MAIN_SEND_LIST                           = 0;  // control identifier
int MAIN_HOSTS_RUNNING                       = 0;  // control identifier
int MAIN_CLIST_REP                           = 0;  // control identifier
int MAIN_PLIST_REP                           = 0;  // control identifier
int MAIN_PIXEL_NOT_SCT                       = 0;  // control identifier
int MAIN_RESET_ALL                           = 0;  // control identifier
int MAIN_SYS_RESET                           = 0;  // control identifier
int MAIN_RUN_RESMAN                          = 0;  // control identifier
int MAIN_RST_CTRL                            = 0;  // control identifier
int MAIN_REFRESH_DISP                        = 0;  // control identifier
int MAIN_CHECKSUM_SLAVE                      = 0;  // control identifier
int MAIN_DSP_MONITOR_REFRESH                 = 0;  // control identifier
int MAIN_CHECKSUM_MASTER                     = 0;  // control identifier
int MAIN_FPGA_MONITOR_REFRESH                = 0;  // control identifier
int MAIN_SAVE_LISTS_OPTION                   = 0;  // control identifier
int MAIN_EXT_EXEC                            = 0;  // control identifier
int MAIN_TEXTMSG_2                           = 0;  // control identifier
int MAIN_DECORATION_3                        = 0;  // control identifier
int MAIN_TEXTMSG_3                           = 0;  // control identifier
int MAIN_ERROR_TIMER                         = 0;  // control identifier
int MAIN_TEXTMSG_5                           = 0;  // control identifier
int MAIN_TEXTMSG_6                           = 0;  // control identifier
int MAIN_TEXTMSG                             = 0;  // control identifier
int MAIN_DECORATION_2                        = 0;  // control identifier
int MAIN_TEXTMSG_18                          = 0;  // control identifier
int MAIN_TEXTMSG_23                          = 0;  // control identifier
int MAIN_TEXTMSG_10                          = 0;  // control identifier
int MAIN_DECORATION                          = 0;  // control identifier
int MAIN_DECORATION_7                        = 0;  // control identifier
int MAIN_TEXTMSG_9                           = 0;  // control identifier
int MAIN_TEXTMSG_11                          = 0;  // control identifier
int MAIN_TEXTMSG_7                           = 0;  // control identifier
int MAIN_TEXTMSG_25                          = 0;  // control identifier
int MAIN_TEXTMSG_24                          = 0;  // control identifier
int MAIN_TEXTMSG_26                          = 0;  // control identifier
int MAIN_TEXTMSG_4                           = 0;  // control identifier
int MAIN_DECORATION_4                        = 0;  // control identifier
int MAIN_DECORATION_8                        = 0;  // control identifier
int MAIN_DECORATION_9                        = 0;  // control identifier
int MAIN_TEXTMSG_27                          = 0;  // control identifier
int MAIN_TEXTMSG_28                          = 0;  // control identifier
int MAIN_DECORATION_10                       = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  NEWROD_PN
// ------------------------------------------------------------------------------------------------

int NEWROD_PN_CANCEL                         = 0;  // control identifier
int NEWROD_PN_OK                             = 0;  // control identifier
int NEWROD_PN_SLOT_21                        = 0;  // control identifier
int NEWROD_PN_SLOT_20                        = 0;  // control identifier
int NEWROD_PN_SLOT_19                        = 0;  // control identifier
int NEWROD_PN_SLOT_18                        = 0;  // control identifier
int NEWROD_PN_SLOT_17                        = 0;  // control identifier
int NEWROD_PN_SLOT_16                        = 0;  // control identifier
int NEWROD_PN_SLOT_15                        = 0;  // control identifier
int NEWROD_PN_SLOT_14                        = 0;  // control identifier
int NEWROD_PN_SLOT_5                         = 0;  // control identifier
int NEWROD_PN_SLOT_12                        = 0;  // control identifier
int NEWROD_PN_SLOT_11                        = 0;  // control identifier
int NEWROD_PN_SLOT_10                        = 0;  // control identifier
int NEWROD_PN_SLOT_9                         = 0;  // control identifier
int NEWROD_PN_SLOT_8                         = 0;  // control identifier
int NEWROD_PN_SLOT_7                         = 0;  // control identifier
int NEWROD_PN_SLOT_6                         = 0;  // control identifier
int NEWROD_PN_SELECT_ALL                     = 0;  // control identifier
int NEWROD_PN_TEXTMSG                        = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  ROD
// ------------------------------------------------------------------------------------------------

int ROD_COMMAND_REG_4                        = 0;  // control identifier
int ROD_STAT_REG_6                           = 0;  // control identifier
int ROD_COMMAND_REG_3                        = 0;  // control identifier
int ROD_COMMAND_REG_2                        = 0;  // control identifier
int ROD_COMMAND_REG_10                       = 0;  // control identifier
int ROD_COMMAND_REG_1                        = 0;  // control identifier
int ROD_COMMAND_REG_0                        = 0;  // control identifier
int ROD_COMMAND_REG_5                        = 0;  // control identifier
int ROD_STAT_REG_7                           = 0;  // control identifier
int ROD_STAT_REG_0                           = 0;  // control identifier
int ROD_STAT_REG_5                           = 0;  // control identifier
int ROD_EDIT_PLIST                           = 0;  // control identifier
int ROD_STAT_REG_1                           = 0;  // control identifier
int ROD_COMMAND_REG_7                        = 0;  // control identifier
int ROD_COMMAND_REG_6                        = 0;  // control identifier
int ROD_STAT_REG_11                          = 0;  // control identifier
int ROD_STAT_REG_9                           = 0;  // control identifier
int ROD_STAT_REG_4                           = 0;  // control identifier
int ROD_REPEAT_BUILD_EXEC                    = 0;  // control identifier
int ROD_STAT_REG_8                           = 0;  // control identifier
int ROD_VME_COMM_REG0                        = 0;  // control identifier
int ROD_STAT_REG_10                          = 0;  // control identifier
int ROD_LIST_FILE                            = 0;  // control identifier
int ROD_SEND_LIST                            = 0;  // control identifier
int ROD_ROD_REV                              = 0;  // control identifier
int ROD_ROD_SN                               = 0;  // control identifier
int ROD_ROD_STAT_REG0                        = 0;  // control identifier
int ROD_LIST_REPEAT_COUNTER                  = 0;  // control identifier
int ROD_NUMBER_OF_LIST_REP                   = 0;  // control identifier
int ROD_RESET_REP_NUM                        = 0;  // control identifier
int ROD_STAT_REG_3                           = 0;  // control identifier
int ROD_STAT_REG_2                           = 0;  // control identifier
int ROD_SLAVE3                               = 0;  // control identifier
int ROD_SLAVE2                               = 0;  // control identifier
int ROD_SLAVE1                               = 0;  // control identifier
int ROD_SLAVE0                               = 0;  // control identifier
int ROD_ROD_STAT_REG1                        = 0;  // control identifier
int ROD_LIST_INDEX                           = 0;  // control identifier
int ROD_READ_STATUS                          = 0;  // control identifier
int ROD_SLOT_NUMBER                          = 0;  // control identifier
int ROD_XFERBUFF_READRQ_OPT                  = 0;  // control identifier
int ROD_WIN_SIZE                             = 0;  // control identifier
int ROD_ERRBUFF_READRQ_OPT                   = 0;  // control identifier
int ROD_INFOBUFF_READRQ_OPT                  = 0;  // control identifier
int ROD_DIAGBUFF_READRQ_OPT                  = 0;  // control identifier
int ROD_DMA_REQ_BUTTON                       = 0;  // control identifier
int ROD_RESUME_BUTTON                        = 0;  // control identifier
int ROD_PAUSE_BUTTON                         = 0;  // control identifier
int ROD_ABORT_BUTTON                         = 0;  // control identifier
int ROD_HOST_RUNNING                         = 0;  // control identifier
int ROD_MDSP_SP0                             = 0;  // control identifier
int ROD_MEMORY                               = 0;  // control identifier
int ROD_PIXEL_NOT_SCT                        = 0;  // control identifier
int ROD_TEST_PATH                            = 0;  // control identifier
int ROD_TRAP_EN_DSP3                         = 0;  // control identifier
int ROD_TRAP_EN_DSP2                         = 0;  // control identifier
int ROD_TRAP_EN_DSP1                         = 0;  // control identifier
int ROD_TRAP_LD3                             = 0;  // control identifier
int ROD_TRAP_FF3                             = 0;  // control identifier
int ROD_TRAP_LD2                             = 0;  // control identifier
int ROD_TRAP_EF3                             = 0;  // control identifier
int ROD_TRAP_LD1                             = 0;  // control identifier
int ROD_TRAP_FF2                             = 0;  // control identifier
int ROD_TRAP_LD0                             = 0;  // control identifier
int ROD_TRAP_ON3                             = 0;  // control identifier
int ROD_TRAP_FF1                             = 0;  // control identifier
int ROD_TRAP_EF2                             = 0;  // control identifier
int ROD_TRAP_FF0                             = 0;  // control identifier
int ROD_TRAP_ON2                             = 0;  // control identifier
int ROD_TRAP_EF1                             = 0;  // control identifier
int ROD_TRAP_ON1                             = 0;  // control identifier
int ROD_TRAP_EF0                             = 0;  // control identifier
int ROD_TRAP_ON0                             = 0;  // control identifier
int ROD_TRAP_EN_DSP0                         = 0;  // control identifier
int ROD_EVID_ERROR                           = 0;  // control identifier
int ROD_EM_FULL_1                            = 0;  // control identifier
int ROD_EM_EMPTY_1                           = 0;  // control identifier
int ROD_EM_FULL_0                            = 0;  // control identifier
int ROD_EM_EMPTY_0                           = 0;  // control identifier
int ROD_FIFO_EFB_FULL                        = 0;  // control identifier
int ROD_FIFO_1_FULL                          = 0;  // control identifier
int ROD_FIFO_0_FULL                          = 0;  // control identifier
int ROD_ALL_ZERO                             = 0;  // control identifier
int ROD_ROD_BUSY_0                           = 0;  // control identifier
int ROD_ROD_BUSY_1                           = 0;  // control identifier
int ROD_HT_LIMIT_0                           = 0;  // control identifier
int ROD_HT_LIMIT_1                           = 0;  // control identifier
int ROD_TEST_BENCH_RUN                       = 0;  // control identifier
int ROD_DEBUG_FIFO                           = 0;  // control identifier
int ROD_TEST_BENCH                           = 0;  // control identifier
int ROD_EFB_DM                               = 0;  // control identifier
int ROD_FORM_MB                              = 0;  // control identifier
int ROD_CAL_SIGNAL_DEC                       = 0;  // control identifier
int ROD_TRG_SIGNAL_DEC                       = 0;  // control identifier
int ROD_CMD_MASK_READY                       = 0;  // control identifier
int ROD_FE_CMD_PULSE_COUNT                   = 0;  // control identifier
int ROD_FE_OCCUP                             = 0;  // control identifier
int ROD_FE_CMD_PLS_COUNTER                   = 0;  // control identifier
int ROD_INTERNAL_TIM                         = 0;  // control identifier
int ROD_IN_MEM                               = 0;  // control identifier
int ROD_DEBUG_MEM                            = 0;  // control identifier
int ROD_CORR_TRIGGER                         = 0;  // control identifier
int ROD_FORM_MB_EFB                          = 0;  // control identifier
int ROD_FE_CMD_OUT                           = 0;  // control identifier
int ROD_DATA_PATH                            = 0;  // control identifier
int ROD_MASK1_1                              = 0;  // control identifier
int ROD_MASK0_1                              = 0;  // control identifier
int ROD_MASK1_0                              = 0;  // control identifier
int ROD_MASK0_0                              = 0;  // control identifier
int ROD_TRAP3                                = 0;  // control identifier
int ROD_TRAP2                                = 0;  // control identifier
int ROD_TRAP1                                = 0;  // control identifier
int ROD_MODE                                 = 0;  // control identifier
int ROD_FORMAT3                              = 0;  // control identifier
int ROD_FORMAT2                              = 0;  // control identifier
int ROD_FORMAT1                              = 0;  // control identifier
int ROD_FORMAT0                              = 0;  // control identifier
int ROD_TRAP0                                = 0;  // control identifier
int ROD_HOST_INDEX                           = 0;  // control identifier
int ROD_POLL_RFIELD_WIDTH                    = 0;  // control identifier
int ROD_LINK                                 = 0;  // control identifier
int ROD_SAMPLES                              = 0;  // control identifier
int ROD_POLL_RFIELD_OBJECT_ID                = 0;  // control identifier
int ROD_POLL_RFIELD_OFFSET                   = 0;  // control identifier
int ROD_DESIRED_VALUE                        = 0;  // control identifier
int ROD_POLL_RFIELD_INDEX                    = 0;  // control identifier
int ROD_POLL_RFIELD_TIME                     = 0;  // control identifier
int ROD_TEST_RESULT                          = 0;  // control identifier
int ROD_TGR_INDEX                            = 0;  // control identifier
int ROD_TGR_TIME                             = 0;  // control identifier
int ROD_WIDTH                                = 0;  // control identifier
int ROD_OBJECT_ID                            = 0;  // control identifier
int ROD_OFFSET                               = 0;  // control identifier
int ROD_DATA_OUT                             = 0;  // control identifier
int ROD_RWFIELD_INDEX                        = 0;  // control identifier
int ROD_RWFIELD_TIME                         = 0;  // control identifier
int ROD_ERRMSG_MASK                          = 0;  // control identifier
int ROD_ERRMSGMASK_INDEX                     = 0;  // control identifier
int ROD_ERRMSGMASK_TIME                      = 0;  // control identifier
int ROD_MEM_TEST_START                       = 0;  // control identifier
int ROD_MEM_TEST_RETURN_CODE                 = 0;  // control identifier
int ROD_MEM_TEST_SIZE                        = 0;  // control identifier
int ROD_MEM_TEST_INDEX                       = 0;  // control identifier
int ROD_MEM_TEST_TIME                        = 0;  // control identifier
int ROD_OVERFLOW                             = 0;  // control identifier
int ROD_NOT_FOUND                            = 0;  // control identifier
int ROD_RWREG_DISP                           = 0;  // control identifier
int ROD_TOTAL_TIME                           = 0;  // control identifier
int ROD_SAMPLING_TIME                        = 0;  // control identifier
int ROD_SAVE_DATA                            = 0;  // control identifier
int ROD_POLL_DISP                            = 0;  // control identifier
int ROD_CAPTURE                              = 0;  // control identifier
int ROD_FEOCC_NOT_FIFOWC                     = 0;  // control identifier
int ROD_DECORATION_2                         = 0;  // control identifier
int ROD_DECORATION_4                         = 0;  // control identifier
int ROD_TEXTMSG_13                           = 0;  // control identifier
int ROD_TEXTMSG_5                            = 0;  // control identifier
int ROD_DECORATION_7                         = 0;  // control identifier
int ROD_TEXTMSG_14                           = 0;  // control identifier
int ROD_DECORATION_8                         = 0;  // control identifier
int ROD_TEXTMSG_16                           = 0;  // control identifier
int ROD_TEXTMSG_2                            = 0;  // control identifier
int ROD_TEXTMSG_4                            = 0;  // control identifier
int ROD_TEXTMSG_17                           = 0;  // control identifier
int ROD_DECORATION_3                         = 0;  // control identifier
int ROD_DECORATION                           = 0;  // control identifier
int ROD_TEXTMSG_26                           = 0;  // control identifier
int ROD_TEXTMSG_21                           = 0;  // control identifier
int ROD_TEXTMSG_22                           = 0;  // control identifier
int ROD_TEXTMSG_24                           = 0;  // control identifier
int ROD_TEXTMSG_28                           = 0;  // control identifier
int ROD_TEXTMSG_27                           = 0;  // control identifier
int ROD_TEXTMSG_30                           = 0;  // control identifier
int ROD_TEXTMSG_29                           = 0;  // control identifier
int ROD_TEXTMSG_32                           = 0;  // control identifier
int ROD_TEXTMSG_31                           = 0;  // control identifier
int ROD_TEXTMSG_33                           = 0;  // control identifier
int ROD_TEXTMSG_34                           = 0;  // control identifier
int ROD_TEXTMSG_35                           = 0;  // control identifier
int ROD_TEXTMSG_36                           = 0;  // control identifier
int ROD_TEXTMSG_37                           = 0;  // control identifier
int ROD_TEXTMSG_38                           = 0;  // control identifier
int ROD_TEXTMSG_10                           = 0;  // control identifier
int ROD_TEXTMSG_41                           = 0;  // control identifier
int ROD_DECORATION_14                        = 0;  // control identifier
int ROD_TEXTMSG_47                           = 0;  // control identifier
int ROD_TEXTMSG_23                           = 0;  // control identifier
int ROD_TEXTMSG_25                           = 0;  // control identifier
int ROD_TEXTMSG_9                            = 0;  // control identifier
int ROD_TEXTMSG_40                           = 0;  // control identifier
int ROD_TEXTMSG_8                            = 0;  // control identifier
int ROD_TEXTMSG_46                           = 0;  // control identifier
int ROD_TEXTMSG_49                           = 0;  // control identifier
int ROD_TEXTMSG_50                           = 0;  // control identifier
int ROD_DECORATION_6                         = 0;  // control identifier
int ROD_DECORATION_5                         = 0;  // control identifier
int ROD_DECORATION_9                         = 0;  // control identifier
int ROD_TEXTMSG_54                           = 0;  // control identifier
int ROD_TEXTMSG_45                           = 0;  // control identifier
int ROD_TEXTMSG_48                           = 0;  // control identifier
int ROD_DECORATION_13                        = 0;  // control identifier
int ROD_TEXTMSG_39                           = 0;  // control identifier
int ROD_TEXTMSG_3                            = 0;  // control identifier
int ROD_TEXTMSG_53                           = 0;  // control identifier
int ROD_TEXTMSG_51                           = 0;  // control identifier
int ROD_TEXTMSG_52                           = 0;  // control identifier
int ROD_DECORATION_15                        = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  TEXT_PANEL
// ------------------------------------------------------------------------------------------------

int TEXT_PANEL_HOST_INDEX                    = 0;  // control identifier
int TEXT_PANEL_TEXTBOX                       = 0;  // control identifier
int TEXT_PANEL_OVERFLOW                      = 0;  // control identifier
int TEXT_PANEL_OVERWRITE                     = 0;  // control identifier
int TEXT_PANEL_TXTBUFF_MODE                  = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  CSTAT_MENU
// ------------------------------------------------------------------------------------------------

int CSTAT_MENU_CLEAR_STATUS_WINDOW           = 0;  // menu identifier
int CSTAT_MENU_OPEN_STATUS_FILE              = 0;  // menu identifier
int CSTAT_MENU_CMD_LIST_EDITOR               = 0;  // menu identifier
int CSTAT_MENU_CLOSE_WINDOW                  = 0;  // menu identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  DSPMON
// ------------------------------------------------------------------------------------------------

int DSPMON_HIDE                              = 0;  // menu identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  MAIN_MENU
// ------------------------------------------------------------------------------------------------

int MAIN_MENU_LOAD_ROD                       = 0;  // menu identifier
int MAIN_MENU_PARAMS                         = 0;  // menu identifier
int MAIN_MENU_PARAMS_SAVE_RINGS              = 0;  // menu item identifier
int MAIN_MENU_PARAMS_LOAD_RINGS              = 0;  // menu item identifier
int MAIN_MENU_PARAMS_SET                     = 0;  // menu item identifier
int MAIN_MENU_PARAMS_LOAD                    = 0;  // menu item identifier
int MAIN_MENU_SHOW_ERROR_FILE                = 0;  // menu identifier
int MAIN_MENU_LIST_EDIT                      = 0;  // menu identifier
int MAIN_MENU_LIST_EDIT_PRIM                 = 0;  // menu item identifier
int MAIN_MENU_LIST_EDIT_COMMAND              = 0;  // menu item identifier
int MAIN_MENU_MEM_ACCESS                     = 0;  // menu identifier
int MAIN_MENU_MEM_ACCESS_TIM                 = 0;  // menu item identifier
int MAIN_MENU_MEM_ACCESS_VME                 = 0;  // menu item identifier
int MAIN_MENU_MEM_ACCESS_MASTER_DSP          = 0;  // menu item identifier
int MAIN_MENU_MEM_ACCESS_SLAVE_DSP           = 0;  // menu item identifier
int MAIN_MENU_MEM_ACCESS_FPGA                = 0;  // menu item identifier
int MAIN_MENU_MEM_ACCESS_FLASH               = 0;  // menu item identifier
int MAIN_MENU_MEM_ACCESS_VIEW_BIN_FI         = 0;  // menu item identifier
int MAIN_MENU_QUIT                           = 0;  // menu identifier
int MAIN_MENU_HELP                           = 0;  // menu identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  RODN_MENU
// ------------------------------------------------------------------------------------------------

int RODN_MENU_GO_TO_MAIN                     = 0;  // menu identifier
int RODN_MENU_LIST_EDIT                      = 0;  // menu identifier
int RODN_MENU_LIST_EDIT_PRIM                 = 0;  // menu item identifier
int RODN_MENU_LIST_EDIT_COMMAND              = 0;  // menu item identifier
int RODN_MENU_SHOW_TXT_WIND                  = 0;  // menu identifier
int RODN_MENU_SHOW_TXT_WIND_ERROR            = 0;  // menu item identifier
int RODN_MENU_SHOW_TXT_WIND_INFO             = 0;  // menu item identifier
int RODN_MENU_SHOW_TXT_WIND_DIAG             = 0;  // menu item identifier
int RODN_MENU_SHOW_TXT_WIND_XFER             = 0;  // menu item identifier
int RODN_MENU_COMMAND_WINDOW                 = 0;  // menu identifier
int RODN_MENU_DSP_MON                        = 0;  // menu identifier
int RODN_MENU_ROD_DATA                       = 0;  // menu identifier
int RODN_MENU_RESET                          = 0;  // menu identifier
int RODN_MENU_RESET_ROD                      = 0;  // menu item identifier
int RODN_MENU_EXIT_ROD                       = 0;  // menu identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  TXT_BUFF
// ------------------------------------------------------------------------------------------------

int TXT_BUFF_CLEAR_WINDOW                    = 0;  // menu identifier
int TXT_BUFF_OPEN_TXT_FILE                   = 0;  // menu identifier
int TXT_BUFF_CLOSE_WINDOW                    = 0;  // menu identifier

//----------------------------------------------------------------------------------------------------
// buildPanel_cmdListStatus ():  Build UI object CLISTP; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_cmdListStatus (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "COMMAND LIST STATUS", 85, 424, 510, 326);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "CLISTP");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, 0X6098B7);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0X93B9CE);
//  SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 19);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_OFFWHITE);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, 0X6098B7);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 10);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
//  SetPanelAttribute (hPanel, ATTR_MOVABLE, 1);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 13);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: CLISTP_COMMAND_RING
    CLISTP_COMMAND_RING = NewCtrl (hPanel, CTRL_RING, "Command", 69, 79);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_CONSTANT_NAME, "COMMAND_RING");
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_FRAME_COLOR, 0XB0B0B0);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_COLOR, 0X202020);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_WIDTH, 50);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_TEXT_COLOR, 0X000066);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_WIDTH, 190);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_TOP, 54);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_LEFT, 138);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: CLISTP_HOST_INDEX
    CLISTP_HOST_INDEX = NewCtrl (hPanel, CTRL_NUMERIC, "HostIndex", 33, 14);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_CONSTANT_NAME, "HOST_INDEX");
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
//  SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_COLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_WIDTH, 51);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_TEXT_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_MAX_VALUE, 21);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, CLISTP_HOST_INDEX);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_WIDTH, 30);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_TOP, 19);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_LEFT, 5);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, CLISTP_HOST_INDEX, "", VAL_DS_READ, NULL, NULL);

    // Build control: CLISTP_LIST_FILE
    CLISTP_LIST_FILE = NewCtrl (hPanel, CTRL_STRING, "", 163, 43);
    SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_CONSTANT_NAME, "LIST_FILE");
//  SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_CALLBACK_FUNCTION_POINTER, commandButtons);
    SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_BGCOLOR, 0XB0B0B0);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, CLISTP_LIST_FILE);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_WIDTH, 273);
    SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_TOP, 143);
    SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_LEFT, 250);
    SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, CLISTP_LIST_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: CLISTP_SEND_LIST
    CLISTP_SEND_LIST = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "SEND COMMAND LIST", 187, 127);
    SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_CONSTANT_NAME, "SEND_LIST");
//  SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_CALLBACK_FUNCTION_POINTER, commandButtons);
    SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_LABEL_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, CLISTP_SEND_LIST);
    SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_WIDTH, 189);

    // Build control: CLISTP_NUM_COMMANDS
    CLISTP_NUM_COMMANDS = NewCtrl (hPanel, CTRL_NUMERIC, "nCmds", 69, 10);
    SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_CONSTANT_NAME, "NUM_COMMANDS");
//  SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_FRAME_COLOR, 0XB0B0B0);
    SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_WIDTH, 35);
    SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, CLISTP_NUM_COMMANDS);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_WIDTH, 30);
    SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_TOP, 54);
    SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_LEFT, 7);
    SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, CLISTP_NUM_COMMANDS, "", VAL_DS_READ, NULL, NULL);

    // Build control: CLISTP_COMMAND_INDEX
    CLISTP_COMMAND_INDEX = NewCtrl (hPanel, CTRL_NUMERIC, "Index", 69, 43);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_CONSTANT_NAME, "COMMAND_INDEX");
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_FRAME_COLOR, 0X006699);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_WIDTH, 29);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, CLISTP_COMMAND_INDEX);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_WIDTH, 30);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_TOP, 54);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_LEFT, 43);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, CLISTP_COMMAND_INDEX, "", VAL_DS_READ, NULL, NULL);

    // Build control: CLISTP_CMDREP
    CLISTP_CMDREP = NewCtrl (hPanel, CTRL_NUMERIC, "Rep", 95, 105);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_CONSTANT_NAME, "CMDREP");
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_WIDTH, 48);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, CLISTP_CMDREP);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_WIDTH, 45);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_TOP, 96);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_LEFT, 69);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_LABEL_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, CLISTP_CMDREP, "", VAL_DS_READ, NULL, NULL);

    // Build control: CLISTP_CMDREP_COUNT
    CLISTP_CMDREP_COUNT = NewCtrl (hPanel, CTRL_NUMERIC, "Cnt", 94, 177);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_CONSTANT_NAME, "CMDREP_COUNT");
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_FRAME_COLOR, 0X006699);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_WIDTH, 48);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, CLISTP_CMDREP_COUNT);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_WIDTH, 45);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_TOP, 96);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_LEFT, 142);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_LABEL_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, CLISTP_CMDREP_COUNT, "", VAL_DS_READ, NULL, NULL);

    // Build control: CLISTP_LIST_REP_COUNTER
    CLISTP_LIST_REP_COUNTER = NewCtrl (hPanel, CTRL_NUMERIC, "Counter", 136, 157);
    SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_CONSTANT_NAME, "LIST_REP_COUNTER");
//  SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_FRAME_COLOR, 0X006699);
    SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_WIDTH, 48);
    SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, CLISTP_LIST_REP_COUNTER);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_TOP, 121);
    SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_LEFT, 166);
    SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_LABEL_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, CLISTP_LIST_REP_COUNTER, "", VAL_DS_READ, NULL, NULL);

    // Build control: CLISTP_NUM_OF_LIST_REP
    CLISTP_NUM_OF_LIST_REP = NewCtrl (hPanel, CTRL_NUMERIC, "ListRep", 136, 76);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_CONSTANT_NAME, "NUM_OF_LIST_REP");
//  SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_CALLBACK_FUNCTION_POINTER, commandButtons);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_WIDTH, 47);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, CLISTP_NUM_OF_LIST_REP);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_WIDTH, 74);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_TOP, 121);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_LEFT, 94);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_LABEL_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, CLISTP_NUM_OF_LIST_REP, "", VAL_DS_READ, NULL, NULL);

    // Build control: CLISTP_EDIT_CLIST
    CLISTP_EDIT_CLIST = NewCtrl (hPanel, CTRL_OBLONG_COMMAND_BUTTON, "EDIT", 187, 71);
    SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_CONSTANT_NAME, "EDIT_CLIST");
//  SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_CALLBACK_FUNCTION_POINTER, commandButtons);
    SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_LABEL_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_LABEL_POINT_SIZE, 9);
    SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, CLISTP_EDIT_CLIST);
    SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_WIDTH, 36);

    // Build control: CLISTP_RESET_CMDREP
    CLISTP_RESET_CMDREP = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Stop", 95, 44);
    SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_CONSTANT_NAME, "RESET_CMDREP");
//  SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_CALLBACK_FUNCTION_POINTER, commandButtons);
    SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, CLISTP_RESET_CMDREP);
    SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_HEIGHT, 19);
    SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_WIDTH, 28);

    // Build control: CLISTP_RESET_REP_LIST_NUM
    CLISTP_RESET_REP_LIST_NUM = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Stop", 136, 44);
    SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_CONSTANT_NAME, "RESET_REP_LIST_NUM");
//  SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_CALLBACK_FUNCTION_POINTER, commandButtons);
    SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, CLISTP_RESET_REP_LIST_NUM);
    SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_HEIGHT, 19);
    SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_WIDTH, 28);

    // Build control: CLISTP_STOPPED
    CLISTP_STOPPED = NewCtrl (hPanel, CTRL_SQUARE_LED, "Stopped", 26, 166);
    SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_CONSTANT_NAME, "STOPPED");
//  SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_COLOR, 0XFFCC00);
    SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_WIDTH, 50);
    SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, CLISTP_STOPPED);
    SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_ON_COLOR, VAL_RED);
    SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_WIDTH, 57);
    SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_TOP, 28);
    SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_LEFT, 169);
    SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: CLISTP_BUSY
    CLISTP_BUSY = NewCtrl (hPanel, CTRL_SQUARE_LED, "Busy", 26, 115);
    SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_CONSTANT_NAME, "BUSY");
//  SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_WIDTH, 26);
    SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, CLISTP_BUSY);
    SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_ON_COLOR, VAL_YELLOW);
    SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_WIDTH, 48);
    SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_TOP, 28);
    SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_LEFT, 126);
    SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: CLISTP_STATUS_BOX
    CLISTP_STATUS_BOX = NewCtrl (hPanel, CTRL_TEXT_BOX, "", 216, 1);
    SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_CONSTANT_NAME, "STATUS_BOX");
//  SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_SCROLL_BARS, VAL_BOTH_SCROLL_BARS);
    SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS);
    SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, CLISTP_STATUS_BOX);
//  SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_WRAP_MODE, VAL_LINE_WRAP);
//  SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_ENTER_IS_NEWLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_FIRST_VISIBLE_LINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_EXTRA_LINES, -1);
//  SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_HEIGHT, 295);
    SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_WIDTH, 325);
    SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_TOP, 201);
    SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_LEFT, 134);
    SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, CLISTP_STATUS_BOX, "", VAL_DS_READ, NULL, NULL);

    // Build control: CLISTP_IF_ERROR
    CLISTP_IF_ERROR = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "If Error", 136, 240);
    SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_CONSTANT_NAME, "IF_ERROR");
//  SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, CLISTP_IF_ERROR, 0, "DEFAULT", 0);
    InsertListItem (hPanel, CLISTP_IF_ERROR, 1, "STOP", 1);
    InsertListItem (hPanel, CLISTP_IF_ERROR, 2, "CONTINUE", 2);
//  SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_WIDTH, 42);
    SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, CLISTP_IF_ERROR);
//  SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_WIDTH, 75);
    SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_TOP, 122);
    SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_LEFT, 254);
    SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: CLISTP_RESUME_CTRL_THREAD
    CLISTP_RESUME_CTRL_THREAD = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Resume", 27, 276);
    SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_CONSTANT_NAME, "RESUME_CTRL_THREAD");
//  SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_CALLBACK_FUNCTION_POINTER, commandButtons);
    SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, CLISTP_RESUME_CTRL_THREAD);
    SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_HEIGHT, 20);
    SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_WIDTH, 42);

    // Build control: CLISTP_RESET_CTRL_THREAD
    CLISTP_RESET_CTRL_THREAD = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Reset", 27, 228);
    SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_CONSTANT_NAME, "RESET_CTRL_THREAD");
//  SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_CALLBACK_FUNCTION_POINTER, commandButtons);
    SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, CLISTP_RESET_CTRL_THREAD);
    SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_HEIGHT, 20);
    SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_WIDTH, 42);

    // Build control: CLISTP_DECORATION_12
    CLISTP_DECORATION_12 = NewCtrl (hPanel, CTRL_FLAT_BOX, "", 301, 79);
    SetCtrlAttribute (hPanel, CLISTP_DECORATION_12, ATTR_CONSTANT_NAME, "DECORATION_12");
//  SetCtrlAttribute (hPanel, CLISTP_DECORATION_12, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, CLISTP_DECORATION_12, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, CLISTP_DECORATION_12, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, CLISTP_DECORATION_12, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CLISTP_DECORATION_12, ATTR_FRAME_COLOR, 0XC4D0D2);
    SetCtrlAttribute (hPanel, CLISTP_DECORATION_12, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, CLISTP_DECORATION_12, ATTR_HEIGHT, 72);
    SetCtrlAttribute (hPanel, CLISTP_DECORATION_12, ATTR_WIDTH, 198);

    // Build control: CLISTP_DECORATION
    CLISTP_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_BOX, "", 53, 4);
    SetCtrlAttribute (hPanel, CLISTP_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, CLISTP_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, CLISTP_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, CLISTP_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, CLISTP_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CLISTP_DECORATION, ATTR_FRAME_COLOR, 0X93B9CE);
    SetCtrlAttribute (hPanel, CLISTP_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, CLISTP_DECORATION, ATTR_HEIGHT, 67);
    SetCtrlAttribute (hPanel, CLISTP_DECORATION, ATTR_WIDTH, 317);

    // Build control: CLISTP_TEXTMSG_3
    CLISTP_TEXTMSG_3 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 71, 96);
    SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_CONSTANT_NAME, "TEXTMSG_3");
    SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_TEXT_COLOR, VAL_RED);
//  SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_DFLT_VALUE, "RING FILLED IN fillUirControls.c");
    DefaultCtrl (hPanel, CLISTP_TEXTMSG_3);
//  SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_WIDTH, 155);
    SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, CLISTP_TEXTMSG_3, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, CLISTP_TEXTMSG_3, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_ZPLANE_POSITION, 14);
    SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_ZPLANE_POSITION, 15);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_ZPLANE_POSITION, 16);
    SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_ZPLANE_POSITION, 17);
    SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_ZPLANE_POSITION, 18);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_ZPLANE_POSITION, 19);
    SetCtrlAttribute (hPanel, CLISTP_DECORATION, ATTR_ZPLANE_POSITION, 20);
    SetCtrlAttribute (hPanel, CLISTP_DECORATION_12, ATTR_ZPLANE_POSITION, 21);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_RING, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, CLISTP_HOST_INDEX, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, CLISTP_LIST_FILE, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, CLISTP_SEND_LIST, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, CLISTP_NUM_COMMANDS, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, CLISTP_COMMAND_INDEX, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP, ATTR_CTRL_TAB_POSITION, 6);
    SetCtrlAttribute (hPanel, CLISTP_CMDREP_COUNT, ATTR_CTRL_TAB_POSITION, 7);
    SetCtrlAttribute (hPanel, CLISTP_LIST_REP_COUNTER, ATTR_CTRL_TAB_POSITION, 8);
    SetCtrlAttribute (hPanel, CLISTP_NUM_OF_LIST_REP, ATTR_CTRL_TAB_POSITION, 9);
    SetCtrlAttribute (hPanel, CLISTP_EDIT_CLIST, ATTR_CTRL_TAB_POSITION, 10);
    SetCtrlAttribute (hPanel, CLISTP_RESET_CMDREP, ATTR_CTRL_TAB_POSITION, 11);
    SetCtrlAttribute (hPanel, CLISTP_RESET_REP_LIST_NUM, ATTR_CTRL_TAB_POSITION, 12);
    SetCtrlAttribute (hPanel, CLISTP_STOPPED, ATTR_CTRL_TAB_POSITION, 13);
    SetCtrlAttribute (hPanel, CLISTP_BUSY, ATTR_CTRL_TAB_POSITION, 14);
    SetCtrlAttribute (hPanel, CLISTP_STATUS_BOX, ATTR_CTRL_TAB_POSITION, 15);
    SetCtrlAttribute (hPanel, CLISTP_IF_ERROR, ATTR_CTRL_TAB_POSITION, 16);
    SetCtrlAttribute (hPanel, CLISTP_RESUME_CTRL_THREAD, ATTR_CTRL_TAB_POSITION, 17);
    SetCtrlAttribute (hPanel, CLISTP_RESET_CTRL_THREAD, ATTR_CTRL_TAB_POSITION, 18);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(510*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(326*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(85*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(424*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    buildMenu_cmdListStatus (hPanel);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_dspMonitor ():  Build UI object DSPMONP; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_dspMonitor (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "DSP Monitoring", 619, 199, 368, 619);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "DSPMONP");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, 0XC4D0D2);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, 0XC4D0D2);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 5);
//  SetPanelAttribute (hPanel, ATTR_SIZABLE, 1);
//  SetPanelAttribute (hPanel, ATTR_MOVABLE, 1);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
//  SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 1);
//  SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 1);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: DSPMONP_SLOT_NUM
    DSPMONP_SLOT_NUM = NewCtrl (hPanel, CTRL_NUMERIC, "Slot#", 25, 30);
    SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_CONSTANT_NAME, "SLOT_NUM");
//  SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
//  SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_FRAME_COLOR, VAL_DK_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_WIDTH, 28);
    SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_MAX_VALUE, 21);
    SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_SLOT_NUM);
//  SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_WIDTH, 26);
    SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_TOP, 28);
    SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_LEFT, 2);
    SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_SLOT_NUM, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_HOST_INDEX
    DSPMONP_HOST_INDEX = NewCtrl (hPanel, CTRL_NUMERIC, "HostIndex", 129, 32);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_CONSTANT_NAME, "HOST_INDEX");
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
//  SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_COLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_WIDTH, 51);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_TEXT_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_MAX_VALUE, 21);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_HOST_INDEX);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_WIDTH, 30);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_TOP, 121);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_LEFT, 53);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_HOST_INDEX, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_STATUS_REG_2
    DSPMONP_STATUS_REG_2 = NewCtrl (hPanel, CTRL_NUMERIC, "Status 2", 212, 389);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_CONSTANT_NAME, "STATUS_REG_2");
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_WIDTH, 50);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_STATUS_REG_2);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_TOP, 215);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_LEFT, 337);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_STATUS_REG_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_STATUS_REG_1
    DSPMONP_STATUS_REG_1 = NewCtrl (hPanel, CTRL_NUMERIC, "Status 1", 212, 247);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_CONSTANT_NAME, "STATUS_REG_1");
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_WIDTH, 50);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_STATUS_REG_1);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_TOP, 215);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_LEFT, 195);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_STATUS_REG_1, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_HCMD_REG
    DSPMONP_HCMD_REG = NewCtrl (hPanel, CTRL_NUMERIC, "HCMD", 307, 85);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_CONSTANT_NAME, "HCMD_REG");
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_WIDTH, 39);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_HCMD_REG);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_TOP, 309);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_LEFT, 44);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_HCMD_REG, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_TRAP_CMD_STAT
    DSPMONP_TRAP_CMD_STAT = NewCtrl (hPanel, CTRL_NUMERIC, "Trap CMD Stat", 307, 247);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_CONSTANT_NAME, "TRAP_CMD_STAT");
//  SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_WIDTH, 87);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_TRAP_CMD_STAT);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_TOP, 311);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_LEFT, 159);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_TRAP_CMD_STAT, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_INTR_DSP_HSHK_WR
    DSPMONP_INTR_DSP_HSHK_WR = NewCtrl (hPanel, CTRL_NUMERIC, "Hshk Write", 307, 389);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_CONSTANT_NAME, "INTR_DSP_HSHK_WR");
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_WIDTH, 66);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_INTR_DSP_HSHK_WR);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_TOP, 309);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_LEFT, 322);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_INTR_DSP_HSHK_WR, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_INTR_DSP_HSHK_RD
    DSPMONP_INTR_DSP_HSHK_RD = NewCtrl (hPanel, CTRL_NUMERIC, "Hshk Read", 307, 547);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_CONSTANT_NAME, "INTR_DSP_HSHK_RD");
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_WIDTH, 66);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_INTR_DSP_HSHK_RD);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_TOP, 309);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_LEFT, 479);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_INTR_DSP_HSHK_RD, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_RESERVED_REG_4
    DSPMONP_RESERVED_REG_4 = NewCtrl (hPanel, CTRL_NUMERIC, "Reserved 4", 288, 85);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_CONSTANT_NAME, "RESERVED_REG_4");
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_WIDTH, 68);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RESERVED_REG_4);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_TOP, 292);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_LEFT, 15);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_RESERVED_REG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_RESERVED_REG_5
    DSPMONP_RESERVED_REG_5 = NewCtrl (hPanel, CTRL_NUMERIC, "Reserved 5", 288, 247);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_CONSTANT_NAME, "RESERVED_REG_5");
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_WIDTH, 68);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RESERVED_REG_5);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_TOP, 292);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_LEFT, 177);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_RESERVED_REG_5, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_RESERVED_REG_6
    DSPMONP_RESERVED_REG_6 = NewCtrl (hPanel, CTRL_NUMERIC, "Reserved 6", 288, 389);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_CONSTANT_NAME, "RESERVED_REG_6");
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_WIDTH, 68);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RESERVED_REG_6);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_TOP, 291);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_LEFT, 319);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_RESERVED_REG_6, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_TASK_STATE_REG
    DSPMONP_TASK_STATE_REG = NewCtrl (hPanel, CTRL_NUMERIC, "Task State", 288, 547);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_CONSTANT_NAME, "TASK_STATE_REG");
//  SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_WIDTH, 65);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_TASK_STATE_REG);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_TOP, 291);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_LEFT, 480);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_TASK_STATE_REG, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_RESERVED_REG_2
    DSPMONP_RESERVED_REG_2 = NewCtrl (hPanel, CTRL_NUMERIC, "Reserved 2", 269, 389);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_CONSTANT_NAME, "RESERVED_REG_2");
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_WIDTH, 68);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RESERVED_REG_2);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_TOP, 272);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_LEFT, 319);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_RESERVED_REG_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_RESERVED_REG_3
    DSPMONP_RESERVED_REG_3 = NewCtrl (hPanel, CTRL_NUMERIC, "Reserved 3", 269, 547);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_CONSTANT_NAME, "RESERVED_REG_3");
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_WIDTH, 68);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RESERVED_REG_3);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_TOP, 272);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_LEFT, 477);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_RESERVED_REG_3, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_RESERVED_REG_1
    DSPMONP_RESERVED_REG_1 = NewCtrl (hPanel, CTRL_NUMERIC, "Reserved 1", 269, 247);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_CONSTANT_NAME, "RESERVED_REG_1");
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_WIDTH, 68);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RESERVED_REG_1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_TOP, 273);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_LEFT, 177);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_RESERVED_REG_1, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_RESERVED_REG_0
    DSPMONP_RESERVED_REG_0 = NewCtrl (hPanel, CTRL_NUMERIC, "Reserved 0", 269, 85);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_CONSTANT_NAME, "RESERVED_REG_0");
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_WIDTH, 68);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RESERVED_REG_0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_TOP, 273);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_LEFT, 15);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_RESERVED_REG_0, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_HSTAT_REG_1
    DSPMONP_HSTAT_REG_1 = NewCtrl (hPanel, CTRL_NUMERIC, "HStat 1", 250, 547);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_CONSTANT_NAME, "HSTAT_REG_1");
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_WIDTH, 46);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_HSTAT_REG_1);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_TOP, 253);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_LEFT, 499);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_HSTAT_REG_1, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_HSTAT_REG_0
    DSPMONP_HSTAT_REG_0 = NewCtrl (hPanel, CTRL_NUMERIC, "HStat 0", 250, 389);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_CONSTANT_NAME, "HSTAT_REG_0");
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_WIDTH, 46);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_HSTAT_REG_0);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_TOP, 253);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_LEFT, 340);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_HSTAT_REG_0, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_HCMD_STAT_REG_1
    DSPMONP_HCMD_STAT_REG_1 = NewCtrl (hPanel, CTRL_NUMERIC, "HCMD Stat 1", 250, 247);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_CONSTANT_NAME, "HCMD_STAT_REG_1");
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_WIDTH, 77);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_HCMD_STAT_REG_1);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_TOP, 254);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_LEFT, 169);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_HCMD_STAT_REG_1, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_HCMD_STAT_REG_0
    DSPMONP_HCMD_STAT_REG_0 = NewCtrl (hPanel, CTRL_NUMERIC, "HCMD Stat 0", 250, 85);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_CONSTANT_NAME, "HCMD_STAT_REG_0");
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_WIDTH, 77);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_HCMD_STAT_REG_0);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_TOP, 253);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_LEFT, 6);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_HCMD_STAT_REG_0, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_LOOP_REG
    DSPMONP_LOOP_REG = NewCtrl (hPanel, CTRL_NUMERIC, "Loop", 231, 547);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_CONSTANT_NAME, "LOOP_REG");
//  SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_WIDTH, 31);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_LOOP_REG);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_TOP, 234);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_LEFT, 515);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_LOOP_REG, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_TRAPSTAT_REG_1
    DSPMONP_TRAPSTAT_REG_1 = NewCtrl (hPanel, CTRL_NUMERIC, "TrapStat 1", 231, 389);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_CONSTANT_NAME, "TRAPSTAT_REG_1");
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_WIDTH, 63);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_TRAPSTAT_REG_1);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_TOP, 234);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_LEFT, 325);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_TRAPSTAT_REG_1, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_TRAPSTAT_REG_0
    DSPMONP_TRAPSTAT_REG_0 = NewCtrl (hPanel, CTRL_NUMERIC, "TrapStat 0", 231, 247);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_CONSTANT_NAME, "TRAPSTAT_REG_0");
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_WIDTH, 63);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_TRAPSTAT_REG_0);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_TOP, 233);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_LEFT, 183);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_TRAPSTAT_REG_0, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_DIAGNOSTIC_REG
    DSPMONP_DIAGNOSTIC_REG = NewCtrl (hPanel, CTRL_NUMERIC, "Diagnostic", 231, 85);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_CONSTANT_NAME, "DIAGNOSTIC_REG");
//  SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_WIDTH, 63);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_DIAGNOSTIC_REG);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_TOP, 233);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_LEFT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_DIAGNOSTIC_REG, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_COMMAND_REG_0
    DSPMONP_COMMAND_REG_0 = NewCtrl (hPanel, CTRL_NUMERIC, "Command 0", 212, 547);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_CONSTANT_NAME, "COMMAND_REG_0");
//  SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_WIDTH, 68);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_COMMAND_REG_0);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_TOP, 215);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_LEFT, 477);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_COMMAND_REG_0, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_STATUS_REG_0
    DSPMONP_STATUS_REG_0 = NewCtrl (hPanel, CTRL_NUMERIC, "Status 0", 212, 85);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_CONSTANT_NAME, "STATUS_REG_0");
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_WIDTH, 50);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_STATUS_REG_0);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_TOP, 215);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_LEFT, 33);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_STATUS_REG_0, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_CURR_VAL
    DSPMONP_CURR_VAL = NewCtrl (hPanel, CTRL_NUMERIC, "", 85, 388);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_CONSTANT_NAME, "CURR_VAL");
//  SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_FRAME_COLOR, 0X6699CC);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_TEXT_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_CURR_VAL);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_WIDTH, 85);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_TOP, 89);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_LEFT, 354);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_CURR_VAL, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_EDIT_FIELD
    DSPMONP_EDIT_FIELD = NewCtrl (hPanel, CTRL_NUMERIC, "", 85, 140);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_CONSTANT_NAME, "EDIT_FIELD");
//  SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_TEXT_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_EDIT_FIELD);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_WIDTH, 85);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_TOP, 89);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_LEFT, 106);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_EDIT_FIELD, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_BIT_31
    DSPMONP_BIT_31 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 111, 97);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_CONSTANT_NAME, "BIT_31");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_31);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_ON_TEXT, "31");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_OFF_TEXT, "31");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_TOP, 90);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_LEFT, 80);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_30
    DSPMONP_BIT_30 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 111, 118);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_CONSTANT_NAME, "BIT_30");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_30);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_ON_TEXT, "30");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_OFF_TEXT, "30");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_TOP, 90);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_LEFT, 101);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_29
    DSPMONP_BIT_29 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 111, 139);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_CONSTANT_NAME, "BIT_29");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_29);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_ON_TEXT, "29");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_OFF_TEXT, "29");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_TOP, 90);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_LEFT, 122);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_31
    DSPMONP_RBIT_31 = NewCtrl (hPanel, CTRL_SQUARE_LED, "31", 112, 347);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_CONSTANT_NAME, "RBIT_31");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_WIDTH, 13);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_31);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_TOP, 116);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_LEFT, 351);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_30
    DSPMONP_RBIT_30 = NewCtrl (hPanel, CTRL_SQUARE_LED, "30", 112, 368);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_CONSTANT_NAME, "RBIT_30");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_WIDTH, 13);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_30);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_TOP, 116);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_LEFT, 372);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_29
    DSPMONP_RBIT_29 = NewCtrl (hPanel, CTRL_SQUARE_LED, "29", 112, 389);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_CONSTANT_NAME, "RBIT_29");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_WIDTH, 13);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_29);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_TOP, 116);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_LEFT, 393);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_28
    DSPMONP_RBIT_28 = NewCtrl (hPanel, CTRL_SQUARE_LED, "28", 112, 410);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_CONSTANT_NAME, "RBIT_28");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_WIDTH, 13);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_28);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_TOP, 116);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_LEFT, 414);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_27
    DSPMONP_RBIT_27 = NewCtrl (hPanel, CTRL_SQUARE_LED, "27", 112, 431);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_CONSTANT_NAME, "RBIT_27");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_WIDTH, 13);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_27);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_TOP, 116);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_LEFT, 435);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_26
    DSPMONP_RBIT_26 = NewCtrl (hPanel, CTRL_SQUARE_LED, "26", 112, 452);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_CONSTANT_NAME, "RBIT_26");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_WIDTH, 13);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_26);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_TOP, 116);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_LEFT, 456);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_25
    DSPMONP_RBIT_25 = NewCtrl (hPanel, CTRL_SQUARE_LED, "25", 112, 473);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_CONSTANT_NAME, "RBIT_25");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_WIDTH, 13);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_25);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_TOP, 116);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_LEFT, 477);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_23
    DSPMONP_RBIT_23 = NewCtrl (hPanel, CTRL_SQUARE_LED, "23", 134, 347);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_CONSTANT_NAME, "RBIT_23");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_WIDTH, 13);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_23);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_TOP, 138);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_LEFT, 351);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_24
    DSPMONP_RBIT_24 = NewCtrl (hPanel, CTRL_SQUARE_LED, "24", 112, 494);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_CONSTANT_NAME, "RBIT_24");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_WIDTH, 13);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_24);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_TOP, 116);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_LEFT, 498);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_22
    DSPMONP_RBIT_22 = NewCtrl (hPanel, CTRL_SQUARE_LED, "22", 134, 368);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_CONSTANT_NAME, "RBIT_22");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_WIDTH, 13);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_TOP, 138);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_LEFT, 372);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_21
    DSPMONP_RBIT_21 = NewCtrl (hPanel, CTRL_SQUARE_LED, "21", 134, 389);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_CONSTANT_NAME, "RBIT_21");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_WIDTH, 13);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_TOP, 138);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_LEFT, 393);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_20
    DSPMONP_RBIT_20 = NewCtrl (hPanel, CTRL_SQUARE_LED, "20", 134, 410);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_CONSTANT_NAME, "RBIT_20");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_WIDTH, 13);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_20);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_TOP, 138);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_LEFT, 414);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_19
    DSPMONP_RBIT_19 = NewCtrl (hPanel, CTRL_SQUARE_LED, "19", 134, 431);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_CONSTANT_NAME, "RBIT_19");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_WIDTH, 13);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_19);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_TOP, 138);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_LEFT, 435);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_18
    DSPMONP_RBIT_18 = NewCtrl (hPanel, CTRL_SQUARE_LED, "18", 134, 452);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_CONSTANT_NAME, "RBIT_18");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_WIDTH, 13);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_18);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_TOP, 138);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_LEFT, 456);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_15
    DSPMONP_RBIT_15 = NewCtrl (hPanel, CTRL_SQUARE_LED, "15", 155, 347);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_CONSTANT_NAME, "RBIT_15");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_WIDTH, 13);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_15);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_TOP, 159);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_LEFT, 351);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_17
    DSPMONP_RBIT_17 = NewCtrl (hPanel, CTRL_SQUARE_LED, "17", 134, 473);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_CONSTANT_NAME, "RBIT_17");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_WIDTH, 13);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_17);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_TOP, 138);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_LEFT, 477);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_16
    DSPMONP_RBIT_16 = NewCtrl (hPanel, CTRL_SQUARE_LED, "16", 134, 494);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_CONSTANT_NAME, "RBIT_16");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_WIDTH, 13);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_16);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_TOP, 138);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_LEFT, 498);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_14
    DSPMONP_RBIT_14 = NewCtrl (hPanel, CTRL_SQUARE_LED, "14", 155, 368);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_CONSTANT_NAME, "RBIT_14");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_WIDTH, 13);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_14);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_TOP, 159);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_LEFT, 372);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_13
    DSPMONP_RBIT_13 = NewCtrl (hPanel, CTRL_SQUARE_LED, "13", 155, 389);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_CONSTANT_NAME, "RBIT_13");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_WIDTH, 13);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_13);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_TOP, 159);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_LEFT, 393);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_12
    DSPMONP_RBIT_12 = NewCtrl (hPanel, CTRL_SQUARE_LED, "12", 155, 410);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_CONSTANT_NAME, "RBIT_12");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_WIDTH, 13);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_12);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_TOP, 159);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_LEFT, 414);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_11
    DSPMONP_RBIT_11 = NewCtrl (hPanel, CTRL_SQUARE_LED, "11", 155, 431);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_CONSTANT_NAME, "RBIT_11");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_WIDTH, 13);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_11);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_TOP, 159);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_LEFT, 435);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_7
    DSPMONP_RBIT_7 = NewCtrl (hPanel, CTRL_SQUARE_LED, "7", 177, 347);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_CONSTANT_NAME, "RBIT_7");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_WIDTH, 8);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_7);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_TOP, 181);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_LEFT, 354);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_10
    DSPMONP_RBIT_10 = NewCtrl (hPanel, CTRL_SQUARE_LED, "10", 155, 452);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_CONSTANT_NAME, "RBIT_10");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_WIDTH, 13);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_10);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_TOP, 159);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_LEFT, 456);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_9
    DSPMONP_RBIT_9 = NewCtrl (hPanel, CTRL_SQUARE_LED, "9", 155, 473);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_CONSTANT_NAME, "RBIT_9");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_WIDTH, 8);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_9);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_TOP, 159);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_LEFT, 480);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_8
    DSPMONP_RBIT_8 = NewCtrl (hPanel, CTRL_SQUARE_LED, "8", 155, 494);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_CONSTANT_NAME, "RBIT_8");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_WIDTH, 8);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_8);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_TOP, 159);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_LEFT, 501);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_6
    DSPMONP_RBIT_6 = NewCtrl (hPanel, CTRL_SQUARE_LED, "6", 177, 368);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_CONSTANT_NAME, "RBIT_6");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_WIDTH, 8);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_6);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_TOP, 181);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_LEFT, 375);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_5
    DSPMONP_RBIT_5 = NewCtrl (hPanel, CTRL_SQUARE_LED, "5", 177, 389);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_CONSTANT_NAME, "RBIT_5");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_WIDTH, 8);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_5);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_TOP, 181);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_LEFT, 396);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_4
    DSPMONP_RBIT_4 = NewCtrl (hPanel, CTRL_SQUARE_LED, "4", 177, 410);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_CONSTANT_NAME, "RBIT_4");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_WIDTH, 8);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_4);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_TOP, 181);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_LEFT, 417);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_3
    DSPMONP_RBIT_3 = NewCtrl (hPanel, CTRL_SQUARE_LED, "3", 177, 431);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_CONSTANT_NAME, "RBIT_3");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_WIDTH, 8);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_3);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_TOP, 181);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_LEFT, 438);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_2
    DSPMONP_RBIT_2 = NewCtrl (hPanel, CTRL_SQUARE_LED, "2", 177, 452);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_CONSTANT_NAME, "RBIT_2");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_WIDTH, 8);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_2);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_TOP, 181);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_LEFT, 459);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_1
    DSPMONP_RBIT_1 = NewCtrl (hPanel, CTRL_SQUARE_LED, "1", 177, 473);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_CONSTANT_NAME, "RBIT_1");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_WIDTH, 8);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_TOP, 181);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_LEFT, 480);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_RBIT_0
    DSPMONP_RBIT_0 = NewCtrl (hPanel, CTRL_SQUARE_LED, "0", 177, 494);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_CONSTANT_NAME, "RBIT_0");
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_WIDTH, 8);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_RBIT_0);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_TOP, 181);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_LEFT, 501);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_28
    DSPMONP_BIT_28 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 111, 160);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_CONSTANT_NAME, "BIT_28");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_28);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_ON_TEXT, "28");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_OFF_TEXT, "28");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_TOP, 90);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_LEFT, 143);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_27
    DSPMONP_BIT_27 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 111, 181);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_CONSTANT_NAME, "BIT_27");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_27);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_ON_TEXT, "27");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_OFF_TEXT, "27");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_TOP, 90);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_LEFT, 164);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_26
    DSPMONP_BIT_26 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 111, 202);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_CONSTANT_NAME, "BIT_26");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_26);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_ON_TEXT, "26");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_OFF_TEXT, "26");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_TOP, 90);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_LEFT, 185);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_24
    DSPMONP_BIT_24 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 111, 244);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_CONSTANT_NAME, "BIT_24");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_24);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_ON_TEXT, "24");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_OFF_TEXT, "24");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_TOP, 90);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_LEFT, 227);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_25
    DSPMONP_BIT_25 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 111, 223);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_CONSTANT_NAME, "BIT_25");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_25);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_ON_TEXT, "25");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_OFF_TEXT, "25");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_TOP, 90);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_LEFT, 206);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_23
    DSPMONP_BIT_23 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 133, 97);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_CONSTANT_NAME, "BIT_23");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_23);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_ON_TEXT, "23");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_OFF_TEXT, "23");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_TOP, 112);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_LEFT, 80);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_22
    DSPMONP_BIT_22 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 133, 118);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_CONSTANT_NAME, "BIT_22");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_22);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_ON_TEXT, "22");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_OFF_TEXT, "22");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_TOP, 112);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_LEFT, 101);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_21
    DSPMONP_BIT_21 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 133, 139);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_CONSTANT_NAME, "BIT_21");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_21);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_ON_TEXT, "21");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_OFF_TEXT, "21");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_TOP, 112);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_LEFT, 122);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_20
    DSPMONP_BIT_20 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 133, 160);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_CONSTANT_NAME, "BIT_20");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_20);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_ON_TEXT, "20");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_OFF_TEXT, "20");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_TOP, 112);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_LEFT, 143);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_19
    DSPMONP_BIT_19 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 133, 181);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_CONSTANT_NAME, "BIT_19");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_19);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_ON_TEXT, "19");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_OFF_TEXT, "19");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_TOP, 112);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_LEFT, 164);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_18
    DSPMONP_BIT_18 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 133, 202);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_CONSTANT_NAME, "BIT_18");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_18);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_ON_TEXT, "18");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_OFF_TEXT, "18");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_TOP, 112);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_LEFT, 185);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_16
    DSPMONP_BIT_16 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 133, 244);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_CONSTANT_NAME, "BIT_16");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_16);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_ON_TEXT, "16");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_OFF_TEXT, "16");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_TOP, 112);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_LEFT, 227);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_17
    DSPMONP_BIT_17 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 133, 223);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_CONSTANT_NAME, "BIT_17");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_17);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_ON_TEXT, "17");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_OFF_TEXT, "17");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_TOP, 112);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_LEFT, 206);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_7
    DSPMONP_BIT_7 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 177, 97);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_CONSTANT_NAME, "BIT_7");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_7);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_ON_TEXT, "7");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_OFF_TEXT, "7");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_TOP, 156);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_LEFT, 80);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_15
    DSPMONP_BIT_15 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 155, 97);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_CONSTANT_NAME, "BIT_15");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_ON_TEXT, "15");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_OFF_TEXT, "15");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_TOP, 134);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_LEFT, 80);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_6
    DSPMONP_BIT_6 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 177, 118);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_CONSTANT_NAME, "BIT_6");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_6);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_ON_TEXT, "6");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_OFF_TEXT, "6");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_TOP, 156);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_LEFT, 101);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_14
    DSPMONP_BIT_14 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 155, 118);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_CONSTANT_NAME, "BIT_14");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_14);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_ON_TEXT, "14");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_OFF_TEXT, "14");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_TOP, 134);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_LEFT, 101);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_5
    DSPMONP_BIT_5 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 177, 139);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_CONSTANT_NAME, "BIT_5");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_5);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_ON_TEXT, "5");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_OFF_TEXT, "5");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_TOP, 156);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_LEFT, 122);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_13
    DSPMONP_BIT_13 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 155, 139);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_CONSTANT_NAME, "BIT_13");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_13);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_ON_TEXT, "13");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_OFF_TEXT, "13");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_TOP, 134);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_LEFT, 122);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_4
    DSPMONP_BIT_4 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 177, 160);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_CONSTANT_NAME, "BIT_4");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_ON_TEXT, "4");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_OFF_TEXT, "4");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_TOP, 156);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_LEFT, 143);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_12
    DSPMONP_BIT_12 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 155, 160);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_CONSTANT_NAME, "BIT_12");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_12);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_ON_TEXT, "12");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_OFF_TEXT, "12");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_TOP, 134);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_LEFT, 143);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_3
    DSPMONP_BIT_3 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 177, 181);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_CONSTANT_NAME, "BIT_3");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_3);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_ON_TEXT, "3");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_OFF_TEXT, "3");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_TOP, 156);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_LEFT, 164);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_11
    DSPMONP_BIT_11 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 155, 181);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_CONSTANT_NAME, "BIT_11");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_ON_TEXT, "11");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_OFF_TEXT, "11");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_TOP, 134);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_LEFT, 164);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_2
    DSPMONP_BIT_2 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 177, 202);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_CONSTANT_NAME, "BIT_2");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_2);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_ON_TEXT, "2");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_OFF_TEXT, "2");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_TOP, 156);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_LEFT, 185);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_10
    DSPMONP_BIT_10 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 155, 202);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_CONSTANT_NAME, "BIT_10");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_10);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_ON_TEXT, "10");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_OFF_TEXT, "10");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_TOP, 134);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_LEFT, 185);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_COPY
    DSPMONP_COPY = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "<<COPY<<", 132, 275);
    SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_CONSTANT_NAME, "COPY");
//  SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_COPY);
    SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_WIDTH, 64);

    // Build control: DSPMONP_WRITE
    DSPMONP_WRITE = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Write", 85, 230);
    SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_CONSTANT_NAME, "WRITE");
//  SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_WRITE);
    SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_WIDTH, 35);

    // Build control: DSPMONP_VIEW_CRDH
    DSPMONP_VIEW_CRDH = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "comRegsDef.h", 133, 532);
    SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_CONSTANT_NAME, "VIEW_CRDH");
//  SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_VIEW_CRDH);
    SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_HEIGHT, 19);
    SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_WIDTH, 79);

    // Build control: DSPMONP_READ_REGS
    DSPMONP_READ_REGS = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Read DSP Regs", 335, 254);
    SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_CONSTANT_NAME, "READ_REGS");
//  SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_READ_REGS);
    SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_WIDTH, 94);

    // Build control: DSPMONP_BIT_0
    DSPMONP_BIT_0 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 177, 244);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_CONSTANT_NAME, "BIT_0");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_ON_TEXT, "0");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_OFF_TEXT, "0");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_TOP, 156);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_LEFT, 227);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_8
    DSPMONP_BIT_8 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 155, 244);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_CONSTANT_NAME, "BIT_8");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_8);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_ON_TEXT, "8");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_OFF_TEXT, "8");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_TOP, 134);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_LEFT, 227);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_1
    DSPMONP_BIT_1 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 177, 223);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_CONSTANT_NAME, "BIT_1");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_ON_TEXT, "1");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_OFF_TEXT, "1");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_TOP, 156);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_LEFT, 206);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_BIT_9
    DSPMONP_BIT_9 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 155, 223);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_CONSTANT_NAME, "BIT_9");
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPMONP_BIT_9);
//  SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_ON_TEXT, "9");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_OFF_TEXT, "9");
    SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_TOP, 134);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_LEFT, 206);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPMONP_REGISTERS_RING_READ
    DSPMONP_REGISTERS_RING_READ = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "", 61, 347);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_CONSTANT_NAME, "REGISTERS_RING_READ");
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_CALLBACK_FUNCTION_POINTER, dspMonitor);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_DATA_TYPE, VAL_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_FRAME_COLOR, 0X6699CC);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_BGCOLOR, 0XBBC9B8);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_WIDTH, 167);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_TOP, 67);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_LEFT, 271);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: DSPMONP_DSP_TYPE
    DSPMONP_DSP_TYPE = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "", 26, 258);
    SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_CONSTANT_NAME, "DSP_TYPE");
//  SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, DSPMONP_DSP_TYPE, 0, "MASTER", -1);
    InsertListItem (hPanel, DSPMONP_DSP_TYPE, 1, "SLAVE 0", 0);
    InsertListItem (hPanel, DSPMONP_DSP_TYPE, 2, "SLAVE 1", 1);
    InsertListItem (hPanel, DSPMONP_DSP_TYPE, 3, "SLAVE 2", 2);
    InsertListItem (hPanel, DSPMONP_DSP_TYPE, 4, "SLAVE 3", 3);
//  SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_TEXT_COLOR, 0XFFFF99);
    SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_TEXT_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_TEXT_BGCOLOR, 0X006699);
//  SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, DSPMONP_DSP_TYPE);
//  SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_WIDTH, 97);
    SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_TOP, 30);
    SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_LEFT, 232);
    SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: DSPMONP_REGISTERS_RING_WRITE
    DSPMONP_REGISTERS_RING_WRITE = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "", 61, 97);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_CONSTANT_NAME, "REGISTERS_RING_WRITE");
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_DATA_TYPE, VAL_INTEGER);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_BGCOLOR, 0XBBC9B8);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_WIDTH, 167);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_TOP, 67);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_LEFT, 21);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: DSPMONP_TEXTMSG
    DSPMONP_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 63, 117);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_DFLT_VALUE, "Filled in program!");
    DefaultCtrl (hPanel, DSPMONP_TEXTMSG);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_WIDTH, 82);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_TEXTMSG_2
    DSPMONP_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 63, 367);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_DFLT_VALUE, "Filled in program!");
    DefaultCtrl (hPanel, DSPMONP_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_WIDTH, 82);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_TEXTMSG_3
    DSPMONP_TEXTMSG_3 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 41, 412);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_CONSTANT_NAME, "TEXTMSG_3");
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_TEXT_ITALIC, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_TEXT_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_TEXT_BGCOLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_DFLT_VALUE, "READ");
    DefaultCtrl (hPanel, DSPMONP_TEXTMSG_3);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_WIDTH, 37);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_TEXTMSG_3, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPMONP_TEXTMSG_4
    DSPMONP_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 41, 162);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_DFLT_VALUE, "WRITE");
    DefaultCtrl (hPanel, DSPMONP_TEXTMSG_4);
//  SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_WIDTH, 44);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPMONP_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_4, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_3, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_ZPLANE_POSITION, 14);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_ZPLANE_POSITION, 15);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_ZPLANE_POSITION, 16);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_ZPLANE_POSITION, 17);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_ZPLANE_POSITION, 18);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_ZPLANE_POSITION, 19);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_ZPLANE_POSITION, 20);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_ZPLANE_POSITION, 21);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_ZPLANE_POSITION, 22);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_ZPLANE_POSITION, 23);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_ZPLANE_POSITION, 24);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_ZPLANE_POSITION, 25);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_ZPLANE_POSITION, 26);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_ZPLANE_POSITION, 27);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_ZPLANE_POSITION, 28);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_ZPLANE_POSITION, 29);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_ZPLANE_POSITION, 30);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_ZPLANE_POSITION, 31);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_ZPLANE_POSITION, 32);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_ZPLANE_POSITION, 33);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_ZPLANE_POSITION, 34);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG_2, ATTR_ZPLANE_POSITION, 35);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_ZPLANE_POSITION, 36);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_ZPLANE_POSITION, 37);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_ZPLANE_POSITION, 38);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_ZPLANE_POSITION, 39);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_ZPLANE_POSITION, 40);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_ZPLANE_POSITION, 41);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_ZPLANE_POSITION, 42);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_ZPLANE_POSITION, 43);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_ZPLANE_POSITION, 44);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_ZPLANE_POSITION, 45);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_ZPLANE_POSITION, 46);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_ZPLANE_POSITION, 47);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_ZPLANE_POSITION, 48);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_ZPLANE_POSITION, 49);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_ZPLANE_POSITION, 50);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_ZPLANE_POSITION, 51);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_ZPLANE_POSITION, 52);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_ZPLANE_POSITION, 53);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_ZPLANE_POSITION, 54);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_ZPLANE_POSITION, 55);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_ZPLANE_POSITION, 56);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_ZPLANE_POSITION, 57);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_ZPLANE_POSITION, 58);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_ZPLANE_POSITION, 59);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_ZPLANE_POSITION, 60);
    SetCtrlAttribute (hPanel, DSPMONP_TEXTMSG, ATTR_ZPLANE_POSITION, 61);
    SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_ZPLANE_POSITION, 62);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_ZPLANE_POSITION, 63);
    SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_ZPLANE_POSITION, 64);
    SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_ZPLANE_POSITION, 65);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_ZPLANE_POSITION, 66);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_ZPLANE_POSITION, 67);
    SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_ZPLANE_POSITION, 68);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_ZPLANE_POSITION, 69);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_ZPLANE_POSITION, 70);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_ZPLANE_POSITION, 71);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_ZPLANE_POSITION, 72);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_ZPLANE_POSITION, 73);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_ZPLANE_POSITION, 74);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_ZPLANE_POSITION, 75);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_ZPLANE_POSITION, 76);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_ZPLANE_POSITION, 77);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_ZPLANE_POSITION, 78);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_ZPLANE_POSITION, 79);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_ZPLANE_POSITION, 80);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_ZPLANE_POSITION, 81);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_ZPLANE_POSITION, 82);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_ZPLANE_POSITION, 83);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_ZPLANE_POSITION, 84);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_ZPLANE_POSITION, 85);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_ZPLANE_POSITION, 86);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_ZPLANE_POSITION, 87);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_ZPLANE_POSITION, 88);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_ZPLANE_POSITION, 89);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_ZPLANE_POSITION, 90);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_ZPLANE_POSITION, 91);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_ZPLANE_POSITION, 92);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_ZPLANE_POSITION, 93);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_ZPLANE_POSITION, 94);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_ZPLANE_POSITION, 95);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_ZPLANE_POSITION, 96);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_ZPLANE_POSITION, 97);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_ZPLANE_POSITION, 98);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_ZPLANE_POSITION, 99);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_ZPLANE_POSITION, 100);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_ZPLANE_POSITION, 101);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_ZPLANE_POSITION, 102);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, DSPMONP_SLOT_NUM, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, DSPMONP_HOST_INDEX, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_2, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_1, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_REG, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, DSPMONP_TRAP_CMD_STAT, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_WR, ATTR_CTRL_TAB_POSITION, 6);
    SetCtrlAttribute (hPanel, DSPMONP_INTR_DSP_HSHK_RD, ATTR_CTRL_TAB_POSITION, 7);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_4, ATTR_CTRL_TAB_POSITION, 8);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_5, ATTR_CTRL_TAB_POSITION, 9);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_6, ATTR_CTRL_TAB_POSITION, 10);
    SetCtrlAttribute (hPanel, DSPMONP_TASK_STATE_REG, ATTR_CTRL_TAB_POSITION, 11);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_2, ATTR_CTRL_TAB_POSITION, 12);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_3, ATTR_CTRL_TAB_POSITION, 13);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_1, ATTR_CTRL_TAB_POSITION, 14);
    SetCtrlAttribute (hPanel, DSPMONP_RESERVED_REG_0, ATTR_CTRL_TAB_POSITION, 15);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_1, ATTR_CTRL_TAB_POSITION, 16);
    SetCtrlAttribute (hPanel, DSPMONP_HSTAT_REG_0, ATTR_CTRL_TAB_POSITION, 17);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_1, ATTR_CTRL_TAB_POSITION, 18);
    SetCtrlAttribute (hPanel, DSPMONP_HCMD_STAT_REG_0, ATTR_CTRL_TAB_POSITION, 19);
    SetCtrlAttribute (hPanel, DSPMONP_LOOP_REG, ATTR_CTRL_TAB_POSITION, 20);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_1, ATTR_CTRL_TAB_POSITION, 21);
    SetCtrlAttribute (hPanel, DSPMONP_TRAPSTAT_REG_0, ATTR_CTRL_TAB_POSITION, 22);
    SetCtrlAttribute (hPanel, DSPMONP_DIAGNOSTIC_REG, ATTR_CTRL_TAB_POSITION, 23);
    SetCtrlAttribute (hPanel, DSPMONP_COMMAND_REG_0, ATTR_CTRL_TAB_POSITION, 24);
    SetCtrlAttribute (hPanel, DSPMONP_STATUS_REG_0, ATTR_CTRL_TAB_POSITION, 25);
    SetCtrlAttribute (hPanel, DSPMONP_CURR_VAL, ATTR_CTRL_TAB_POSITION, 26);
    SetCtrlAttribute (hPanel, DSPMONP_EDIT_FIELD, ATTR_CTRL_TAB_POSITION, 27);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_31, ATTR_CTRL_TAB_POSITION, 28);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_30, ATTR_CTRL_TAB_POSITION, 29);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_29, ATTR_CTRL_TAB_POSITION, 30);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_31, ATTR_CTRL_TAB_POSITION, 31);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_30, ATTR_CTRL_TAB_POSITION, 32);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_29, ATTR_CTRL_TAB_POSITION, 33);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_28, ATTR_CTRL_TAB_POSITION, 34);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_27, ATTR_CTRL_TAB_POSITION, 35);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_26, ATTR_CTRL_TAB_POSITION, 36);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_25, ATTR_CTRL_TAB_POSITION, 37);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_23, ATTR_CTRL_TAB_POSITION, 38);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_24, ATTR_CTRL_TAB_POSITION, 39);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_22, ATTR_CTRL_TAB_POSITION, 40);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_21, ATTR_CTRL_TAB_POSITION, 41);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_20, ATTR_CTRL_TAB_POSITION, 42);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_19, ATTR_CTRL_TAB_POSITION, 43);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_18, ATTR_CTRL_TAB_POSITION, 44);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_15, ATTR_CTRL_TAB_POSITION, 45);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_17, ATTR_CTRL_TAB_POSITION, 46);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_16, ATTR_CTRL_TAB_POSITION, 47);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_14, ATTR_CTRL_TAB_POSITION, 48);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_13, ATTR_CTRL_TAB_POSITION, 49);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_12, ATTR_CTRL_TAB_POSITION, 50);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_11, ATTR_CTRL_TAB_POSITION, 51);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_7, ATTR_CTRL_TAB_POSITION, 52);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_10, ATTR_CTRL_TAB_POSITION, 53);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_9, ATTR_CTRL_TAB_POSITION, 54);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_8, ATTR_CTRL_TAB_POSITION, 55);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_6, ATTR_CTRL_TAB_POSITION, 56);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_5, ATTR_CTRL_TAB_POSITION, 57);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_4, ATTR_CTRL_TAB_POSITION, 58);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_3, ATTR_CTRL_TAB_POSITION, 59);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_2, ATTR_CTRL_TAB_POSITION, 60);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_1, ATTR_CTRL_TAB_POSITION, 61);
    SetCtrlAttribute (hPanel, DSPMONP_RBIT_0, ATTR_CTRL_TAB_POSITION, 62);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_28, ATTR_CTRL_TAB_POSITION, 63);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_27, ATTR_CTRL_TAB_POSITION, 64);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_26, ATTR_CTRL_TAB_POSITION, 65);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_24, ATTR_CTRL_TAB_POSITION, 66);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_25, ATTR_CTRL_TAB_POSITION, 67);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_23, ATTR_CTRL_TAB_POSITION, 68);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_22, ATTR_CTRL_TAB_POSITION, 69);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_21, ATTR_CTRL_TAB_POSITION, 70);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_20, ATTR_CTRL_TAB_POSITION, 71);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_19, ATTR_CTRL_TAB_POSITION, 72);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_18, ATTR_CTRL_TAB_POSITION, 73);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_16, ATTR_CTRL_TAB_POSITION, 74);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_17, ATTR_CTRL_TAB_POSITION, 75);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_7, ATTR_CTRL_TAB_POSITION, 76);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_15, ATTR_CTRL_TAB_POSITION, 77);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_6, ATTR_CTRL_TAB_POSITION, 78);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_14, ATTR_CTRL_TAB_POSITION, 79);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_5, ATTR_CTRL_TAB_POSITION, 80);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_13, ATTR_CTRL_TAB_POSITION, 81);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_4, ATTR_CTRL_TAB_POSITION, 82);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_12, ATTR_CTRL_TAB_POSITION, 83);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_3, ATTR_CTRL_TAB_POSITION, 84);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_11, ATTR_CTRL_TAB_POSITION, 85);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_2, ATTR_CTRL_TAB_POSITION, 86);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_10, ATTR_CTRL_TAB_POSITION, 87);
    SetCtrlAttribute (hPanel, DSPMONP_COPY, ATTR_CTRL_TAB_POSITION, 88);
    SetCtrlAttribute (hPanel, DSPMONP_WRITE, ATTR_CTRL_TAB_POSITION, 89);
    SetCtrlAttribute (hPanel, DSPMONP_VIEW_CRDH, ATTR_CTRL_TAB_POSITION, 90);
    SetCtrlAttribute (hPanel, DSPMONP_READ_REGS, ATTR_CTRL_TAB_POSITION, 91);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_0, ATTR_CTRL_TAB_POSITION, 92);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_8, ATTR_CTRL_TAB_POSITION, 93);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_1, ATTR_CTRL_TAB_POSITION, 94);
    SetCtrlAttribute (hPanel, DSPMONP_BIT_9, ATTR_CTRL_TAB_POSITION, 95);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_READ, ATTR_CTRL_TAB_POSITION, 96);
    SetCtrlAttribute (hPanel, DSPMONP_DSP_TYPE, ATTR_CTRL_TAB_POSITION, 97);
    SetCtrlAttribute (hPanel, DSPMONP_REGISTERS_RING_WRITE, ATTR_CTRL_TAB_POSITION, 98);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(368*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(619*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(619*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(199*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_TOP, VAL_AUTO_CENTER);
    SetPanelAttribute (hPanel, ATTR_LEFT, VAL_AUTO_CENTER);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    buildMenu_dspMonitor (hPanel);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_rodDevil ():  Build UI object ERROR_PAN; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_rodDevil (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "ERROR", 248, 443, 260, 269);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "ERROR_PAN");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, VAL_RED);
//  SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 5);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
//  SetPanelAttribute (hPanel, ATTR_MOVABLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: ERROR_PAN_NO
    ERROR_PAN_NO = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Cancel", 217, 158);
    SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_CONSTANT_NAME, "NO");
//  SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_CALLBACK_FUNCTION_POINTER, shutErrorPanel);
    SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ERROR_PAN_NO);
    SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_HEIGHT, 26);
    SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_WIDTH, 64);

    // Build control: ERROR_PAN_OK
    ERROR_PAN_OK = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "OK", 217, 48);
    SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_CONSTANT_NAME, "OK");
//  SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_CALLBACK_FUNCTION_POINTER, shutErrorPanel);
    SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ERROR_PAN_OK);
    SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_HEIGHT, 26);
    SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_WIDTH, 64);

    // Build control: ERROR_PAN_SHOW_ERROR_WINDOW
    ERROR_PAN_SHOW_ERROR_WINDOW = NewCtrl (hPanel, CTRL_CHECK_BOX, "ShowErrorWindow", 1, 1);
    SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_CONSTANT_NAME, "SHOW_ERROR_WINDOW");
//  SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_WIDTH, 91);
    SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_DFLT_VALUE, 1);
    DefaultCtrl (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW);
    SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_WIDTH, 19);
    SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_TOP, 1);
    SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_LEFT, 18);
    SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ERROR_PAN_PICTURE
    ERROR_PAN_PICTURE = NewCtrl (hPanel, CTRL_PICTURE, "", 4, 9);
    SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_CONSTANT_NAME, "PICTURE");
//  SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_FRAME_COLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_BGCOLOR, VAL_RED);
//  SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_FRAME_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_PICT_BGCOLOR, 0XFE8001);
    SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_FIT_MODE, VAL_SIZE_TO_IMAGE);
    SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_HEIGHT, 162);
    SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_WIDTH, 250);
    SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_TOP, -17);
    SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_LEFT, 4);
    SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    dataPtr = 
        "!!!!!%!!PQ\?C13#!!!>!(#39\"!#3Q!!!!!!!D=!U!!A!!!!!0!``Q`!!5/=!-!`!!!!!%!/%,!;`(!/"
        "P!!!!%!/&,!;`!!99\"9!/QO!!\"!!/#&!;Q`!!=F/!=/O!!!!!1/'!M;`!=/O!!!!!1/$!M;`!'!F=#"
        "!!;Q`!!M;`!=/J!!!!!1/$!M;`!(!F/!!!!!!!!M;`!,!;`\"!!FA=!!!!!!,!;`#!!;Q`!!9F=!1/>!"
        "!!!!\"!QD%!/$,!;`(!/'$!!`%!/&,!;`!!!Q1D!!M;`!,!;`!!!Q!R!!!!!!1/$!M;`!1/=!!!!!1/("
        "!M;`!=/$!-!`!!999%!/),!;`!!!!!!!!!!!!1/$!M;`!1/<!!!!!1/%!M;`!(!F/%!/$,!;`'!/Q!!!"
        "!%!/&,!;`\"!!FB=!/!.!!\"!!/#$!;Q`!!%QD!1/&!M;`!!!!!!!!!!!!!%QD!,!;`#!!;Q`!9!99!1"
        "/9!!!!!'!F=%!/%,!;`!!!Q\"R!/#%!;R`!/AP!!\"!!/#*!;Q`!!!QR!1/*!!!!!'!F=#!!;Q`!!M;`"
        "!\"!QD\"!!FR/!/#&!;R`!/!$!!\"!!/#$!;R`!/!8!!\"!!/#%!;Q`!!=F/!!!!!%!/%,!;`'!/Q!!!"
        "!%!/$,!;`!!!Q\"R!/#'!;Q`!!=F/!1/)!!!!!1/$!M;`!!!!!%!/',!;`%!/$!!!!%!/$,!;`\"!!FB"
        "=!/!5!!!!!!%QD!1/%!M;`!!!QR!!!!!!!!!QR!1/$!M;`!!!!!!!!!!!!!=F/!(!F/!!99\"9!/AM!!"
        "Q`!!=F/!1/$!M;`!!!!!!!!!!!!9!99!1/&!M;`!1/'!!!!!(!F/%!/$,!;`!!!!\"!!/#'!;R`!/!$!"
        "!!!!!9F=!1/$!M;`!1/4!!!!!(!F/%!/%,!;`%!/$!!!!%!/$,!;`!!!Q!R!!!!!!1/%!M;`!\"!QD'!"
        "/M$!!`%!/$,!;`%!/%!!!!!!!Q\"R!/#%!;R`!/!&!!\"!!/#$!;Q`!!!QR!!!!!%!/',!;`%!/%!!!!"
        "%!/%,!;`%!/2!!!!!!!Q2D!/#%!;R`!/!$!!\"!!/#$!;Q`!!9F=!!!!!\"!!FB=!/#&!;R`!/AM!!!!"
        "!!=F/!,!;`#!!;Q`!!!QR!1/%!!!!!'!F=%!/$,!;`%!/&!!!!%!/$,!;`!!!!!!!!!QR!1/'!M;`!1/"
        "&!!!!!1/%!M;`!1/0!!!!!'!F=%!/$,!;`\"!!FR/!/!$!!!!!!=F/!1/$!M;`!!!!!!!!!!!!!=F/!1"
        "/&!M;`!(!F/'!/M!!!!%!/$,!;`%!/'!!!!%!/$,!;`%!/$!!!!%!/$,!;`!!!!!!!!!!!!(!F/#!!;Q"
        "`!!M;`!#!Q=\"!!FQ/!!M;`!,!;`%!/'!!!!\"!!FR/!/#$!;Q`!!=F/!1/-!!!!!1/%!M;`!1/%!!!!"
        "!1/%!M;`!1/$!!!!!\"!QD#!!;Q`!!M;`!!!!!\"!!FB=!/#$!;R`!/AL!!!!!!!QR!,!;`#!!;Q`!!="
        "F/!!!!!!!!!!!!9!99!!!!!!!!!!!!!!QR!1/$!M;`!!!!!!!99!9!!M;`!,!;`\"!!FQ/!!!!!!!!!!"
        "%!/$,!;`!!!Q!R!!%QD!,!;`#!!;R`!/!$!!!!!!%QD!1/$!!!!!1/&!M;`!1/+!!!!!1/$!M;`!,R;`"
        "%!/%!!!!!!!Q\"R!/#$!;Q`!!!QR!1/%!!!!!,!;`#!!;Q`!!!QR!!!!!%!/%,!;`'!/L!!!!%!/$,!;"
        "`%!/'!!!!%!/$,!;`!!!!\"!!/#$!;R`!/!$!!\"!!/#$!;Q`!!!!!!!!!!#!!;Q`!!M;`!\"!QD!!!!"
        "!!!!!!!!,!;`!!!Q2D!/!$!!!!!!=F/!1/%!M;`!1/)!!!!!'!F=%!/$,!;`!!!Q2D!/!%!!\"!!/#$!"
        ";Q`!!=F/!1/&!-!`!,!;`#!!;Q`!!9F=!!!!!!!!!\"!!/#$!;Q`!!9F=!1/B!-!`!!!QR!!!Q2D!/A("
        "!!!!!!%QD!,!;`#!!;Q`!!)Q=!!!!!!!!!!!!!M;`!1/$!!!!!,!;`#!!;Q`!!=F/!,!;`#!!;Q`!!=F"
        "/!1/$!!!!!1/$!M;`!!!!!!!!!\"!!/#$!;Q`!!!!!!!!!!#!!;Q`!!M;`!'!F=%!/$!!!!!!!QB=!/#"
        "%!;Q`!9!99!1/'!!!!!1/$!M;`!(!F/%!/&!!!!%!/$,!;`%!/'!!!!%!/$,!;`!!!!!!!!!!!!'!F=%"
        "!/$,!;`%!/\?!!!!!!!Q!R!!=F/!1/%!M;`!\"!QD'!/'$!!`%!/$,!;`!!!!!!!!!!!!,!;`!!99!9!!"
        "!!!!!!!!%!/&,!;`%!/%!!!R%!/$,!;`!!!!!!!!!!!!1/$!M;`!!!!!!!!!!!!!%QD!1/$!M;`!1/%!"
        "!!!!1/%!M;`!\"!QD%!/%!!!!!!!Q2D!/#$!;R`!/!'!!\"!!/#$!;R`!/!'!!\"!!/#$!;R`!/!$!!\""
        "!!/#%!;R`!/!;!!!!!!!QR!1/*!M;`!9/'!!!!!1/$!M;`!!!QR!!!!!!!!!QR!,!;`!!!!!!!!!!!!1"
        "/&!M;`!1/%!!!!!1/$!M;`!!!!!!!!!\"!!/#$!;Q`!!=F/!!!!!!!!!\"!!/#%!;Q`!9!99!1/$!!!!"
        "!(!F/%!/$,!;`%!/$!!!R!!!Q\"R!/#$!;R`!/!$!!!!!!M;`!1/$!!!!!,!;`#!!;Q`!!%QD!1/'!!!"
        "!!'!F=#!!;Q`!!M;`!1/%!!!!!1/$!M;`!1/3!!!!!!!QR\"!!FB=!/#-!;Q`!!!QR!1/$!M;`!!999'"
        "!/&!!!!\"!!FA=!!M;`!,!;`\"!!FQ/!!!!!!!!!!#!!;Q`!!!QR!!!!!!!!Q\"R!/#%!;R`!/!%!!\""
        "!!/#$!;Q`!!!!!!!!!!!!99\"9!/#$!;Q`!!!!!!!!!!!!!Q2D!/#%!;Q`!!9F=!1/$!!!!!'!F=%!/$"
        ",!;`!!!!!!!!!!!!1/$!M;`!1/$!!!!!'!F=#!!;Q`!!!!!!!!!!!!!Q1D!!M;`!,!;`%!/(!!!!\"!!"
        "F1D!!M;`!,!;`%!/&!!!!%!/$,!;`%!/.!!!!!!!Q!R!!=F/!1/-!M;`!(!F/!!!Q!R!!!!!!!!!!%!/"
        "%,!;`%!/$!!!!%!/$,!;`'!/!!!!!!!!Q\"R!/#$!;Q`!!!!!!!!!!#!!;Q`!!M;`!!!!!!!!!\"!!/#"
        "%!;R`!/!%!!\"!!/#$!;R`!/!$!!\"!!/#$!;Q`!!)Q=!!!!!!!!!\"!!/#'!;Q`!!A;!!!!!!!!!!!!"
        "!!-!/!,!;`#!!;Q`!!=F/!\"!QD#!!;Q`!!M;`!'!F=!!!!!!!!!!!!!999#!!;Q`!!=F/!!!!!!!!!!"
        "!!!9F=!,!;`#!!;R`!/!(!!!!!!%QD!,!;`#!!;R`!/!&!!\"!!/#$!;R`!/!,!!!!!!%QD!1/-!M;`!"
        "'!F=!!99\"9!/!%!!!!!!=F/!1/$!M;`!\"!QD!!!!!!!!!!!!1/&!M;`!9/!!!!!!1/$!M;`!!!!!!!"
        "!!!!!!M;`!,!;`!!!!!!!!!!!!1/$!M;`!(!F/%!/%!!!!%!/$,!;`!!!Q!R!!!!!!!!!!!!!Q2D!/#$"
        "!;Q`!!!!!!!!!!\"!!FQ/!!M;`!1/&!-!`!1/$!!!!!$!!`%!/&,!;`#!!;!!!!!!!!!!!!!!!!Q`!!M"
        ";`!(!F/!!!!!!!!!!!!(!F/#!!;Q`!!M;`!1/(!!!!!(!F/#!!;Q`!!M;`!!!!!!!!!!!!!=F/!!!!!!"
        "!!!!!!9!99!,!;`#!!;Q`!!9F=!1/)!!!!!\"!QD%!/),!;`\"!!FQ/!!%QD!1/*!!!!!(!F/%!/$,!;"
        "`!!!Q!R!!!!!!!!!!!!99\"9!/#&!;Q`!!9F=!5/`!!!!!1/$!M;`!!!!!!!!!!!!!M;`!,!;`!!!Q!R"
        "!!!!!!!!QR#!!;Q`!!M;`!(!F/%!/%!!!!\"!!FQ/!!M;`!,!;`!!!Q2D!/!$!!\"!!/#$!;Q`!!!!!!"
        "!!!!!!!Q!R!!M;`!1/&!-Q`!\"!QD!!!!!!!!!!!!!999%!/&,!;`!!!!!!!!!!!!\"!QD#!!;Q`!!M;"
        "`!(!F/!!!!!!!!!!!!1/$!M;`!1/(!!!!!(!F/#!!;Q`!!M;`!!!!!!!!!!!!!M;`!1/$!!!!!1/$!M;"
        "`!1/(!!!!!1/'!M;`!(!F/!!!Q\"R!/!-!!\"!!/#%!;Q`!!!QR!1/$!!!!!#!Q=%!/',!;`&!/K!!!!"
        "\"!!FA=!!M;`!1/1!-!`!1/$!!!!!$!!`#!!;Q`!!M;`!)!;!!!!!\"!!/#$!;Q`!!!!!!!!!!%!/$,!"
        ";`!!!!!!!!!!!!!!QR!!!!!!!!%QD!1/$!M;`!1/$!!!!!'!F=#!!;Q`!!M;`!1/$!!!!!1/(!M;`!)!"
        ";R!!!!!!!!!!!!1/%!M;`!\"!QD!!!!!!!!!!!!1/$!M;`!(!F/!!!!!!!!!!!!(!F/#!!;Q`!!M;`!1"
        "/(!!!!!1/$!M;`!!!!!!!!!!!!!M;`!,!;`%!/$!!!!#!!;Q`!!M;`!\"!QD%!/%!!!!!!!Q2D!/#%!;"
        "Q`!!9F=!1/)!!!!!\"!QD\"!!FR/!/!%!!!!!!=F/!1/%!M;`!1/&!!!!!1/$!M;`!\"!QD%!/%,!;`&"
        "!/I!!!!%!/$,!;`%!/4$!!`%!/$,!;`!!!!!!!!!!!!(!F/#!!;Q`!!M;`!!!!!!!!!!!!!=F/!,!;`#"
        "!!;Q`!!!!!!!!!!\"!!FQ/!!!!!!!!!!%!/$,!;`%!/%!!!!#!!;Q`!!M;`!'!F=!!!!!!!!!!!!1/)!"
        "M;`!)!;!!!!!\"!!/#%!;Q`!!!!!!!!!!!!!Q2D!/#%!;Q`!!!!!!!!!!!!!Q1D!!M;`!,!;`%!/(!!!"
        "!%!/$,!;`!!!!!!!!!!!!,!;`#!!;R`!/!$!!\"!!/#$!;R`!/!$!!!!!!9F=!1/%!M;`!1/&!!!!!!!"
        "QR\"!!FB=!/#$!;Q`!!%QD!1/%!!!!!'!F=%!/(,!;`%!/$!!!!%!/$,!;`!!!!!!!!!!!!1/$!M;`!5"
        "/H!!!!!!!QR%!/%,!;`%!/3$!!`%!/$,!;`!!!Q!R!!!!!!(!F/#!!;Q`!!M;`!!!!!!!!!!!!9!99!,"
        "!;`#!!;Q`!!!!!!!!!!#!!;Q`!!!!!!!!!!%!/$,!;`%!/%!!!R#!!;Q`!!M;`!(!F/!!!!!!!!!!!!("
        "!F/#!!;R`!/!'!!Q`!!!!!!!!!!\"!!FR/!/#$!;Q`!!!!!!!!!!%!/&,!;`#!!;!!!!!!!!!!!!!!!!"
        "Q`!!M;`!#!Q=%!/'!!!!%!/$,!;`!!!!!!!!!!!!,!;`#!!;Q`!!%QD!!!!!!!!!\"!!/#$!;Q`!!!!!"
        "!!!!!\"!!FB=!/#$!;Q`!!9F=!1/%!!!!!(!F/%!/&,!;`%!/%!!!!!!!Q\"R!/#+!;Q`!!!!!!!!!!%"
        "!/$,!;`!!!!!!!!!!!!1/$!M;`!'!F=&!/G$!!`%!/$,!;`\"!!FQ/!!M;`!,!;`!!!Q2D!/!1!!\"!!"
        "/#$!;Q`!!!QR!!!!!!!!QA=!!M;`!,!;`%!/$!!!!#!!;Q`!!M;`!!!!!!!!!!!!!)Q=!!!!!!!!!!!!"
        "!=F/!,!;`#!!;Q`!!=F/!1/$!!!!!1/$!M;`!!!!!!!!!!!!!)Q=!,!;`%!/'$!!`!!99!9!!!!!!\"!"
        "QD%!/$,!;`!!!!!!!!!!!!1/&!M;`!)!;!!!!!!!!!!!!!$!!`#!!;Q`!!M;`!)!;!%!/$!!!!!!!!Q`"
        "!!!QR!,!;`#!!;Q`!!)Q=!!!!!!!!!!!!!M;`!,!;`\"!!FQ/!!!!!!!!!!%!/$,!;`!!!!!!!!%QD!1"
        "/%!M;`!1/%!!!!!1/&!M;`!(!F/%!/%!!!!%!/&,!;`!!!Q2D!/#'!;Q`!!!QR!!!!!%!/$,!;`!!!!!"
        "!!!!!!!!!QR%!/$,!;`&!/F!!!!!!99\"9!/#$!;Q`!!!!!!,!;`#!!;Q`!!=F/!1/)!!!!!1/&!M;`!"
        "1/$!!!!!(!F/#!!;Q`!!M;`!&!FD!!!!!!!!%QD!,!;`\"!!FQ`!!9F=!!!!!!!!!!!!!M;`!,!;`%!/"
        "$!!!!\"!!FA=!!!!!!!!!!%!/$,!;`%!/$!!!!#!!;Q`!!M;`!'!F=!!!!!!!!!!!!(!F/#!!;R`!/!'"
        "!!Q`!!%!D!!!!!!!!Q!R!!M;`!,!;`!!!Q1D!!!!!!!!!!%!/&,!;`#!!;Q/!!!!!!!!!!%!/$,!;`%!"
        "/&!!!!%!/$,!;`%!/$!!!!%!/$,!;`!!!!!!!!!!!!1/$!M;`!!!QR%!/$,!;`!!!Q2D!/!$!!\"!!/#"
        "$!;Q`!!-Q`!,!;`#!!;Q`!!I;=!1/$!!!!!1/&!M;`!(!F/!!!!\"!!/#(!;Q`!!!QR!!!!!#!!;Q`!!"
        "M;`!'!F=%!/$!!!!%!/$,!;`&!/F!!!!\"!!FB=!/#$!;Q`!!!!!!1/$!M;`!1/(!!!!!\"!QD%!/',!"
        ";`!!!!!!!!!!!!(!F/#!!;Q`!!M;`!#!Q=!!!!!!!!!QR!,!;`!!!QQ`!!=F/!!!!!!!!!!!!!M;`!,!"
        ";`!!!Q!R!!!!!!!!!!#!!;Q`!!!!!!!!!!%!/$,!;`!!!!!!!!!!!!!!QR#!!;Q`!!M;`!!!QR!!!!!!"
        "!!!!!!1/)!M;`!*!;D!!!!!!!!!QR!,!;`#!!;Q`!!!QR!!!!!!!!Q\"R!/#'!;Q`!!A;!!!!!!%!/$,"
        "!;`!!!Q\"R!/!$!!!!!!=F/!,!;`#!!;Q`!!!QR!!!!!!!!!!!!!9F=!1/$!M;`!!!!!!!!!\"!!/#'!"
        ";Q`!!9F=!1/$!!!!!1/$!M;`!$!!`#!!;Q`!!M;`!+!;=%!/$!!!!%!/&,!;`!!!!!!!!!!!!1/%!M;`"
        "!!!!!%!/$,!;`!!!!!!!9!99!,!;`#!!;Q`!!!QR!1/$!!!!!!!QR#!!;Q`!!M;`!\"!QD&!/E$!!`%!"
        "/$,!;`!!!Q!R!!!!!!1/$!M;`!1/(!!!!!(!F/#!!;Q`!!M;`!(!F/%!/%,!;`!!!!!!!!=F/!,!;`#!"
        "!;Q`!!9F=!!!!!!!!Q!R!!M;`!$!!`!!!!Q`!!!!!!!!!!\"!!FQ/!!M;`!'!F=!!!!!!!!!!!!,!;`!"
        "!!!!!!!!!!!!!QR#!!;Q`!!M;`!\"!QD!!!!!!!!=F/!,!;`#!!;R`!/!$!!!!!!M;`!1/(!=F`!%!FR"
        "!!!!!!!!!QR!,!;`#!!;Q`!!!QR!!!!!!!!Q\"R!/#'!;Q`!!A;!!!!!!\"!!FQ/!!M;`!,!;`!!!QA="
        "!!!!!!!!!!!!!Q\"R!/#$!;R`!/!$!!\"!!/#%!;Q`!!!!!!!!!!\"!!FR/!/#&!;R`!/!$!!\"!!/#$"
        "!;Q`!!-!`!(!F`\"!!FQ`!!=F/!1/$!!!!!1/%!M;`!!!QR%!/$!!!!%!/$,!;`!!!Q!R!!!!!!1/$!M"
        ";`!!!!!\"!!FA=!!M;`!,!;`%!/&!!!!%!/$,!;`&!/E!!!!%!/$,!;`!!!!!!!!!!!!1/$!M;`!1/(!"
        "!!!!!!QR#!!;Q`!!M;`!\"!QD\"!!FR/!/#$!;Q`!!!QR!\"!QD#!!;Q`!!M;`!(!F/!!!!!!!9!99!,"
        "!;`!!!!Q`!!-!`!!!!!!!!!!!!!=F/!,!;`#!!;Q`!!!!!!!!!!\"!!FR/!/!$!!\"!!/#$!;Q`!!!!!"
        "!1/$!M;`!!!!!!!!!!!!!!QR!,!;`%!/($!Q`!!!Q!!!!!!!!\"!QD#!!;Q`!!M;`!!!QR!!!!!!!!!Q"
        "R!1/'!M;`!)!;!!!!!!!!!%QD!,!;`#!!;Q`!!=F/!!!!!!!!!\"!!/#%!;Q`!!!!!!!!!!\"!!FA=!!"
        "M;`!1/$!-Q`!!!Q!!!!!!!!!=F/!1/%!M;`!1/$!!!!!\"!QD%!/',!;`#!!;!!!!!!!!!!!!!!!!R`!"
        "/#$!;Q`!!E;D!1/$!!!!!1/$!M;`!'!F=!!!!!!!!%QD!,!;`#!!;Q`!!!QR!!!!!%!/$,!;`!!!!!!!"
        "!!!!!\"!QD!!!!!!!!!!!!(!F/#!!;Q`!!M;`!5/3!!!!!1/$!M;`!1/0!!!!!,!;`#!!;Q`!!=F/!!!"
        "!!!!!!\"!!/#$!;R`!/!)!!\"!!/#$!;Q`!!!!!!(!F/%!/$,!;`\"!!FA=!!M;`!,!;`\"!!FQ/!!!!"
        "!!!!!!#!!;Q`!!-!`!$!!`!!!!!!!!!!!!#!Q=#!!;Q`!!M;`!!!!!!!!!!!!!=F/!(!F/!!!!!!!!!!"
        "!!'!F=#!!;Q`!!M;`!!!QR%!/$,!;`!!!!!!!!!!!!(!F/#!!;R`!/!(!!Q`!!!!!!!!!!\"!!FQ/!!M"
        ";`!,!;`!!!Q!R!!!!!!!!QR%!/',!;`#!!;!R!!!!!!!!QR%!/$,!;`!!!!\"!!/#%!;R`!/!$!!\"!!"
        "/#&!;Q`!!A;!!!!!!%!/%,!;`\"!!FB=!/!$!!\"!!/#'!;Q`!!A;!!!!!!!!!!!!!!%!D!1/$!M;`!\""
        "!QD%!/$!!!!%!/%,!;`!!!!!!!!!!!!1/$!M;`!!!!!!!!!!!!!M;`!,!;`\"!!FQ/!!!!!!!!!!#!!;"
        "R`!/!$!!!!!!M;`!,!;`!!!Q2D!/10!!!!!9!99!1/'!M;`!1/-!-!`!'!F=#!!;Q`!!M;`!1/$!!!!!"
        "1/$!M;`!1/)!!!!!'!F=#!!;Q`!!M;`!1/$!!!!!1/'!M;`!!!!!!!!!!!!!M;`!$!!`!!!!R`!/!$!!"
        "!!!!-!`!,!;`!!!!!!!!!!!!(!F/#!!;R`!/!$!!\"!!/#'!;Q`!!!!!!!!!!%!/*,!;`#!!;!!!!!!!"
        "!1/$!M;`!'!F=!!!!!!!!!!!!1/'!M;`!+!;=!!!!!!!!!!!!1/$!M;`!!999%!/$,!;`%!/$!!!!%!/"
        "',!;`#!!;!!!!!!!!1/%!M;`!1/$!!!!!1/'!M;`!,!;/!!!!!!!!!!!!'!F=%!/$,!;`%!/%!!!!%!/"
        "$,!;`\"!!FA=!!!!!!!!!!!!!Q!R!!M;`!,!;`!!!Q1D!!!!!!\"!QD#!!;Q`!!M;`!!999!!!!!!!!!"
        "!!!,!;`%!/$!!!R%!/$,!;`&!/1!!!!%!/(,!;`%!/,$!!`%!/$,!;`%!/$!!!!%!/$,!;`!!!QB=!/!"
        ")!!!!!!M;`!,!;`\"!!FB=!/!$!!\"!!/#&!;Q`!!!!!!!!!!#!!;Q`!!-Q`!$!Q`!!!Q1D!!!!!!!!!"
        "!\"!!FA=!!9F=!!!!!!!!!!!!!M;`!$!Q`\"!!FQ/!!!!!!!!!!!!!Q2D!/#%!;Q`!!9F=!!!!!!!!!\""
        "!!/#*!;Q`!!A;!!!!!!%!/%,!;`!!!!!!!!!!!!1/'!M;`!,!;/!!!!!!!!!!!!1/'!M;`!!!QR!!!!!"
        "!!!!!!!1/$!M;`!$!!`#!!;Q`!!M;`!*!;D!!!!!!!!!!!!1/%!M;`!!!!!!!!!!!!!=F/!1/'!M;`!)"
        "!;!!!!!!!!!!!!!$!!`#!!;Q`!!M;`!)!;!%!/$!!!!!!!!R`!/#$!;Q`!!A;!!!!!!!!!!!!!!-!`!,"
        "!;`#!!;Q`!!A;!!!!!!%!/$,!;`%!/$!!!!#!!;Q`!!=F/!!!!!!!!!!!!!9F=!,!;`#!!;R`!/11!!!"
        "!!!M;`!,!;`\"!!FQ/!!!QR!1/%!M;`!1/+!-!`!,!;`#!!;Q`!!=F/!1/$!!!!!\"!QD%!/$,!;`%!/"
        ")!!!!%!/$,!;`%!/$!!!!%!/&,!;`!!!!!!!!!!!!,!;`%!/$(!F`\"!!F\"!!/!&!!\"!!/!$!!R`!/"
        "!$!!!!!!-!`!1/$!M;`!)!;R!!!!!!!!!QR!1/)!M;`!,!;/!!!!!!!!!!!!1/%!M;`!!!!!!!!!\"!!"
        "/#'!;Q`!!M;/!!!!!!!!!\"!!/#'!;R`!/!$!!\"!!/#'!;Q`!!A;!!!!!!!!!!!!!!-!`!,!;`#!!;Q"
        "`!!A;R!!!!!!!!!\"!!/#'!;Q`!!M;/!!!!!!!!!\"!!/#$!;Q`!!!QR!1/$!!!!!(!F/%!/$,!;`!!9"
        "9\"9!/!$!!\"!!/#$!;Q`!!!!!!!!!!%!/$,!;`!!!!!!!!!!!!\"!QD#!!;Q`!!M;`!1/$!!!!!,!;`"
        "#!!;Q`!!%QD!5/0!-!`!1/$!M;`!!!!R!!!!\"!!/#&!;R`!/!)!!!!!!M;`!,!;`!!!Q2D!/!%!!\"!"
        "!/#$!;R`!/!)!!!!!!9F=!,!;`#!!;R`!/!$!!!!!9!99!1/%!M;`!!!!!!!!!\"!!/#%!;Q`!!M;/!1"
        "/%!!!!!&!FD#!!;Q`!!-!`!$!!`!!!!A=!!!!!!!!!!%!/%,!;`!!!!!!!!!!!!'!F=%!/),!;`#!!;Q"
        "/!!!!!!!!!!%!/%,!;`!!!!!!!!!!!!(!F/#!!;R`!/\"%!FQ`!!9F=!!!!!!!!!\"!!/#&!;R`!/!$!"
        "!!!!!=F/!,!;`%!/&$!Q`!!!Q!!!!!!!!!999%!/$,!;`!!!!!!!!!!!!'!F=%!/',!;`#!!;!R!!!!!"
        "!!!!!%!/$,!;`%!/$!!!!%!/%,!;`!!!Q\"R!/!$!!!!!!!QR!,!;`#!!;Q`!!%QD!!!!!\"!!FA=!!M"
        ";`!,!;`%!/$!!!R%!/$,!;`%!/$!!!!%!/$,!;`&!/3!!!!#!!;Q`!!!!!!!!!!\"!!FB=!/#%!;R`!/"
        "!'!!!R!!!QR!,!;`#!!;R`!/!&!!\"!!/#$!;R`!/!*!!!!!!M;`!,!;`\"!!FB=!/!$!!!!!!=F/!1/"
        "$!M;`!!!!!!!!!\"!!/#&!;Q`!!M;/!!!!!!!!!!!!!5FD!1/&!M;`!)!;!!!!!\"!!/#%!;Q`!!!!!!"
        "!!!!%!/*,!;`#!!;A=!!!!!!!!!!%!/%,!;`!!!!!!!!!!!!\"!QD%!/&,!;`#!!;1D!!!!!!!!!R%!/"
        "%,!;`\"!!FR/!/!$!!\"!!/#'!;Q`!!A;R!!!!!!!!!\"!!/#$!;Q`!!=F/!!!!!!!!!\"!!/#(!;Q`!"
        "!A;!!!!!!\"!!FA=!!M;`!,!;`\"!!FQ/!!!!!!!!!!%!/%,!;`!!!Q2D!/!%!!\"!!/#$!;Q`!!!!!!"
        "!!!!%!/$,!;`%!/$!!!!%!/$,!;`!!!Q1D!!!!!!!!!!%!/$,!;`%!/\\!!!!!!!Q\"R!/#$!;Q`!!!Q"
        "R!1/4!!!!!,!;`%!/$!!!!!!!Q2D!/#%!;R`!/!%!!Q`!!=F/!,!;`#!!;R`!/!&!!!!!!%QD!,!;`#!"
        "!;Q`!9!99!1/)!!!!!1/$!M;`!1/%!!!!!1/$!M;`!!!!!!!!!!!!!%QD!,!;`%!/-$!!`!!!!1D!!!!"
        "!!!!QR%!/$,!;`!!!!!!!!!!!!1/*!M;`!,!;/!!!!!!!!!!!!1/%!M;`!\"!QD!!!!!!!!!!!!1/&!M"
        ";`!)!;!!!!!!!!!=F/!1/%!M;`!1/$!!!!!1/(!M;`!)!;!!!!!!!!9!99!1/$!M;`!!!!!!!!!!!!!%"
        "QD!1/(!M;`!)!;!!!!!\"!!/#$!;Q`!!!!!!1/&!M;`!1/&!!!!!!!QR%!/$,!;`!!!!\"!!/#%!;Q`!"
        "!!!!!!!!!\"!!FQ/!!M;`!1/$!-!`!!!!!!!!!\"!!/#$!;Q`!9!99!1/[!-!`!1/'!M;`!#!Q=%!/8!"
        "!!!%!/$,!;`\"!!FR/!/!$!!\"!!/#$!;Q`!!!!!!!!!!!!!Q!R!!)Q=!!!!!!!!!!!!!M;`!,!;`\"!"
        "!FR/!/!)!!\"!!/#$!;R`!/!%!!!!!!%QD!,!;`#!!;R`!/!$!!!!!!M;`!1/-!-!`!$!!/!!!!!!!!!"
        "!!!,!;`#!!;Q`!!=F/!!!!!!!!!\"!!/#+!;Q`!!A;!!!!!!%!/%,!;`\"!!FQ/!!!!!!!!!!%!/&,!;"
        "`#!!;!!!!!!!!1/&!M;`!!!!!!!!!!!!!=F/!1/'!M;`!)!;!!!!!!!!!!!!!$!!`%!/$,!;`#!!;!!!"
        "!!!!!1/(!M;`!+!;=!!!!!!!!!!!!1/$!M;`!'!F=%!/%,!;`%!/'!!!!%!/$,!;`\"!!FA=!!9F=!1/"
        "$!M;`!1/$!!!!!1/&!M;`!)!;!!!!!\"!!/#$!;Q`!!%QD!1/[!-!`!1/)!M;`!\"!QD%!/1!!!!\"!!"
        "FR/!/!%!!!!!!=F/!1/$!M;`!1/$!!!!!1/$!M;`!!!!!!!!!!!!!%QD!,!;`!!!!!!!!!!!!1/$!M;`"
        "!1/)!!!!!1/$!M;`!1/&!!!!!,!;`#!!;Q`!!%QD!!!!!!!!!!!!!=F/!,!;`%!/-$!!`!!!!!!!!!!!"
        "!,!;`#!!;Q`!!=F/!!!!!!!!!\"!!/#+!;Q`!!A;!!!!!!%!/%,!;`\"!!FA=!!!!!!!!!!%!/%,!;`#"
        "!!;1D!!!!!!!!!!%!/%,!;`!!!Q!R!!!!!!!!!!%!/(,!;`#!!;!!!!!!!!!!!!!!!!R`!/#$!;Q`!!A"
        ";!!!!!!%!/(,!;`#!!;!R!!!!!!!!!!%!/',!;`\"!!FR/!/!'!!!!!!!QR!1/$!M;`!!!!!%!/$,!;`"
        "\"!!FA=!!!!!!!!!!\"!!FR/!/#&!;Q`!!A;!!!!!!!!!QA=!!M;`!,!;`\"!!FR/!/![!!Q`!!M;`!,"
        "!;`!!!Q1D!!9F=!1/'!M;`!&!FD%!/.!!!!#!!;Q`!!M;`!1/&!!!!!(!F/%!/$,!;`!!!!!!!!!!!!,"
        "!;`#!!;Q`!!=F/!!!!!!!!!!!!!=F/!,!;`!!!!!!!!!!!!!!QR%!/$,!;`%!/(!!!!%!/$,!;`%!/&!"
        "!!!\"!!FQ/!!M;`!,!;`%!/$!!!!#!!;R`!/\"-!FQ`!!1F!!!!!!#!!;Q`!!M;`!'!F=!!!!!!!!!!!"
        "!1/+!M;`!)!;!!!!!!!!!9F=!1/$!M;`!\"!QD!!!!!!!!!!!!1/%!M;`!)!;!!!!!!!!!!!!!$!!`%!"
        "/$,!;`#!!;!!!!!!!!'!F=%!/(,!;`#!!;!!!!!!!!(!F/%!/$,!;`\"!!FQ/!!!!!!!!!!%!/(,!;`#"
        "!!;!!!!!!!!!!!!!!!!R`!/#%!;Q`!!E;D!1/%!!!!!\"!QD!!!!!!!!!!!!1/$!M;`!(!F/!!!Q\"R!"
        "/#$!;Q`!!!!!!!!!!!!99\"9!/#'!;Q`!!A;R!!!!!!!!Q\"R!/#$!;R`!/![!!R`!/#$!;Q`!!!QR!!"
        "!!!!!!Q2D!/#'!;Q`!9!99!1/,!!!!!,!;`#!!;Q`!!9F=!1/&!!!!!1/$!M;`!(!F/!!!!!!!!M;`!,"
        "!;`\"!!FA=!!!!!!!!!!#!!;Q`!!M;`!1/$!!!!!1/$!M;`!'!F=%!/'!!!!%!/$,!;`!!!!!!!!!!!!"
        "'!F=!!!!!!!!!!!!!999#!!;Q`!!M;`!!!QR!!!!!!!!!!!!1/.!M;`!)!;!!!!!!!!!M;`!,!;`!!!Q"
        "1D!!!!!!!!!!%!/+,!;`#!!;1D!!!!!!!!!!%!/$,!;`!!!!!!!!!!!!\"!QD%!/$,!;`\"!!FQ/!!!!"
        "!!!!!!!!!Q2D!/#$!;Q`!!=F/!!!!!!!!!\"!!/#(!;Q`!!I;=!!!!!!!!!\"!!/#%!;Q`!!%QD!!!!!"
        "!!!!\"!!/#(!;Q`!!A;!!!!!!!!!!!!!!-!`!1/$!M;`!)!;R%!/%!!!!#!!;R`!/!$!!\"!!/#$!;Q`"
        "!!!!!!1/$!M;`!1/$!!!!!1/$!M;`!1/%!-!`!#!!=!!!!!!!!!!!!1/$!M;`!1/\\!-!`!1/$!M;`!'"
        "!F=%!/$!!!!!!!Q2D!/#&!;Q`!!=F/!1/*!!!!!1/$!M;`!!!!!!!!!!!!!!QR!1/$!!!!!(!F/#!!;Q"
        "`!!M;`!(!F/#!!;Q`!!M;`!'!F=!!!!!!!!!!!!1/$!M;`!1/$!!!!!1/$!M;`!(!F/%!/&!!!!%!/$,"
        "!;`!!!!!!!!!!!!#!Q=!!!Q!R!!!!!!!!!!%!/$,!;`!!!!!!!!!!!!!999%!/%,!;`!!!QR`!/#'!;Q"
        "`!!I;=!!!!!!!!!!!!!M;`!,!;`!!!Q1D!!!!!!!!!!%!/,,!;`#!!;\"!!/!'!!!!!!-!`!1/$!M;`!"
        ")!;!!!!!!!!!!!!!$!!`%!/$,!;`#!!;!!!!!!!!\"!QD%!/(,!;`#!!;!!!!!!!!#!Q=%!/%,!;`%!/"
        "$!!!!%!/(,!;`#!!;!!!!!!!!!!!!!!!!Q`!!M;`!,!;`#!!;2D!/!$!!!!!!M;`!,!;`%!/$!!!!%!/"
        "$,!;`!!99\"9!/#$!;R`!/!$!!!!!!%QD!1/)!M;`!)!;!!!!!\"!!/#$!;R`!/!]!!R`!/#$!;Q`!!5"
        "FD!1/%!!!!!\"!QD%!/&,!;`%!/)!!!!\"!!FQ/!!M;`!,!;`%!/$!!!!\"!!FR/!/!$!!\"!!/#&!;Q"
        "`!!%QD!!!!!!!!!\"!!/#$!;Q`!!9F=!!!!!!!!!!!!!)Q=!1/$!M;`!'!F=%!/%!!!!%!/$,!;`!!!!"
        "!!!!!!!!&!FD#!!;R`!/!$!!\"!!/#$!;Q`!!!!!!!!!!!!!Q2D!/#$!;Q`!!=F`!1/'!M;`!!999!!!"
        "!!!!!)Q=!,!;`#!!;Q`!!5FD!!!!!!!!!\"!!/#$!;R`!/!$!!Q`!!-Q`!1/&!M;`!)!;!%!/%!!!!!!"
        "!!R`!/#%!;Q`!!A;!!!!!!!!!Q2D!/#%!;Q`!!!!!!!!!!%!/),!;`#!!;!!!!!!!!(!F/%!/%,!;`%!"
        "/$!!!!#!!;R`!/\"'!FQ`!!1F!!!!!!!!!Q\"R!/#$!;R`!/!$!!\"!!/#$!;Q`!!!!!!!!!!!!!Q1D!"
        "!M;`!,!;`\"!!FR/!/#$!;Q`!!9F=!1/$!!!!!1/*!M;`!)!;!!!!!\"!!/#$!;R`!/!]!!R`!/#%!;Q"
        "`!!!QR!1/&!!!!!1/&!M;`!1/(!!!!!\"!QD#!!;Q`!!M;`!1/$!!!!!,!;`!!!Q1D!!!!!!!!!!%!/&"
        ",!;`!!!Q!R!!!!!!!!!!%!/%,!;`!!99!9!!!!!!!!!!\"!!FR/!/#$!;R`!/!%!!\"!!/#$!;Q`!!!!"
        "!!!!!!\"!!FQ/!!M;`!1/$!!!!!1/$!M;`!\"!QD!!!!!!!!!!!!'!F=%!/%,!;`!!!QR`!/#%!;Q`!!"
        "A;!!!!!!%!/$,!;`!!!QA=!!!!!!!!QR%!//,!;`#!!;Q/!!=F/!1/$!M;`!(!F`#!!;Q`!!9F=!!!!!"
        "!!!!\"!!/#&!;Q`!!!!!!!!!!%!/),!;`#!!;!!!!!!!!1/&!M;`!1/$!!!!!,!;`%!/'$!Q`!!!Q!!!"
        "!!!!!!!QR#!!;Q`!!M;`!!!QR!!!!!!!!!!!!(!F/%!/$,!;`!!!!!!!!!!!!1/$!M;`!'!F=%!/$,!;"
        "`%!/$!!!!%!/$,!;`%!/%$!!`!!!QQ`!!M;`!,!;`#!!;!!!!!!!!1/$!M;`!1/^!!!!!1/%!M;`!1/'"
        "!!!!!!!QR%!/%,!;`!!!Q2D!/!'!!!!!!M;`!,!;`!!!Q!R!!!!!!!!!!#!!;Q`!!M;`!!!!!!!!!!!!"
        "9!99!1/%!M;`!'!F=!!!!!!!!!!!!1/&!M;`!)!;!!!!!!!!!!!!!$!!`%!/$,!;`#!!;!!!!!!!!!!!"
        "!!!!!Q`!!M;`!,!;`#!!;!!!!!!!!(!F/#!!;Q`!!%QD!!!!!!!!!\"!!/#%!;R`!/!%!!\"!!/#(!;R"
        "`!/!$!!\"!!/#$!;Q`!!!QR!!!!!!!!Q\"R!/#6!;Q`!!A;!!!!!!!!!Q\"R!/#%!;Q`!!=F/!!!!!!!"
        "!!\"!!/#)!;Q`!!A;!!!!!!%!/&,!;`!!!!!!!!!!!!\"!QD#!!;R`!/!'!QQ`!!!Q!!!!!!!!!Q1D!!"
        "M;`!,!;`!!!!!!!!!!!!\"!QD%!/%,!;`!!!!!!!!!!!!1/'!M;`!'!F=!!!!!!!!!!!!'!F=%!/+,!;"
        "`#!!;!!!!!!!!1/$!M;`!1/_!!!!!(!F/#!!;Q`!!M;`!\"!QD!!!!!!!!!!!!!!QR%!/%!!!!!!99\""
        "9!/#%!;Q`!9!99!1/%!!!!!,!;`#!!;Q`!!=F/!!!!!!!!!\"!!/#$!;Q`!!!!!!!!!!\"!!FR/!/#$!"
        ";Q`!!=F/!!!!!!!!!!!!!=F/!,!;`%!/%$!!`%!/$!!!!!!!!B=!/#$!;Q`!!!QR!!!!!%!/$,!;`!!!"
        "!!!!!!!!!(!F/#!!;Q`!!M;`!!!!!!!!!!!!!!QR!1/%!M;`!!!QR%!/,!!!!%!/%,!;`!!!!!!!!!!!"
        "!'!F=%!/$,!;`!!!!R`!/#1!;Q`!!M;/!!!!!!!!!\"!!/#&!;Q`!!)Q=!!!!!!!!!\"!!/#)!;Q`!!A"
        ";!!!!!!%!/%,!;`!!99!9!!!!!!!!!!%!/(,!;`#!!;Q/!!!!!!!!!!\"!!FQ/!!M;`!1/$!!!!!1/%!"
        "M;`!,!;/!!!!!!!!!!!!1/&!M;`!(!F/!!!!!!!!!!!!(!F/%!/,,!;`#!!;!!!!!!!!1/$!M;`!1/$!"
        "!!!!!999#!!;Q`!!M;`!(!F/%!/Y!!!!%!/$,!;`%!/$!!!!#!!;Q`!!5FD!1/$!!!!!\"!QD%!/%,!;"
        "`%!/%!!!!%!/$,!;`!!!!!!!!!!!!1/$!M;`!!!!R!!!!!!!9!99!1/%!M;`!!!!!!!!!!!!!%QD!,!;"
        "`%!/%$!!`!!!!R/!/!$!!!!!!9F=!1/$!M;`!!!!!%!/$,!;`!!!!!!!!!!!!(!F/#!!;Q`!!M;`!'!F"
        "=!!!!!!!!!!!!(!F/%!/%,!;`\"!!FR/!/!*!!\"!!/#&!;Q`!!!!!!!!!!\"!!FQ/!!M;`!1/4!=F`!"
        "!999!!!!!!!9!99!1/&!M;`!#!Q=!!!!!!!!!!!!1/)!M;`!)!;!!!!!\"!!/#%!;R`!/!$!!!!!!M;`"
        "!1/'!=F`!'!F=!!!!!!!!!!!!,!;`\"!!FA=!!!!!!!!!!!!!Q!R!!M;`!1/$!=F`!(!F/!!!!!!!!!!"
        "!!1/&!M;`!1/$!!!!!1/$!M;`!1/'!-!`!1/$!M;`!!!!!!!!!\"!!/#$!;R`!/!$!!\"!!/#&!;R`!/"
        "!X!!!!!!%QD!,!;`#!!;Q`!!9F=!!!!!!!!!\"!!/#$!;R`!/!$!!!!!!!QR!1/$!M;`!(!F/%!/$!!!"
        "!%!/$,!;`!!!!!!!!!!!!1/$!M;`!(!F/!!!!!!!!!!!!1/%!M;`!1/$!!!!!,!;`%!/&(!F`\"!!FB="
        "!/!$!!\"!!/#(!;Q`!!!!!!!!!!\"!!FR/!/#$!;R`!/!$!!\"!!/#(!;Q`!!!QR!1/$!!!!!!!QR%!/"
        "',!;`\"!!FA=!!!!!!!!!!%!/.,!;`!!!!R`!/!(!QQ`!!!Q!!!!!!\"!!FQ/!!M;`!,!;`\"!!FQ/!!"
        "M;`!,!;`!!!Q1D!!!!!!!!!!%!/$,!;`\"!!FR`!/!%!!R`!/!$!!!!!!-!/!,!;`\"!!FA=!!!!!!!!"
        "!!\"!!FQ/!!M;`!1/'!=F`!%!FR!!!!!!!!!!!!,!;`%!/$!!!!%!/',!;`#!!;!!!!!!!!1/%!M;`!("
        "!F/!!!!!!!!!!!!1/$!M;`!1/&!-!`!$!Q`%!/$$!!`!!!!A=!!!!!!!!!!%!/$,!;`!!!!!!!!!!!!#"
        "!Q=%!/&,!;`%!/Y!!!!%!/$,!;`!!!!!!!!!!!!#!Q=%!/$,!;`!!99\"9!/!$!!\"!!/#$!;Q`!!9F="
        "!!!!!!!!!!!!!M;`!,!;`\"!!FQ/!!!!!!!!!!%!/%,!;`!!!!!!!!!!!!(!F/%!/$,!;`%!/$!!!!%!"
        "/(,!;`#!!;A=!!!!!!!!!!!!99\"9!/#'!;Q`!!!!!!!!!!\"!!FR/!/#%!;R`!/!$!!\"!!/#2!;R`!"
        "/!$!!\"!!/#6!;Q`!!A;!!!!!!%!/$,!;`!!!!!R!!M;`!,!;`!!!Q1D!!!!!!!!!!%!/*,!;`#!!;\""
        "!!/!&!!!!!9!99!1/)!M;`!)!;!!!!!!!!!!!!!$!!`%!/$!!!!#!!;R`!/\"&!FQ`!!1F!!!!!!%!/%"
        ",!;`%!/$!!!!%!/$,!;`%!/*$!!`!!!!!R!!!!!!!!QR%!/$,!;`!!!!!!!!!!!!1/'!M;`!!!QR%!/X"
        "!!!!!!!Q1D!!M;`!,!;`!!!Q1D!!!!!!!!!!%!/%,!;`%!/%!!!!%!/$,!;`!!99!9!!!!!!,!;`#!!;"
        "Q`!!=F/!!!!!!!!!\"!!/#%!;Q`!!!!!!!!!!!!99\"9!/#$!;Q`!!9F=!!!!!!!!!!!!!%QD!,!;`%!"
        "/'$!Q`!!!Q1D!!!!!!!!!!!!99\"9!/#&!;Q`!!!!!!!!!!\"!!FA=!!M;`!1/$!=F`!%!F!!!!!!!!!"
        "!!!!!!!R%!/0,!;`!!!Q!R!!!!!!!!!!!!!Q1D!!M;`!1/4!-Q`!$!Q/!!!!!!!!!!!!1/$!M;`!!!!!"
        "#!!;Q`!!M;`!\"!QD!!!!!!!!!!!!1/*!M;`!)!;R%!/&!!!!%!/$,!;`\"!!FR`!/#&!;Q`!!A;!!!!"
        "!!!!!!!!!!-!`!!!!!!!!!!!!!5FD!,!;`%!/&$!!`!!!!!!!!!!!!1/%!M;`!1/$!!!!!1/&!M;`!1/"
        "(!-!`!!!!!!!!!!!!!9F=!,!;`#!!;Q`!!=F/!!!!!!!!!\"!!/#$!;Q`!!=F/!,!;`#!!;Q`!!9F=!1"
        "/Y!!!!!1/$!M;`!!!!!!!!!!!!!9F=!,!;`%!/$$!Q`!!!Q2D!/!$!!\"!!/#$!;Q`!!!!R!,!;`#!!;"
        "Q`!!%QD!!!!!!!!!\"!!/#%!;Q`!!A;!!!!!!!!!!!!!!-!`!1/$!M;`!)!;!!!!!!!!!!!!!$!!`%!/"
        "),!;`#!!;!!!!!!!!!!!!!!!!R`!/#$!;Q`!!E;D!!!!!!!!!\"!!/#&!;Q`!!E;D!1/$!!!!!1/.!M;"
        "`!1/$!!!!!!!QR%!/',!;`\"!!FR`!/#/!;Q`!!M;/!!!!!!!!!\"!!/#$!;Q`!!!!!!,!;`#!!;Q`!!"
        "9F=!!!!!!!!!\"!!/#8!;Q`!!M;/!!!!!!!!!!!!!)Q=!,!;`!!!!!!!!!!!!(!F/#!!;R`!/!&!!Q`!"
        "!!!!!!!!!!!!Q1D!!M;`!,!;`!!!Q1D!!!!!!!!!!%!/$,!;`%!/*$!!`!!!!Q/!!!!!!!!!!%!/$,!;"
        "`%!/$!!!!%!/$,!;`!!!Q\"R!/#$!;R`!/!Y!!\"!!/#$!;Q`!!!QR!!!!!!!!!!R!!M;`!1/%!=F`!%"
        "!FR!!!!!!!!!!!!1/'!M;`!!!QR!!!!!!!!!!!!1/%!M;`!,!;/!!!!!!!!!!!!\"!QD%!/$,!;`\"!!"
        "FQ/!!!!!!!!!!%!/$,!;`%!/%$!!`#!!;Q`!!M;`!1/$!!!!!\"!QD%!/$,!;`\"!!FQ/!!!!!!!!!!%"
        "!/',!;`#!!;2D!/!$!!\"!!/#,!;Q`!!!QR!!!!!!!!!!!!9!99!1/8!M;`!)!;!!!!!\"!!/#'!;Q`!"
        "!%QD!!!!!!!!!\"!!/#8!;Q`!9!99!!!!!!!!!!!!!M;`!,!;`!!!!!!!!!!!!(!F/#!!;R`!/!&!!R`"
        "!/!$!!!!!!-!`!,!;`%!/$!!!!%!/$,!;`!!!QR`!/#)!;Q`!!A;!!!!!!!!!!!!!!-!`!,!;`#!!;Q`"
        "!!A;!!!!!!!!!Q2D!/#$!;Q`!!!!!!1/$!M;`!1/Y!!!!!(!F/#!!;Q`!!M;`!(!F/!!!!!!!!!!!!1/"
        "'!M;`!)!;!!!!!!!!!!!!!$!!`%!/%,!;`!!99!9!!!!!!!!!!%!/&,!;`#!!;!!!!!!!!!!!!!!!!R`"
        "!/#$!;Q`!!A;!!!!!!!!!!!!!!-!`!1/)!M;`!)!;!!!!!!!!!!!!!$!!`%!/$,!;`#!!;!!!!!!!!(!"
        "F/%!/',!;`#!!;2D!/!$!!!!!!9F=!1/(!M;`!(!F/%!/%!!!!%!/$,!;`!!!!R`!/#5!;Q`!!A;!!!!"
        "!!!!!Q2D!/#&!;R`!/!$!!\"!!/#8!;Q`!!A;!!!!!!!!!!!!!!-!`!,!;`!!!!!!!!!!!!(!F/#!!;R"
        "`!/!&!!R`!/!$!!!!!!-!`!,!;`%!/$!!!!%!/$,!;`\"!!FR`!/!)!!R`!/!$!!!!!!-!`!,!;`\"!!"
        "FQ/!!!!!!!!!!\"!!FQ/!!M;`!,!;`\"!!FA=!!!!!!1/$!M;`!1/Y!!!!!!999%!/$,!;`!!!!!!!!!"
        "!!!1/'!M;`!,!;/!!!!!!!!!!!!(!F/%!/%,!;`%!/$!!!!#!!;R`!/\"%!FQ`!!1FR!!!!!!!!!\"!!"
        "/#&!;Q`!!!!!!!!!!!!!Q2D!/#)!;Q`!!I;=!!!!!!!!!\"!!/#%!;Q`!!!QR!!!!!!!!!\"!!/#(!;Q"
        "`!!A;!!1/%!!!!!\"!!D%!/$(!F/!!!Q\"R!/!%!!!!!!!QR!1/$!M;`!$!Q`%!/6,!;`#!!;1D!!!!!"
        "!!!!!!!!Q\"R!/#$!;Q`!!9F=!!!!!!!!!!!!9!99!1/&!M;`!$!!`%!/2$!Q`!!!Q!!!!!!!!'!F=#!"
        "!;Q`!!M;`!!!!!!!!!!!!!%QD!,!;`%!/&$!!`!!!!1D!!!!!!!!!!#!!;Q`!!M;`!1/$!!!!!,!;`%!"
        "/+$!!`!!!!!R!!!!!!!!!!\"!!FQ/!!M;`!,!;`%!/$!!!R%!/$,!;`!!!Q!R!!!!!!1/$!M;`!!!QR%"
        "!/Y!!!!%!/$,!;`!!!!!!!!!!!!(!F/#!!;R`!/!&!!R`!/!$!!!!!!-!`!1/$!M;`!)!;!!!!!!!!!!"
        "!!!$!!`%!/&(!F`\"!!F!!!!!!!!!!QR%!/%,!;`!!!Q!R!!!!!!!!!!\"!!FQ/!!M;`!1/(!=F`!%!F"
        "!!!!!!!!!%QD!1/%!M;`!!!!!!!!!!!!!=F/!1/(!M;`!*!;D%!/-!!!!%!/(,!;`\"!!FR`!/#4!;Q`"
        "!!A;!!1/$!!!!!!!!R!!!Q2D!/!$!!\"!!/#$!;R`!/!5!!Q`!!%!D!!!!!!!!!\"!!/#$!;Q`!!!!!!"
        "!!!!!!!Q!R!!M;`!1/&!-Q`!$!Q/!!!!!!!!!!!!'!F=#!!;Q`!!!!!!!!!!!!99!9!!M;`!1/+!-!`!"
        "1/$!!!!!$!!`#!!;Q`!!M;`!)!;!!!!!!!!!!!!!$!!`#!!;Q`!!M;`!)!;!!!!!!!!!=F/!,!;`#!!;"
        "Q`!!9F=!1/Y!!!!!1/$!M;`!!!!!!!!!!!!!!QR!,!;`%!/'$!!`!!!!!!!!!!!!\"!QD%!/$,!;`%!/"
        "$!!!!#!!;R`!/\"&!FQ`!!1F!!!!!!!!!!!!!!-!`!1/%!M;`!)!;!!!!!!!!!!!!!\"!!D%!/(,!;`#"
        "!!;Q/!!!!!!!!!!%!/%,!;`%!/$!!!!%!/+,!;`#!!;R/!/!%!!!R!!!QR!'!F=%!/',!;`!!!!\"!!/"
        "#9!;Q`!!%QD!1/'!!!!!1/,!M;`!+!;=%!/(,!;`!!!!R`!/\"$!FQ`!!=F/!!!!!!!!!\"!!/#%!;R`"
        "!/!$!!!!!!M;`!1/'!=F`!%!F!!!!!!!!!!!!!$!!`%!/$!!!!%!/$,!;`\"!!FR`!/#'!;Q`!!A;!!!"
        "!!!!!!!!!!!-!`!,!;`#!!;Q`!!A;!!!!!!!!!!!!!!-!`!,!;`#!!;Q`!!M;/!!!!!!!!!!!!!%QD!1"
        "/$!M;`!1/S!!!!!(!F/\"!!FB=!/!%!!!!!!=F/!,!;`#!!;R`!/!$!!!!!!M;`!1/'!-Q`!!!Q!!!!!"
        "!!!!!!!!$!!`#!!;Q`!!M;`!)!;R!!!!!!!!!!!!1/'!M;`!+!;=!!!!!!!!!!!!1/'!M;`!1/$!!!!!"
        "1/)!M;`!)!;!!!!!!!!!9F=!1/$!M;`!'!F=%!/$!!!!%!/7,!;`#!!;\"!!/#.!;Q`!!-!`!1/-!-Q`"
        "!#!Q=!!99!9!!!!!!\"!QD%!/$,!;`\"!!FR`!/#)!;Q`!!A;!!1/,!M;`!)!;!!!!!!!!!!!!!$!!`%"
        "!/$,!;`#!!;!!!!!!!!!!!!!!!!R`!/#'!;Q`!9!99!!!!!!!!!!!!!M;`!!!QR!!!!!!!!!!!!1/*!M"
        ";`!*!;D!!!!!!!!!!!!\"!QD#!!;Q`!!M;`!(!F/%!/$!!!!%!/$,!;`%!/$!!!!!!!Q\"R!/#%!;Q`!"
        "!=F/!1/P!!!!!1/%!M;`!!999!!!!!!!!!!!!\"!QD#!!;Q`!!M;`!1/$!!!!!,!;`%!/'(!F`\"!!F1"
        "D!!!!!!!!!!%!/$,!;`!!!Q1D!!!!!!!!!!%!/(,!;`#!!;!!!!!!!!#!Q=%!/&,!;`\"!!FA=!!!!!!"
        "!!!!!!!Q\"R!/#(!;Q`!9!99!!!!!!!!!\"!!/#%!;R`!/!$!!!!!!%QD!1/5!M;`!,!;/!!!!!!!!%Q"
        "D!1/A!M;`!$!Q`%!/(,!;`#!!;1D!!!!!!1/+!M;`!,!;/!!!!!!!!!!!!1/&!M;`!!!QR!!!!!!!!!!"
        "!!1/(!M;`!+!;=!!!!!!!!!!!!,!;`#!!;R`!/!$!!\"!!/#(!;Q`!!!QR!1/$!!!!!1/$!M;`!1/$!!"
        "!!!1/$!M;`!'!F=%!/$!!!!!!!Q\"R!/#'!;R`!/!N!!\"!!/#'!;Q`!!!!!!!!!!!!99!9!!M;`!,!;"
        "`!!!Q!R!!!!!!!!!!%!/$,!;`%!/$$!Q`#!!;Q`!RM;`!!!!!!!!!!!!!%QD!,!;`#!!;Q`!!=F/!!!!"
        "!!!!!\"!!/#(!;Q`!!E;D!!!!!!!!!\"!!/#'!;Q`!!!QR!!!!!!!!!!!!!=F/!1/'!M;`!,!;/!!!!!"
        "!!!!!!!1/&!M;`!1/$!!!!!1/5!M;`!*!;D!!!!!!!!!!!!1/2!M;`!(!F`%!/7,!;`#!!;!!!!!!!!1"
        "/'!M;`!$!Q`%!/$,!;`#!!;!!!!!!!!!!!!!!!!R`!/#%!;Q`!!E;D!!!!!!!!!\"!!/#)!;Q`!!A;!!"
        "!!!!#!!;Q`!!M;`!1/%!!!R!1/%!M;`!'!F=%!/%!!!!%!/%,!;`!!!!!!!!!!!!1/%!M;`!1/%!!!!!"
        "!!QR%!/',!;`%!/N!!!!%!/(,!;`!!!!!!!!!!!!,!;`#!!;Q`!!9F=!!!!!!!!!\"!!/#)!;Q`!!A;!"
        "!!!!!!!!!!!!!-!`!,!;`#!!;Q`!!A;!!!!!!\"!!FQ/!!M;`!1/'!=F`!%!F!!!!!!!!!!!!!$!!`%!"
        "/&,!;`#!!;A=!!!!!!!!!!\"!!FR/!/#'!;Q`!!A;!!!!!!!!!Q2D!/#&!;R`!/!$!!\"!!/#$!;Q`!!"
        "-Q`!1/0!M;`!)!;R!!!!!!!!!!!!1/(!M;`!(!F`%!/@,!;`#!!;!!!!!!!!!!!!!!!!R`!/#)!;Q`!!"
        "A;R!!!!!!!!!!!!!9F=!,!;`#!!;Q`!!%QD!,!;`#!!;Q`!!=F/!!!!!!!!!\"!!/#)!;Q`!!A;!!!!!"
        "!\"!!FA=!!M;`!,!;`\"!!FR/!/!*!!!!!!%QD!1/$!M;`!(!F/!!!!!!!!=F/!1/$!M;`!'!F=%!/&!"
        "!!!!!!Q2D!/#'!;Q`!!!QR!1/M!-!`!1/$!M;`!!!!R%!/$,!;`!!!!!!!!!!!!1/$!M;`!!!!!!!!!!"
        "!!!9F=!,!;`%!/'$!!`%!/$!!!!!!!!Q`!!M;`!,!;`!!99!9!!!!!!!!QR%!/),!;`#!!;!!!!!!!!!"
        "!!!!!!!R`!/#&!;Q`!!A;!!!!!!!!!!!!!!-!`!1/&!M;`!)!;!!!!!!!!!!!!!$!!`%!/&,!;`#!!;!"
        "!!!!!!!!999%!/3,!;`#!!;\"R!/!$!!\"!!/#+!;Q`!!-Q`!1/<!M;`!)!;!!!!!!!!!!!!!$!!`%!/"
        "),!;`#!!;!!!!!!!!!!!!!!!!Q`!!M;`!,!;`#!!;!!!!M;`!,!;`\"!!FQ/!!!!!!!!!!%!/),!;`#!"
        "!;1D!!!!!!!999%!/%,!;`%!/'!!!!!!!Q\"R!/#%!;Q`!!=F/!!!!!\"!!FR/!/#%!;R`!/!$!!!!!!"
        "=F/!!!!!!!!!!!!!=F/!,!;`#!!;Q`!!%QD!1/$!M;`!!!QR%!/M$!!`\"!!FA=!!M;`!,!;`!!!!!!!"
        "!=F/!,!;`#!!;Q`!!9F=!!!!!%!/$,!;`!!!!!!!!!!!!!!QR%!/$,!;`!!!QR`!/#$!;Q`!!A;!!!!!"
        "!!!!!!!!!-!`!,!;`#!!;Q`!!M;/!!!!!!!!!\"!!/#)!;Q`!!A;!!!!!!!!!!!!!!!!R!1/&!M;`!1/"
        "$!!!!!1/'!M;`!)!;!!!!!!!!!!!!!$!!`%!/&,!;`#!!;A=!!!!!!!!!!\"!!FA=!!M;`!1/1!=F`!%"
        "!FR%!/$!!!!%!/-,!;`\"!!FQ/!!!QR!1/+!!!!!\"!QD\"!!FR/!/#,!;Q`!9!99!1/$!!!!!1/)!M;"
        "`!+!;=!!!!!!!!!!!!#!Q=#!!;Q`!!M;`!\"!QD!!!!!!!!M;`!,!;`!!!QA=!!!!!!!!!!%!/),!;`#"
        "!!;Q/!!!!!!!!!!%!/',!;`%!/$(!F/%!/&,!;`\"!!FA=!!9F=!1/&!M;`!1/$!!!!!'!F=#!!;Q`!!"
        "!!!!!!!!%!/$,!;`!!!!\"!!/#$!;Q`!!!QR!1/M!-!`!!!QR#!!;Q`!!M;`!!!!!!!!!\"!!/#$!;Q`"
        "!!!!!!(!F/#!!;Q`!!M;`!1/$!!!!!1/%!M;`!(!F`#!!;Q`!!M;`!)!;!!!!!!!!!!!!!$!!`%!/$,!"
        ";`#!!;!!!!!!!!&!FD%!/),!;`#!!;!!!!!!!!!!!!!!!!2D!/#%!;Q`!!%QD!!!!!!!!!\"!!/#'!;Q"
        "`!!M;/!!!!!!!!!!!!!9F=!,!;`#!!;Q`!!=F/!1/$!M;`!1/$!!!!!1/$!M;`!(!F`%!/.,!;`#!!;\""
        "R!/!$!!!!!9!99!1/)!M;`!(!F/!!99\"9!/!1!!!!!!%QD!1/*!M;`!1/%!!!!!1/)!M;`!)!;!!!!!"
        "!!!!!!!!$!!`#!!;Q`!!M;`!)!;!!!99!9!!M;`!,!;`!!!Q!R!!!!!!!!!!%!/*,!;`#!!;!!!!!!!!"
        "1/.!M;`!(!F/%!/&,!;`!!!Q2D!/!$!!!!!!9F=!,!;`!!!Q1D!!!!!!!!!!#!!;Q`!!M;`!!!!!!!!!"
        "\"!!/#$!;Q`!!!QR!1/N!-!`!,!;`#!!;Q`!!%QD!!!!!!!!Q2D!/#$!;Q`!!!QR!,!;`#!!;Q`!!%QD"
        "!!!!!!!!!!!!!)Q=!1/&!M;`!+!;=!!!!!!!!!!!!\"!QD%!/%,!;`!!!Q1D!!!!!!!!!!%!/*,!;`#!"
        "!;!!!!!!!!!!!!!!!!R`!/#$!;Q`!!E;D!!!!!!!!!\"!!/#(!;Q`!!A;!!!!!!!!!!!!!!-!`!,!;`\""
        "!!FR/!/#$!;Q`!!)Q=!!!!!!!!!!!!!!QR!1/1!M;`!)!;R%!/%!!!!%!/(,!;`%!/7!!!!%!/%,!;`!"
        "!!QQ`!!M;`!1/&!!!!!1/&!M;`!$!!`\"!!FQ`!!=F`!%!F!!!!!!!!!!!!!$!!`#!!;Q`!!9F=!!!!!"
        "\"!!FA=!!M;`!,!;`%!/$!!!!%!/*,!;`#!!;!!!!!!!!1/$!M;`!(!F/%!/(,!;`\"!!FR/!/#'!;R`"
        "!/!%!!!!!!=F/!,!;`#!!;Q`!!!!!!!!!!!!!Q1D!!M;`!'!F=!!!!!!!!!!!!1/$!M;`!!!QR%!/N$!"
        "!`%!/$,!;`!!!!!!!!!!!!\"!QD%!/',!;`%!/$!!!!%!/&,!;`%!/$!!!!%!/',!;`%!/$!!!!%!/*,"
        "!;`!!99\"9!/!)!!\"!!/#(!;Q`!!E;D!!!!!!!!!!!!!=F/!,!;`#!!;Q`!!!!!!1/$!M;`!!999!!!"
        "!!!!!!!!!1/1!M;`!*!;D!!!!!!!!=F/!1/$!!!!!1/$!M;`!\"!QD%!/&!!!!\"!!FB=!/#/!;Q`!!!"
        "QR!1/&!!!!!1/%!M;`!1/$!!!!!,!;`!!!!!!!!M;`!1/(!=F`!%!F!!!!!!!!9!99!,!;`#!!;Q`!!!"
        "QR!!!!!%!/$,!;`!!!!!!!!!!!!!!QR#!!;R`!/!)!QQ`!!!Q!!!!!!%!/$,!;`!!!Q\"R!/!&!!\"!!"
        "/#'!;Q`!!%QD!1/%!!!!!\"!QD%!/$,!;`%!/$!!!!#!!;Q`!!M;`!1/$!!!!!1/$!M;`!!!QR%!/N$!"
        "!`%!/$,!;`%!/$!!!!%!/(,!;`%!/$!!!!!!!Q!R!!=F/!\"!QD%!/$!!!!#!!;Q`!!%QD!1/&!M;`!!"
        "999!!!!!!!!!!!!!!QR%!/*,!;`#!!;\"R!/!'!!!!!!)Q=!1/)!M;`!)!;!!!!!!!!9!99!,!;`#!!;"
        "Q`!!=F/!!!!!%!/$,!;`!!!!!!!!!!!!1/)!M;`!$!!`%!/(,!;`#!!;1D!!!!!!#!Q=%!/$!!!!!!!Q"
        "!R!!M;`!!!QR%!/$!!!!!!99\"9!/#%!;Q`!!-Q`!1//!-!`!#!!=%!/%!!!!#!!;Q`!!M;`!!!QR%!/"
        "$!!!!\"!!FA=!!!!!!1/)!M;`!)!;!!!!!!!!!!!!!$!!`#!!;Q`!!5FD!1/%!M;`!!!!!!!!!\"!!/#"
        "%!;R`!/!'!!Q`!!!!!!!!!!%!/$,!;`!!!Q\"R!/!%!!\"!!/#&!;Q`!!%QD!1/&!!!!!1/%!M;`!'!F"
        "=%!/$!!!!#!!;Q`!!%QD!1/$!!!!!1/$!M;`!!!QR%!/N!!!!\"!!FA=!!M;`!,!;`%!/$!!!!!!!Q2D"
        "!/#(!;R`!/!(!!!!!!=F/!,!;`#!!;Q`!!!!!!!!!!!!!Q2D!/#$!;R`!/!$!!\"!!/#$!;Q`!!-!`!1"
        "/'!-Q`!#!Q=%!/%!!!!!!!QB=!/#*!;Q`!!A;!!!!!!!!!!!!!!-!`!,!;`#!!;Q`!!A;!!1/$!M;`!!"
        "!!!!!!!!!!!=F/!1/0!M;`!*!;D!!!!!!!9!99!1/%!!!R!\"!QD%!/$!!!!!!!Q\"R!/#(!;Q`!!A;!"
        "!1/,!!!!!(!F`#!!;Q`!!M;`!*!;D%!/$!!!!\"!!FB=!/!%!!!!!9!99!!!!!%!/),!;`%!/$!!!!%!"
        "/',!;`!!99!9!!!!!!!!!!%!/+,!;`#!!;!!!!!!!!1/$!M;`!!!QR!!!!!!!!!!!!!!QR%!/&,!;`!!"
        "99\"9!/!%!!!!!!%QD!1/&!M;`!1/$!!!!!,!;`#!!;R`!/!%!!\"!!/#$!;Q`!!!QR!!!!R%!/%,!;`"
        "%!/I!!!!!!!Q!R!!M;`!,!;`!!!Q\"R!/!$!!!!!!=F/!1/(!M;`!1/&!!!!!1/%!M;`!1/%!!!!!#!Q"
        "=#!!;Q`!!M;`!1/$!!!!!1/$!M;`!1/6!-!`!#!!=!!!!!!!!!!!!1/%!M;`!\"!QD#!!;Q`!!M;`!!!"
        "!!!!!!!!!!%QD!1/0!M;`!,!;/%!/*!!!!\"!!FA=!!M;`!1/'!-Q`!\"!QD%!/0!!!!#!!;R`!/!(!!"
        "!!!!=F`!!!!!!!!!\"!!/#)!;R`!/!$!!\"R!/#&!;Q`!!9F=!!!!!!!!!!!!!=F/!1/+!M;`!)!;!!!"
        "!!\"!!/#$!;Q`!!!!!!!!!!!!!Q2D!/#%!;R`!/!&!!!R!!)Q=!1/$!M;`!(!F`#!!;Q`!!M;`!)!;!!"
        "!!!!!!!!!!!#!!=#!!;Q`!!%QD!1/%!!!!!1/$!M;`!!!QR%!/&,!;`!!!Q\"R!/!I!!!!!!M;`!,!;`"
        "\"!!FB=!/!%!!!!!!=F/!1/1!M;`!1/%!!!!!(!F/#!!;Q`!!=F/!1/$!!!!!1/$!M;`!$!!`%!/5(!F"
        "`\"!!F!!!!!!!!!!!R%!/',!;`!!!Q!R!!!!!!!!QR%!/%,!;`\"!!FR`!/!,!!Q`!!!!!!!!!!\"!!F"
        "R/!/!G!!Q/!!M;`!!!!!!!!!\"!!/#)!;Q`!!%QD!!!!!!!!!!!!!9F=!1/$!M;`!(!F/%!/$!!!!%!/"
        ",,!;`#!!;!!!!!!!!1/$!M;`!!!!!!!!Q2D!/#%!;R`!/!%!!!!!!%QD!1/%!M;`!$!!`%!/$,!;`#!!"
        ";!!!!!!!!!!!!!!!!Q`!!M;`!1/&!!!!!1/$!M;`!!!QR%!/',!;`%!/I!!!!%!/$,!;`%!/'!!!!%!/"
        "-,!;`!!!Q\"R!/#$!;R`!/!&!!!!!!M;`!,!;`%!/$!!!!!!!Q\"R!/#8!;Q`!!A;!!!!!!!!!!!!!!-"
        "!`!1/%!M;`!)!;!!!!!!!!!9F=!1/-!M;`!$!Q`%!/$,!;`#!!;!!!!!!!!,!;`%!/F!!!!!!!QQ`!!!"
        "!!!!!!!\"!!FR/!/#'!;Q`!!=F`!$!!`!!!!R`!/!*!!!!!!-!`!1/+!M;`!+!;=!!!!!!!!!!!!1/$!"
        "M;`!!!!R%!/$,!;`!!!Q2D!/!$!!!!!!=F/!1/$!M;`!$!Q`%!/%$!!`!!!!Q/!!!!!!!!!!!!!Q\"R!"
        "/#$!;Q`!!!!!!!!!!\"!!FA=!!!!!!!!!!\"!!FQ/!!M;`!,!;`!!!QB=!/#$!;Q`!!9F=!,!;`#!!;R"
        "`!/!I!!\"R!/#$!;Q`!!!QR!1/'!!!!!1/*!M;`!!999!!!!!!!!!!!!1/$!M;`!1/&!!!!!!999#!!;"
        "Q`!!=F/!1/%!!!!!1/7!M;`!+!;=%!/$!!!!%!/$,!;`\"!!FQ/!!!!!!!!!!%!/2,!;`#!!;1D!!!!!"
        "!!!QR\"!!FR`!/!E!!!!!!M;`!!!!!!!!!\"!!/#%!;Q`!!-Q`!1/'!M;`!!999%!/'!!!!%!/-,!;`#"
        "!!;!R!!!!!!!!QR%!/',!;`!!!Q2D!/!$!!\"!!/#$!;Q`!!-Q`!1/&!-!`!$!!/%!/$!!!!%!/$,!;`"
        "\"!!FA=!!!!!!!!!!#!!;Q`!!!!!!!!!!\"!!FA=!!M;`!,!;`\"!!FQ/!!M;`!,!;`\"!!F1D!!!!!!"
        "1/$!M;`!1/H!!!!!'!F=%!/$,!;`!!!!!!!!!!!!(!F/%!/%!!!!!!!Q2D!/#&!;Q`!RM;/!1/&!!!!!"
        ",!;`#!!;Q`!!9F=!1/&!!!!!\"!QD#!!;Q`!!M;`!1/$!!!!!'!F=%!/7,!;`#!!;\"!!/!$!!!!!!%!"
        "D!!!QR%!/$!!!!%!/*,!;`!!!!R`!/#)!;Q`!!A;!!!!!!#!!;R`!/!E!!!R!!9F=!!!!!!!!!\"!!/#"
        "-!;Q`!!=F/!!!QR!!!!!!!!!QR!1/(!M;`!$!Q`%!/',!;`#!!;!!!!!!!!'!F=%!/&,!;`\"!!FR/!/"
        "!$!!\"!!/#$!;Q`!!-Q`!1/&!-!`!$!!/%!/$!!!!%!/%,!;`!!!!!!!!!!!!!!QR#!!;Q`!!!QR!!!!"
        "!!!!Q\"R!/#&!;Q`!9!99!!!!!%!/$,!;`%!/I!!!!%!/$,!;`!!99!9!!!!!!!!!!#!!;Q`!!%QD!1/"
        "%!!!!!\"!QD%!/&,!;`%!/%!!!!%!/$,!;`!!!!!!!!!!!!,!;`%!/$!!!!%!/$,!;`%!/$!!!!\"!!F"
        "B=!/#$!;R`!/!$!!Q`!!-Q`!1/0!=F`!%!F!%!/'!!!!!!!!2D!/#&!;Q`!!-!`!1/-!M;`!)!;!!!!!"
        "!!!!9F=!(!F`%!/C!!!!#!!;R`!/!$!!!!!!M;`!1/>!=F`!%!F!!!!!\"!!/#'!;R`!/!$!!!!!!9F="
        "!1/*!M;`!)!;!!!!!!!!!!!!!\"!!D%!/%,!;`!!!!!!!!!!!!,!;`#!!;Q`!!)Q=!!!!!!!!!\"!!/#"
        "&!;Q`!!!!!!!!!!!!99!9!!M;`!,!;`\"!!FB=!/!H!!\"!!/#%!;R`!/!$!!!!!!M;`!'!F=%!/&!!!"
        "!%!/&,!;`%!/$!!!!%!/$,!;`!!!!!!!!!!!!'!F=\"!!FQ/!!!!!!!!!!\"!!FB=!/#$!;R`!/!$!!\""
        "!!/#$!;R`!/!5!!Q`!!)!=!1/%!!!!!(!F/%!/4,!;`\"!!FA=!!!!!!!!!!#!!;R`!/!C!!Q/!!=F/!"
        "!!!!!!!!!!!!)Q=!1//!M;`!$!!`%!//,!;`#!!;A=!!!!!!!!!!%!/&,!;`!!99!9!!!!!!!!!!!!!Q"
        "\"R!/#*!;Q`!!A;!!!!!!!!!!!!!!%!D!1/%!M;`!!!QR!!!!!!!!!!!!,!;`#!!;Q`!!=F/!!!!!!!!"
        "!\"!!/#&!;R`!/!$!!\"!!/#$!;R`!/!I!!\"!!/#$!;Q`!!%QD!1/$!!!!!1/$!M;`!\"!QD%!/%!!!"
        "!\"!!FB=!/#%!;Q`!!!!!!1/$!M;`!(!F/!!!!!!!!!!!!,!;`\"!!FQ/!!!!!!!!!!\"!!FR/!/#$!;"
        "R`!/!$!!\"!!/#Q!;Q`!!A;!!!!!!!!99!9!!M;`!1/A!!!!!,!;`%!/$!!!!%!/-,!;`!!!QR`!/#2!"
        ";Q`!!A;!!!!!!!!!!!!!!-!`!1/%!M;`!)!;!!!!!!!!!!QR!1/)!M;`!)!;R!!!!!!!!!!!!!!QR%!/"
        "',!;`!!!!!!!!!!!!1/%!M;`!!!!!!!!!\"!!/#%!;Q`!!=F/!1/$!!!!!1/$!M;`!\"!QD%!/H!!!!!"
        "!99\"9!/#$!;Q`!9!99!!!!!!!!!!!!!!QR!1/%!M;`!1/%!!!!!!!QR%!/%,!;`!!!Q\"R!/#$!;Q`!"
        "!!!!!!!!!#!!;Q`!!M;`!1/$!!!!!1/$!M;`!(!F/!!!!!!!!!!!!!!QR%!/K,!;`#!!;\"R!/#$!;Q`"
        "!!9F=!1/$!!!!!(!F/%!/@$!!`!!!QQ`!!=F/!1/$!!!!!\"!QD%!/$,!;`!!!!\"!!/#1!;Q`!!-Q`!"
        "1/(!M;`!*!;D!!!!!!!!!!!!\"!QD%!/%,!;`!!!Q1D!!!!!!!!!!%!/),!;`#!!;2D!/!$!!\"!!/#'"
        "!;R`!/!$!!\"R!/#%!;Q`!!!!!!!!!!%!/%,!;`!!!Q2D!/!$!!!!!!9F=!1/$!M;`!1/5!!!!!!999\""
        "!!F2D!/!3!!!!!!%QD!1/$!M;`!1/$!!!R!!999%!/%,!;`!!!Q2D!/!$!!!!!!!QR!1/(!M;`!!!!!!"
        "!!!!!!!%QD!,!;`#!!;Q`!!!!!!!!!!\"!!FR/!/#$!;R`!/!$!!\"!!/#K!;Q`!!A;!!1/$!M;`!1/&"
        "!!!!!,!;`%!/\?$!!/#!!;R`!/!&!!\"!!/#$!;Q`!!!!!!1/$!M;`!$!Q`%!/5,!;`#!!;!!!!!!!!!!"
        "!!!!!!R`!/#%!;Q`!!A;!!!!!!!!!QB=!/#(!;Q`!!I;=!1/$!!!!!1/(!M;`!1/$!!!!!1/%!M;`!!!"
        "!!!!!!\"!!/#%!;R`!/!&!!\"!!/#$!;R`!/!4!!\"!!/#%!;Q`!!!QR!1/2!-!`!(!F/%!/$,!;`!!!"
        "Q\"R!/!$!!\"!!/#&!;R`!/!%!!\"!!/#'!;Q`!!%QD!!!!!!!!!!!!!M;`!,!;`%!/$!!!!%!/$,!;`"
        "!!!Q1D!!!!!!!!!!%!/%,!;`\"!!FR`!/!F!!Q`!!!!!!1/$!M;`!1/&!!!!!(!F/!!!QR`!/!=!!1D!"
        "!M;`!1/'!!!!!,!;`#!!;Q`!!)Q=!!!!!%!/$,!;`!!!QR`!/#4!;Q`!!M;/!!!!!!!!!!!!!9F=!1/&"
        "!M;`!!!!!!!!!\"!!/#)!;Q`!!A;!!!!!!!!!!!!!!-!/!1/'!M;`!!999!!!!!!!!!!!!'!F=#!!;R`"
        "!/!$!QQ`!!!Q!!!!!!%!/%,!;`%!/&!!!!%!/$,!;`%!/4!!!!%!/&,!;`%!/0$!!`!!!Q!R!!M;`!(!"
        "F/\"!!FR/!/#$!;Q`!!%QD!1/$!!!!!'!F=%!/&,!;`%!/$!!!!%!/',!;`!!!!!!!!!!!!,!;`#!!;Q"
        "`!!9F=!!!!!!!!!!!!!%QD!1/$!M;`!!!!!!!!!!!!!5FD!1/*!M;`!*!;D%!/$,!;`%!/=$!!`!!!!!"
        "!!!=F/!,!;`#!!;R`!/!'!!!!!!9F=!,!;`!!!!Q`!!-!`!1/6!!!!!1/%!-!`!1/(!!!!!$!!`#!!;Q"
        "`!!!!!!!!!!%!/),!;`%!/0(!F`\"!!F!!!!!!!!\"!QD%!/&,!;`!!!!!!!!!!!!!!QR%!/(,!;`#!!"
        ";!R!!!!!!!!!!%!/$,!;`\"!!FR/!/#$!;Q`!!%QD!!!!!!!!!!!!!!QR!,!;`%!/$(!F`\"!!FA=!!!"
        "!!!!!!!%!/$,!;`\"!!FA=!!!!!!!!!!\"!!FQ/!!!!!!!!!!%!/$,!;`%!/2!!!!!!!Q\"R!/#$!;Q`"
        "!!9F=!1/0!M;`!)!;!\"!!FR/!/#)!;Q`!!=F/!1/$!!!!!1/&!M;`!+!;=%!/$!!!!%!/&,!;`!!!!!"
        "!!!!!!!1/$!M;`!1/$!!!!!1/$!M;`!!!!!!!!!!!!!!QR!1/*!M;`!)!;!!!!Q2D!/#+!;Q`!!-!`!1"
        "/%!M;`!)!;R%!/*,!;`\"!!FR`!/#%!;Q`!!A;!!!!!!#!!;Q`!!=F/!1/(!!!!!(!F/#!!;Q`!!=F`!"
        "1/6!!!!!\"!QD#!!;Q`!!M;`!!999%!/(!!!!#!!;Q`!!M;`!!!!!!!!!\"!!/#.!;Q`!!9F=!!!!!%!"
        "/(,!;`%!/$!!!!%!/',!;`!!!!!!!!!!!!(!F/#!!;R`!/\"'!FQ`!!1F!!!!!!\"!!FB=!/#$!;Q`!!"
        "=F/!1/$!M;`!1/$!!!!!1/&!M;`!)!;R!!!!!!!!!QR!1/$!M;`!!999!!!!!!!!!!!!,!;`!!!!!!!!"
        "!!!!1/$!M;`!1/2!!!!!1/$!M;`!!!QR%!/$,!;`%!//$!!`%!/+,!;`\"!!FA=!!!!!!!!!!!!!QB=!"
        "/#&!;Q`!!A;R!!!!!!!!!\"!!/#&!;Q`!!!!!!!!!!\"!!FQ/!!M;`!,!;`!!!Q2D!/!$!!!!!!M;`!,"
        "!;`!!!!!!!!!!!!!!QR%!/%,!;`%!/&$!Q`!!!Q!!!!!!!!\"!QD%!//,!;`#!!;!!!!!!!!(!F/%!/("
        ",!;`\"!!FR`!/#%!;Q`!!A;!!!!!!#!!;Q`!!9F=!1/)!!!!!!!QR!!!Q2D!/!7!!!!!!!QR!1/*!!!!"
        "!,!;`!!!Q!R!!!!!!!!!R%!/-,!;`!!99!9!!!!!!!!!!%!/',!;`#!!;A=!!!!!!!!!!\"!!FR/!/#'"
        "!;Q`!!!!!!!!!!%!/(,!;`#!!;Q/!!!!!!!!!!%!/$,!;`\"!!FB=!/#$!;Q`!!9F=!!!!!!!!!!!!!9"
        "F=!1/&!M;`!)!;!!!!!!!!!=F/!1/$!M;`!1/$!!!!!,!;`!!!!!!!!!!!!1/(!M;`!!!QR%!/,!!!!%"
        "!/$,!;`!!!QA=!!!!!!,!;`#!!;Q`!!=F/!1//!-!`!1/,!M;`!!!QR!!!!!!!!!!!!1/'!M;`!)!;!!"
        "!!!!!!!9F=!1/%!M;`!!!!!!!!!!!!!%QD!1/$!M;`!1/$!!!!!!!QR%!/$!!!!\"!!FR/!/#*!;Q`!!"
        "!QR!!!!!!!!!!!!!%QD!,!;`%!/-(!F`\"!!F!!!!!!!!!!!!!!!!\"R!/#&!;Q`!!=F`!1/&!M;`!)!"
        ";R!!!!!!!9!99!\"!QD%!/K!!!!#!!;R`!/!$!!\"!!/#$!;Q`!!-Q`!1/'!M;`!,!;/%!/%!!!!%!/'"
        ",!;`%!/$!!!!%!/$,!;`!!!Q\"R!/#$!;Q`!!!!!!!!!!%!/(,!;`#!!;1D!!!!!!!!!!%!/',!;`\"!"
        "!FR/!/!$!!\"!!/#'!;Q`!!A;!!!!!!%!/%,!;`!!!!!!!!!!!!\"!QD#!!;Q`!!!!!!!!!!%!/),!;`"
        "%!/+!!!!%!/%,!;`!!!!!!!!%QD!,!;`#!!;Q`!9!99!1//!-!`!1/$!M;`!!!!!%!/),!;`!!!!!!!!"
        "!!!!!!QR%!/&,!;`#!!;!R!!!!!!!!!!%!/%,!;`%!/$!!!!%!/%,!;`%!/'!!!!%!/%,!;`!!!!R`!/"
        "#&!;Q`!!M;/!1/$!!!!!1/&!M;`!(!F`%!/(,!;`#!!;\"R!/!%!!!!!!%QD!1/*!M;`!1/$!-!/!\"!"
        "QD%!/K!!!!!!99\"9!/!$!!\"!!/#*!;Q`!!!QR!1/%!!!!!!999%!/&,!;`!!!Q1D!!!!!!!!!!!!!Q"
        "\"R!/#$!;Q`!!!!!!1/$!M;`!!!!!!!!!\"!!/#$!;Q`!!-Q`!1/$!M;`!,!;/!!!!!!!!!!!!1/&!M;"
        "`!(!F/%!/$!!!!%!/',!;`#!!;1D!!!!!!!!!!%!/%,!;`!!!!!!!!!!!!,!;`\"!!FA=!!!!!!!!!!%"
        "!/),!;`%!/*!!!!%!/%,!;`!!!Q!R!!!!!!1/$!M;`!1/0!-!`!1/$!M;`!!!QR!!!!!!!!!!R!1/(!M"
        ";`!!!!!!!!!\"!!/#'!;Q`!!A;!!!!!!!!!!!!!!-!`!,!;`#!!;Q`!!A;R!!!!!!!!!\"!!/#&!;Q`!"
        "!=F/!!!QR!!!Q\"R!/#$!;Q`!!-!`!1/*!M;`!)!;!%!/$!!!!!!!!2D!/#-!;R`!/!(!!!!!!%QD!1/"
        "&!M;`!(!F/%!/S$!!`\"!!FR/!/#%!;Q`!!9F=!1/)!!!!!1/$!M;`!$!Q`#!!;Q`!!=F/!1/$!!!!!1"
        "/$!M;`!!!!!%!/%,!;`!!!!!!!!!!!!1/)!M;`!)!;!!!!!!!!!%QD!1/$!M;`!1/%!!!!!1/(!M;`!)"
        "!;!!!!!!!!!!!!!$!!`#!!;Q`!!M;`!)!;!!!!!!!!9!99!,!;`!!!!!!!!!!!!\"!QD%!/%,!;`!!!!"
        "\"!!/#$!;R`!/!)!!R`!/#%!;Q`!!!!!!!!!!!!99\"9!/#$!;R`!/!0!!Q`!!=F/!,!;`#!!;Q`!!9F"
        "=!!!!!!!!!!!!9!99!1/'!M;`!!!!!!!!!!!!!!QR!1/&!M;`!,!;/!!!!!!!!!!!!1/$!M;`!(!F/!!"
        "!!!!!!!!!!'!F=#!!;R`!/!4!!R`!/!&!!!!!!)!=!1/$!M;`!$!!`%!/(,!;`#!!;!!!!!!!!!!!!!!"
        "!!B=!/!'!!!!!!=F/!,!;`#!!;Q`!!=F/!1/S!-!`!(!F/#!!;Q`!!M;`!\"!QD%!/*!!!!!!99\"9!/"
        "#&!;R`!/!$!!\"!!/#$!;Q`!9!99!1/%!M;`!'!F=!!!!!!!!!!!!1/)!M;`!)!;R%!/)!!!!%!/(,!;"
        "`#!!;A=!!!!!!!!!!\"!!FA=!!M;`!,!;`\"!!FQ/!!!!!!!!!!#!!;Q`!!M;`!!!!!!!!!\"!!/#%!;"
        "Q`!!!!!!\"!QD%!/$,!;`%!/'$!!`!!!Q\"R!/#%!;R`!/!$!!!!!!=F/!1/$!M;`!1/0!-!`!\"!QD%"
        "!/$,!;`%!/$!!!!!!!Q2D!/#&!;R`!/!$!!\"!!/#'!;Q`!!A;!!!!!!!!!!\"R!/#$!;R`!/!$!!\"!"
        "!/#5!;Q`!!A;!!1/&!!!!!$!!`%!/+,!;`!!99\"9!/!,!!!!!!!QR!(!F/!!!!Q/!!-Q`!\"!QD%!/M"
        "!!!!#!!;Q`!!-!`!!!!!\"!!FB=!/!-!!\"!!/#'!;Q`!!A;!!!!!!!!99\"9!/#$!;Q`!!-!`!1/%!M"
        ";`!*!;D!!!!!!!!!!!!1/$!M;`!$!Q`%!/&$!!`%!/'!!!!!!!!2D!/#)!;Q`!!A;!!!!!!!!!!!!!!-"
        "!`!,!;`#!!;Q`!!A;!!!!!!!!!!!R!!M;`!'!F=!!!!!!!!!!!!,!;`#!!;Q`!!=F/!!!!!!!!!\"!!/"
        "#$!;Q`!!9F=!1/&!!!!!(!F/%!/%,!;`%!/%!!!!%!/$,!;`!!!Q\"R!/!0!!Q`!!!QR!1/$!M;`!1/%"
        "!!!!!1/&!M;`!!!QR!!!!!!!!!!!!1/'!M;`!)!;!!!!!!!!!!!!!$!!`#!!;Q`!!M;`!)!;!!!!!!!!"
        "!!!!!$!!`%!/4,!;`#!!;!!!!!!!!!!!!!!!!2D!/!$!!\"!!/#,!;R`!/!0!!!!!!M;`!1/L!!!!!&!"
        "FD#!!;R`!/!0!!R`!/#'!;Q`!!!!!!!!!!%!/$,!;`!!!!!!!!!!!!1/%!M;`!!999!!!!!!!!!!!!1/"
        "+!M;`!!999%!/$!!!!%!/%,!;`!!!!R`!/\"%!FQ`!!9F=!!!!!!!!!!!!!!QR!,!;`#!!;Q`!!9F=!!"
        "!!!!!!!!!!!M;`!,!;`%!/$!!!!#!!;Q`!!=F/!1/$!!!!!1/$!M;`!1/&!!!!!\"!QD%!/%,!;`%!/&"
        "!!!!%!/$,!;`%!/2!!!!%!/$,!;`%!/%!!!!%!/&,!;`\"!!FQ/!!!!!!!!!!!!!QA=!!M;`!1/%!-!`"
        "!\"!!D!!!!!!!!!!!!1/%!M;`!!!!!!!!!\"!!/#$!;Q`!!-!`!1/1!-Q`!!!Q!!!!!!!!!!!!!$!!`#"
        "!!;Q`!!!!!!!!!!!!!Q2D!/#+!;R`!/!0!!!!!!M;`!'!F=%!/K!!!!#!!;Q`!!-Q`!$!Q`!!!Q!!!!!"
        "!!!!!!!!!!!\"R!/!*!!Q/!!=F/!1/&!M;`!\"!QD%!/%!!!!#!!;Q`!!M;`!!!!!%!/%,!;`%!/$!!!"
        "!%!/8,!;`#!!;!!!!!!!!!!!!!!!!Q`!!M;`!,!;`#!!;!!!!!!!!!!!!!!!!Q`!!=F/!!!!!!!!!!!!"
        "9!99!(!F/%!/$!!!!!!!Q2D!/#$!;R`!/!%!!\"!!/#&!;R`!/!&!!!!!9!99!,!;`#!!;Q`!!9F=!1/"
        "1!!!!!!999%!/$,!;`%!/%!!!!\"!!FR/!/#&!;R`!/!$!!!!!!M;`!1/&!-Q`!!!Q!!!!!!!!!%QD!1"
        "/$!M;`!#!Q=!!!!!!!!!!!!1/$!M;`!$!!`%!/0$!Q`!!!Q!!!!!!!!1/%!M;`!!!!!!!!!\"!!/#,!;"
        "Q`!!A;!!!!!!!!!!!!!!-!`!1/,!)!=!,!;`!!!Q\"R!/!I!!!!!9!99!$!Q`!!!!Q`!!-!`!!!!!%!/"
        ")$!!`#!!;Q`!!!!!!!!!!!!99\"9!/#'!;R`!/!%!!\"!!/#)!;Q`!!!!!!!!!!!!!Q!R!!M;`!1/7!-"
        "Q`!!!Q!!!!!!!!!=F/!,!;`#!!;R`!/!$!!!!!!=F/!,!;`%!/$!!!!#!!;R`!/!%!!\"!!/#$!;Q`!!"
        "!QR!!!!!!!!!\"R!/#&!;R`!/!(!!\"!!/#$!;R`!/!2!!!!!!!QR!1/$!M;`!1/%!!!!!(!F/%!/&,!"
        ";`%!/$!!!!#!!;R`!/\"&!FQ`!!1F!!!!!!!!99\"9!/#%!;R`!/!$!!\"!!/#3!;Q`!!A;!!!!!!%!/"
        "%,!;`!!!!!!!!!!!!1/,!M;`!)!;!!!!!!!!!!!!!1/.!-!`!,!;`%!/I!!!!#!!;Q`!!-!`!$!!`!!!"
        "!B=!/!*!!!!!9!99!!!!!!!!!\"!!/#(!;R`!/!%!!\"!!/#)!;Q`!!!!!!!!!!\"!!FA=!!M;`!1/6!"
        "-!`!1/$!!!!!$!!`#!!;Q`!!M;`!)!;!!!!!!!!9!99!,!;`!!99!9!!!!!!!!!!\"!!FA=!!9F=!1/%"
        "!!!!!1/$!M;`!!!!!!!!!\"!!/#&!;R`!/!(!!!!!!9F=!,!;`#!!;Q`!!5FD!1/2!!!!!\"!QD%!/$,"
        "!;`%!/%!!!!!!!Q2D!/#&!;R`!/!$!!!!!!M;`!1/&!-Q`!!!Q!!!!!!!!!!!!!$!!`%!/%,!;`#!!;!"
        "!!!!!!!!!QR%!/2,!;`#!!;!!!!!!!!1/%!M;`!!!!!!!!!!!!!!QR!1/&!M;`!(!F`%!/&,!;`#!!;!"
        "!!!!!!!!!!!!!!!R`!/!,!!Q/!!-Q`!1/H!!!!!!!QR!!!QQ`!!-!`!$!!`%!/)!!!!!!!!Q`!!M;`!1"
        "/$!!!!!1/(!M;`!1/%!!!!!1/(!M;`!1/$!!!!!1/&!M;`!$!!`%!/2,!;`#!!;!!!!!!!!1/$!M;`!#"
        "!Q=!!!!!!!!!!!!,!;`#!!;R`!/!$!!!!!!M;`!1/&!!!!!1/$!M;`!\"!QD%!/%,!;`!!!QB=!/!%!!"
        "!!!!%QD!!!!!!!!!!!!!!QR!1/$!M;`!1/3!-!`!1/$!M;`!'!F=%!/%!!!!\"!!FB=!/#&!;R`!/!$!"
        "!!!!!M;`!1/&!-Q`!!!Q!!!!!!!!!!!!!$!!`%!/%,!;`#!!;!!!!!!!!!!!!!!!!2D!/#'!;Q`!!-!`"
        "!1/*!M;`!)!;!!!!!\"!!/#%!;R`!/!$!!B=!/#&!;Q`!!-!`!1/&!M;`!)!;!!!!!!!!!!!!!1/.!-!"
        "`!(!F/%!/G!!!!\"!!FR`!/!-!!A=!9!99!!!!!!!!!!!!!=F/!1/(!M;`!1/%!!!!!1/(!M;`!1/$!!"
        "!!!1/+!M;`!*!;D!!!Q1D!!M;`!1/*!-!`!1/$!!!!!$!!`#!!;Q`!!M;`!)!;!!!!!!!!!%QD!,!;`#"
        "!!;Q`!!!!!!!!!!\"!!FQ/!!=F/!1/&!!!!!1/(!M;`!1/%!!!!!\"!QD#!!;R`!/!$!!\"!!/#$!;Q`"
        "!!!QR!1/3!-!`!1/$!M;`!!!!!!!!!!!!!%QD!!!!!!!!!!!!!=F/!1/&!M;`!1/$!!!!!,!;`%!/&$!"
        "Q`!!!Q!!!!!!!!!!!!!!!!R`!/#&!;Q`!!A;!!!!!!!!!!!!!!)!=!1/0!M;`!)!;!!!!!\"!!/#&!;Q"
        "`!!!!!!!!!!%!/&,!;`!!!QR`!/#&!;Q`!!M;/!1/0!!!!!$!Q`%!/F!!!!\"!!FR/!/!-!!Q`!!M;`!"
        "1/$!!!!!1/$!M;`!$!Q`%!/%$!!`!!!!\"R!/!$!!\"!!/#'!;R`!/!$!!!!!9!99!1/*!M;`!,!;/!!"
        "!!!!!!%QD!,!;`%!/*$!!`!!!!!!!!!!!!(!F/#!!;Q`!!M;`!!!QR!!!!!!!!!!!!,!;`#!!;Q`!!%Q"
        "D!!!!!!!!!!!!!M;`!!999%!/&!!!!%!/&,!;`\"!!FB=!/!%!!!!!!M;`!,!;`%!/$!!!!%!/%,!;`%"
        "!/3$!!`%!/$,!;`\"!!FA=!!!!!!!!!!#!!;Q`!!!!!!!!!!\"!!FR/!/#&!;Q`!!!!!!!!!!!!99!9!"
        "!M;`!1/&!-Q`!!!QR!!!!!!!!!!!!1/$!M;`!'!F=%!/$,!;`%!/$!!!!\"!!FR/!/#&!;Q`!!-Q`!1/"
        ")!M;`!)!;!!!!!\"!!/#&!;Q`!!!!!!!!!!!!!Q2D!/#,!;Q`!9!99!!!!!!!!!!!!!)Q=!1/-!-!`!$"
        "!Q`%!/D!!!!!!!Q2D!/!-!!Q`!!=F`!1/%!!!!!1/*!M;`!1/&!!!!!1/$!M;`!1/%!!!!!1/)!M;`!,"
        "!;/%!/$!!!!!!!QB=!/#$!;Q`!!-!`!1/&!-Q`!!!Q!!!!!!!!!!!!!$!!`#!!;Q`!!=F/!!!!!!!!!\""
        "!!/#$!;Q`!!!!!!!!!!#!!;Q`!!9F=!!!!!!!!!!!!!M;`!!!!!!!!!!!!9!99!1/%!M;`!!!QR%!/$!"
        "!!!\"!!FQ/!!M;`!,!;`!!99!9!!!!!!!!!!%!/%,!;`%!/4!!!!%!/$,!;`!!!!!!!!!!!!!!QR#!!;"
        "Q`!!!!!!!!!!%!/',!;`!!!!!!!!!!!!\"!QD#!!;R`!/!&!!Q`!!)!=!!!!!!!!!\"!!/#$!;Q`!!!!"
        "!!1/%!M;`!1/$!!!!!1//!M;`!1/$!!!!!1/$!M;`!1/$!!!!!!!QR#!!;R`!/!,!QQ`!!!Q!!!!!!!!"
        "!!!!!!-!`!1/-!%!D!'!F=%!/P$!!`\"!!FB=!/!$!!!!!!=F/!1/*!M;`!1/,!!!!!!!QR%!/(,!;`#"
        "!!;\"R!/!%!!!!!!9F=!1/*!M;`!)!;!!!!!!!!9!99!,!;`#!!;R`!/!$!!\"!!/#$!;Q`!!!!!!!!!"
        "!!!!Q\"R!/!$!!!!!!M;`!!!!!!!!!!!!!%QD!1/$!M;`!!!QR%!/$!!!!%!/%,!;`%!/$!!!!%!/$,!"
        ";`%!/5!!!!#!!;Q`!!M;`!(!F/!!!!!!!!!!!!,!;`#!!;Q`!!!!!!!!!!%!/',!;`!!!!!!!!!!!!'!"
        "F=#!!;R`!/!'!!Q`!!!!!!!!!!!!!QA=!!M;`!,!;`!!!!!!!!!!!!1/%!M;`!1/$!!!!!1/$!M;`!(!"
        "F`%!/*,!;`#!!;\"R!/!)!!!!!!!QR!1/-!M;`!1/$!!!!!'!F=&!/!$!!`%!/',!;`!!!!R`!/#$!;Q"
        "`!!A;R!1/+!!!!!1/(!M;`!!!QR%!/&!!!!%!/$,!;`!!!!R`!/!&!QQ`!!!Q!!!!!!!!!!!!!!-!`!,"
        "!;`\"!!FQ/!!!!!!!!!!!!99!9!!M;`!$!Q`!!!QQ`!!!Q!!1/%!!!!!#!!=\"!!FQ/!!!!!!!!!!\"!"
        "!FQ/!!M;`!,!;`\"!!FA=!!!!!!!!!!!!!Q\"R!/#%!;Q`!!%QD!!!!!!!!!!!!!9F=!,!;`#!!;Q`!!"
        "!QR!1/4!!!!!(!F/#!!;Q`!!M;`!1/$!!!!!,!;`#!!;Q`!!!!!!!!!!%!/&,!;`\"!!FA=!!!!!!!!!"
        "!%!/),!;`#!!;!!!!!!!!!!!!!!!!Q`!!M;`!'!F=!!!!!!!!%QD!1/%!M;`!!!!!!!!!!!!9!99!1/'"
        "!M;`!$!Q`%!/&,!;`#!!;R/!/!)!!!!!!)Q=!,!;`%!/,(!F`\"!!F\"!!/!$!!!!!!-!`!1/[!%!D!,"
        "!;`%!/$!!!!\"!!FR/!/#$!;Q`!!-Q`!1/(!M;`!)!;R%!/)!!!!%!/$,!;`!!!!R`!/#$!;Q`!!A;!!"
        "1/'!!!!!$!!`%!/),!;`#!!;!!!!!!!!!!!!!!!!Q`!!M;`!1/$!!!!!,!;`%!/$$!Q`!!!Q\"!!/!$!"
        "!!!!!-!/!,!;`!!!QA=!!!!!!!!!!%!/$,!;`%!/$!!!!%!/&,!;`%!/$!!!!%!/$,!;`%!/5!!!!#!!"
        ";Q`!!M;`!(!F/!!!!!!!!!!!!\"!QD#!!;Q`!!9F=!!!!!!!!!\"!!/#&!;Q`!!!QR!!!!!!!!!\"!!/"
        "#)!;Q`!!A;R!!!!!!!!!\"!!/#$!;Q`!!!!!!!!!!%!/%,!;`!!!Q!R!!!!!!!!!!!!!Q2D!/#-!;R`!"
        "/!)!!\"R!/#/!;R`!/!$!!!!!!M;`!1/-!-!`!,!;`%!/%$!!`!!!!!!!!%QD!,!;`#!!;R`!/!0!!!!"
        "!!%QD!,!;`#!!;Q`!!!!!!!!!!#!!;R`!/!%!!Q`!!%!D!1/+!!!!!(!F`!!!Q1D!!!!!!!!!!!!99\""
        "9!/#+!;Q`!!=F`!1/$!M;`!*!;D%!/&!!!!%!/',!;`\"!!FR/!/!$!!!!!!M;`!,!;`%!/$#!!=%!/)"
        ",!;`!!99!9!!!!!!!!!!%!/$,!;`!!!!!!!!!!!!\"!QD#!!;R`!/!*!!R`!/!$!!!!!!-!`!,!;`%!/"
        "$!!!!%!/',!;`#!!;!!!!!!!!'!F=#!!;Q`!!M;`!!999%!/4!!!!\"!!FA=!!M;`!,!;`!!99!9!!!!"
        "!!!!!!#!!;Q`!!M;`!!!QR!!!!!!!!!!!!1/&!M;`!1/$!!!!!1/*!M;`!)!;!!!!!\"!!/#$!;Q`!!="
        "F/!1/&!M;`!1/%!!!!!1/.!M;`!1/'!!!!!\"!QD%!//,!;`!!!Q!R!!!!!!!!!!!!!Q!R!!=F`!1/,!"
        "-!/!,!;`!!!!Q`!!)!=!,!;`%!/%!!!R\"!!FA=!!M;`!1//!!!!!,!;`!!!Q\"R!/!$!!!!!!9F=!#!"
        "!=!!!!Q`!!M;`!,!;`#!!;!!!!!!!!!!!!!!!!Q`!!-Q`!1/'!!!!!,!;`%!/$!!!!%!/+,!;`!!!QR`"
        "!/!1!!R`!/!$!!!!!!-!`!1/$!M;`!)!;!!!99\"9!/#)!;Q`!!A;!!!!!!!!!!!!!!-!`!,!;`\"!!F"
        "Q/!!!!!!!!!!\"!!FQ/!!M;`!1/*!-!`!1/$!!!!!$!!`\"!!FQ/!!!!!!!!!!!!!Q!R!!M;`!1/%!=F"
        "`!(!F/!!!!!!!!!!!!1/$!M;`!1/5!!!!!1/$!M;`!1/$!!!!!,!;`#!!;R`!/!$!!!!!!M;`!,!;`\""
        "!!FQ/!!M;`!,!;`!!99!9!!!!!!!!!!%!/*,!;`#!!;!!!!!!!!!!QR%!/',!;`\"!!FB=!/!&!!\"!!"
        "/#/!;Q`!!A;!!1/%!!!!!$!!`%!/0,!;`#!!;!!!!!!!!!!!!%!/($!!`\"!!FQ`!!-!`!$!!`!!!!!!"
        "!!!!!!(!F`#!!;R`!/!(!!Q/!!!QR!(!F/%!/-!!!!#!!;R`!/!(!!!!!!-Q`!,!;`#!!;Q`!!A;!!1/"
        "$!)!=!\"!QD%!/&!!!!\"!!FQ`!!%QD!1/$!!!!!1/;!M;`!,!;/%!/$!!!!%!/%,!;`!!!!!!!!9F=!"
        ",!;`%!/((!F`\"!!F!!!!!!!!\"!QD#!!;Q`!!M;`!\"!QD!!!!!!!!!!!!1/,!M;`!)!;!!!!!!!!!!"
        "QR!,!;`%!/$!!!!%!/',!;`!!99!9!!!!!!!!!!#!!;Q`!!M;`!'!F=%!/5!!!!#!!;Q`!!M;`!(!F/!"
        "!!!!!!!!!!!\"!QD#!!;Q`!!M;`!1/$!!!!!,!;`#!!;Q`!!%QD!,!;`#!!;Q`!!!QR!!!!!!!!!\"!!"
        "/#*!;Q`!!I;=!!!!!!!!!\"!!/#&!;R`!/!$!!!!!!M;`!,!;`!!!!!!!!!!!!(!F/%!/(,!;`!!!!R`"
        "!/#(!;Q`!!M;/!(!F/%!/2,!;`!!99!9!!!!!!!!!!!!!Q!R!!=F`!1/&!)!=!\"!QD!!!QQ`!!-!`!$"
        "!!`!!!!!!!!%QD!,!;`!!!QQ`!!-Q`!\"!QD#!!;Q`!!%QD!1/$!!!!!'!F=\"!!FR`!/!+!!!!!!M;`"
        "!1/%!!!!!(!F/#!!;Q`!!)!=!$!!`#!!;Q`!!M;`!+!;=%!/$!!!!!!!QR`!/!'!!!!!!M;`!1/$!!!!"
        "!1/$!M;`!$!!`%!/2,!;`\"!RFR`!/!&!QQ`!!-Q/!1/%!!!!!,!;`#!!;Q`!!!!!!!!!!%!/*,!;`#!"
        "!;!!!!!!!!1/$!M;`!!!QR!!!!!!!!!!!!1/,!M;`!)!;!!!!!!!!!=F/!,!;`%!/$!!!!%!/',!;`#!"
        "!;!!!!!!!!(!F/#!!;Q`!!M;`!1/5!!!!!!!QR#!!;Q`!!M;`!!!QR!!!!!!!!!!!!1/$!M;`!!!!!!!"
        "!!!!!!!QR!,!;`#!!;Q`!!!!!!,!;`#!!;Q`!!%QD!!!!!!!!!\"!!/#&!;R`!/!&!!R`!/!$!!!!!!-"
        "!`!,!;`\"!!FB=!/!$!!\"!!/#%!;Q`!!!!!!(!F/%!/3,!;`%!/2$!!`%!/$!!!!%!/($!!`#!!;Q`!"
        "!-!`!$!!`!!!!!!!!!QR!1/$!M;`!)!;!!!!Q!R!!M;`!,!;`\"!!FQ/!!!!!!!!!!\"!!FQ/!!-Q`!1"
        "/)!!!!!,!;`!!!Q!R!!!!!!!!!!%!/$,!;`!!!Q1D!!)!=!$!!`#!!;Q`!!M;`!)!;R%!/$!!!!#!!;R"
        "`!/!&!!!!!!M;`!\"!QD%!/$!!!!%!/',!;`\"!!FR`!/#6!;Q`!!A;!!1/(!!!!!$!!`%!/),!;`#!!"
        ";!!!!!!!!1/$!M;`!1/$!!!!!1/$!M;`!1/)!-!`!!!!!!!!!!!!!M;`!,!;`!!!!!!!!!!!!(!F/%!/"
        "',!;`#!!;!!!!!!!!1/$!M;`!1/5!!!!!1/$!M;`!1/$!!!!!1/$!M;`!!!!!!!!!!!!!)Q=!,!;`#!!"
        ";Q`!!!!!!1/$!M;`!!!!!!!!!!!!!!QR!,!;`%!/*$!!`%!/'!!!!!!!!1D!!!!!!1/%!M;`!!!!!\"!"
        "!FQ/!!M;`!1/$!=F`!&!FD%!/',!;`\"!!FR`!/!8!!Q`!!)!=!1/$!!!!!,!;`%!/'$!!`!!!QR`!/!"
        "$!!R`!/#%!;Q`!!A;!!(!F/#!!;Q`!!!!!!!!!!\"!!FA=!!!!!!!!QR#!!;Q`!!-!`!$!!`!!!!\"R!"
        "/!$!!Q/!!M;`!!!!!!!!!!!!!=F/!!!!!!!99!9!!M;`!!!QR%!/$!!!!#!!;Q`!!M;`!!!QR!!!!!!!"
        "!-!`!,!;`%!/'!!!!#!!;R`!/!$!!\"!!/#'!;Q`!!=F`!1/8!-Q`!!!Q!%!/&!!!!!!!!!R!!M;`!1/"
        "(!-Q`!\"!QD!!!!!!!!!!!!1/$!M;`!1/$!!!!!1/+!M;`!!999!!!!!!!!!!!!,!;`!!!Q1D!!!!!!!"
        "!!!%!/',!;`#!!;!R!!!!!!!!QR%!/$,!;`%!/5!!!!%!/$,!;`!!!!!!!!!!!!!!QR%!/$,!;`!!!!!"
        "!!!!!!!(!F/#!!;Q`!!M;`!!!!!%!/$,!;`%!/$!!!!#!!;R`!/\"*!FQ`!!5FD!1/)!!!!!,!;`#!!;"
        "Q`!!!!!!!!!!%!/',!;`#!!;!!!!=F/!1/&!M;`!$!!`%!/8,!;`#!!;!!!!!!!!!!!!!!!!Q`!!=F`!"
        "1/&!!!!!,!;`%!/$$!!`%!/%,!;`#!!;!!!!!!!!'!F=!!!!!!!!!!!!,!;`#!!;Q`!!9F=!1/$!M;`!"
        ")!;R!!!!A=!!-!`!,!;`\"!!FQ/!!=F/!,!;`!!!Q!R!!!!R!!!!!!!!Q2D!/!%!!!!!!M;`!,!;`%!/"
        "$!!!R\"!!F2D!/!&!!!!!!=F`!!999%!/$!!!!%!/5,!;`\"!!FR`!/#+!;Q`!!A;!!1/$!!!!!$!!/%"
        "!/*,!;`#!!;A=!!!!!!!!!!%!/$,!;`!!!Q!R!!!!!!!!!!%!/+,!;`#!!;!!!!!!!!(!F/#!!;Q`!!!"
        "!!!!!!!!!!Q2D!/#'!;Q`!!A;!!!!!!\"!!FQ/!!M;`!,!;`\"!!FR/!/!5!!R`!/#$!;Q`!!!!!!!!!"
        "!\"!!FR/!/#$!;Q`!!!!!!!!!!\"!!FQ/!!M;`!,!;`!!!!!!!!%QD!,!;`#!!;Q`!9!99!!!!!!!!!\""
        "!!/#%!;Q`!!-Q`!1/'!M;`!*!;D%!/,!!!!%!/&,!;`!!!QA=!!-!`!!!!!!!!Q\"R!/#=!;R`!/!%!!"
        "!!!!M;`!1/&!!!!!(!F/%!/$$!!`#!!;Q`!!M;`!1/&!!!!!\"!QD\"!!FQ/!!M;`!,!;`\"!!FR/!/!"
        ")!!\"!!/#$!;Q`!!=F/!!999%!/&!!!!#!!;Q`!!M;`!!!!!!!!!Q`!!=F`!1/'!!!!!,!;`%!/$!!!!"
        "!!!Q2D!/#*!;Q`!!=F`!1/D!M;`!*!;D!!!!\"!!/#%!;Q`!!9F=!!!!!!!!!!!!!9F=!,!;`%!/($!!"
        "`!!99!9!!!!!!!!!!#!!;Q`!!M;`!!!!!!!!!\"!!/#(!;Q`!!A;!!!!!!%!/$,!;`!!!Q\"R!/!5!!R"
        "`!/#$!;Q`!!!!!!!!!!%!/%,!;`!!!!!!!!!!!!(!F/#!!;Q`!!M;`!!!!!!!!!!!!!M;`!,!;`\"!!F"
        "A=!!!!!!!!!!!!!Q2D!/#,!;Q`!!E;D!1/*!!!!!1/(!M;`!1/%!%!D!1/8!M;`!(!F`%!/$,!;`#!!;"
        "B=!/!$!!!!!!M;`!1/&!-!/!'!F=!!!QQ`!!-!`!\"!!D#!!;Q`!!M;`!1/<!-!/!(!F`#!!;Q`!!M;`"
        "!*!;D!!!!Q`!!M;`!1/&!!!!!(!F`#!!;R`!/!$!!\"!!/#+!;Q`!!-!`!1/D!-Q`!#!Q=!!!!\"!!/#"
        "&!;R`!/!$!!\"!!/#%!;Q`!!=F`!,!;`#!!;Q`!!I;=!!!!!!!!!!!!!=F/!,!;`!!!QA=!!!!!!!!!!"
        "%!/',!;`#!!;Q/!!!!!!!!!!%!/$,!;`%!/5$!!`!!!Q\"R!/#$!;Q`!!!!!!!!!!%!/%,!;`!!!!!!!"
        "!!!!!#!Q=#!!;Q`!!M;`!!!!!!!!!\"!!/#$!;R`!/!$!!\"!!/#-!;Q`!!M;/!1/(!!!!!(!F/%!/(,"
        "!;`!!!Q2D!/!$!!Q`!!!QR!1/&!M;`!$!!`%!/6(!F`\"!!F\"!!/!$!!!!!!-!`!1/&!!!!!,!;`%!/"
        "&$!Q`!!!Q\"!!/!)!!!!!!%!D!1/1!-!`!1/'!M;`!1/&!!!!!,!;`!!99!9!!!!!!!!!!!!!Q2D!/#%"
        "!;Q`!!-Q`!1/<!M;`!+!;=\"!!FR/!/#&!;Q`!!=F`!1/'!M;`!+!;=!!!!\"!!/#'!;Q`!!!!!!!!!!"
        "!!!Q\"R!/#$!;Q`!!=F`!,!;`\"!!FB=!/!$!!!!!!M;`!,!;`!!!!!!!!!!!!\"!QD%!/',!;`#!!;1"
        "D!!!!!!!!!!%!/$,!;`%!/5$!!`\"!!FQ/!!M;`!,!;`\"!!FA=!!!!!!!!!!%!/%,!;`!!!!!!!!!!!"
        "!\"!QD#!!;Q`!!M;`!!!!!!!!!!!!9!99!,!;`#!!;Q`!!9F=!!!!!!!!!\"!!/#&!;Q`!!-!`!1/*!-"
        "Q`!1/$!)Q=!$!Q`%!/+,!;`#!!;\"!!/!%!!Q`!!9F=!1/'!M;`!1/5!-Q`!!!Q!!!!!!!!!!!!!$!!`"
        "\"!!FR`!/!%!!!!!!%QD!,!;`%!/&(!F`\"!!F\"!!/!(!!!!!!%!D!1/0!-!`!(!F`%!/&$!Q`!!!Q\""
        "!!/!$!!!!!!!!R!,!;`\"!!FR/!/!$!!\"!!/#9!;Q`!!-!`!1/'!M;`!)!;!!!!!!!!!-!/!,!;`%!/"
        ".$!Q`!!!Q!!!!!!!!1/&!M;`!1/%!!!!!\"!QD\"!!FQ/!!9F=!1/%!!!!!,!;`#!!;Q`!9!99!!!!!!"
        "!!!\"!!/#(!;Q`!!A;!!!!!!!!!!!!!!-!`!,!;`\"!!FR/!/!5!!R`!/#$!;Q`!!%QD!!!!!!!!Q\"R"
        "!/#%!;Q`!!!!!!!!!!!!99!9!!M;`!,!;`!!!Q!R!!!!!!!!!!%!/$,!;`!!!!!!!!!!!!\"!QD%!/=,"
        "!;`#!!;B=!/!&!!!R!!9F=!1/&!M;`!$!Q`%!/4(!F`!!99!9!!!!!!!!!!!!!Q1D!!M;`!1/&!%!D!!"
        "!QR%!/$!!!!#!!;Q`!!=F`!1/9!!!!!,!;`%!/*$!!/!!!QQ`!!M;`!1/$!!!!!1/5!M;`!$!Q`%!/+,"
        "!;`#!!;!!!!%!D!$!!`!!!Q2D!/#%!;Q`!!-Q`!1/*!M;`!)!;!!!!!!!!!!!!!$!!`%!/(,!;`#!!;\""
        "!!/!&!!!!!!-!`!,!;`#!!;Q`!!A;!!!!!!!!!!!!!!-!`!1/'!M;`!)!;!!!!!!!!!!!!!$!!`#!!;Q"
        "`!!)Q=!1/5!-!`!1/$!M;`!!!!R!!!!!!!!%QD!1/%!M;`!)!;!!!!!!!!!!!!!$!!`#!!;Q`!!%QD!!"
        "!!!!!!!\"!!/#$!;Q`!!)Q=!!!!!!!!!\"!!/#>!;Q`!!A;!!1/&!!!!!1/6!M;`!(!F`%!/%$!Q`!!!"
        "Q!!!!!!!!!!!!!!!!Q`!!=F`!1/)!!!!!,!;`#!!;R`!/!9!!Q/!!=F`!1/*!!!R!,!;`\"!!FR/!/!$"
        "!!\"!!/#-!;Q`!!-!`!1/1!M;`!+!;=%!/%!!!!%!/,,!;`\"!!FR`!/#$!;Q`!!A;!!!!!!!!!!!!!!"
        "-!`!1/*!M;`!)!;!!!!!!!!!9F=!1/$!M;`!1/$!!!!!(!F/#!!;R`!/!'!QQ`!!!Q!!!!!!!!!!!!!!"
        "-!`!,!;`!!!Q\"R!/!5!!R`!/#$!;Q`!!!!!!!!!!\"!!FA=!!M;`!1/$!=F`!%!F!!!!!!!!!!!!!$!"
        "!`#!!;Q`!!M;`!)!;!!!!!!!!!%QD!1/$!M;`!!!!!!!!!!!!!%QD!1/$!M;`!$!Q`%!/9,!;`#!!;!!"
        "!!9F=!1/%!-!`!(!F/%!/:,!;`!!!Q!R!!!!!!!!!!!!!QA=!!M;`!1/)!)!=!'!F=#!!;R`!/!$!!Q`"
        "!!!!R!1/5!!!!!$!Q`%!/)!!!!\"!!FQ`!!M;`!1/$!!!!!1/>!M;`!!999%!/%!!!!\"!!FA=!!M;`!"
        "1//!-Q`!!!Q!%!/$!!!!!!!!R`!/#/!;Q`!!A;!!!!!!!!!!!!!!-!`!1/(!M;`!)!;!!!!!!!!!%QD!"
        ",!;`#!!;R`!/!6!!\"!!/#$!;Q`!!!!!!!!!!\"!!FQ/!!M;`!1/$!-Q`!#!Q=!!!!!!!!!!!!1/$!M;"
        "`!1/$!!!!!1/%!M;`!!!!!!!!!\"!!/#8!;Q`!!-Q`!1/%!M;`!!999!!!Q1D!!M;`!1/%!-!`!!999%"
        "!/9,!;`\"!!FB=!/!$!!!!!!M;`!,!;`%!/)!!!!#!!;R`!/\"&!FQ`!!1F!!1/*!)!=!$!Q`!!!QR`!"
        "/!'!!!!!!-Q`!1/*!-!`!,!;`!!!Q\"R!/!$!!!!!!=F/!1/;!M;`!\"!QD%!/&!!!!!!!Q\"R!/#(!;"
        "Q`!!=F`!1/*!-Q`!!!Q!%!/$!!!!!!!!R`!/#-!;Q`!!A;!!!!!!!!!!!!!!-!`!1/(!M;`!!999!!!!"
        "!!!!!!!!1/$!M;`!1/6!!!!!1/$!M;`!!!!!!!!!\"!!/#'!;Q`!!A;!!!!!!%!/$,!;`!!!QA=!!!!!"
        "!!!!!!!!Q\"R!/#$!;Q`!!!!!!!!!!%!/=,!;`#!!;Q/!!!!!!,!;`!!!QQ`!!-Q`!!!Q!%!/$!!!!!!"
        "!!\"R!/#2!;Q`!!=F/!!!QR%!/(!!!!!!99!9!!M;`!(!F/!!!!Q`!!!!R!!!QR%!/%!!!!#!!;Q`!!="
        "F/!1/&!!!R!$!Q`%!/$,!;`#!!;B=!/!$!!\"!!/#$!;R`!/!'!!A=!!9F=!1/&!-!/!$!Q`!!!!Q/!!"
        "-!/!\"!QD#!!;R`!/!)!!!!!!%QD!(!F/%!/0,!;`\"!!FR`!/#&!;Q`!!A;!!!!!!!!!!!!!!-!`!(!"
        "F/!!!!\"!!/#)!;Q`!!-!`!1/*!=F`!%!FR%!/'!!!!%!/&,!;`\"!!FR/!/#$!;R`!/!$!!\"!!/#$!"
        ";R`!/!%!!Q`!!M;`!,!;`%!/$!!!!#!!;Q`!!M;`!(!F/%!/6!!!!%!/$,!;`!!!!!!!!!!!!1/'!M;`"
        "!)!;!!!!!!!!!%QD!1/$!M;`!!!!!!!!!\"!!/#%!;Q`!!!!!!!!!!%!/>,!;`#!!;!!!!=F/!,!;`!!"
        "!!Q`!!-!`!1/&!!!!!$!!`%!/.,!;`#!!;\"!!/!,!!!!!!-!`!$!!`!!!!!!!!M;`!1/&!!!!!,!;`#"
        "!!;R`!/!)!!A=!!=F/!(!F`!!!!!!!!!QR!,!;`#!!;R`!/!)!!!!!!M;`!1/&!)!=!'!F=%!/$\"!!D"
        "!!!Q2D!/!$!!!!!!!QR!1/(!!!!!!999\"!!FR/!/#2!;Q`!!!QR!1/%!!!!!,!;`!!!!\"!!/#/!;Q`"
        "!!-Q`!1/%!-!`!1/'!!!!!!!!R%!/&$!!`#!!;Q`!!%QD!1/$!!!!!(!F/%!/),!;`#!!;Q/!!!!!!!!"
        "!!!!!Q1D!!M;`!,!;`!!!Q\"R!/!6!!R`!/#$!;Q`!!!!!!!!!!%!/',!;`#!!;A=!!!!!!!!!!%!/),"
        "!;`%!/$!!!!%!/1,!;`\"!!FR`!/!-!QQ`!!!QR!!!!!\"!!FQ/!!M;`!$!Q`!!!QQ`!!!Q!!1/$!!!!"
        "!$!!`%!/+,!;`#!!;2D!/!%!!!!!!!QR!'!F=%!/$,!;`\"!!FQ`!!=F`!1/&!%!D!$!Q/\"!!FR/!/!"
        "&!!\"!!/#$!;Q`!!E;D!1/(!!!!!!!QR\"!!FQ/!!9F=!1/+!!!!!,!;`%!/'!!!R\"!!FR`!/!&!!!!"
        "!!-Q`!1/&!=F`!'!F=!!!Q\"R!/!%!!!!!!9F=!1/'!M;`!(!F`%!/',!;`#!!;R/!/!&!!!!!!M;`!,"
        "!;`!!!!\"R!/#5!;Q`!!%QD!1//!!!!!!!QR%!/*,!;`#!!;!!!!!!!!!!!!!!!!Q`!!M;`!,!;`#!!;"
        "\"!!/!7!!Q`!!M;`!,!;`!!!!!!!!!!!!1/(!M;`!)!;!!!!!!!!9!99!1/'!M;`!1/$!!!!!\"!QD%!"
        "/*,!;`!!!QR`!/#5!;Q`!!A;!!1/$!!!!!1/&!-!`!\"!QD%!/),!;`%!/$!!!R!!!Q!R!!9F=!1/$!M"
        ";`!(!F`%!/'$!!`!!!!\"!!/!$!!Q`!!M;`!1/'!!!!!(!F/#!!;R`!/!7!!Q`!!M;`!1/'!!!!!,!;`"
        "%!/+$!!`!!!QR`!/#%!;Q`!!M;/!!999!!!!!!!!!!!!!!QR%!/+,!;`%!/'!!!!!!!QQ`!!M;`!#!Q="
        "\"!!FR/!/#&!;Q`!!=F`!1/1!-!`!1/-!!!!!#!!=%!/+,!;`#!!;!!!!!!!!!!!!!!!!Q`!!M;`!(!F"
        "/%!/8!!!!#!!;Q`!!M;`!!!!!!!!!!!!!=F/!,!;`%!/'$!Q`!!!Q!!!!!!!!!!!!!!!!B=!/#$!;R`!"
        "/!%!!\"!!/#$!;Q`!!-!`!1/=!M;`!*!;D!!!QR`!/#%!;Q`!!A;!!1/$!!!!!$!!`%!/&,!;`#!!;2D"
        "!/#$!;Q`!!=F`!1/,!-!`!#!!=%!/$!!!!#!!;R`!/!'!!!!!!)Q=!,!;`!!!!Q`!!-!`!!!!R%!/3!!"
        "!!!!!QQ`!!M;`!1/'!!!!!\"!QD!!!Q2D!/!0!!Q`!!=F`!1/$!M;`!+!;=%!/(,!;`\"!!FR/!/!'!!"
        "!!!!=F`!,!;`!!!Q!R!!!!!!1/=!M;`!+!;=%!/$#!Q=!!!QR`!/#-!;Q`!!E;D!!!!!!!!!\"!!/#$!"
        ";R`!/!9!!!!!!M;`!,!;`!!!!!!!!!!!!(!F/#!!;R`!/\"'!FQ`!!5FD!1/%!!!!!#!Q=%!/%!!!!%!"
        "/%,!;`!!!QR`!/#&!;Q`!9!99!1/$!!!!!!!QR\"!!FR/!/#2!;Q`!!!!!!\"!!D%!/$,!;`%!/'$!!`"
        "%!/',!;`\"!!FR`!/!.!!Q`!!!!R!1/%!!!!!,!;`%!/'!!!!!!!Q1D!!M;`!$!!`!!!!Q`!!!!!!!!!"
        "!\"!!FA=!!M;`!(!F`\"!!FQ`!!1FR!!!QR\"!!FQ`!!M;`!!!!!!!99\"9!/#$!;R`!/!%!!1D!!=F`"
        "!,!;`%!/'!!!!!!99!9!!M;`!1/3!-!`!$!Q`%!/),!;`#!!;\"!!/!$!!!!!!-!`!$!!`\"!!FA=!!M"
        ";`!1/$!!!!!1/D!M;`!$!Q`%!/*$!!`!!!!!!!!!!!!\"!QD%!/$,!;`%!/9!!!!#!!;Q`!!M;`!!!!!"
        "!!!!!!!!)Q=!1/)!M;`!+!;=%!/)!!!!%!/-,!;`%!/'$!!/!!!Q2D!/#/!;Q`!!9F=!!!!!\"!RFR/!"
        "/#%!;Q`!!E;D!1/%!!!!!(!F/%!/1,!;`#!!;B=!/!'!!!!!!M;`!!!QR%!/&!!!!!!!Q1D!!M;`!$!Q"
        "`!!!QQ`!!!Q!!1/%!-!`!!!QR!!99!9!!!!!!!!QR!!!Q!R!!!!!!!999!!99\"9!/!'!!!!!!M;`!,!"
        ";`%!/'!!!!#!!;R`!/!7!!Q`!!-Q`!1/%!M;`!)!;R%!/&!!!!\"!!FR`!/!%!!\"!!/#+!;Q`!!-!`!"
        "1/C!=F`!%!F!!!!!!!!!!!!!$!!`#!!;Q`!!M;`!+!;=%!/9!!!!#!!;Q`!!M;`!!!QR!!!!!!!!!QR!"
        "1/+!M;`!)!;R%!/%!!!!!!!Q\"R!/#/!;R`!/!)!!Q`!!%QD!1/)!M;`!(!F`%!/$$!!`!!!!!!!!!!!"
        "!1/$!M;`!$!Q`%!/>$!!`#!!;Q`!!M;`!1/&!!!!!!!QR#!!;Q`!!=F`!(!F`\"!!FB=!/!3!!Q`!!M;"
        "`!,!;`%!/&!!!!!!!Q!R!!-Q`!1/:!-!`!,!;`%!/'!!!!\"!!FQ`!!M;`!,!;`#!!;\"R!/#3!;Q`!!"
        "-!`!1/<!M;`!!999!!!!!!!!!!!!(!F/%!/$,!;`%!/:!!!!#!!;Q`!!M;`!#!Q=!!!!!!!!!!!!1/\?!"
        "M;`!)!;!%!/*$!!`!!!Q2D!/#(!;Q`!!-Q`!,!;`#!!;Q`!!I;=!!!!!#!!;Q`!!5FD!!!QR#!!;Q`!!"
        "-!`!$!!`%!/%!!!!!!!!R/!/!3!!Q`!!=F`!1/%!)!=!,!;`\"!!FB=!/!&!!\"!!/#'!;Q`!!A;!!1/"
        "0!-!`!,!;`#!!;R`!/!&!!!!!!M;`!$!!`!!!!Q`!!-!/!1/>!%!D!$!Q`%!/$,!;`#!!;\"!!/#(!;Q"
        "`!!-Q`!1/F!M;`!)!;!%!/$!!!!!!!!Q`!!M;`!,!;`#!!;2D!/!9!!!!!!!QR!1/$!M;`!!!!!!!!!\""
        "!!/#@!;Q`!!E;D!!!!R!!!!!!!!M;`!1/,!-!`!'!F=%!/',!;`%!/%!!!!#!!;Q`!!-!`!$!!`!!!!2"
        "D!/!5!!!!!!-Q`!,!;`%!/%!!!!!!!QQ`!!M;`!1/&!!!!!\"!QD#!!;R`!/!$!!Q`!!!!R!1/$!-!`!"
        "1/'!%QD!1/'!!!!!(!F`#!!;Q`!!=F/!1/+!!!!!,!;`%!/;$!!`%!/%,!;`!!!!!!!!!QR!1/,!M;`!"
        "$!!`%!/@,!;`#!!;\"R!/!$!!!!!!%QD!1/$!M;`!!!QR%!/;!!!!%!/$,!;`!!!!!!!!!!!!(!F/#!!"
        ";R`!/\"\?!FQ`!!9F=!!!!!!!!QQ/!!M;`!(!F`\"!!FQ`!!1FR!1/)!!!!!\"!QD%!/',!;`\"!!FA=!"
        "9!99!!!!!%!/%,!;`#!!;B=!/!4!!!!!!M;`!(!F/%!/&!!!!#!!;Q`!!M;`!1/&!!!!!,!;`%!/$(!F"
        "`\"!!F\"!!/!0!!A=!!M;`!,!;`%!/&!!!!!!!Q2D!/!&!!Q/!!M;`!$!!`!!!!R`!/!%!!\"!!/!-!!"
        "Q`!!)!=!1/'!!!!!$!Q`%!/$,!;`#!!;1D!!!!!!1/$!M;`!(!F`%!/,,!;`#!!;Q/!!%QD!!!QR%!/&"
        "!!!!\"!!F2D!/#4!;Q`!!A;!!1/$!!!!!$!!/%!/$,!;`\"!!FB=!/!<!!\"!!/#$!;Q`!!!!!!!!!!!"
        "!!Q\"R!/#A!;Q`!!A;R!!!!!\"!!FR`!/#%!;Q`!!E;D!1/(!!!R!!999%!/&,!;`%!/$\"!QD!!!!\""
        "!!/#%!;Q`!!I;=!1/2!!!!!,!;`#!!;R`!/!'!!!!!!-Q`!,!;`%!/&!!!!%!/%,!;`#!!;2D!/!/!!!"
        "!!!=F`!,!;`!!!Q\"R!/!&!!!!!!-Q`!1/&!!!!!\"!QD#!!;Q`!!-!`!$!!`%!/%!!!!%!/+$!!`!!!"
        "!\"R!/!'!!!!!!-Q`!,!;`%!/%!!!!\"!!FR/!/#-!;Q`!!9F=!1/*!!!!!,!;`%!/3(!F`\"!!F2D!/"
        "!$!!!!!9!99!1/%!M;`!'!F=%!/=!!!!%!/$,!;`%!/$!!!!%!/B,!;`#!!;B=!/!$!!!!!!=F`!1/&!"
        "M;`!,!;/%!/&!!!!!!!Q2D!/#%!;R`!/!%!!\"!!/#%!;Q`!!A;!!1/$!!!!!$!!`%!/,!!!R#!!;Q`!"
        "!M;`!!!QR%!/(!!!!#!!;R`!/!'!!\"!!/#%!;Q`!!A;!!1/)!!!!!!999%!/%!!!!#!!;Q`!!M;`!1/"
        ".!!!!!1/$!M;`!,!;/%!/4!!!!!!!QQ`!!M;`!,!;`#!!;\"!!/!$!!!!!!-!`!1/'!M;`!+!;=%!/$\""
        "!QD%!/,!!!!!!!Q1D!!M;`!1/2!-!`!#!!=%!/%!!!!%!/%,!;`\"!!FR/!/!(!!!!!!!QR!\"!QD%!/"
        "%'!F=!!!Q2D!/!0!!!!!!!QR!,!;`#!!;Q`!!%QD!!!!!!!!!!!!!9F=!,!;`%!/B$!Q`!!!Q!!!!!!!"
        "!!!!!!!!!\"R!/#%!;R`!/!*!!Q`!!=F/!\"!QD%!/%!!!!%!/$,!;`%!/0$!!`!!!QR`!/#$!;Q`!!A"
        ";!!1/)!!!!!#!Q=%!/&!!!!!!!Q!R!!M;`!(!F`%!//!!!!#!!;Q`!!M;`!1//!!!!!!999%!/%,!;`#"
        "!!;\"!!/!$!!!!!!)!=!1/-!-!`!$!Q`#!!;Q`!!M;`!*!;D!!!Q!R!!9F=!1/(!M;`!!999%!/-!!!!"
        "\"!!F1D!!-!`!!!!R!!!Q2D!/#)!;Q`!R=F`!1/*!-!`!!!!R%!/&!!!!%!/$,!;`!!!Q\"R!/!$!!!!"
        "!9!99!#!Q=%!//,!;`!!!Q\"R!/!,!!\"!!/#$!;R`!/!$!!\"!!/#$!;R`!/!%!!Q`!!M;`!1/>!-!`"
        "!!999!!!!1D!!=F`!1/'!M;`!)!;!%!/&!!!!!!!!\"R!/!%!!!!!!-Q`!1/&!M;`!)!;!%!/9!!!!#!"
        "!;R`!/!(!!!!!!M;`!1/.!-!/!(!F`#!!;R`!/!2!!\"!!/#%!;Q`!!E;D!1//!!!!!,!;`#!!;R`!/!"
        "%!!\"!!/#'!;Q`!!9F=!1/,!!!!!(!F`#!!;Q`!!M;`!)!;!!!!Q2D!/#*!;Q`!!-!`!1/)!=F`!'!F="
        "%!/&!!!!%!/<,!;`%!/+$!!`!!!Q!R!!M;`!,!;`\"!!FA=!!!!!!!!!!!!!Q!R!!M;`!1/E!=F`!%!F"
        "!!!!!!!!!)!=!(!F`%!/&,!;`#!!;B=!/!*!!\"!!/#$!;R`!/!>!!Q`!!)Q=!1/'!!!!!!!QR#!!;R`"
        "!/!-!!1D!!M;`!1/E!!!!!(!F`#!!;Q`!!M;`!)!;!%!/$!!!!!!!!Q`!!M;`!,!;`#!!;2D!/!-!!!!"
        "!!-Q`!1/$!M;`!)!;!!!!!\"!!/#&!;Q`!!-Q`!1/-!M;`!+!;=%!/%!!!!%!//,!;`\"!!FQ/!!5FD!"
        "!!QR%!/'!!!!!!!Q!R!!9F=!1/$!M;`!1/-!-!`!1/$!M;`!1/$!!!!!1/G!M;`!)!;R%!/%!!!!%!/$"
        ",!;`%!/*$!!`%!/%,!;`%!/'$!!`#!!;Q`!!9F=!1/)!!!!!,!;`!!!QB=!/!,!!Q`!!M;`!1/(!!!!!"
        ",!;`!!!QR`!/!+!!!!!!M;`!(!F/%!/E!!!!#!!;R`!/\"$!FQ`!!1F!!1/,!!!!!1/&!-!`!#!!=\"!"
        "!FA=!!=F`!$!Q/%!/$!!!R%!/&,!;`\"!!FR`!/!.!!Q`!!!!!!!!!!%!//,!;`!!!Q2D!/!.!!\"!!/"
        "#$!;R`!/!-!!Q`!!%QD!,!;`#!!;Q`!!=F/!!!!!!!!!\"!!/#'!;Q`!!-!`!1/B!-Q`!\"!QD!!!Q!R"
        "!!%QD!1/&!M;`!(!F`%!/-$!Q`!!!Q\"!!/!'!!Q`!!)!=!!!!!!!!!R`!/\"$!FQ`!!1FR!1/7!!!!!"
        ",!;`%!/*$!!/\"!!FQ`!!M;`!1/4!!!!!!!QR%!/2$!!`%!/%,!;`#!!;\"!!/!,!!!!!!-Q`!1/&!M;"
        "`!,!;/!!!!!!!!!!!!!!QR%!/-,!;`!!!!R`!/#)!;Q`!!A;!!1/-!M;`!(!F/%!//!!!!%!/%,!;`%!"
        "//$!!`%!/$,!;`!!!QA=!!!!!!!!!!%!/$,!;`!!!!R`!/!0!QQ`!!-Q/!(!F/\"!!FQ/!!5FD!!!QR%"
        "!/&!!!!!!!Q1D!!M;`!,!;`\"!!FQ/!!)Q=!'!F=\"!!FR/!/#'!;R`!/!(!!\"!!/#&!;Q`!!=F`!1/"
        "2!-!`!1//!!!!!(!F`%!/+$!!`#!!;R`!/!(!!!R!!-Q/!'!F=%!/%!!!!!!!QQ`!!-!`!$!!`!!!!!!"
        "!!-Q`!1/5!-!`!(!F`%!/%,!;`#!!;\"!!/!$!!R`!/#$!;R`!/!,!!Q`!!-Q`!1/&!M;`!)!;!!!!!!"
        "!!!%QD!1/3!M;`!(!F`%!/%$!Q`!!!Q!!!!!!!!1/*!M;`!1/(!!!!!'!F=#!!;Q`!!M;`!\"!QD%!/%"
        "!!!!\"!!FR/!/#'!;R`!/!/!!Q`!!9F=!1/$!M;`!1/$!!!!!1/2!M;`!,!;/%!/3\"!!D\"!!FR/!/#"
        "&!;R`!/!'!!\"!!/#%!;Q`!!-Q`!1/%!-!`!\"!!D%!/%$!!`%!/',!;`%!/%$!!`!!!Q2D!/!$!!Q`!"
        "!-Q`!$!!`!!!!Q`!!!!!!!!!!!!!!Q`!!=F`!(!F`\"!!F!R!!%QD!,!;`%!/$$!!`#!!;R`!/!&!!Q`"
        "!!!QR!(!F`%!/'!!!!#!!;R`!/!%!!!!!!-Q/!(!F`%!/%$!!`!!!!Q/!!!!!!$!!`\"!!FQ`!!=F`!%"
        "!FR!!!!!!!!-!`!1/%!-Q`!!!Q!%!/$!!!!#!!;R`!/!*!!Q`!!%!D!1/2!-!`!!999\"!!FQ/!!=F/!"
        "1/$!%!D!1/*!M;`!$!!`%!/0,!;`#!!;!!!!!!!!!!!!!!!!R`!/#%!;Q`!!A;!!1/'!-!`!'!F=%!/%"
        ",!;`%!/%!!!!!!!QB=!/#&!;Q`!!=F/!1/2!!!!!1/%!M;`!!!!!!!!!!!!!!QR!1/&!M;`!$!Q`%!/-"
        ",!;`#!!;B=!/!4!!\"!!/#$!;R`!/!%!!!R!!-Q/!1/%!M;`!1/,!-!`!1/(!M;`!)!;!!!!!!!!9!99"
        "!1/(!=F`!'!F=!!!!!!!!-!`!1/$!M;`!)!;!\"!!FQ`!!-Q`!1/$!!!!!,!;`%!/&$!!`#!!;R`!/!'"
        "!!!!!!9F=!1/$!!!!!$!Q`%!/',!;`#!!;1D!!%!D!1/$!M;`!)!;!!!!!!!!!-Q`!1/%!=F`!(!F/%!"
        "/$!!!!!!!QR`!/#=!;Q`!!A;!!!!!!!!!!!!!!%!D!1/2!M;`!$!!`%!/),!;`#!!;1D!!!!!!!!!!%!"
        "/%,!;`%!/(!!!!%!/&,!;`!!99\"9!/!$!!!!!!9F=!1/&!M;`!1/4!!!!!!!QR%!/$,!;`%!/$!!!!\""
        "!!FR/!/#'!;Q`!!=F`!1/-!-!`!!!!R%!/$!!!!%!/$,!;`!!!QR`!/!%!!Q`!!%!D!1/,!!!!!(!F`%"
        "!/(,!;`#!!;\"R!/!)!!\"!!/#&!;Q`!!M;/!1/$!!!!!1/*!M;`!)!;!%!/%$!!`!!!!!!!!M;`!,!;"
        "`!!!QQ/!!-!`!1/%!=F`!%!F!!!!!!!!!!!!!\"!!D%!/+!!!R!!!QR`!/\"'!FQ`!!=F/!,!;`%!/$$"
        "!Q`!!!Q!!!!-!`!1/'!=F`!%!FR%!/$!!!!\"!!FR`!/#*!;Q`!!I;=!1/$!-!`!$!Q`%!/+,!;`#!!;"
        "Q/!!!!!!!!!!%!/@,!;`%!/$!!!!#!!;Q`!!M;`!1/'!!!!!\"!QD%!/&,!;`%!/%!!!!%!/&,!;`!!!"
        "Q\"R!/!8!!!!!!M;`!1/%!!!!!1/7!M;`!!!QR!!!!!!!!-!/!(!F`%!/),!;`#!!;B=!/!(!!\"R!/#"
        "&!;R`!/!.!!R`!/#$!;Q`!!A;!!1/%!!!!!#!!=\"!!FR`!/!*!QQ`!!-Q/!,!;`!!!QQ`!!-Q`!!!Q!"
        "!!!Q2D!/#)!;Q`!!A;R!!!!!!!!!!!!!=F/!1/)!!!!!,!;`%!/&(!F`\"!!FR/!/!%!!Q`!!M;`!$!!"
        "`!!!!R/!/!)!QQ`!!!Q!!!!!!!!!!\"!!/!+!!R`!/!'!!\"!!/#%!;Q`!!-Q`!1/'!!!!!1/$!M;`!,"
        "R;`(!D0R`!/#<!;Q`!!A;!!1/*!!!!!$!!`%!/%,!;`#!!;B=!/!$!!!!!!%QD!1/$!M;`!1/B!-!`!1"
        "/$!M;`!(!F`%!/3,!;`#!!;2D!/!&!!\"!!/#'!;R`!/!.!QQ`!!)Q=!1/,!!!!!1/$!M;`!1/&!-!`!"
        "1/%!M;`!$!Q`%!/',!;`#!!;!R!!=F`!1/$!M;`!)!;!%!/*,!;`!!!!Q`!!!!R!\"!QD%!/&!!!!!!!"
        "QR/!/#(!;Q`!!A;!!1/(!-!`!,!;`%!/*$!Q`!!!Q\"!!/!%!!!!!!!!R!,!;`%!/%(!F`\"!!F\"!!/"
        "!&!!\"!!/!(!!Q`!!!!!!!RQR&!DF2D!+5.+!(!F/%!/$,!;`\"!!FQ/!!!QR!1/0!!!!!\"!QD\"!!F"
        "A=!!=F/!1/&!M;`!(!F`%!/%,!;`#!!;\"R!/!&!!!!!!!QR!1/'!M;`!1/%!!!!!1/$!M;`!1/E!-!`"
        "!1/2!M;`!(!F`%!/',!;`#!!;Q/!!%QD!1/$!!!!!\"!QD\"!!FQ/!!M;`!(!F/!!!!!!!!)Q=!1/+!M"
        ";`!*!;D%!/-!!!!%!/$,!;`!!!QR`!/!%!!R`!/#(!;Q`!!=F`!1/)!-!`!!999%!/-,!;`#!!;!!!!!"
        "!!!$!Q/!!!!!R!!-Q`!1/0!M;`!)!;!\"!!FB=!/#*!;R`!/!'!!!!!!M;`!1/%!=F`!%!F!%!/'!!!!"
        "!!!!A=!!!!R!!RQR'!D;B=!D]0`!,!;`#!!;Q`!!M;/!1/<!-!`!1/%!M;`!$!!`%!/'(!F`\"!!F1D!"
        "!!QR!(!F/%!/(,!;`%!/%!!!!%!/$,!;`%!/G$!!`%!/&,!;`!!!QR`!/#5!;Q`!!I;=!1/'!!!!!,!;"
        "`%!/*$!!`!!!!B=!/!.!!\"!!/#$!;R`!/!%!!R`!/\"%!FQ/!!-Q`!1/:!=F`!%!F!!!!!!!!!=F`!#"
        "!!=!!!QR`!/#;!;Q`!!E;D!1/%!!!!!(!F`%!/%,!;`#!!;R/!/!(!!!!!R!QR!1/*!-!`!$!!/%!/.!"
        "!!!!!RQB=!DM;`!0R0`!!!Q2D!/!%!!A=!9!99!(!F/%!/&,!;`%!/%$!!`\"!!FR`!/#,!;Q`!!A;!!"
        "!!!!!!!!!!!!!!R!1/$!M;`!1/I!-!`!1/)!M;`!(!F`%!/5$!!`!!!!Q/!!=F/!!!QR%!/%!!!!!!!Q"
        "R`!/#&!;Q`!!A;!!1/-!!!!!$!Q`%!/%,!;`#!!;!R!!!!!!\"!QD!!!QR`!/#>!;Q`!!A;!!!!!!#!!"
        ";R`!/\">!FQ`!!1F!!1/$!!!R!!!QR%!/$!!!!!!RQ!R!!M;`!````%!/+!!!!%!/&,!;`!!!QQ`!!-!"
        "`!$!!`!!!!B=!/!%!!1D!9!99!6DFD0!/0R/!D]0`!,R;`%!/%,!;`!!!!Q/!!!!!!!!QR!!!Q!R!!9F"
        "=!1/+!M;`!$!Q`%!/-(!F`!!99!9!!!!!!!!!!!!!Q\"R!/#H!;Q`!!E;D!1/&!!!!!1/-!M;`!$!!`%"
        "!/*,!;`#!!;B=!/!-!!\"!!/#$!;R`!/!0!!Q`!!-Q`!1/$!M;`!,!;/!!!!!!!!!!!!\"!QD%!/@,!;"
        "`#!!;!!!!%QD!1/:!M;`!,!;/%!/($!!`&!+.3+!VISV!,!;`0!/`Q`!!M;`!,!;`#!!;A=!!M;`!1/,"
        "!!!!!,!;`#!!;Q`!!9F=!\"!QD!!!Q!R!!!!!!!RQR&!\\^2\\!/!&!!!!!!M;`!,!;`\"!!FQ/!!!!!"
        "!!!QR!!!Q2D!/!%!!\"R!/#%!;Q`!!=F`!1/5!M;`!)!;R%!/%!!!!#!!;R`!/!H!!R`!/!'!!!!!!)!"
        "=!1//!M;`!'!F=!!!Q\"R!/!0!!!!!!=F`!1/$!M;`!,R;`%!/,$!!`!!!!A=!!9F=!1/$!!QR!1/&!!"
        "!!!$!Q/#!!;R`!/\"@!FQ`!!5FD!1/$!M;`!1/=!-!`!@D0`%!/%!!!!%!/&,!;`#!!;\"R!/!)!!Q/!"
        "R!QR!6\\^\\0!/0Q/!!M;`!P=0`#!R;R`!/#%!;Q`!!A;!!1/$!!!!!\"!QD!!!Q!R!9!99!1/%!!!!!"
        "!!QR\"!!FR/!/#-!;Q`!!=F`!1//!M;`!)!;!%!/&!!!!%!/J$!!`!!!!\"!!/!&!!Q`!!!QR!1/,!M;"
        "`!!999%!/1!!!!!!!QR`!/#0!;Q`!!A;R!1/%!!!!!!!QR!!!!!R!!!!!!!!QR!!!QA=!!M;`!5/%!=F"
        "`!%!F!!!!!!!!!!!!!#!!=%!/%,!;`0!``Q`!!!!!!!!!!&!+.3+!VISV!1/$!!!!!L=;`%!/$!!!R%!"
        "/%,!;`%!/%$!!`!!!Q!R!!%QD!1/%!!!!!!!QR%!/7,!;`%!/*$!!`!!!!2D!/!X!!\"!!/#'!;Q`!!9"
        "F=!!!QR%!/,!!!!!!!QR/!/#&!;Q`!!9F=!1/&!M;`!(!F`%!/+$!Q`!!!Q!R!9!99!1/$!M;`!$!Q`%"
        "!/$$!!/\"!!FR`!/3)!;Q`!!A;!!1/$!!!!!!!!R\"!!FA=!!M;`!!!!!!!!!\"!!D]0`!1/0!M;`!,!"
        ";/!!!!!!!!!!!!\"!QD\"!!FQ/!!=F/!1/+!M;`!(!F`$!R0R`!D]0`!,R;`#!!;Q`!!M;`!$!!`%!/0"
        ",!;`#!!;!!!!!!!!!!!!%!/T$!!`%!/%!!!!!!!!R/!/#$!;R`!/!'!!\"!!/!$!Q1D!!=F/!1/%!M;`"
        "!!!!R%!/%,!;`\"!!FR/!/!,!!\"!!/#*!;Q`!!=F`!1/%!-!`!(!F/%!/%,!;`!!!QR`!/3\"!;Q`!!"
        "E;D!1/$!-!`!$!!/!!!Q2D!/!(!!\"!!/#&!;R`!/!%!!Q`!!=F`!1/(!M;`!)!;!%!/(!!!!!!!!A=!"
        "!%QD!'RF=+!VSCV!=]0`!,R;`%!/',!;`!!!!R`!/#/!;Q`!!A;!!1/_!!!!!1/%!M;`!1/$!=F/!!99"
        "9%!/(!!!!%!/$!!QR%!/.!!!!!!!QR`!/#*!;Q`!!A;!!!!!!!!!!!!!!!!R!,!;`&!/'$!Q`!!!Q!!!"
        "!-!`!!!QR%!/$,!;`!!!!!!!!!!!!(!F`#!!;Q`!!M;`!,!;/!!!!!!!!%QD!1/'!M;`!1/,!-!`!#!!"
        "=%!/$!!!!&!+.4+!/]0/!`/0/&!+.1+!!!QR!1/0!M;`!$!Q`%!/),!;`#!!;\"!!/1!!!!!!!%QD!1/"
        ".!M;`!(!F/!!!Q1D!!=F/!1/+!M;`!\"!QD%!/.!!!!!!!Q1D!!M;`!5/,!-!`!$!!/\"!!FA=!!M;`!"
        "(!F/%!/$!!!!\"!!FR`!/#-!;Q`!!M;/!\"!QD!!99!9!!!!!!!RQR%!/.!!!!!!RQ\"R!D5FD!6+.+!"
        "!!!\"!!/#$!;R`!/!/!QQ`!!)Q=!5/'!!!!!'!F=%!/9,!;`%!/,!!!!\"!!FR/!/3/!;T`!/]0`!(!F"
        "`\"!!FQ`!!5FD!1/%!!!!!$!Q`%!/%,!;`#!!;Q/!!%QD!1/$!!!!!,!;`#!!;T`!`]``!,!;`,!=0R`"
        "!/\"$!FQ`!!9F=!(!F/%!/%,!;`!!!QQ`!R-Q`!\\/;`+!=;Q/!9!99!1/&!!!!!\"!QD%!/),!;`!!!"
        "QR`!/\"&!FQ`!!9F=!5/.!!!!!!999%!/$!!QR!!!!\"!!/#1!;Q`!!9F=!!!QR%!/%!!!!!!!Q!R!!="
        "F/!,!;`&!/1$!!`0!HHQH!!M;`!,!;`\"!!FB=!/!&!!\"!!/#'!;T`!`]``!1/&!M;`!)!;!%!/&!!!"
        "R\"!!FR/!D]0`!,!;`0!/0Q`!!9F=!!!QR%!/',!;`#!!;R/!/!%!!Q`!!%QD!1/$!M;`!$!Q`%!/',!"
        ";`#!!;\"R!/11!!Q`!9!99!(!F/&!/O,!;`#!!;!!!!!!!!!!!!!!99#9!=I;=!1/,!M;`!1/%!!!!!6"
        "DFD!!!!T`!H]HH!!RQR!!!!!!!!M;`!,!;`%!/%!!!R!!!Q\"R!/!+!!!!!!=F/!,!;`%!/'$!Q`!!!Q"
        "\"!!/12!!Q`!!=F/!5/R!M;`!,R;`!!!QA=!!!!!!!!!!%!/),!;`%!/$!!!!#!!;Q`!!%QD!1/(!M;`"
        "!(!F/%!/$,!;`\"!!FQ/!!%QD!(!F/%!//,!;`\"!!FB=!/Q(!!\"!!/#$!;R`!/!*!!\"!!/#2!;Q`!"
        "!=F/!1/.!M;`!=/0!!!!!6DFD%!/,!!!!%!/*,!;`\"!!FQ/!!)Q=!1/,!M;`!\"!QD(!/@!!!!\"!!F"
        "Q/!!)Q=!\"!QD&!+.1+!!!QR!!999&!+.1+!!!QR!!!QR'!D;Q/!!%QD!&!FD%!/$!!QR(!/`!!!!%!/"
        "G$!!`!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        SetCtrlBitmap (hPanel, ERROR_PAN_PICTURE, 0, bitmapId);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }

    // Build control: ERROR_PAN_TEXTMSG_2
    ERROR_PAN_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 181, 31);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_YELLOW);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 14);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_TEXT_BGCOLOR, VAL_RED);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_DFLT_VALUE, " Open ErrorFile for details ?");
    DefaultCtrl (hPanel, ERROR_PAN_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_HEIGHT, 18);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_WIDTH, 199);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ERROR_PAN_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: ERROR_PAN_TEXTMSG
    ERROR_PAN_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 140, 89);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_TEXT_COLOR, VAL_YELLOW);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_TEXT_POINT_SIZE, 20);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_DFLT_VALUE, "ERROR!");
    DefaultCtrl (hPanel, ERROR_PAN_TEXTMSG);
//  SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_HEIGHT, 27);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_WIDTH, 81);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ERROR_PAN_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, ERROR_PAN_PICTURE, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, ERROR_PAN_TEXTMSG_2, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_ZPLANE_POSITION, 5);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, ERROR_PAN_NO, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, ERROR_PAN_OK, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, ERROR_PAN_SHOW_ERROR_WINDOW, ATTR_CTRL_TAB_POSITION, 2);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(260*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(269*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(248*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(443*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_TOP, VAL_AUTO_CENTER);
    SetPanelAttribute (hPanel, ATTR_LEFT, VAL_AUTO_CENTER);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_graph ():  Build UI object GRAPHP; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_graph (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "Distribution Plot", 142, 705, 334, 380);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "GRAPHP");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 5);
//  SetPanelAttribute (hPanel, ATTR_SIZABLE, 1);
//  SetPanelAttribute (hPanel, ATTR_MOVABLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
//  SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 1);
//  SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 1);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
    SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 1);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: GRAPHP_CLOSE
    GRAPHP_CLOSE = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Close", 308, 168);
    SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_CONSTANT_NAME, "CLOSE");
//  SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_CALLBACK_FUNCTION_POINTER, closeGraph);
    SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, GRAPHP_CLOSE);
    SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_WIDTH, 63);

    // Build control: GRAPHP_GRAPH
    GRAPHP_GRAPH = NewCtrl (hPanel, CTRL_GRAPH, "", 0, 0);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_CONSTANT_NAME, "GRAPH");
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_BGCOLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_GRID_COLOR, VAL_GRAY);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_PLOT_BGCOLOR, VAL_DK_GRAY);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYNAME_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYNAME_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYLABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYLABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XNAME, "");
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XNAME, "");
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XGRID_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XGRID_VISIBLE, 0);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XMINORGRID_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XMINORGRID_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XLABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XLABEL_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XFORMAT, VAL_FLOATING_PT_FORMAT);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XFORMAT, VAL_FLOATING_PT_FORMAT);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XDIVISIONS, 8);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XDIVISIONS, VAL_AUTO);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XPRECISION, VAL_AUTO);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XPRECISION, VAL_AUTO);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XPADDING, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XPADDING, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XENG_UNITS, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XENG_UNITS, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XUSE_LABEL_STRINGS, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XUSE_LABEL_STRINGS, 0);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XAXIS_GAIN, 1.000000);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XAXIS_GAIN, 1.000000);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XAXIS_OFFSET, 0.000000);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XAXIS_OFFSET, 0.000000);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YNAME, "");
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YNAME, "");
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YGRID_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YGRID_VISIBLE, 0);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YMINORGRID_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YMINORGRID_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YLABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YLABEL_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YMAP_MODE, VAL_LINEAR);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YMAP_MODE, VAL_LINEAR);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YFORMAT, VAL_FLOATING_PT_FORMAT);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YFORMAT, VAL_FLOATING_PT_FORMAT);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YDIVISIONS, VAL_AUTO);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YDIVISIONS, VAL_AUTO);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YPRECISION, VAL_AUTO);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YPRECISION, VAL_AUTO);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YPADDING, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YPADDING, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YENG_UNITS, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YENG_UNITS, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YREVERSE, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YREVERSE, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YUSE_LABEL_STRINGS, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YUSE_LABEL_STRINGS, 0);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YAXIS_GAIN, 1.000000);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YAXIS_GAIN, 1.000000);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YAXIS_OFFSET, 0.000000);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YAXIS_OFFSET, 0.000000);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_EDGE_STYLE, VAL_RAISED_EDGE);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_BORDER_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYNAME_BOLD, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYNAME_ITALIC, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYNAME_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYNAME_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYNAME_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYLABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYLABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYLABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYLABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XYLABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_GRAPH_BGCOLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ANTI_ALIASED_PLOTS, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XMAP_MODE, VAL_LINEAR);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XREVERSE, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XREVERSE, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_DATA_MODE, VAL_RETAIN);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_COPY_ORIGINAL_DATA, 1);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XMARK_ORIGIN, 1);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XMARK_ORIGIN, 1);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YMARK_ORIGIN, 1);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YMARK_ORIGIN, 1);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_SMOOTH_UPDATE, 1);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_REFRESH_GRAPH, 1);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_SHIFT_TEXT_PLOTS, 1);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ENABLE_ZOOM_AND_PAN, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XLOOSE_FIT_AUTOSCALING, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XLOOSE_FIT_AUTOSCALING, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YLOOSE_FIT_AUTOSCALING, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YLOOSE_FIT_AUTOSCALING, 0);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XLOOSE_FIT_AUTOSCALING_UNIT, 2);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_TOP_XAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_XLOOSE_FIT_AUTOSCALING_UNIT, 2);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YLOOSE_FIT_AUTOSCALING_UNIT, 2);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_RIGHT_YAXIS);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_YLOOSE_FIT_AUTOSCALING_UNIT, 2);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LEGEND_VISIBLE, 0);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LEGEND_WIDTH, 76);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LEGEND_HEIGHT, 36);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LEGEND_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LEGEND_PLOT_BGCOLOR, VAL_DK_GRAY);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_DS_BIND_PLOT_STYLE, VAL_THIN_LINE);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_DS_BIND_POINT_STYLE, VAL_EMPTY_SQUARE);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_DS_BIND_LINE_STYLE, VAL_SOLID);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_DS_BIND_PLOT_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_HEIGHT, 304);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_WIDTH, 380);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_TOP, -21);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_LEFT, 77);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LEGEND_TOP, 268);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LEGEND_LEFT, 385);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_LABEL_SIZE_TO_TEXT, 1);
//  DSBindCtrl (hPanel, GRAPHP_GRAPH, "", VAL_DS_READ, NULL, NULL);
    SetAxisScalingMode (hPanel, GRAPHP_GRAPH, VAL_BOTTOM_XAXIS, VAL_MANUAL, 0.000000, 16.000000);
    SetAxisScalingMode (hPanel, GRAPHP_GRAPH, VAL_TOP_XAXIS, VAL_MANUAL, 0.000000, 100.000000);
    SetAxisScalingMode (hPanel, GRAPHP_GRAPH, VAL_TOP_XAXIS, VAL_AUTOSCALE, 0.000000, 100.000000);
    SetAxisScalingMode (hPanel, GRAPHP_GRAPH, VAL_RIGHT_YAXIS, VAL_MANUAL, 0.000000, 100.000000);
    SetAxisScalingMode (hPanel, GRAPHP_GRAPH, VAL_RIGHT_YAXIS, VAL_AUTOSCALE, 0.000000, 100.000000);
    SetAxisScalingMode (hPanel, GRAPHP_GRAPH, VAL_LEFT_YAXIS, VAL_MANUAL, 0.000000, 1.000000);
    SetAxisScalingMode (hPanel, GRAPHP_GRAPH, VAL_LEFT_YAXIS, VAL_AUTOSCALE, 0.000000, 1.000000);
//  SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_NUM_CURSORS, 0);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_XAXIS, VAL_BOTTOM_XAXIS);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ACTIVE_YAXIS, VAL_LEFT_YAXIS);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_ZPLANE_POSITION, 1);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, GRAPHP_CLOSE, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, GRAPHP_GRAPH, ATTR_CTRL_TAB_POSITION, 1);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(334*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(380*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(142*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(705*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_TOP, VAL_AUTO_CENTER);
    SetPanelAttribute (hPanel, ATTR_LEFT, VAL_AUTO_CENTER);
//  SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_main ():  Build UI object MAIN; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_main (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "RCC MAIN WINDOW", 77, 593, 650, 390);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "MAIN");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD8CABA);
//  SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 8);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
//  SetPanelAttribute (hPanel, ATTR_MOVABLE, 1);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
//  SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
    SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 1);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: MAIN_ACTIVE_SLOT
    MAIN_ACTIVE_SLOT = NewCtrl (hPanel, CTRL_NUMERIC, "ActiveSlot#", 86, 183);
    SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_CONSTANT_NAME, "ACTIVE_SLOT");
//  SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
//  SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_WIDTH, 58);
    SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_MAX_VALUE, 21);
    SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_ACTIVE_SLOT);
//  SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_WIDTH, 26);
    SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_TOP, 88);
    SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_LEFT, 111);
    SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_ACTIVE_SLOT, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_ROD_COUNTER
    MAIN_ROD_COUNTER = NewCtrl (hPanel, CTRL_NUMERIC, "Rod Count", 67, 183);
    SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_CONSTANT_NAME, "ROD_COUNTER");
//  SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
//  SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_WIDTH, 54);
    SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_MAX_VALUE, 21);
    SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_ROD_COUNTER);
//  SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_WIDTH, 26);
    SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_TOP, 69);
    SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_LEFT, 116);
    SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_ROD_COUNTER, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_SHOW_ERROR_WINDOW
    MAIN_SHOW_ERROR_WINDOW = NewCtrl (hPanel, CTRL_CHECK_BOX, "ShowErrorWindow", 37, 13);
    SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_CONSTANT_NAME, "SHOW_ERROR_WINDOW");
//  SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_WIDTH, 91);
    SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_DFLT_VALUE, 1);
    DefaultCtrl (hPanel, MAIN_SHOW_ERROR_WINDOW);
    SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_WIDTH, 18);
    SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_TOP, 38);
    SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_LEFT, 31);
    SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MAIN_COMM_LOOP_PRIOR
    MAIN_COMM_LOOP_PRIOR = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "CommLoop", 255, 114);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_CONSTANT_NAME, "COMM_LOOP_PRIOR");
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_CALLBACK_FUNCTION_POINTER, setThreadPriorityOpt);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, MAIN_COMM_LOOP_PRIOR, 0, "LOWEST", 0);
    InsertListItem (hPanel, MAIN_COMM_LOOP_PRIOR, 1, "BELOW_NORMAL", 1);
    InsertListItem (hPanel, MAIN_COMM_LOOP_PRIOR, 2, "NORMAL", 2);
    InsertListItem (hPanel, MAIN_COMM_LOOP_PRIOR, 3, "ABOVE_NORMAL", 3);
    InsertListItem (hPanel, MAIN_COMM_LOOP_PRIOR, 4, "HIGHEST", 4);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_WIDTH, 56);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_DFLT_INDEX, 1);
    DefaultCtrl (hPanel, MAIN_COMM_LOOP_PRIOR);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_WIDTH, 97);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_TOP, 241);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_LEFT, 132);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: MAIN_VME_BYTE_ORDER
    MAIN_VME_BYTE_ORDER = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "VME byte order", 134, 12);
    SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_CONSTANT_NAME, "VME_BYTE_ORDER");
//  SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_CALLBACK_FUNCTION_POINTER, globalOptions);
    SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, MAIN_VME_BYTE_ORDER, 0, "MOTOROLA", 0);
    InsertListItem (hPanel, MAIN_VME_BYTE_ORDER, 1, "INTEL", 1);
//  SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_WIDTH, 68);
    SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_DFLT_INDEX, 1);
    DefaultCtrl (hPanel, MAIN_VME_BYTE_ORDER);
//  SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_WIDTH, 79);
    SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_TOP, 122);
    SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_LEFT, 14);
    SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: MAIN_UIR_PRIORITY
    MAIN_UIR_PRIORITY = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "UIR", 255, 12);
    SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_CONSTANT_NAME, "UIR_PRIORITY");
//  SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_CALLBACK_FUNCTION_POINTER, setThreadPriorityOpt);
    SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, MAIN_UIR_PRIORITY, 0, "LOWEST", 0);
    InsertListItem (hPanel, MAIN_UIR_PRIORITY, 1, "BELOW_NORMAL", 1);
    InsertListItem (hPanel, MAIN_UIR_PRIORITY, 2, "NORMAL", 2);
    InsertListItem (hPanel, MAIN_UIR_PRIORITY, 3, "ABOVE_NORMAL", 3);
    InsertListItem (hPanel, MAIN_UIR_PRIORITY, 4, "HIGHEST", 4);
//  SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_WIDTH, 22);
    SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_DFLT_INDEX, 3);
    DefaultCtrl (hPanel, MAIN_UIR_PRIORITY);
//  SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_WIDTH, 97);
    SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_TOP, 241);
    SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_LEFT, 46);
    SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: MAIN_TEXTBUFF_TIMEOUT
    MAIN_TEXTBUFF_TIMEOUT = NewCtrl (hPanel, CTRL_NUMERIC, "textBuff", 318, 96);
    SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_CONSTANT_NAME, "TEXTBUFF_TIMEOUT");
//  SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_CALLBACK_FUNCTION_POINTER, setTimeout);
    SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_DATA_TYPE, VAL_DOUBLE);
//  SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_WIDTH, 39);
    SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_MAX_VALUE, HUGE_VAL);
    SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_MIN_VALUE, 0.000000);
    SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_INCR_VALUE, 1.000000);
    SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_PRECISION, 3);
    SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_PADDING, 7);
//  SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_DFLT_VALUE, 5.000000);
    DefaultCtrl (hPanel, MAIN_TEXTBUFF_TIMEOUT);
//  SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_WIDTH, 56);
    SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_TOP, 304);
    SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_LEFT, 107);
    SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_TEXTBUFF_TIMEOUT, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_CONTROL_PRIOR
    MAIN_CONTROL_PRIOR = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "CmdListExecution", 255, 217);
    SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_CONSTANT_NAME, "CONTROL_PRIOR");
//  SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_CALLBACK_FUNCTION_POINTER, setThreadPriorityOpt);
    SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, MAIN_CONTROL_PRIOR, 0, "LOWEST", 0);
    InsertListItem (hPanel, MAIN_CONTROL_PRIOR, 1, "BELOW_NORMAL", 1);
    InsertListItem (hPanel, MAIN_CONTROL_PRIOR, 2, "NORMAL", 2);
    InsertListItem (hPanel, MAIN_CONTROL_PRIOR, 3, "ABOVE_NORMAL", 3);
    InsertListItem (hPanel, MAIN_CONTROL_PRIOR, 4, "HIGHEST", 4);
//  SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_WIDTH, 87);
    SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_DFLT_INDEX, 2);
    DefaultCtrl (hPanel, MAIN_CONTROL_PRIOR);
//  SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_WIDTH, 97);
    SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_TOP, 241);
    SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_LEFT, 222);
    SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: MAIN_CMDLISTEXEC_21
    MAIN_CMDLISTEXEC_21 = NewCtrl (hPanel, CTRL_SQUARE_LED, "21", 373, 343);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_CONSTANT_NAME, "CMDLISTEXEC_21");
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_WIDTH, 62);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_ON_COLOR, 0XFFFF33);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_HEIGHT, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_TOP, 376);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_LEFT, 322);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: MAIN_CMDLISTEXEC_20
    MAIN_CMDLISTEXEC_20 = NewCtrl (hPanel, CTRL_SQUARE_LED, "20", 373, 322);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_CONSTANT_NAME, "CMDLISTEXEC_20");
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_WIDTH, 62);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_20);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_ON_COLOR, 0XFFFF33);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_HEIGHT, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_TOP, 376);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_LEFT, 300);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: MAIN_CMDLISTEXEC_19
    MAIN_CMDLISTEXEC_19 = NewCtrl (hPanel, CTRL_SQUARE_LED, "19", 373, 301);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_CONSTANT_NAME, "CMDLISTEXEC_19");
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_WIDTH, 62);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_19);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_ON_COLOR, 0XFFFF33);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_HEIGHT, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_TOP, 376);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_LEFT, 279);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: MAIN_CMDLISTEXEC_18
    MAIN_CMDLISTEXEC_18 = NewCtrl (hPanel, CTRL_SQUARE_LED, "18", 373, 280);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_CONSTANT_NAME, "CMDLISTEXEC_18");
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_WIDTH, 62);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_18);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_ON_COLOR, 0XFFFF33);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_HEIGHT, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_TOP, 376);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_LEFT, 258);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: MAIN_CMDLISTEXEC_17
    MAIN_CMDLISTEXEC_17 = NewCtrl (hPanel, CTRL_SQUARE_LED, "17", 373, 258);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_CONSTANT_NAME, "CMDLISTEXEC_17");
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_WIDTH, 62);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_17);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_ON_COLOR, 0XFFFF33);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_HEIGHT, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_TOP, 376);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_LEFT, 236);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: MAIN_CMDLISTEXEC_16
    MAIN_CMDLISTEXEC_16 = NewCtrl (hPanel, CTRL_SQUARE_LED, "16", 373, 237);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_CONSTANT_NAME, "CMDLISTEXEC_16");
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_WIDTH, 62);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_16);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_ON_COLOR, 0XFFFF33);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_HEIGHT, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_TOP, 376);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_LEFT, 215);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: MAIN_CMDLISTEXEC_15
    MAIN_CMDLISTEXEC_15 = NewCtrl (hPanel, CTRL_SQUARE_LED, "15", 373, 216);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_CONSTANT_NAME, "CMDLISTEXEC_15");
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_WIDTH, 62);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_15);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_ON_COLOR, 0XFFFF33);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_HEIGHT, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_TOP, 376);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_LEFT, 194);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: MAIN_CMDLISTEXEC_14
    MAIN_CMDLISTEXEC_14 = NewCtrl (hPanel, CTRL_SQUARE_LED, "14", 373, 195);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_CONSTANT_NAME, "CMDLISTEXEC_14");
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_WIDTH, 62);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_14);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_ON_COLOR, 0XFFFF33);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_HEIGHT, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_TOP, 376);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_LEFT, 173);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: MAIN_CMDLISTEXEC_13
    MAIN_CMDLISTEXEC_13 = NewCtrl (hPanel, CTRL_SQUARE_LED, "13", 373, 174);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_CONSTANT_NAME, "CMDLISTEXEC_13");
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_WIDTH, 62);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_13);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_ON_COLOR, 0XFFFF33);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_HEIGHT, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_TOP, 376);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_LEFT, 152);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: MAIN_CMDLISTEXEC_12
    MAIN_CMDLISTEXEC_12 = NewCtrl (hPanel, CTRL_SQUARE_LED, "12", 373, 153);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_CONSTANT_NAME, "CMDLISTEXEC_12");
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_WIDTH, 62);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_12);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_ON_COLOR, 0XFFFF33);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_HEIGHT, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_TOP, 376);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_LEFT, 131);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: MAIN_CMDLISTEXEC_11
    MAIN_CMDLISTEXEC_11 = NewCtrl (hPanel, CTRL_SQUARE_LED, "11", 373, 132);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_CONSTANT_NAME, "CMDLISTEXEC_11");
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_WIDTH, 62);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_11);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_ON_COLOR, 0XFFFF33);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_HEIGHT, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_TOP, 376);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_LEFT, 111);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: MAIN_CMDLISTEXEC_10
    MAIN_CMDLISTEXEC_10 = NewCtrl (hPanel, CTRL_SQUARE_LED, "10", 373, 111);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_CONSTANT_NAME, "CMDLISTEXEC_10");
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_WIDTH, 62);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_10);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_ON_COLOR, 0XFFFF33);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_HEIGHT, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_TOP, 376);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_LEFT, 90);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: MAIN_CMDLISTEXEC_5
    MAIN_CMDLISTEXEC_5 = NewCtrl (hPanel, CTRL_SQUARE_LED, "5", 373, 6);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_CONSTANT_NAME, "CMDLISTEXEC_5");
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_WIDTH, 31);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_5);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_ON_COLOR, 0XFFFF33);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_HEIGHT, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_TOP, 376);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_LEFT, 1);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: MAIN_CMDLISTEXEC_6
    MAIN_CMDLISTEXEC_6 = NewCtrl (hPanel, CTRL_SQUARE_LED, "6", 373, 27);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_CONSTANT_NAME, "CMDLISTEXEC_6");
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_WIDTH, 31);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_6);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_ON_COLOR, 0XFFFF33);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_HEIGHT, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_TOP, 376);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_LEFT, 22);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: MAIN_CMDLISTEXEC_7
    MAIN_CMDLISTEXEC_7 = NewCtrl (hPanel, CTRL_SQUARE_LED, "7", 373, 48);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_CONSTANT_NAME, "CMDLISTEXEC_7");
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_WIDTH, 62);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_7);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_ON_COLOR, 0XFFFF33);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_HEIGHT, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_TOP, 376);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_LEFT, 27);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: MAIN_CMDLISTEXEC_8
    MAIN_CMDLISTEXEC_8 = NewCtrl (hPanel, CTRL_SQUARE_LED, "8", 373, 69);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_CONSTANT_NAME, "CMDLISTEXEC_8");
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_WIDTH, 62);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_8);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_ON_COLOR, 0XFFFF33);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_HEIGHT, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_TOP, 376);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_LEFT, 48);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: MAIN_CMDLISTEXEC_9
    MAIN_CMDLISTEXEC_9 = NewCtrl (hPanel, CTRL_SQUARE_LED, "9", 373, 90);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_CONSTANT_NAME, "CMDLISTEXEC_9");
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_WIDTH, 62);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_CMDLISTEXEC_9);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_ON_COLOR, 0XFFFF33);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_HEIGHT, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_TOP, 376);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_LEFT, 69);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: MAIN_EDIT_PLIST
    MAIN_EDIT_PLIST = NewCtrl (hPanel, CTRL_OBLONG_COMMAND_BUTTON, "EDIT", 614, 171);
    SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_CONSTANT_NAME, "EDIT_PLIST");
//  SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_CALLBACK_FUNCTION_POINTER, sendListToAll);
    SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_LABEL_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_LABEL_POINT_SIZE, 9);
    SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_EDIT_PLIST);
    SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_WIDTH, 37);

    // Build control: MAIN_EDIT_CLIST
    MAIN_EDIT_CLIST = NewCtrl (hPanel, CTRL_OBLONG_COMMAND_BUTTON, "EDIT", 505, 171);
    SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_CONSTANT_NAME, "EDIT_CLIST");
//  SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_CALLBACK_FUNCTION_POINTER, sendListToAll);
    SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_LABEL_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_LABEL_POINT_SIZE, 9);
    SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_EDIT_CLIST);
    SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_WIDTH, 37);

    // Build control: MAIN_DEL_CLIST_FROM_RING
    MAIN_DEL_CLIST_FROM_RING = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "REMOVE", 505, 111);
    SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_CONSTANT_NAME, "DEL_CLIST_FROM_RING");
//  SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_CALLBACK_FUNCTION_POINTER, commandRingFunc);
    SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_DEL_CLIST_FROM_RING);
    SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_AUTO_SIZING, VAL_ALWAYS_AUTO_SIZE);
    SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_WIDTH, 50);

    // Build control: MAIN_ADD_CLIST_TO_RING
    MAIN_ADD_CLIST_TO_RING = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "ADD", 505, 55);
    SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_CONSTANT_NAME, "ADD_CLIST_TO_RING");
//  SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_CALLBACK_FUNCTION_POINTER, commandRingFunc);
    SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_ADD_CLIST_TO_RING);
    SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_WIDTH, 50);

    // Build control: MAIN_DEL_PLIST_FROM_RING
    MAIN_DEL_PLIST_FROM_RING = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "REMOVE", 614, 111);
    SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_CONSTANT_NAME, "DEL_PLIST_FROM_RING");
//  SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_CALLBACK_FUNCTION_POINTER, primRingFunc);
    SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_DEL_PLIST_FROM_RING);
    SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_AUTO_SIZING, VAL_ALWAYS_AUTO_SIZE);
    SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_WIDTH, 50);

    // Build control: MAIN_EXT_LIST_TYPE
    MAIN_EXT_LIST_TYPE = NewCtrl (hPanel, CTRL_RING, "", 401, 307);
    SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_CONSTANT_NAME, "EXT_LIST_TYPE");
//  SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, MAIN_EXT_LIST_TYPE, 0, "CMD", 1);
    InsertListItem (hPanel, MAIN_EXT_LIST_TYPE, 1, "PRIM", 2);
    InsertListItem (hPanel, MAIN_EXT_LIST_TYPE, 2, "RAW", 3);
//  SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
//  SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, MAIN_EXT_LIST_TYPE);
    SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_WIDTH, 43);
    SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_TOP, 387);
    SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_LEFT, 312);
    SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: MAIN_IF_ERROR
    MAIN_IF_ERROR = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "If Error", 456, 277);
    SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_CONSTANT_NAME, "IF_ERROR");
//  SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, MAIN_IF_ERROR, 0, "DEFAULT", 0);
    InsertListItem (hPanel, MAIN_IF_ERROR, 1, "STOP", 1);
    InsertListItem (hPanel, MAIN_IF_ERROR, 2, "CONTINUE", 2);
//  SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_WIDTH, 42);
    SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, MAIN_IF_ERROR);
//  SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_WIDTH, 75);
    SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_TOP, 442);
    SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_LEFT, 291);
    SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: MAIN_ADD_PLIST_TO_RING
    MAIN_ADD_PLIST_TO_RING = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "ADD", 614, 55);
    SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_CONSTANT_NAME, "ADD_PLIST_TO_RING");
//  SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_CALLBACK_FUNCTION_POINTER, primRingFunc);
    SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_ADD_PLIST_TO_RING);
    SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_WIDTH, 50);

    // Build control: MAIN_DSP_MONITOR_PERIOD
    MAIN_DSP_MONITOR_PERIOD = NewCtrl (hPanel, CTRL_NUMERIC, "Period", 190, 302);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_CONSTANT_NAME, "DSP_MONITOR_PERIOD");
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_CALLBACK_FUNCTION_POINTER, setTimeout);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_DATA_TYPE, VAL_DOUBLE);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_WIDTH, 29);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_MAX_VALUE, 10.000000);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_MIN_VALUE, 0.000000);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_INCR_VALUE, 1.000000);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_PRECISION, 1);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_CHECK_RANGE, VAL_COERCE);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_DFLT_VALUE, 1.000000);
    DefaultCtrl (hPanel, MAIN_DSP_MONITOR_PERIOD);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_WIDTH, 33);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_TOP, 178);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_LEFT, 307);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_DSP_MONITOR_PERIOD, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_FPGA_MONITOR_PERIOD
    MAIN_FPGA_MONITOR_PERIOD = NewCtrl (hPanel, CTRL_NUMERIC, "Period", 190, 195);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_CONSTANT_NAME, "FPGA_MONITOR_PERIOD");
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_CALLBACK_FUNCTION_POINTER, setTimeout);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_DATA_TYPE, VAL_DOUBLE);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_WIDTH, 29);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_MAX_VALUE, 10.000000);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_MIN_VALUE, 0.000000);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_INCR_VALUE, 1.000000);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_PRECISION, 1);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_CHECK_RANGE, VAL_COERCE);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_DFLT_VALUE, 1.000000);
    DefaultCtrl (hPanel, MAIN_FPGA_MONITOR_PERIOD);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_WIDTH, 33);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_TOP, 178);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_LEFT, 200);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_FPGA_MONITOR_PERIOD, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_REFRESH_PERIOD
    MAIN_REFRESH_PERIOD = NewCtrl (hPanel, CTRL_NUMERIC, "Period", 190, 87);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_CONSTANT_NAME, "REFRESH_PERIOD");
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_CALLBACK_FUNCTION_POINTER, setTimeout);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_DATA_TYPE, VAL_DOUBLE);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_WIDTH, 29);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_MAX_VALUE, 10.000000);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_MIN_VALUE, 0.000000);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_INCR_VALUE, 1.000000);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_PRECISION, 1);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_CHECK_RANGE, VAL_COERCE);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_DFLT_VALUE, 1.000000);
    DefaultCtrl (hPanel, MAIN_REFRESH_PERIOD);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_WIDTH, 33);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_TOP, 178);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_LEFT, 91);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_REFRESH_PERIOD, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_ROD_INIT_TIMEOUT
    MAIN_ROD_INIT_TIMEOUT = NewCtrl (hPanel, CTRL_NUMERIC, "rodInit", 318, 18);
    SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_CONSTANT_NAME, "ROD_INIT_TIMEOUT");
//  SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_CALLBACK_FUNCTION_POINTER, setTimeout);
    SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_DATA_TYPE, VAL_DOUBLE);
//  SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_WIDTH, 32);
    SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_MAX_VALUE, HUGE_VAL);
    SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_MIN_VALUE, 0.000000);
    SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_INCR_VALUE, 1.000000);
    SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_PRECISION, 3);
    SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_PADDING, 7);
//  SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_DFLT_VALUE, 5.000000);
    DefaultCtrl (hPanel, MAIN_ROD_INIT_TIMEOUT);
//  SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_WIDTH, 56);
    SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_TOP, 304);
    SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_LEFT, 32);
    SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_ROD_INIT_TIMEOUT, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_DSP_ACK_CLEAR_TIMEOUT
    MAIN_DSP_ACK_CLEAR_TIMEOUT = NewCtrl (hPanel, CTRL_NUMERIC, "dspAckClear", 318, 172);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_CONSTANT_NAME, "DSP_ACK_CLEAR_TIMEOUT");
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_CALLBACK_FUNCTION_POINTER, setTimeout);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_DATA_TYPE, VAL_DOUBLE);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_WIDTH, 63);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_MAX_VALUE, HUGE_VAL);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_MIN_VALUE, 0.000000);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_INCR_VALUE, 1.000000);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_PRECISION, 3);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_PADDING, 7);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_DFLT_VALUE, 5.000000);
    DefaultCtrl (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_WIDTH, 56);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_TOP, 304);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_LEFT, 171);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_DEFAULT_SLOT
    MAIN_DEFAULT_SLOT = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "DefaultSlot#", 111, 174);
    SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_CONSTANT_NAME, "DEFAULT_SLOT");
//  SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_CALLBACK_FUNCTION_POINTER, globalOptions);
    SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 0, "5", 5);
    InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 1, "6", 6);
    InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 2, "7", 7);
    InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 3, "8", 8);
    InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 4, "9", 9);
    InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 5, "10", 10);
    InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 6, "11", 11);
    InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 7, "12", 12);
    InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 8, "14", 14);
    InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 9, "15", 15);
    InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 10, "16", 16);
    InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 11, "17", 17);
    InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 12, "18", 18);
    InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 13, "19", 19);
    InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 14, "20", 20);
    InsertListItem (hPanel, MAIN_DEFAULT_SLOT, 15, "21", 21);
//  SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_WIDTH, 62);
    SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_TEXT_COLOR, 0XFFFF99);
    SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_TEXT_POINT_SIZE, 16);
    SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_TEXT_BGCOLOR, 0X003366);
//  SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, MAIN_DEFAULT_SLOT);
//  SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_WIDTH, 43);
    SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_TOP, 118);
    SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_LEFT, 104);
    SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: MAIN_SLOT_NUMBER
    MAIN_SLOT_NUMBER = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Slot#", 397, 163);
    SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_CONSTANT_NAME, "SLOT_NUMBER");
//  SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    InsertListItem (hPanel, MAIN_SLOT_NUMBER, 0, "ALL", 0);
    InsertListItem (hPanel, MAIN_SLOT_NUMBER, 1, "5", 5);
    InsertListItem (hPanel, MAIN_SLOT_NUMBER, 2, "6", 6);
    InsertListItem (hPanel, MAIN_SLOT_NUMBER, 3, "7", 7);
    InsertListItem (hPanel, MAIN_SLOT_NUMBER, 4, "8", 8);
    InsertListItem (hPanel, MAIN_SLOT_NUMBER, 5, "9", 9);
    InsertListItem (hPanel, MAIN_SLOT_NUMBER, 6, "10", 10);
    InsertListItem (hPanel, MAIN_SLOT_NUMBER, 7, "11", 11);
    InsertListItem (hPanel, MAIN_SLOT_NUMBER, 8, "12", 12);
    InsertListItem (hPanel, MAIN_SLOT_NUMBER, 9, "14", 14);
    InsertListItem (hPanel, MAIN_SLOT_NUMBER, 10, "15", 15);
    InsertListItem (hPanel, MAIN_SLOT_NUMBER, 11, "16", 16);
    InsertListItem (hPanel, MAIN_SLOT_NUMBER, 12, "17", 17);
    InsertListItem (hPanel, MAIN_SLOT_NUMBER, 13, "18", 18);
    InsertListItem (hPanel, MAIN_SLOT_NUMBER, 14, "19", 19);
    InsertListItem (hPanel, MAIN_SLOT_NUMBER, 15, "20", 20);
    InsertListItem (hPanel, MAIN_SLOT_NUMBER, 16, "21", 21);
//  SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_CTRL_MODE, VAL_NORMAL);
    SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_POINT_SIZE, 15);
    SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_WIDTH, 38);
    SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_TEXT_COLOR, 0XFFFF99);
    SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_TEXT_POINT_SIZE, 16);
    SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_TEXT_BGCOLOR, 0X003366);
//  SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, MAIN_SLOT_NUMBER);
//  SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_WIDTH, 57);
    SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_TOP, 402);
    SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_LEFT, 126);
    SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: MAIN_DSP_ACK_SET_TIMEOUT
    MAIN_DSP_ACK_SET_TIMEOUT = NewCtrl (hPanel, CTRL_NUMERIC, "", 318, 253);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_CONSTANT_NAME, "DSP_ACK_SET_TIMEOUT");
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_CALLBACK_FUNCTION_POINTER, setTimeout);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_DATA_TYPE, VAL_DOUBLE);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_MAX_VALUE, HUGE_VAL);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_MIN_VALUE, 0.000000);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_INCR_VALUE, 1.000000);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_PRECISION, 3);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_PADDING, 7);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_DFLT_VALUE, 10.000000);
    DefaultCtrl (hPanel, MAIN_DSP_ACK_SET_TIMEOUT);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_WIDTH, 56);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_TOP, 304);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_LEFT, 279);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_PLIST_RING
    MAIN_PLIST_RING = NewCtrl (hPanel, CTRL_POPUP_MENU_RING, "", 588, 16);
    SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_CONSTANT_NAME, "PLIST_RING");
//  SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_CALLBACK_FUNCTION_POINTER, primRingFunc);
    SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_DATA_TYPE, VAL_STRING);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_DISABLE_CHECK_MARK, 1);
    SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_BGCOLOR, 0XC9D3D0);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_TEXT_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_WIDTH, 35);
    SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_TOP, 567);
    SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_LEFT, -12);
    SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MAIN_CLIST_RING
    MAIN_CLIST_RING = NewCtrl (hPanel, CTRL_POPUP_MENU_RING, "", 479, 16);
    SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_CONSTANT_NAME, "CLIST_RING");
//  SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_CALLBACK_FUNCTION_POINTER, commandRingFunc);
    SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_DATA_TYPE, VAL_STRING);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_DISABLE_CHECK_MARK, 1);
    SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_BGCOLOR, 0XC9D3D0);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_TEXT_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_WIDTH, 35);
    SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_TOP, 458);
    SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_LEFT, -12);
    SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MAIN_DSP_SET_TIMEOUT
    MAIN_DSP_SET_TIMEOUT = NewCtrl (hPanel, CTRL_VSWITCH, "", 310, 319);
    SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_CONSTANT_NAME, "DSP_SET_TIMEOUT");
//  SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_CALLBACK_FUNCTION_POINTER, globalOptions);
    SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_DATA_TYPE, VAL_INTEGER);
//  SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_TEXT_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, MAIN_DSP_SET_TIMEOUT);
    SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_ON_VALUE, 1);
    SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_OFF_VALUE, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_BINARY_SWITCH_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_ON_TEXT, "On");
    SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_OFF_TEXT, "Off");
    SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_HEIGHT, 28);
    SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_WIDTH, 14);
    SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_TOP, 296);
    SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_LEFT, 332);
    SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MAIN_REPEAT_BUILD_EXEC
    MAIN_REPEAT_BUILD_EXEC = NewCtrl (hPanel, CTRL_VSWITCH, "", 562, 130);
    SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_CONSTANT_NAME, "REPEAT_BUILD_EXEC");
//  SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_DATA_TYPE, VAL_INTEGER);
//  SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_TEXT_POINT_SIZE, 10);
//  SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_DFLT_INDEX, 1);
    DefaultCtrl (hPanel, MAIN_REPEAT_BUILD_EXEC);
    SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_ON_VALUE, 1);
    SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_OFF_VALUE, 0);
    SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_BINARY_SWITCH_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_ON_TEXT, "EXEC");
    SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_OFF_TEXT, "BUILD");
    SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_HEIGHT, 21);
    SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_WIDTH, 12);
    SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_TOP, 573);
    SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_LEFT, 99);
    SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MAIN_COMM_LOOP_RUNNING
    MAIN_COMM_LOOP_RUNNING = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "CommLoop", 78, 285);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_CONSTANT_NAME, "COMM_LOOP_RUNNING");
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_CALLBACK_FUNCTION_POINTER, globalOptions);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_WIDTH, 64);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_TEXT_POINT_SIZE, 10);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_COMM_LOOP_RUNNING);
//  SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_ON_COLOR, 0X32E768);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_OFF_COLOR, 0XF4342F);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_ON_TEXT, "RUNNING");
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_OFF_TEXT, "SUSPENDED");
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_WIDTH, 74);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_TOP, 62);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_LEFT, 288);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MAIN_CLIST_FILE
    MAIN_CLIST_FILE = NewCtrl (hPanel, CTRL_STRING, "", 481, 53);
    SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_CONSTANT_NAME, "CLIST_FILE");
//  SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_CALLBACK_FUNCTION_POINTER, sendListToAll);
    SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_BGCOLOR, 0XB0B0B0);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, MAIN_CLIST_FILE);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_WIDTH, 300);
    SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_TOP, 461);
    SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_LEFT, 260);
    SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, MAIN_CLIST_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_SEND_COMMAND_LIST
    MAIN_SEND_COMMAND_LIST = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "SEND CMD LIST", 505, 219);
    SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_CONSTANT_NAME, "SEND_COMMAND_LIST");
//  SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_CALLBACK_FUNCTION_POINTER, sendListToAll);
    SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_LABEL_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_SEND_COMMAND_LIST);
    SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_WIDTH, 134);

    // Build control: MAIN_PLIST_FILE
    MAIN_PLIST_FILE = NewCtrl (hPanel, CTRL_STRING, "", 589, 53);
    SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_CONSTANT_NAME, "PLIST_FILE");
//  SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_CALLBACK_FUNCTION_POINTER, sendListToAll);
    SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_BGCOLOR, 0XB0B0B0);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, MAIN_PLIST_FILE);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_WIDTH, 300);
    SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_TOP, 569);
    SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_LEFT, 260);
    SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, MAIN_PLIST_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_SEND_LIST
    MAIN_SEND_LIST = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "SEND PRIM LIST", 614, 217);
    SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_CONSTANT_NAME, "SEND_LIST");
//  SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_CALLBACK_FUNCTION_POINTER, sendListToAll);
    SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_LABEL_COLOR, 0X202020);
    SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_SEND_LIST);
    SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_WIDTH, 134);

    // Build control: MAIN_HOSTS_RUNNING
    MAIN_HOSTS_RUNNING = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "RODs", 117, 285);
    SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_CONSTANT_NAME, "HOSTS_RUNNING");
//  SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_CALLBACK_FUNCTION_POINTER, globalOptions);
    SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_WIDTH, 36);
    SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_TEXT_POINT_SIZE, 10);
//  SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_HOSTS_RUNNING);
//  SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_ON_COLOR, 0X32E768);
    SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_OFF_COLOR, 0XF4342F);
    SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_ON_TEXT, "ENABLED");
    SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_OFF_TEXT, "DISABLED");
    SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_WIDTH, 74);
    SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_TOP, 102);
    SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_LEFT, 300);
    SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MAIN_CLIST_REP
    MAIN_CLIST_REP = NewCtrl (hPanel, CTRL_NUMERIC, "Repetitions", 456, 54);
    SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_CONSTANT_NAME, "CLIST_REP");
//  SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_WIDTH, 56);
    SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_CHECK_RANGE, VAL_IGNORE);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_CLIST_REP);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_WIDTH, 60);
    SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_TOP, 442);
    SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_LEFT, 57);
    SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_CLIST_REP, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_PLIST_REP
    MAIN_PLIST_REP = NewCtrl (hPanel, CTRL_NUMERIC, "Repetitions", 564, 54);
    SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_CONSTANT_NAME, "PLIST_REP");
//  SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_WIDTH, 56);
    SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_CHECK_RANGE, VAL_IGNORE);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_PLIST_REP);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_WIDTH, 60);
    SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_TOP, 550);
    SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_LEFT, 57);
    SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_PLIST_REP, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_PIXEL_NOT_SCT
    MAIN_PIXEL_NOT_SCT = NewCtrl (hPanel, CTRL_RING, "Config", 43, 174);
    SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_CONSTANT_NAME, "PIXEL_NOT_SCT");
//  SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, MAIN_PIXEL_NOT_SCT, 0, "?????", -1);
    InsertListItem (hPanel, MAIN_PIXEL_NOT_SCT, 1, "SCT", 0);
    InsertListItem (hPanel, MAIN_PIXEL_NOT_SCT, 2, "Pixel", 1);
//  SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_FRAME_COLOR, 0XD4D0C8);
//  SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_WIDTH, 33);
    SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_TEXT_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, MAIN_PIXEL_NOT_SCT);
    SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_WIDTH, 43);
    SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_TOP, 47);
    SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_LEFT, 131);
    SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: MAIN_RESET_ALL
    MAIN_RESET_ALL = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "RESET RODs", 101, 12);
    SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_CONSTANT_NAME, "RESET_ALL");
//  SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_CALLBACK_FUNCTION_POINTER, resetAllRods);
    SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_RESET_ALL);
    SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_CMD_BUTTON_COLOR, 0XFFFF33);
    SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_HEIGHT, 20);
    SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_WIDTH, 79);

    // Build control: MAIN_SYS_RESET
    MAIN_SYS_RESET = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "SYS RESET", 79, 12);
    SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_CONSTANT_NAME, "SYS_RESET");
//  SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_CALLBACK_FUNCTION_POINTER, sysReset);
    SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_SYS_RESET);
    SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_CMD_BUTTON_COLOR, 0XF4342F);
    SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_HEIGHT, 20);
    SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_WIDTH, 79);

    // Build control: MAIN_RUN_RESMAN
    MAIN_RUN_RESMAN = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "RESMAN", 56, 12);
    SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_CONSTANT_NAME, "RUN_RESMAN");
//  SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_CALLBACK_FUNCTION_POINTER, runResman);
    SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_RUN_RESMAN);
    SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_CMD_BUTTON_COLOR, 0X32E768);
    SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_HEIGHT, 20);
    SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_WIDTH, 79);

    // Build control: MAIN_RST_CTRL
    MAIN_RST_CTRL = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "RST ALL", 256, 318);
    SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_CONSTANT_NAME, "RST_CTRL");
//  SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_CALLBACK_FUNCTION_POINTER, resetAllControlThreads);
    SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_RST_CTRL);
    SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_WIDTH, 41);

    // Build control: MAIN_REFRESH_DISP
    MAIN_REFRESH_DISP = NewCtrl (hPanel, CTRL_RING_VSLIDE, "", 184, 68);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_CONSTANT_NAME, "REFRESH_DISP");
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_CALLBACK_FUNCTION_POINTER, globalOptions);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, MAIN_REFRESH_DISP, 0, "Off", 0);
    InsertListItem (hPanel, MAIN_REFRESH_DISP, 1, "On", 1);
    InsertListItem (hPanel, MAIN_REFRESH_DISP, 2, "Runtime", 2);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_BGCOLOR, 0XD8CABA);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_DFLT_INDEX, 1);
    DefaultCtrl (hPanel, MAIN_REFRESH_DISP);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_NEEDLE_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_FILL_HOUSING_COLOR, 0X7F7F7F);
//  SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_TICK_STYLE, VAL_NO_MINOR_TICKS);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_FILL_COLOR, VAL_RED);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_FILL_OPTION, VAL_NO_FILL);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_HEIGHT, 24);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_WIDTH, 7);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_TOP, 163);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_LEFT, 3);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_SLIDER_LEFT, 64);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_SLIDER_WIDTH, 14);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_SLIDER_HEIGHT, 10);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MAIN_CHECKSUM_SLAVE
    MAIN_CHECKSUM_SLAVE = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "ChecksumSlave", 572, 308);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_CONSTANT_NAME, "CHECKSUM_SLAVE");
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_CALLBACK_FUNCTION_POINTER, globalOptions);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_WIDTH, 80);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_TEXT_POINT_SIZE, 8);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_DFLT_VALUE, 1);
    DefaultCtrl (hPanel, MAIN_CHECKSUM_SLAVE);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_ON_COLOR, 0XFF9966);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_OFF_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_WIDTH, 23);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_TOP, 572);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_LEFT, 207);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MAIN_DSP_MONITOR_REFRESH
    MAIN_DSP_MONITOR_REFRESH = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 191, 272);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_CONSTANT_NAME, "DSP_MONITOR_REFRESH");
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_CALLBACK_FUNCTION_POINTER, globalOptions);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_TEXT_POINT_SIZE, 8);
//  SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_DSP_MONITOR_REFRESH);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_ON_COLOR, 0XFF9966);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_OFF_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_WIDTH, 23);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_TOP, 192);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_LEFT, 223);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MAIN_CHECKSUM_MASTER
    MAIN_CHECKSUM_MASTER = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "ChecksumMaster", 556, 308);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_CONSTANT_NAME, "CHECKSUM_MASTER");
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_CALLBACK_FUNCTION_POINTER, globalOptions);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_WIDTH, 85);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_TEXT_POINT_SIZE, 8);
//  SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_DFLT_VALUE, 1);
    DefaultCtrl (hPanel, MAIN_CHECKSUM_MASTER);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_ON_COLOR, 0XFF9966);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_OFF_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_WIDTH, 23);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_TOP, 556);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_LEFT, 201);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MAIN_FPGA_MONITOR_REFRESH
    MAIN_FPGA_MONITOR_REFRESH = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 191, 165);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_CONSTANT_NAME, "FPGA_MONITOR_REFRESH");
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_CALLBACK_FUNCTION_POINTER, globalOptions);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_TEXT_POINT_SIZE, 8);
//  SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_FPGA_MONITOR_REFRESH);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_ON_COLOR, 0XFF9966);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_OFF_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_WIDTH, 23);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_TOP, 192);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_LEFT, 116);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MAIN_SAVE_LISTS_OPTION
    MAIN_SAVE_LISTS_OPTION = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "SaveLists", 540, 308);
    SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_CONSTANT_NAME, "SAVE_LISTS_OPTION");
//  SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_CALLBACK_FUNCTION_POINTER, globalOptions);
    SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_WIDTH, 49);
    SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_TEXT_POINT_SIZE, 8);
//  SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_SAVE_LISTS_OPTION);
    SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_ON_COLOR, 0XFF9966);
    SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_OFF_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_WIDTH, 23);
    SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_TOP, 541);
    SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_LEFT, 246);
    SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MAIN_EXT_EXEC
    MAIN_EXT_EXEC = NewCtrl (hPanel, CTRL_ROUND_LED, "ExtList", 403, 250);
    SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_CONSTANT_NAME, "EXT_EXEC");
//  SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_WIDTH, 34);
    SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MAIN_EXT_EXEC);
    SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_TOP, 404);
    SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_LEFT, 271);
    SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MAIN_TEXTMSG_2
    MAIN_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 226, 138);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_TEXT_BGCOLOR, 0XD8CABA);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_DFLT_VALUE, "Thread Priority");
    DefaultCtrl (hPanel, MAIN_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_WIDTH, 86);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_DECORATION_3
    MAIN_DECORATION_3 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 294, 5);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_3, ATTR_CONSTANT_NAME, "DECORATION_3");
//  SetCtrlAttribute (hPanel, MAIN_DECORATION_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_DECORATION_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_DECORATION_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_3, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_3, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_3, ATTR_HEIGHT, 55);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_3, ATTR_WIDTH, 360);

    // Build control: MAIN_TEXTMSG_3
    MAIN_TEXTMSG_3 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 288, 144);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_CONSTANT_NAME, "TEXTMSG_3");
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_TEXT_BGCOLOR, 0XD8CABA);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_DFLT_VALUE, "Timeout[sec]");
    DefaultCtrl (hPanel, MAIN_TEXTMSG_3);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_WIDTH, 76);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_TEXTMSG_3, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_ERROR_TIMER
    MAIN_ERROR_TIMER = NewCtrl (hPanel, CTRL_TIMER, "errorTimer", 80, 232);
    SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_CONSTANT_NAME, "ERROR_TIMER");
//  SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_CALLBACK_FUNCTION_POINTER, errorTimer);
    SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_WIDTH, 50);
    SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_BGCOLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_INTERVAL, 0.000000);
    SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_ENABLED, 0);
    SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_HEIGHT, 38);
    SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_WIDTH, 38);
    SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_TOP, 62);
    SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_LEFT, 233);
    SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MAIN_TEXTMSG_5
    MAIN_TEXTMSG_5 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 192, 122);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_CONSTANT_NAME, "TEXTMSG_5");
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_DFLT_VALUE, "s");
    DefaultCtrl (hPanel, MAIN_TEXTMSG_5);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_WIDTH, 8);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_TEXTMSG_5, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_TEXTMSG_6
    MAIN_TEXTMSG_6 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 303, 254);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_CONSTANT_NAME, "TEXTMSG_6");
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_DFLT_VALUE, "dspAckSet");
    DefaultCtrl (hPanel, MAIN_TEXTMSG_6);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_WIDTH, 55);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_TEXTMSG_6, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_TEXTMSG
    MAIN_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 23, 81);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_TEXT_ITALIC, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_TEXT_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_TEXT_POINT_SIZE, 15);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_TEXT_BGCOLOR, 0XD8CABA);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_DFLT_VALUE, " CRATE STATUS/CONTROL ");
    DefaultCtrl (hPanel, MAIN_TEXTMSG);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_HEIGHT, 18);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_WIDTH, 204);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_DECORATION_2
    MAIN_DECORATION_2 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 232, 5);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_2, ATTR_CONSTANT_NAME, "DECORATION_2");
//  SetCtrlAttribute (hPanel, MAIN_DECORATION_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_DECORATION_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_DECORATION_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_2, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_2, ATTR_HEIGHT, 55);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_2, ATTR_WIDTH, 360);

    // Build control: MAIN_TEXTMSG_18
    MAIN_TEXTMSG_18 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 948, 525);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_CONSTANT_NAME, "TEXTMSG_18");
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_TEXT_ITALIC, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_TEXT_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_DFLT_VALUE, " HISTOGRAM SETUP ");
    DefaultCtrl (hPanel, MAIN_TEXTMSG_18);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_WIDTH, 130);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_TEXTMSG_18, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_TEXTMSG_23
    MAIN_TEXTMSG_23 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 1008, 525);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_CONSTANT_NAME, "TEXTMSG_23");
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_TEXT_ITALIC, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_TEXT_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_DFLT_VALUE, " HISTOGRAM SETUP ");
    DefaultCtrl (hPanel, MAIN_TEXTMSG_23);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_WIDTH, 130);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_TEXTMSG_23, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_TEXTMSG_10
    MAIN_TEXTMSG_10 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 541, 138);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_CONSTANT_NAME, "TEXTMSG_10");
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_TEXT_ITALIC, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_TEXT_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_DFLT_VALUE, "PRIMITIVE LIST");
    DefaultCtrl (hPanel, MAIN_TEXTMSG_10);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_WIDTH, 97);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_TEXTMSG_10, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_DECORATION
    MAIN_DECORATION = NewCtrl (hPanel, CTRL_RAISED_BOX, "", 539, 5);
    SetCtrlAttribute (hPanel, MAIN_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, MAIN_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_DECORATION, ATTR_FRAME_COLOR, 0XEEDDCC);
    SetCtrlAttribute (hPanel, MAIN_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, MAIN_DECORATION, ATTR_HEIGHT, 107);
    SetCtrlAttribute (hPanel, MAIN_DECORATION, ATTR_WIDTH, 360);

    // Build control: MAIN_DECORATION_7
    MAIN_DECORATION_7 = NewCtrl (hPanel, CTRL_RAISED_BOX, "", 427, 5);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_7, ATTR_CONSTANT_NAME, "DECORATION_7");
//  SetCtrlAttribute (hPanel, MAIN_DECORATION_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_DECORATION_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_DECORATION_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_7, ATTR_FRAME_COLOR, 0XC9D3D0);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_7, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_7, ATTR_HEIGHT, 110);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_7, ATTR_WIDTH, 360);

    // Build control: MAIN_TEXTMSG_9
    MAIN_TEXTMSG_9 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 431, 138);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_CONSTANT_NAME, "TEXTMSG_9");
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_TEXT_ITALIC, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_TEXT_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_DFLT_VALUE, "COMMAND LIST");
    DefaultCtrl (hPanel, MAIN_TEXTMSG_9);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_WIDTH, 97);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_TEXTMSG_9, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_TEXTMSG_11
    MAIN_TEXTMSG_11 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 353, 129);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_CONSTANT_NAME, "TEXTMSG_11");
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_TEXT_BGCOLOR, 0XD8CABA);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_DFLT_VALUE, "CmdListBusy RODslot#");
    DefaultCtrl (hPanel, MAIN_TEXTMSG_11);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_WIDTH, 113);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_TEXTMSG_11, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_TEXTMSG_7
    MAIN_TEXTMSG_7 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 24, 308);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_CONSTANT_NAME, "TEXTMSG_7");
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_TEXT_BGCOLOR, 0XD8CABA);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_DFLT_VALUE, "v06/11/04 E");
    DefaultCtrl (hPanel, MAIN_TEXTMSG_7);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_TEXTMSG_7, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_TEXTMSG_25
    MAIN_TEXTMSG_25 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 192, 230);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_CONSTANT_NAME, "TEXTMSG_25");
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_DFLT_VALUE, "s");
    DefaultCtrl (hPanel, MAIN_TEXTMSG_25);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_WIDTH, 8);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_TEXTMSG_25, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_TEXTMSG_24
    MAIN_TEXTMSG_24 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 163, 161);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_CONSTANT_NAME, "TEXTMSG_24");
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_TEXT_ITALIC, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_TEXT_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_TEXT_BGCOLOR, 0XD8CABA);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_DFLT_VALUE, "FPGA Monitor");
    DefaultCtrl (hPanel, MAIN_TEXTMSG_24);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_WIDTH, 69);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_TEXTMSG_24, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_TEXTMSG_26
    MAIN_TEXTMSG_26 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 192, 337);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_CONSTANT_NAME, "TEXTMSG_26");
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_DFLT_VALUE, "s");
    DefaultCtrl (hPanel, MAIN_TEXTMSG_26);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_WIDTH, 8);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_TEXTMSG_26, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_TEXTMSG_4
    MAIN_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 163, 47);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_TEXT_BGCOLOR, 0XD8CABA);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_DFLT_VALUE, "TestStand");
    DefaultCtrl (hPanel, MAIN_TEXTMSG_4);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_WIDTH, 52);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_DECORATION_4
    MAIN_DECORATION_4 = NewCtrl (hPanel, CTRL_RECESSED_BOX, "", 172, 13);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_4, ATTR_CONSTANT_NAME, "DECORATION_4");
//  SetCtrlAttribute (hPanel, MAIN_DECORATION_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_DECORATION_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_DECORATION_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_4, ATTR_FRAME_COLOR, 0XD8CABA);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_4, ATTR_HEIGHT, 45);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_4, ATTR_WIDTH, 128);

    // Build control: MAIN_DECORATION_8
    MAIN_DECORATION_8 = NewCtrl (hPanel, CTRL_RECESSED_BOX, "", 172, 148);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_8, ATTR_CONSTANT_NAME, "DECORATION_8");
//  SetCtrlAttribute (hPanel, MAIN_DECORATION_8, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_DECORATION_8, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_8, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_DECORATION_8, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_8, ATTR_FRAME_COLOR, 0XD8CABA);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_8, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_8, ATTR_HEIGHT, 45);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_8, ATTR_WIDTH, 101);

    // Build control: MAIN_DECORATION_9
    MAIN_DECORATION_9 = NewCtrl (hPanel, CTRL_RECESSED_BOX, "", 172, 255);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_9, ATTR_CONSTANT_NAME, "DECORATION_9");
//  SetCtrlAttribute (hPanel, MAIN_DECORATION_9, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_DECORATION_9, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_9, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_DECORATION_9, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_9, ATTR_FRAME_COLOR, 0XD8CABA);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_9, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_9, ATTR_HEIGHT, 45);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_9, ATTR_WIDTH, 101);

    // Build control: MAIN_TEXTMSG_27
    MAIN_TEXTMSG_27 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 163, 271);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_CONSTANT_NAME, "TEXTMSG_27");
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_TEXT_ITALIC, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_TEXT_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_TEXT_BGCOLOR, 0XD8CABA);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_DFLT_VALUE, "DSP Monitor");
    DefaultCtrl (hPanel, MAIN_TEXTMSG_27);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_WIDTH, 63);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_TEXTMSG_27, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_TEXTMSG_28
    MAIN_TEXTMSG_28 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 148, 148);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_CONSTANT_NAME, "TEXTMSG_28");
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_TEXT_BGCOLOR, 0XD8CABA);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_DFLT_VALUE, "Status Refresh");
    DefaultCtrl (hPanel, MAIN_TEXTMSG_28);
//  SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_WIDTH, 87);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MAIN_TEXTMSG_28, "", VAL_DS_READ, NULL, NULL);

    // Build control: MAIN_DECORATION_10
    MAIN_DECORATION_10 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 157, 4);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_10, ATTR_CONSTANT_NAME, "DECORATION_10");
//  SetCtrlAttribute (hPanel, MAIN_DECORATION_10, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MAIN_DECORATION_10, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_10, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MAIN_DECORATION_10, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_10, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_10, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_10, ATTR_HEIGHT, 67);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_10, ATTR_WIDTH, 361);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_28, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_10, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_26, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_27, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_9, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_25, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_24, ATTR_ZPLANE_POSITION, 14);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_8, ATTR_ZPLANE_POSITION, 15);
    SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_ZPLANE_POSITION, 16);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_7, ATTR_ZPLANE_POSITION, 17);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_ZPLANE_POSITION, 18);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_ZPLANE_POSITION, 19);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_ZPLANE_POSITION, 20);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_ZPLANE_POSITION, 21);
    SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_ZPLANE_POSITION, 22);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_ZPLANE_POSITION, 23);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_ZPLANE_POSITION, 24);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_ZPLANE_POSITION, 25);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_ZPLANE_POSITION, 26);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_ZPLANE_POSITION, 27);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_ZPLANE_POSITION, 28);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_ZPLANE_POSITION, 29);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_ZPLANE_POSITION, 30);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_ZPLANE_POSITION, 31);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_ZPLANE_POSITION, 32);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_ZPLANE_POSITION, 33);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_ZPLANE_POSITION, 34);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_ZPLANE_POSITION, 35);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_11, ATTR_ZPLANE_POSITION, 36);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_23, ATTR_ZPLANE_POSITION, 37);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_18, ATTR_ZPLANE_POSITION, 38);
    SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_ZPLANE_POSITION, 39);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_ZPLANE_POSITION, 40);
    SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_ZPLANE_POSITION, 41);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_ZPLANE_POSITION, 42);
    SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_ZPLANE_POSITION, 43);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_ZPLANE_POSITION, 44);
    SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_ZPLANE_POSITION, 45);
    SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_ZPLANE_POSITION, 46);
    SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_ZPLANE_POSITION, 47);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_10, ATTR_ZPLANE_POSITION, 48);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_9, ATTR_ZPLANE_POSITION, 49);
    SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_ZPLANE_POSITION, 50);
    SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_ZPLANE_POSITION, 51);
    SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_ZPLANE_POSITION, 52);
    SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_ZPLANE_POSITION, 53);
    SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_ZPLANE_POSITION, 54);
    SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_ZPLANE_POSITION, 55);
    SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_ZPLANE_POSITION, 56);
    SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_ZPLANE_POSITION, 57);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_6, ATTR_ZPLANE_POSITION, 58);
    SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_ZPLANE_POSITION, 59);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_5, ATTR_ZPLANE_POSITION, 60);
    SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_ZPLANE_POSITION, 61);
    SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_ZPLANE_POSITION, 62);
    SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_ZPLANE_POSITION, 63);
    SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_ZPLANE_POSITION, 64);
    SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_ZPLANE_POSITION, 65);
    SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_ZPLANE_POSITION, 66);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_ZPLANE_POSITION, 67);
    SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_ZPLANE_POSITION, 68);
    SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_ZPLANE_POSITION, 69);
    SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_ZPLANE_POSITION, 70);
    SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_ZPLANE_POSITION, 71);
    SetCtrlAttribute (hPanel, MAIN_ERROR_TIMER, ATTR_ZPLANE_POSITION, 72);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_ZPLANE_POSITION, 73);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG, ATTR_ZPLANE_POSITION, 74);
    SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_ZPLANE_POSITION, 75);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_4, ATTR_ZPLANE_POSITION, 76);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_4, ATTR_ZPLANE_POSITION, 77);
    SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_ZPLANE_POSITION, 78);
    SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_ZPLANE_POSITION, 79);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_ZPLANE_POSITION, 80);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_ZPLANE_POSITION, 81);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_3, ATTR_ZPLANE_POSITION, 82);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_3, ATTR_ZPLANE_POSITION, 83);
    SetCtrlAttribute (hPanel, MAIN_TEXTMSG_2, ATTR_ZPLANE_POSITION, 84);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_ZPLANE_POSITION, 85);
    SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_ZPLANE_POSITION, 86);
    SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_ZPLANE_POSITION, 87);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_2, ATTR_ZPLANE_POSITION, 88);
    SetCtrlAttribute (hPanel, MAIN_DECORATION_7, ATTR_ZPLANE_POSITION, 89);
    SetCtrlAttribute (hPanel, MAIN_DECORATION, ATTR_ZPLANE_POSITION, 90);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, MAIN_ACTIVE_SLOT, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, MAIN_ROD_COUNTER, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, MAIN_SHOW_ERROR_WINDOW, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_PRIOR, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, MAIN_VME_BYTE_ORDER, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, MAIN_UIR_PRIORITY, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, MAIN_TEXTBUFF_TIMEOUT, ATTR_CTRL_TAB_POSITION, 6);
    SetCtrlAttribute (hPanel, MAIN_CONTROL_PRIOR, ATTR_CTRL_TAB_POSITION, 7);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_21, ATTR_CTRL_TAB_POSITION, 8);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_20, ATTR_CTRL_TAB_POSITION, 9);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_19, ATTR_CTRL_TAB_POSITION, 10);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_18, ATTR_CTRL_TAB_POSITION, 11);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_17, ATTR_CTRL_TAB_POSITION, 12);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_16, ATTR_CTRL_TAB_POSITION, 13);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_15, ATTR_CTRL_TAB_POSITION, 14);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_14, ATTR_CTRL_TAB_POSITION, 15);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_13, ATTR_CTRL_TAB_POSITION, 16);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_12, ATTR_CTRL_TAB_POSITION, 17);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_11, ATTR_CTRL_TAB_POSITION, 18);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_10, ATTR_CTRL_TAB_POSITION, 19);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_5, ATTR_CTRL_TAB_POSITION, 20);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_6, ATTR_CTRL_TAB_POSITION, 21);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_7, ATTR_CTRL_TAB_POSITION, 22);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_8, ATTR_CTRL_TAB_POSITION, 23);
    SetCtrlAttribute (hPanel, MAIN_CMDLISTEXEC_9, ATTR_CTRL_TAB_POSITION, 24);
    SetCtrlAttribute (hPanel, MAIN_EDIT_PLIST, ATTR_CTRL_TAB_POSITION, 25);
    SetCtrlAttribute (hPanel, MAIN_EDIT_CLIST, ATTR_CTRL_TAB_POSITION, 26);
    SetCtrlAttribute (hPanel, MAIN_DEL_CLIST_FROM_RING, ATTR_CTRL_TAB_POSITION, 27);
    SetCtrlAttribute (hPanel, MAIN_ADD_CLIST_TO_RING, ATTR_CTRL_TAB_POSITION, 28);
    SetCtrlAttribute (hPanel, MAIN_DEL_PLIST_FROM_RING, ATTR_CTRL_TAB_POSITION, 29);
    SetCtrlAttribute (hPanel, MAIN_EXT_LIST_TYPE, ATTR_CTRL_TAB_POSITION, 30);
    SetCtrlAttribute (hPanel, MAIN_IF_ERROR, ATTR_CTRL_TAB_POSITION, 31);
    SetCtrlAttribute (hPanel, MAIN_ADD_PLIST_TO_RING, ATTR_CTRL_TAB_POSITION, 32);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_PERIOD, ATTR_CTRL_TAB_POSITION, 33);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_PERIOD, ATTR_CTRL_TAB_POSITION, 34);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_PERIOD, ATTR_CTRL_TAB_POSITION, 35);
    SetCtrlAttribute (hPanel, MAIN_ROD_INIT_TIMEOUT, ATTR_CTRL_TAB_POSITION, 36);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_CLEAR_TIMEOUT, ATTR_CTRL_TAB_POSITION, 37);
    SetCtrlAttribute (hPanel, MAIN_DEFAULT_SLOT, ATTR_CTRL_TAB_POSITION, 38);
    SetCtrlAttribute (hPanel, MAIN_SLOT_NUMBER, ATTR_CTRL_TAB_POSITION, 39);
    SetCtrlAttribute (hPanel, MAIN_DSP_ACK_SET_TIMEOUT, ATTR_CTRL_TAB_POSITION, 40);
    SetCtrlAttribute (hPanel, MAIN_PLIST_RING, ATTR_CTRL_TAB_POSITION, 41);
    SetCtrlAttribute (hPanel, MAIN_CLIST_RING, ATTR_CTRL_TAB_POSITION, 42);
    SetCtrlAttribute (hPanel, MAIN_DSP_SET_TIMEOUT, ATTR_CTRL_TAB_POSITION, 43);
    SetCtrlAttribute (hPanel, MAIN_REPEAT_BUILD_EXEC, ATTR_CTRL_TAB_POSITION, 44);
    SetCtrlAttribute (hPanel, MAIN_COMM_LOOP_RUNNING, ATTR_CTRL_TAB_POSITION, 45);
    SetCtrlAttribute (hPanel, MAIN_CLIST_FILE, ATTR_CTRL_TAB_POSITION, 46);
    SetCtrlAttribute (hPanel, MAIN_SEND_COMMAND_LIST, ATTR_CTRL_TAB_POSITION, 47);
    SetCtrlAttribute (hPanel, MAIN_PLIST_FILE, ATTR_CTRL_TAB_POSITION, 48);
    SetCtrlAttribute (hPanel, MAIN_SEND_LIST, ATTR_CTRL_TAB_POSITION, 49);
    SetCtrlAttribute (hPanel, MAIN_HOSTS_RUNNING, ATTR_CTRL_TAB_POSITION, 50);
    SetCtrlAttribute (hPanel, MAIN_CLIST_REP, ATTR_CTRL_TAB_POSITION, 51);
    SetCtrlAttribute (hPanel, MAIN_PLIST_REP, ATTR_CTRL_TAB_POSITION, 52);
    SetCtrlAttribute (hPanel, MAIN_PIXEL_NOT_SCT, ATTR_CTRL_TAB_POSITION, 53);
    SetCtrlAttribute (hPanel, MAIN_RESET_ALL, ATTR_CTRL_TAB_POSITION, 54);
    SetCtrlAttribute (hPanel, MAIN_SYS_RESET, ATTR_CTRL_TAB_POSITION, 55);
    SetCtrlAttribute (hPanel, MAIN_RUN_RESMAN, ATTR_CTRL_TAB_POSITION, 56);
    SetCtrlAttribute (hPanel, MAIN_RST_CTRL, ATTR_CTRL_TAB_POSITION, 57);
    SetCtrlAttribute (hPanel, MAIN_REFRESH_DISP, ATTR_CTRL_TAB_POSITION, 58);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_SLAVE, ATTR_CTRL_TAB_POSITION, 59);
    SetCtrlAttribute (hPanel, MAIN_DSP_MONITOR_REFRESH, ATTR_CTRL_TAB_POSITION, 60);
    SetCtrlAttribute (hPanel, MAIN_CHECKSUM_MASTER, ATTR_CTRL_TAB_POSITION, 61);
    SetCtrlAttribute (hPanel, MAIN_FPGA_MONITOR_REFRESH, ATTR_CTRL_TAB_POSITION, 62);
    SetCtrlAttribute (hPanel, MAIN_SAVE_LISTS_OPTION, ATTR_CTRL_TAB_POSITION, 63);
    SetCtrlAttribute (hPanel, MAIN_EXT_EXEC, ATTR_CTRL_TAB_POSITION, 64);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(650*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(390*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(77*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(593*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_TOP, VAL_AUTO_CENTER);
    SetPanelAttribute (hPanel, ATTR_LEFT, VAL_AUTO_CENTER);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    buildMenu_main (hPanel);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_rodSelect ():  Build UI object NEWROD_PN; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_rodSelect (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "New ROD", 152, 500, 201, 330);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "NEWROD_PN");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0X00CCFF);
//  SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, 0XCC9966);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 5);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
//  SetPanelAttribute (hPanel, ATTR_MOVABLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: NEWROD_PN_CANCEL
    NEWROD_PN_CANCEL = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Cancel", 141, 203);
    SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_CONSTANT_NAME, "CANCEL");
//  SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_CALLBACK_FUNCTION_POINTER, slotNumberWindow);
    SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, NEWROD_PN_CANCEL);
    SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_HEIGHT, 26);
    SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_WIDTH, 70);

    // Build control: NEWROD_PN_OK
    NEWROD_PN_OK = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "__OK", 141, 71);
    SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_CONSTANT_NAME, "OK");
//  SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_CALLBACK_FUNCTION_POINTER, slotNumberWindow);
    SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, NEWROD_PN_OK);
    SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_HEIGHT, 26);
    SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_WIDTH, 70);

    // Build control: NEWROD_PN_SLOT_21
    NEWROD_PN_SLOT_21 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "21", 105, 276);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_CONSTANT_NAME, "SLOT_21");
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, NEWROD_PN_SLOT_21);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_TOP, 91);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_LEFT, 277);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: NEWROD_PN_SLOT_20
    NEWROD_PN_SLOT_20 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "20", 105, 251);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_CONSTANT_NAME, "SLOT_20");
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, NEWROD_PN_SLOT_20);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_TOP, 91);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_LEFT, 252);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: NEWROD_PN_SLOT_19
    NEWROD_PN_SLOT_19 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "19", 105, 227);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_CONSTANT_NAME, "SLOT_19");
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, NEWROD_PN_SLOT_19);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_TOP, 91);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_LEFT, 228);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: NEWROD_PN_SLOT_18
    NEWROD_PN_SLOT_18 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "18", 105, 203);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_CONSTANT_NAME, "SLOT_18");
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, NEWROD_PN_SLOT_18);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_TOP, 91);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_LEFT, 204);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: NEWROD_PN_SLOT_17
    NEWROD_PN_SLOT_17 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "17", 105, 178);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_CONSTANT_NAME, "SLOT_17");
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, NEWROD_PN_SLOT_17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_TOP, 91);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_LEFT, 179);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: NEWROD_PN_SLOT_16
    NEWROD_PN_SLOT_16 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "16", 105, 154);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_CONSTANT_NAME, "SLOT_16");
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, NEWROD_PN_SLOT_16);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_TOP, 91);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_LEFT, 155);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: NEWROD_PN_SLOT_15
    NEWROD_PN_SLOT_15 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "15", 105, 130);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_CONSTANT_NAME, "SLOT_15");
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, NEWROD_PN_SLOT_15);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_TOP, 91);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_LEFT, 131);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: NEWROD_PN_SLOT_14
    NEWROD_PN_SLOT_14 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "14", 105, 106);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_CONSTANT_NAME, "SLOT_14");
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, NEWROD_PN_SLOT_14);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_TOP, 91);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_LEFT, 107);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: NEWROD_PN_SLOT_5
    NEWROD_PN_SLOT_5 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "5", 65, 58);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_CONSTANT_NAME, "SLOT_5");
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, NEWROD_PN_SLOT_5);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_TOP, 51);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_LEFT, 62);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: NEWROD_PN_SLOT_12
    NEWROD_PN_SLOT_12 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "12", 65, 227);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_CONSTANT_NAME, "SLOT_12");
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, NEWROD_PN_SLOT_12);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_TOP, 51);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_LEFT, 228);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: NEWROD_PN_SLOT_11
    NEWROD_PN_SLOT_11 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "11", 65, 203);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_CONSTANT_NAME, "SLOT_11");
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, NEWROD_PN_SLOT_11);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_TOP, 51);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_LEFT, 204);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: NEWROD_PN_SLOT_10
    NEWROD_PN_SLOT_10 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "10", 65, 179);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_CONSTANT_NAME, "SLOT_10");
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, NEWROD_PN_SLOT_10);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_TOP, 51);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_LEFT, 180);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: NEWROD_PN_SLOT_9
    NEWROD_PN_SLOT_9 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "9", 65, 154);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_CONSTANT_NAME, "SLOT_9");
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, NEWROD_PN_SLOT_9);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_TOP, 51);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_LEFT, 158);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: NEWROD_PN_SLOT_8
    NEWROD_PN_SLOT_8 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "8", 65, 130);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_CONSTANT_NAME, "SLOT_8");
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, NEWROD_PN_SLOT_8);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_TOP, 51);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_LEFT, 134);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: NEWROD_PN_SLOT_7
    NEWROD_PN_SLOT_7 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "7", 65, 106);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_CONSTANT_NAME, "SLOT_7");
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, NEWROD_PN_SLOT_7);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_TOP, 51);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_LEFT, 110);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: NEWROD_PN_SLOT_6
    NEWROD_PN_SLOT_6 = NewCtrl (hPanel, CTRL_ROUND_RADIO_BUTTON, "6", 65, 82);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_CONSTANT_NAME, "SLOT_6");
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, NEWROD_PN_SLOT_6);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_TOP, 51);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_LEFT, 86);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: NEWROD_PN_SELECT_ALL
    NEWROD_PN_SELECT_ALL = NewCtrl (hPanel, CTRL_VSWITCH, "", 100, 21);
    SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_CONSTANT_NAME, "SELECT_ALL");
//  SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_CALLBACK_FUNCTION_POINTER, selectAll);
    SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_DATA_TYPE, VAL_INTEGER);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_BGCOLOR, 0X00CCFF);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_TEXT_BOLD, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, NEWROD_PN_SELECT_ALL);
    SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_ON_VALUE, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_OFF_VALUE, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_BINARY_SWITCH_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_ON_TEXT, "Select All");
    SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_OFF_TEXT, "Deselect All");
    SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_HEIGHT, 25);
    SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_WIDTH, 14);
    SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_TOP, 79);
    SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_LEFT, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: NEWROD_PN_TEXTMSG
    NEWROD_PN_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 18, 95);
    SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_TEXT_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_TEXT_BGCOLOR, 0X00CCFF);
    SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_DFLT_VALUE, "Slot number:");
    DefaultCtrl (hPanel, NEWROD_PN_TEXTMSG);
//  SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_HEIGHT, 18);
    SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_WIDTH, 89);
    SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, NEWROD_PN_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_ZPLANE_POSITION, 14);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_ZPLANE_POSITION, 15);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_ZPLANE_POSITION, 16);
    SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_ZPLANE_POSITION, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_ZPLANE_POSITION, 18);
    SetCtrlAttribute (hPanel, NEWROD_PN_TEXTMSG, ATTR_ZPLANE_POSITION, 19);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, NEWROD_PN_CANCEL, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, NEWROD_PN_OK, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_21, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_20, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_19, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_18, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_17, ATTR_CTRL_TAB_POSITION, 6);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_16, ATTR_CTRL_TAB_POSITION, 7);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_15, ATTR_CTRL_TAB_POSITION, 8);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_14, ATTR_CTRL_TAB_POSITION, 9);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_5, ATTR_CTRL_TAB_POSITION, 10);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_12, ATTR_CTRL_TAB_POSITION, 11);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_11, ATTR_CTRL_TAB_POSITION, 12);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_10, ATTR_CTRL_TAB_POSITION, 13);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_9, ATTR_CTRL_TAB_POSITION, 14);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_8, ATTR_CTRL_TAB_POSITION, 15);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_7, ATTR_CTRL_TAB_POSITION, 16);
    SetCtrlAttribute (hPanel, NEWROD_PN_SLOT_6, ATTR_CTRL_TAB_POSITION, 17);
    SetCtrlAttribute (hPanel, NEWROD_PN_SELECT_ALL, ATTR_CTRL_TAB_POSITION, 18);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(201*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(330*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(152*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(500*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_TOP, VAL_AUTO_CENTER);
    SetPanelAttribute (hPanel, ATTR_LEFT, VAL_AUTO_CENTER);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_rod ():  Build UI object ROD; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_rod (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "ROD - slot#", 20, 4, 965, 1216);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "ROD");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_BOTH_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 19);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 5);
//  SetPanelAttribute (hPanel, ATTR_SIZABLE, 1);
//  SetPanelAttribute (hPanel, ATTR_MOVABLE, 1);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 13);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
//  SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 1);
//  SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 1);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
    SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 1);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: ROD_COMMAND_REG_4
    ROD_COMMAND_REG_4 = NewCtrl (hPanel, CTRL_SQUARE_LED, "RdRq", 270, 91);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_CONSTANT_NAME, "COMMAND_REG_4");
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_WIDTH, 53);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_COMMAND_REG_4);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_ON_COLOR, 0X00CCFF);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_TOP, 270);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_LEFT, 107);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: ROD_STAT_REG_6
    ROD_STAT_REG_6 = NewCtrl (hPanel, CTRL_SQUARE_LED, "ErrorBuffNE", 270, 71);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_CONSTANT_NAME, "STAT_REG_6");
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_WIDTH, 59);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_STAT_REG_6);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_ON_COLOR, 0XFF3300);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_TOP, 270);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_LEFT, 13);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_COMMAND_REG_3
    ROD_COMMAND_REG_3 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Abort", 146, 91);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_CONSTANT_NAME, "COMMAND_REG_3");
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_WIDTH, 47);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_COMMAND_REG_3);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_ON_COLOR, 0XFF3300);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_TOP, 146);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_LEFT, 107);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: ROD_COMMAND_REG_2
    ROD_COMMAND_REG_2 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Resume", 169, 91);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_CONSTANT_NAME, "COMMAND_REG_2");
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_WIDTH, 47);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_COMMAND_REG_2);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_ON_COLOR, 0X00CCFF);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_TOP, 169);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_LEFT, 106);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: ROD_COMMAND_REG_10
    ROD_COMMAND_REG_10 = NewCtrl (hPanel, CTRL_SQUARE_LED, "DmaReq", 233, 91);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_CONSTANT_NAME, "COMMAND_REG_10");
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_WIDTH, 47);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_COMMAND_REG_10);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_ON_COLOR, 0X00CCFF);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_TOP, 233);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_LEFT, 105);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: ROD_COMMAND_REG_1
    ROD_COMMAND_REG_1 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Pause", 184, 91);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_CONSTANT_NAME, "COMMAND_REG_1");
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_WIDTH, 47);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_COMMAND_REG_1);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_ON_COLOR, 0X00CCFF);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_TOP, 184);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_LEFT, 107);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: ROD_COMMAND_REG_0
    ROD_COMMAND_REG_0 = NewCtrl (hPanel, CTRL_SQUARE_LED, "InListRdy", 214, 91);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_CONSTANT_NAME, "COMMAND_REG_0");
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_WIDTH, 47);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_COMMAND_REG_0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_ON_COLOR, 0X00CCFF);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_TOP, 214);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_LEFT, 107);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: ROD_COMMAND_REG_5
    ROD_COMMAND_REG_5 = NewCtrl (hPanel, CTRL_SQUARE_LED, "RdRq", 285, 91);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_CONSTANT_NAME, "COMMAND_REG_5");
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_WIDTH, 49);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_COMMAND_REG_5);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_ON_COLOR, 0X00CCFF);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_TOP, 285);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_LEFT, 107);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: ROD_STAT_REG_7
    ROD_STAT_REG_7 = NewCtrl (hPanel, CTRL_SQUARE_LED, "InfoBuffNE", 285, 71);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_CONSTANT_NAME, "STAT_REG_7");
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_WIDTH, 55);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_STAT_REG_7);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_TOP, 285);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_LEFT, 17);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_STAT_REG_0
    ROD_STAT_REG_0 = NewCtrl (hPanel, CTRL_SQUARE_LED, "DspRunning", 139, 71);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_CONSTANT_NAME, "STAT_REG_0");
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_WIDTH, 62);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_STAT_REG_0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_ON_COLOR, 0XFFFF33);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_TOP, 138);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_LEFT, 8);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: ROD_STAT_REG_5
    ROD_STAT_REG_5 = NewCtrl (hPanel, CTRL_SQUARE_LED, "DspAck", 215, 71);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_CONSTANT_NAME, "STAT_REG_5");
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_WIDTH, 41);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_STAT_REG_5);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_TOP, 214);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_LEFT, 29);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: ROD_EDIT_PLIST
    ROD_EDIT_PLIST = NewCtrl (hPanel, CTRL_OBLONG_COMMAND_BUTTON, "EDIT", 521, 15);
    SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_CONSTANT_NAME, "EDIT_PLIST");
//  SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_CALLBACK_FUNCTION_POINTER, sendList);
    SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_LABEL_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_LABEL_POINT_SIZE, 9);
    SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_EDIT_PLIST);
    SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_WIDTH, 36);

    // Build control: ROD_STAT_REG_1
    ROD_STAT_REG_1 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Busy", 154, 71);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_CONSTANT_NAME, "STAT_REG_1");
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_WIDTH, 27);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_STAT_REG_1);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_TOP, 153);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_LEFT, 43);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: ROD_COMMAND_REG_7
    ROD_COMMAND_REG_7 = NewCtrl (hPanel, CTRL_SQUARE_LED, "RdRq", 315, 91);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_CONSTANT_NAME, "COMMAND_REG_7");
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_WIDTH, 53);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_COMMAND_REG_7);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_ON_COLOR, 0X00CCFF);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_TOP, 315);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_LEFT, 107);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: ROD_COMMAND_REG_6
    ROD_COMMAND_REG_6 = NewCtrl (hPanel, CTRL_SQUARE_LED, "RdRq", 300, 91);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_CONSTANT_NAME, "COMMAND_REG_6");
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_WIDTH, 53);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_COMMAND_REG_6);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_ON_COLOR, 0X00CCFF);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_TOP, 300);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_LEFT, 107);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: ROD_STAT_REG_11
    ROD_STAT_REG_11 = NewCtrl (hPanel, CTRL_SQUARE_LED, "DmaErr", 250, 71);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_CONSTANT_NAME, "STAT_REG_11");
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_WIDTH, 55);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_STAT_REG_11);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_ON_COLOR, VAL_RED);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_TOP, 249);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_LEFT, 24);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: ROD_STAT_REG_9
    ROD_STAT_REG_9 = NewCtrl (hPanel, CTRL_SQUARE_LED, "XferBuffNE", 315, 71);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_CONSTANT_NAME, "STAT_REG_9");
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_WIDTH, 56);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_STAT_REG_9);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_TOP, 315);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_LEFT, 16);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_STAT_REG_4
    ROD_STAT_REG_4 = NewCtrl (hPanel, CTRL_SQUARE_LED, "OutListRdy", 199, 71);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_CONSTANT_NAME, "STAT_REG_4");
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_WIDTH, 55);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_STAT_REG_4);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_TOP, 199);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_LEFT, 15);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: ROD_REPEAT_BUILD_EXEC
    ROD_REPEAT_BUILD_EXEC = NewCtrl (hPanel, CTRL_VSWITCH, "", 470, 111);
    SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_CONSTANT_NAME, "REPEAT_BUILD_EXEC");
//  SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_CALLBACK_FUNCTION_POINTER, hostOptions);
    SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_DATA_TYPE, VAL_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_TEXT_POINT_SIZE, 10);
//  SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_DFLT_INDEX, 1);
    DefaultCtrl (hPanel, ROD_REPEAT_BUILD_EXEC);
    SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_ON_VALUE, 1);
    SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_OFF_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_BINARY_SWITCH_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_ON_TEXT, "EXEC");
    SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_OFF_TEXT, "BUILD");
    SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_HEIGHT, 21);
    SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_WIDTH, 12);
    SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_TOP, 481);
    SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_LEFT, 80);
    SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_STAT_REG_8
    ROD_STAT_REG_8 = NewCtrl (hPanel, CTRL_SQUARE_LED, "DiagBuffNE", 300, 71);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_CONSTANT_NAME, "STAT_REG_8");
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_WIDTH, 59);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_STAT_REG_8);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_TOP, 300);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_LEFT, 13);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_VME_COMM_REG0
    ROD_VME_COMM_REG0 = NewCtrl (hPanel, CTRL_NUMERIC, "Command0", 117, 92);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_CONSTANT_NAME, "VME_COMM_REG0");
//  SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_FRAME_COLOR, 0X006699);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_WIDTH, 64);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_VME_COMM_REG0);
//  SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_WIDTH, 70);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_TOP, 101);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_LEFT, 95);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_VME_COMM_REG0, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_STAT_REG_10
    ROD_STAT_REG_10 = NewCtrl (hPanel, CTRL_SQUARE_LED, "DmaAck", 233, 71);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_CONSTANT_NAME, "STAT_REG_10");
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_WIDTH, 50);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_HEIGHT, 17);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_STAT_REG_10);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_ON_COLOR, VAL_YELLOW);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_TOP, 233);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_LEFT, 24);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: ROD_LIST_FILE
    ROD_LIST_FILE = NewCtrl (hPanel, CTRL_STRING, "", 496, 1);
    SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_CONSTANT_NAME, "LIST_FILE");
//  SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_CALLBACK_FUNCTION_POINTER, sendList);
    SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_BGCOLOR, 0XB0B0B0);
//  SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, ROD_LIST_FILE);
//  SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_WIDTH, 186);
    SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_TOP, 476);
    SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_LEFT, 208);
    SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, ROD_LIST_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_SEND_LIST
    ROD_SEND_LIST = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "SEND PRIM LIST", 521, 59);
    SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_CONSTANT_NAME, "SEND_LIST");
//  SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_CALLBACK_FUNCTION_POINTER, sendList);
    SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_LABEL_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_SEND_LIST);
    SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_WIDTH, 127);

    // Build control: ROD_ROD_REV
    ROD_ROD_REV = NewCtrl (hPanel, CTRL_NUMERIC, "ROD Revision", 39, 199);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_CONSTANT_NAME, "ROD_REV");
//  SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_WIDTH, 71);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_TEXT_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_ROD_REV);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_TOP, 25);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_LEFT, 196);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_ROD_REV, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_ROD_SN
    ROD_ROD_SN = NewCtrl (hPanel, CTRL_NUMERIC, "ROD S/N", 39, 130);
    SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_CONSTANT_NAME, "ROD_SN");
//  SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_WIDTH, 50);
    SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_TEXT_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_ROD_SN);
    SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_TOP, 25);
    SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_LEFT, 139);
    SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_ROD_SN, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_ROD_STAT_REG0
    ROD_ROD_STAT_REG0 = NewCtrl (hPanel, CTRL_NUMERIC, "Status0", 117, 18);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_CONSTANT_NAME, "ROD_STAT_REG0");
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_FRAME_COLOR, 0X009933);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_WIDTH, 46);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_ROD_STAT_REG0);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_WIDTH, 70);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_TOP, 101);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_LEFT, 31);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_ROD_STAT_REG0, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_LIST_REPEAT_COUNTER
    ROD_LIST_REPEAT_COUNTER = NewCtrl (hPanel, CTRL_NUMERIC, "Counter", 448, 109);
    SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_CONSTANT_NAME, "LIST_REPEAT_COUNTER");
//  SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_FRAME_COLOR, 0X006699);
    SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_WIDTH, 40);
    SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_CHECK_RANGE, VAL_IGNORE);
//  SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_LIST_REPEAT_COUNTER);
//  SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_WIDTH, 55);
    SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_TOP, 432);
    SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_LEFT, 117);
    SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_LIST_REPEAT_COUNTER, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_NUMBER_OF_LIST_REP
    ROD_NUMBER_OF_LIST_REP = NewCtrl (hPanel, CTRL_NUMERIC, "Repetitions", 448, 47);
    SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_CONSTANT_NAME, "NUMBER_OF_LIST_REP");
//  SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_CALLBACK_FUNCTION_POINTER, changeNumberOfListRep);
    SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_WIDTH, 56);
    SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_CHECK_RANGE, VAL_IGNORE);
//  SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_NUMBER_OF_LIST_REP);
//  SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_WIDTH, 60);
    SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_TOP, 432);
    SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_LEFT, 51);
    SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_NUMBER_OF_LIST_REP, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_RESET_REP_NUM
    ROD_RESET_REP_NUM = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "Stop", 472, 63);
    SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_CONSTANT_NAME, "RESET_REP_NUM");
//  SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_CALLBACK_FUNCTION_POINTER, hostOptions);
    SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_RESET_REP_NUM);
    SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_HEIGHT, 18);
    SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_WIDTH, 36);

    // Build control: ROD_STAT_REG_3
    ROD_STAT_REG_3 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Paused", 184, 71);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_CONSTANT_NAME, "STAT_REG_3");
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_WIDTH, 39);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_STAT_REG_3);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_ON_COLOR, 0XFFFF33);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_TOP, 184);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_LEFT, 31);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: ROD_STAT_REG_2
    ROD_STAT_REG_2 = NewCtrl (hPanel, CTRL_SQUARE_LED, "Executing", 169, 71);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_CONSTANT_NAME, "STAT_REG_2");
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_WIDTH, 50);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_HEIGHT, 18);
//  SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_STAT_REG_2);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_TOP, 168);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_LEFT, 20);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_LABEL_SIZE_TO_TEXT, 0);

    // Build control: ROD_SLAVE3
    ROD_SLAVE3 = NewCtrl (hPanel, CTRL_ROUND_LED, "3", 73, 121);
    SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_CONSTANT_NAME, "SLAVE3");
//  SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_SLAVE3);
    SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_HEIGHT, 20);
    SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_WIDTH, 20);
    SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_TOP, 75);
    SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_LEFT, 126);
    SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_SLAVE2
    ROD_SLAVE2 = NewCtrl (hPanel, CTRL_ROUND_LED, "2", 73, 101);
    SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_CONSTANT_NAME, "SLAVE2");
//  SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_SLAVE2);
    SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_HEIGHT, 20);
    SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_WIDTH, 20);
    SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_TOP, 75);
    SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_LEFT, 106);
    SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_SLAVE1
    ROD_SLAVE1 = NewCtrl (hPanel, CTRL_ROUND_LED, "1", 73, 81);
    SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_CONSTANT_NAME, "SLAVE1");
//  SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_SLAVE1);
    SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_HEIGHT, 20);
    SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_WIDTH, 20);
    SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_TOP, 75);
    SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_LEFT, 86);
    SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_SLAVE0
    ROD_SLAVE0 = NewCtrl (hPanel, CTRL_ROUND_LED, "0", 73, 61);
    SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_CONSTANT_NAME, "SLAVE0");
//  SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_SLAVE0);
    SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_HEIGHT, 20);
    SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_WIDTH, 20);
    SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_TOP, 75);
    SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_LEFT, 66);
    SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_ROD_STAT_REG1
    ROD_ROD_STAT_REG1 = NewCtrl (hPanel, CTRL_NUMERIC, "Status1", 345, 19);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_CONSTANT_NAME, "ROD_STAT_REG1");
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_FRAME_COLOR, 0X009933);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_WIDTH, 46);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_ROD_STAT_REG1);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_WIDTH, 70);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_TOP, 330);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_LEFT, 34);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_ROD_STAT_REG1, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_LIST_INDEX
    ROD_LIST_INDEX = NewCtrl (hPanel, CTRL_NUMERIC, "List Index", 345, 93);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_CONSTANT_NAME, "LIST_INDEX");
//  SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_FRAME_COLOR, 0X006699);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_WIDTH, 58);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_LIST_INDEX);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_WIDTH, 70);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_TOP, 330);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_LEFT, 101);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_LIST_INDEX, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_READ_STATUS
    ROD_READ_STATUS = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "READ STATUS", 378, 63);
    SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_CONSTANT_NAME, "READ_STATUS");
//  SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_CALLBACK_FUNCTION_POINTER, hostOptions);
    SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_READ_STATUS);
    SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_WIDTH, 80);

    // Build control: ROD_SLOT_NUMBER
    ROD_SLOT_NUMBER = NewCtrl (hPanel, CTRL_NUMERIC, "Slot#", 38, 9);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_CONSTANT_NAME, "SLOT_NUMBER");
//  SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
//  SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_WIDTH, 28);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_TEXT_COLOR, 0XFFFF99);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_TEXT_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_TEXT_BGCOLOR, 0X006699);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_MAX_VALUE, 21);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_MIN_VALUE, 1);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_DFLT_VALUE, 1);
    DefaultCtrl (hPanel, ROD_SLOT_NUMBER);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_WIDTH, 30);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_TOP, 25);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_LEFT, 10);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_SLOT_NUMBER, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_XFERBUFF_READRQ_OPT
    ROD_XFERBUFF_READRQ_OPT = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 318, 150);
    SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_CONSTANT_NAME, "XFERBUFF_READRQ_OPT");
//  SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_CALLBACK_FUNCTION_POINTER, hostOptions);
    SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_BGCOLOR, 0XB0B0B0);
//  SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_TEXT_POINT_SIZE, 8);
//  SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_XFERBUFF_READRQ_OPT);
    SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_ON_COLOR, 0XFF9966);
    SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_OFF_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_ON_TEXT, "EN");
    SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_OFF_TEXT, "DIS");
    SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_WIDTH, 24);
    SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_TOP, 297);
    SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_LEFT, 133);
    SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_WIN_SIZE
    ROD_WIN_SIZE = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 37, 368);
    SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_CONSTANT_NAME, "WIN_SIZE");
//  SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_CALLBACK_FUNCTION_POINTER, hostOptions);
    SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_BGCOLOR, 0XB0B0B0);
//  SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_TEXT_POINT_SIZE, 8);
    SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_DFLT_VALUE, 1);
    DefaultCtrl (hPanel, ROD_WIN_SIZE);
    SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_ON_COLOR, 0XFF9966);
    SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_OFF_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_ON_TEXT, "<<");
    SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_OFF_TEXT, ">>");
    SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_WIDTH, 24);
    SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_TOP, 22);
    SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_LEFT, 351);
    SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_ERRBUFF_READRQ_OPT
    ROD_ERRBUFF_READRQ_OPT = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 270, 150);
    SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_CONSTANT_NAME, "ERRBUFF_READRQ_OPT");
//  SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_CALLBACK_FUNCTION_POINTER, hostOptions);
    SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_BGCOLOR, 0XB0B0B0);
//  SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_TEXT_POINT_SIZE, 8);
//  SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_ERRBUFF_READRQ_OPT);
    SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_ON_COLOR, 0XFF9966);
    SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_OFF_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_ON_TEXT, "EN");
    SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_OFF_TEXT, "DIS");
    SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_WIDTH, 24);
    SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_TOP, 249);
    SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_LEFT, 133);
    SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_INFOBUFF_READRQ_OPT
    ROD_INFOBUFF_READRQ_OPT = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 286, 150);
    SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_CONSTANT_NAME, "INFOBUFF_READRQ_OPT");
//  SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_CALLBACK_FUNCTION_POINTER, hostOptions);
    SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_BGCOLOR, 0XB0B0B0);
//  SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_TEXT_POINT_SIZE, 8);
//  SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_INFOBUFF_READRQ_OPT);
    SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_ON_COLOR, 0XFF9966);
    SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_OFF_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_ON_TEXT, "EN");
    SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_OFF_TEXT, "DIS");
    SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_WIDTH, 24);
    SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_TOP, 265);
    SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_LEFT, 133);
    SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_DIAGBUFF_READRQ_OPT
    ROD_DIAGBUFF_READRQ_OPT = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 302, 150);
    SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_CONSTANT_NAME, "DIAGBUFF_READRQ_OPT");
//  SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_CALLBACK_FUNCTION_POINTER, hostOptions);
    SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_BGCOLOR, 0XB0B0B0);
//  SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_TEXT_POINT_SIZE, 8);
//  SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_DIAGBUFF_READRQ_OPT);
    SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_ON_COLOR, 0XFF9966);
    SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_OFF_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_ON_TEXT, "EN");
    SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_OFF_TEXT, "DIS");
    SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_WIDTH, 24);
    SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_TOP, 281);
    SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_LEFT, 133);
    SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_DMA_REQ_BUTTON
    ROD_DMA_REQ_BUTTON = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 234, 150);
    SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_CONSTANT_NAME, "DMA_REQ_BUTTON");
    SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_VISIBLE, 0);
    SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_CALLBACK_FUNCTION_POINTER, hostOptions);
    SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_WIDTH, 6);
    SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_HEIGHT, 9);
//  SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_BGCOLOR, 0XB0B0B0);
//  SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_TEXT_POINT_SIZE, 8);
//  SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_DMA_REQ_BUTTON);
    SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_ON_COLOR, 0XFF9966);
    SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_OFF_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_WIDTH, 24);
    SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_TOP, 213);
    SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_LEFT, 133);
    SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_RESUME_BUTTON
    ROD_RESUME_BUTTON = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 169, 150);
    SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_CONSTANT_NAME, "RESUME_BUTTON");
//  SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_CALLBACK_FUNCTION_POINTER, hostOptions);
    SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_WIDTH, 6);
    SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_HEIGHT, 9);
//  SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_BGCOLOR, 0XB0B0B0);
//  SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_TEXT_POINT_SIZE, 8);
//  SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_RESUME_BUTTON);
    SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_ON_COLOR, 0XFF9966);
    SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_OFF_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_WIDTH, 24);
    SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_TOP, 148);
    SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_LEFT, 133);
    SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_PAUSE_BUTTON
    ROD_PAUSE_BUTTON = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 185, 150);
    SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_CONSTANT_NAME, "PAUSE_BUTTON");
//  SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_CALLBACK_FUNCTION_POINTER, hostOptions);
    SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_WIDTH, 6);
    SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_HEIGHT, 9);
//  SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_BGCOLOR, 0XB0B0B0);
//  SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_TEXT_POINT_SIZE, 8);
//  SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_PAUSE_BUTTON);
    SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_ON_COLOR, 0XFF9966);
    SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_OFF_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_WIDTH, 24);
    SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_TOP, 164);
    SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_LEFT, 133);
    SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_ABORT_BUTTON
    ROD_ABORT_BUTTON = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 146, 150);
    SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_CONSTANT_NAME, "ABORT_BUTTON");
//  SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_CALLBACK_FUNCTION_POINTER, hostOptions);
    SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_BGCOLOR, 0XB0B0B0);
//  SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_TEXT_POINT_SIZE, 8);
//  SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_ABORT_BUTTON);
    SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_AUTO_SIZING, VAL_NEVER_AUTO_SIZE);
    SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_ON_COLOR, 0XFF9966);
    SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_OFF_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_WIDTH, 24);
    SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_TOP, 125);
    SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_LEFT, 133);
    SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_HOST_RUNNING
    ROD_HOST_RUNNING = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 37, 48);
    SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_CONSTANT_NAME, "HOST_RUNNING");
//  SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_CALLBACK_FUNCTION_POINTER, hostEnabledAndInit);
    SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_BGCOLOR, 0XB8C7C9);
//  SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_TEXT_POINT_SIZE, 10);
//  SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_HOST_RUNNING);
//  SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_ON_COLOR, 0X32E768);
    SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_OFF_COLOR, 0XF4342F);
    SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_ON_TEXT, "ENABLED");
    SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_OFF_TEXT, "DISABLED");
    SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_WIDTH, 74);
    SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_TOP, 16);
    SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_LEFT, 31);
    SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_MDSP_SP0
    ROD_MDSP_SP0 = NewCtrl (hPanel, CTRL_RING, "", 122, 196);
    SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_CONSTANT_NAME, "MDSP_SP0");
//  SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, ROD_MDSP_SP0, 0, "TIM", 1);
    InsertListItem (hPanel, ROD_MDSP_SP0, 1, "MDSP-SP0", 0);
//  SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_FRAME_COLOR, 0XB8C7C9);
//  SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_TEXT_BGCOLOR, 0XC7D2D3);
//  SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, ROD_MDSP_SP0);
    SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_WIDTH, 60);
    SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_TOP, 107);
    SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_LEFT, 205);
    SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: ROD_MEMORY
    ROD_MEMORY = NewCtrl (hPanel, CTRL_RING, "InMem Size", 39, 320);
    SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_CONSTANT_NAME, "MEMORY");
//  SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, ROD_MEMORY, 0, "32k", 1);
    InsertListItem (hPanel, ROD_MEMORY, 1, "4k", 0);
//  SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_FRAME_COLOR, 0XD4D0C8);
//  SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_WIDTH, 58);
    SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_TEXT_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_DFLT_INDEX, 1);
    DefaultCtrl (hPanel, ROD_MEMORY);
    SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_WIDTH, 41);
    SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_TOP, 24);
    SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_LEFT, 312);
    SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: ROD_PIXEL_NOT_SCT
    ROD_PIXEL_NOT_SCT = NewCtrl (hPanel, CTRL_RING, "Type", 39, 268);
    SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_CONSTANT_NAME, "PIXEL_NOT_SCT");
//  SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, ROD_PIXEL_NOT_SCT, 0, "SCT", 0);
    InsertListItem (hPanel, ROD_PIXEL_NOT_SCT, 1, "Pixel", 1);
//  SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_FRAME_COLOR, 0XD4D0C8);
//  SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_WIDTH, 27);
    SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_TEXT_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_DFLT_INDEX, 1);
    DefaultCtrl (hPanel, ROD_PIXEL_NOT_SCT);
    SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_WIDTH, 48);
    SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_TOP, 24);
    SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_LEFT, 277);
    SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: ROD_TEST_PATH
    ROD_TEST_PATH = NewCtrl (hPanel, CTRL_SQUARE_LED, "Test", 77, 320);
    SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_CONSTANT_NAME, "TEST_PATH");
//  SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_WIDTH, 24);
    SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_TEST_PATH);
    SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_ON_COLOR, 0XFFE26F);
    SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_TOP, 78);
    SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_LEFT, 338);
    SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_TRAP_EN_DSP3
    ROD_TRAP_EN_DSP3 = NewCtrl (hPanel, CTRL_SQUARE_LED, "3", 417, 195);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_CONSTANT_NAME, "TRAP_EN_DSP3");
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_TRAP_EN_DSP3);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_HEIGHT, 18);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_WIDTH, 18);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_TOP, 418);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_LEFT, 199);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_TRAP_EN_DSP2
    ROD_TRAP_EN_DSP2 = NewCtrl (hPanel, CTRL_SQUARE_LED, "2", 398, 195);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_CONSTANT_NAME, "TRAP_EN_DSP2");
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_TRAP_EN_DSP2);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_HEIGHT, 18);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_WIDTH, 18);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_TOP, 400);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_LEFT, 199);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_TRAP_EN_DSP1
    ROD_TRAP_EN_DSP1 = NewCtrl (hPanel, CTRL_SQUARE_LED, "1", 379, 195);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_CONSTANT_NAME, "TRAP_EN_DSP1");
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_TRAP_EN_DSP1);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_HEIGHT, 18);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_WIDTH, 18);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_TOP, 381);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_LEFT, 199);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_TRAP_LD3
    ROD_TRAP_LD3 = NewCtrl (hPanel, CTRL_ROUND_LED, "", 418, 304);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_CONSTANT_NAME, "TRAP_LD3");
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_TRAP_LD3);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_TOP, 404);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_LEFT, 308);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_TRAP_FF3
    ROD_TRAP_FF3 = NewCtrl (hPanel, CTRL_ROUND_LED, "", 418, 288);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_CONSTANT_NAME, "TRAP_FF3");
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_TRAP_FF3);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_ON_COLOR, 0XF4342F);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_TOP, 404);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_LEFT, 292);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_TRAP_LD2
    ROD_TRAP_LD2 = NewCtrl (hPanel, CTRL_ROUND_LED, "", 399, 304);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_CONSTANT_NAME, "TRAP_LD2");
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_TRAP_LD2);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_TOP, 385);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_LEFT, 308);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_TRAP_EF3
    ROD_TRAP_EF3 = NewCtrl (hPanel, CTRL_ROUND_LED, "", 418, 272);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_CONSTANT_NAME, "TRAP_EF3");
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_TRAP_EF3);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_TOP, 404);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_LEFT, 276);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_TRAP_LD1
    ROD_TRAP_LD1 = NewCtrl (hPanel, CTRL_ROUND_LED, "", 380, 304);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_CONSTANT_NAME, "TRAP_LD1");
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_TRAP_LD1);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_TOP, 366);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_LEFT, 308);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_TRAP_FF2
    ROD_TRAP_FF2 = NewCtrl (hPanel, CTRL_ROUND_LED, "", 399, 288);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_CONSTANT_NAME, "TRAP_FF2");
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_TRAP_FF2);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_ON_COLOR, 0XF4342F);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_TOP, 385);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_LEFT, 292);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_TRAP_LD0
    ROD_TRAP_LD0 = NewCtrl (hPanel, CTRL_ROUND_LED, "LD", 361, 304);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_CONSTANT_NAME, "TRAP_LD0");
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_WIDTH, 17);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_TRAP_LD0);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_TOP, 346);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_LEFT, 304);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_TRAP_ON3
    ROD_TRAP_ON3 = NewCtrl (hPanel, CTRL_ROUND_LED, "", 418, 257);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_CONSTANT_NAME, "TRAP_ON3");
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_TRAP_ON3);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_TOP, 404);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_LEFT, 261);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_TRAP_FF1
    ROD_TRAP_FF1 = NewCtrl (hPanel, CTRL_ROUND_LED, "", 380, 288);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_CONSTANT_NAME, "TRAP_FF1");
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_TRAP_FF1);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_ON_COLOR, 0XF4342F);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_TOP, 366);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_LEFT, 292);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_TRAP_EF2
    ROD_TRAP_EF2 = NewCtrl (hPanel, CTRL_ROUND_LED, "", 399, 272);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_CONSTANT_NAME, "TRAP_EF2");
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_TRAP_EF2);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_TOP, 385);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_LEFT, 276);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_TRAP_FF0
    ROD_TRAP_FF0 = NewCtrl (hPanel, CTRL_ROUND_LED, "FF", 361, 288);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_CONSTANT_NAME, "TRAP_FF0");
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_COLOR, 0X990000);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_TRAP_FF0);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_ON_COLOR, 0XF4342F);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_TOP, 346);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_LEFT, 289);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_TRAP_ON2
    ROD_TRAP_ON2 = NewCtrl (hPanel, CTRL_ROUND_LED, "", 399, 257);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_CONSTANT_NAME, "TRAP_ON2");
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_TRAP_ON2);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_TOP, 385);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_LEFT, 261);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_TRAP_EF1
    ROD_TRAP_EF1 = NewCtrl (hPanel, CTRL_ROUND_LED, "", 380, 272);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_CONSTANT_NAME, "TRAP_EF1");
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_TRAP_EF1);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_TOP, 366);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_LEFT, 276);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_TRAP_ON1
    ROD_TRAP_ON1 = NewCtrl (hPanel, CTRL_ROUND_LED, "", 380, 257);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_CONSTANT_NAME, "TRAP_ON1");
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_TRAP_ON1);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_TOP, 366);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_LEFT, 261);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_TRAP_EF0
    ROD_TRAP_EF0 = NewCtrl (hPanel, CTRL_ROUND_LED, "EF", 361, 272);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_CONSTANT_NAME, "TRAP_EF0");
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_WIDTH, 16);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_TRAP_EF0);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_TOP, 346);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_LEFT, 272);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_TRAP_ON0
    ROD_TRAP_ON0 = NewCtrl (hPanel, CTRL_ROUND_LED, "On", 361, 257);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_CONSTANT_NAME, "TRAP_ON0");
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_WIDTH, 17);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_TRAP_ON0);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_TOP, 346);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_LEFT, 256);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_TRAP_EN_DSP0
    ROD_TRAP_EN_DSP0 = NewCtrl (hPanel, CTRL_SQUARE_LED, "0", 360, 195);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_CONSTANT_NAME, "TRAP_EN_DSP0");
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_TRAP_EN_DSP0);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_HEIGHT, 18);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_WIDTH, 18);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_TOP, 361);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_LEFT, 199);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_EVID_ERROR
    ROD_EVID_ERROR = NewCtrl (hPanel, CTRL_ROUND_LED, "Event ID Empty Error", 254, 273);
    SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_CONSTANT_NAME, "EVID_ERROR");
//  SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_WIDTH, 102);
    SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_EVID_ERROR);
    SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_ON_COLOR, 0XF4342F);
    SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_TOP, 254);
    SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_LEFT, 288);
    SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_EM_FULL_1
    ROD_EM_FULL_1 = NewCtrl (hPanel, CTRL_ROUND_LED, "FF", 486, 347);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_CONSTANT_NAME, "EM_FULL_1");
//  SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_COLOR, 0X990000);
//  SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_EM_FULL_1);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_ON_COLOR, 0XF4342F);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_TOP, 486);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_LEFT, 362);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_EM_EMPTY_1
    ROD_EM_EMPTY_1 = NewCtrl (hPanel, CTRL_ROUND_LED, "EF", 486, 316);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_CONSTANT_NAME, "EM_EMPTY_1");
//  SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_COLOR, 0X006600);
//  SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_WIDTH, 16);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_EM_EMPTY_1);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_TOP, 486);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_LEFT, 330);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_EM_FULL_0
    ROD_EM_FULL_0 = NewCtrl (hPanel, CTRL_ROUND_LED, "FF", 470, 347);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_CONSTANT_NAME, "EM_FULL_0");
//  SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_COLOR, 0X990000);
//  SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_EM_FULL_0);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_ON_COLOR, 0XF4342F);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_TOP, 470);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_LEFT, 362);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_EM_EMPTY_0
    ROD_EM_EMPTY_0 = NewCtrl (hPanel, CTRL_ROUND_LED, "EF", 470, 316);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_CONSTANT_NAME, "EM_EMPTY_0");
//  SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_COLOR, 0X006600);
//  SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_WIDTH, 16);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_EM_EMPTY_0);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_TOP, 470);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_LEFT, 330);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_FIFO_EFB_FULL
    ROD_FIFO_EFB_FULL = NewCtrl (hPanel, CTRL_ROUND_LED, "FF", 254, 214);
    SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_CONSTANT_NAME, "FIFO_EFB_FULL");
//  SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_COLOR, 0X990000);
//  SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_FIFO_EFB_FULL);
    SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_ON_COLOR, 0XF4342F);
    SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_TOP, 253);
    SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_LEFT, 255);
    SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_FIFO_1_FULL
    ROD_FIFO_1_FULL = NewCtrl (hPanel, CTRL_ROUND_LED, "FF", 222, 283);
    SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_CONSTANT_NAME, "FIFO_1_FULL");
//  SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_COLOR, 0X990000);
//  SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_FIFO_1_FULL);
    SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_ON_COLOR, 0XF4342F);
    SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_TOP, 222);
    SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_LEFT, 333);
    SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_FIFO_0_FULL
    ROD_FIFO_0_FULL = NewCtrl (hPanel, CTRL_ROUND_LED, "FF", 222, 213);
    SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_CONSTANT_NAME, "FIFO_0_FULL");
//  SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_COLOR, 0X990000);
//  SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_FIFO_0_FULL);
    SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_ON_COLOR, 0XF4342F);
    SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_TOP, 222);
    SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_LEFT, 264);
    SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_ALL_ZERO
    ROD_ALL_ZERO = NewCtrl (hPanel, CTRL_ROUND_LED, "All Zero", 177, 296);
    SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_CONSTANT_NAME, "ALL_ZERO");
//  SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_WIDTH, 39);
    SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_ALL_ZERO);
    SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_ON_COLOR, 0XFFE26F);
    SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_TOP, 177);
    SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_LEFT, 311);
    SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_ROD_BUSY_0
    ROD_ROD_BUSY_0 = NewCtrl (hPanel, CTRL_SQUARE_LED, "A", 547, 195);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_CONSTANT_NAME, "ROD_BUSY_0");
//  SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_ROD_BUSY_0);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_ON_COLOR, 0XFF7553);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_TOP, 548);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_LEFT, 199);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_ROD_BUSY_1
    ROD_ROD_BUSY_1 = NewCtrl (hPanel, CTRL_SQUARE_LED, "B", 547, 211);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_CONSTANT_NAME, "ROD_BUSY_1");
//  SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_ROD_BUSY_1);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_ON_COLOR, 0XFF7553);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_TOP, 548);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_LEFT, 215);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_HT_LIMIT_0
    ROD_HT_LIMIT_0 = NewCtrl (hPanel, CTRL_SQUARE_LED, "A", 532, 195);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_CONSTANT_NAME, "HT_LIMIT_0");
//  SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_HT_LIMIT_0);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_ON_COLOR, 0XFFE26F);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_TOP, 533);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_LEFT, 199);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_HT_LIMIT_1
    ROD_HT_LIMIT_1 = NewCtrl (hPanel, CTRL_SQUARE_LED, "B", 532, 211);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_CONSTANT_NAME, "HT_LIMIT_1");
//  SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_HT_LIMIT_1);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_ON_COLOR, 0XFFE26F);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_TOP, 533);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_LEFT, 215);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_TEST_BENCH_RUN
    ROD_TEST_BENCH_RUN = NewCtrl (hPanel, CTRL_ROUND_LED, "Run", 315, 296);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_CONSTANT_NAME, "TEST_BENCH_RUN");
//  SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_WIDTH, 23);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_TEST_BENCH_RUN);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_ON_COLOR, 0XFFE26F);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_TOP, 315);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_LEFT, 311);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_DEBUG_FIFO
    ROD_DEBUG_FIFO = NewCtrl (hPanel, CTRL_ROUND_LED, "Debug FIFO I/O", 460, 197);
    SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_CONSTANT_NAME, "DEBUG_FIFO");
//  SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_WIDTH, 80);
    SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_DEBUG_FIFO);
    SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_TOP, 460);
    SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_LEFT, 212);
    SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_TEST_BENCH
    ROD_TEST_BENCH = NewCtrl (hPanel, CTRL_ROUND_LED, "Test Bench I/O", 315, 196);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_CONSTANT_NAME, "TEST_BENCH");
//  SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_WIDTH, 77);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_TEST_BENCH);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_TOP, 315);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_LEFT, 211);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_EFB_DM
    ROD_EFB_DM = NewCtrl (hPanel, CTRL_ROUND_LED, "EFB DynMask Encoder", 238, 196);
    SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_CONSTANT_NAME, "EFB_DM");
//  SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_WIDTH, 114);
    SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_EFB_DM);
    SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_TOP, 238);
    SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_LEFT, 212);
    SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_FORM_MB
    ROD_FORM_MB = NewCtrl (hPanel, CTRL_ROUND_LED, "Formatter ModeBits Encoder", 207, 196);
    SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_CONSTANT_NAME, "FORM_MB");
//  SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_WIDTH, 137);
    SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_FORM_MB);
    SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_TOP, 207);
    SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_LEFT, 211);
    SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_CAL_SIGNAL_DEC
    ROD_CAL_SIGNAL_DEC = NewCtrl (hPanel, CTRL_ROUND_LED, "Cal Signal Decoder", 193, 236);
    SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_CONSTANT_NAME, "CAL_SIGNAL_DEC");
//  SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_WIDTH, 94);
    SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_CAL_SIGNAL_DEC);
    SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_TOP, 193);
    SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_LEFT, 252);
    SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_TRG_SIGNAL_DEC
    ROD_TRG_SIGNAL_DEC = NewCtrl (hPanel, CTRL_ROUND_LED, "TIM", 192, 196);
    SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_CONSTANT_NAME, "TRG_SIGNAL_DEC");
//  SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_WIDTH, 22);
    SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_TRG_SIGNAL_DEC);
    SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_TOP, 192);
    SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_LEFT, 211);
    SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_CMD_MASK_READY
    ROD_CMD_MASK_READY = NewCtrl (hPanel, CTRL_ROUND_LED, "Mask", 123, 359);
    SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_CONSTANT_NAME, "CMD_MASK_READY");
//  SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_WIDTH, 29);
    SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_CMD_MASK_READY);
    SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_OFF_COLOR, VAL_RED);
    SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_TOP, 107);
    SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_LEFT, 355);
    SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_FE_CMD_PULSE_COUNT
    ROD_FE_CMD_PULSE_COUNT = NewCtrl (hPanel, CTRL_ROUND_LED, "FE CMD Pulse Counter", 161, 196);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_CONSTANT_NAME, "FE_CMD_PULSE_COUNT");
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_WIDTH, 112);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_FE_CMD_PULSE_COUNT);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_TOP, 161);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_LEFT, 211);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_FE_OCCUP
    ROD_FE_OCCUP = NewCtrl (hPanel, CTRL_ROUND_LED, "FE Occ Counters", 176, 196);
    SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_CONSTANT_NAME, "FE_OCCUP");
//  SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_WIDTH, 84);
    SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_FE_OCCUP);
    SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_TOP, 176);
    SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_LEFT, 211);
    SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_FE_CMD_PLS_COUNTER
    ROD_FE_CMD_PLS_COUNTER = NewCtrl (hPanel, CTRL_NUMERIC, "", 160, 324);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_CONSTANT_NAME, "FE_CMD_PLS_COUNTER");
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_FRAME_COLOR, 0XD4D0C8);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_FE_CMD_PLS_COUNTER);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_WIDTH, 33);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_TOP, 145);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_LEFT, 326);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_FE_CMD_PLS_COUNTER, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_INTERNAL_TIM
    ROD_INTERNAL_TIM = NewCtrl (hPanel, CTRL_ROUND_LED, "Int TIM En", 505, 197);
    SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_CONSTANT_NAME, "INTERNAL_TIM");
//  SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_WIDTH, 53);
    SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_INTERNAL_TIM);
    SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_OFF_COLOR, 0XBBBFC6);
    SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_TOP, 505);
    SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_LEFT, 213);
    SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_IN_MEM
    ROD_IN_MEM = NewCtrl (hPanel, CTRL_ROUND_LED, "InMem En", 475, 197);
    SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_CONSTANT_NAME, "IN_MEM");
//  SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_WIDTH, 51);
    SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_IN_MEM);
    SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_OFF_COLOR, 0XBBBFC6);
    SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_TOP, 475);
    SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_LEFT, 213);
    SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_DEBUG_MEM
    ROD_DEBUG_MEM = NewCtrl (hPanel, CTRL_ROUND_LED, "DebugMem En", 490, 197);
    SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_CONSTANT_NAME, "DEBUG_MEM");
//  SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_WIDTH, 74);
    SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_DEBUG_MEM);
    SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_OFF_COLOR, 0XBBBFC6);
    SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_TOP, 490);
    SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_LEFT, 212);
    SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_CORR_TRIGGER
    ROD_CORR_TRIGGER = NewCtrl (hPanel, CTRL_ROUND_LED, "CorrTrig En", 520, 276);
    SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_CONSTANT_NAME, "CORR_TRIGGER");
//  SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_WIDTH, 56);
    SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_CORR_TRIGGER);
    SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_OFF_COLOR, 0XBBBFC6);
    SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_TOP, 520);
    SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_LEFT, 291);
    SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_FORM_MB_EFB
    ROD_FORM_MB_EFB = NewCtrl (hPanel, CTRL_ROUND_LED, "FMB/EFBDM En", 504, 276);
    SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_CONSTANT_NAME, "FORM_MB_EFB");
//  SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_WIDTH, 83);
    SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_FORM_MB_EFB);
    SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_TOP, 504);
    SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_LEFT, 292);
    SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_FE_CMD_OUT
    ROD_FE_CMD_OUT = NewCtrl (hPanel, CTRL_ROUND_LED, "FE CMD OUT Enabled", 103, 196);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_CONSTANT_NAME, "FE_CMD_OUT");
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_WIDTH, 111);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_FE_CMD_OUT);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_ON_COLOR, 0X00CC00);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_TOP, 104);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_LEFT, 214);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_DATA_PATH
    ROD_DATA_PATH = NewCtrl (hPanel, CTRL_SQUARE_LED, "Data", 77, 205);
    SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_CONSTANT_NAME, "DATA_PATH");
//  SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_WIDTH, 26);
    SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_DATA_PATH);
    SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_ON_COLOR, 0XFFE26F);
    SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_TOP, 78);
    SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_LEFT, 223);
    SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_MASK1_1
    ROD_MASK1_1 = NewCtrl (hPanel, CTRL_NUMERIC, "MDSP-SP1", 141, 257);
    SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_CONSTANT_NAME, "MASK1_1");
//  SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_FRAME_COLOR, 0XD4D0C8);
    SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_WIDTH, 57);
    SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_MAX_VALUE, 65535);
    SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_PADDING, 4);
    SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_MASK1_1);
    SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_WIDTH, 42);
    SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_TOP, 144);
    SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_LEFT, 198);
    SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_MASK1_1, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_MASK0_1
    ROD_MASK0_1 = NewCtrl (hPanel, CTRL_NUMERIC, "", 122, 257);
    SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_CONSTANT_NAME, "MASK0_1");
//  SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_FRAME_COLOR, 0XD4D0C8);
    SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_MAX_VALUE, 65535);
    SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_PADDING, 4);
    SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_MASK0_1);
    SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_WIDTH, 42);
    SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_TOP, 108);
    SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_LEFT, 255);
    SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_MASK0_1, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_MASK1_0
    ROD_MASK1_0 = NewCtrl (hPanel, CTRL_NUMERIC, "", 141, 290);
    SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_CONSTANT_NAME, "MASK1_0");
//  SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_FRAME_COLOR, 0XD4D0C8);
    SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_BGCOLOR, 0XB8C7C9);
//  SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_MASK1_0);
    SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_TOP, 123);
    SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_LEFT, 301);
    SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_MASK1_0, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_MASK0_0
    ROD_MASK0_0 = NewCtrl (hPanel, CTRL_NUMERIC, "", 122, 290);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_CONSTANT_NAME, "MASK0_0");
//  SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_FRAME_COLOR, 0XD4D0C8);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_HEIGHT, 14);
//  SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_MASK0_0);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_TOP, 113);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_LEFT, 286);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_MASK0_0, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TRAP3
    ROD_TRAP3 = NewCtrl (hPanel, CTRL_RING, "", 416, 215);
    SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_CONSTANT_NAME, "TRAP3");
//  SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, ROD_TRAP3, 0, "NONE", 0);
    InsertListItem (hPanel, ROD_TRAP3, 1, "ATLAS", 1);
    InsertListItem (hPanel, ROD_TRAP3, 2, "TIM", 2);
    InsertListItem (hPanel, ROD_TRAP3, 3, "ROD", 4);
    InsertListItem (hPanel, ROD_TRAP3, 4, "ALL", 8);
//  SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_TEXT_BGCOLOR, 0XF7F7F7);
//  SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, ROD_TRAP3);
    SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_WIDTH, 42);
    SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_TOP, 401);
    SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_LEFT, 220);
    SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: ROD_TRAP2
    ROD_TRAP2 = NewCtrl (hPanel, CTRL_RING, "", 397, 215);
    SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_CONSTANT_NAME, "TRAP2");
//  SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, ROD_TRAP2, 0, "NONE", 0);
    InsertListItem (hPanel, ROD_TRAP2, 1, "ATLAS", 1);
    InsertListItem (hPanel, ROD_TRAP2, 2, "TIM", 2);
    InsertListItem (hPanel, ROD_TRAP2, 3, "ROD", 4);
    InsertListItem (hPanel, ROD_TRAP2, 4, "ALL", 8);
//  SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_TEXT_BGCOLOR, 0XF7F7F7);
//  SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, ROD_TRAP2);
    SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_WIDTH, 42);
    SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_TOP, 382);
    SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_LEFT, 220);
    SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: ROD_TRAP1
    ROD_TRAP1 = NewCtrl (hPanel, CTRL_RING, "", 378, 215);
    SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_CONSTANT_NAME, "TRAP1");
//  SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, ROD_TRAP1, 0, "NONE", 0);
    InsertListItem (hPanel, ROD_TRAP1, 1, "ATLAS", 1);
    InsertListItem (hPanel, ROD_TRAP1, 2, "TIM", 2);
    InsertListItem (hPanel, ROD_TRAP1, 3, "ROD", 4);
    InsertListItem (hPanel, ROD_TRAP1, 4, "ALL", 8);
//  SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_TEXT_BGCOLOR, 0XF7F7F7);
//  SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, ROD_TRAP1);
    SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_WIDTH, 42);
    SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_TOP, 363);
    SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_LEFT, 220);
    SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: ROD_MODE
    ROD_MODE = NewCtrl (hPanel, CTRL_RING, "", 77, 252);
    SetCtrlAttribute (hPanel, ROD_MODE, ATTR_CONSTANT_NAME, "MODE");
//  SetCtrlAttribute (hPanel, ROD_MODE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_MODE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_MODE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_MODE, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, ROD_MODE, 0, "MODE 0", 0);
    InsertListItem (hPanel, ROD_MODE, 1, "MODE 1", 1);
    InsertListItem (hPanel, ROD_MODE, 2, "MODE 2", 2);
    InsertListItem (hPanel, ROD_MODE, 3, "MODE 3", 3);
    InsertListItem (hPanel, ROD_MODE, 4, "MODE 4", 4);
    InsertListItem (hPanel, ROD_MODE, 5, "MODE 5", 5);
    InsertListItem (hPanel, ROD_MODE, 6, "MODE 6", 6);
    InsertListItem (hPanel, ROD_MODE, 7, "MODE 7", 7);
    InsertListItem (hPanel, ROD_MODE, 8, "MODE 8", 8);
    InsertListItem (hPanel, ROD_MODE, 9, "MODE 9", 9);
    InsertListItem (hPanel, ROD_MODE, 10, "MODE 10", 10);
    InsertListItem (hPanel, ROD_MODE, 11, "MODE 11", 11);
    InsertListItem (hPanel, ROD_MODE, 12, "MODE 12", 12);
    InsertListItem (hPanel, ROD_MODE, 13, "MODE 13", 13);
    InsertListItem (hPanel, ROD_MODE, 14, "MODE 14", 14);
    InsertListItem (hPanel, ROD_MODE, 15, "MODE 15", 15);
//  SetCtrlAttribute (hPanel, ROD_MODE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_MODE, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, ROD_MODE, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, ROD_MODE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_MODE, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_MODE, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_MODE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_MODE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_MODE, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_MODE, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_MODE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_MODE, ATTR_TEXT_BGCOLOR, 0XF7F7F7);
//  SetCtrlAttribute (hPanel, ROD_MODE, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, ROD_MODE);
    SetCtrlAttribute (hPanel, ROD_MODE, ATTR_WIDTH, 52);
    SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_TOP, 62);
    SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_LEFT, 259);
    SetCtrlAttribute (hPanel, ROD_MODE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_MODE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: ROD_FORMAT3
    ROD_FORMAT3 = NewCtrl (hPanel, CTRL_RING, "", 417, 320);
    SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_CONSTANT_NAME, "FORMAT3");
//  SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, ROD_FORMAT3, 0, "S-link/Event", 0);
    InsertListItem (hPanel, ROD_FORMAT3, 1, "Error/Event", 1);
    InsertListItem (hPanel, ROD_FORMAT3, 2, "S-link/Data", 2);
    InsertListItem (hPanel, ROD_FORMAT3, 3, "Error/Data", 3);
//  SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_TEXT_BGCOLOR, 0XF7F7F7);
//  SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, ROD_FORMAT3);
    SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_WIDTH, 55);
    SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_TOP, 402);
    SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_LEFT, 331);
    SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: ROD_FORMAT2
    ROD_FORMAT2 = NewCtrl (hPanel, CTRL_RING, "", 398, 320);
    SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_CONSTANT_NAME, "FORMAT2");
//  SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, ROD_FORMAT2, 0, "S-link/Event", 0);
    InsertListItem (hPanel, ROD_FORMAT2, 1, "Error/Event", 1);
    InsertListItem (hPanel, ROD_FORMAT2, 2, "S-link/Data", 2);
    InsertListItem (hPanel, ROD_FORMAT2, 3, "Error/Data", 3);
//  SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_TEXT_BGCOLOR, 0XF7F7F7);
//  SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, ROD_FORMAT2);
    SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_WIDTH, 55);
    SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_TOP, 383);
    SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_LEFT, 331);
    SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: ROD_FORMAT1
    ROD_FORMAT1 = NewCtrl (hPanel, CTRL_RING, "", 379, 320);
    SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_CONSTANT_NAME, "FORMAT1");
//  SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, ROD_FORMAT1, 0, "S-link/Event", 0);
    InsertListItem (hPanel, ROD_FORMAT1, 1, "Error/Event", 1);
    InsertListItem (hPanel, ROD_FORMAT1, 2, "S-link/Data", 2);
    InsertListItem (hPanel, ROD_FORMAT1, 3, "Error/Data", 3);
//  SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_TEXT_BGCOLOR, 0XF7F7F7);
//  SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, ROD_FORMAT1);
    SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_WIDTH, 55);
    SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_TOP, 364);
    SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_LEFT, 331);
    SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: ROD_FORMAT0
    ROD_FORMAT0 = NewCtrl (hPanel, CTRL_RING, "Format", 360, 320);
    SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_CONSTANT_NAME, "FORMAT0");
//  SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, ROD_FORMAT0, 0, "S-link/Event", 0);
    InsertListItem (hPanel, ROD_FORMAT0, 1, "Error/Event", 1);
    InsertListItem (hPanel, ROD_FORMAT0, 2, "S-link/Data", 2);
    InsertListItem (hPanel, ROD_FORMAT0, 3, "Error/Data", 3);
//  SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_WIDTH, 35);
    SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_TEXT_BGCOLOR, 0XF7F7F7);
//  SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, ROD_FORMAT0);
    SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_WIDTH, 55);
    SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_TOP, 345);
    SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_LEFT, 331);
    SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: ROD_TRAP0
    ROD_TRAP0 = NewCtrl (hPanel, CTRL_RING, "Trap", 360, 215);
    SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_CONSTANT_NAME, "TRAP0");
//  SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, ROD_TRAP0, 0, "NONE", 0);
    InsertListItem (hPanel, ROD_TRAP0, 1, "ATLAS", 1);
    InsertListItem (hPanel, ROD_TRAP0, 2, "TIM", 2);
    InsertListItem (hPanel, ROD_TRAP0, 3, "ROD", 4);
    InsertListItem (hPanel, ROD_TRAP0, 4, "ALL", 8);
//  SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_WIDTH, 25);
    SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_TEXT_BGCOLOR, 0XF7F7F7);
//  SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, ROD_TRAP0);
    SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_WIDTH, 42);
    SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_TOP, 345);
    SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_LEFT, 222);
    SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: ROD_HOST_INDEX
    ROD_HOST_INDEX = NewCtrl (hPanel, CTRL_NUMERIC, "HostIndex", 45, 19);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_CONSTANT_NAME, "HOST_INDEX");
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
//  SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_COLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_WIDTH, 51);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_TEXT_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_MAX_VALUE, 21);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_HOST_INDEX);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_WIDTH, 30);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_TOP, 31);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_LEFT, 9);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_HOST_INDEX, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_POLL_RFIELD_WIDTH
    ROD_POLL_RFIELD_WIDTH = NewCtrl (hPanel, CTRL_NUMERIC, "Width", 669, 147);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_CONSTANT_NAME, "POLL_RFIELD_WIDTH");
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_WIDTH, 31);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_POLL_RFIELD_WIDTH);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_TOP, 655);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_LEFT, 166);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_POLL_RFIELD_WIDTH, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_LINK
    ROD_LINK = NewCtrl (hPanel, CTRL_NUMERIC, "Link", 644, 611);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_CONSTANT_NAME, "LINK");
//  SetCtrlAttribute (hPanel, ROD_LINK, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_LINK, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_LINK, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_WIDTH, 27);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_LINK, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_LINK, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_LINK, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_LINK, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_LINK, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_MAX_VALUE, 95);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, ROD_LINK, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_CHECK_RANGE, VAL_COERCE);
//  SetCtrlAttribute (hPanel, ROD_LINK, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_LINK);
//  SetCtrlAttribute (hPanel, ROD_LINK, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, ROD_LINK, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_WIDTH, 62);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_TOP, 629);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_LEFT, 632);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_LINK, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_SAMPLES
    ROD_SAMPLES = NewCtrl (hPanel, CTRL_NUMERIC, "Samples", 682, 611);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_CONSTANT_NAME, "SAMPLES");
//  SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_WIDTH, 50);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_MAX_VALUE, 67108864);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_MIN_VALUE, 1);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_INCR_VALUE, 256);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_DFLT_VALUE, 1048576);
    DefaultCtrl (hPanel, ROD_SAMPLES);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_WIDTH, 62);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_TOP, 667);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_LEFT, 617);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_SAMPLES, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_POLL_RFIELD_OBJECT_ID
    ROD_POLL_RFIELD_OBJECT_ID = NewCtrl (hPanel, CTRL_NUMERIC, "ObjectId", 636, 148);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_CONSTANT_NAME, "POLL_RFIELD_OBJECT_ID");
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_WIDTH, 43);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_POLL_RFIELD_OBJECT_ID);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_TOP, 622);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_LEFT, 162);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_POLL_RFIELD_OBJECT_ID, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_POLL_RFIELD_OFFSET
    ROD_POLL_RFIELD_OFFSET = NewCtrl (hPanel, CTRL_NUMERIC, "Offset", 636, 214);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_CONSTANT_NAME, "POLL_RFIELD_OFFSET");
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_WIDTH, 31);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_POLL_RFIELD_OFFSET);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_TOP, 622);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_LEFT, 234);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_POLL_RFIELD_OFFSET, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_DESIRED_VALUE
    ROD_DESIRED_VALUE = NewCtrl (hPanel, CTRL_NUMERIC, "DesiredValue", 669, 214);
    SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_CONSTANT_NAME, "DESIRED_VALUE");
//  SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_WIDTH, 66);
    SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_DESIRED_VALUE);
    SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_TOP, 655);
    SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_LEFT, 215);
    SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_DESIRED_VALUE, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_POLL_RFIELD_INDEX
    ROD_POLL_RFIELD_INDEX = NewCtrl (hPanel, CTRL_NUMERIC, "ListIndex", 605, 148);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_CONSTANT_NAME, "POLL_RFIELD_INDEX");
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_WIDTH, 45);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_POLL_RFIELD_INDEX);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_TOP, 591);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_LEFT, 160);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_POLL_RFIELD_INDEX, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_POLL_RFIELD_TIME
    ROD_POLL_RFIELD_TIME = NewCtrl (hPanel, CTRL_STRING, "Time", 605, 214);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_CONSTANT_NAME, "POLL_RFIELD_TIME");
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_WIDTH, 26);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, ROD_POLL_RFIELD_TIME);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_TOP, 591);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_LEFT, 232);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, ROD_POLL_RFIELD_TIME, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEST_RESULT
    ROD_TEST_RESULT = NewCtrl (hPanel, CTRL_NUMERIC, "TestResult", 679, 299);
    SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_CONSTANT_NAME, "TEST_RESULT");
//  SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_WIDTH, 54);
    SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_TEXT_COLOR, VAL_YELLOW);
//  SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_TEXT_BGCOLOR, 0X003366);
    SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_TEST_RESULT);
    SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_TOP, 666);
    SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_LEFT, 304);
    SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEST_RESULT, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TGR_INDEX
    ROD_TGR_INDEX = NewCtrl (hPanel, CTRL_NUMERIC, "ListIndex", 606, 298);
    SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_CONSTANT_NAME, "TGR_INDEX");
//  SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_WIDTH, 45);
    SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_TGR_INDEX);
    SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_TOP, 592);
    SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_LEFT, 310);
    SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TGR_INDEX, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TGR_TIME
    ROD_TGR_TIME = NewCtrl (hPanel, CTRL_STRING, "Time", 641, 298);
    SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_CONSTANT_NAME, "TGR_TIME");
//  SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_WIDTH, 26);
    SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, ROD_TGR_TIME);
//  SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_TOP, 627);
    SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_LEFT, 316);
    SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, ROD_TGR_TIME, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_WIDTH
    ROD_WIDTH = NewCtrl (hPanel, CTRL_NUMERIC, "Width", 669, 5);
    SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_CONSTANT_NAME, "WIDTH");
//  SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_WIDTH, 31);
    SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_WIDTH);
    SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_TOP, 655);
    SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_LEFT, 24);
    SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_WIDTH, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_OBJECT_ID
    ROD_OBJECT_ID = NewCtrl (hPanel, CTRL_NUMERIC, "ObjectId", 636, 6);
    SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_CONSTANT_NAME, "OBJECT_ID");
//  SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_WIDTH, 43);
    SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_OBJECT_ID);
    SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_TOP, 622);
    SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_LEFT, 20);
    SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_OBJECT_ID, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_OFFSET
    ROD_OFFSET = NewCtrl (hPanel, CTRL_NUMERIC, "Offset", 636, 72);
    SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_CONSTANT_NAME, "OFFSET");
//  SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_WIDTH, 31);
    SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_OFFSET);
    SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_TOP, 622);
    SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_LEFT, 92);
    SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_OFFSET, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_DATA_OUT
    ROD_DATA_OUT = NewCtrl (hPanel, CTRL_NUMERIC, "DataOut", 669, 72);
    SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_CONSTANT_NAME, "DATA_OUT");
//  SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_WIDTH, 43);
    SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_TEXT_COLOR, VAL_YELLOW);
//  SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_TEXT_BGCOLOR, 0X003366);
    SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_DATA_OUT);
    SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_TOP, 655);
    SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_LEFT, 83);
    SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_DATA_OUT, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_RWFIELD_INDEX
    ROD_RWFIELD_INDEX = NewCtrl (hPanel, CTRL_NUMERIC, "ListIndex", 605, 6);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_CONSTANT_NAME, "RWFIELD_INDEX");
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_WIDTH, 45);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_RWFIELD_INDEX);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_TOP, 591);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_LEFT, 18);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_RWFIELD_INDEX, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_RWFIELD_TIME
    ROD_RWFIELD_TIME = NewCtrl (hPanel, CTRL_STRING, "Time", 605, 72);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_CONSTANT_NAME, "RWFIELD_TIME");
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_WIDTH, 26);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, ROD_RWFIELD_TIME);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_TOP, 591);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_LEFT, 90);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, ROD_RWFIELD_TIME, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_ERRMSG_MASK
    ROD_ERRMSG_MASK = NewCtrl (hPanel, CTRL_NUMERIC, "ErrmsgMask", 668, 385);
    SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_CONSTANT_NAME, "ERRMSG_MASK");
//  SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_DATA_TYPE, VAL_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_WIDTH, 61);
    SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_MAX_VALUE, 2147483647);
    SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_ERRMSG_MASK);
    SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_TOP, 654);
    SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_LEFT, 388);
    SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_ERRMSG_MASK, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_ERRMSGMASK_INDEX
    ROD_ERRMSGMASK_INDEX = NewCtrl (hPanel, CTRL_NUMERIC, "ListIndex", 605, 384);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_CONSTANT_NAME, "ERRMSGMASK_INDEX");
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_WIDTH, 45);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_ERRMSGMASK_INDEX);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_TOP, 591);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_LEFT, 396);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_ERRMSGMASK_INDEX, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_ERRMSGMASK_TIME
    ROD_ERRMSGMASK_TIME = NewCtrl (hPanel, CTRL_STRING, "Time", 635, 385);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_CONSTANT_NAME, "ERRMSGMASK_TIME");
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_WIDTH, 26);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, ROD_ERRMSGMASK_TIME);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_TOP, 622);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_LEFT, 402);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, ROD_ERRMSGMASK_TIME, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_MEM_TEST_START
    ROD_MEM_TEST_START = NewCtrl (hPanel, CTRL_NUMERIC, "StartAddr", 638, 465);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_CONSTANT_NAME, "MEM_TEST_START");
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_WIDTH, 47);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_MEM_TEST_START);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_TOP, 624);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_LEFT, 475);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_MEM_TEST_START, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_MEM_TEST_RETURN_CODE
    ROD_MEM_TEST_RETURN_CODE = NewCtrl (hPanel, CTRL_NUMERIC, "ReturnCode", 674, 492);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_CONSTANT_NAME, "MEM_TEST_RETURN_CODE");
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_WIDTH, 60);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_TEXT_COLOR, 0XFFFF33);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_TEXT_BGCOLOR, 0X003366);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_MEM_TEST_RETURN_CODE);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_WIDTH, 75);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_TOP, 660);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_LEFT, 501);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_MEM_TEST_RETURN_CODE, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_MEM_TEST_SIZE
    ROD_MEM_TEST_SIZE = NewCtrl (hPanel, CTRL_NUMERIC, "MemorySize", 638, 532);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_CONSTANT_NAME, "MEM_TEST_SIZE");
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_WIDTH, 60);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_MEM_TEST_SIZE);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_TOP, 624);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_LEFT, 534);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_MEM_TEST_SIZE, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_MEM_TEST_INDEX
    ROD_MEM_TEST_INDEX = NewCtrl (hPanel, CTRL_NUMERIC, "ListIndex", 605, 466);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_CONSTANT_NAME, "MEM_TEST_INDEX");
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_WIDTH, 45);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_MEM_TEST_INDEX);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_TOP, 591);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_LEFT, 478);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_MEM_TEST_INDEX, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_MEM_TEST_TIME
    ROD_MEM_TEST_TIME = NewCtrl (hPanel, CTRL_STRING, "Time", 605, 532);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_CONSTANT_NAME, "MEM_TEST_TIME");
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_WIDTH, 26);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, ROD_MEM_TEST_TIME);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_TOP, 591);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_LEFT, 548);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, ROD_MEM_TEST_TIME, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_OVERFLOW
    ROD_OVERFLOW = NewCtrl (hPanel, CTRL_ROUND_LED, "Overflow", 610, 763);
    SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_CONSTANT_NAME, "OVERFLOW");
//  SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_WIDTH, 45);
    SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_OVERFLOW);
    SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_ON_COLOR, VAL_RED);
    SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_HEIGHT, 20);
    SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_WIDTH, 20);
    SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_TOP, 596);
    SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_LEFT, 750);
    SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_NOT_FOUND
    ROD_NOT_FOUND = NewCtrl (hPanel, CTRL_ROUND_LED, "NotFound", 690, 221);
    SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_CONSTANT_NAME, "NOT_FOUND");
//  SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_WIDTH, 50);
    SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_NOT_FOUND);
    SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_ON_COLOR, VAL_RED);
    SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_HEIGHT, 20);
    SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_WIDTH, 20);
    SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_TOP, 692);
    SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_LEFT, 170);
    SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_RWREG_DISP
    ROD_RWREG_DISP = NewCtrl (hPanel, CTRL_CHECK_BOX, "", 580, 6);
    SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_CONSTANT_NAME, "RWREG_DISP");
//  SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_RWREG_DISP);
    SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_TOP, 579);
    SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_LEFT, 24);
    SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_TOTAL_TIME
    ROD_TOTAL_TIME = NewCtrl (hPanel, CTRL_NUMERIC, "Total Time", 682, 745);
    SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_CONSTANT_NAME, "TOTAL_TIME");
//  SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_DATA_TYPE, VAL_DOUBLE);
//  SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_WIDTH, 53);
    SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_MAX_VALUE, HUGE_VAL);
    SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_MIN_VALUE, -HUGE_VAL);
    SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_INCR_VALUE, 1.000000);
    SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_PRECISION, 3);
//  SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_DFLT_VALUE, 0.000000);
    DefaultCtrl (hPanel, ROD_TOTAL_TIME);
    SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_WIDTH, 50);
    SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_TOP, 667);
    SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_LEFT, 744);
    SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TOTAL_TIME, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_SAMPLING_TIME
    ROD_SAMPLING_TIME = NewCtrl (hPanel, CTRL_NUMERIC, "SamplTime", 644, 746);
    SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_CONSTANT_NAME, "SAMPLING_TIME");
//  SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_DATA_TYPE, VAL_DOUBLE);
//  SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_FRAME_COLOR, 0X0099CC);
    SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_WIDTH, 55);
    SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_MAX_VALUE, HUGE_VAL);
    SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_MIN_VALUE, -HUGE_VAL);
    SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_INCR_VALUE, 1.000000);
    SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_PRECISION, 3);
//  SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_DFLT_VALUE, 0.000000);
    DefaultCtrl (hPanel, ROD_SAMPLING_TIME);
    SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_WIDTH, 50);
    SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_TOP, 629);
    SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_LEFT, 744);
    SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_SAMPLING_TIME, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_SAVE_DATA
    ROD_SAVE_DATA = NewCtrl (hPanel, CTRL_CHECK_BOX, "SaveData", 646, 698);
    SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_CONSTANT_NAME, "SAVE_DATA");
//  SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_WIDTH, 51);
    SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_SAVE_DATA);
    SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_HEIGHT, 16);
    SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_WIDTH, 16);
    SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_TOP, 630);
    SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_LEFT, 682);
    SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_POLL_DISP
    ROD_POLL_DISP = NewCtrl (hPanel, CTRL_CHECK_BOX, "", 580, 148);
    SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_CONSTANT_NAME, "POLL_DISP");
//  SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_POLL_DISP);
    SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_TOP, 579);
    SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_LEFT, 166);
    SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_CAPTURE
    ROD_CAPTURE = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "Capture", 680, 677);
    SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_CONSTANT_NAME, "CAPTURE");
//  SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_WIDTH, 47);
    SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, ROD_CAPTURE);
//  SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_ON_COLOR, 0X32E768);
    SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_OFF_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_WIDTH, 60);
    SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_TOP, 664);
    SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_LEFT, 683);
    SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_FEOCC_NOT_FIFOWC
    ROD_FEOCC_NOT_FIFOWC = NewCtrl (hPanel, CTRL_VSWITCH, "", 598, 638);
    SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_CONSTANT_NAME, "FEOCC_NOT_FIFOWC");
//  SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_DATA_TYPE, VAL_INTEGER);
//  SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_DFLT_INDEX, 1);
    DefaultCtrl (hPanel, ROD_FEOCC_NOT_FIFOWC);
    SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_ON_VALUE, 1);
    SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_OFF_VALUE, 0);
    SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_BINARY_SWITCH_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_ON_TEXT, "FE OccCnt");
    SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_OFF_TEXT, "OutFifoWC");
    SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_HEIGHT, 30);
    SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_TOP, 577);
    SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_LEFT, 618);
    SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: ROD_DECORATION_2
    ROD_DECORATION_2 = NewCtrl (hPanel, CTRL_RECESSED_BOX, "", 575, 379);
    SetCtrlAttribute (hPanel, ROD_DECORATION_2, ATTR_CONSTANT_NAME, "DECORATION_2");
//  SetCtrlAttribute (hPanel, ROD_DECORATION_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_DECORATION_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_DECORATION_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_DECORATION_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_DECORATION_2, ATTR_FRAME_COLOR, 0XD6D6D6);
    SetCtrlAttribute (hPanel, ROD_DECORATION_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_DECORATION_2, ATTR_HEIGHT, 140);
    SetCtrlAttribute (hPanel, ROD_DECORATION_2, ATTR_WIDTH, 80);

    // Build control: ROD_DECORATION_4
    ROD_DECORATION_4 = NewCtrl (hPanel, CTRL_RECESSED_BOX, "", 575, 1);
    SetCtrlAttribute (hPanel, ROD_DECORATION_4, ATTR_CONSTANT_NAME, "DECORATION_4");
//  SetCtrlAttribute (hPanel, ROD_DECORATION_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_DECORATION_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_DECORATION_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_DECORATION_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_DECORATION_4, ATTR_FRAME_COLOR, 0XD6D6D6);
    SetCtrlAttribute (hPanel, ROD_DECORATION_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_DECORATION_4, ATTR_HEIGHT, 140);
    SetCtrlAttribute (hPanel, ROD_DECORATION_4, ATTR_WIDTH, 140);

    // Build control: ROD_TEXTMSG_13
    ROD_TEXTMSG_13 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 577, 163);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_CONSTANT_NAME, "TEXTMSG_13");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_TEXT_ITALIC, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_TEXT_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_DFLT_VALUE, " POLL REG FIELD ");
    DefaultCtrl (hPanel, ROD_TEXTMSG_13);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_WIDTH, 111);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_13, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_5
    ROD_TEXTMSG_5 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 577, 24);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_CONSTANT_NAME, "TEXTMSG_5");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_TEXT_ITALIC, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_TEXT_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_DFLT_VALUE, " RW REG FIELD ");
    DefaultCtrl (hPanel, ROD_TEXTMSG_5);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_WIDTH, 101);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_5, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_DECORATION_7
    ROD_DECORATION_7 = NewCtrl (hPanel, CTRL_RECESSED_BOX, "", 575, 143);
    SetCtrlAttribute (hPanel, ROD_DECORATION_7, ATTR_CONSTANT_NAME, "DECORATION_7");
//  SetCtrlAttribute (hPanel, ROD_DECORATION_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_DECORATION_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_DECORATION_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_DECORATION_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_DECORATION_7, ATTR_FRAME_COLOR, 0XD6D6D6);
    SetCtrlAttribute (hPanel, ROD_DECORATION_7, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_DECORATION_7, ATTR_HEIGHT, 140);
    SetCtrlAttribute (hPanel, ROD_DECORATION_7, ATTR_WIDTH, 140);

    // Build control: ROD_TEXTMSG_14
    ROD_TEXTMSG_14 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 577, 477);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_CONSTANT_NAME, "TEXTMSG_14");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_TEXT_ITALIC, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_TEXT_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_DFLT_VALUE, " MEMORY TEST");
    DefaultCtrl (hPanel, ROD_TEXTMSG_14);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_WIDTH, 97);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_14, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_DECORATION_8
    ROD_DECORATION_8 = NewCtrl (hPanel, CTRL_RECESSED_BOX, "", 575, 461);
    SetCtrlAttribute (hPanel, ROD_DECORATION_8, ATTR_CONSTANT_NAME, "DECORATION_8");
//  SetCtrlAttribute (hPanel, ROD_DECORATION_8, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_DECORATION_8, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_DECORATION_8, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_DECORATION_8, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_DECORATION_8, ATTR_FRAME_COLOR, 0XD6D6D6);
    SetCtrlAttribute (hPanel, ROD_DECORATION_8, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_DECORATION_8, ATTR_HEIGHT, 140);
    SetCtrlAttribute (hPanel, ROD_DECORATION_8, ATTR_WIDTH, 140);

    // Build control: ROD_TEXTMSG_16
    ROD_TEXTMSG_16 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 576, 633);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_CONSTANT_NAME, "TEXTMSG_16");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_TEXT_ITALIC, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_TEXT_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_DFLT_VALUE, "Capture FEOcc&OutFifoWC ");
    DefaultCtrl (hPanel, ROD_TEXTMSG_16);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_WIDTH, 161);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_16, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_2
    ROD_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 577, 381);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_DFLT_VALUE, " ERR MASK ");
    DefaultCtrl (hPanel, ROD_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_WIDTH, 75);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_4
    ROD_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 645, 795);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_DFLT_VALUE, "s");
    DefaultCtrl (hPanel, ROD_TEXTMSG_4);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_WIDTH, 8);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_17
    ROD_TEXTMSG_17 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 683, 794);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_CONSTANT_NAME, "TEXTMSG_17");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_DFLT_VALUE, "s");
    DefaultCtrl (hPanel, ROD_TEXTMSG_17);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_WIDTH, 8);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_17, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_DECORATION_3
    ROD_DECORATION_3 = NewCtrl (hPanel, CTRL_RAISED_FRAME, "", 594, 741);
    SetCtrlAttribute (hPanel, ROD_DECORATION_3, ATTR_CONSTANT_NAME, "DECORATION_3");
//  SetCtrlAttribute (hPanel, ROD_DECORATION_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_DECORATION_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_DECORATION_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_DECORATION_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_DECORATION_3, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, ROD_DECORATION_3, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_DECORATION_3, ATTR_HEIGHT, 113);
    SetCtrlAttribute (hPanel, ROD_DECORATION_3, ATTR_WIDTH, 64);

    // Build control: ROD_DECORATION
    ROD_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 98, 5);
    SetCtrlAttribute (hPanel, ROD_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, ROD_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_DECORATION, ATTR_FRAME_COLOR, 0XB0B0B0);
    SetCtrlAttribute (hPanel, ROD_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_DECORATION, ATTR_HEIGHT, 273);
    SetCtrlAttribute (hPanel, ROD_DECORATION, ATTR_WIDTH, 176);

    // Build control: ROD_TEXTMSG_26
    ROD_TEXTMSG_26 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 147, 95);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_CONSTANT_NAME, "TEXTMSG_26");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_DFLT_VALUE, "3");
    DefaultCtrl (hPanel, ROD_TEXTMSG_26);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_26, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_21
    ROD_TEXTMSG_21 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 155, 75);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_CONSTANT_NAME, "TEXTMSG_21");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_DFLT_VALUE, "1");
    DefaultCtrl (hPanel, ROD_TEXTMSG_21);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_21, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_22
    ROD_TEXTMSG_22 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 140, 75);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_CONSTANT_NAME, "TEXTMSG_22");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_DFLT_VALUE, "0");
    DefaultCtrl (hPanel, ROD_TEXTMSG_22);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_22, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_24
    ROD_TEXTMSG_24 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 170, 75);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_CONSTANT_NAME, "TEXTMSG_24");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_DFLT_VALUE, "2");
    DefaultCtrl (hPanel, ROD_TEXTMSG_24);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_24, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_28
    ROD_TEXTMSG_28 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 200, 74);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_CONSTANT_NAME, "TEXTMSG_28");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_DFLT_VALUE, "4");
    DefaultCtrl (hPanel, ROD_TEXTMSG_28);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_28, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_27
    ROD_TEXTMSG_27 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 215, 75);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_CONSTANT_NAME, "TEXTMSG_27");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_DFLT_VALUE, "5");
    DefaultCtrl (hPanel, ROD_TEXTMSG_27);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_27, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_30
    ROD_TEXTMSG_30 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 271, 75);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_CONSTANT_NAME, "TEXTMSG_30");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_DFLT_VALUE, "8");
    DefaultCtrl (hPanel, ROD_TEXTMSG_30);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_30, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_29
    ROD_TEXTMSG_29 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 286, 75);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_CONSTANT_NAME, "TEXTMSG_29");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_DFLT_VALUE, "9");
    DefaultCtrl (hPanel, ROD_TEXTMSG_29);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_29, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_32
    ROD_TEXTMSG_32 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 301, 75);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_CONSTANT_NAME, "TEXTMSG_32");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_DFLT_VALUE, "A");
    DefaultCtrl (hPanel, ROD_TEXTMSG_32);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_32, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_31
    ROD_TEXTMSG_31 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 316, 75);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_CONSTANT_NAME, "TEXTMSG_31");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_DFLT_VALUE, "B");
    DefaultCtrl (hPanel, ROD_TEXTMSG_31);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_31, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_33
    ROD_TEXTMSG_33 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 215, 95);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_CONSTANT_NAME, "TEXTMSG_33");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_DFLT_VALUE, "0");
    DefaultCtrl (hPanel, ROD_TEXTMSG_33);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_33, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_34
    ROD_TEXTMSG_34 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 170, 95);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_CONSTANT_NAME, "TEXTMSG_34");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_DFLT_VALUE, "2");
    DefaultCtrl (hPanel, ROD_TEXTMSG_34);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_34, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_35
    ROD_TEXTMSG_35 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 271, 94);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_CONSTANT_NAME, "TEXTMSG_35");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_DFLT_VALUE, "4");
    DefaultCtrl (hPanel, ROD_TEXTMSG_35);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_35, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_36
    ROD_TEXTMSG_36 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 286, 95);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_CONSTANT_NAME, "TEXTMSG_36");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_DFLT_VALUE, "5");
    DefaultCtrl (hPanel, ROD_TEXTMSG_36);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_36, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_37
    ROD_TEXTMSG_37 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 301, 95);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_CONSTANT_NAME, "TEXTMSG_37");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_DFLT_VALUE, "6");
    DefaultCtrl (hPanel, ROD_TEXTMSG_37);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_37, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_38
    ROD_TEXTMSG_38 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 316, 95);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_CONSTANT_NAME, "TEXTMSG_38");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_DFLT_VALUE, "7");
    DefaultCtrl (hPanel, ROD_TEXTMSG_38);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_38, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_10
    ROD_TEXTMSG_10 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 76, 22);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_CONSTANT_NAME, "TEXTMSG_10");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_TEXT_COLOR, 0X000066);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_DFLT_VALUE, "SlvDSP");
    DefaultCtrl (hPanel, ROD_TEXTMSG_10);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_WIDTH, 40);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_10, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_41
    ROD_TEXTMSG_41 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 63, 252);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_CONSTANT_NAME, "TEXTMSG_41");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_TEXT_ITALIC, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_TEXT_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_TEXT_BGCOLOR, 0XC4D0D2);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_DFLT_VALUE, "RodMode");
    DefaultCtrl (hPanel, ROD_TEXTMSG_41);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_WIDTH, 50);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_41, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_DECORATION_14
    ROD_DECORATION_14 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 70, 190);
    SetCtrlAttribute (hPanel, ROD_DECORATION_14, ATTR_CONSTANT_NAME, "DECORATION_14");
//  SetCtrlAttribute (hPanel, ROD_DECORATION_14, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_DECORATION_14, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_DECORATION_14, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_DECORATION_14, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_DECORATION_14, ATTR_FRAME_COLOR, 0XB8C7C9);
    SetCtrlAttribute (hPanel, ROD_DECORATION_14, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_DECORATION_14, ATTR_HEIGHT, 30);
    SetCtrlAttribute (hPanel, ROD_DECORATION_14, ATTR_WIDTH, 190);

    // Build control: ROD_TEXTMSG_47
    ROD_TEXTMSG_47 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 222, 299);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_CONSTANT_NAME, "TEXTMSG_47");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_DFLT_VALUE, "FIFO B");
    DefaultCtrl (hPanel, ROD_TEXTMSG_47);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_WIDTH, 36);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_47, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_23
    ROD_TEXTMSG_23 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 185, 75);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_CONSTANT_NAME, "TEXTMSG_23");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_DFLT_VALUE, "3");
    DefaultCtrl (hPanel, ROD_TEXTMSG_23);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_23, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_25
    ROD_TEXTMSG_25 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 185, 95);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_CONSTANT_NAME, "TEXTMSG_25");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_DFLT_VALUE, "1");
    DefaultCtrl (hPanel, ROD_TEXTMSG_25);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_25, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_9
    ROD_TEXTMSG_9 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 222, 229);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_CONSTANT_NAME, "TEXTMSG_9");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_DFLT_VALUE, "FIFO A");
    DefaultCtrl (hPanel, ROD_TEXTMSG_9);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_WIDTH, 36);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_9, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_40
    ROD_TEXTMSG_40 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 445, 249);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_CONSTANT_NAME, "TEXTMSG_40");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_TEXT_ITALIC, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_TEXT_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_TEXT_BGCOLOR, 0XC4D0D2);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_DFLT_VALUE, "FIFO Status");
    DefaultCtrl (hPanel, ROD_TEXTMSG_40);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_WIDTH, 70);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_40, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_8
    ROD_TEXTMSG_8 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 533, 229);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_CONSTANT_NAME, "TEXTMSG_8");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_DFLT_VALUE, "Header/Trailer Limit");
    DefaultCtrl (hPanel, ROD_TEXTMSG_8);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_WIDTH, 96);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_8, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_46
    ROD_TEXTMSG_46 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 455, 318);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_CONSTANT_NAME, "TEXTMSG_46");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_TEXT_ITALIC, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_TEXT_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_DFLT_VALUE, "EventMem");
    DefaultCtrl (hPanel, ROD_TEXTMSG_46);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_WIDTH, 54);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_46, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_49
    ROD_TEXTMSG_49 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 472, 306);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_CONSTANT_NAME, "TEXTMSG_49");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_DFLT_VALUE, "A");
    DefaultCtrl (hPanel, ROD_TEXTMSG_49);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_WIDTH, 10);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_49, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_50
    ROD_TEXTMSG_50 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 489, 306);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_CONSTANT_NAME, "TEXTMSG_50");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_DFLT_VALUE, "B");
    DefaultCtrl (hPanel, ROD_TEXTMSG_50);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_WIDTH, 10);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_50, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_DECORATION_6
    ROD_DECORATION_6 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 452, 190);
    SetCtrlAttribute (hPanel, ROD_DECORATION_6, ATTR_CONSTANT_NAME, "DECORATION_6");
//  SetCtrlAttribute (hPanel, ROD_DECORATION_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_DECORATION_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_DECORATION_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_DECORATION_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_DECORATION_6, ATTR_FRAME_COLOR, 0XB8C7C9);
    SetCtrlAttribute (hPanel, ROD_DECORATION_6, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_DECORATION_6, ATTR_HEIGHT, 116);
    SetCtrlAttribute (hPanel, ROD_DECORATION_6, ATTR_WIDTH, 190);

    // Build control: ROD_DECORATION_5
    ROD_DECORATION_5 = NewCtrl (hPanel, CTRL_RAISED_BOX, "", 22, 0);
    SetCtrlAttribute (hPanel, ROD_DECORATION_5, ATTR_CONSTANT_NAME, "DECORATION_5");
//  SetCtrlAttribute (hPanel, ROD_DECORATION_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_DECORATION_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_DECORATION_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_DECORATION_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_DECORATION_5, ATTR_FRAME_COLOR, 0XC4D0D2);
    SetCtrlAttribute (hPanel, ROD_DECORATION_5, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_DECORATION_5, ATTR_HEIGHT, 550);
    SetCtrlAttribute (hPanel, ROD_DECORATION_5, ATTR_WIDTH, 400);

    // Build control: ROD_DECORATION_9
    ROD_DECORATION_9 = NewCtrl (hPanel, CTRL_RECESSED_BOX, "", 575, 605);
    SetCtrlAttribute (hPanel, ROD_DECORATION_9, ATTR_CONSTANT_NAME, "DECORATION_9");
//  SetCtrlAttribute (hPanel, ROD_DECORATION_9, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_DECORATION_9, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_DECORATION_9, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_DECORATION_9, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_DECORATION_9, ATTR_FRAME_COLOR, 0XD6D6D6);
    SetCtrlAttribute (hPanel, ROD_DECORATION_9, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_DECORATION_9, ATTR_HEIGHT, 140);
    SetCtrlAttribute (hPanel, ROD_DECORATION_9, ATTR_WIDTH, 203);

    // Build control: ROD_TEXTMSG_54
    ROD_TEXTMSG_54 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 577, 288);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_CONSTANT_NAME, "TEXTMSG_54");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_TEXT_ITALIC, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_TEXT_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_DFLT_VALUE, "TestGlobalReg");
    DefaultCtrl (hPanel, ROD_TEXTMSG_54);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_WIDTH, 87);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_54, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_45
    ROD_TEXTMSG_45 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 548, 229);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_CONSTANT_NAME, "TEXTMSG_45");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_DFLT_VALUE, "Formatter FIFO Full");
    DefaultCtrl (hPanel, ROD_TEXTMSG_45);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_WIDTH, 92);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_45, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_48
    ROD_TEXTMSG_48 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 253, 229);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_CONSTANT_NAME, "TEXTMSG_48");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_DFLT_VALUE, "FIFO");
    DefaultCtrl (hPanel, ROD_TEXTMSG_48);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_WIDTH, 26);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_48, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_DECORATION_13
    ROD_DECORATION_13 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 340, 190);
    SetCtrlAttribute (hPanel, ROD_DECORATION_13, ATTR_CONSTANT_NAME, "DECORATION_13");
//  SetCtrlAttribute (hPanel, ROD_DECORATION_13, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_DECORATION_13, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_DECORATION_13, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_DECORATION_13, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_DECORATION_13, ATTR_FRAME_COLOR, 0XB8C7C9);
    SetCtrlAttribute (hPanel, ROD_DECORATION_13, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_DECORATION_13, ATTR_HEIGHT, 100);
    SetCtrlAttribute (hPanel, ROD_DECORATION_13, ATTR_WIDTH, 190);

    // Build control: ROD_TEXTMSG_39
    ROD_TEXTMSG_39 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 332, 213);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_CONSTANT_NAME, "TEXTMSG_39");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_TEXT_ITALIC, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_TEXT_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_TEXT_BGCOLOR, 0XC4D0D2);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_DFLT_VALUE, "Router/DSP Trap Status");
    DefaultCtrl (hPanel, ROD_TEXTMSG_39);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_WIDTH, 142);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_39, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_3
    ROD_TEXTMSG_3 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 345, 196);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_CONSTANT_NAME, "TEXTMSG_3");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_DFLT_VALUE, "En");
    DefaultCtrl (hPanel, ROD_TEXTMSG_3);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_WIDTH, 16);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_3, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_53
    ROD_TEXTMSG_53 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 234, 94);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_CONSTANT_NAME, "TEXTMSG_53");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_DFLT_VALUE, "A");
    DefaultCtrl (hPanel, ROD_TEXTMSG_53);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_53, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_51
    ROD_TEXTMSG_51 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 234, 75);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_CONSTANT_NAME, "TEXTMSG_51");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_DFLT_VALUE, "6");
    DefaultCtrl (hPanel, ROD_TEXTMSG_51);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_51, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_TEXTMSG_52
    ROD_TEXTMSG_52 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 250, 75);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_CONSTANT_NAME, "TEXTMSG_52");
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_DFLT_VALUE, "7");
    DefaultCtrl (hPanel, ROD_TEXTMSG_52);
//  SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, ROD_TEXTMSG_52, "", VAL_DS_READ, NULL, NULL);

    // Build control: ROD_DECORATION_15
    ROD_DECORATION_15 = NewCtrl (hPanel, CTRL_RECESSED_BOX, "", 575, 287);
    SetCtrlAttribute (hPanel, ROD_DECORATION_15, ATTR_CONSTANT_NAME, "DECORATION_15");
//  SetCtrlAttribute (hPanel, ROD_DECORATION_15, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, ROD_DECORATION_15, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, ROD_DECORATION_15, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, ROD_DECORATION_15, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, ROD_DECORATION_15, ATTR_FRAME_COLOR, 0XD6D6D6);
    SetCtrlAttribute (hPanel, ROD_DECORATION_15, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, ROD_DECORATION_15, ATTR_HEIGHT, 140);
    SetCtrlAttribute (hPanel, ROD_DECORATION_15, ATTR_WIDTH, 90);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_54, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, ROD_DECORATION_15, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_ZPLANE_POSITION, 14);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_ZPLANE_POSITION, 15);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_ZPLANE_POSITION, 16);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_ZPLANE_POSITION, 17);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_ZPLANE_POSITION, 18);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_ZPLANE_POSITION, 19);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_ZPLANE_POSITION, 20);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_ZPLANE_POSITION, 21);
    SetCtrlAttribute (hPanel, ROD_MODE, ATTR_ZPLANE_POSITION, 22);
    SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_ZPLANE_POSITION, 23);
    SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_ZPLANE_POSITION, 24);
    SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_ZPLANE_POSITION, 25);
    SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_ZPLANE_POSITION, 26);
    SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_ZPLANE_POSITION, 27);
    SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_ZPLANE_POSITION, 28);
    SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_ZPLANE_POSITION, 29);
    SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_ZPLANE_POSITION, 30);
    SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_ZPLANE_POSITION, 31);
    SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_ZPLANE_POSITION, 32);
    SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_ZPLANE_POSITION, 33);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_ZPLANE_POSITION, 34);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_ZPLANE_POSITION, 35);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_52, ATTR_ZPLANE_POSITION, 36);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_53, ATTR_ZPLANE_POSITION, 37);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_51, ATTR_ZPLANE_POSITION, 38);
    SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_ZPLANE_POSITION, 39);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_ZPLANE_POSITION, 40);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_ZPLANE_POSITION, 41);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_ZPLANE_POSITION, 42);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_ZPLANE_POSITION, 43);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_ZPLANE_POSITION, 44);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_ZPLANE_POSITION, 45);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_ZPLANE_POSITION, 46);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_ZPLANE_POSITION, 47);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_ZPLANE_POSITION, 48);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_ZPLANE_POSITION, 49);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_ZPLANE_POSITION, 50);
    SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_ZPLANE_POSITION, 51);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_50, ATTR_ZPLANE_POSITION, 52);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_49, ATTR_ZPLANE_POSITION, 53);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_48, ATTR_ZPLANE_POSITION, 54);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_47, ATTR_ZPLANE_POSITION, 55);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_9, ATTR_ZPLANE_POSITION, 56);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_46, ATTR_ZPLANE_POSITION, 57);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_45, ATTR_ZPLANE_POSITION, 58);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_ZPLANE_POSITION, 59);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_ZPLANE_POSITION, 60);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_8, ATTR_ZPLANE_POSITION, 61);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_ZPLANE_POSITION, 62);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_ZPLANE_POSITION, 63);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_ZPLANE_POSITION, 64);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_ZPLANE_POSITION, 65);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_ZPLANE_POSITION, 66);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_ZPLANE_POSITION, 67);
    SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_ZPLANE_POSITION, 68);
    SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_ZPLANE_POSITION, 69);
    SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_ZPLANE_POSITION, 70);
    SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_ZPLANE_POSITION, 71);
    SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_ZPLANE_POSITION, 72);
    SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_ZPLANE_POSITION, 73);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_ZPLANE_POSITION, 74);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_41, ATTR_ZPLANE_POSITION, 75);
    SetCtrlAttribute (hPanel, ROD_DECORATION_14, ATTR_ZPLANE_POSITION, 76);
    SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_ZPLANE_POSITION, 77);
    SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_ZPLANE_POSITION, 78);
    SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_ZPLANE_POSITION, 79);
    SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_ZPLANE_POSITION, 80);
    SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_ZPLANE_POSITION, 81);
    SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_ZPLANE_POSITION, 82);
    SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_ZPLANE_POSITION, 83);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_ZPLANE_POSITION, 84);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_ZPLANE_POSITION, 85);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_ZPLANE_POSITION, 86);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_3, ATTR_ZPLANE_POSITION, 87);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_ZPLANE_POSITION, 88);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_39, ATTR_ZPLANE_POSITION, 89);
    SetCtrlAttribute (hPanel, ROD_DECORATION_13, ATTR_ZPLANE_POSITION, 90);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_ZPLANE_POSITION, 91);
    SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_ZPLANE_POSITION, 92);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_ZPLANE_POSITION, 93);
    SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_ZPLANE_POSITION, 94);
    SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_ZPLANE_POSITION, 95);
    SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_ZPLANE_POSITION, 96);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_ZPLANE_POSITION, 97);
    SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_ZPLANE_POSITION, 98);
    SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_ZPLANE_POSITION, 99);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_ZPLANE_POSITION, 100);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_ZPLANE_POSITION, 101);
    SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_ZPLANE_POSITION, 102);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_40, ATTR_ZPLANE_POSITION, 103);
    SetCtrlAttribute (hPanel, ROD_DECORATION_6, ATTR_ZPLANE_POSITION, 104);
    SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_ZPLANE_POSITION, 105);
    SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_ZPLANE_POSITION, 106);
    SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_ZPLANE_POSITION, 107);
    SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_ZPLANE_POSITION, 108);
    SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_ZPLANE_POSITION, 109);
    SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_ZPLANE_POSITION, 110);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_10, ATTR_ZPLANE_POSITION, 111);
    SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_ZPLANE_POSITION, 112);
    SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_ZPLANE_POSITION, 113);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_37, ATTR_ZPLANE_POSITION, 114);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_38, ATTR_ZPLANE_POSITION, 115);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_35, ATTR_ZPLANE_POSITION, 116);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_36, ATTR_ZPLANE_POSITION, 117);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_34, ATTR_ZPLANE_POSITION, 118);
    SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_ZPLANE_POSITION, 119);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_ZPLANE_POSITION, 120);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_33, ATTR_ZPLANE_POSITION, 121);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_32, ATTR_ZPLANE_POSITION, 122);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_31, ATTR_ZPLANE_POSITION, 123);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_30, ATTR_ZPLANE_POSITION, 124);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_29, ATTR_ZPLANE_POSITION, 125);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_28, ATTR_ZPLANE_POSITION, 126);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_27, ATTR_ZPLANE_POSITION, 127);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_26, ATTR_ZPLANE_POSITION, 128);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_25, ATTR_ZPLANE_POSITION, 129);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_24, ATTR_ZPLANE_POSITION, 130);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_23, ATTR_ZPLANE_POSITION, 131);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_22, ATTR_ZPLANE_POSITION, 132);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_21, ATTR_ZPLANE_POSITION, 133);
    SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_ZPLANE_POSITION, 134);
    SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_ZPLANE_POSITION, 135);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_ZPLANE_POSITION, 136);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_ZPLANE_POSITION, 137);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_ZPLANE_POSITION, 138);
    SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_ZPLANE_POSITION, 139);
    SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_ZPLANE_POSITION, 140);
    SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_ZPLANE_POSITION, 141);
    SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_ZPLANE_POSITION, 142);
    SetCtrlAttribute (hPanel, ROD_DECORATION, ATTR_ZPLANE_POSITION, 143);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_ZPLANE_POSITION, 144);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_ZPLANE_POSITION, 145);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_ZPLANE_POSITION, 146);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_ZPLANE_POSITION, 147);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_ZPLANE_POSITION, 148);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_ZPLANE_POSITION, 149);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_ZPLANE_POSITION, 150);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_ZPLANE_POSITION, 151);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_ZPLANE_POSITION, 152);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_ZPLANE_POSITION, 153);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_ZPLANE_POSITION, 154);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_ZPLANE_POSITION, 155);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_ZPLANE_POSITION, 156);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_ZPLANE_POSITION, 157);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_ZPLANE_POSITION, 158);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_ZPLANE_POSITION, 159);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_ZPLANE_POSITION, 160);
    SetCtrlAttribute (hPanel, ROD_DECORATION_5, ATTR_ZPLANE_POSITION, 161);
    SetCtrlAttribute (hPanel, ROD_DECORATION_3, ATTR_ZPLANE_POSITION, 162);
    SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_ZPLANE_POSITION, 163);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_ZPLANE_POSITION, 164);
    SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_ZPLANE_POSITION, 165);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_17, ATTR_ZPLANE_POSITION, 166);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_4, ATTR_ZPLANE_POSITION, 167);
    SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_ZPLANE_POSITION, 168);
    SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_ZPLANE_POSITION, 169);
    SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_ZPLANE_POSITION, 170);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_16, ATTR_ZPLANE_POSITION, 171);
    SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_ZPLANE_POSITION, 172);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_ZPLANE_POSITION, 173);
    SetCtrlAttribute (hPanel, ROD_DECORATION_9, ATTR_ZPLANE_POSITION, 174);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_14, ATTR_ZPLANE_POSITION, 175);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_ZPLANE_POSITION, 176);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_ZPLANE_POSITION, 177);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_ZPLANE_POSITION, 178);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_ZPLANE_POSITION, 179);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_ZPLANE_POSITION, 180);
    SetCtrlAttribute (hPanel, ROD_DECORATION_8, ATTR_ZPLANE_POSITION, 181);
    SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_ZPLANE_POSITION, 182);
    SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_ZPLANE_POSITION, 183);
    SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_ZPLANE_POSITION, 184);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_ZPLANE_POSITION, 185);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_ZPLANE_POSITION, 186);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_ZPLANE_POSITION, 187);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_13, ATTR_ZPLANE_POSITION, 188);
    SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_ZPLANE_POSITION, 189);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_ZPLANE_POSITION, 190);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_ZPLANE_POSITION, 191);
    SetCtrlAttribute (hPanel, ROD_DECORATION_7, ATTR_ZPLANE_POSITION, 192);
    SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_ZPLANE_POSITION, 193);
    SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_ZPLANE_POSITION, 194);
    SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_ZPLANE_POSITION, 195);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_5, ATTR_ZPLANE_POSITION, 196);
    SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_ZPLANE_POSITION, 197);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_ZPLANE_POSITION, 198);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_ZPLANE_POSITION, 199);
    SetCtrlAttribute (hPanel, ROD_DECORATION_4, ATTR_ZPLANE_POSITION, 200);
    SetCtrlAttribute (hPanel, ROD_TEXTMSG_2, ATTR_ZPLANE_POSITION, 201);
    SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_ZPLANE_POSITION, 202);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_ZPLANE_POSITION, 203);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_ZPLANE_POSITION, 204);
    SetCtrlAttribute (hPanel, ROD_DECORATION_2, ATTR_ZPLANE_POSITION, 205);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_ZPLANE_POSITION, 206);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_4, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_6, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_3, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_2, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_10, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_1, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_0, ATTR_CTRL_TAB_POSITION, 6);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_5, ATTR_CTRL_TAB_POSITION, 7);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_7, ATTR_CTRL_TAB_POSITION, 8);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_0, ATTR_CTRL_TAB_POSITION, 9);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_5, ATTR_CTRL_TAB_POSITION, 10);
    SetCtrlAttribute (hPanel, ROD_EDIT_PLIST, ATTR_CTRL_TAB_POSITION, 11);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_1, ATTR_CTRL_TAB_POSITION, 12);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_7, ATTR_CTRL_TAB_POSITION, 13);
    SetCtrlAttribute (hPanel, ROD_COMMAND_REG_6, ATTR_CTRL_TAB_POSITION, 14);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_11, ATTR_CTRL_TAB_POSITION, 15);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_9, ATTR_CTRL_TAB_POSITION, 16);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_4, ATTR_CTRL_TAB_POSITION, 17);
    SetCtrlAttribute (hPanel, ROD_REPEAT_BUILD_EXEC, ATTR_CTRL_TAB_POSITION, 18);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_8, ATTR_CTRL_TAB_POSITION, 19);
    SetCtrlAttribute (hPanel, ROD_VME_COMM_REG0, ATTR_CTRL_TAB_POSITION, 20);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_10, ATTR_CTRL_TAB_POSITION, 21);
    SetCtrlAttribute (hPanel, ROD_LIST_FILE, ATTR_CTRL_TAB_POSITION, 22);
    SetCtrlAttribute (hPanel, ROD_SEND_LIST, ATTR_CTRL_TAB_POSITION, 23);
    SetCtrlAttribute (hPanel, ROD_ROD_REV, ATTR_CTRL_TAB_POSITION, 24);
    SetCtrlAttribute (hPanel, ROD_ROD_SN, ATTR_CTRL_TAB_POSITION, 25);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG0, ATTR_CTRL_TAB_POSITION, 26);
    SetCtrlAttribute (hPanel, ROD_LIST_REPEAT_COUNTER, ATTR_CTRL_TAB_POSITION, 27);
    SetCtrlAttribute (hPanel, ROD_NUMBER_OF_LIST_REP, ATTR_CTRL_TAB_POSITION, 28);
    SetCtrlAttribute (hPanel, ROD_RESET_REP_NUM, ATTR_CTRL_TAB_POSITION, 29);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_3, ATTR_CTRL_TAB_POSITION, 30);
    SetCtrlAttribute (hPanel, ROD_STAT_REG_2, ATTR_CTRL_TAB_POSITION, 31);
    SetCtrlAttribute (hPanel, ROD_SLAVE3, ATTR_CTRL_TAB_POSITION, 32);
    SetCtrlAttribute (hPanel, ROD_SLAVE2, ATTR_CTRL_TAB_POSITION, 33);
    SetCtrlAttribute (hPanel, ROD_SLAVE1, ATTR_CTRL_TAB_POSITION, 34);
    SetCtrlAttribute (hPanel, ROD_SLAVE0, ATTR_CTRL_TAB_POSITION, 35);
    SetCtrlAttribute (hPanel, ROD_ROD_STAT_REG1, ATTR_CTRL_TAB_POSITION, 36);
    SetCtrlAttribute (hPanel, ROD_LIST_INDEX, ATTR_CTRL_TAB_POSITION, 37);
    SetCtrlAttribute (hPanel, ROD_READ_STATUS, ATTR_CTRL_TAB_POSITION, 38);
    SetCtrlAttribute (hPanel, ROD_SLOT_NUMBER, ATTR_CTRL_TAB_POSITION, 39);
    SetCtrlAttribute (hPanel, ROD_XFERBUFF_READRQ_OPT, ATTR_CTRL_TAB_POSITION, 40);
    SetCtrlAttribute (hPanel, ROD_WIN_SIZE, ATTR_CTRL_TAB_POSITION, 41);
    SetCtrlAttribute (hPanel, ROD_ERRBUFF_READRQ_OPT, ATTR_CTRL_TAB_POSITION, 42);
    SetCtrlAttribute (hPanel, ROD_INFOBUFF_READRQ_OPT, ATTR_CTRL_TAB_POSITION, 43);
    SetCtrlAttribute (hPanel, ROD_DIAGBUFF_READRQ_OPT, ATTR_CTRL_TAB_POSITION, 44);
    SetCtrlAttribute (hPanel, ROD_DMA_REQ_BUTTON, ATTR_CTRL_TAB_POSITION, 45);
    SetCtrlAttribute (hPanel, ROD_RESUME_BUTTON, ATTR_CTRL_TAB_POSITION, 46);
    SetCtrlAttribute (hPanel, ROD_PAUSE_BUTTON, ATTR_CTRL_TAB_POSITION, 47);
    SetCtrlAttribute (hPanel, ROD_ABORT_BUTTON, ATTR_CTRL_TAB_POSITION, 48);
    SetCtrlAttribute (hPanel, ROD_HOST_RUNNING, ATTR_CTRL_TAB_POSITION, 49);
    SetCtrlAttribute (hPanel, ROD_MDSP_SP0, ATTR_CTRL_TAB_POSITION, 50);
    SetCtrlAttribute (hPanel, ROD_MEMORY, ATTR_CTRL_TAB_POSITION, 51);
    SetCtrlAttribute (hPanel, ROD_PIXEL_NOT_SCT, ATTR_CTRL_TAB_POSITION, 52);
    SetCtrlAttribute (hPanel, ROD_TEST_PATH, ATTR_CTRL_TAB_POSITION, 53);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP3, ATTR_CTRL_TAB_POSITION, 54);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP2, ATTR_CTRL_TAB_POSITION, 55);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP1, ATTR_CTRL_TAB_POSITION, 56);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD3, ATTR_CTRL_TAB_POSITION, 57);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF3, ATTR_CTRL_TAB_POSITION, 58);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD2, ATTR_CTRL_TAB_POSITION, 59);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF3, ATTR_CTRL_TAB_POSITION, 60);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD1, ATTR_CTRL_TAB_POSITION, 61);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF2, ATTR_CTRL_TAB_POSITION, 62);
    SetCtrlAttribute (hPanel, ROD_TRAP_LD0, ATTR_CTRL_TAB_POSITION, 63);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON3, ATTR_CTRL_TAB_POSITION, 64);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF1, ATTR_CTRL_TAB_POSITION, 65);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF2, ATTR_CTRL_TAB_POSITION, 66);
    SetCtrlAttribute (hPanel, ROD_TRAP_FF0, ATTR_CTRL_TAB_POSITION, 67);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON2, ATTR_CTRL_TAB_POSITION, 68);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF1, ATTR_CTRL_TAB_POSITION, 69);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON1, ATTR_CTRL_TAB_POSITION, 70);
    SetCtrlAttribute (hPanel, ROD_TRAP_EF0, ATTR_CTRL_TAB_POSITION, 71);
    SetCtrlAttribute (hPanel, ROD_TRAP_ON0, ATTR_CTRL_TAB_POSITION, 72);
    SetCtrlAttribute (hPanel, ROD_TRAP_EN_DSP0, ATTR_CTRL_TAB_POSITION, 73);
    SetCtrlAttribute (hPanel, ROD_EVID_ERROR, ATTR_CTRL_TAB_POSITION, 74);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_1, ATTR_CTRL_TAB_POSITION, 75);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_1, ATTR_CTRL_TAB_POSITION, 76);
    SetCtrlAttribute (hPanel, ROD_EM_FULL_0, ATTR_CTRL_TAB_POSITION, 77);
    SetCtrlAttribute (hPanel, ROD_EM_EMPTY_0, ATTR_CTRL_TAB_POSITION, 78);
    SetCtrlAttribute (hPanel, ROD_FIFO_EFB_FULL, ATTR_CTRL_TAB_POSITION, 79);
    SetCtrlAttribute (hPanel, ROD_FIFO_1_FULL, ATTR_CTRL_TAB_POSITION, 80);
    SetCtrlAttribute (hPanel, ROD_FIFO_0_FULL, ATTR_CTRL_TAB_POSITION, 81);
    SetCtrlAttribute (hPanel, ROD_ALL_ZERO, ATTR_CTRL_TAB_POSITION, 82);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_0, ATTR_CTRL_TAB_POSITION, 83);
    SetCtrlAttribute (hPanel, ROD_ROD_BUSY_1, ATTR_CTRL_TAB_POSITION, 84);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_0, ATTR_CTRL_TAB_POSITION, 85);
    SetCtrlAttribute (hPanel, ROD_HT_LIMIT_1, ATTR_CTRL_TAB_POSITION, 86);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH_RUN, ATTR_CTRL_TAB_POSITION, 87);
    SetCtrlAttribute (hPanel, ROD_DEBUG_FIFO, ATTR_CTRL_TAB_POSITION, 88);
    SetCtrlAttribute (hPanel, ROD_TEST_BENCH, ATTR_CTRL_TAB_POSITION, 89);
    SetCtrlAttribute (hPanel, ROD_EFB_DM, ATTR_CTRL_TAB_POSITION, 90);
    SetCtrlAttribute (hPanel, ROD_FORM_MB, ATTR_CTRL_TAB_POSITION, 91);
    SetCtrlAttribute (hPanel, ROD_CAL_SIGNAL_DEC, ATTR_CTRL_TAB_POSITION, 92);
    SetCtrlAttribute (hPanel, ROD_TRG_SIGNAL_DEC, ATTR_CTRL_TAB_POSITION, 93);
    SetCtrlAttribute (hPanel, ROD_CMD_MASK_READY, ATTR_CTRL_TAB_POSITION, 94);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PULSE_COUNT, ATTR_CTRL_TAB_POSITION, 95);
    SetCtrlAttribute (hPanel, ROD_FE_OCCUP, ATTR_CTRL_TAB_POSITION, 96);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_PLS_COUNTER, ATTR_CTRL_TAB_POSITION, 97);
    SetCtrlAttribute (hPanel, ROD_INTERNAL_TIM, ATTR_CTRL_TAB_POSITION, 98);
    SetCtrlAttribute (hPanel, ROD_IN_MEM, ATTR_CTRL_TAB_POSITION, 99);
    SetCtrlAttribute (hPanel, ROD_DEBUG_MEM, ATTR_CTRL_TAB_POSITION, 100);
    SetCtrlAttribute (hPanel, ROD_CORR_TRIGGER, ATTR_CTRL_TAB_POSITION, 101);
    SetCtrlAttribute (hPanel, ROD_FORM_MB_EFB, ATTR_CTRL_TAB_POSITION, 102);
    SetCtrlAttribute (hPanel, ROD_FE_CMD_OUT, ATTR_CTRL_TAB_POSITION, 103);
    SetCtrlAttribute (hPanel, ROD_DATA_PATH, ATTR_CTRL_TAB_POSITION, 104);
    SetCtrlAttribute (hPanel, ROD_MASK1_1, ATTR_CTRL_TAB_POSITION, 105);
    SetCtrlAttribute (hPanel, ROD_MASK0_1, ATTR_CTRL_TAB_POSITION, 106);
    SetCtrlAttribute (hPanel, ROD_MASK1_0, ATTR_CTRL_TAB_POSITION, 107);
    SetCtrlAttribute (hPanel, ROD_MASK0_0, ATTR_CTRL_TAB_POSITION, 108);
    SetCtrlAttribute (hPanel, ROD_TRAP3, ATTR_CTRL_TAB_POSITION, 109);
    SetCtrlAttribute (hPanel, ROD_TRAP2, ATTR_CTRL_TAB_POSITION, 110);
    SetCtrlAttribute (hPanel, ROD_TRAP1, ATTR_CTRL_TAB_POSITION, 111);
    SetCtrlAttribute (hPanel, ROD_MODE, ATTR_CTRL_TAB_POSITION, 112);
    SetCtrlAttribute (hPanel, ROD_FORMAT3, ATTR_CTRL_TAB_POSITION, 113);
    SetCtrlAttribute (hPanel, ROD_FORMAT2, ATTR_CTRL_TAB_POSITION, 114);
    SetCtrlAttribute (hPanel, ROD_FORMAT1, ATTR_CTRL_TAB_POSITION, 115);
    SetCtrlAttribute (hPanel, ROD_FORMAT0, ATTR_CTRL_TAB_POSITION, 116);
    SetCtrlAttribute (hPanel, ROD_TRAP0, ATTR_CTRL_TAB_POSITION, 117);
    SetCtrlAttribute (hPanel, ROD_HOST_INDEX, ATTR_CTRL_TAB_POSITION, 118);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_WIDTH, ATTR_CTRL_TAB_POSITION, 119);
    SetCtrlAttribute (hPanel, ROD_LINK, ATTR_CTRL_TAB_POSITION, 120);
    SetCtrlAttribute (hPanel, ROD_SAMPLES, ATTR_CTRL_TAB_POSITION, 121);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OBJECT_ID, ATTR_CTRL_TAB_POSITION, 122);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_OFFSET, ATTR_CTRL_TAB_POSITION, 123);
    SetCtrlAttribute (hPanel, ROD_DESIRED_VALUE, ATTR_CTRL_TAB_POSITION, 124);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_INDEX, ATTR_CTRL_TAB_POSITION, 125);
    SetCtrlAttribute (hPanel, ROD_POLL_RFIELD_TIME, ATTR_CTRL_TAB_POSITION, 126);
    SetCtrlAttribute (hPanel, ROD_TEST_RESULT, ATTR_CTRL_TAB_POSITION, 127);
    SetCtrlAttribute (hPanel, ROD_TGR_INDEX, ATTR_CTRL_TAB_POSITION, 128);
    SetCtrlAttribute (hPanel, ROD_TGR_TIME, ATTR_CTRL_TAB_POSITION, 129);
    SetCtrlAttribute (hPanel, ROD_WIDTH, ATTR_CTRL_TAB_POSITION, 130);
    SetCtrlAttribute (hPanel, ROD_OBJECT_ID, ATTR_CTRL_TAB_POSITION, 131);
    SetCtrlAttribute (hPanel, ROD_OFFSET, ATTR_CTRL_TAB_POSITION, 132);
    SetCtrlAttribute (hPanel, ROD_DATA_OUT, ATTR_CTRL_TAB_POSITION, 133);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_INDEX, ATTR_CTRL_TAB_POSITION, 134);
    SetCtrlAttribute (hPanel, ROD_RWFIELD_TIME, ATTR_CTRL_TAB_POSITION, 135);
    SetCtrlAttribute (hPanel, ROD_ERRMSG_MASK, ATTR_CTRL_TAB_POSITION, 136);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_INDEX, ATTR_CTRL_TAB_POSITION, 137);
    SetCtrlAttribute (hPanel, ROD_ERRMSGMASK_TIME, ATTR_CTRL_TAB_POSITION, 138);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_START, ATTR_CTRL_TAB_POSITION, 139);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_RETURN_CODE, ATTR_CTRL_TAB_POSITION, 140);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_SIZE, ATTR_CTRL_TAB_POSITION, 141);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_INDEX, ATTR_CTRL_TAB_POSITION, 142);
    SetCtrlAttribute (hPanel, ROD_MEM_TEST_TIME, ATTR_CTRL_TAB_POSITION, 143);
    SetCtrlAttribute (hPanel, ROD_OVERFLOW, ATTR_CTRL_TAB_POSITION, 144);
    SetCtrlAttribute (hPanel, ROD_NOT_FOUND, ATTR_CTRL_TAB_POSITION, 145);
    SetCtrlAttribute (hPanel, ROD_RWREG_DISP, ATTR_CTRL_TAB_POSITION, 146);
    SetCtrlAttribute (hPanel, ROD_TOTAL_TIME, ATTR_CTRL_TAB_POSITION, 147);
    SetCtrlAttribute (hPanel, ROD_SAMPLING_TIME, ATTR_CTRL_TAB_POSITION, 148);
    SetCtrlAttribute (hPanel, ROD_SAVE_DATA, ATTR_CTRL_TAB_POSITION, 149);
    SetCtrlAttribute (hPanel, ROD_POLL_DISP, ATTR_CTRL_TAB_POSITION, 150);
    SetCtrlAttribute (hPanel, ROD_CAPTURE, ATTR_CTRL_TAB_POSITION, 151);
    SetCtrlAttribute (hPanel, ROD_FEOCC_NOT_FIFOWC, ATTR_CTRL_TAB_POSITION, 152);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(965*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(1216*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(20*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(4*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_TOP, VAL_AUTO_CENTER);
    SetPanelAttribute (hPanel, ATTR_LEFT, VAL_AUTO_CENTER);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    buildMenu_rod (hPanel);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_textBuffer ():  Build UI object TEXT_PANEL; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_textBuffer (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "TxtPanel", 68, 733, 605, 600);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "TEXT_PANEL");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, 0X009966);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, VAL_GRAY);
//  SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_OFFWHITE);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, 0X009966);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 10);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
//  SetPanelAttribute (hPanel, ATTR_MOVABLE, 1);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: TEXT_PANEL_HOST_INDEX
    TEXT_PANEL_HOST_INDEX = NewCtrl (hPanel, CTRL_NUMERIC, "HostIndex", 40, 27);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_CONSTANT_NAME, "HOST_INDEX");
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_POINT_SIZE, 12);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_WIDTH, 51);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_TEXT_POINT_SIZE, 14);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_MAX_VALUE, 21);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TEXT_PANEL_HOST_INDEX);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_WIDTH, 29);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_TOP, 24);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_LEFT, 18);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, TEXT_PANEL_HOST_INDEX, "", VAL_DS_READ, NULL, NULL);

    // Build control: TEXT_PANEL_TEXTBOX
    TEXT_PANEL_TEXTBOX = NewCtrl (hPanel, CTRL_TEXT_BOX, "", 53, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_CONSTANT_NAME, "TEXTBOX");
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_SCROLL_BARS, VAL_VERT_SCROLL_BAR);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_POINT_SIZE, 12);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_BGCOLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, TEXT_PANEL_TEXTBOX);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_MAX_ENTRY_LENGTH, -1);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_WRAP_MODE, VAL_WORD_WRAP);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_ENTER_IS_NEWLINE, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_FIRST_VISIBLE_LINE, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_EXTRA_LINES, -1);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_HEIGHT, 552);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_WIDTH, 599);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_TOP, 44);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_LEFT, -15);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, TEXT_PANEL_TEXTBOX, "", VAL_DS_READ, NULL, NULL);

    // Build control: TEXT_PANEL_OVERFLOW
    TEXT_PANEL_OVERFLOW = NewCtrl (hPanel, CTRL_ROUND_LED, "Overflow", 27, 301);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_CONSTANT_NAME, "OVERFLOW");
//  SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_POINT_SIZE, 12);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_WIDTH, 45);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TEXT_PANEL_OVERFLOW);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_ON_COLOR, VAL_RED);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_HEIGHT, 20);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_WIDTH, 20);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_TOP, 28);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_LEFT, 254);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TEXT_PANEL_OVERWRITE
    TEXT_PANEL_OVERWRITE = NewCtrl (hPanel, CTRL_ROUND_LED, "Overwrite", 27, 229);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_CONSTANT_NAME, "OVERWRITE");
//  SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_POINT_SIZE, 12);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_WIDTH, 48);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TEXT_PANEL_OVERWRITE);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_ON_COLOR, VAL_GREEN);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_HEIGHT, 20);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_WIDTH, 20);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_TOP, 28);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_LEFT, 180);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TEXT_PANEL_TXTBUFF_MODE
    TEXT_PANEL_TXTBUFF_MODE = NewCtrl (hPanel, CTRL_RING, "BufferMode", 27, 95);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_CONSTANT_NAME, "TXTBUFF_MODE");
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, TEXT_PANEL_TXTBUFF_MODE, 0, "LINEAR", 0);
    InsertListItem (hPanel, TEXT_PANEL_TXTBUFF_MODE, 1, "RING", 1);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_FRAME_COLOR, 0X7F7F7F);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_POINT_SIZE, 12);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_WIDTH, 58);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_BGCOLOR, VAL_GRAY);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_TEXT_POINT_SIZE, 12);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, TEXT_PANEL_TXTBUFF_MODE);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_WIDTH, 55);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_TOP, 31);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_LEFT, 37);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_ZPLANE_POSITION, 4);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, TEXT_PANEL_HOST_INDEX, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TEXTBOX, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERFLOW, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, TEXT_PANEL_OVERWRITE, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, TEXT_PANEL_TXTBUFF_MODE, ATTR_CTRL_TAB_POSITION, 4);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(605*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(600*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(68*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(733*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    buildMenu_textBuffer (hPanel);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildMenu_cmdListStatus ():  Build UI object CSTAT_MENU; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildMenu_cmdListStatus (int hParentPanel)
{
    int hMenubar;
    int error = 0;

    // Create the menubar
    hMenubar = NewMenuBar (hParentPanel);
    SetMenuBarAttribute (hMenubar, 0, ATTR_CONSTANT_NAME, "CSTAT_MENU");

    // Build menu: CSTAT_MENU_CLEAR_STATUS_WINDOW
    CSTAT_MENU_CLEAR_STATUS_WINDOW = NewMenu (hMenubar, "ClearStatusWindow", -1);
    SetMenuBarAttribute (hMenubar, CSTAT_MENU_CLEAR_STATUS_WINDOW, ATTR_CONSTANT_NAME, "CLEAR_STATUS_WINDOW");
//  SetMenuBarAttribute (hMenubar, CSTAT_MENU_CLEAR_STATUS_WINDOW, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, CSTAT_MENU_CLEAR_STATUS_WINDOW, ATTR_CALLBACK_FUNCTION_POINTER, commandStatusMenu);

    // Build menu: CSTAT_MENU_OPEN_STATUS_FILE
    CSTAT_MENU_OPEN_STATUS_FILE = NewMenu (hMenubar, "OpenStatusFile", -1);
    SetMenuBarAttribute (hMenubar, CSTAT_MENU_OPEN_STATUS_FILE, ATTR_CONSTANT_NAME, "OPEN_STATUS_FILE");
//  SetMenuBarAttribute (hMenubar, CSTAT_MENU_OPEN_STATUS_FILE, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, CSTAT_MENU_OPEN_STATUS_FILE, ATTR_CALLBACK_FUNCTION_POINTER, commandStatusMenu);

    // Build menu: CSTAT_MENU_CMD_LIST_EDITOR
    CSTAT_MENU_CMD_LIST_EDITOR = NewMenu (hMenubar, "CmdListEditor", -1);
    SetMenuBarAttribute (hMenubar, CSTAT_MENU_CMD_LIST_EDITOR, ATTR_CONSTANT_NAME, "CMD_LIST_EDITOR");
//  SetMenuBarAttribute (hMenubar, CSTAT_MENU_CMD_LIST_EDITOR, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, CSTAT_MENU_CMD_LIST_EDITOR, ATTR_CALLBACK_FUNCTION_POINTER, commandStatusMenu);

    // Build menu: CSTAT_MENU_CLOSE_WINDOW
    CSTAT_MENU_CLOSE_WINDOW = NewMenu (hMenubar, "Hide", -1);
    SetMenuBarAttribute (hMenubar, CSTAT_MENU_CLOSE_WINDOW, ATTR_CONSTANT_NAME, "CLOSE_WINDOW");
//  SetMenuBarAttribute (hMenubar, CSTAT_MENU_CLOSE_WINDOW, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, CSTAT_MENU_CLOSE_WINDOW, ATTR_CALLBACK_FUNCTION_POINTER, commandStatusMenu);

    //We're done!
    return hMenubar;
Error:
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildMenu_dspMonitor ():  Build UI object DSPMON; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildMenu_dspMonitor (int hParentPanel)
{
    int hMenubar;
    int error = 0;

    // Create the menubar
    hMenubar = NewMenuBar (hParentPanel);
    SetMenuBarAttribute (hMenubar, 0, ATTR_CONSTANT_NAME, "DSPMON");

    // Build menu: DSPMON_HIDE
    DSPMON_HIDE = NewMenu (hMenubar, "Hide", -1);
    SetMenuBarAttribute (hMenubar, DSPMON_HIDE, ATTR_CONSTANT_NAME, "HIDE");
//  SetMenuBarAttribute (hMenubar, DSPMON_HIDE, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, DSPMON_HIDE, ATTR_CALLBACK_FUNCTION_POINTER, dspMonMenu);

    //We're done!
    return hMenubar;
Error:
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildMenu_main ():  Build UI object MAIN_MENU; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildMenu_main (int hParentPanel)
{
    int hMenubar;
    int error = 0;

    // Create the menubar
    hMenubar = NewMenuBar (hParentPanel);
    SetMenuBarAttribute (hMenubar, 0, ATTR_CONSTANT_NAME, "MAIN_MENU");

    // Build menu: MAIN_MENU_LOAD_ROD
    MAIN_MENU_LOAD_ROD = NewMenu (hMenubar, "LoadRod", -1);
    SetMenuBarAttribute (hMenubar, MAIN_MENU_LOAD_ROD, ATTR_CONSTANT_NAME, "LOAD_ROD");
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_LOAD_ROD, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, MAIN_MENU_LOAD_ROD, ATTR_CALLBACK_FUNCTION_POINTER, mainMenu);

    // Build menu: MAIN_MENU_PARAMS
    MAIN_MENU_PARAMS = NewMenu (hMenubar, "Params", -1);
    SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS, ATTR_CONSTANT_NAME, "PARAMS");
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS, ATTR_DIMMED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS, ATTR_CALLBACK_FUNCTION_POINTER, NULL);

    // Create item: SAVE_RINGS (MenuBar003_Menu002_Item001)
    MAIN_MENU_PARAMS_SAVE_RINGS = NewMenuItem (hMenubar, MAIN_MENU_PARAMS, "Save list rings", -1, 0, mainMenu, 0);
    SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_SAVE_RINGS, ATTR_CONSTANT_NAME, "SAVE_RINGS");
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_SAVE_RINGS, ATTR_DIMMED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_SAVE_RINGS, ATTR_CHECKED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_SAVE_RINGS, ATTR_BOLD, 0);

    // Create item: LOAD_RINGS (MenuBar003_Menu002_Item002)
    MAIN_MENU_PARAMS_LOAD_RINGS = NewMenuItem (hMenubar, MAIN_MENU_PARAMS, "Load list rings", -1, 0, mainMenu, 0);
    SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_LOAD_RINGS, ATTR_CONSTANT_NAME, "LOAD_RINGS");
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_LOAD_RINGS, ATTR_DIMMED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_LOAD_RINGS, ATTR_CHECKED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_LOAD_RINGS, ATTR_BOLD, 0);

    // Create item: SET (MenuBar003_Menu002_Item003)
    MAIN_MENU_PARAMS_SET = NewMenuItem (hMenubar, MAIN_MENU_PARAMS, "Set current values as default", -1, 0, mainMenu, 0);
    SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_SET, ATTR_CONSTANT_NAME, "SET");
    SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_SET, ATTR_DIMMED, 1);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_SET, ATTR_CHECKED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_SET, ATTR_BOLD, 0);

    // Create item: LOAD (MenuBar003_Menu002_Item004)
    MAIN_MENU_PARAMS_LOAD = NewMenuItem (hMenubar, MAIN_MENU_PARAMS, "Load default values", -1, 0, mainMenu, 0);
    SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_LOAD, ATTR_CONSTANT_NAME, "LOAD");
    SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_LOAD, ATTR_DIMMED, 1);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_LOAD, ATTR_CHECKED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_PARAMS_LOAD, ATTR_BOLD, 0);

    // Build menu: MAIN_MENU_SHOW_ERROR_FILE
    MAIN_MENU_SHOW_ERROR_FILE = NewMenu (hMenubar, "ErrorFile", -1);
    SetMenuBarAttribute (hMenubar, MAIN_MENU_SHOW_ERROR_FILE, ATTR_CONSTANT_NAME, "SHOW_ERROR_FILE");
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_SHOW_ERROR_FILE, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, MAIN_MENU_SHOW_ERROR_FILE, ATTR_CALLBACK_FUNCTION_POINTER, mainMenu);

    // Build menu: MAIN_MENU_LIST_EDIT
    MAIN_MENU_LIST_EDIT = NewMenu (hMenubar, "ListEditor", -1);
    SetMenuBarAttribute (hMenubar, MAIN_MENU_LIST_EDIT, ATTR_CONSTANT_NAME, "LIST_EDIT");
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_LIST_EDIT, ATTR_DIMMED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_LIST_EDIT, ATTR_CALLBACK_FUNCTION_POINTER, NULL);

    // Create item: PRIM (MenuBar003_Menu004_Item001)
    MAIN_MENU_LIST_EDIT_PRIM = NewMenuItem (hMenubar, MAIN_MENU_LIST_EDIT, "PrimitiveList", -1, 0, mainMenu, 0);
    SetMenuBarAttribute (hMenubar, MAIN_MENU_LIST_EDIT_PRIM, ATTR_CONSTANT_NAME, "PRIM");
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_LIST_EDIT_PRIM, ATTR_DIMMED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_LIST_EDIT_PRIM, ATTR_CHECKED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_LIST_EDIT_PRIM, ATTR_BOLD, 0);

    // Create item: COMMAND (MenuBar003_Menu004_Item002)
    MAIN_MENU_LIST_EDIT_COMMAND = NewMenuItem (hMenubar, MAIN_MENU_LIST_EDIT, "CommandList", -1, 0, mainMenu, 0);
    SetMenuBarAttribute (hMenubar, MAIN_MENU_LIST_EDIT_COMMAND, ATTR_CONSTANT_NAME, "COMMAND");
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_LIST_EDIT_COMMAND, ATTR_DIMMED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_LIST_EDIT_COMMAND, ATTR_CHECKED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_LIST_EDIT_COMMAND, ATTR_BOLD, 0);

    // Build menu: MAIN_MENU_MEM_ACCESS
    MAIN_MENU_MEM_ACCESS = NewMenu (hMenubar, "Memory", -1);
    SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS, ATTR_CONSTANT_NAME, "MEM_ACCESS");
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS, ATTR_DIMMED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS, ATTR_CALLBACK_FUNCTION_POINTER, NULL);

    // Create item: TIM (MenuBar003_Menu005_Item001)
    MAIN_MENU_MEM_ACCESS_TIM = NewMenuItem (hMenubar, MAIN_MENU_MEM_ACCESS, "Tim", -1, 0, mainMenu, 0);
    SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_TIM, ATTR_CONSTANT_NAME, "TIM");
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_TIM, ATTR_DIMMED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_TIM, ATTR_CHECKED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_TIM, ATTR_BOLD, 0);

    // Create item: VME (MenuBar003_Menu005_Item002)
    MAIN_MENU_MEM_ACCESS_VME = NewMenuItem (hMenubar, MAIN_MENU_MEM_ACCESS, "VME", -1, 0, mainMenu, 0);
    SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_VME, ATTR_CONSTANT_NAME, "VME");
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_VME, ATTR_DIMMED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_VME, ATTR_CHECKED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_VME, ATTR_BOLD, 0);

    // Create item: MASTER_DSP (MenuBar003_Menu005_Item003)
    MAIN_MENU_MEM_ACCESS_MASTER_DSP = NewMenuItem (hMenubar, MAIN_MENU_MEM_ACCESS, "MasterDSP", -1, 0, mainMenu, 0);
    SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_MASTER_DSP, ATTR_CONSTANT_NAME, "MASTER_DSP");
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_MASTER_DSP, ATTR_DIMMED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_MASTER_DSP, ATTR_CHECKED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_MASTER_DSP, ATTR_BOLD, 0);

    // Create item: SLAVE_DSP (MenuBar003_Menu005_Item004)
    MAIN_MENU_MEM_ACCESS_SLAVE_DSP = NewMenuItem (hMenubar, MAIN_MENU_MEM_ACCESS, "SlaveDSP", -1, 0, mainMenu, 0);
    SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_SLAVE_DSP, ATTR_CONSTANT_NAME, "SLAVE_DSP");
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_SLAVE_DSP, ATTR_DIMMED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_SLAVE_DSP, ATTR_CHECKED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_SLAVE_DSP, ATTR_BOLD, 0);

    // Create item: FPGA (MenuBar003_Menu005_Item005)
    MAIN_MENU_MEM_ACCESS_FPGA = NewMenuItem (hMenubar, MAIN_MENU_MEM_ACCESS, "FPGA Ctrl/StatusRegs.", -1, 0, mainMenu, 0);
    SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_FPGA, ATTR_CONSTANT_NAME, "FPGA");
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_FPGA, ATTR_DIMMED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_FPGA, ATTR_CHECKED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_FPGA, ATTR_BOLD, 0);

    // Create item: FLASH (MenuBar003_Menu005_Item006)
    MAIN_MENU_MEM_ACCESS_FLASH = NewMenuItem (hMenubar, MAIN_MENU_MEM_ACCESS, "FLASH", -1, 0, mainMenu, 0);
    SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_FLASH, ATTR_CONSTANT_NAME, "FLASH");
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_FLASH, ATTR_DIMMED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_FLASH, ATTR_CHECKED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_FLASH, ATTR_BOLD, 0);

    // Create item: VIEW_BIN_FI (MenuBar003_Menu005_Item007)
    MAIN_MENU_MEM_ACCESS_VIEW_BIN_FI = NewMenuItem (hMenubar, MAIN_MENU_MEM_ACCESS, "View Bin File", -1, 0, mainMenu, 0);
    SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_VIEW_BIN_FI, ATTR_CONSTANT_NAME, "VIEW_BIN_FI");
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_VIEW_BIN_FI, ATTR_DIMMED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_VIEW_BIN_FI, ATTR_CHECKED, 0);
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_MEM_ACCESS_VIEW_BIN_FI, ATTR_BOLD, 0);

    // Build menu: MAIN_MENU_QUIT
    MAIN_MENU_QUIT = NewMenu (hMenubar, "Exit", -1);
    SetMenuBarAttribute (hMenubar, MAIN_MENU_QUIT, ATTR_CONSTANT_NAME, "QUIT");
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_QUIT, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, MAIN_MENU_QUIT, ATTR_CALLBACK_FUNCTION_POINTER, mainMenu);

    // Build menu: MAIN_MENU_HELP
    MAIN_MENU_HELP = NewMenu (hMenubar, "Help", -1);
    SetMenuBarAttribute (hMenubar, MAIN_MENU_HELP, ATTR_CONSTANT_NAME, "HELP");
//  SetMenuBarAttribute (hMenubar, MAIN_MENU_HELP, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, MAIN_MENU_HELP, ATTR_CALLBACK_FUNCTION_POINTER, mainMenu);

    //We're done!
    return hMenubar;
Error:
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildMenu_rod ():  Build UI object RODN_MENU; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildMenu_rod (int hParentPanel)
{
    int hMenubar;
    int error = 0;

    // Create the menubar
    hMenubar = NewMenuBar (hParentPanel);
    SetMenuBarAttribute (hMenubar, 0, ATTR_CONSTANT_NAME, "RODN_MENU");

    // Build menu: RODN_MENU_GO_TO_MAIN
    RODN_MENU_GO_TO_MAIN = NewMenu (hMenubar, "Main", -1);
    SetMenuBarAttribute (hMenubar, RODN_MENU_GO_TO_MAIN, ATTR_CONSTANT_NAME, "GO_TO_MAIN");
//  SetMenuBarAttribute (hMenubar, RODN_MENU_GO_TO_MAIN, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, RODN_MENU_GO_TO_MAIN, ATTR_CALLBACK_FUNCTION_POINTER, hostMenu);

    // Build menu: RODN_MENU_LIST_EDIT
    RODN_MENU_LIST_EDIT = NewMenu (hMenubar, "ListEditor", -1);
    SetMenuBarAttribute (hMenubar, RODN_MENU_LIST_EDIT, ATTR_CONSTANT_NAME, "LIST_EDIT");
//  SetMenuBarAttribute (hMenubar, RODN_MENU_LIST_EDIT, ATTR_DIMMED, 0);
//  SetMenuBarAttribute (hMenubar, RODN_MENU_LIST_EDIT, ATTR_CALLBACK_FUNCTION_POINTER, NULL);

    // Create item: PRIM (MenuBar004_Menu002_Item001)
    RODN_MENU_LIST_EDIT_PRIM = NewMenuItem (hMenubar, RODN_MENU_LIST_EDIT, "PrimitiveList", -1, 0, hostMenu, 0);
    SetMenuBarAttribute (hMenubar, RODN_MENU_LIST_EDIT_PRIM, ATTR_CONSTANT_NAME, "PRIM");
//  SetMenuBarAttribute (hMenubar, RODN_MENU_LIST_EDIT_PRIM, ATTR_DIMMED, 0);
//  SetMenuBarAttribute (hMenubar, RODN_MENU_LIST_EDIT_PRIM, ATTR_CHECKED, 0);
//  SetMenuBarAttribute (hMenubar, RODN_MENU_LIST_EDIT_PRIM, ATTR_BOLD, 0);

    // Create item: COMMAND (MenuBar004_Menu002_Item002)
    RODN_MENU_LIST_EDIT_COMMAND = NewMenuItem (hMenubar, RODN_MENU_LIST_EDIT, "CommandList", -1, 0, hostMenu, 0);
    SetMenuBarAttribute (hMenubar, RODN_MENU_LIST_EDIT_COMMAND, ATTR_CONSTANT_NAME, "COMMAND");
//  SetMenuBarAttribute (hMenubar, RODN_MENU_LIST_EDIT_COMMAND, ATTR_DIMMED, 0);
//  SetMenuBarAttribute (hMenubar, RODN_MENU_LIST_EDIT_COMMAND, ATTR_CHECKED, 0);
//  SetMenuBarAttribute (hMenubar, RODN_MENU_LIST_EDIT_COMMAND, ATTR_BOLD, 0);

    // Build menu: RODN_MENU_SHOW_TXT_WIND
    RODN_MENU_SHOW_TXT_WIND = NewMenu (hMenubar, "TextBuffers", -1);
    SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND, ATTR_CONSTANT_NAME, "SHOW_TXT_WIND");
//  SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND, ATTR_DIMMED, 0);
//  SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND, ATTR_CALLBACK_FUNCTION_POINTER, NULL);

    // Create item: ERROR (MenuBar004_Menu003_Item001)
    RODN_MENU_SHOW_TXT_WIND_ERROR = NewMenuItem (hMenubar, RODN_MENU_SHOW_TXT_WIND, "Error", -1, 0, hostMenu, 0);
    SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_ERROR, ATTR_CONSTANT_NAME, "ERROR");
//  SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_ERROR, ATTR_DIMMED, 0);
//  SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_ERROR, ATTR_CHECKED, 0);
//  SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_ERROR, ATTR_BOLD, 0);

    // Create item: INFO (MenuBar004_Menu003_Item002)
    RODN_MENU_SHOW_TXT_WIND_INFO = NewMenuItem (hMenubar, RODN_MENU_SHOW_TXT_WIND, "Info", -1, 0, hostMenu, 0);
    SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_INFO, ATTR_CONSTANT_NAME, "INFO");
//  SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_INFO, ATTR_DIMMED, 0);
//  SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_INFO, ATTR_CHECKED, 0);
//  SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_INFO, ATTR_BOLD, 0);

    // Create item: DIAG (MenuBar004_Menu003_Item003)
    RODN_MENU_SHOW_TXT_WIND_DIAG = NewMenuItem (hMenubar, RODN_MENU_SHOW_TXT_WIND, "Diag", -1, 0, hostMenu, 0);
    SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_DIAG, ATTR_CONSTANT_NAME, "DIAG");
//  SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_DIAG, ATTR_DIMMED, 0);
//  SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_DIAG, ATTR_CHECKED, 0);
//  SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_DIAG, ATTR_BOLD, 0);

    // Create item: XFER (MenuBar004_Menu003_Item004)
    RODN_MENU_SHOW_TXT_WIND_XFER = NewMenuItem (hMenubar, RODN_MENU_SHOW_TXT_WIND, "Xfer", -1, 0, hostMenu, 0);
    SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_XFER, ATTR_CONSTANT_NAME, "XFER");
//  SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_XFER, ATTR_DIMMED, 0);
//  SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_XFER, ATTR_CHECKED, 0);
//  SetMenuBarAttribute (hMenubar, RODN_MENU_SHOW_TXT_WIND_XFER, ATTR_BOLD, 0);

    // Build menu: RODN_MENU_COMMAND_WINDOW
    RODN_MENU_COMMAND_WINDOW = NewMenu (hMenubar, "CommandListStatus", -1);
    SetMenuBarAttribute (hMenubar, RODN_MENU_COMMAND_WINDOW, ATTR_CONSTANT_NAME, "COMMAND_WINDOW");
//  SetMenuBarAttribute (hMenubar, RODN_MENU_COMMAND_WINDOW, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, RODN_MENU_COMMAND_WINDOW, ATTR_CALLBACK_FUNCTION_POINTER, hostMenu);

    // Build menu: RODN_MENU_DSP_MON
    RODN_MENU_DSP_MON = NewMenu (hMenubar, "DSPMonitor", -1);
    SetMenuBarAttribute (hMenubar, RODN_MENU_DSP_MON, ATTR_CONSTANT_NAME, "DSP_MON");
//  SetMenuBarAttribute (hMenubar, RODN_MENU_DSP_MON, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, RODN_MENU_DSP_MON, ATTR_CALLBACK_FUNCTION_POINTER, hostMenu);

    // Build menu: RODN_MENU_ROD_DATA
    RODN_MENU_ROD_DATA = NewMenu (hMenubar, "Data", -1);
    SetMenuBarAttribute (hMenubar, RODN_MENU_ROD_DATA, ATTR_CONSTANT_NAME, "ROD_DATA");
//  SetMenuBarAttribute (hMenubar, RODN_MENU_ROD_DATA, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, RODN_MENU_ROD_DATA, ATTR_CALLBACK_FUNCTION_POINTER, hostMenu);

    // Build menu: RODN_MENU_RESET
    RODN_MENU_RESET = NewMenu (hMenubar, "Reset", -1);
    SetMenuBarAttribute (hMenubar, RODN_MENU_RESET, ATTR_CONSTANT_NAME, "RESET");
//  SetMenuBarAttribute (hMenubar, RODN_MENU_RESET, ATTR_DIMMED, 0);
//  SetMenuBarAttribute (hMenubar, RODN_MENU_RESET, ATTR_CALLBACK_FUNCTION_POINTER, NULL);

    // Create item: ROD (MenuBar004_Menu007_Item001)
    RODN_MENU_RESET_ROD = NewMenuItem (hMenubar, RODN_MENU_RESET, "ROD", -1, 0, hostMenu, 0);
    SetMenuBarAttribute (hMenubar, RODN_MENU_RESET_ROD, ATTR_CONSTANT_NAME, "ROD");
//  SetMenuBarAttribute (hMenubar, RODN_MENU_RESET_ROD, ATTR_DIMMED, 0);
//  SetMenuBarAttribute (hMenubar, RODN_MENU_RESET_ROD, ATTR_CHECKED, 0);
//  SetMenuBarAttribute (hMenubar, RODN_MENU_RESET_ROD, ATTR_BOLD, 0);

    // Build menu: RODN_MENU_EXIT_ROD
    RODN_MENU_EXIT_ROD = NewMenu (hMenubar, "ExitRod", -1);
    SetMenuBarAttribute (hMenubar, RODN_MENU_EXIT_ROD, ATTR_CONSTANT_NAME, "EXIT_ROD");
//  SetMenuBarAttribute (hMenubar, RODN_MENU_EXIT_ROD, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, RODN_MENU_EXIT_ROD, ATTR_CALLBACK_FUNCTION_POINTER, hostMenu);

    //We're done!
    return hMenubar;
Error:
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildMenu_textBuffer ():  Build UI object TXT_BUFF; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildMenu_textBuffer (int hParentPanel)
{
    int hMenubar;
    int error = 0;

    // Create the menubar
    hMenubar = NewMenuBar (hParentPanel);
    SetMenuBarAttribute (hMenubar, 0, ATTR_CONSTANT_NAME, "TXT_BUFF");

    // Build menu: TXT_BUFF_CLEAR_WINDOW
    TXT_BUFF_CLEAR_WINDOW = NewMenu (hMenubar, "ClearWindow", -1);
    SetMenuBarAttribute (hMenubar, TXT_BUFF_CLEAR_WINDOW, ATTR_CONSTANT_NAME, "CLEAR_WINDOW");
//  SetMenuBarAttribute (hMenubar, TXT_BUFF_CLEAR_WINDOW, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, TXT_BUFF_CLEAR_WINDOW, ATTR_CALLBACK_FUNCTION_POINTER, txtBuffWindowMenu);

    // Build menu: TXT_BUFF_OPEN_TXT_FILE
    TXT_BUFF_OPEN_TXT_FILE = NewMenu (hMenubar, "OpenFile", -1);
    SetMenuBarAttribute (hMenubar, TXT_BUFF_OPEN_TXT_FILE, ATTR_CONSTANT_NAME, "OPEN_TXT_FILE");
//  SetMenuBarAttribute (hMenubar, TXT_BUFF_OPEN_TXT_FILE, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, TXT_BUFF_OPEN_TXT_FILE, ATTR_CALLBACK_FUNCTION_POINTER, txtBuffWindowMenu);

    // Build menu: TXT_BUFF_CLOSE_WINDOW
    TXT_BUFF_CLOSE_WINDOW = NewMenu (hMenubar, "HideWindow", -1);
    SetMenuBarAttribute (hMenubar, TXT_BUFF_CLOSE_WINDOW, ATTR_CONSTANT_NAME, "CLOSE_WINDOW");
//  SetMenuBarAttribute (hMenubar, TXT_BUFF_CLOSE_WINDOW, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, TXT_BUFF_CLOSE_WINDOW, ATTR_CALLBACK_FUNCTION_POINTER, txtBuffWindowMenu);

    //We're done!
    return hMenubar;
Error:
    return error;
}
