
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------
//
//  "uiPrimitives.c"
//
//  Implementation file for UI build functions
//
//  Date: 11-07-2004
//
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------

//----------------------------------------------------------------------------------------------------
//  Include header files
//----------------------------------------------------------------------------------------------------

#include "uiPrimitives.h"
#include <Utility.h> // definition of NULL
#include "toolbox.h" // definition of errChk macro

extern int CVIFUNC_C GetUserBitmapFromText (char *imageText, int version, int *bitmapId); // needed if there are bitmaps
extern int CVIFUNC_C NewActiveXCtrlFromPersistence (int panel, const char *ctrlLabel,
                                                    int top, int left, char *defaultIID,
                                                    int binaryFormat, char *persistenceText,
                                                    HRESULT *activeXError); // needed if there are ActiveX controls

//----------------------------------------------------------------------------------------------------
//  Prototype UI build functions.
//----------------------------------------------------------------------------------------------------

int buildPanel_bocHistogram (int hParentPanel);
int buildPanel_buildStream (int hParentPanel);
int buildPanel_configSlave (int hParentPanel);
int buildPanel_copyMemeory (int hParentPanel);
int buildPanel_dspRest (int hParentPanel);
int buildPanel_eventTrapSetup (int hParentPanel);
int buildPanel_flashLed (int hParentPanel);
int buildPanel_histogramSetup (int hParentPanel);
int buildPanel_moduleMask (int hParentPanel);
int buildPanel_memoryTest (int hParentPanel);
int buildPanel_echo (int hParentPanel);
int buildPanel_pauseList (int hParentPanel);
int buildPanel_pollRegField (int hParentPanel);
int buildPanel_rwBocData (int hParentPanel);
int buildPanel_rwRegField (int hParentPanel);
int buildPanel_rwFifo (int hParentPanel);
int buildPanel_rwModuleData (int hParentPanel);
int buildPanel_rwSlaveMemory (int hParentPanel);
int buildPanel_rwModuleVariable (int hParentPanel);
int buildPanel_sendConfig (int hParentPanel);
int buildPanel_sendData (int hParentPanel);
int buildPanel_sendSlaveList (int hParentPanel);
int buildPanel_sendStream (int hParentPanel);
int buildPanel_setMessageMask (int hParentPanel);
int buildPanel_setLed (int hParentPanel);
int buildPanel_setMemory (int hParentPanel);
int buildPanel_setTrigger (int hParentPanel);
int buildPanel_setRodMode (int hParentPanel);
int buildPanel_slaveListOp (int hParentPanel);
int buildPanel_startdataTaking (int hParentPanel);
int buildPanel_startSlaveList (int hParentPanel);
int buildPanel_startSdsp (int hParentPanel);
int buildPanel_startTask (int hParentPanel);
int buildPanel_stopDataTaking (int hParentPanel);
int buildPanel_testGlobalRegister (int hParentPanel);
int buildPanel_testPrimitive (int hParentPanel);
int buildPanel_taskOperation (int hParentPanel);
int buildPanel_writeBuffer (int hParentPanel);
int buildPanel_transmitSerialData (int hParentPanel);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: BOC_HIST
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: BUILD_STRM
// ------------------------------------------------------------------------------------------------

// Control: BUILD_STRM_INP_FILE
int CVICALLBACK buildStream (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: BUILD_STRM_INPUT_OPTION
int CVICALLBACK buildStream (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: CONFIG_SLV
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: CPY_MEMP
// ------------------------------------------------------------------------------------------------

// Control: CPY_MEMP_DESTINATION
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: CPY_MEMP_SOURCE
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: DSPRESETP
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: EVENT_TRAP
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: FLASH_LEDP
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: HIST_SETP
// ------------------------------------------------------------------------------------------------

// Control: HIST_SETP_INP_FILE_2
int CVICALLBACK histogramSetup (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: HIST_SETP_INP_FILE_1
int CVICALLBACK histogramSetup (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: HIST_SETP_DEFAULT_1
int CVICALLBACK histogramSetup (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: MDL_MASKP
// ------------------------------------------------------------------------------------------------

// Control: MDL_MASKP_CFG
int CVICALLBACK moduleMask (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: MEM_TEST
// ------------------------------------------------------------------------------------------------

// Control: MEM_TEST_START_ADDR
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: PANEL_ECHO
// ------------------------------------------------------------------------------------------------

// Control: PANEL_ECHO_INP_FILE
int CVICALLBACK echoParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_ECHO_INPUT_OPTION
int CVICALLBACK echoParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: PANEL_ECHO_TEST_DATA_LENGTH
int CVICALLBACK echoParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: PAUSE_L
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: POLL_FIELD
// ------------------------------------------------------------------------------------------------

// Control: POLL_FIELD_DESIRED_VALUE
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_31
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_30
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BASE_ID
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_Z
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_Y
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_X
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_29
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_28
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_27
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_26
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_24
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_25
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_23
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_22
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_21
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_20
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_19
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_18
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_16
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_17
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_15
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_14
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_13
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_12
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_11
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_10
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_8
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_9
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_7
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_6
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_5
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_4
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_3
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_2
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_0
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: POLL_FIELD_BIT_1
int CVICALLBACK pollRegFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: RW_BOCD
// ------------------------------------------------------------------------------------------------

// Control: RW_BOCD_INP_FILE
int CVICALLBACK RWBoc (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_BOCD_READ_NOT_WRITE
int CVICALLBACK RWBoc (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: RW_FIELDP
// ------------------------------------------------------------------------------------------------

// Control: RW_FIELDP_OUT_FILE
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_DATA_IN
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_OUTPUT_OPT
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_READ_WRITE
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BASE_ID
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_Z
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_Y
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_X
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_31
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_30
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_29
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_28
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_27
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_26
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_24
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_25
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_23
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_22
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_21
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_20
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_19
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_18
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_16
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_17
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_15
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_14
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_13
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_12
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_11
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_10
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_8
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_9
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_7
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_6
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_5
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_4
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_3
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_2
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_0
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIELDP_BIT_1
int CVICALLBACK RWFieldParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: RW_FIFOP
// ------------------------------------------------------------------------------------------------

// Control: RW_FIFOP_OUT_FILE
int CVICALLBACK RWFifoParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIFOP_INP_FILE
int CVICALLBACK RWFifoParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIFOP_OUTPUT_OPT
int CVICALLBACK RWFifoParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIFOP_READ_NOT_WRITE
int CVICALLBACK RWFifoParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_FIFOP_FIFO_ID_AND_BANK
int CVICALLBACK RWFifoParams (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: RW_MODULEP
// ------------------------------------------------------------------------------------------------

// Control: RW_MODULEP_OUT_FILE
int CVICALLBACK RWmodule (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_MODULEP_INP_FILE
int CVICALLBACK RWmodule (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_MODULEP_READ_NOT_WRITE
int CVICALLBACK RWmodule (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: RW_SLAVE
// ------------------------------------------------------------------------------------------------

// Control: RW_SLAVE_OUT_FILE
int CVICALLBACK RWSlaveMemory (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_SLAVE_INP_FILE
int CVICALLBACK RWSlaveMemory (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_SLAVE_START_ADDRESS
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_SLAVE_READ_NOT_WRITE
int CVICALLBACK RWSlaveMemory (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RW_SLAVE_OUTPUT_OPT
int CVICALLBACK RWSlaveMemory (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: RWMODULVAR
// ------------------------------------------------------------------------------------------------

// Control: RWMODULVAR_OUT_FILE
int CVICALLBACK RWmoduleVar (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RWMODULVAR_INP_FILE
int CVICALLBACK RWmoduleVar (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: RWMODULVAR_READ_NOT_WRITE
int CVICALLBACK RWmoduleVar (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: SEND_CFGP
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: SEND_DATAP
// ------------------------------------------------------------------------------------------------

// Control: SEND_DATAP_OUT_FILE
int CVICALLBACK sendData (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: SEND_DATAP_OUTPUT_OPT
int CVICALLBACK sendData (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: SEND_SLIST
// ------------------------------------------------------------------------------------------------

// Control: SEND_SLIST_EDIT_SLAVE_LIST
int CVICALLBACK editSlaveList (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: SEND_STRM
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: SET_ERRMSK
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: SET_LEDP
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: SET_MEMP
// ------------------------------------------------------------------------------------------------

// Control: SET_MEMP_START_ADDR
int CVICALLBACK wordBoundary (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: SET_TRGP
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: SETRODMODE
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: SLIST_OP
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: START_DATA
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: START_SLIS
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: START_SLV
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: START_TSKP
// ------------------------------------------------------------------------------------------------

// Control: START_TSKP_INP_FILE
int CVICALLBACK taskType (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: START_TSKP_TASK_TYPE
int CVICALLBACK taskType (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: START_TSKP_HIST_CREATOR
int CVICALLBACK taskType (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: STOP_DATA
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: TESTGREG
// ------------------------------------------------------------------------------------------------

// Control: TESTGREG_OUT_FILE
int CVICALLBACK TestGlobalReg (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: TESTP
// ------------------------------------------------------------------------------------------------

// Control: TESTP_INP_FILE
int CVICALLBACK test (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TESTP_INPUT_OPTION
int CVICALLBACK test (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: TSK_OPER
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: WR_BUFFP
// ------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: X_SER_DATA
// ------------------------------------------------------------------------------------------------

// Control: X_SER_DATA_P1_FILE
int CVICALLBACK transSerial (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: X_SER_DATA_P0_FILE
int CVICALLBACK transSerial (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: X_SER_DATA_P1_FILE_OPT
int CVICALLBACK transSerial (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: X_SER_DATA_P0_FILE_OPT
int CVICALLBACK transSerial (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);


//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  BOC_HIST
// ------------------------------------------------------------------------------------------------

int BOC_HIST_NUM_LOOPS                       = 0;  // control identifier
int BOC_HIST_NUM_SAMPLES                     = 0;  // control identifier
int BOC_HIST_DECORATION                      = 0;  // control identifier
int BOC_HIST_DECORATION_2                    = 0;  // control identifier
int BOC_HIST_TEXTMSG                         = 0;  // control identifier
int BOC_HIST_TEXTMSG_4                       = 0;  // control identifier
int BOC_HIST_TEXTMSG_2                       = 0;  // control identifier
int BOC_HIST_TEXTMSG_5                       = 0;  // control identifier
int BOC_HIST_TEXTMSG_3                       = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  BUILD_STRM
// ------------------------------------------------------------------------------------------------

int BUILD_STRM_INP_FILE                      = 0;  // control identifier
int BUILD_STRM_INPUT_OPTION                  = 0;  // control identifier
int BUILD_STRM_DATA_LEN                      = 0;  // control identifier
int BUILD_STRM_MASK3                         = 0;  // control identifier
int BUILD_STRM_MASK2                         = 0;  // control identifier
int BUILD_STRM_MASK1                         = 0;  // control identifier
int BUILD_STRM_MASK0                         = 0;  // control identifier
int BUILD_STRM_RESET                         = 0;  // control identifier
int BUILD_STRM_CMD5                          = 0;  // control identifier
int BUILD_STRM_CMD4                          = 0;  // control identifier
int BUILD_STRM_CMD3                          = 0;  // control identifier
int BUILD_STRM_CHIP                          = 0;  // control identifier
int BUILD_STRM_CMD0                          = 0;  // control identifier
int BUILD_STRM_CMD2                          = 0;  // control identifier
int BUILD_STRM_CMD_BUFF                      = 0;  // control identifier
int BUILD_STRM_CMD1                          = 0;  // control identifier
int BUILD_STRM_FIBRE                         = 0;  // control identifier
int BUILD_STRM_DATA1                         = 0;  // control identifier
int BUILD_STRM_DATA5                         = 0;  // control identifier
int BUILD_STRM_DATA4                         = 0;  // control identifier
int BUILD_STRM_DATA3                         = 0;  // control identifier
int BUILD_STRM_DATA2                         = 0;  // control identifier
int BUILD_STRM_DATA0                         = 0;  // control identifier
int BUILD_STRM_TEXTBOX                       = 0;  // control identifier
int BUILD_STRM_DECORATION                    = 0;  // control identifier
int BUILD_STRM_TEXTMSG_4                     = 0;  // control identifier
int BUILD_STRM_TEXTMSG_6                     = 0;  // control identifier
int BUILD_STRM_TEXTMSG_15                    = 0;  // control identifier
int BUILD_STRM_TEXTMSG_16                    = 0;  // control identifier
int BUILD_STRM_TEXTMSG_20                    = 0;  // control identifier
int BUILD_STRM_TEXTMSG_2                     = 0;  // control identifier
int BUILD_STRM_TEXTMSG_21                    = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  CONFIG_SLV
// ------------------------------------------------------------------------------------------------

int CONFIG_SLV_ON_OFF                        = 0;  // control identifier
int CONFIG_SLV_SLV_ID                        = 0;  // control identifier
int CONFIG_SLV_TYPE                          = 0;  // control identifier
int CONFIG_SLV_DECORATION                    = 0;  // control identifier
int CONFIG_SLV_TEXTMSG_4                     = 0;  // control identifier
int CONFIG_SLV_TEXTMSG_7                     = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  CPY_MEMP
// ------------------------------------------------------------------------------------------------

int CPY_MEMP_SIZE                            = 0;  // control identifier
int CPY_MEMP_DESTINATION                     = 0;  // control identifier
int CPY_MEMP_SOURCE                          = 0;  // control identifier
int CPY_MEMP_DECORATION                      = 0;  // control identifier
int CPY_MEMP_TEXTMSG_4                       = 0;  // control identifier
int CPY_MEMP_TEXTMSG                         = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  DSPRESETP
// ------------------------------------------------------------------------------------------------

int DSPRESETP_TIME_OUT                       = 0;  // control identifier
int DSPRESETP_NATTEMPTS                      = 0;  // control identifier
int DSPRESETP_FORCE_SYNC                     = 0;  // control identifier
int DSPRESETP_SLV1                           = 0;  // control identifier
int DSPRESETP_SLV3                           = 0;  // control identifier
int DSPRESETP_SLV0                           = 0;  // control identifier
int DSPRESETP_SLV2                           = 0;  // control identifier
int DSPRESETP_TEXTMSG_4                      = 0;  // control identifier
int DSPRESETP_DECORATION                     = 0;  // control identifier
int DSPRESETP_TEXTMSG_14                     = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  EVENT_TRAP
// ------------------------------------------------------------------------------------------------

int EVENT_TRAP_TIMEOUT                       = 0;  // control identifier
int EVENT_TRAP_REM1                          = 0;  // control identifier
int EVENT_TRAP_FUNC1                         = 0;  // control identifier
int EVENT_TRAP_ITER_LIMIT                    = 0;  // control identifier
int EVENT_TRAP_FUNC0                         = 0;  // control identifier
int EVENT_TRAP_REM0                          = 0;  // control identifier
int EVENT_TRAP_MOD1                          = 0;  // control identifier
int EVENT_TRAP_MOD0                          = 0;  // control identifier
int EVENT_TRAP_MATCH1                        = 0;  // control identifier
int EVENT_TRAP_MATCH0                        = 0;  // control identifier
int EVENT_TRAP_NUM_EVENTS                    = 0;  // control identifier
int EVENT_TRAP_STRAY                         = 0;  // control identifier
int EVENT_TRAP_SLINK                         = 0;  // control identifier
int EVENT_TRAP_DATA_MODE                     = 0;  // control identifier
int EVENT_TRAP_EXC_FLAG1                     = 0;  // control identifier
int EVENT_TRAP_EXC_FLAG0                     = 0;  // control identifier
int EVENT_TRAP_PERMIT_BP                     = 0;  // control identifier
int EVENT_TRAP_EXT_ROUT_SET                  = 0;  // control identifier
int EVENT_TRAP_RELEASE                       = 0;  // control identifier
int EVENT_TRAP_DISTRIBUTE                    = 0;  // control identifier
int EVENT_TRAP_FORMAT                        = 0;  // control identifier
int EVENT_TRAP_CFG1                          = 0;  // control identifier
int EVENT_TRAP_CFG0                          = 0;  // control identifier
int EVENT_TRAP_SLV3                          = 0;  // control identifier
int EVENT_TRAP_SLV2                          = 0;  // control identifier
int EVENT_TRAP_SLV1                          = 0;  // control identifier
int EVENT_TRAP_SLV0                          = 0;  // control identifier
int EVENT_TRAP_DECORATION                    = 0;  // control identifier
int EVENT_TRAP_TEXTMSG_4                     = 0;  // control identifier
int EVENT_TRAP_DECORATION_2                  = 0;  // control identifier
int EVENT_TRAP_TEXTMSG                       = 0;  // control identifier
int EVENT_TRAP_TEXTMSG_7                     = 0;  // control identifier
int EVENT_TRAP_TEXTMSG_3                     = 0;  // control identifier
int EVENT_TRAP_TEXTMSG_10                    = 0;  // control identifier
int EVENT_TRAP_TEXTMSG_11                    = 0;  // control identifier
int EVENT_TRAP_TEXTMSG_12                    = 0;  // control identifier
int EVENT_TRAP_TEXTMSG_8                     = 0;  // control identifier
int EVENT_TRAP_TEXTMSG_2                     = 0;  // control identifier
int EVENT_TRAP_TEXTMSG_6                     = 0;  // control identifier
int EVENT_TRAP_TEXTMSG_13                    = 0;  // control identifier
int EVENT_TRAP_TEXTMSG_14                    = 0;  // control identifier
int EVENT_TRAP_TEXTMSG_9                     = 0;  // control identifier
int EVENT_TRAP_TEXTMSG_5                     = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  FLASH_LEDP
// ------------------------------------------------------------------------------------------------

int FLASH_LEDP_NUM_TIMES                     = 0;  // control identifier
int FLASH_LEDP_PERIOD                        = 0;  // control identifier
int FLASH_LEDP_NUMBER                        = 0;  // control identifier
int FLASH_LEDP_TEXTMSG_4                     = 0;  // control identifier
int FLASH_LEDP_DECORATION                    = 0;  // control identifier
int FLASH_LEDP_TEXTMSG                       = 0;  // control identifier
int FLASH_LEDP_TEXTMSG_2                     = 0;  // control identifier
int FLASH_LEDP_TEXTMSG_5                     = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  HIST_SETP
// ------------------------------------------------------------------------------------------------

int HIST_SETP_INP_FILE_2                     = 0;  // control identifier
int HIST_SETP_INP_FILE_1                     = 0;  // control identifier
int HIST_SETP_VALID_MODULES_0                = 0;  // control identifier
int HIST_SETP_MODULE_RANGE_MAP_10            = 0;  // control identifier
int HIST_SETP_MODULE_RANGE_MAP_11            = 0;  // control identifier
int HIST_SETP_MODULE_RANGE_MAP_00            = 0;  // control identifier
int HIST_SETP_VALID_MODULES_1                = 0;  // control identifier
int HIST_SETP_MODULE_RANGE_MAP_01            = 0;  // control identifier
int HIST_SETP_DATA_TYPE_2                    = 0;  // control identifier
int HIST_SETP_DATA_TYPE                      = 0;  // control identifier
int HIST_SETP_X_PTR_2                        = 0;  // control identifier
int HIST_SETP_X_PTR                          = 0;  // control identifier
int HIST_SETP_BASE                           = 0;  // control identifier
int HIST_SETP_OPT3                           = 0;  // control identifier
int HIST_SETP_BINNING                        = 0;  // control identifier
int HIST_SETP_OPT1                           = 0;  // control identifier
int HIST_SETP_ROUTINE                        = 0;  // control identifier
int HIST_SETP_BIN_SIZE                       = 0;  // control identifier
int HIST_SETP_OPT2                           = 0;  // control identifier
int HIST_SETP_OPT0                           = 0;  // control identifier
int HIST_SETP_DEFAULT_1                      = 0;  // control identifier
int HIST_SETP_TEXTMSG_4                      = 0;  // control identifier
int HIST_SETP_DECORATION                     = 0;  // control identifier
int HIST_SETP_DECORATION_2                   = 0;  // control identifier
int HIST_SETP_TEXTMSG_15                     = 0;  // control identifier
int HIST_SETP_TEXTMSG_7                      = 0;  // control identifier
int HIST_SETP_TEXTMSG_16                     = 0;  // control identifier
int HIST_SETP_TEXTMSG_3                      = 0;  // control identifier
int HIST_SETP_TXT_OPT0                       = 0;  // control identifier
int HIST_SETP_TXT_OPT1                       = 0;  // control identifier
int HIST_SETP_TXT_OPT2                       = 0;  // control identifier
int HIST_SETP_TXT_OPT3                       = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  MDL_MASKP
// ------------------------------------------------------------------------------------------------

int MDL_MASKP_MASK_SET                       = 0;  // control identifier
int MDL_MASKP_STORAGE                        = 0;  // control identifier
int MDL_MASKP_PORT                           = 0;  // control identifier
int MDL_MASKP_USE_SET                        = 0;  // control identifier
int MDL_MASKP_CFG                            = 0;  // control identifier
int MDL_MASKP_PASS                           = 0;  // control identifier
int MDL_MASKP_SLV3                           = 0;  // control identifier
int MDL_MASKP_DATA_LINE3                     = 0;  // control identifier
int MDL_MASKP_DATA_LINE2                     = 0;  // control identifier
int MDL_MASKP_DATA_LINE1                     = 0;  // control identifier
int MDL_MASKP_DATA_LINE0                     = 0;  // control identifier
int MDL_MASKP_CMD_LINE                       = 0;  // control identifier
int MDL_MASKP_MASK1                          = 0;  // control identifier
int MDL_MASKP_MASK_TYPE                      = 0;  // control identifier
int MDL_MASKP_MASK0                          = 0;  // control identifier
int MDL_MASKP_MODULE_NUM                     = 0;  // control identifier
int MDL_MASKP_SLV2                           = 0;  // control identifier
int MDL_MASKP_SLV1                           = 0;  // control identifier
int MDL_MASKP_SLV0                           = 0;  // control identifier
int MDL_MASKP_TEXTMSG_4                      = 0;  // control identifier
int MDL_MASKP_DECORATION                     = 0;  // control identifier
int MDL_MASKP_TEXTMSG_14                     = 0;  // control identifier
int MDL_MASKP_TEXTMSG                        = 0;  // control identifier
int MDL_MASKP_TEXTMSG_2                      = 0;  // control identifier
int MDL_MASKP_TEXTMSG_3                      = 0;  // control identifier
int MDL_MASKP_TEXTMSG_5                      = 0;  // control identifier
int MDL_MASKP_TEXTMSG_15                     = 0;  // control identifier
int MDL_MASKP_TEXTMSG_16                     = 0;  // control identifier
int MDL_MASKP_TEXTMSG_17                     = 0;  // control identifier
int MDL_MASKP_TEXTMSG_18                     = 0;  // control identifier
int MDL_MASKP_TEXTMSG_20                     = 0;  // control identifier
int MDL_MASKP_TEXTMSG_21                     = 0;  // control identifier
int MDL_MASKP_TEXTMSG_22                     = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  MEM_TEST
// ------------------------------------------------------------------------------------------------

int MEM_TEST_ERRORS                          = 0;  // control identifier
int MEM_TEST_SIZE                            = 0;  // control identifier
int MEM_TEST_NREADS                          = 0;  // control identifier
int MEM_TEST_START_ADDR                      = 0;  // control identifier
int MEM_TEST_DMAFLAG                         = 0;  // control identifier
int MEM_TEST_CONTINUE                        = 0;  // control identifier
int MEM_TEST_REPETITIONS                     = 0;  // control identifier
int MEM_TEST_DECORATION                      = 0;  // control identifier
int MEM_TEST_DECORATION_2                    = 0;  // control identifier
int MEM_TEST_TEXTMSG                         = 0;  // control identifier
int MEM_TEST_TEXTMSG_4                       = 0;  // control identifier
int MEM_TEST_TEXTMSG_6                       = 0;  // control identifier
int MEM_TEST_TEXTMSG_2                       = 0;  // control identifier
int MEM_TEST_TEXTMSG_3                       = 0;  // control identifier
int MEM_TEST_TEXTMSG_7                       = 0;  // control identifier
int MEM_TEST_TEXTMSG_8                       = 0;  // control identifier
int MEM_TEST_TEXTMSG_9                       = 0;  // control identifier
int MEM_TEST_TEXTMSG_10                      = 0;  // control identifier
int MEM_TEST_TEXTMSG_11                      = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  PANEL_ECHO
// ------------------------------------------------------------------------------------------------

int PANEL_ECHO_INP_FILE                      = 0;  // control identifier
int PANEL_ECHO_INPUT_OPTION                  = 0;  // control identifier
int PANEL_ECHO_TEST_PATTERN                  = 0;  // control identifier
int PANEL_ECHO_TEST_DATA_LENGTH              = 0;  // control identifier
int PANEL_ECHO_DECORATION                    = 0;  // control identifier
int PANEL_ECHO_TEXTMSG_4                     = 0;  // control identifier
int PANEL_ECHO_TEXTMSG_2                     = 0;  // control identifier
int PANEL_ECHO_TEXTMSG_6                     = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  PAUSE_L
// ------------------------------------------------------------------------------------------------

int PAUSE_L_DECORATION_2                     = 0;  // control identifier
int PAUSE_L_TEXTMSG                          = 0;  // control identifier
int PAUSE_L_TEXTMSG_3                        = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  POLL_FIELD
// ------------------------------------------------------------------------------------------------

int POLL_FIELD_TIMEOUT                       = 0;  // control identifier
int POLL_FIELD_DESIRED_VALUE                 = 0;  // control identifier
int POLL_FIELD_OBJECT_ID                     = 0;  // control identifier
int POLL_FIELD_WIDTH                         = 0;  // control identifier
int POLL_FIELD_OFFSET                        = 0;  // control identifier
int POLL_FIELD_BIT_31                        = 0;  // control identifier
int POLL_FIELD_BIT_30                        = 0;  // control identifier
int POLL_FIELD_BASE_ID                       = 0;  // control identifier
int POLL_FIELD_Z                             = 0;  // control identifier
int POLL_FIELD_Y                             = 0;  // control identifier
int POLL_FIELD_X                             = 0;  // control identifier
int POLL_FIELD_BIT_29                        = 0;  // control identifier
int POLL_FIELD_BIT_28                        = 0;  // control identifier
int POLL_FIELD_BIT_27                        = 0;  // control identifier
int POLL_FIELD_BIT_26                        = 0;  // control identifier
int POLL_FIELD_BIT_24                        = 0;  // control identifier
int POLL_FIELD_BIT_25                        = 0;  // control identifier
int POLL_FIELD_BIT_23                        = 0;  // control identifier
int POLL_FIELD_BIT_22                        = 0;  // control identifier
int POLL_FIELD_BIT_21                        = 0;  // control identifier
int POLL_FIELD_BIT_20                        = 0;  // control identifier
int POLL_FIELD_BIT_19                        = 0;  // control identifier
int POLL_FIELD_BIT_18                        = 0;  // control identifier
int POLL_FIELD_BIT_16                        = 0;  // control identifier
int POLL_FIELD_BIT_17                        = 0;  // control identifier
int POLL_FIELD_BIT_15                        = 0;  // control identifier
int POLL_FIELD_BIT_14                        = 0;  // control identifier
int POLL_FIELD_BIT_13                        = 0;  // control identifier
int POLL_FIELD_BIT_12                        = 0;  // control identifier
int POLL_FIELD_BIT_11                        = 0;  // control identifier
int POLL_FIELD_BIT_10                        = 0;  // control identifier
int POLL_FIELD_BIT_8                         = 0;  // control identifier
int POLL_FIELD_BIT_9                         = 0;  // control identifier
int POLL_FIELD_BIT_7                         = 0;  // control identifier
int POLL_FIELD_BIT_6                         = 0;  // control identifier
int POLL_FIELD_BIT_5                         = 0;  // control identifier
int POLL_FIELD_BIT_4                         = 0;  // control identifier
int POLL_FIELD_BIT_3                         = 0;  // control identifier
int POLL_FIELD_BIT_2                         = 0;  // control identifier
int POLL_FIELD_BIT_0                         = 0;  // control identifier
int POLL_FIELD_BIT_1                         = 0;  // control identifier
int POLL_FIELD_REG_BOX                       = 0;  // control identifier
int POLL_FIELD_DECORATION_2                  = 0;  // control identifier
int POLL_FIELD_TEXTMSG_4                     = 0;  // control identifier
int POLL_FIELD_TEXTMSG                       = 0;  // control identifier
int POLL_FIELD_TEXTMSG_7                     = 0;  // control identifier
int POLL_FIELD_DECORATION                    = 0;  // control identifier
int POLL_FIELD_TEXTMSG_8                     = 0;  // control identifier
int POLL_FIELD_TEXTMSG_2                     = 0;  // control identifier
int POLL_FIELD_TEXTMSG_3                     = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  RW_BOCD
// ------------------------------------------------------------------------------------------------

int RW_BOCD_OUT_FILE                         = 0;  // control identifier
int RW_BOCD_DATA_LEN                         = 0;  // control identifier
int RW_BOCD_INP_FILE                         = 0;  // control identifier
int RW_BOCD_READ_NOT_WRITE                   = 0;  // control identifier
int RW_BOCD_SEND                             = 0;  // control identifier
int RW_BOCD_DECORATION                       = 0;  // control identifier
int RW_BOCD_DECORATION_2                     = 0;  // control identifier
int RW_BOCD_TEXTMSG                          = 0;  // control identifier
int RW_BOCD_TEXTMSG_4                        = 0;  // control identifier
int RW_BOCD_TEXTMSG_2                        = 0;  // control identifier
int RW_BOCD_TEXTMSG_6                        = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  RW_FIELDP
// ------------------------------------------------------------------------------------------------

int RW_FIELDP_OUT_FILE                       = 0;  // control identifier
int RW_FIELDP_DATA_IN                        = 0;  // control identifier
int RW_FIELDP_OBJECT_ID                      = 0;  // control identifier
int RW_FIELDP_WIDTH                          = 0;  // control identifier
int RW_FIELDP_OFFSET                         = 0;  // control identifier
int RW_FIELDP_OUTPUT_OPT                     = 0;  // control identifier
int RW_FIELDP_READ_WRITE                     = 0;  // control identifier
int RW_FIELDP_BASE_ID                        = 0;  // control identifier
int RW_FIELDP_Z                              = 0;  // control identifier
int RW_FIELDP_Y                              = 0;  // control identifier
int RW_FIELDP_X                              = 0;  // control identifier
int RW_FIELDP_WRITE_OR_APPEND                = 0;  // control identifier
int RW_FIELDP_BIT_31                         = 0;  // control identifier
int RW_FIELDP_BIT_30                         = 0;  // control identifier
int RW_FIELDP_BIT_29                         = 0;  // control identifier
int RW_FIELDP_BIT_28                         = 0;  // control identifier
int RW_FIELDP_BIT_27                         = 0;  // control identifier
int RW_FIELDP_BIT_26                         = 0;  // control identifier
int RW_FIELDP_BIT_24                         = 0;  // control identifier
int RW_FIELDP_BIT_25                         = 0;  // control identifier
int RW_FIELDP_BIT_23                         = 0;  // control identifier
int RW_FIELDP_BIT_22                         = 0;  // control identifier
int RW_FIELDP_BIT_21                         = 0;  // control identifier
int RW_FIELDP_BIT_20                         = 0;  // control identifier
int RW_FIELDP_BIT_19                         = 0;  // control identifier
int RW_FIELDP_BIT_18                         = 0;  // control identifier
int RW_FIELDP_BIT_16                         = 0;  // control identifier
int RW_FIELDP_BIT_17                         = 0;  // control identifier
int RW_FIELDP_BIT_15                         = 0;  // control identifier
int RW_FIELDP_BIT_14                         = 0;  // control identifier
int RW_FIELDP_BIT_13                         = 0;  // control identifier
int RW_FIELDP_BIT_12                         = 0;  // control identifier
int RW_FIELDP_BIT_11                         = 0;  // control identifier
int RW_FIELDP_BIT_10                         = 0;  // control identifier
int RW_FIELDP_BIT_8                          = 0;  // control identifier
int RW_FIELDP_BIT_9                          = 0;  // control identifier
int RW_FIELDP_BIT_7                          = 0;  // control identifier
int RW_FIELDP_BIT_6                          = 0;  // control identifier
int RW_FIELDP_BIT_5                          = 0;  // control identifier
int RW_FIELDP_BIT_4                          = 0;  // control identifier
int RW_FIELDP_BIT_3                          = 0;  // control identifier
int RW_FIELDP_BIT_2                          = 0;  // control identifier
int RW_FIELDP_BIT_0                          = 0;  // control identifier
int RW_FIELDP_BIT_1                          = 0;  // control identifier
int RW_FIELDP_REG_BOX                        = 0;  // control identifier
int RW_FIELDP_DECORATION_2                   = 0;  // control identifier
int RW_FIELDP_TEXTMSG                        = 0;  // control identifier
int RW_FIELDP_TEXTMSG_7                      = 0;  // control identifier
int RW_FIELDP_TEXTMSG_4                      = 0;  // control identifier
int RW_FIELDP_TEXTMSG_3                      = 0;  // control identifier
int RW_FIELDP_DECORATION                     = 0;  // control identifier
int RW_FIELDP_TEXTMSG_8                      = 0;  // control identifier
int RW_FIELDP_TEXTMSG_2                      = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  RW_FIFOP
// ------------------------------------------------------------------------------------------------

int RW_FIFOP_OUT_FILE                        = 0;  // control identifier
int RW_FIFOP_INP_FILE                        = 0;  // control identifier
int RW_FIFOP_FS_TIM                          = 0;  // control identifier
int RW_FIFOP_FS_EVENT_2                      = 0;  // control identifier
int RW_FIFOP_FS_EVENT                        = 0;  // control identifier
int RW_FIFOP_FS_DEBUG                        = 0;  // control identifier
int RW_FIFOP_FS_IN                           = 0;  // control identifier
int RW_FIFOP_FILE_SIZE_OBSOLETE              = 0;  // control identifier
int RW_FIFOP_NUM_ELEMENTS                    = 0;  // control identifier
int RW_FIFOP_OUTPUT_OPT                      = 0;  // control identifier
int RW_FIFOP_READ_NOT_WRITE                  = 0;  // control identifier
int RW_FIFOP_FIFO_ID_AND_BANK                = 0;  // control identifier
int RW_FIFOP_DECORATION                      = 0;  // control identifier
int RW_FIFOP_DECORATION_2                    = 0;  // control identifier
int RW_FIFOP_TEXTMSG                         = 0;  // control identifier
int RW_FIFOP_TEXTMSG_4                       = 0;  // control identifier
int RW_FIFOP_TEXTMSG_2                       = 0;  // control identifier
int RW_FIFOP_TEXTMSG_3                       = 0;  // control identifier
int RW_FIFOP_TEXTMSG_5                       = 0;  // control identifier
int RW_FIFOP_TEXTMSG_6                       = 0;  // control identifier
int RW_FIFOP_TEXTMSG_7                       = 0;  // control identifier
int RW_FIFOP_TEXTMSG_9                       = 0;  // control identifier
int RW_FIFOP_TEXTMSG_10                      = 0;  // control identifier
int RW_FIFOP_TEXTMSG_11                      = 0;  // control identifier
int RW_FIFOP_TEXTMSG_12                      = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  RW_MODULEP
// ------------------------------------------------------------------------------------------------

int RW_MODULEP_OUT_FILE                      = 0;  // control identifier
int RW_MODULEP_RX3                           = 0;  // control identifier
int RW_MODULEP_RX2                           = 0;  // control identifier
int RW_MODULEP_RX1                           = 0;  // control identifier
int RW_MODULEP_RX0                           = 0;  // control identifier
int RW_MODULEP_PTTC                          = 0;  // control identifier
int RW_MODULEP_GROUP_ID                      = 0;  // control identifier
int RW_MODULEP_MODULE                        = 0;  // control identifier
int RW_MODULEP_INP_FILE                      = 0;  // control identifier
int RW_MODULEP_STRUCT_ID                     = 0;  // control identifier
int RW_MODULEP_READ_NOT_WRITE                = 0;  // control identifier
int RW_MODULEP_ACTIVE                        = 0;  // control identifier
int RW_MODULEP_DECORATION                    = 0;  // control identifier
int RW_MODULEP_DECORATION_2                  = 0;  // control identifier
int RW_MODULEP_TEXTMSG                       = 0;  // control identifier
int RW_MODULEP_TEXTMSG_4                     = 0;  // control identifier
int RW_MODULEP_TEXTMSG_2                     = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  RW_SLAVE
// ------------------------------------------------------------------------------------------------

int RW_SLAVE_OUT_FILE                        = 0;  // control identifier
int RW_SLAVE_SLV_ID                          = 0;  // control identifier
int RW_SLAVE_INP_FILE                        = 0;  // control identifier
int RW_SLAVE_START_ADDRESS                   = 0;  // control identifier
int RW_SLAVE_NUM_BYTES                       = 0;  // control identifier
int RW_SLAVE_NUM_WORDS                       = 0;  // control identifier
int RW_SLAVE_READ_NOT_WRITE                  = 0;  // control identifier
int RW_SLAVE_OUTPUT_OPT                      = 0;  // control identifier
int RW_SLAVE_WRITE_OR_APPEND                 = 0;  // control identifier
int RW_SLAVE_DECORATION                      = 0;  // control identifier
int RW_SLAVE_TEXTMSG_4                       = 0;  // control identifier
int RW_SLAVE_DECORATION_3                    = 0;  // control identifier
int RW_SLAVE_TEXTMSG_9                       = 0;  // control identifier
int RW_SLAVE_TEXTMSG                         = 0;  // control identifier
int RW_SLAVE_TEXTMSG_6                       = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  RWMODULVAR
// ------------------------------------------------------------------------------------------------

int RWMODULVAR_OUT_FILE                      = 0;  // control identifier
int RWMODULVAR_DATA_LEN                      = 0;  // control identifier
int RWMODULVAR_INP_FILE                      = 0;  // control identifier
int RWMODULVAR_MODULE                        = 0;  // control identifier
int RWMODULVAR_GROUP_ID                      = 0;  // control identifier
int RWMODULVAR_STRUCT_ID                     = 0;  // control identifier
int RWMODULVAR_READ_NOT_WRITE                = 0;  // control identifier
int RWMODULVAR_VAR_TYPE                      = 0;  // control identifier
int RWMODULVAR_CHIP                          = 0;  // control identifier
int RWMODULVAR_DECORATION_2                  = 0;  // control identifier
int RWMODULVAR_TEXTMSG                       = 0;  // control identifier
int RWMODULVAR_TEXTMSG_4                     = 0;  // control identifier
int RWMODULVAR_TEXTMSG_2                     = 0;  // control identifier
int RWMODULVAR_DECORATION                    = 0;  // control identifier
int RWMODULVAR_TEXTMSG_21                    = 0;  // control identifier
int RWMODULVAR_TEXTMSG_22                    = 0;  // control identifier
int RWMODULVAR_TEXTMSG_6                     = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  SEND_CFGP
// ------------------------------------------------------------------------------------------------

int SEND_CFGP_MODULE1                        = 0;  // control identifier
int SEND_CFGP_MODULE0                        = 0;  // control identifier
int SEND_CFGP_CMD_BUFF                       = 0;  // control identifier
int SEND_CFGP_TYPE                           = 0;  // control identifier
int SEND_CFGP_GROUP_ID                       = 0;  // control identifier
int SEND_CFGP_STRUCT_ID                      = 0;  // control identifier
int SEND_CFGP_ENABLE_DATA_TAKING             = 0;  // control identifier
int SEND_CFGP_ACTIVE                         = 0;  // control identifier
int SEND_CFGP_RESTORE                        = 0;  // control identifier
int SEND_CFGP_SET_LINKS                      = 0;  // control identifier
int SEND_CFGP_CAP_SER_ON                     = 0;  // control identifier
int SEND_CFGP_CHIP                           = 0;  // control identifier
int SEND_CFGP_DECORATION                     = 0;  // control identifier
int SEND_CFGP_TEXTMSG_4                      = 0;  // control identifier
int SEND_CFGP_TEXTMSG                        = 0;  // control identifier
int SEND_CFGP_TEXTMSG_2                      = 0;  // control identifier
int SEND_CFGP_TEXTMSG_5                      = 0;  // control identifier
int SEND_CFGP_TEXTMSG_21                     = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  SEND_DATAP
// ------------------------------------------------------------------------------------------------

int SEND_DATAP_OUT_FILE                      = 0;  // control identifier
int SEND_DATAP_AUX                           = 0;  // control identifier
int SEND_DATAP_TIMEOUT                       = 0;  // control identifier
int SEND_DATAP_OUTPUT_OPT                    = 0;  // control identifier
int SEND_DATAP_DATA_TYPE                     = 0;  // control identifier
int SEND_DATAP_REPBUFF_FLAG                  = 0;  // control identifier
int SEND_DATAP_DECORATION_2                  = 0;  // control identifier
int SEND_DATAP_TEXTMSG                       = 0;  // control identifier
int SEND_DATAP_TEXTMSG_4                     = 0;  // control identifier
int SEND_DATAP_DECORATION                    = 0;  // control identifier
int SEND_DATAP_TEXTMSG_3                     = 0;  // control identifier
int SEND_DATAP_TEXTMSG_2                     = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  SEND_SLIST
// ------------------------------------------------------------------------------------------------

int SEND_SLIST_EDIT_SLAVE_LIST               = 0;  // control identifier
int SEND_SLIST_SLV_ID                        = 0;  // control identifier
int SEND_SLIST_LIST_LENGTH                   = 0;  // control identifier
int SEND_SLIST_DECORATION                    = 0;  // control identifier
int SEND_SLIST_TEXTMSG_4                     = 0;  // control identifier
int SEND_SLIST_TEXTMSG_7                     = 0;  // control identifier
int SEND_SLIST_TEXTMSG                       = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  SEND_STRM
// ------------------------------------------------------------------------------------------------

int SEND_STRM_CMD_BUFF                       = 0;  // control identifier
int SEND_STRM_CAP_SER_ON                     = 0;  // control identifier
int SEND_STRM_DECORATION                     = 0;  // control identifier
int SEND_STRM_TEXTMSG_4                      = 0;  // control identifier
int SEND_STRM_TEXTMSG_5                      = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  SET_ERRMSK
// ------------------------------------------------------------------------------------------------

int SET_ERRMSK_ERRMSG_MASK                   = 0;  // control identifier
int SET_ERRMSK_DECORATION                    = 0;  // control identifier
int SET_ERRMSK_DECORATION_2                  = 0;  // control identifier
int SET_ERRMSK_TEXTMSG                       = 0;  // control identifier
int SET_ERRMSK_TEXTMSG_4                     = 0;  // control identifier
int SET_ERRMSK_TEXTMSG_6                     = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  SET_LEDP
// ------------------------------------------------------------------------------------------------

int SET_LEDP_LED_STATE                       = 0;  // control identifier
int SET_LEDP_NUMBER                          = 0;  // control identifier
int SET_LEDP_TEXTMSG_4                       = 0;  // control identifier
int SET_LEDP_DECORATION                      = 0;  // control identifier
int SET_LEDP_TEXTMSG_2                       = 0;  // control identifier
int SET_LEDP_TEXTMSG_5                       = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  SET_MEMP
// ------------------------------------------------------------------------------------------------

int SET_MEMP_VALUE                           = 0;  // control identifier
int SET_MEMP_SIZE                            = 0;  // control identifier
int SET_MEMP_START_ADDR                      = 0;  // control identifier
int SET_MEMP_DECORATION                      = 0;  // control identifier
int SET_MEMP_TEXTMSG_4                       = 0;  // control identifier
int SET_MEMP_TEXTMSG                         = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  SET_TRGP
// ------------------------------------------------------------------------------------------------

int SET_TRGP_CMD1_5                          = 0;  // control identifier
int SET_TRGP_CMD1_4                          = 0;  // control identifier
int SET_TRGP_CMD1_3                          = 0;  // control identifier
int SET_TRGP_CMD1_2                          = 0;  // control identifier
int SET_TRGP_CMD1_1                          = 0;  // control identifier
int SET_TRGP_CMD1_0                          = 0;  // control identifier
int SET_TRGP_CMD0_5                          = 0;  // control identifier
int SET_TRGP_CMD0_4                          = 0;  // control identifier
int SET_TRGP_CMD0_3                          = 0;  // control identifier
int SET_TRGP_DINCR1                          = 0;  // control identifier
int SET_TRGP_CHIP                            = 0;  // control identifier
int SET_TRGP_CMD0_2                          = 0;  // control identifier
int SET_TRGP_CMD0_1                          = 0;  // control identifier
int SET_TRGP_DATA1_1                         = 0;  // control identifier
int SET_TRGP_DATA1_5                         = 0;  // control identifier
int SET_TRGP_DATA1_4                         = 0;  // control identifier
int SET_TRGP_DATA1_3                         = 0;  // control identifier
int SET_TRGP_DATA1_2                         = 0;  // control identifier
int SET_TRGP_DATA1_0                         = 0;  // control identifier
int SET_TRGP_CINCR1                          = 0;  // control identifier
int SET_TRGP_CMD0_0                          = 0;  // control identifier
int SET_TRGP_CMD_BUFF                        = 0;  // control identifier
int SET_TRGP_FIBRE                           = 0;  // control identifier
int SET_TRGP_DINCR0                          = 0;  // control identifier
int SET_TRGP_SET                             = 0;  // control identifier
int SET_TRGP_BIN                             = 0;  // control identifier
int SET_TRGP_DATA0_1                         = 0;  // control identifier
int SET_TRGP_DATA0_5                         = 0;  // control identifier
int SET_TRGP_DATA0_4                         = 0;  // control identifier
int SET_TRGP_DATA0_3                         = 0;  // control identifier
int SET_TRGP_DATA0_2                         = 0;  // control identifier
int SET_TRGP_DATA0_0                         = 0;  // control identifier
int SET_TRGP_CINCR0                          = 0;  // control identifier
int SET_TRGP_DATAOFF1                        = 0;  // control identifier
int SET_TRGP_INTERVAL                        = 0;  // control identifier
int SET_TRGP_DATAOFF0                        = 0;  // control identifier
int SET_TRGP_REP                             = 0;  // control identifier
int SET_TRGP_PREBUILT                        = 0;  // control identifier
int SET_TRGP_SLV1                            = 0;  // control identifier
int SET_TRGP_SLV3                            = 0;  // control identifier
int SET_TRGP_SLV0                            = 0;  // control identifier
int SET_TRGP_SLV2                            = 0;  // control identifier
int SET_TRGP_TEXTMSG_4                       = 0;  // control identifier
int SET_TRGP_TEXTMSG_15                      = 0;  // control identifier
int SET_TRGP_TEXTMSG_16                      = 0;  // control identifier
int SET_TRGP_TEXTMSG_2                       = 0;  // control identifier
int SET_TRGP_TEXTMSG_20                      = 0;  // control identifier
int SET_TRGP_TEXTMSG_22                      = 0;  // control identifier
int SET_TRGP_TEXTMSG_23                      = 0;  // control identifier
int SET_TRGP_DECORATION                      = 0;  // control identifier
int SET_TRGP_TEXTMSG_21                      = 0;  // control identifier
int SET_TRGP_TEXTMSG_14                      = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  SETRODMODE
// ------------------------------------------------------------------------------------------------

int SETRODMODE_FLAG                          = 0;  // control identifier
int SETRODMODE_NBITS                         = 0;  // control identifier
int SETRODMODE_DELAY                         = 0;  // control identifier
int SETRODMODE_EVENTS_PER_L1A                = 0;  // control identifier
int SETRODMODE_MODE                          = 0;  // control identifier
int SETRODMODE_MESSAGE                       = 0;  // control identifier
int SETRODMODE_FIFO_SETUP                    = 0;  // control identifier
int SETRODMODE_TEXTMSG_4                     = 0;  // control identifier
int SETRODMODE_TEXTMSG                       = 0;  // control identifier
int SETRODMODE_TEXTMSG_3                     = 0;  // control identifier
int SETRODMODE_TEXTMSG_2                     = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  SLIST_OP
// ------------------------------------------------------------------------------------------------

int SLIST_OP_LIST_OP                         = 0;  // control identifier
int SLIST_OP_SLV_ID                          = 0;  // control identifier
int SLIST_OP_DECORATION                      = 0;  // control identifier
int SLIST_OP_TEXTMSG_4                       = 0;  // control identifier
int SLIST_OP_TEXTMSG                         = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  START_DATA
// ------------------------------------------------------------------------------------------------


//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  START_SLIS
// ------------------------------------------------------------------------------------------------

int START_SLIS_GET_SLAVE_REPLY               = 0;  // control identifier
int START_SLIS_SLV_ID                        = 0;  // control identifier
int START_SLIS_PAUSE_MASTER_LIST             = 0;  // control identifier
int START_SLIS_DECORATION                    = 0;  // control identifier
int START_SLIS_TEXTMSG_4                     = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  START_SLV
// ------------------------------------------------------------------------------------------------

int START_SLV_TIMEOUT                        = 0;  // control identifier
int START_SLV_SLV_ID                         = 0;  // control identifier
int START_SLV_ON_OFF                         = 0;  // control identifier
int START_SLV_TYPE                           = 0;  // control identifier
int START_SLV_DECORATION                     = 0;  // control identifier
int START_SLV_DECORATION_2                   = 0;  // control identifier
int START_SLV_TEXTMSG                        = 0;  // control identifier
int START_SLV_TEXTMSG_4                      = 0;  // control identifier
int START_SLV_TEXTMSG_6                      = 0;  // control identifier
int START_SLV_TEXTMSG_7                      = 0;  // control identifier
int START_SLV_TEXTMSG_2                      = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  START_TSKP
// ------------------------------------------------------------------------------------------------

int START_TSKP_INP_FILE                      = 0;  // control identifier
int START_TSKP_TASK_TYPE                     = 0;  // control identifier
int START_TSKP_DEFAULT3                      = 0;  // control identifier
int START_TSKP_DEFAULT4                      = 0;  // control identifier
int START_TSKP_DEFAULT6                      = 0;  // control identifier
int START_TSKP_DEFAULT5                      = 0;  // control identifier
int START_TSKP_DEFAULT2                      = 0;  // control identifier
int START_TSKP_PRIORITY                      = 0;  // control identifier
int START_TSKP_HIST_CREATOR                  = 0;  // control identifier
int START_TSKP_CMPL_FLAG                     = 0;  // control identifier
int START_TSKP_TASK_UNION                    = 0;  // control identifier
int START_TSKP_TEXTMSG_4                     = 0;  // control identifier
int START_TSKP_TEXTMSG_3                     = 0;  // control identifier
int START_TSKP_DECORATION                    = 0;  // control identifier
int START_TSKP_TEXTMSG_5                     = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  STOP_DATA
// ------------------------------------------------------------------------------------------------


//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  TESTGREG
// ------------------------------------------------------------------------------------------------

int TESTGREG_OUT_FILE                        = 0;  // control identifier
int TESTGREG_FE_INDEX                        = 0;  // control identifier
int TESTGREG_MODULE_ID                       = 0;  // control identifier
int TESTGREG_STRUCT_ID                       = 0;  // control identifier
int TESTGREG_DECORATION                      = 0;  // control identifier
int TESTGREG_DECORATION_2                    = 0;  // control identifier
int TESTGREG_TEXTMSG                         = 0;  // control identifier
int TESTGREG_TEXTMSG_4                       = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  TESTP
// ------------------------------------------------------------------------------------------------

int TESTP_INP_FILE                           = 0;  // control identifier
int TESTP_INPUT_OPTION                       = 0;  // control identifier
int TESTP_DATA_LEN                           = 0;  // control identifier
int TESTP_INP_TABLE                          = 0;  // control identifier
int TESTP_DECORATION                         = 0;  // control identifier
int TESTP_DECORATION_2                       = 0;  // control identifier
int TESTP_TEXTMSG_4                          = 0;  // control identifier
int TESTP_TEXTMSG_7                          = 0;  // control identifier
int TESTP_TEXTMSG                            = 0;  // control identifier
int TESTP_TEXTMSG_2                          = 0;  // control identifier
int TESTP_TEXTMSG_6                          = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  TSK_OPER
// ------------------------------------------------------------------------------------------------

int TSK_OPER_OPER                            = 0;  // control identifier
int TSK_OPER_DATA                            = 0;  // control identifier
int TSK_OPER_TYPE                            = 0;  // control identifier
int TSK_OPER_TEXTMSG_4                       = 0;  // control identifier
int TSK_OPER_DECORATION                      = 0;  // control identifier
int TSK_OPER_TEXTMSG_3                       = 0;  // control identifier
int TSK_OPER_DECORATION_2                    = 0;  // control identifier
int TSK_OPER_TEXTMSG                         = 0;  // control identifier
int TSK_OPER_TEXTMSG_7                       = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  WR_BUFFP
// ------------------------------------------------------------------------------------------------

int WR_BUFFP_BUFFER                          = 0;  // control identifier
int WR_BUFFP_STRING                          = 0;  // control identifier
int WR_BUFFP_TEXTMSG_4                       = 0;  // control identifier
int WR_BUFFP_DECORATION                      = 0;  // control identifier
int WR_BUFFP_TEXTMSG                         = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  X_SER_DATA
// ------------------------------------------------------------------------------------------------

int X_SER_DATA_P1_FILE                       = 0;  // control identifier
int X_SER_DATA_P0_FILE                       = 0;  // control identifier
int X_SER_DATA_P1_SETS                       = 0;  // control identifier
int X_SER_DATA_P0_SETS                       = 0;  // control identifier
int X_SER_DATA_P1_FILE_OPT                   = 0;  // control identifier
int X_SER_DATA_CAP_SER_ON                    = 0;  // control identifier
int X_SER_DATA_P0_FILE_OPT                   = 0;  // control identifier
int X_SER_DATA_TEXTMSG_4                     = 0;  // control identifier
int X_SER_DATA_DECORATION                    = 0;  // control identifier
int X_SER_DATA_TEXTMSG_6                     = 0;  // control identifier
int X_SER_DATA_TEXTMSG_3                     = 0;  // control identifier
int X_SER_DATA_TEXTMSG                       = 0;  // control identifier
int X_SER_DATA_TEXTMSG_2                     = 0;  // control identifier
int X_SER_DATA_TEXTMSG_7                     = 0;  // control identifier
int X_SER_DATA_TEXTMSG_8                     = 0;  // control identifier

//----------------------------------------------------------------------------------------------------
// buildPanel_bocHistogram ():  Build UI object BOC_HIST; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_bocHistogram (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "BOChistogram", 11, 11, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "BOC_HIST");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: BOC_HIST_NUM_LOOPS
    BOC_HIST_NUM_LOOPS = NewCtrl (hPanel, CTRL_NUMERIC, "NumLoops", 173, 133);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_CONSTANT_NAME, "NUM_LOOPS");
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_LABEL_WIDTH, 62);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_MIN_VALUE, 1);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_DFLT_VALUE, 1);
    DefaultCtrl (hPanel, BOC_HIST_NUM_LOOPS);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_LABEL_TOP, 157);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_LABEL_LEFT, 140);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, BOC_HIST_NUM_LOOPS, "", VAL_DS_READ, NULL, NULL);

    // Build control: BOC_HIST_NUM_SAMPLES
    BOC_HIST_NUM_SAMPLES = NewCtrl (hPanel, CTRL_NUMERIC, "NumSamples", 113, 142);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_CONSTANT_NAME, "NUM_SAMPLES");
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_LABEL_WIDTH, 75);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_MAX_VALUE, 32768);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_DFLT_VALUE, 32768);
    DefaultCtrl (hPanel, BOC_HIST_NUM_SAMPLES);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_WIDTH, 62);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_LABEL_TOP, 97);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_LABEL_LEFT, 140);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, BOC_HIST_NUM_SAMPLES, "", VAL_DS_READ, NULL, NULL);

    // Build control: BOC_HIST_DECORATION
    BOC_HIST_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, BOC_HIST_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, BOC_HIST_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BOC_HIST_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, BOC_HIST_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, BOC_HIST_DECORATION, ATTR_HEIGHT, 260);
    SetCtrlAttribute (hPanel, BOC_HIST_DECORATION, ATTR_WIDTH, 342);

    // Build control: BOC_HIST_DECORATION_2
    BOC_HIST_DECORATION_2 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 308, 4);
    SetCtrlAttribute (hPanel, BOC_HIST_DECORATION_2, ATTR_CONSTANT_NAME, "DECORATION_2");
//  SetCtrlAttribute (hPanel, BOC_HIST_DECORATION_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BOC_HIST_DECORATION_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_DECORATION_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_DECORATION_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_DECORATION_2, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, BOC_HIST_DECORATION_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, BOC_HIST_DECORATION_2, ATTR_HEIGHT, 82);
    SetCtrlAttribute (hPanel, BOC_HIST_DECORATION_2, ATTR_WIDTH, 342);

    // Build control: BOC_HIST_TEXTMSG
    BOC_HIST_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 303, 131);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG, ATTR_DFLT_VALUE, "OUTPUT DATA");
    DefaultCtrl (hPanel, BOC_HIST_TEXTMSG);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG, ATTR_WIDTH, 91);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, BOC_HIST_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: BOC_HIST_TEXTMSG_4
    BOC_HIST_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 21, 135);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, BOC_HIST_TEXTMSG_4);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, BOC_HIST_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: BOC_HIST_TEXTMSG_2
    BOC_HIST_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 59, 113);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_RED);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_2, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_2, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_2, ATTR_DFLT_VALUE, "Debug version!!!");
    DefaultCtrl (hPanel, BOC_HIST_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_2, ATTR_HEIGHT, 18);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_2, ATTR_WIDTH, 116);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, BOC_HIST_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: BOC_HIST_TEXTMSG_5
    BOC_HIST_TEXTMSG_5 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 341, 55);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_5, ATTR_CONSTANT_NAME, "TEXTMSG_5");
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_5, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_5, ATTR_TEXT_COLOR, 0X000099);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_5, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_5, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_5, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_5, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_5, ATTR_DFLT_VALUE, "Output histogram[96][2] saved to file BOC_histo.out");
    DefaultCtrl (hPanel, BOC_HIST_TEXTMSG_5);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_5, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_5, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_5, ATTR_WIDTH, 244);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_5, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_5, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, BOC_HIST_TEXTMSG_5, "", VAL_DS_READ, NULL, NULL);

    // Build control: BOC_HIST_TEXTMSG_3
    BOC_HIST_TEXTMSG_3 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 113, 218);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_3, ATTR_CONSTANT_NAME, "TEXTMSG_3");
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_3, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_3, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_3, ATTR_DFLT_VALUE, "Max. 0x8000 revE\n         0x1000 revC");
    DefaultCtrl (hPanel, BOC_HIST_TEXTMSG_3);
//  SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_3, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_3, ATTR_HEIGHT, 28);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_3, ATTR_WIDTH, 90);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_3, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_3, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, BOC_HIST_TEXTMSG_3, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_5, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_3, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_2, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG_4, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, BOC_HIST_TEXTMSG, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, BOC_HIST_DECORATION_2, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, BOC_HIST_DECORATION, ATTR_ZPLANE_POSITION, 8);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_LOOPS, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, BOC_HIST_NUM_SAMPLES, ATTR_CTRL_TAB_POSITION, 1);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(11*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(11*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_buildStream ():  Build UI object BUILD_STRM; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_buildStream (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "BuildStream", 41, 41, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "BUILD_STRM");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: BUILD_STRM_INP_FILE
    BUILD_STRM_INP_FILE = NewCtrl (hPanel, CTRL_STRING, "INPUT FILE", 245, 10);
    SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_CONSTANT_NAME, "INP_FILE");
//  SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_CALLBACK_FUNCTION_POINTER, buildStream);
    SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_LABEL_WIDTH, 61);
    SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, BUILD_STRM_INP_FILE);
    SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_MAX_ENTRY_LENGTH, 99);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_WIDTH, 330);
    SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_LABEL_TOP, 231);
    SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_LABEL_LEFT, 12);
    SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, BUILD_STRM_INP_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: BUILD_STRM_INPUT_OPTION
    BUILD_STRM_INPUT_OPTION = NewCtrl (hPanel, CTRL_VSWITCH, "Data", 205, 140);
    SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_CONSTANT_NAME, "INPUT_OPTION");
//  SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_CALLBACK_FUNCTION_POINTER, buildStream);
    SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_DATA_TYPE, VAL_INTEGER);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_LABEL_WIDTH, 26);
    SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_DFLT_INDEX, 1);
    DefaultCtrl (hPanel, BUILD_STRM_INPUT_OPTION);
    SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_ON_VALUE, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_OFF_VALUE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_BINARY_SWITCH_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_ON_TEXT, "MASK");
    SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_OFF_TEXT, "FROM FILE");
    SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_HEIGHT, 30);
    SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_LABEL_TOP, 213);
    SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_LABEL_LEFT, 111);
    SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: BUILD_STRM_DATA_LEN
    BUILD_STRM_DATA_LEN = NewCtrl (hPanel, CTRL_NUMERIC, "DataLength", 219, 251);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_CONSTANT_NAME, "DATA_LEN");
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_LABEL_WIDTH, 59);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_DFLT_VALUE, 4);
    DefaultCtrl (hPanel, BUILD_STRM_DATA_LEN);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_LABEL_TOP, 203);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_LABEL_LEFT, 260);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, BUILD_STRM_DATA_LEN, "", VAL_DS_READ, NULL, NULL);

    // Build control: BUILD_STRM_MASK3
    BUILD_STRM_MASK3 = NewCtrl (hPanel, CTRL_NUMERIC, "3", 135, 270);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_CONSTANT_NAME, "MASK3");
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, BUILD_STRM_MASK3);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_WIDTH, 71);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_LABEL_TOP, 138);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_LABEL_LEFT, 262);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, BUILD_STRM_MASK3, "", VAL_DS_READ, NULL, NULL);

    // Build control: BUILD_STRM_MASK2
    BUILD_STRM_MASK2 = NewCtrl (hPanel, CTRL_NUMERIC, "2", 115, 270);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_CONSTANT_NAME, "MASK2");
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, BUILD_STRM_MASK2);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_WIDTH, 71);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_LABEL_TOP, 118);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_LABEL_LEFT, 262);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, BUILD_STRM_MASK2, "", VAL_DS_READ, NULL, NULL);

    // Build control: BUILD_STRM_MASK1
    BUILD_STRM_MASK1 = NewCtrl (hPanel, CTRL_NUMERIC, "1", 95, 270);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_CONSTANT_NAME, "MASK1");
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, BUILD_STRM_MASK1);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_WIDTH, 71);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_LABEL_TOP, 98);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_LABEL_LEFT, 262);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, BUILD_STRM_MASK1, "", VAL_DS_READ, NULL, NULL);

    // Build control: BUILD_STRM_MASK0
    BUILD_STRM_MASK0 = NewCtrl (hPanel, CTRL_NUMERIC, "0", 75, 270);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_CONSTANT_NAME, "MASK0");
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, BUILD_STRM_MASK0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_WIDTH, 71);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_LABEL_TOP, 78);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_LABEL_LEFT, 262);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, BUILD_STRM_MASK0, "", VAL_DS_READ, NULL, NULL);

    // Build control: BUILD_STRM_RESET
    BUILD_STRM_RESET = NewCtrl (hPanel, CTRL_CHECK_BOX, "Reset", 292, 184);
    SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_CONSTANT_NAME, "RESET");
//  SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_LABEL_WIDTH, 36);
    SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, BUILD_STRM_RESET);
    SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_HEIGHT, 16);
    SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_WIDTH, 16);
    SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_LABEL_TOP, 292);
    SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_LABEL_LEFT, 200);
    SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: BUILD_STRM_CMD5
    BUILD_STRM_CMD5 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "5", 175, 17);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_CONSTANT_NAME, "CMD5");
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_LABEL_TOP, 178);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_LABEL_LEFT, 8);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: BUILD_STRM_CMD4
    BUILD_STRM_CMD4 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "4", 155, 17);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_CONSTANT_NAME, "CMD4");
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_LABEL_TOP, 158);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_LABEL_LEFT, 8);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: BUILD_STRM_CMD3
    BUILD_STRM_CMD3 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "3", 135, 17);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_CONSTANT_NAME, "CMD3");
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_LABEL_TOP, 138);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_LABEL_LEFT, 8);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: BUILD_STRM_CHIP
    BUILD_STRM_CHIP = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Chip", 340, 97);
    SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_CONSTANT_NAME, "CHIP");
//  SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_LABEL_WIDTH, 28);
    SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_WIDTH, 134);
    SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_LABEL_TOP, 343);
    SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_LABEL_LEFT, 68);
    SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: BUILD_STRM_CMD0
    BUILD_STRM_CMD0 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "0", 75, 17);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_CONSTANT_NAME, "CMD0");
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_LABEL_TOP, 78);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_LABEL_LEFT, 8);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: BUILD_STRM_CMD2
    BUILD_STRM_CMD2 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "2", 115, 17);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_CONSTANT_NAME, "CMD2");
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_LABEL_TOP, 118);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_LABEL_LEFT, 8);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: BUILD_STRM_CMD_BUFF
    BUILD_STRM_CMD_BUFF = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Port", 291, 97);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_CONSTANT_NAME, "CMD_BUFF");
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, BUILD_STRM_CMD_BUFF, 0, "0", 0);
    InsertListItem (hPanel, BUILD_STRM_CMD_BUFF, 1, "1", 1);
    InsertListItem (hPanel, BUILD_STRM_CMD_BUFF, 2, "BOTH", 2);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_LABEL_WIDTH, 26);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_DFLT_INDEX, 2);
    DefaultCtrl (hPanel, BUILD_STRM_CMD_BUFF);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_LABEL_TOP, 294);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_LABEL_LEFT, 70);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: BUILD_STRM_CMD1
    BUILD_STRM_CMD1 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "1", 95, 17);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_CONSTANT_NAME, "CMD1");
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_LABEL_TOP, 98);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_LABEL_LEFT, 8);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: BUILD_STRM_FIBRE
    BUILD_STRM_FIBRE = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Fibre", 320, 97);
    SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_CONSTANT_NAME, "FIBRE");
//  SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, BUILD_STRM_FIBRE, 0, "PRIMARY", 2);
    InsertListItem (hPanel, BUILD_STRM_FIBRE, 1, "ADJACENT", 3);
//  SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_LABEL_WIDTH, 31);
    SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, BUILD_STRM_FIBRE);
//  SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_LABEL_TOP, 323);
    SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_LABEL_LEFT, 65);
    SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: BUILD_STRM_DATA1
    BUILD_STRM_DATA1 = NewCtrl (hPanel, CTRL_NUMERIC, "", 95, 194);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_CONSTANT_NAME, "DATA1");
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, BUILD_STRM_DATA1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_LABEL_TOP, 79);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_LABEL_LEFT, 230);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, BUILD_STRM_DATA1, "", VAL_DS_READ, NULL, NULL);

    // Build control: BUILD_STRM_DATA5
    BUILD_STRM_DATA5 = NewCtrl (hPanel, CTRL_NUMERIC, "", 175, 194);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_CONSTANT_NAME, "DATA5");
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, BUILD_STRM_DATA5);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_LABEL_TOP, 159);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_LABEL_LEFT, 230);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, BUILD_STRM_DATA5, "", VAL_DS_READ, NULL, NULL);

    // Build control: BUILD_STRM_DATA4
    BUILD_STRM_DATA4 = NewCtrl (hPanel, CTRL_NUMERIC, "", 155, 194);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_CONSTANT_NAME, "DATA4");
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, BUILD_STRM_DATA4);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_LABEL_TOP, 139);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_LABEL_LEFT, 230);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, BUILD_STRM_DATA4, "", VAL_DS_READ, NULL, NULL);

    // Build control: BUILD_STRM_DATA3
    BUILD_STRM_DATA3 = NewCtrl (hPanel, CTRL_NUMERIC, "", 135, 194);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_CONSTANT_NAME, "DATA3");
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, BUILD_STRM_DATA3);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_LABEL_TOP, 119);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_LABEL_LEFT, 230);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, BUILD_STRM_DATA3, "", VAL_DS_READ, NULL, NULL);

    // Build control: BUILD_STRM_DATA2
    BUILD_STRM_DATA2 = NewCtrl (hPanel, CTRL_NUMERIC, "", 115, 194);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_CONSTANT_NAME, "DATA2");
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, BUILD_STRM_DATA2);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_LABEL_TOP, 99);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_LABEL_LEFT, 230);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, BUILD_STRM_DATA2, "", VAL_DS_READ, NULL, NULL);

    // Build control: BUILD_STRM_DATA0
    BUILD_STRM_DATA0 = NewCtrl (hPanel, CTRL_NUMERIC, "", 75, 194);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_CONSTANT_NAME, "DATA0");
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, BUILD_STRM_DATA0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_LABEL_TOP, 59);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_LABEL_LEFT, 230);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, BUILD_STRM_DATA0, "", VAL_DS_READ, NULL, NULL);

    // Build control: BUILD_STRM_TEXTBOX
    BUILD_STRM_TEXTBOX = NewCtrl (hPanel, CTRL_TEXT_BOX, "", 446, 7);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_CONSTANT_NAME, "TEXTBOX");
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_TEXT_COLOR, 0X0000CC);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    dataPtr = 
        "If RESET is done, it is done upon entering routine.\nIf Chip is set to LOOP a lo"
        "op will be invoked for all commands\nwhich have a chip address field. The high b"
        "its of the addresses \nused will be determinded  by the fibre.";
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_DFLT_VALUE, dataPtr);
    DefaultCtrl (hPanel, BUILD_STRM_TEXTBOX);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_WRAP_MODE, VAL_LINE_WRAP);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_ENTER_IS_NEWLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_FIRST_VISIBLE_LINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_EXTRA_LINES, -1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_HEIGHT, 58);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_WIDTH, 337);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_LABEL_TOP, 425);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_LABEL_LEFT, 10);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, BUILD_STRM_TEXTBOX, "", VAL_DS_READ, NULL, NULL);

    // Build control: BUILD_STRM_DECORATION
    BUILD_STRM_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, BUILD_STRM_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, BUILD_STRM_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, BUILD_STRM_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, BUILD_STRM_DECORATION, ATTR_HEIGHT, 370);
    SetCtrlAttribute (hPanel, BUILD_STRM_DECORATION, ATTR_WIDTH, 342);

    // Build control: BUILD_STRM_TEXTMSG_4
    BUILD_STRM_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 135);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, BUILD_STRM_TEXTMSG_4);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, BUILD_STRM_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: BUILD_STRM_TEXTMSG_6
    BUILD_STRM_TEXTMSG_6 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 59, 285);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_6, ATTR_CONSTANT_NAME, "TEXTMSG_6");
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_6, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_6, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_6, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_6, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_6, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_6, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_6, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_6, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_6, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_6, ATTR_DFLT_VALUE, "Mask");
    DefaultCtrl (hPanel, BUILD_STRM_TEXTMSG_6);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_6, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_6, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_6, ATTR_WIDTH, 33);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_6, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_6, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, BUILD_STRM_TEXTMSG_6, "", VAL_DS_READ, NULL, NULL);

    // Build control: BUILD_STRM_TEXTMSG_15
    BUILD_STRM_TEXTMSG_15 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 60, 57);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_15, ATTR_CONSTANT_NAME, "TEXTMSG_15");
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_15, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_15, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_15, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_15, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_15, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_15, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_15, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_15, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_15, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_15, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_15, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_15, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_15, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_15, ATTR_DFLT_VALUE, "Config Command");
    DefaultCtrl (hPanel, BUILD_STRM_TEXTMSG_15);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_15, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_15, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_15, ATTR_WIDTH, 97);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_15, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_15, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, BUILD_STRM_TEXTMSG_15, "", VAL_DS_READ, NULL, NULL);

    // Build control: BUILD_STRM_TEXTMSG_16
    BUILD_STRM_TEXTMSG_16 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 60, 203);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_16, ATTR_CONSTANT_NAME, "TEXTMSG_16");
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_16, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_16, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_16, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_16, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_16, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_16, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_16, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_16, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_16, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_16, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_16, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_16, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_16, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_16, ATTR_DFLT_VALUE, "Data");
    DefaultCtrl (hPanel, BUILD_STRM_TEXTMSG_16);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_16, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_16, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_16, ATTR_WIDTH, 30);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_16, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_16, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, BUILD_STRM_TEXTMSG_16, "", VAL_DS_READ, NULL, NULL);

    // Build control: BUILD_STRM_TEXTMSG_20
    BUILD_STRM_TEXTMSG_20 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 76, 26);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_20, ATTR_CONSTANT_NAME, "TEXTMSG_20");
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_20, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_20, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_20, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_20, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_20, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_20, ATTR_TEXT_COLOR, VAL_RED);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_20, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_20, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_20, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_20, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_20, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_20, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_20, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_20, ATTR_DFLT_VALUE, "RINGS FILLED IN fillPrimParams.c");
    DefaultCtrl (hPanel, BUILD_STRM_TEXTMSG_20);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_20, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_20, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_20, ATTR_WIDTH, 166);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_20, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_20, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, BUILD_STRM_TEXTMSG_20, "", VAL_DS_READ, NULL, NULL);

    // Build control: BUILD_STRM_TEXTMSG_2
    BUILD_STRM_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 223, 324);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_2, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_2, ATTR_DFLT_VALUE, "W");
    DefaultCtrl (hPanel, BUILD_STRM_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_2, ATTR_WIDTH, 14);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, BUILD_STRM_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: BUILD_STRM_TEXTMSG_21
    BUILD_STRM_TEXTMSG_21 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 341, 96);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_21, ATTR_CONSTANT_NAME, "TEXTMSG_21");
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_21, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_21, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_21, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_21, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_21, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_21, ATTR_TEXT_COLOR, VAL_RED);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_21, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_21, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_21, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_21, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_21, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_21, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_21, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_21, ATTR_DFLT_VALUE, "RINGS FILLED IN fillPrimParams.c");
    DefaultCtrl (hPanel, BUILD_STRM_TEXTMSG_21);
//  SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_21, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_21, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_21, ATTR_WIDTH, 166);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_21, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_21, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, BUILD_STRM_TEXTMSG_21, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_21, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_2, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_20, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_ZPLANE_POSITION, 14);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_ZPLANE_POSITION, 15);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_ZPLANE_POSITION, 16);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_ZPLANE_POSITION, 17);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_16, ATTR_ZPLANE_POSITION, 18);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_15, ATTR_ZPLANE_POSITION, 19);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_ZPLANE_POSITION, 20);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_ZPLANE_POSITION, 21);
    SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_ZPLANE_POSITION, 22);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_ZPLANE_POSITION, 23);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_6, ATTR_ZPLANE_POSITION, 24);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_ZPLANE_POSITION, 25);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_ZPLANE_POSITION, 26);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_ZPLANE_POSITION, 27);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_ZPLANE_POSITION, 28);
    SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_ZPLANE_POSITION, 29);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTMSG_4, ATTR_ZPLANE_POSITION, 30);
    SetCtrlAttribute (hPanel, BUILD_STRM_DECORATION, ATTR_ZPLANE_POSITION, 31);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, BUILD_STRM_INP_FILE, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, BUILD_STRM_INPUT_OPTION, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA_LEN, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK3, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK2, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK1, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, BUILD_STRM_MASK0, ATTR_CTRL_TAB_POSITION, 6);
    SetCtrlAttribute (hPanel, BUILD_STRM_RESET, ATTR_CTRL_TAB_POSITION, 7);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD5, ATTR_CTRL_TAB_POSITION, 8);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD4, ATTR_CTRL_TAB_POSITION, 9);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD3, ATTR_CTRL_TAB_POSITION, 10);
    SetCtrlAttribute (hPanel, BUILD_STRM_CHIP, ATTR_CTRL_TAB_POSITION, 11);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD0, ATTR_CTRL_TAB_POSITION, 12);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD2, ATTR_CTRL_TAB_POSITION, 13);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD_BUFF, ATTR_CTRL_TAB_POSITION, 14);
    SetCtrlAttribute (hPanel, BUILD_STRM_CMD1, ATTR_CTRL_TAB_POSITION, 15);
    SetCtrlAttribute (hPanel, BUILD_STRM_FIBRE, ATTR_CTRL_TAB_POSITION, 16);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA1, ATTR_CTRL_TAB_POSITION, 17);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA5, ATTR_CTRL_TAB_POSITION, 18);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA4, ATTR_CTRL_TAB_POSITION, 19);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA3, ATTR_CTRL_TAB_POSITION, 20);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA2, ATTR_CTRL_TAB_POSITION, 21);
    SetCtrlAttribute (hPanel, BUILD_STRM_DATA0, ATTR_CTRL_TAB_POSITION, 22);
    SetCtrlAttribute (hPanel, BUILD_STRM_TEXTBOX, ATTR_CTRL_TAB_POSITION, 23);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(41*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(41*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_configSlave ():  Build UI object CONFIG_SLV; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_configSlave (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "ConfigSlaveDSP", 21, 21, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "CONFIG_SLV");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: CONFIG_SLV_ON_OFF
    CONFIG_SLV_ON_OFF = NewCtrl (hPanel, CTRL_VSWITCH, "Slv On/Off", 169, 162);
    SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_CONSTANT_NAME, "ON_OFF");
//  SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_LABEL_WIDTH, 64);
    SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_TEXT_BOLD, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, CONFIG_SLV_ON_OFF);
    SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_ON_VALUE, 1);
    SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_OFF_VALUE, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_BINARY_SWITCH_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_ON_TEXT, "On");
    SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_OFF_TEXT, "Off");
    SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_HEIGHT, 30);
    SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_LABEL_TOP, 150);
    SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_LABEL_LEFT, 142);
    SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: CONFIG_SLV_SLV_ID
    CONFIG_SLV_SLV_ID = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Slave#", 98, 142);
    SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_CONSTANT_NAME, "SLV_ID");
//  SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, CONFIG_SLV_SLV_ID, 0, "0", 0);
    InsertListItem (hPanel, CONFIG_SLV_SLV_ID, 1, "1", 1);
    InsertListItem (hPanel, CONFIG_SLV_SLV_ID, 2, "2", 2);
    InsertListItem (hPanel, CONFIG_SLV_SLV_ID, 3, "3", 3);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_LABEL_POINT_SIZE, 16);
    SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_LABEL_WIDTH, 57);
    SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_LABEL_HEIGHT, 22);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_TEXT_FONT, "Arial");
//  SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_TEXT_POINT_SIZE, 22);
    SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, CONFIG_SLV_SLV_ID);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_WIDTH, 60);
    SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_LABEL_TOP, 79);
    SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_LABEL_LEFT, 145);
    SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: CONFIG_SLV_TYPE
    CONFIG_SLV_TYPE = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Slave type", 233, 74);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_CONSTANT_NAME, "TYPE");
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_LABEL_WIDTH, 63);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_WIDTH, 200);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_LABEL_TOP, 218);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_LABEL_LEFT, 144);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: CONFIG_SLV_DECORATION
    CONFIG_SLV_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, CONFIG_SLV_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, CONFIG_SLV_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, CONFIG_SLV_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, CONFIG_SLV_DECORATION, ATTR_HEIGHT, 260);
    SetCtrlAttribute (hPanel, CONFIG_SLV_DECORATION, ATTR_WIDTH, 342);

    // Build control: CONFIG_SLV_TEXTMSG_4
    CONFIG_SLV_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 135);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, CONFIG_SLV_TEXTMSG_4);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, CONFIG_SLV_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: CONFIG_SLV_TEXTMSG_7
    CONFIG_SLV_TEXTMSG_7 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 236, 114);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_7, ATTR_CONSTANT_NAME, "TEXTMSG_7");
    SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_7, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_7, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_7, ATTR_TEXT_COLOR, 0X0000CC);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_7, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_7, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_7, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_7, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_7, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_7, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_7, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_7, ATTR_DFLT_VALUE, "filled by fillUirControls.c");
    DefaultCtrl (hPanel, CONFIG_SLV_TEXTMSG_7);
//  SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_7, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_7, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_7, ATTR_WIDTH, 110);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_7, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_7, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, CONFIG_SLV_TEXTMSG_7, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_7, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TEXTMSG_4, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, CONFIG_SLV_DECORATION, ATTR_ZPLANE_POSITION, 5);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, CONFIG_SLV_ON_OFF, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, CONFIG_SLV_SLV_ID, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, CONFIG_SLV_TYPE, ATTR_CTRL_TAB_POSITION, 2);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(21*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(21*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_copyMemeory ():  Build UI object CPY_MEMP; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_copyMemeory (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "CopyMemory", 61, 45, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "CPY_MEMP");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: CPY_MEMP_SIZE
    CPY_MEMP_SIZE = NewCtrl (hPanel, CTRL_NUMERIC, "Size", 139, 135);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_CONSTANT_NAME, "SIZE");
//  SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_LABEL_WIDTH, 27);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, CPY_MEMP_SIZE);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_LABEL_TOP, 125);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_LABEL_LEFT, 160);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, CPY_MEMP_SIZE, "", VAL_DS_READ, NULL, NULL);

    // Build control: CPY_MEMP_DESTINATION
    CPY_MEMP_DESTINATION = NewCtrl (hPanel, CTRL_NUMERIC, "Destination", 102, 135);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_CONSTANT_NAME, "DESTINATION");
//  SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_CALLBACK_FUNCTION_POINTER, wordBoundary);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_LABEL_WIDTH, 67);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, CPY_MEMP_DESTINATION);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_LABEL_TOP, 88);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_LABEL_LEFT, 140);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, CPY_MEMP_DESTINATION, "", VAL_DS_READ, NULL, NULL);

    // Build control: CPY_MEMP_SOURCE
    CPY_MEMP_SOURCE = NewCtrl (hPanel, CTRL_NUMERIC, "Source", 66, 135);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_CONSTANT_NAME, "SOURCE");
//  SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_CALLBACK_FUNCTION_POINTER, wordBoundary);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_LABEL_WIDTH, 43);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, CPY_MEMP_SOURCE);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_LABEL_TOP, 52);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_LABEL_LEFT, 152);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, CPY_MEMP_SOURCE, "", VAL_DS_READ, NULL, NULL);

    // Build control: CPY_MEMP_DECORATION
    CPY_MEMP_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, CPY_MEMP_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, CPY_MEMP_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, CPY_MEMP_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, CPY_MEMP_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, CPY_MEMP_DECORATION, ATTR_HEIGHT, 155);
    SetCtrlAttribute (hPanel, CPY_MEMP_DECORATION, ATTR_WIDTH, 342);

    // Build control: CPY_MEMP_TEXTMSG_4
    CPY_MEMP_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 131);
    SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, CPY_MEMP_TEXTMSG_4);
    SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, CPY_MEMP_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: CPY_MEMP_TEXTMSG
    CPY_MEMP_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 141, 208);
    SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG, ATTR_DFLT_VALUE, "words");
    DefaultCtrl (hPanel, CPY_MEMP_TEXTMSG);
//  SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG, ATTR_WIDTH, 31);
    SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, CPY_MEMP_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, CPY_MEMP_TEXTMSG_4, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, CPY_MEMP_DECORATION, ATTR_ZPLANE_POSITION, 5);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, CPY_MEMP_SIZE, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, CPY_MEMP_DESTINATION, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, CPY_MEMP_SOURCE, ATTR_CTRL_TAB_POSITION, 2);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(61*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(45*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_dspRest ():  Build UI object DSPRESETP; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_dspRest (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "DSP Reset", 30, 467, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "DSPRESETP");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: DSPRESETP_TIME_OUT
    DSPRESETP_TIME_OUT = NewCtrl (hPanel, CTRL_NUMERIC, "Timeout", 168, 184);
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_CONSTANT_NAME, "TIME_OUT");
//  SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_LABEL_WIDTH, 48);
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPRESETP_TIME_OUT);
//  SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_LABEL_TOP, 170);
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_LABEL_LEFT, 133);
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPRESETP_TIME_OUT, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPRESETP_NATTEMPTS
    DSPRESETP_NATTEMPTS = NewCtrl (hPanel, CTRL_NUMERIC, "Number of attempts", 149, 184);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_CONSTANT_NAME, "NATTEMPTS");
//  SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_LABEL_WIDTH, 113);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPRESETP_NATTEMPTS);
//  SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_LABEL_TOP, 151);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_LABEL_LEFT, 70);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPRESETP_NATTEMPTS, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPRESETP_FORCE_SYNC
    DSPRESETP_FORCE_SYNC = NewCtrl (hPanel, CTRL_CHECK_BOX, "Force Sync", 190, 184);
    SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_CONSTANT_NAME, "FORCE_SYNC");
//  SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_LABEL_WIDTH, 67);
    SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPRESETP_FORCE_SYNC);
    SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_HEIGHT, 13);
    SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_WIDTH, 13);
    SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_LABEL_TOP, 188);
    SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_LABEL_LEFT, 115);
    SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPRESETP_SLV1
    DSPRESETP_SLV1 = NewCtrl (hPanel, CTRL_ROUND_TEXT_BUTTON, "", 60, 168);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_CONSTANT_NAME, "SLV1");
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPRESETP_SLV1);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_ON_COLOR, 0X00FF99);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_ON_TEXT, "1");
    SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_OFF_TEXT, "1");
    SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_HEIGHT, 25);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_WIDTH, 25);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_LABEL_TOP, 39);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_LABEL_LEFT, 146);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPRESETP_SLV3
    DSPRESETP_SLV3 = NewCtrl (hPanel, CTRL_ROUND_TEXT_BUTTON, "", 60, 219);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_CONSTANT_NAME, "SLV3");
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPRESETP_SLV3);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_ON_COLOR, 0X00FF99);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_ON_TEXT, "3");
    SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_OFF_TEXT, "3");
    SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_HEIGHT, 25);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_WIDTH, 25);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_LABEL_TOP, 39);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_LABEL_LEFT, 197);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPRESETP_SLV0
    DSPRESETP_SLV0 = NewCtrl (hPanel, CTRL_ROUND_TEXT_BUTTON, "", 60, 143);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_CONSTANT_NAME, "SLV0");
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPRESETP_SLV0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_ON_COLOR, 0X00FF99);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_ON_TEXT, "0");
    SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_OFF_TEXT, "0");
    SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_HEIGHT, 25);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_WIDTH, 25);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_LABEL_TOP, 39);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_LABEL_LEFT, 121);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPRESETP_SLV2
    DSPRESETP_SLV2 = NewCtrl (hPanel, CTRL_ROUND_TEXT_BUTTON, "", 60, 193);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_CONSTANT_NAME, "SLV2");
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, DSPRESETP_SLV2);
//  SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_ON_COLOR, 0X00FF99);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_ON_TEXT, "2");
    SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_OFF_TEXT, "2");
    SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_HEIGHT, 25);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_WIDTH, 25);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_LABEL_TOP, 39);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_LABEL_LEFT, 171);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: DSPRESETP_TEXTMSG_4
    DSPRESETP_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 4, 129);
    SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, DSPRESETP_TEXTMSG_4);
    SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPRESETP_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: DSPRESETP_DECORATION
    DSPRESETP_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 10, 10);
    SetCtrlAttribute (hPanel, DSPRESETP_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, DSPRESETP_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPRESETP_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, DSPRESETP_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, DSPRESETP_DECORATION, ATTR_HEIGHT, 260);
    SetCtrlAttribute (hPanel, DSPRESETP_DECORATION, ATTR_WIDTH, 335);

    // Build control: DSPRESETP_TEXTMSG_14
    DSPRESETP_TEXTMSG_14 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 66, 100);
    SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_14, ATTR_CONSTANT_NAME, "TEXTMSG_14");
//  SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_14, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_14, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_14, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_14, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_14, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_14, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_14, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_14, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_14, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_14, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_14, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_14, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_14, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_14, ATTR_DFLT_VALUE, "Slave#");
    DefaultCtrl (hPanel, DSPRESETP_TEXTMSG_14);
//  SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_14, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_14, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_14, ATTR_WIDTH, 43);
    SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_14, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_14, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, DSPRESETP_TEXTMSG_14, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_14, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, DSPRESETP_TEXTMSG_4, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, DSPRESETP_DECORATION, ATTR_ZPLANE_POSITION, 9);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, DSPRESETP_TIME_OUT, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, DSPRESETP_NATTEMPTS, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, DSPRESETP_FORCE_SYNC, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV1, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV3, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV0, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, DSPRESETP_SLV2, ATTR_CTRL_TAB_POSITION, 6);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(30*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(467*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_eventTrapSetup ():  Build UI object EVENT_TRAP; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_eventTrapSetup (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "EventTrapSetup", 41, 41, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "EVENT_TRAP");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: EVENT_TRAP_TIMEOUT
    EVENT_TRAP_TIMEOUT = NewCtrl (hPanel, CTRL_NUMERIC, "Timeout", 106, 128);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_CONSTANT_NAME, "TIMEOUT");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_LABEL_WIDTH, 48);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_DFLT_VALUE, 8192);
    DefaultCtrl (hPanel, EVENT_TRAP_TIMEOUT);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_WIDTH, 73);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_LABEL_TOP, 109);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_LABEL_LEFT, 78);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, EVENT_TRAP_TIMEOUT, "", VAL_DS_READ, NULL, NULL);

    // Build control: EVENT_TRAP_REM1
    EVENT_TRAP_REM1 = NewCtrl (hPanel, CTRL_NUMERIC, "", 442, 167);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_CONSTANT_NAME, "REM1");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, EVENT_TRAP_REM1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_WIDTH, 73);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_LABEL_TOP, 444);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_LABEL_LEFT, 154);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, EVENT_TRAP_REM1, "", VAL_DS_READ, NULL, NULL);

    // Build control: EVENT_TRAP_FUNC1
    EVENT_TRAP_FUNC1 = NewCtrl (hPanel, CTRL_NUMERIC, "", 374, 167);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_CONSTANT_NAME, "FUNC1");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, EVENT_TRAP_FUNC1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_WIDTH, 73);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_LABEL_TOP, 376);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_LABEL_LEFT, 154);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, EVENT_TRAP_FUNC1, "", VAL_DS_READ, NULL, NULL);

    // Build control: EVENT_TRAP_ITER_LIMIT
    EVENT_TRAP_ITER_LIMIT = NewCtrl (hPanel, CTRL_NUMERIC, "Iter Limit", 153, 127);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_CONSTANT_NAME, "ITER_LIMIT");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_LABEL_WIDTH, 52);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_MAX_VALUE, 65535);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_PADDING, 4);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_DFLT_VALUE, 5);
    DefaultCtrl (hPanel, EVENT_TRAP_ITER_LIMIT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_WIDTH, 73);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_LABEL_TOP, 155);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_LABEL_LEFT, 73);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, EVENT_TRAP_ITER_LIMIT, "", VAL_DS_READ, NULL, NULL);

    // Build control: EVENT_TRAP_FUNC0
    EVENT_TRAP_FUNC0 = NewCtrl (hPanel, CTRL_NUMERIC, "", 374, 80);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_CONSTANT_NAME, "FUNC0");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, EVENT_TRAP_FUNC0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_WIDTH, 73);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_LABEL_TOP, 376);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_LABEL_LEFT, 67);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, EVENT_TRAP_FUNC0, "", VAL_DS_READ, NULL, NULL);

    // Build control: EVENT_TRAP_REM0
    EVENT_TRAP_REM0 = NewCtrl (hPanel, CTRL_NUMERIC, "", 442, 80);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_CONSTANT_NAME, "REM0");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, EVENT_TRAP_REM0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_WIDTH, 73);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_LABEL_TOP, 444);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_LABEL_LEFT, 67);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, EVENT_TRAP_REM0, "", VAL_DS_READ, NULL, NULL);

    // Build control: EVENT_TRAP_MOD1
    EVENT_TRAP_MOD1 = NewCtrl (hPanel, CTRL_NUMERIC, "", 423, 167);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_CONSTANT_NAME, "MOD1");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, EVENT_TRAP_MOD1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_WIDTH, 73);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_LABEL_TOP, 425);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_LABEL_LEFT, 154);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, EVENT_TRAP_MOD1, "", VAL_DS_READ, NULL, NULL);

    // Build control: EVENT_TRAP_MOD0
    EVENT_TRAP_MOD0 = NewCtrl (hPanel, CTRL_NUMERIC, "", 423, 80);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_CONSTANT_NAME, "MOD0");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, EVENT_TRAP_MOD0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_WIDTH, 73);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_LABEL_TOP, 425);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_LABEL_LEFT, 67);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, EVENT_TRAP_MOD0, "", VAL_DS_READ, NULL, NULL);

    // Build control: EVENT_TRAP_MATCH1
    EVENT_TRAP_MATCH1 = NewCtrl (hPanel, CTRL_NUMERIC, "", 404, 167);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_CONSTANT_NAME, "MATCH1");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, EVENT_TRAP_MATCH1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_WIDTH, 73);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_LABEL_TOP, 406);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_LABEL_LEFT, 154);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, EVENT_TRAP_MATCH1, "", VAL_DS_READ, NULL, NULL);

    // Build control: EVENT_TRAP_MATCH0
    EVENT_TRAP_MATCH0 = NewCtrl (hPanel, CTRL_NUMERIC, "", 404, 80);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_CONSTANT_NAME, "MATCH0");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, EVENT_TRAP_MATCH0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_WIDTH, 73);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_LABEL_TOP, 406);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_LABEL_LEFT, 67);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, EVENT_TRAP_MATCH0, "", VAL_DS_READ, NULL, NULL);

    // Build control: EVENT_TRAP_NUM_EVENTS
    EVENT_TRAP_NUM_EVENTS = NewCtrl (hPanel, CTRL_NUMERIC, "Num Events", 82, 128);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_CONSTANT_NAME, "NUM_EVENTS");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_LABEL_WIDTH, 71);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, EVENT_TRAP_NUM_EVENTS);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_WIDTH, 73);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_LABEL_TOP, 85);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_LABEL_LEFT, 57);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, EVENT_TRAP_NUM_EVENTS, "", VAL_DS_READ, NULL, NULL);

    // Build control: EVENT_TRAP_STRAY
    EVENT_TRAP_STRAY = NewCtrl (hPanel, CTRL_CHECK_BOX, "Trap Stray", 296, 127);
    SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_CONSTANT_NAME, "STRAY");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_LABEL_WIDTH, 52);
    SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, EVENT_TRAP_STRAY);
    SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_LABEL_TOP, 296);
    SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_LABEL_LEFT, 143);
    SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: EVENT_TRAP_SLINK
    EVENT_TRAP_SLINK = NewCtrl (hPanel, CTRL_CHECK_BOX, "S-Link", 277, 127);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_CONSTANT_NAME, "SLINK");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_LABEL_WIDTH, 33);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, EVENT_TRAP_SLINK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_LABEL_TOP, 277);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_LABEL_LEFT, 143);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: EVENT_TRAP_DATA_MODE
    EVENT_TRAP_DATA_MODE = NewCtrl (hPanel, CTRL_CHECK_BOX, "Data Mode", 258, 127);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_CONSTANT_NAME, "DATA_MODE");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_LABEL_WIDTH, 56);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, EVENT_TRAP_DATA_MODE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_LABEL_TOP, 258);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_LABEL_LEFT, 143);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: EVENT_TRAP_EXC_FLAG1
    EVENT_TRAP_EXC_FLAG1 = NewCtrl (hPanel, CTRL_CHECK_BOX, "", 356, 200);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_CONSTANT_NAME, "EXC_FLAG1");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, EVENT_TRAP_EXC_FLAG1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_LABEL_TOP, 356);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_LABEL_LEFT, 216);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: EVENT_TRAP_EXC_FLAG0
    EVENT_TRAP_EXC_FLAG0 = NewCtrl (hPanel, CTRL_CHECK_BOX, "", 356, 110);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_CONSTANT_NAME, "EXC_FLAG0");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, EVENT_TRAP_EXC_FLAG0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_LABEL_TOP, 356);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_LABEL_LEFT, 126);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: EVENT_TRAP_PERMIT_BP
    EVENT_TRAP_PERMIT_BP = NewCtrl (hPanel, CTRL_CHECK_BOX, "Permit Backpressure", 239, 127);
    SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_CONSTANT_NAME, "PERMIT_BP");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_LABEL_WIDTH, 100);
    SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, EVENT_TRAP_PERMIT_BP);
    SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_LABEL_TOP, 239);
    SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_LABEL_LEFT, 143);
    SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: EVENT_TRAP_EXT_ROUT_SET
    EVENT_TRAP_EXT_ROUT_SET = NewCtrl (hPanel, CTRL_CHECK_BOX, "ExtRouterSetup", 202, 127);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_CONSTANT_NAME, "EXT_ROUT_SET");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_LABEL_WIDTH, 78);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, EVENT_TRAP_EXT_ROUT_SET);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_LABEL_TOP, 202);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_LABEL_LEFT, 143);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: EVENT_TRAP_RELEASE
    EVENT_TRAP_RELEASE = NewCtrl (hPanel, CTRL_CHECK_BOX, "Release Frames", 220, 127);
    SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_CONSTANT_NAME, "RELEASE");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_LABEL_WIDTH, 79);
    SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, EVENT_TRAP_RELEASE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_LABEL_TOP, 220);
    SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_LABEL_LEFT, 143);
    SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: EVENT_TRAP_DISTRIBUTE
    EVENT_TRAP_DISTRIBUTE = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Distribute", 177, 126);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_CONSTANT_NAME, "DISTRIBUTE");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, EVENT_TRAP_DISTRIBUTE, 0, "PRIMARY", 0);
    InsertListItem (hPanel, EVENT_TRAP_DISTRIBUTE, 1, "SECONDARY", 1);
    InsertListItem (hPanel, EVENT_TRAP_DISTRIBUTE, 2, "BOTH", 2);
    InsertListItem (hPanel, EVENT_TRAP_DISTRIBUTE, 3, "NEITHER", 3);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_LABEL_WIDTH, 57);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, EVENT_TRAP_DISTRIBUTE);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_WIDTH, 89);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_LABEL_TOP, 180);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_LABEL_LEFT, 68);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: EVENT_TRAP_FORMAT
    EVENT_TRAP_FORMAT = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Format", 130, 127);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_CONSTANT_NAME, "FORMAT");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, EVENT_TRAP_FORMAT, 0, "NORMAL", 0);
    InsertListItem (hPanel, EVENT_TRAP_FORMAT, 1, "ERROR", 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_LABEL_WIDTH, 41);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, EVENT_TRAP_FORMAT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_WIDTH, 73);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_LABEL_TOP, 132);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_LABEL_LEFT, 85);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: EVENT_TRAP_CFG1
    EVENT_TRAP_CFG1 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "1", 333, 167);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_CONSTANT_NAME, "CFG1");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, EVENT_TRAP_CFG1, 0, "IDLE", 0);
    InsertListItem (hPanel, EVENT_TRAP_CFG1, 1, "ATLAS EVT", 1);
    InsertListItem (hPanel, EVENT_TRAP_CFG1, 2, "TIM EVT", 2);
    InsertListItem (hPanel, EVENT_TRAP_CFG1, 3, "ROD EVT", 3);
    InsertListItem (hPanel, EVENT_TRAP_CFG1, 4, "SLINK EVT", 4);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, EVENT_TRAP_CFG1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_WIDTH, 85);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_LABEL_TOP, 318);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_LABEL_LEFT, 202);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: EVENT_TRAP_CFG0
    EVENT_TRAP_CFG0 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "0", 333, 79);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_CONSTANT_NAME, "CFG0");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, EVENT_TRAP_CFG0, 0, "IDLE", 0);
    InsertListItem (hPanel, EVENT_TRAP_CFG0, 1, "ATLAS EVT", 1);
    InsertListItem (hPanel, EVENT_TRAP_CFG0, 2, "TIM EVT", 2);
    InsertListItem (hPanel, EVENT_TRAP_CFG0, 3, "ROD EVT", 3);
    InsertListItem (hPanel, EVENT_TRAP_CFG0, 4, "SLINK EVT", 4);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, EVENT_TRAP_CFG0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_WIDTH, 85);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_LABEL_TOP, 318);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_LABEL_LEFT, 117);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: EVENT_TRAP_SLV3
    EVENT_TRAP_SLV3 = NewCtrl (hPanel, CTRL_ROUND_TEXT_BUTTON, "", 47, 192);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_CONSTANT_NAME, "SLV3");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, EVENT_TRAP_SLV3);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_ON_COLOR, 0X00FF99);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_ON_TEXT, "3");
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_OFF_TEXT, "3");
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_HEIGHT, 25);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_WIDTH, 25);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_LABEL_TOP, 26);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_LABEL_LEFT, 170);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: EVENT_TRAP_SLV2
    EVENT_TRAP_SLV2 = NewCtrl (hPanel, CTRL_ROUND_TEXT_BUTTON, "", 47, 166);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_CONSTANT_NAME, "SLV2");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, EVENT_TRAP_SLV2);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_ON_COLOR, 0X00FF99);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_ON_TEXT, "2");
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_OFF_TEXT, "2");
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_HEIGHT, 25);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_WIDTH, 25);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_LABEL_TOP, 26);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_LABEL_LEFT, 144);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: EVENT_TRAP_SLV1
    EVENT_TRAP_SLV1 = NewCtrl (hPanel, CTRL_ROUND_TEXT_BUTTON, "", 47, 141);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_CONSTANT_NAME, "SLV1");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, EVENT_TRAP_SLV1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_ON_COLOR, 0X00FF99);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_ON_TEXT, "1");
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_OFF_TEXT, "1");
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_HEIGHT, 25);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_WIDTH, 25);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_LABEL_TOP, 26);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_LABEL_LEFT, 119);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: EVENT_TRAP_SLV0
    EVENT_TRAP_SLV0 = NewCtrl (hPanel, CTRL_ROUND_TEXT_BUTTON, "", 47, 116);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_CONSTANT_NAME, "SLV0");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, EVENT_TRAP_SLV0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_ON_COLOR, 0X00FF99);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_ON_TEXT, "0");
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_OFF_TEXT, "0");
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_HEIGHT, 25);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_WIDTH, 25);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_LABEL_TOP, 26);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_LABEL_LEFT, 94);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: EVENT_TRAP_DECORATION
    EVENT_TRAP_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DECORATION, ATTR_HEIGHT, 460);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DECORATION, ATTR_WIDTH, 342);

    // Build control: EVENT_TRAP_TEXTMSG_4
    EVENT_TRAP_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 135);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, EVENT_TRAP_TEXTMSG_4);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, EVENT_TRAP_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: EVENT_TRAP_DECORATION_2
    EVENT_TRAP_DECORATION_2 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 502, 4);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DECORATION_2, ATTR_CONSTANT_NAME, "DECORATION_2");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DECORATION_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DECORATION_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DECORATION_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_DECORATION_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DECORATION_2, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DECORATION_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DECORATION_2, ATTR_HEIGHT, 40);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DECORATION_2, ATTR_WIDTH, 342);

    // Build control: EVENT_TRAP_TEXTMSG
    EVENT_TRAP_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 497, 131);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG, ATTR_DFLT_VALUE, "OUTPUT DATA");
    DefaultCtrl (hPanel, EVENT_TRAP_TEXTMSG);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG, ATTR_WIDTH, 91);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, EVENT_TRAP_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: EVENT_TRAP_TEXTMSG_7
    EVENT_TRAP_TEXTMSG_7 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 517, 142);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_7, ATTR_CONSTANT_NAME, "TEXTMSG_7");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_7, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_7, ATTR_TEXT_COLOR, 0X0000CC);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_7, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_7, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_7, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_7, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_7, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_7, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_7, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_7, ATTR_DFLT_VALUE, "ErrorCode");
    DefaultCtrl (hPanel, EVENT_TRAP_TEXTMSG_7);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_7, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_7, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_7, ATTR_WIDTH, 50);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_7, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_7, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, EVENT_TRAP_TEXTMSG_7, "", VAL_DS_READ, NULL, NULL);

    // Build control: EVENT_TRAP_TEXTMSG_3
    EVENT_TRAP_TEXTMSG_3 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 332, 10);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_3, ATTR_CONSTANT_NAME, "TEXTMSG_3");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_3, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_3, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_3, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_3, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_3, ATTR_DFLT_VALUE, "Trap Config");
    DefaultCtrl (hPanel, EVENT_TRAP_TEXTMSG_3);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_3, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_3, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_3, ATTR_WIDTH, 69);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_3, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_3, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, EVENT_TRAP_TEXTMSG_3, "", VAL_DS_READ, NULL, NULL);

    // Build control: EVENT_TRAP_TEXTMSG_10
    EVENT_TRAP_TEXTMSG_10 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 404, 41);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_10, ATTR_CONSTANT_NAME, "TEXTMSG_10");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_10, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_10, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_10, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_10, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_10, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_10, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_10, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_10, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_10, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_10, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_10, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_10, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_10, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_10, ATTR_DFLT_VALUE, "Match");
    DefaultCtrl (hPanel, EVENT_TRAP_TEXTMSG_10);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_10, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_10, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_10, ATTR_WIDTH, 38);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_10, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_10, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, EVENT_TRAP_TEXTMSG_10, "", VAL_DS_READ, NULL, NULL);

    // Build control: EVENT_TRAP_TEXTMSG_11
    EVENT_TRAP_TEXTMSG_11 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 422, 29);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_11, ATTR_CONSTANT_NAME, "TEXTMSG_11");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_11, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_11, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_11, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_11, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_11, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_11, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_11, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_11, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_11, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_11, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_11, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_11, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_11, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_11, ATTR_DFLT_VALUE, "Modulus");
    DefaultCtrl (hPanel, EVENT_TRAP_TEXTMSG_11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_11, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_11, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_11, ATTR_WIDTH, 50);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_11, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_11, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, EVENT_TRAP_TEXTMSG_11, "", VAL_DS_READ, NULL, NULL);

    // Build control: EVENT_TRAP_TEXTMSG_12
    EVENT_TRAP_TEXTMSG_12 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 441, 16);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_12, ATTR_CONSTANT_NAME, "TEXTMSG_12");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_12, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_12, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_12, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_12, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_12, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_12, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_12, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_12, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_12, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_12, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_12, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_12, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_12, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_12, ATTR_DFLT_VALUE, "Remainder");
    DefaultCtrl (hPanel, EVENT_TRAP_TEXTMSG_12);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_12, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_12, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_12, ATTR_WIDTH, 63);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_12, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_12, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, EVENT_TRAP_TEXTMSG_12, "", VAL_DS_READ, NULL, NULL);

    // Build control: EVENT_TRAP_TEXTMSG_8
    EVENT_TRAP_TEXTMSG_8 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 374, 18);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_8, ATTR_CONSTANT_NAME, "TEXTMSG_8");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_8, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_8, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_8, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_8, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_8, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_8, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_8, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_8, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_8, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_8, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_8, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_8, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_8, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_8, ATTR_DFLT_VALUE, "Trap Func");
    DefaultCtrl (hPanel, EVENT_TRAP_TEXTMSG_8);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_8, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_8, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_8, ATTR_WIDTH, 61);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_8, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_8, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, EVENT_TRAP_TEXTMSG_8, "", VAL_DS_READ, NULL, NULL);

    // Build control: EVENT_TRAP_TEXTMSG_2
    EVENT_TRAP_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 84, 202);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_2, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_2, ATTR_DFLT_VALUE, "COLLECT FOREVER=0");
    DefaultCtrl (hPanel, EVENT_TRAP_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_2, ATTR_WIDTH, 117);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, EVENT_TRAP_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: EVENT_TRAP_TEXTMSG_6
    EVENT_TRAP_TEXTMSG_6 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 108, 201);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_6, ATTR_CONSTANT_NAME, "TEXTMSG_6");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_6, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_6, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_6, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_6, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_6, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_6, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_6, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_6, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_6, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_6, ATTR_DFLT_VALUE, "Sec");
    DefaultCtrl (hPanel, EVENT_TRAP_TEXTMSG_6);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_6, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_6, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_6, ATTR_WIDTH, 28);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_6, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_6, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, EVENT_TRAP_TEXTMSG_6, "", VAL_DS_READ, NULL, NULL);

    // Build control: EVENT_TRAP_TEXTMSG_13
    EVENT_TRAP_TEXTMSG_13 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 155, 201);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_13, ATTR_CONSTANT_NAME, "TEXTMSG_13");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_13, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_13, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_13, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_13, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_13, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_13, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_13, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_13, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_13, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_13, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_13, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_13, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_13, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_13, ATTR_DFLT_VALUE, "KEEP EVENTS=0");
    DefaultCtrl (hPanel, EVENT_TRAP_TEXTMSG_13);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_13, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_13, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_13, ATTR_WIDTH, 89);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_13, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_13, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, EVENT_TRAP_TEXTMSG_13, "", VAL_DS_READ, NULL, NULL);

    // Build control: EVENT_TRAP_TEXTMSG_14
    EVENT_TRAP_TEXTMSG_14 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 52, 73);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_14, ATTR_CONSTANT_NAME, "TEXTMSG_14");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_14, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_14, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_14, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_14, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_14, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_14, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_14, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_14, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_14, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_14, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_14, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_14, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_14, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_14, ATTR_DFLT_VALUE, "Slave#");
    DefaultCtrl (hPanel, EVENT_TRAP_TEXTMSG_14);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_14, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_14, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_14, ATTR_WIDTH, 43);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_14, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_14, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, EVENT_TRAP_TEXTMSG_14, "", VAL_DS_READ, NULL, NULL);

    // Build control: EVENT_TRAP_TEXTMSG_9
    EVENT_TRAP_TEXTMSG_9 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 352, 21);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_9, ATTR_CONSTANT_NAME, "TEXTMSG_9");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_9, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_9, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_9, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_9, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_9, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_9, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_9, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_9, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_9, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_9, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_9, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_9, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_9, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_9, ATTR_DFLT_VALUE, "Exclusion");
    DefaultCtrl (hPanel, EVENT_TRAP_TEXTMSG_9);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_9, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_9, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_9, ATTR_WIDTH, 57);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_9, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_9, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, EVENT_TRAP_TEXTMSG_9, "", VAL_DS_READ, NULL, NULL);

    // Build control: EVENT_TRAP_TEXTMSG_5
    EVENT_TRAP_TEXTMSG_5 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 354, 244);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_5, ATTR_CONSTANT_NAME, "TEXTMSG_5");
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_5, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_5, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_5, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_5, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_5, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    dataPtr = 
        "HISTOGRAM 0x01\nTRAP             0x02\nOCCUPANCY 0x04\nERRORCNT   0x08\nRESYNCH "
        "     0x10";
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_5, ATTR_DFLT_VALUE, dataPtr);
    DefaultCtrl (hPanel, EVENT_TRAP_TEXTMSG_5);
//  SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_5, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_5, ATTR_HEIGHT, 67);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_5, ATTR_WIDTH, 96);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_5, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_5, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, EVENT_TRAP_TEXTMSG_5, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_14, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_13, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_6, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_5, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_ZPLANE_POSITION, 14);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_ZPLANE_POSITION, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_ZPLANE_POSITION, 16);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_ZPLANE_POSITION, 17);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_12, ATTR_ZPLANE_POSITION, 18);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_ZPLANE_POSITION, 19);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_ZPLANE_POSITION, 20);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_11, ATTR_ZPLANE_POSITION, 21);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_ZPLANE_POSITION, 22);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_ZPLANE_POSITION, 23);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_10, ATTR_ZPLANE_POSITION, 24);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_ZPLANE_POSITION, 25);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_9, ATTR_ZPLANE_POSITION, 26);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_8, ATTR_ZPLANE_POSITION, 27);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_ZPLANE_POSITION, 28);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_3, ATTR_ZPLANE_POSITION, 29);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_ZPLANE_POSITION, 30);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_ZPLANE_POSITION, 31);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_ZPLANE_POSITION, 32);
    SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_ZPLANE_POSITION, 33);
    SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_ZPLANE_POSITION, 34);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_ZPLANE_POSITION, 35);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_2, ATTR_ZPLANE_POSITION, 36);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_7, ATTR_ZPLANE_POSITION, 37);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG, ATTR_ZPLANE_POSITION, 38);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DECORATION_2, ATTR_ZPLANE_POSITION, 39);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_ZPLANE_POSITION, 40);
    SetCtrlAttribute (hPanel, EVENT_TRAP_TEXTMSG_4, ATTR_ZPLANE_POSITION, 41);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DECORATION, ATTR_ZPLANE_POSITION, 42);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, EVENT_TRAP_TIMEOUT, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM1, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC1, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, EVENT_TRAP_ITER_LIMIT, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FUNC0, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, EVENT_TRAP_REM0, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD1, ATTR_CTRL_TAB_POSITION, 6);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MOD0, ATTR_CTRL_TAB_POSITION, 7);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH1, ATTR_CTRL_TAB_POSITION, 8);
    SetCtrlAttribute (hPanel, EVENT_TRAP_MATCH0, ATTR_CTRL_TAB_POSITION, 9);
    SetCtrlAttribute (hPanel, EVENT_TRAP_NUM_EVENTS, ATTR_CTRL_TAB_POSITION, 10);
    SetCtrlAttribute (hPanel, EVENT_TRAP_STRAY, ATTR_CTRL_TAB_POSITION, 11);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLINK, ATTR_CTRL_TAB_POSITION, 12);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DATA_MODE, ATTR_CTRL_TAB_POSITION, 13);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG1, ATTR_CTRL_TAB_POSITION, 14);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXC_FLAG0, ATTR_CTRL_TAB_POSITION, 15);
    SetCtrlAttribute (hPanel, EVENT_TRAP_PERMIT_BP, ATTR_CTRL_TAB_POSITION, 16);
    SetCtrlAttribute (hPanel, EVENT_TRAP_EXT_ROUT_SET, ATTR_CTRL_TAB_POSITION, 17);
    SetCtrlAttribute (hPanel, EVENT_TRAP_RELEASE, ATTR_CTRL_TAB_POSITION, 18);
    SetCtrlAttribute (hPanel, EVENT_TRAP_DISTRIBUTE, ATTR_CTRL_TAB_POSITION, 19);
    SetCtrlAttribute (hPanel, EVENT_TRAP_FORMAT, ATTR_CTRL_TAB_POSITION, 20);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG1, ATTR_CTRL_TAB_POSITION, 21);
    SetCtrlAttribute (hPanel, EVENT_TRAP_CFG0, ATTR_CTRL_TAB_POSITION, 22);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV3, ATTR_CTRL_TAB_POSITION, 23);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV2, ATTR_CTRL_TAB_POSITION, 24);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV1, ATTR_CTRL_TAB_POSITION, 25);
    SetCtrlAttribute (hPanel, EVENT_TRAP_SLV0, ATTR_CTRL_TAB_POSITION, 26);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(41*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(41*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_flashLed ():  Build UI object FLASH_LEDP; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_flashLed (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "FlashLed", 81, 81, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "FLASH_LEDP");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: FLASH_LEDP_NUM_TIMES
    FLASH_LEDP_NUM_TIMES = NewCtrl (hPanel, CTRL_NUMERIC, "NumTimes", 131, 177);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_CONSTANT_NAME, "NUM_TIMES");
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_LABEL_WIDTH, 53);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, FLASH_LEDP_NUM_TIMES);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_LABEL_TOP, 115);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_LABEL_LEFT, 187);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, FLASH_LEDP_NUM_TIMES, "", VAL_DS_READ, NULL, NULL);

    // Build control: FLASH_LEDP_PERIOD
    FLASH_LEDP_PERIOD = NewCtrl (hPanel, CTRL_NUMERIC, "Period", 131, 77);
    SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_CONSTANT_NAME, "PERIOD");
//  SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_LABEL_WIDTH, 33);
    SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, FLASH_LEDP_PERIOD);
    SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_LABEL_TOP, 115);
    SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_LABEL_LEFT, 97);
    SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, FLASH_LEDP_PERIOD, "", VAL_DS_READ, NULL, NULL);

    // Build control: FLASH_LEDP_NUMBER
    FLASH_LEDP_NUMBER = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "LED Number", 188, 135);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_CONSTANT_NAME, "NUMBER");
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, FLASH_LEDP_NUMBER, 0, "Yellow", 0);
    InsertListItem (hPanel, FLASH_LEDP_NUMBER, 1, "Green", 1);
    InsertListItem (hPanel, FLASH_LEDP_NUMBER, 2, "Red", 2);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_LABEL_WIDTH, 64);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, FLASH_LEDP_NUMBER);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_WIDTH, 64);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_LABEL_TOP, 172);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_LABEL_LEFT, 136);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: FLASH_LEDP_TEXTMSG_4
    FLASH_LEDP_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 135);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, FLASH_LEDP_TEXTMSG_4);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, FLASH_LEDP_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: FLASH_LEDP_DECORATION
    FLASH_LEDP_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, FLASH_LEDP_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, FLASH_LEDP_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, FLASH_LEDP_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, FLASH_LEDP_DECORATION, ATTR_HEIGHT, 260);
    SetCtrlAttribute (hPanel, FLASH_LEDP_DECORATION, ATTR_WIDTH, 342);

    // Build control: FLASH_LEDP_TEXTMSG
    FLASH_LEDP_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 134, 149);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG, ATTR_DFLT_VALUE, "ms");
    DefaultCtrl (hPanel, FLASH_LEDP_TEXTMSG);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG, ATTR_WIDTH, 16);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, FLASH_LEDP_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: FLASH_LEDP_TEXTMSG_2
    FLASH_LEDP_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 229, 86);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_2, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_2, ATTR_DFLT_VALUE, "For slaves only yellow LED exists,");
    DefaultCtrl (hPanel, FLASH_LEDP_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_2, ATTR_WIDTH, 161);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, FLASH_LEDP_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: FLASH_LEDP_TEXTMSG_5
    FLASH_LEDP_TEXTMSG_5 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 245, 54);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_5, ATTR_CONSTANT_NAME, "TEXTMSG_5");
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_5, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_5, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_5, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_5, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_5, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_5, ATTR_DFLT_VALUE, "therefore any number will access the yellow one.");
    DefaultCtrl (hPanel, FLASH_LEDP_TEXTMSG_5);
//  SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_5, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_5, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_5, ATTR_WIDTH, 231);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_5, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_5, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, FLASH_LEDP_TEXTMSG_5, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_5, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_2, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, FLASH_LEDP_TEXTMSG_4, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, FLASH_LEDP_DECORATION, ATTR_ZPLANE_POSITION, 7);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUM_TIMES, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, FLASH_LEDP_PERIOD, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, FLASH_LEDP_NUMBER, ATTR_CTRL_TAB_POSITION, 2);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(81*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(81*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_histogramSetup ():  Build UI object HIST_SETP; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_histogramSetup (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "HistogramSetup", 41, 41, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "HIST_SETP");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: HIST_SETP_INP_FILE_2
    HIST_SETP_INP_FILE_2 = NewCtrl (hPanel, CTRL_STRING, "INPUT FILE 2", 431, 12);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_CONSTANT_NAME, "INP_FILE_2");
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_CALLBACK_FUNCTION_POINTER, histogramSetup);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_LABEL_WIDTH, 70);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, HIST_SETP_INP_FILE_2);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_MAX_ENTRY_LENGTH, 99);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_WIDTH, 330);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_LABEL_TOP, 417);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_LABEL_LEFT, 9);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, HIST_SETP_INP_FILE_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: HIST_SETP_INP_FILE_1
    HIST_SETP_INP_FILE_1 = NewCtrl (hPanel, CTRL_STRING, "INPUT FILE 1", 398, 10);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_CONSTANT_NAME, "INP_FILE_1");
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_CALLBACK_FUNCTION_POINTER, histogramSetup);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_LABEL_WIDTH, 70);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, HIST_SETP_INP_FILE_1);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_MAX_ENTRY_LENGTH, 99);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_WIDTH, 330);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_LABEL_TOP, 384);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_LABEL_LEFT, 7);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, HIST_SETP_INP_FILE_1, "", VAL_DS_READ, NULL, NULL);

    // Build control: HIST_SETP_VALID_MODULES_0
    HIST_SETP_VALID_MODULES_0 = NewCtrl (hPanel, CTRL_NUMERIC, "", 364, 190);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_CONSTANT_NAME, "VALID_MODULES_0");
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HIST_SETP_VALID_MODULES_0);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_WIDTH, 71);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_LABEL_TOP, 367);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_LABEL_LEFT, 151);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HIST_SETP_VALID_MODULES_0, "", VAL_DS_READ, NULL, NULL);

    // Build control: HIST_SETP_MODULE_RANGE_MAP_10
    HIST_SETP_MODULE_RANGE_MAP_10 = NewCtrl (hPanel, CTRL_NUMERIC, "", 338, 190);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_CONSTANT_NAME, "MODULE_RANGE_MAP_10");
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HIST_SETP_MODULE_RANGE_MAP_10);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_WIDTH, 71);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_LABEL_TOP, 341);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_LABEL_LEFT, 151);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, "", VAL_DS_READ, NULL, NULL);

    // Build control: HIST_SETP_MODULE_RANGE_MAP_11
    HIST_SETP_MODULE_RANGE_MAP_11 = NewCtrl (hPanel, CTRL_NUMERIC, "", 338, 145);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_CONSTANT_NAME, "MODULE_RANGE_MAP_11");
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_MAX_VALUE, 65535);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_PADDING, 4);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HIST_SETP_MODULE_RANGE_MAP_11);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_WIDTH, 45);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_LABEL_TOP, 341);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_LABEL_LEFT, 106);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, "", VAL_DS_READ, NULL, NULL);

    // Build control: HIST_SETP_MODULE_RANGE_MAP_00
    HIST_SETP_MODULE_RANGE_MAP_00 = NewCtrl (hPanel, CTRL_NUMERIC, "", 319, 190);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_CONSTANT_NAME, "MODULE_RANGE_MAP_00");
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HIST_SETP_MODULE_RANGE_MAP_00);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_WIDTH, 71);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_LABEL_TOP, 322);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_LABEL_LEFT, 151);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, "", VAL_DS_READ, NULL, NULL);

    // Build control: HIST_SETP_VALID_MODULES_1
    HIST_SETP_VALID_MODULES_1 = NewCtrl (hPanel, CTRL_NUMERIC, "Valid Modules", 364, 145);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_CONSTANT_NAME, "VALID_MODULES_1");
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_LABEL_WIDTH, 82);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_MAX_VALUE, 65535);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_PADDING, 4);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HIST_SETP_VALID_MODULES_1);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_WIDTH, 45);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_LABEL_TOP, 368);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_LABEL_LEFT, 61);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HIST_SETP_VALID_MODULES_1, "", VAL_DS_READ, NULL, NULL);

    // Build control: HIST_SETP_MODULE_RANGE_MAP_01
    HIST_SETP_MODULE_RANGE_MAP_01 = NewCtrl (hPanel, CTRL_NUMERIC, "Module Range Map", 319, 145);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_CONSTANT_NAME, "MODULE_RANGE_MAP_01");
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_LABEL_WIDTH, 113);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_MAX_VALUE, 65535);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_PADDING, 4);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HIST_SETP_MODULE_RANGE_MAP_01);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_WIDTH, 45);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_LABEL_TOP, 329);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_LABEL_LEFT, 30);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, "", VAL_DS_READ, NULL, NULL);

    // Build control: HIST_SETP_DATA_TYPE_2
    HIST_SETP_DATA_TYPE_2 = NewCtrl (hPanel, CTRL_NUMERIC, "", 286, 206);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_CONSTANT_NAME, "DATA_TYPE_2");
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_MAX_VALUE, 255);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_PADDING, 2);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HIST_SETP_DATA_TYPE_2);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_WIDTH, 35);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_LABEL_TOP, 289);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_LABEL_LEFT, 167);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HIST_SETP_DATA_TYPE_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: HIST_SETP_DATA_TYPE
    HIST_SETP_DATA_TYPE = NewCtrl (hPanel, CTRL_NUMERIC, "DataType", 267, 206);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_CONSTANT_NAME, "DATA_TYPE");
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_LABEL_WIDTH, 58);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_MAX_VALUE, 255);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_PADDING, 2);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HIST_SETP_DATA_TYPE);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_WIDTH, 35);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_LABEL_TOP, 251);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_LABEL_LEFT, 193);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HIST_SETP_DATA_TYPE, "", VAL_DS_READ, NULL, NULL);

    // Build control: HIST_SETP_X_PTR_2
    HIST_SETP_X_PTR_2 = NewCtrl (hPanel, CTRL_NUMERIC, "", 286, 125);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_CONSTANT_NAME, "X_PTR_2");
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HIST_SETP_X_PTR_2);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_WIDTH, 71);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_LABEL_TOP, 288);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_LABEL_LEFT, 107);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HIST_SETP_X_PTR_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: HIST_SETP_X_PTR
    HIST_SETP_X_PTR = NewCtrl (hPanel, CTRL_NUMERIC, "xPtr", 267, 125);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_CONSTANT_NAME, "X_PTR");
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_LABEL_WIDTH, 25);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HIST_SETP_X_PTR);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_WIDTH, 71);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_LABEL_TOP, 251);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_LABEL_LEFT, 148);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HIST_SETP_X_PTR, "", VAL_DS_READ, NULL, NULL);

    // Build control: HIST_SETP_BASE
    HIST_SETP_BASE = NewCtrl (hPanel, CTRL_NUMERIC, "Base", 48, 74);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_CONSTANT_NAME, "BASE");
//  SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_LABEL_WIDTH, 31);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_DFLT_VALUE, -1);
    DefaultCtrl (hPanel, HIST_SETP_BASE);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_WIDTH, 79);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_LABEL_TOP, 53);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_LABEL_LEFT, 38);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HIST_SETP_BASE, "", VAL_DS_READ, NULL, NULL);

    // Build control: HIST_SETP_OPT3
    HIST_SETP_OPT3 = NewCtrl (hPanel, CTRL_NUMERIC, "Opt[3]", 219, 85);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_CONSTANT_NAME, "OPT3");
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_LABEL_WIDTH, 38);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_MAX_VALUE, 255);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_PADDING, 2);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HIST_SETP_OPT3);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_WIDTH, 33);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_LABEL_TOP, 222);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_LABEL_LEFT, 34);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HIST_SETP_OPT3, "", VAL_DS_READ, NULL, NULL);

    // Build control: HIST_SETP_BINNING
    HIST_SETP_BINNING = NewCtrl (hPanel, CTRL_NUMERIC, "# bins", 78, 75);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_CONSTANT_NAME, "BINNING");
//  SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_LABEL_WIDTH, 38);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_MAX_VALUE, 255);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_PADDING, 3);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HIST_SETP_BINNING);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_WIDTH, 54);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_LABEL_TOP, 81);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_LABEL_LEFT, 36);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HIST_SETP_BINNING, "", VAL_DS_READ, NULL, NULL);

    // Build control: HIST_SETP_OPT1
    HIST_SETP_OPT1 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Opt[1]", 180, 88);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_CONSTANT_NAME, "OPT1");
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, HIST_SETP_OPT1, 0, "Condensed", 1);
    InsertListItem (hPanel, HIST_SETP_OPT1, 1, "Expanded", 3);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_LABEL_WIDTH, 38);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_TEXT_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_TEXT_POINT_SIZE, 10);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, HIST_SETP_OPT1);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_WIDTH, 90);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_LABEL_TOP, 180);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_LABEL_LEFT, 35);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HIST_SETP_ROUTINE
    HIST_SETP_ROUTINE = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Routine type", 117, 124);
    SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_CONSTANT_NAME, "ROUTINE");
//  SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, HIST_SETP_ROUTINE, 0, "C Code", 0);
    InsertListItem (hPanel, HIST_SETP_ROUTINE, 1, "Asm. Code", 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_LABEL_WIDTH, 75);
    SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, HIST_SETP_ROUTINE);
//  SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_WIDTH, 90);
    SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_LABEL_TOP, 119);
    SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_LABEL_LEFT, 38);
    SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HIST_SETP_BIN_SIZE
    HIST_SETP_BIN_SIZE = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "bin size", 78, 211);
    SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_CONSTANT_NAME, "BIN_SIZE");
//  SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, HIST_SETP_BIN_SIZE, 0, "8 bit", 8);
    InsertListItem (hPanel, HIST_SETP_BIN_SIZE, 1, "16 bit", 16);
    InsertListItem (hPanel, HIST_SETP_BIN_SIZE, 2, "32 bit", 32);
//  SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_LABEL_WIDTH, 46);
    SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_DFLT_INDEX, 2);
    DefaultCtrl (hPanel, HIST_SETP_BIN_SIZE);
//  SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_WIDTH, 90);
    SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_LABEL_TOP, 80);
    SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_LABEL_LEFT, 160);
    SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HIST_SETP_OPT2
    HIST_SETP_OPT2 = NewCtrl (hPanel, CTRL_CHECK_BOX, "Opt[2]", 202, 86);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_CONSTANT_NAME, "OPT2");
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_LABEL_WIDTH, 38);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HIST_SETP_OPT2);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_LABEL_TOP, 200);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_LABEL_LEFT, 34);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: HIST_SETP_OPT0
    HIST_SETP_OPT0 = NewCtrl (hPanel, CTRL_CHECK_BOX, "Opt[0]", 161, 86);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_CONSTANT_NAME, "OPT0");
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_LABEL_WIDTH, 38);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HIST_SETP_OPT0);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_LABEL_TOP, 159);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_LABEL_LEFT, 34);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: HIST_SETP_DEFAULT_1
    HIST_SETP_DEFAULT_1 = NewCtrl (hPanel, CTRL_CHECK_BOX, "Default", 276, 106);
    SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_CONSTANT_NAME, "DEFAULT_1");
//  SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_CALLBACK_FUNCTION_POINTER, histogramSetup);
    SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_LABEL_WIDTH, 44);
    SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HIST_SETP_DEFAULT_1);
    SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_LABEL_TOP, 274);
    SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_LABEL_LEFT, 60);
    SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: HIST_SETP_TEXTMSG_4
    HIST_SETP_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 135);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, HIST_SETP_TEXTMSG_4);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, HIST_SETP_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: HIST_SETP_DECORATION
    HIST_SETP_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, HIST_SETP_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, HIST_SETP_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, HIST_SETP_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, HIST_SETP_DECORATION, ATTR_HEIGHT, 450);
    SetCtrlAttribute (hPanel, HIST_SETP_DECORATION, ATTR_WIDTH, 342);

    // Build control: HIST_SETP_DECORATION_2
    HIST_SETP_DECORATION_2 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 491, 4);
    SetCtrlAttribute (hPanel, HIST_SETP_DECORATION_2, ATTR_CONSTANT_NAME, "DECORATION_2");
//  SetCtrlAttribute (hPanel, HIST_SETP_DECORATION_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_DECORATION_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_DECORATION_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_DECORATION_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_DECORATION_2, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, HIST_SETP_DECORATION_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, HIST_SETP_DECORATION_2, ATTR_HEIGHT, 40);
    SetCtrlAttribute (hPanel, HIST_SETP_DECORATION_2, ATTR_WIDTH, 342);

    // Build control: HIST_SETP_TEXTMSG_15
    HIST_SETP_TEXTMSG_15 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 486, 131);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_15, ATTR_CONSTANT_NAME, "TEXTMSG_15");
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_15, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_15, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_15, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_15, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_15, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_15, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_15, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_15, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_15, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_15, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_15, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_15, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_15, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_15, ATTR_DFLT_VALUE, "OUTPUT DATA");
    DefaultCtrl (hPanel, HIST_SETP_TEXTMSG_15);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_15, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_15, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_15, ATTR_WIDTH, 91);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_15, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_15, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, HIST_SETP_TEXTMSG_15, "", VAL_DS_READ, NULL, NULL);

    // Build control: HIST_SETP_TEXTMSG_7
    HIST_SETP_TEXTMSG_7 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 506, 19);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_7, ATTR_CONSTANT_NAME, "TEXTMSG_7");
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_7, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_7, ATTR_TEXT_COLOR, 0X0000CC);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_7, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_7, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_7, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_7, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_7, ATTR_TEXT_POINT_SIZE, 10);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_7, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_7, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_7, ATTR_DFLT_VALUE, "Reply *ctrlPtr, *binCtrPtr, *varRangePtr  in ROD Stat Window.");
    DefaultCtrl (hPanel, HIST_SETP_TEXTMSG_7);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_7, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_7, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_7, ATTR_WIDTH, 292);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_7, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_7, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, HIST_SETP_TEXTMSG_7, "", VAL_DS_READ, NULL, NULL);

    // Build control: HIST_SETP_TEXTMSG_16
    HIST_SETP_TEXTMSG_16 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 454, 59);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_16, ATTR_CONSTANT_NAME, "TEXTMSG_16");
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_16, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_16, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_16, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_16, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_16, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_16, ATTR_TEXT_COLOR, 0X0000CC);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_16, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_16, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_16, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_16, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_16, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_16, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_16, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_16, ATTR_DFLT_VALUE, "Files' lengths must be equal to number of bins.");
    DefaultCtrl (hPanel, HIST_SETP_TEXTMSG_16);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_16, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_16, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_16, ATTR_WIDTH, 219);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_16, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_16, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, HIST_SETP_TEXTMSG_16, "", VAL_DS_READ, NULL, NULL);

    // Build control: HIST_SETP_TEXTMSG_3
    HIST_SETP_TEXTMSG_3 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 51, 167);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_3, ATTR_CONSTANT_NAME, "TEXTMSG_3");
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_3, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_3, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_3, ATTR_DFLT_VALUE, "(use default  base: 0xffffffff)");
    DefaultCtrl (hPanel, HIST_SETP_TEXTMSG_3);
//  SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_3, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_3, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_3, ATTR_WIDTH, 131);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_3, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_3, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, HIST_SETP_TEXTMSG_3, "", VAL_DS_READ, NULL, NULL);

    // Build control: HIST_SETP_TXT_OPT0
    HIST_SETP_TXT_OPT0 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 161, 193);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT0, ATTR_CONSTANT_NAME, "TXT_OPT0");
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT0, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT0, ATTR_TEXT_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT0, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT0, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT0, ATTR_TEXT_POINT_SIZE, 10);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT0, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT0, ATTR_DFLT_VALUE, "Chip Occupancy Histos?");
    DefaultCtrl (hPanel, HIST_SETP_TXT_OPT0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT0, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT0, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT0, ATTR_WIDTH, 120);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT0, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT0, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, HIST_SETP_TXT_OPT0, "", VAL_DS_READ, NULL, NULL);

    // Build control: HIST_SETP_TXT_OPT1
    HIST_SETP_TXT_OPT1 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 181, 193);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT1, ATTR_CONSTANT_NAME, "TXT_OPT1");
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT1, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT1, ATTR_TEXT_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT1, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT1, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT1, ATTR_TEXT_POINT_SIZE, 10);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT1, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT1, ATTR_DFLT_VALUE, "Data format");
    DefaultCtrl (hPanel, HIST_SETP_TXT_OPT1);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT1, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT1, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT1, ATTR_WIDTH, 58);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT1, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT1, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, HIST_SETP_TXT_OPT1, "", VAL_DS_READ, NULL, NULL);

    // Build control: HIST_SETP_TXT_OPT2
    HIST_SETP_TXT_OPT2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 202, 193);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT2, ATTR_CONSTANT_NAME, "TXT_OPT2");
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT2, ATTR_TEXT_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT2, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT2, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT2, ATTR_TEXT_POINT_SIZE, 10);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT2, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT2, ATTR_DFLT_VALUE, "Verbose mode (c code only)");
    DefaultCtrl (hPanel, HIST_SETP_TXT_OPT2);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT2, ATTR_WIDTH, 135);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, HIST_SETP_TXT_OPT2, "", VAL_DS_READ, NULL, NULL);

    // Build control: HIST_SETP_TXT_OPT3
    HIST_SETP_TXT_OPT3 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 223, 193);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT3, ATTR_CONSTANT_NAME, "TXT_OPT3");
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT3, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT3, ATTR_TEXT_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT3, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT3, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT3, ATTR_TEXT_POINT_SIZE, 10);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT3, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT3, ATTR_DFLT_VALUE, "Unused");
    DefaultCtrl (hPanel, HIST_SETP_TXT_OPT3);
//  SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT3, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT3, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT3, ATTR_WIDTH, 40);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT3, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT3, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, HIST_SETP_TXT_OPT3, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT3, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT2, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT1, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, HIST_SETP_TXT_OPT0, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_3, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_ZPLANE_POSITION, 14);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_ZPLANE_POSITION, 15);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_16, ATTR_ZPLANE_POSITION, 16);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_ZPLANE_POSITION, 17);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_ZPLANE_POSITION, 18);
    SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_ZPLANE_POSITION, 19);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_ZPLANE_POSITION, 20);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_ZPLANE_POSITION, 21);
    SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_ZPLANE_POSITION, 22);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_7, ATTR_ZPLANE_POSITION, 23);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_15, ATTR_ZPLANE_POSITION, 24);
    SetCtrlAttribute (hPanel, HIST_SETP_DECORATION_2, ATTR_ZPLANE_POSITION, 25);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_ZPLANE_POSITION, 26);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_ZPLANE_POSITION, 27);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_ZPLANE_POSITION, 28);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_ZPLANE_POSITION, 29);
    SetCtrlAttribute (hPanel, HIST_SETP_TEXTMSG_4, ATTR_ZPLANE_POSITION, 30);
    SetCtrlAttribute (hPanel, HIST_SETP_DECORATION, ATTR_ZPLANE_POSITION, 31);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_2, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, HIST_SETP_INP_FILE_1, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_0, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_10, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_11, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_00, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, HIST_SETP_VALID_MODULES_1, ATTR_CTRL_TAB_POSITION, 6);
    SetCtrlAttribute (hPanel, HIST_SETP_MODULE_RANGE_MAP_01, ATTR_CTRL_TAB_POSITION, 7);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE_2, ATTR_CTRL_TAB_POSITION, 8);
    SetCtrlAttribute (hPanel, HIST_SETP_DATA_TYPE, ATTR_CTRL_TAB_POSITION, 9);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR_2, ATTR_CTRL_TAB_POSITION, 10);
    SetCtrlAttribute (hPanel, HIST_SETP_X_PTR, ATTR_CTRL_TAB_POSITION, 11);
    SetCtrlAttribute (hPanel, HIST_SETP_BASE, ATTR_CTRL_TAB_POSITION, 12);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT3, ATTR_CTRL_TAB_POSITION, 13);
    SetCtrlAttribute (hPanel, HIST_SETP_BINNING, ATTR_CTRL_TAB_POSITION, 14);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT1, ATTR_CTRL_TAB_POSITION, 15);
    SetCtrlAttribute (hPanel, HIST_SETP_ROUTINE, ATTR_CTRL_TAB_POSITION, 16);
    SetCtrlAttribute (hPanel, HIST_SETP_BIN_SIZE, ATTR_CTRL_TAB_POSITION, 17);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT2, ATTR_CTRL_TAB_POSITION, 18);
    SetCtrlAttribute (hPanel, HIST_SETP_OPT0, ATTR_CTRL_TAB_POSITION, 19);
    SetCtrlAttribute (hPanel, HIST_SETP_DEFAULT_1, ATTR_CTRL_TAB_POSITION, 20);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(41*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(41*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_moduleMask ():  Build UI object MDL_MASKP; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_moduleMask (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "ModuleMask", 21, 21, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "MDL_MASKP");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: MDL_MASKP_MASK_SET
    MDL_MASKP_MASK_SET = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Mask Set", 441, 115);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_CONSTANT_NAME, "MASK_SET");
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_LABEL_WIDTH, 56);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_WIDTH, 200);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_LABEL_TOP, 444);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_LABEL_LEFT, 58);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: MDL_MASKP_STORAGE
    MDL_MASKP_STORAGE = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Storage", 421, 115);
    SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_CONSTANT_NAME, "STORAGE");
//  SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_LABEL_WIDTH, 47);
    SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_WIDTH, 200);
    SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_LABEL_TOP, 424);
    SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_LABEL_LEFT, 67);
    SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: MDL_MASKP_PORT
    MDL_MASKP_PORT = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Port", 121, 145);
    SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_CONSTANT_NAME, "PORT");
//  SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, MDL_MASKP_PORT, 0, "0", 0);
    InsertListItem (hPanel, MDL_MASKP_PORT, 1, "1", 1);
    InsertListItem (hPanel, MDL_MASKP_PORT, 2, "BOTH", 2);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_LABEL_WIDTH, 26);
    SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, MDL_MASKP_PORT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_WIDTH, 66);
    SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_LABEL_TOP, 124);
    SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_LABEL_LEFT, 117);
    SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: MDL_MASKP_USE_SET
    MDL_MASKP_USE_SET = NewCtrl (hPanel, CTRL_CHECK_BOX, "Use Struct Set", 147, 151);
    SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_CONSTANT_NAME, "USE_SET");
//  SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_LABEL_WIDTH, 86);
    SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MDL_MASKP_USE_SET);
    SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_HEIGHT, 16);
    SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_WIDTH, 16);
    SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_LABEL_TOP, 147);
    SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_LABEL_LEFT, 168);
    SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MDL_MASKP_CFG
    MDL_MASKP_CFG = NewCtrl (hPanel, CTRL_CHECK_BOX, "Cfg", 263, 116);
    SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_CONSTANT_NAME, "CFG");
//  SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_CALLBACK_FUNCTION_POINTER, moduleMask);
    SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_LABEL_WIDTH, 22);
    SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MDL_MASKP_CFG);
    SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_HEIGHT, 16);
    SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_WIDTH, 16);
    SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_LABEL_TOP, 263);
    SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_LABEL_LEFT, 133);
    SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MDL_MASKP_PASS
    MDL_MASKP_PASS = NewCtrl (hPanel, CTRL_CHECK_BOX, "Pass on", 167, 151);
    SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_CONSTANT_NAME, "PASS");
//  SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_LABEL_WIDTH, 48);
    SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MDL_MASKP_PASS);
    SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_HEIGHT, 16);
    SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_WIDTH, 16);
    SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_LABEL_TOP, 167);
    SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_LABEL_LEFT, 168);
    SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MDL_MASKP_SLV3
    MDL_MASKP_SLV3 = NewCtrl (hPanel, CTRL_ROUND_TEXT_BUTTON, "", 55, 202);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_CONSTANT_NAME, "SLV3");
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MDL_MASKP_SLV3);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_ON_COLOR, 0X00FF99);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_ON_TEXT, "3");
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_OFF_TEXT, "3");
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_HEIGHT, 25);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_WIDTH, 25);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_LABEL_TOP, 34);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_LABEL_LEFT, 180);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MDL_MASKP_DATA_LINE3
    MDL_MASKP_DATA_LINE3 = NewCtrl (hPanel, CTRL_NUMERIC, "3", 229, 116);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_CONSTANT_NAME, "DATA_LINE3");
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_MAX_VALUE, 255);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_PADDING, 2);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_DFLT_VALUE, 255);
    DefaultCtrl (hPanel, MDL_MASKP_DATA_LINE3);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_WIDTH, 34);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_LABEL_TOP, 215);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_LABEL_LEFT, 132);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MDL_MASKP_DATA_LINE3, "", VAL_DS_READ, NULL, NULL);

    // Build control: MDL_MASKP_DATA_LINE2
    MDL_MASKP_DATA_LINE2 = NewCtrl (hPanel, CTRL_NUMERIC, "2", 229, 150);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_CONSTANT_NAME, "DATA_LINE2");
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_MAX_VALUE, 255);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_PADDING, 2);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_DFLT_VALUE, 255);
    DefaultCtrl (hPanel, MDL_MASKP_DATA_LINE2);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_WIDTH, 34);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_LABEL_TOP, 215);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_LABEL_LEFT, 166);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MDL_MASKP_DATA_LINE2, "", VAL_DS_READ, NULL, NULL);

    // Build control: MDL_MASKP_DATA_LINE1
    MDL_MASKP_DATA_LINE1 = NewCtrl (hPanel, CTRL_NUMERIC, "1", 229, 184);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_CONSTANT_NAME, "DATA_LINE1");
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_MAX_VALUE, 255);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_PADDING, 2);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_DFLT_VALUE, 255);
    DefaultCtrl (hPanel, MDL_MASKP_DATA_LINE1);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_WIDTH, 34);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_LABEL_TOP, 215);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_LABEL_LEFT, 200);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MDL_MASKP_DATA_LINE1, "", VAL_DS_READ, NULL, NULL);

    // Build control: MDL_MASKP_DATA_LINE0
    MDL_MASKP_DATA_LINE0 = NewCtrl (hPanel, CTRL_NUMERIC, "0", 229, 218);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_CONSTANT_NAME, "DATA_LINE0");
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_MAX_VALUE, 255);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_PADDING, 2);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_DFLT_VALUE, 255);
    DefaultCtrl (hPanel, MDL_MASKP_DATA_LINE0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_WIDTH, 34);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_LABEL_TOP, 215);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_LABEL_LEFT, 234);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MDL_MASKP_DATA_LINE0, "", VAL_DS_READ, NULL, NULL);

    // Build control: MDL_MASKP_CMD_LINE
    MDL_MASKP_CMD_LINE = NewCtrl (hPanel, CTRL_NUMERIC, "Cmd Line", 193, 150);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_CONSTANT_NAME, "CMD_LINE");
//  SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_LABEL_WIDTH, 55);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_MAX_VALUE, 255);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_PADDING, 2);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_DFLT_VALUE, 128);
    DefaultCtrl (hPanel, MDL_MASKP_CMD_LINE);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_WIDTH, 45);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_LABEL_TOP, 195);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_LABEL_LEFT, 93);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MDL_MASKP_CMD_LINE, "", VAL_DS_READ, NULL, NULL);

    // Build control: MDL_MASKP_MASK1
    MDL_MASKP_MASK1 = NewCtrl (hPanel, CTRL_NUMERIC, "1", 299, 115);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_CONSTANT_NAME, "MASK1");
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_MAX_VALUE, 65535);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_PADDING, 4);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MDL_MASKP_MASK1);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_WIDTH, 45);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_LABEL_TOP, 285);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_LABEL_LEFT, 138);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MDL_MASKP_MASK1, "", VAL_DS_READ, NULL, NULL);

    // Build control: MDL_MASKP_MASK_TYPE
    MDL_MASKP_MASK_TYPE = NewCtrl (hPanel, CTRL_NUMERIC, "Mask Type", 322, 115);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_CONSTANT_NAME, "MASK_TYPE");
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_LABEL_WIDTH, 65);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_MAX_VALUE, 4095);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_PADDING, 3);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MDL_MASKP_MASK_TYPE);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_WIDTH, 45);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_LABEL_TOP, 325);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_LABEL_LEFT, 49);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MDL_MASKP_MASK_TYPE, "", VAL_DS_READ, NULL, NULL);

    // Build control: MDL_MASKP_MASK0
    MDL_MASKP_MASK0 = NewCtrl (hPanel, CTRL_NUMERIC, "0", 299, 149);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_CONSTANT_NAME, "MASK0");
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MDL_MASKP_MASK0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_WIDTH, 69);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_LABEL_TOP, 285);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_LABEL_LEFT, 180);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MDL_MASKP_MASK0, "", VAL_DS_READ, NULL, NULL);

    // Build control: MDL_MASKP_MODULE_NUM
    MDL_MASKP_MODULE_NUM = NewCtrl (hPanel, CTRL_NUMERIC, "Module", 98, 150);
    SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_CONSTANT_NAME, "MODULE_NUM");
//  SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_LABEL_WIDTH, 44);
    SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_MAX_VALUE, 254);
    SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_CHECK_RANGE, VAL_COERCE);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MDL_MASKP_MODULE_NUM);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_WIDTH, 45);
    SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_LABEL_TOP, 100);
    SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_LABEL_LEFT, 103);
    SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MDL_MASKP_MODULE_NUM, "", VAL_DS_READ, NULL, NULL);

    // Build control: MDL_MASKP_SLV2
    MDL_MASKP_SLV2 = NewCtrl (hPanel, CTRL_ROUND_TEXT_BUTTON, "", 55, 176);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_CONSTANT_NAME, "SLV2");
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MDL_MASKP_SLV2);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_ON_COLOR, 0X00FF99);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_ON_TEXT, "2");
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_OFF_TEXT, "2");
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_HEIGHT, 25);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_WIDTH, 25);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_LABEL_TOP, 34);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_LABEL_LEFT, 154);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MDL_MASKP_SLV1
    MDL_MASKP_SLV1 = NewCtrl (hPanel, CTRL_ROUND_TEXT_BUTTON, "", 55, 151);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_CONSTANT_NAME, "SLV1");
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MDL_MASKP_SLV1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_ON_COLOR, 0X00FF99);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_ON_TEXT, "1");
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_OFF_TEXT, "1");
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_HEIGHT, 25);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_WIDTH, 25);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_LABEL_TOP, 34);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_LABEL_LEFT, 129);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MDL_MASKP_SLV0
    MDL_MASKP_SLV0 = NewCtrl (hPanel, CTRL_ROUND_TEXT_BUTTON, "", 55, 126);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_CONSTANT_NAME, "SLV0");
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MDL_MASKP_SLV0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_ON_COLOR, 0X00FF99);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_ON_TEXT, "0");
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_OFF_TEXT, "0");
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_HEIGHT, 25);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_WIDTH, 25);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_LABEL_TOP, 34);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_LABEL_LEFT, 104);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MDL_MASKP_TEXTMSG_4
    MDL_MASKP_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 135);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, MDL_MASKP_TEXTMSG_4);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MDL_MASKP_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: MDL_MASKP_DECORATION
    MDL_MASKP_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, MDL_MASKP_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, MDL_MASKP_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, MDL_MASKP_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, MDL_MASKP_DECORATION, ATTR_HEIGHT, 455);
    SetCtrlAttribute (hPanel, MDL_MASKP_DECORATION, ATTR_WIDTH, 342);

    // Build control: MDL_MASKP_TEXTMSG_14
    MDL_MASKP_TEXTMSG_14 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 60, 83);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_14, ATTR_CONSTANT_NAME, "TEXTMSG_14");
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_14, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_14, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_14, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_14, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_14, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_14, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_14, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_14, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_14, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_14, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_14, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_14, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_14, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_14, ATTR_DFLT_VALUE, "Slave#");
    DefaultCtrl (hPanel, MDL_MASKP_TEXTMSG_14);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_14, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_14, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_14, ATTR_WIDTH, 43);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_14, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_14, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MDL_MASKP_TEXTMSG_14, "", VAL_DS_READ, NULL, NULL);

    // Build control: MDL_MASKP_TEXTMSG
    MDL_MASKP_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 231, 56);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG, ATTR_DFLT_VALUE, "Data Line");
    DefaultCtrl (hPanel, MDL_MASKP_TEXTMSG);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG, ATTR_WIDTH, 58);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MDL_MASKP_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: MDL_MASKP_TEXTMSG_2
    MDL_MASKP_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 302, 80);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_2, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_2, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_2, ATTR_DFLT_VALUE, "Mask");
    DefaultCtrl (hPanel, MDL_MASKP_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_2, ATTR_WIDTH, 33);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MDL_MASKP_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: MDL_MASKP_TEXTMSG_3
    MDL_MASKP_TEXTMSG_3 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 356, 117);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_3, ATTR_CONSTANT_NAME, "TEXTMSG_3");
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_3, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_3, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_3, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_3, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_3, ATTR_DFLT_VALUE, "MASKED 0x1 \nPLAY       0x3 \nSKIP        0x7 \nD1P1       0xf ");
    DefaultCtrl (hPanel, MDL_MASKP_TEXTMSG_3);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_3, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_3, ATTR_HEIGHT, 54);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_3, ATTR_WIDTH, 71);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_3, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_3, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MDL_MASKP_TEXTMSG_3, "", VAL_DS_READ, NULL, NULL);

    // Build control: MDL_MASKP_TEXTMSG_5
    MDL_MASKP_TEXTMSG_5 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 341, 118);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_5, ATTR_CONSTANT_NAME, "TEXTMSG_5");
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_5, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_5, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_5, ATTR_TEXT_ITALIC, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_5, ATTR_TEXT_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_5, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_5, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_5, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_5, ATTR_DFLT_VALUE, "Data Link:");
    DefaultCtrl (hPanel, MDL_MASKP_TEXTMSG_5);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_5, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_5, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_5, ATTR_WIDTH, 52);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_5, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_5, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MDL_MASKP_TEXTMSG_5, "", VAL_DS_READ, NULL, NULL);

    // Build control: MDL_MASKP_TEXTMSG_15
    MDL_MASKP_TEXTMSG_15 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 341, 193);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_15, ATTR_CONSTANT_NAME, "TEXTMSG_15");
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_15, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_15, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_15, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_15, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_15, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_15, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_15, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_15, ATTR_TEXT_ITALIC, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_15, ATTR_TEXT_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_15, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_15, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_15, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_15, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_15, ATTR_DFLT_VALUE, "Cmd Link:");
    DefaultCtrl (hPanel, MDL_MASKP_TEXTMSG_15);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_15, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_15, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_15, ATTR_WIDTH, 50);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_15, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_15, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MDL_MASKP_TEXTMSG_15, "", VAL_DS_READ, NULL, NULL);

    // Build control: MDL_MASKP_TEXTMSG_16
    MDL_MASKP_TEXTMSG_16 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 342, 261);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_16, ATTR_CONSTANT_NAME, "TEXTMSG_16");
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_16, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_16, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_16, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_16, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_16, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_16, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_16, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_16, ATTR_TEXT_ITALIC, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_16, ATTR_TEXT_UNDERLINE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_16, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_16, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_16, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_16, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_16, ATTR_DFLT_VALUE, "Link Cfg:");
    DefaultCtrl (hPanel, MDL_MASKP_TEXTMSG_16);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_16, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_16, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_16, ATTR_WIDTH, 45);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_16, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_16, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MDL_MASKP_TEXTMSG_16, "", VAL_DS_READ, NULL, NULL);

    // Build control: MDL_MASKP_TEXTMSG_17
    MDL_MASKP_TEXTMSG_17 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 356, 194);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_17, ATTR_CONSTANT_NAME, "TEXTMSG_17");
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_17, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_17, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_17, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_17, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_17, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_17, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_17, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_17, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_17, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_17, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_17, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_17, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_17, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_17, ATTR_DFLT_VALUE, "OFF  0x40 \nON   0x60 ");
    DefaultCtrl (hPanel, MDL_MASKP_TEXTMSG_17);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_17, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_17, ATTR_HEIGHT, 28);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_17, ATTR_WIDTH, 55);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_17, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_17, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MDL_MASKP_TEXTMSG_17, "", VAL_DS_READ, NULL, NULL);

    // Build control: MDL_MASKP_TEXTMSG_18
    MDL_MASKP_TEXTMSG_18 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 356, 260);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_18, ATTR_CONSTANT_NAME, "TEXTMSG_18");
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_18, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_18, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_18, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_18, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_18, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_18, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_18, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_18, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_18, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_18, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_18, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_18, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_18, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_18, ATTR_DFLT_VALUE, "OFF  0x100\nON   0x300");
    DefaultCtrl (hPanel, MDL_MASKP_TEXTMSG_18);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_18, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_18, ATTR_HEIGHT, 28);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_18, ATTR_WIDTH, 58);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_18, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_18, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MDL_MASKP_TEXTMSG_18, "", VAL_DS_READ, NULL, NULL);

    // Build control: MDL_MASKP_TEXTMSG_20
    MDL_MASKP_TEXTMSG_20 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 423, 122);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_20, ATTR_CONSTANT_NAME, "TEXTMSG_20");
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_20, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_20, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_20, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_20, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_20, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_20, ATTR_TEXT_COLOR, VAL_RED);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_20, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_20, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_20, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_20, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_20, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_20, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_20, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_20, ATTR_DFLT_VALUE, "RINGS FILLED IN fillPrimParams.c");
    DefaultCtrl (hPanel, MDL_MASKP_TEXTMSG_20);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_20, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_20, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_20, ATTR_WIDTH, 166);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_20, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_20, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MDL_MASKP_TEXTMSG_20, "", VAL_DS_READ, NULL, NULL);

    // Build control: MDL_MASKP_TEXTMSG_21
    MDL_MASKP_TEXTMSG_21 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 443, 122);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_21, ATTR_CONSTANT_NAME, "TEXTMSG_21");
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_21, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_21, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_21, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_21, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_21, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_21, ATTR_TEXT_COLOR, VAL_RED);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_21, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_21, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_21, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_21, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_21, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_21, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_21, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_21, ATTR_DFLT_VALUE, "RINGS FILLED IN fillPrimParams.c");
    DefaultCtrl (hPanel, MDL_MASKP_TEXTMSG_21);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_21, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_21, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_21, ATTR_WIDTH, 166);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_21, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_21, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MDL_MASKP_TEXTMSG_21, "", VAL_DS_READ, NULL, NULL);

    // Build control: MDL_MASKP_TEXTMSG_22
    MDL_MASKP_TEXTMSG_22 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 100, 201);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_22, ATTR_CONSTANT_NAME, "TEXTMSG_22");
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_22, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_22, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_22, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_22, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_22, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_22, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_22, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_22, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_22, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_22, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_22, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_22, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_22, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_22, ATTR_DFLT_VALUE, "ALL_MODULES= 254");
    DefaultCtrl (hPanel, MDL_MASKP_TEXTMSG_22);
//  SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_22, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_22, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_22, ATTR_WIDTH, 108);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_22, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_22, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MDL_MASKP_TEXTMSG_22, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_22, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_21, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_20, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_18, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_17, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_16, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_15, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_5, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_3, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_ZPLANE_POSITION, 14);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_2, ATTR_ZPLANE_POSITION, 15);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_ZPLANE_POSITION, 16);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_ZPLANE_POSITION, 17);
    SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_ZPLANE_POSITION, 18);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG, ATTR_ZPLANE_POSITION, 19);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_ZPLANE_POSITION, 20);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_ZPLANE_POSITION, 21);
    SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_ZPLANE_POSITION, 22);
    SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_ZPLANE_POSITION, 23);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_14, ATTR_ZPLANE_POSITION, 24);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_ZPLANE_POSITION, 25);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_ZPLANE_POSITION, 26);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_ZPLANE_POSITION, 27);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_ZPLANE_POSITION, 28);
    SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_ZPLANE_POSITION, 29);
    SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_ZPLANE_POSITION, 30);
    SetCtrlAttribute (hPanel, MDL_MASKP_TEXTMSG_4, ATTR_ZPLANE_POSITION, 31);
    SetCtrlAttribute (hPanel, MDL_MASKP_DECORATION, ATTR_ZPLANE_POSITION, 32);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_SET, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, MDL_MASKP_STORAGE, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, MDL_MASKP_PORT, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, MDL_MASKP_USE_SET, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, MDL_MASKP_CFG, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, MDL_MASKP_PASS, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV3, ATTR_CTRL_TAB_POSITION, 6);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE3, ATTR_CTRL_TAB_POSITION, 7);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE2, ATTR_CTRL_TAB_POSITION, 8);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE1, ATTR_CTRL_TAB_POSITION, 9);
    SetCtrlAttribute (hPanel, MDL_MASKP_DATA_LINE0, ATTR_CTRL_TAB_POSITION, 10);
    SetCtrlAttribute (hPanel, MDL_MASKP_CMD_LINE, ATTR_CTRL_TAB_POSITION, 11);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK1, ATTR_CTRL_TAB_POSITION, 12);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK_TYPE, ATTR_CTRL_TAB_POSITION, 13);
    SetCtrlAttribute (hPanel, MDL_MASKP_MASK0, ATTR_CTRL_TAB_POSITION, 14);
    SetCtrlAttribute (hPanel, MDL_MASKP_MODULE_NUM, ATTR_CTRL_TAB_POSITION, 15);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV2, ATTR_CTRL_TAB_POSITION, 16);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV1, ATTR_CTRL_TAB_POSITION, 17);
    SetCtrlAttribute (hPanel, MDL_MASKP_SLV0, ATTR_CTRL_TAB_POSITION, 18);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(21*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(21*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_memoryTest ():  Build UI object MEM_TEST; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_memoryTest (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "MemoryTest", 51, 35, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "MEM_TEST");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: MEM_TEST_ERRORS
    MEM_TEST_ERRORS = NewCtrl (hPanel, CTRL_NUMERIC, "ErrorsBeforeFail", 195, 43);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_CONSTANT_NAME, "ERRORS");
//  SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_LABEL_WIDTH, 93);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MEM_TEST_ERRORS);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_LABEL_TOP, 181);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_LABEL_LEFT, 35);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MEM_TEST_ERRORS, "", VAL_DS_READ, NULL, NULL);

    // Build control: MEM_TEST_SIZE
    MEM_TEST_SIZE = NewCtrl (hPanel, CTRL_NUMERIC, "Size", 111, 43);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_CONSTANT_NAME, "SIZE");
//  SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_LABEL_WIDTH, 27);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MEM_TEST_SIZE);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_LABEL_TOP, 97);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_LABEL_LEFT, 68);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MEM_TEST_SIZE, "", VAL_DS_READ, NULL, NULL);

    // Build control: MEM_TEST_NREADS
    MEM_TEST_NREADS = NewCtrl (hPanel, CTRL_NUMERIC, "nReads", 148, 43);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_CONSTANT_NAME, "NREADS");
//  SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_LABEL_WIDTH, 46);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_MIN_VALUE, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_DFLT_VALUE, 1);
    DefaultCtrl (hPanel, MEM_TEST_NREADS);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_LABEL_TOP, 134);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_LABEL_LEFT, 58);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MEM_TEST_NREADS, "", VAL_DS_READ, NULL, NULL);

    // Build control: MEM_TEST_START_ADDR
    MEM_TEST_START_ADDR = NewCtrl (hPanel, CTRL_NUMERIC, "StartAddr", 77, 43);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_CONSTANT_NAME, "START_ADDR");
//  SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_CALLBACK_FUNCTION_POINTER, wordBoundary);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_LABEL_WIDTH, 56);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MEM_TEST_START_ADDR);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_LABEL_TOP, 63);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_LABEL_LEFT, 53);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, MEM_TEST_START_ADDR, "", VAL_DS_READ, NULL, NULL);

    // Build control: MEM_TEST_DMAFLAG
    MEM_TEST_DMAFLAG = NewCtrl (hPanel, CTRL_CHECK_BOX, "DMA (float 0,1)", 222, 170);
    SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_CONSTANT_NAME, "DMAFLAG");
//  SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_LABEL_WIDTH, 74);
    SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MEM_TEST_DMAFLAG);
    SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_LABEL_TOP, 222);
    SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_LABEL_LEFT, 185);
    SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MEM_TEST_CONTINUE
    MEM_TEST_CONTINUE = NewCtrl (hPanel, CTRL_CHECK_BOX, "ContinueOnError", 222, 44);
    SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_CONSTANT_NAME, "CONTINUE");
//  SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_CTRL_MODE, VAL_NORMAL);
    SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_LABEL_COLOR, 0X000033);
//  SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_LABEL_WIDTH, 81);
    SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, MEM_TEST_CONTINUE);
    SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_LABEL_TOP, 222);
    SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_LABEL_LEFT, 59);
    SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: MEM_TEST_REPETITIONS
    MEM_TEST_REPETITIONS = NewCtrl (hPanel, CTRL_TABLE, "Repetitions(hex)", 76, 159);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_CONSTANT_NAME, "REPETITIONS");
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_LABEL_TEXT, "Repetitions(hex)");
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_LABEL_WIDTH, 95);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_MAX_VALUE, HUGE_VAL);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_MIN_VALUE, -HUGE_VAL);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_INCR_VALUE, 1.000000);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_PRECISION, 2);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_WRAP_MODE, VAL_LINE_WRAP);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_ENTER_IS_NEWLINE, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_NO_EDIT_TEXT, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_UPPER_LEFT_CORNER_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_TABLE_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_ROW_LABELS_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_TABLE_MODE, VAL_COLUMN);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_ROW_LABELS_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_ROW_LABELS_WIDTH, 22);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_ENABLE_ROW_SIZING, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_COLUMN_LABELS_VISIBLE, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_COLUMN_LABELS_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_COLUMN_LABELS_HEIGHT, 25);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_ENABLE_COLUMN_SIZING, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_ENABLE_POPUP_MENU, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_CELL_TYPE, VAL_CELL_STRING);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_CELL_DIMMED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_CELL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_STR_CELL_DFLT_VALUE, "");
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_HEIGHT, 120);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_WIDTH, 92);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_LABEL_TOP, 62);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_LABEL_LEFT, 159);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    InsertTableRows (hPanel, MEM_TEST_REPETITIONS, -1, 6, VAL_USE_MASTER_CELL_TYPE);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_LABEL_TEXT, "Test");
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 3, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 4, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 5, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, MEM_TEST_REPETITIONS, 6, ATTR_VERTICAL_GRID_VISIBLE, 1);
    InsertTableColumns (hPanel, MEM_TEST_REPETITIONS, -1, 1, VAL_USE_MASTER_CELL_TYPE);
//  SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_LABEL_TEXT, "Test");
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_LABEL_BOLD, 0);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_LABEL_VISIBLE, 0);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_PADDING, 8);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_SHOW_INCDEC_ARROWS, 1);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_USE_LABEL_TEXT, 0);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_COLUMN_WIDTH, 65);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, MEM_TEST_REPETITIONS, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_SHOW_INCDEC_ARROWS, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_NUM_CELL_DFLT_VALUE, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), bitmapId);
        SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_SHOW_INCDEC_ARROWS, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_NUM_CELL_DFLT_VALUE, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), bitmapId);
        SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_SHOW_INCDEC_ARROWS, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_NUM_CELL_DFLT_VALUE, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), bitmapId);
        SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_SHOW_INCDEC_ARROWS, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_NUM_CELL_DFLT_VALUE, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), bitmapId);
        SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_SHOW_INCDEC_ARROWS, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_NUM_CELL_DFLT_VALUE, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), bitmapId);
        SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_SHOW_INCDEC_ARROWS, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_NUM_CELL_DFLT_VALUE, 1);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), bitmapId);
        SetTableCellAttribute (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    DefaultCtrl (hPanel, MEM_TEST_REPETITIONS);
    SetActiveTableCell (hPanel, MEM_TEST_REPETITIONS, MakePoint (1, 1));
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_VSCROLL_OFFSET, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_HSCROLL_OFFSET, 0);
//  DSBindTableCellRange (hPanel, MEM_TEST_REPETITIONS, MakeRect(0, 0, 0, 0), "", VAL_DS_READ, NULL, NULL);

    // Build control: MEM_TEST_DECORATION
    MEM_TEST_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, MEM_TEST_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, MEM_TEST_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, MEM_TEST_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, MEM_TEST_DECORATION, ATTR_HEIGHT, 241);
    SetCtrlAttribute (hPanel, MEM_TEST_DECORATION, ATTR_WIDTH, 342);

    // Build control: MEM_TEST_DECORATION_2
    MEM_TEST_DECORATION_2 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 288, 4);
    SetCtrlAttribute (hPanel, MEM_TEST_DECORATION_2, ATTR_CONSTANT_NAME, "DECORATION_2");
//  SetCtrlAttribute (hPanel, MEM_TEST_DECORATION_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_DECORATION_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_DECORATION_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_DECORATION_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_DECORATION_2, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, MEM_TEST_DECORATION_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, MEM_TEST_DECORATION_2, ATTR_HEIGHT, 100);
    SetCtrlAttribute (hPanel, MEM_TEST_DECORATION_2, ATTR_WIDTH, 342);

    // Build control: MEM_TEST_TEXTMSG
    MEM_TEST_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 283, 131);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG, ATTR_DFLT_VALUE, "OUTPUT DATA");
    DefaultCtrl (hPanel, MEM_TEST_TEXTMSG);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG, ATTR_WIDTH, 91);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MEM_TEST_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: MEM_TEST_TEXTMSG_4
    MEM_TEST_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 131);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, MEM_TEST_TEXTMSG_4);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MEM_TEST_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: MEM_TEST_TEXTMSG_6
    MEM_TEST_TEXTMSG_6 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 338, 37);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_6, ATTR_CONSTANT_NAME, "TEXTMSG_6");
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_6, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_6, ATTR_TEXT_COLOR, 0X0000CC);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_6, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_6, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_6, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_6, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_6, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_6, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_6, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_6, ATTR_DFLT_VALUE, "ReturnCode in ROD Status Window and in Info/XferBuffer.");
    DefaultCtrl (hPanel, MEM_TEST_TEXTMSG_6);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_6, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_6, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_6, ATTR_WIDTH, 281);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_6, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_6, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MEM_TEST_TEXTMSG_6, "", VAL_DS_READ, NULL, NULL);

    // Build control: MEM_TEST_TEXTMSG_2
    MEM_TEST_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 113, 115);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_2, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_2, ATTR_DFLT_VALUE, "words");
    DefaultCtrl (hPanel, MEM_TEST_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_2, ATTR_WIDTH, 31);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MEM_TEST_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: MEM_TEST_TEXTMSG_3
    MEM_TEST_TEXTMSG_3 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 81, 255);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_3, ATTR_CONSTANT_NAME, "TEXTMSG_3");
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_3, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_3, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_3, ATTR_DFLT_VALUE, "Address test");
    DefaultCtrl (hPanel, MEM_TEST_TEXTMSG_3);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_3, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_3, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_3, ATTR_WIDTH, 61);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_3, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_3, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MEM_TEST_TEXTMSG_3, "", VAL_DS_READ, NULL, NULL);

    // Build control: MEM_TEST_TEXTMSG_7
    MEM_TEST_TEXTMSG_7 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 101, 254);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_7, ATTR_CONSTANT_NAME, "TEXTMSG_7");
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_7, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_7, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_7, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_7, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_7, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_7, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_7, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_7, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_7, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_7, ATTR_DFLT_VALUE, "Checkerboard 1");
    DefaultCtrl (hPanel, MEM_TEST_TEXTMSG_7);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_7, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_7, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_7, ATTR_WIDTH, 79);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_7, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_7, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MEM_TEST_TEXTMSG_7, "", VAL_DS_READ, NULL, NULL);

    // Build control: MEM_TEST_TEXTMSG_8
    MEM_TEST_TEXTMSG_8 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 120, 254);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_8, ATTR_CONSTANT_NAME, "TEXTMSG_8");
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_8, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_8, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_8, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_8, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_8, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_8, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_8, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_8, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_8, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_8, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_8, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_8, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_8, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_8, ATTR_DFLT_VALUE, "Checkerboard 2");
    DefaultCtrl (hPanel, MEM_TEST_TEXTMSG_8);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_8, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_8, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_8, ATTR_WIDTH, 79);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_8, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_8, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MEM_TEST_TEXTMSG_8, "", VAL_DS_READ, NULL, NULL);

    // Build control: MEM_TEST_TEXTMSG_9
    MEM_TEST_TEXTMSG_9 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 139, 254);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_9, ATTR_CONSTANT_NAME, "TEXTMSG_9");
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_9, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_9, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_9, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_9, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_9, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_9, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_9, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_9, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_9, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_9, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_9, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_9, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_9, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_9, ATTR_DFLT_VALUE, "Floating 0");
    DefaultCtrl (hPanel, MEM_TEST_TEXTMSG_9);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_9, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_9, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_9, ATTR_WIDTH, 49);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_9, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_9, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MEM_TEST_TEXTMSG_9, "", VAL_DS_READ, NULL, NULL);

    // Build control: MEM_TEST_TEXTMSG_10
    MEM_TEST_TEXTMSG_10 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 158, 254);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_10, ATTR_CONSTANT_NAME, "TEXTMSG_10");
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_10, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_10, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_10, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_10, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_10, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_10, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_10, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_10, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_10, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_10, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_10, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_10, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_10, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_10, ATTR_DFLT_VALUE, "Floating 1");
    DefaultCtrl (hPanel, MEM_TEST_TEXTMSG_10);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_10, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_10, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_10, ATTR_WIDTH, 49);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_10, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_10, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MEM_TEST_TEXTMSG_10, "", VAL_DS_READ, NULL, NULL);

    // Build control: MEM_TEST_TEXTMSG_11
    MEM_TEST_TEXTMSG_11 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 178, 254);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_11, ATTR_CONSTANT_NAME, "TEXTMSG_11");
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_11, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_11, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_11, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_11, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_11, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_11, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_11, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_11, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_11, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_11, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_11, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_11, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_11, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_11, ATTR_DFLT_VALUE, "Random");
    DefaultCtrl (hPanel, MEM_TEST_TEXTMSG_11);
//  SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_11, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_11, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_11, ATTR_WIDTH, 43);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_11, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_11, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, MEM_TEST_TEXTMSG_11, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_11, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_10, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_9, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_8, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_7, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_3, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_2, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_6, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_ZPLANE_POSITION, 14);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG_4, ATTR_ZPLANE_POSITION, 15);
    SetCtrlAttribute (hPanel, MEM_TEST_TEXTMSG, ATTR_ZPLANE_POSITION, 16);
    SetCtrlAttribute (hPanel, MEM_TEST_DECORATION_2, ATTR_ZPLANE_POSITION, 17);
    SetCtrlAttribute (hPanel, MEM_TEST_DECORATION, ATTR_ZPLANE_POSITION, 18);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, MEM_TEST_ERRORS, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, MEM_TEST_SIZE, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, MEM_TEST_NREADS, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, MEM_TEST_START_ADDR, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, MEM_TEST_DMAFLAG, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, MEM_TEST_CONTINUE, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, MEM_TEST_REPETITIONS, ATTR_CTRL_TAB_POSITION, 6);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(51*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(35*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_echo ():  Build UI object PANEL_ECHO; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_echo (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "Echo", 21, 5, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "PANEL_ECHO");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: PANEL_ECHO_INP_FILE
    PANEL_ECHO_INP_FILE = NewCtrl (hPanel, CTRL_STRING, "INPUT FILE", 197, 9);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_CONSTANT_NAME, "INP_FILE");
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_CALLBACK_FUNCTION_POINTER, echoParams);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_LABEL_WIDTH, 61);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, PANEL_ECHO_INP_FILE);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_MAX_ENTRY_LENGTH, 99);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_WIDTH, 330);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_LABEL_TOP, 183);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_LABEL_LEFT, 11);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, PANEL_ECHO_INP_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_ECHO_INPUT_OPTION
    PANEL_ECHO_INPUT_OPTION = NewCtrl (hPanel, CTRL_VSWITCH, "", 98, 59);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_CONSTANT_NAME, "INPUT_OPTION");
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_CALLBACK_FUNCTION_POINTER, echoParams);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_DATA_TYPE, VAL_INTEGER);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_LABEL_BGCOLOR, 0XB0B0B0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_DFLT_INDEX, 1);
    DefaultCtrl (hPanel, PANEL_ECHO_INPUT_OPTION);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_ON_VALUE, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_OFF_VALUE, 1);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_BINARY_SWITCH_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_ON_TEXT, "TEST PATTERN");
    SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_OFF_TEXT, "FROM FILE");
    SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_HEIGHT, 30);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_LABEL_TOP, 78);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_LABEL_LEFT, 54);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: PANEL_ECHO_TEST_PATTERN
    PANEL_ECHO_TEST_PATTERN = NewCtrl (hPanel, CTRL_NUMERIC, "Data", 101, 207);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_CONSTANT_NAME, "TEST_PATTERN");
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_LABEL_WIDTH, 30);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_ECHO_TEST_PATTERN);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_WIDTH, 69);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_LABEL_TOP, 87);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_LABEL_LEFT, 227);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_ECHO_TEST_PATTERN, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_ECHO_TEST_DATA_LENGTH
    PANEL_ECHO_TEST_DATA_LENGTH = NewCtrl (hPanel, CTRL_NUMERIC, "DataLength", 165, 199);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_CONSTANT_NAME, "TEST_DATA_LENGTH");
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_CALLBACK_FUNCTION_POINTER, echoParams);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_LABEL_WIDTH, 69);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_MAX_VALUE, 524288);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, PANEL_ECHO_TEST_DATA_LENGTH);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_WIDTH, 79);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_LABEL_TOP, 151);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_LABEL_LEFT, 205);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_ECHO_DECORATION
    PANEL_ECHO_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, PANEL_ECHO_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, PANEL_ECHO_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, PANEL_ECHO_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, PANEL_ECHO_DECORATION, ATTR_HEIGHT, 215);
    SetCtrlAttribute (hPanel, PANEL_ECHO_DECORATION, ATTR_WIDTH, 342);

    // Build control: PANEL_ECHO_TEXTMSG_4
    PANEL_ECHO_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 135);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, PANEL_ECHO_TEXTMSG_4);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_ECHO_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_ECHO_TEXTMSG_2
    PANEL_ECHO_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 168, 278);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_2, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_2, ATTR_DFLT_VALUE, "W");
    DefaultCtrl (hPanel, PANEL_ECHO_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_2, ATTR_WIDTH, 14);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_ECHO_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: PANEL_ECHO_TEXTMSG_6
    PANEL_ECHO_TEXTMSG_6 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 220, 51);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_6, ATTR_CONSTANT_NAME, "TEXTMSG_6");
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_6, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_6, ATTR_TEXT_COLOR, 0X000066);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_6, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_6, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_6, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_6, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_6, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_6, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_6, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_6, ATTR_DFLT_VALUE, "Always writes the whole file! (Length is not constant)");
    DefaultCtrl (hPanel, PANEL_ECHO_TEXTMSG_6);
//  SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_6, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_6, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_6, ATTR_WIDTH, 248);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_6, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_6, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PANEL_ECHO_TEXTMSG_6, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_6, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_4, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEXTMSG_2, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, PANEL_ECHO_DECORATION, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_ZPLANE_POSITION, 7);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, PANEL_ECHO_INP_FILE, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, PANEL_ECHO_INPUT_OPTION, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_PATTERN, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, PANEL_ECHO_TEST_DATA_LENGTH, ATTR_CTRL_TAB_POSITION, 3);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(21*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(5*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_pauseList ():  Build UI object PAUSE_L; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_pauseList (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "PauseList", 31, 15, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "PAUSE_L");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: PAUSE_L_DECORATION_2
    PAUSE_L_DECORATION_2 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 218, 4);
    SetCtrlAttribute (hPanel, PAUSE_L_DECORATION_2, ATTR_CONSTANT_NAME, "DECORATION_2");
//  SetCtrlAttribute (hPanel, PAUSE_L_DECORATION_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PAUSE_L_DECORATION_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PAUSE_L_DECORATION_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAUSE_L_DECORATION_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAUSE_L_DECORATION_2, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, PAUSE_L_DECORATION_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, PAUSE_L_DECORATION_2, ATTR_HEIGHT, 82);
    SetCtrlAttribute (hPanel, PAUSE_L_DECORATION_2, ATTR_WIDTH, 342);

    // Build control: PAUSE_L_TEXTMSG
    PAUSE_L_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 213, 131);
    SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG, ATTR_DFLT_VALUE, "OUTPUT DATA");
    DefaultCtrl (hPanel, PAUSE_L_TEXTMSG);
    SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG, ATTR_WIDTH, 91);
    SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PAUSE_L_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: PAUSE_L_TEXTMSG_3
    PAUSE_L_TEXTMSG_3 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 252, 100);
    SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG_3, ATTR_CONSTANT_NAME, "TEXTMSG_3");
//  SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG_3, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG_3, ATTR_TEXT_COLOR, 0X0000CC);
//  SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG_3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG_3, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG_3, ATTR_DFLT_VALUE, "(RODStatusReg - SR_PAUSE)");
    DefaultCtrl (hPanel, PAUSE_L_TEXTMSG_3);
//  SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG_3, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG_3, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG_3, ATTR_WIDTH, 149);
    SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG_3, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG_3, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, PAUSE_L_TEXTMSG_3, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG_3, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, PAUSE_L_TEXTMSG, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, PAUSE_L_DECORATION_2, ATTR_ZPLANE_POSITION, 2);

    // Set up TAB order if necessary

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(31*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(15*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_pollRegField ():  Build UI object POLL_FIELD; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_pollRegField (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "PollRegField", 11, 600, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "POLL_FIELD");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: POLL_FIELD_TIMEOUT
    POLL_FIELD_TIMEOUT = NewCtrl (hPanel, CTRL_NUMERIC, "Timeout[Sec]", 395, 44);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_CONSTANT_NAME, "TIMEOUT");
//  SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_LABEL_WIDTH, 85);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_DFLT_VALUE, 1048576);
    DefaultCtrl (hPanel, POLL_FIELD_TIMEOUT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_LABEL_TOP, 380);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_LABEL_LEFT, 39);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, POLL_FIELD_TIMEOUT, "", VAL_DS_READ, NULL, NULL);

    // Build control: POLL_FIELD_DESIRED_VALUE
    POLL_FIELD_DESIRED_VALUE = NewCtrl (hPanel, CTRL_NUMERIC, "DesiredValue", 332, 228);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_CONSTANT_NAME, "DESIRED_VALUE");
//  SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_LABEL_WIDTH, 78);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_TEXT_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_DESIRED_VALUE);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_WIDTH, 85);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_LABEL_TOP, 337);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_LABEL_LEFT, 152);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, POLL_FIELD_DESIRED_VALUE, "", VAL_DS_READ, NULL, NULL);

    // Build control: POLL_FIELD_OBJECT_ID
    POLL_FIELD_OBJECT_ID = NewCtrl (hPanel, CTRL_NUMERIC, "RegID", 27, 293);
    SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_CONSTANT_NAME, "OBJECT_ID");
//  SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_LABEL_WIDTH, 34);
    SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_OBJECT_ID);
    SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_WIDTH, 46);
    SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_LABEL_TOP, 13);
    SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_LABEL_LEFT, 300);
    SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, POLL_FIELD_OBJECT_ID, "", VAL_DS_READ, NULL, NULL);

    // Build control: POLL_FIELD_WIDTH
    POLL_FIELD_WIDTH = NewCtrl (hPanel, CTRL_NUMERIC, "Width", 352, 70);
    SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_CONSTANT_NAME, "WIDTH");
//  SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_LABEL_WIDTH, 36);
    SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_MAX_VALUE, 32);
    SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_CHECK_RANGE, VAL_COERCE);
//  SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_WIDTH);
//  SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_WIDTH, 45);
    SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_LABEL_TOP, 355);
    SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_LABEL_LEFT, 33);
    SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, POLL_FIELD_WIDTH, "", VAL_DS_READ, NULL, NULL);

    // Build control: POLL_FIELD_OFFSET
    POLL_FIELD_OFFSET = NewCtrl (hPanel, CTRL_NUMERIC, "Offset", 332, 70);
    SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_CONSTANT_NAME, "OFFSET");
//  SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_LABEL_WIDTH, 37);
    SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_MAX_VALUE, 31);
    SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_CHECK_RANGE, VAL_COERCE);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_OFFSET);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_WIDTH, 45);
    SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_LABEL_TOP, 336);
    SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_LABEL_LEFT, 31);
    SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, POLL_FIELD_OFFSET, "", VAL_DS_READ, NULL, NULL);

    // Build control: POLL_FIELD_BIT_31
    POLL_FIELD_BIT_31 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 356, 154);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_CONSTANT_NAME, "BIT_31");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_31);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_ON_TEXT, "31");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_OFF_TEXT, "31");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_LABEL_TOP, 335);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_LABEL_LEFT, 137);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_30
    POLL_FIELD_BIT_30 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 356, 175);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_CONSTANT_NAME, "BIT_30");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_30);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_ON_TEXT, "30");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_OFF_TEXT, "30");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_LABEL_TOP, 335);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_LABEL_LEFT, 158);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BASE_ID
    POLL_FIELD_BASE_ID = NewCtrl (hPanel, CTRL_RING, "Base ID", 47, 10);
    SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_CONSTANT_NAME, "BASE_ID");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_DATA_TYPE, VAL_INTEGER);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_LABEL_WIDTH, 48);
    SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_WIDTH, 330);
    SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_LABEL_TOP, 30);
    SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_LABEL_LEFT, 99);
    SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: POLL_FIELD_Z
    POLL_FIELD_Z = NewCtrl (hPanel, CTRL_NUMERIC, "z", 27, 248);
    SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_CONSTANT_NAME, "Z");
//  SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_LABEL_WIDTH, 8);
    SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_CHECK_RANGE, VAL_COERCE);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_Z);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_WIDTH, 39);
    SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_LABEL_TOP, 13);
    SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_LABEL_LEFT, 268);
    SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, POLL_FIELD_Z, "", VAL_DS_READ, NULL, NULL);

    // Build control: POLL_FIELD_Y
    POLL_FIELD_Y = NewCtrl (hPanel, CTRL_NUMERIC, "y", 27, 208);
    SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_CONSTANT_NAME, "Y");
//  SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_LABEL_WIDTH, 8);
    SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_CHECK_RANGE, VAL_COERCE);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_Y);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_WIDTH, 39);
    SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_LABEL_TOP, 13);
    SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_LABEL_LEFT, 228);
    SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, POLL_FIELD_Y, "", VAL_DS_READ, NULL, NULL);

    // Build control: POLL_FIELD_X
    POLL_FIELD_X = NewCtrl (hPanel, CTRL_NUMERIC, "x", 27, 168);
    SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_CONSTANT_NAME, "X");
//  SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_LABEL_WIDTH, 8);
    SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_CHECK_RANGE, VAL_COERCE);
//  SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_X);
//  SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_WIDTH, 39);
    SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_LABEL_TOP, 15);
    SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_LABEL_LEFT, 188);
    SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, POLL_FIELD_X, "", VAL_DS_READ, NULL, NULL);

    // Build control: POLL_FIELD_BIT_29
    POLL_FIELD_BIT_29 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 356, 196);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_CONSTANT_NAME, "BIT_29");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_29);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_ON_TEXT, "29");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_OFF_TEXT, "29");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_LABEL_TOP, 335);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_LABEL_LEFT, 179);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_28
    POLL_FIELD_BIT_28 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 356, 217);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_CONSTANT_NAME, "BIT_28");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_28);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_ON_TEXT, "28");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_OFF_TEXT, "28");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_LABEL_TOP, 335);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_LABEL_LEFT, 200);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_27
    POLL_FIELD_BIT_27 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 356, 238);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_CONSTANT_NAME, "BIT_27");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_27);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_ON_TEXT, "27");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_OFF_TEXT, "27");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_LABEL_TOP, 335);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_LABEL_LEFT, 221);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_26
    POLL_FIELD_BIT_26 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 356, 259);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_CONSTANT_NAME, "BIT_26");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_26);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_ON_TEXT, "26");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_OFF_TEXT, "26");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_LABEL_TOP, 335);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_LABEL_LEFT, 242);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_24
    POLL_FIELD_BIT_24 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 356, 301);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_CONSTANT_NAME, "BIT_24");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_24);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_ON_TEXT, "24");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_OFF_TEXT, "24");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_LABEL_TOP, 335);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_LABEL_LEFT, 284);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_25
    POLL_FIELD_BIT_25 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 356, 280);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_CONSTANT_NAME, "BIT_25");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_25);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_ON_TEXT, "25");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_OFF_TEXT, "25");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_LABEL_TOP, 335);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_LABEL_LEFT, 263);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_23
    POLL_FIELD_BIT_23 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 378, 154);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_CONSTANT_NAME, "BIT_23");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_23);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_ON_TEXT, "23");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_OFF_TEXT, "23");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_LABEL_TOP, 357);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_LABEL_LEFT, 137);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_22
    POLL_FIELD_BIT_22 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 378, 175);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_CONSTANT_NAME, "BIT_22");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_22);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_ON_TEXT, "22");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_OFF_TEXT, "22");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_LABEL_TOP, 357);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_LABEL_LEFT, 158);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_21
    POLL_FIELD_BIT_21 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 378, 196);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_CONSTANT_NAME, "BIT_21");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_21);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_ON_TEXT, "21");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_OFF_TEXT, "21");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_LABEL_TOP, 357);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_LABEL_LEFT, 179);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_20
    POLL_FIELD_BIT_20 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 378, 217);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_CONSTANT_NAME, "BIT_20");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_20);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_ON_TEXT, "20");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_OFF_TEXT, "20");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_LABEL_TOP, 357);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_LABEL_LEFT, 200);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_19
    POLL_FIELD_BIT_19 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 378, 238);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_CONSTANT_NAME, "BIT_19");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_19);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_ON_TEXT, "19");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_OFF_TEXT, "19");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_LABEL_TOP, 357);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_LABEL_LEFT, 221);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_18
    POLL_FIELD_BIT_18 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 378, 259);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_CONSTANT_NAME, "BIT_18");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_18);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_ON_TEXT, "18");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_OFF_TEXT, "18");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_LABEL_TOP, 357);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_LABEL_LEFT, 242);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_16
    POLL_FIELD_BIT_16 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 378, 301);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_CONSTANT_NAME, "BIT_16");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_16);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_ON_TEXT, "16");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_OFF_TEXT, "16");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_LABEL_TOP, 357);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_LABEL_LEFT, 284);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_17
    POLL_FIELD_BIT_17 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 378, 280);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_CONSTANT_NAME, "BIT_17");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_17);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_ON_TEXT, "17");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_OFF_TEXT, "17");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_LABEL_TOP, 357);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_LABEL_LEFT, 263);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_15
    POLL_FIELD_BIT_15 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 400, 154);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_CONSTANT_NAME, "BIT_15");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_ON_TEXT, "15");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_OFF_TEXT, "15");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_LABEL_TOP, 379);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_LABEL_LEFT, 137);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_14
    POLL_FIELD_BIT_14 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 400, 175);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_CONSTANT_NAME, "BIT_14");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_14);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_ON_TEXT, "14");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_OFF_TEXT, "14");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_LABEL_TOP, 379);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_LABEL_LEFT, 158);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_13
    POLL_FIELD_BIT_13 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 400, 196);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_CONSTANT_NAME, "BIT_13");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_13);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_ON_TEXT, "13");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_OFF_TEXT, "13");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_LABEL_TOP, 379);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_LABEL_LEFT, 179);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_12
    POLL_FIELD_BIT_12 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 400, 217);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_CONSTANT_NAME, "BIT_12");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_12);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_ON_TEXT, "12");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_OFF_TEXT, "12");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_LABEL_TOP, 379);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_LABEL_LEFT, 200);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_11
    POLL_FIELD_BIT_11 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 400, 238);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_CONSTANT_NAME, "BIT_11");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_ON_TEXT, "11");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_OFF_TEXT, "11");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_LABEL_TOP, 379);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_LABEL_LEFT, 221);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_10
    POLL_FIELD_BIT_10 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 400, 259);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_CONSTANT_NAME, "BIT_10");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_10);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_ON_TEXT, "10");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_OFF_TEXT, "10");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_LABEL_TOP, 379);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_LABEL_LEFT, 242);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_8
    POLL_FIELD_BIT_8 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 400, 301);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_CONSTANT_NAME, "BIT_8");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_8);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_ON_TEXT, "8");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_OFF_TEXT, "8");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_LABEL_TOP, 379);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_LABEL_LEFT, 284);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_9
    POLL_FIELD_BIT_9 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 400, 280);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_CONSTANT_NAME, "BIT_9");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_ON_TEXT, "9");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_OFF_TEXT, "9");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_LABEL_TOP, 379);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_LABEL_LEFT, 263);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_7
    POLL_FIELD_BIT_7 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 422, 154);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_CONSTANT_NAME, "BIT_7");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_7);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_ON_TEXT, "7");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_OFF_TEXT, "7");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_LABEL_TOP, 401);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_LABEL_LEFT, 137);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_6
    POLL_FIELD_BIT_6 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 422, 175);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_CONSTANT_NAME, "BIT_6");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_6);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_ON_TEXT, "6");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_OFF_TEXT, "6");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_LABEL_TOP, 401);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_LABEL_LEFT, 158);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_5
    POLL_FIELD_BIT_5 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 422, 196);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_CONSTANT_NAME, "BIT_5");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_5);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_ON_TEXT, "5");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_OFF_TEXT, "5");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_LABEL_TOP, 401);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_LABEL_LEFT, 179);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_4
    POLL_FIELD_BIT_4 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 422, 217);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_CONSTANT_NAME, "BIT_4");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_ON_TEXT, "4");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_OFF_TEXT, "4");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_LABEL_TOP, 401);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_LABEL_LEFT, 200);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_3
    POLL_FIELD_BIT_3 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 422, 238);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_CONSTANT_NAME, "BIT_3");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_3);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_ON_TEXT, "3");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_OFF_TEXT, "3");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_LABEL_TOP, 401);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_LABEL_LEFT, 221);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_2
    POLL_FIELD_BIT_2 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 422, 259);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_CONSTANT_NAME, "BIT_2");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_2);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_ON_TEXT, "2");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_OFF_TEXT, "2");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_LABEL_TOP, 401);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_LABEL_LEFT, 242);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_0
    POLL_FIELD_BIT_0 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 422, 301);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_CONSTANT_NAME, "BIT_0");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_ON_TEXT, "0");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_OFF_TEXT, "0");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_LABEL_TOP, 401);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_LABEL_LEFT, 284);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_BIT_1
    POLL_FIELD_BIT_1 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 422, 280);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_CONSTANT_NAME, "BIT_1");
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_CALLBACK_FUNCTION_POINTER, pollRegFieldParams);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, POLL_FIELD_BIT_1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_ON_TEXT, "1");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_OFF_TEXT, "1");
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_LABEL_TOP, 401);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_LABEL_LEFT, 263);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: POLL_FIELD_REG_BOX
    POLL_FIELD_REG_BOX = NewCtrl (hPanel, CTRL_TEXT_BOX, "", 68, 10);
    SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_CONSTANT_NAME, "REG_BOX");
//  SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_SCROLL_BARS, VAL_BOTH_SCROLL_BARS);
    SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS);
    SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_TEXT_FONT, "Courier New");
//  SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_TEXT_POINT_SIZE, 12);
//  SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, POLL_FIELD_REG_BOX);
//  SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_WRAP_MODE, VAL_LINE_WRAP);
//  SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_ENTER_IS_NEWLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_FIRST_VISIBLE_LINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_EXTRA_LINES, -1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_HEIGHT, 262);
    SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_WIDTH, 330);
    SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_LABEL_TOP, 47);
    SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_LABEL_LEFT, 10);
    SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, POLL_FIELD_REG_BOX, "", VAL_DS_READ, NULL, NULL);

    // Build control: POLL_FIELD_DECORATION_2
    POLL_FIELD_DECORATION_2 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 463, 4);
    SetCtrlAttribute (hPanel, POLL_FIELD_DECORATION_2, ATTR_CONSTANT_NAME, "DECORATION_2");
//  SetCtrlAttribute (hPanel, POLL_FIELD_DECORATION_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_DECORATION_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_DECORATION_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_DECORATION_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_DECORATION_2, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, POLL_FIELD_DECORATION_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, POLL_FIELD_DECORATION_2, ATTR_HEIGHT, 80);
    SetCtrlAttribute (hPanel, POLL_FIELD_DECORATION_2, ATTR_WIDTH, 342);

    // Build control: POLL_FIELD_TEXTMSG_4
    POLL_FIELD_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 4, 135);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, POLL_FIELD_TEXTMSG_4);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, POLL_FIELD_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: POLL_FIELD_TEXTMSG
    POLL_FIELD_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 458, 131);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG, ATTR_DFLT_VALUE, "OUTPUT DATA");
    DefaultCtrl (hPanel, POLL_FIELD_TEXTMSG);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG, ATTR_WIDTH, 91);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, POLL_FIELD_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: POLL_FIELD_TEXTMSG_7
    POLL_FIELD_TEXTMSG_7 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 483, 92);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_7, ATTR_CONSTANT_NAME, "TEXTMSG_7");
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_7, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_7, ATTR_TEXT_COLOR, 0X0000CC);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_7, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_7, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_7, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_7, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_7, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_7, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_7, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_7, ATTR_DFLT_VALUE, "Last reply  in ROD Status Window.");
    DefaultCtrl (hPanel, POLL_FIELD_TEXTMSG_7);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_7, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_7, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_7, ATTR_WIDTH, 167);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_7, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_7, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, POLL_FIELD_TEXTMSG_7, "", VAL_DS_READ, NULL, NULL);

    // Build control: POLL_FIELD_DECORATION
    POLL_FIELD_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 10, 4);
    SetCtrlAttribute (hPanel, POLL_FIELD_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, POLL_FIELD_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, POLL_FIELD_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, POLL_FIELD_DECORATION, ATTR_HEIGHT, 440);
    SetCtrlAttribute (hPanel, POLL_FIELD_DECORATION, ATTR_WIDTH, 342);

    // Build control: POLL_FIELD_TEXTMSG_8
    POLL_FIELD_TEXTMSG_8 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 334, 116);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_8, ATTR_CONSTANT_NAME, "TEXTMSG_8");
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_8, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_8, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_8, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_8, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_8, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_8, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_8, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_8, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_8, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_8, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_8, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_8, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_8, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_8, ATTR_DFLT_VALUE, "bits");
    DefaultCtrl (hPanel, POLL_FIELD_TEXTMSG_8);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_8, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_8, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_8, ATTR_WIDTH, 19);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_8, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_8, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, POLL_FIELD_TEXTMSG_8, "", VAL_DS_READ, NULL, NULL);

    // Build control: POLL_FIELD_TEXTMSG_2
    POLL_FIELD_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 355, 117);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_2, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_2, ATTR_DFLT_VALUE, "bits");
    DefaultCtrl (hPanel, POLL_FIELD_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_2, ATTR_WIDTH, 19);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, POLL_FIELD_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: POLL_FIELD_TEXTMSG_3
    POLL_FIELD_TEXTMSG_3 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 48, 103);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_3, ATTR_CONSTANT_NAME, "TEXTMSG_3");
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_3, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_3, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_3, ATTR_TEXT_COLOR, VAL_RED);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_3, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_3, ATTR_DFLT_VALUE, "RING FILLED IN fillPrimParams.c");
    DefaultCtrl (hPanel, POLL_FIELD_TEXTMSG_3);
//  SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_3, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_3, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_3, ATTR_WIDTH, 159);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_3, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_3, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, POLL_FIELD_TEXTMSG_3, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_3, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_ZPLANE_POSITION, 14);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_ZPLANE_POSITION, 15);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_ZPLANE_POSITION, 16);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_ZPLANE_POSITION, 17);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_ZPLANE_POSITION, 18);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_ZPLANE_POSITION, 19);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_ZPLANE_POSITION, 20);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_ZPLANE_POSITION, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_ZPLANE_POSITION, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_ZPLANE_POSITION, 23);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_ZPLANE_POSITION, 24);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_ZPLANE_POSITION, 25);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_ZPLANE_POSITION, 26);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_ZPLANE_POSITION, 27);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_ZPLANE_POSITION, 28);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_ZPLANE_POSITION, 29);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_ZPLANE_POSITION, 30);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_ZPLANE_POSITION, 31);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_ZPLANE_POSITION, 32);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_ZPLANE_POSITION, 33);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_ZPLANE_POSITION, 34);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_ZPLANE_POSITION, 35);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_ZPLANE_POSITION, 36);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_ZPLANE_POSITION, 37);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_ZPLANE_POSITION, 38);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_ZPLANE_POSITION, 39);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_8, ATTR_ZPLANE_POSITION, 40);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_7, ATTR_ZPLANE_POSITION, 41);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_2, ATTR_ZPLANE_POSITION, 42);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_ZPLANE_POSITION, 43);
    SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_ZPLANE_POSITION, 44);
    SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_ZPLANE_POSITION, 45);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG_4, ATTR_ZPLANE_POSITION, 46);
    SetCtrlAttribute (hPanel, POLL_FIELD_TEXTMSG, ATTR_ZPLANE_POSITION, 47);
    SetCtrlAttribute (hPanel, POLL_FIELD_DECORATION_2, ATTR_ZPLANE_POSITION, 48);
    SetCtrlAttribute (hPanel, POLL_FIELD_DECORATION, ATTR_ZPLANE_POSITION, 49);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, POLL_FIELD_TIMEOUT, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, POLL_FIELD_DESIRED_VALUE, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, POLL_FIELD_OBJECT_ID, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, POLL_FIELD_WIDTH, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, POLL_FIELD_OFFSET, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_31, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_30, ATTR_CTRL_TAB_POSITION, 6);
    SetCtrlAttribute (hPanel, POLL_FIELD_BASE_ID, ATTR_CTRL_TAB_POSITION, 7);
    SetCtrlAttribute (hPanel, POLL_FIELD_Z, ATTR_CTRL_TAB_POSITION, 8);
    SetCtrlAttribute (hPanel, POLL_FIELD_Y, ATTR_CTRL_TAB_POSITION, 9);
    SetCtrlAttribute (hPanel, POLL_FIELD_X, ATTR_CTRL_TAB_POSITION, 10);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_29, ATTR_CTRL_TAB_POSITION, 11);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_28, ATTR_CTRL_TAB_POSITION, 12);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_27, ATTR_CTRL_TAB_POSITION, 13);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_26, ATTR_CTRL_TAB_POSITION, 14);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_24, ATTR_CTRL_TAB_POSITION, 15);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_25, ATTR_CTRL_TAB_POSITION, 16);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_23, ATTR_CTRL_TAB_POSITION, 17);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_22, ATTR_CTRL_TAB_POSITION, 18);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_21, ATTR_CTRL_TAB_POSITION, 19);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_20, ATTR_CTRL_TAB_POSITION, 20);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_19, ATTR_CTRL_TAB_POSITION, 21);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_18, ATTR_CTRL_TAB_POSITION, 22);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_16, ATTR_CTRL_TAB_POSITION, 23);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_17, ATTR_CTRL_TAB_POSITION, 24);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_15, ATTR_CTRL_TAB_POSITION, 25);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_14, ATTR_CTRL_TAB_POSITION, 26);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_13, ATTR_CTRL_TAB_POSITION, 27);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_12, ATTR_CTRL_TAB_POSITION, 28);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_11, ATTR_CTRL_TAB_POSITION, 29);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_10, ATTR_CTRL_TAB_POSITION, 30);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_8, ATTR_CTRL_TAB_POSITION, 31);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_9, ATTR_CTRL_TAB_POSITION, 32);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_7, ATTR_CTRL_TAB_POSITION, 33);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_6, ATTR_CTRL_TAB_POSITION, 34);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_5, ATTR_CTRL_TAB_POSITION, 35);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_4, ATTR_CTRL_TAB_POSITION, 36);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_3, ATTR_CTRL_TAB_POSITION, 37);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_2, ATTR_CTRL_TAB_POSITION, 38);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_0, ATTR_CTRL_TAB_POSITION, 39);
    SetCtrlAttribute (hPanel, POLL_FIELD_BIT_1, ATTR_CTRL_TAB_POSITION, 40);
    SetCtrlAttribute (hPanel, POLL_FIELD_REG_BOX, ATTR_CTRL_TAB_POSITION, 41);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(11*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(600*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_rwBocData ():  Build UI object RW_BOCD; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_rwBocData (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "RWBocData", 21, 21, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "RW_BOCD");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: RW_BOCD_OUT_FILE
    RW_BOCD_OUT_FILE = NewCtrl (hPanel, CTRL_STRING, "OUTPUT CONFIG FILE", 351, 9);
    SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_CONSTANT_NAME, "OUT_FILE");
//  SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_LABEL_WIDTH, 116);
    SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_DFLT_VALUE, "BOCConfigData.out");
    DefaultCtrl (hPanel, RW_BOCD_OUT_FILE);
    SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_MAX_ENTRY_LENGTH, 99);
//  SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_WIDTH, 330);
    SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_LABEL_TOP, 337);
    SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_LABEL_LEFT, 12);
    SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, RW_BOCD_OUT_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_BOCD_DATA_LEN
    RW_BOCD_DATA_LEN = NewCtrl (hPanel, CTRL_NUMERIC, "DataLength", 201, 249);
    SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_CONSTANT_NAME, "DATA_LEN");
//  SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_LABEL_WIDTH, 59);
    SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_BOCD_DATA_LEN);
    SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_LABEL_TOP, 185);
    SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_LABEL_LEFT, 258);
    SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_BOCD_DATA_LEN, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_BOCD_INP_FILE
    RW_BOCD_INP_FILE = NewCtrl (hPanel, CTRL_STRING, "INPUT CONFIG FILE", 223, 9);
    SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_CONSTANT_NAME, "INP_FILE");
//  SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_CALLBACK_FUNCTION_POINTER, RWBoc);
    SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_LABEL_WIDTH, 104);
    SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, RW_BOCD_INP_FILE);
    SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_MAX_ENTRY_LENGTH, 99);
//  SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_WIDTH, 330);
    SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_LABEL_TOP, 209);
    SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_LABEL_LEFT, 12);
    SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, RW_BOCD_INP_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_BOCD_READ_NOT_WRITE
    RW_BOCD_READ_NOT_WRITE = NewCtrl (hPanel, CTRL_VSWITCH, "", 74, 166);
    SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_CONSTANT_NAME, "READ_NOT_WRITE");
//  SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_CALLBACK_FUNCTION_POINTER, RWBoc);
    SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_DATA_TYPE, VAL_INTEGER);
//  SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_LABEL_BGCOLOR, 0XB0B0B0);
//  SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_DFLT_INDEX, 1);
    DefaultCtrl (hPanel, RW_BOCD_READ_NOT_WRITE);
    SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_ON_VALUE, 1);
    SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_OFF_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_BINARY_SWITCH_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_ON_TEXT, "READ");
    SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_OFF_TEXT, "WRITE");
    SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_HEIGHT, 30);
    SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_LABEL_TOP, 54);
    SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_LABEL_LEFT, 161);
    SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_BOCD_SEND
    RW_BOCD_SEND = NewCtrl (hPanel, CTRL_CHECK_BOX, "Send to BOC", 138, 137);
    SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_CONSTANT_NAME, "SEND");
//  SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_LABEL_WIDTH, 76);
    SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_BOCD_SEND);
    SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_HEIGHT, 18);
    SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_WIDTH, 18);
    SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_LABEL_TOP, 139);
    SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_LABEL_LEFT, 156);
    SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_BOCD_DECORATION
    RW_BOCD_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, RW_BOCD_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, RW_BOCD_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_BOCD_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, RW_BOCD_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RW_BOCD_DECORATION, ATTR_HEIGHT, 260);
    SetCtrlAttribute (hPanel, RW_BOCD_DECORATION, ATTR_WIDTH, 342);

    // Build control: RW_BOCD_DECORATION_2
    RW_BOCD_DECORATION_2 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 308, 4);
    SetCtrlAttribute (hPanel, RW_BOCD_DECORATION_2, ATTR_CONSTANT_NAME, "DECORATION_2");
//  SetCtrlAttribute (hPanel, RW_BOCD_DECORATION_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_BOCD_DECORATION_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_DECORATION_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_DECORATION_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_DECORATION_2, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, RW_BOCD_DECORATION_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RW_BOCD_DECORATION_2, ATTR_HEIGHT, 82);
    SetCtrlAttribute (hPanel, RW_BOCD_DECORATION_2, ATTR_WIDTH, 342);

    // Build control: RW_BOCD_TEXTMSG
    RW_BOCD_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 303, 131);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG, ATTR_DFLT_VALUE, "OUTPUT DATA");
    DefaultCtrl (hPanel, RW_BOCD_TEXTMSG);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG, ATTR_WIDTH, 91);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_BOCD_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_BOCD_TEXTMSG_4
    RW_BOCD_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 135);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, RW_BOCD_TEXTMSG_4);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_BOCD_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_BOCD_TEXTMSG_2
    RW_BOCD_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 203, 322);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_2, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_2, ATTR_DFLT_VALUE, "W");
    DefaultCtrl (hPanel, RW_BOCD_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_2, ATTR_WIDTH, 14);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_BOCD_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_BOCD_TEXTMSG_6
    RW_BOCD_TEXTMSG_6 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 248, 54);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_6, ATTR_CONSTANT_NAME, "TEXTMSG_6");
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_6, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_6, ATTR_TEXT_COLOR, 0X000066);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_6, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_6, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_6, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_6, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_6, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_6, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_6, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_6, ATTR_DFLT_VALUE, "Always writes the whole file! (Length is not constant)");
    DefaultCtrl (hPanel, RW_BOCD_TEXTMSG_6);
//  SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_6, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_6, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_6, ATTR_WIDTH, 248);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_6, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_6, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_BOCD_TEXTMSG_6, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_6, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_2, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG_4, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, RW_BOCD_TEXTMSG, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, RW_BOCD_DECORATION_2, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, RW_BOCD_DECORATION, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_ZPLANE_POSITION, 10);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, RW_BOCD_OUT_FILE, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, RW_BOCD_DATA_LEN, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, RW_BOCD_INP_FILE, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, RW_BOCD_READ_NOT_WRITE, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, RW_BOCD_SEND, ATTR_CTRL_TAB_POSITION, 4);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(21*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(21*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_rwRegField ():  Build UI object RW_FIELDP; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_rwRegField (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "RWRegField", 11, 250, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "RW_FIELDP");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: RW_FIELDP_OUT_FILE
    RW_FIELDP_OUT_FILE = NewCtrl (hPanel, CTRL_STRING, "", 517, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_CONSTANT_NAME, "OUT_FILE");
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, RW_FIELDP_OUT_FILE);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_MAX_ENTRY_LENGTH, 99);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_WIDTH, 330);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_LABEL_TOP, 503);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_LABEL_LEFT, 44);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, RW_FIELDP_OUT_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIELDP_DATA_IN
    RW_FIELDP_DATA_IN = NewCtrl (hPanel, CTRL_NUMERIC, "Data In", 332, 204);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_CONSTANT_NAME, "DATA_IN");
//  SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_LABEL_WIDTH, 45);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_TEXT_POINT_SIZE, 13);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_DATA_IN);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_WIDTH, 85);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_LABEL_TOP, 336);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_LABEL_LEFT, 156);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIELDP_DATA_IN, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIELDP_OBJECT_ID
    RW_FIELDP_OBJECT_ID = NewCtrl (hPanel, CTRL_NUMERIC, "RegID", 27, 293);
    SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_CONSTANT_NAME, "OBJECT_ID");
//  SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_LABEL_WIDTH, 34);
    SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_OBJECT_ID);
    SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_WIDTH, 46);
    SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_LABEL_TOP, 13);
    SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_LABEL_LEFT, 300);
    SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIELDP_OBJECT_ID, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIELDP_WIDTH
    RW_FIELDP_WIDTH = NewCtrl (hPanel, CTRL_NUMERIC, "Width", 352, 64);
    SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_CONSTANT_NAME, "WIDTH");
//  SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_LABEL_WIDTH, 36);
    SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_MAX_VALUE, 32);
    SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_CHECK_RANGE, VAL_COERCE);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_WIDTH);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_WIDTH, 45);
    SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_LABEL_TOP, 355);
    SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_LABEL_LEFT, 27);
    SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIELDP_WIDTH, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIELDP_OFFSET
    RW_FIELDP_OFFSET = NewCtrl (hPanel, CTRL_NUMERIC, "Offset", 332, 64);
    SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_CONSTANT_NAME, "OFFSET");
//  SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_LABEL_WIDTH, 37);
    SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_MAX_VALUE, 31);
    SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_CHECK_RANGE, VAL_COERCE);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_OFFSET);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_WIDTH, 45);
    SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_LABEL_TOP, 336);
    SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_LABEL_LEFT, 25);
    SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIELDP_OFFSET, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIELDP_OUTPUT_OPT
    RW_FIELDP_OUTPUT_OPT = NewCtrl (hPanel, CTRL_CHECK_BOX, "SAVE OUTPUT DATA TO FILE?", 495, 103);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_CONSTANT_NAME, "OUTPUT_OPT");
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_LABEL_WIDTH, 160);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_OUTPUT_OPT);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_HEIGHT, 16);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_WIDTH, 16);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_LABEL_TOP, 496);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_LABEL_LEFT, 120);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_READ_WRITE
    RW_FIELDP_READ_WRITE = NewCtrl (hPanel, CTRL_VSWITCH, "", 388, 67);
    SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_CONSTANT_NAME, "READ_WRITE");
//  SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_DATA_TYPE, VAL_INTEGER);
//  SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_LABEL_BGCOLOR, 0XB0B0B0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_DFLT_INDEX, 1);
    DefaultCtrl (hPanel, RW_FIELDP_READ_WRITE);
    SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_ON_VALUE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_OFF_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_BINARY_SWITCH_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_ON_TEXT, "READ");
    SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_OFF_TEXT, "WRITE");
    SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_HEIGHT, 30);
    SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_LABEL_TOP, 368);
    SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_LABEL_LEFT, 62);
    SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BASE_ID
    RW_FIELDP_BASE_ID = NewCtrl (hPanel, CTRL_RING, "Base ID", 47, 10);
    SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_CONSTANT_NAME, "BASE_ID");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_DATA_TYPE, VAL_INTEGER);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_LABEL_WIDTH, 48);
    SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_WIDTH, 330);
    SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_LABEL_TOP, 30);
    SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_LABEL_LEFT, 99);
    SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: RW_FIELDP_Z
    RW_FIELDP_Z = NewCtrl (hPanel, CTRL_NUMERIC, "z", 27, 248);
    SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_CONSTANT_NAME, "Z");
//  SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_LABEL_WIDTH, 8);
    SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_CHECK_RANGE, VAL_COERCE);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_Z);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_WIDTH, 39);
    SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_LABEL_TOP, 13);
    SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_LABEL_LEFT, 268);
    SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIELDP_Z, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIELDP_Y
    RW_FIELDP_Y = NewCtrl (hPanel, CTRL_NUMERIC, "y", 27, 208);
    SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_CONSTANT_NAME, "Y");
//  SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_LABEL_WIDTH, 8);
    SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_CHECK_RANGE, VAL_COERCE);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_Y);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_WIDTH, 39);
    SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_LABEL_TOP, 13);
    SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_LABEL_LEFT, 228);
    SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIELDP_Y, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIELDP_X
    RW_FIELDP_X = NewCtrl (hPanel, CTRL_NUMERIC, "x", 27, 168);
    SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_CONSTANT_NAME, "X");
//  SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_LABEL_WIDTH, 8);
    SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_CHECK_RANGE, VAL_COERCE);
//  SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_SHOW_RADIX, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_X);
//  SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_WIDTH, 39);
    SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_LABEL_TOP, 15);
    SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_LABEL_LEFT, 188);
    SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIELDP_X, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIELDP_WRITE_OR_APPEND
    RW_FIELDP_WRITE_OR_APPEND = NewCtrl (hPanel, CTRL_VSWITCH, "", 484, 24);
    SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_CONSTANT_NAME, "WRITE_OR_APPEND");
//  SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_DATA_TYPE, VAL_INTEGER);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_DFLT_INDEX, 1);
    DefaultCtrl (hPanel, RW_FIELDP_WRITE_OR_APPEND);
    SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_ON_VALUE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_OFF_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_BINARY_SWITCH_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_ON_TEXT, "Append");
    SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_OFF_TEXT, "Write");
    SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_HEIGHT, 30);
    SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_LABEL_TOP, 463);
    SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_LABEL_LEFT, 4);
    SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_31
    RW_FIELDP_BIT_31 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 357, 154);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_CONSTANT_NAME, "BIT_31");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_31);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_ON_TEXT, "31");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_OFF_TEXT, "31");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_LABEL_TOP, 336);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_LABEL_LEFT, 137);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_30
    RW_FIELDP_BIT_30 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 357, 175);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_CONSTANT_NAME, "BIT_30");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_30);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_ON_TEXT, "30");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_OFF_TEXT, "30");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_LABEL_TOP, 336);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_LABEL_LEFT, 158);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_29
    RW_FIELDP_BIT_29 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 357, 196);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_CONSTANT_NAME, "BIT_29");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_29);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_ON_TEXT, "29");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_OFF_TEXT, "29");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_LABEL_TOP, 336);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_LABEL_LEFT, 179);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_28
    RW_FIELDP_BIT_28 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 357, 217);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_CONSTANT_NAME, "BIT_28");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_28);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_ON_TEXT, "28");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_OFF_TEXT, "28");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_LABEL_TOP, 336);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_LABEL_LEFT, 200);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_27
    RW_FIELDP_BIT_27 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 357, 238);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_CONSTANT_NAME, "BIT_27");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_27);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_ON_TEXT, "27");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_OFF_TEXT, "27");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_LABEL_TOP, 336);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_LABEL_LEFT, 221);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_26
    RW_FIELDP_BIT_26 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 357, 259);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_CONSTANT_NAME, "BIT_26");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_26);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_ON_TEXT, "26");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_OFF_TEXT, "26");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_LABEL_TOP, 336);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_LABEL_LEFT, 242);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_24
    RW_FIELDP_BIT_24 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 357, 301);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_CONSTANT_NAME, "BIT_24");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_24);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_ON_TEXT, "24");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_OFF_TEXT, "24");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_LABEL_TOP, 336);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_LABEL_LEFT, 284);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_25
    RW_FIELDP_BIT_25 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 357, 280);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_CONSTANT_NAME, "BIT_25");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_25);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_ON_TEXT, "25");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_OFF_TEXT, "25");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_LABEL_TOP, 336);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_LABEL_LEFT, 263);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_23
    RW_FIELDP_BIT_23 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 379, 154);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_CONSTANT_NAME, "BIT_23");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_23);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_ON_TEXT, "23");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_OFF_TEXT, "23");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_LABEL_TOP, 358);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_LABEL_LEFT, 137);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_22
    RW_FIELDP_BIT_22 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 379, 175);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_CONSTANT_NAME, "BIT_22");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_22);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_ON_TEXT, "22");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_OFF_TEXT, "22");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_LABEL_TOP, 358);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_LABEL_LEFT, 158);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_21
    RW_FIELDP_BIT_21 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 379, 196);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_CONSTANT_NAME, "BIT_21");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_21);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_ON_TEXT, "21");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_OFF_TEXT, "21");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_LABEL_TOP, 358);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_LABEL_LEFT, 179);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_20
    RW_FIELDP_BIT_20 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 379, 217);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_CONSTANT_NAME, "BIT_20");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_20);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_ON_TEXT, "20");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_OFF_TEXT, "20");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_LABEL_TOP, 358);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_LABEL_LEFT, 200);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_19
    RW_FIELDP_BIT_19 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 379, 238);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_CONSTANT_NAME, "BIT_19");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_19);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_ON_TEXT, "19");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_OFF_TEXT, "19");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_LABEL_TOP, 358);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_LABEL_LEFT, 221);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_18
    RW_FIELDP_BIT_18 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 379, 259);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_CONSTANT_NAME, "BIT_18");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_18);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_ON_TEXT, "18");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_OFF_TEXT, "18");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_LABEL_TOP, 358);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_LABEL_LEFT, 242);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_16
    RW_FIELDP_BIT_16 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 379, 301);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_CONSTANT_NAME, "BIT_16");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_16);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_ON_TEXT, "16");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_OFF_TEXT, "16");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_LABEL_TOP, 358);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_LABEL_LEFT, 284);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_17
    RW_FIELDP_BIT_17 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 379, 280);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_CONSTANT_NAME, "BIT_17");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_17);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_ON_TEXT, "17");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_OFF_TEXT, "17");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_LABEL_TOP, 358);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_LABEL_LEFT, 263);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_15
    RW_FIELDP_BIT_15 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 401, 154);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_CONSTANT_NAME, "BIT_15");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_ON_TEXT, "15");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_OFF_TEXT, "15");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_LABEL_TOP, 380);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_LABEL_LEFT, 137);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_14
    RW_FIELDP_BIT_14 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 401, 175);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_CONSTANT_NAME, "BIT_14");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_14);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_ON_TEXT, "14");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_OFF_TEXT, "14");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_LABEL_TOP, 380);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_LABEL_LEFT, 158);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_13
    RW_FIELDP_BIT_13 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 401, 196);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_CONSTANT_NAME, "BIT_13");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_13);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_ON_TEXT, "13");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_OFF_TEXT, "13");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_LABEL_TOP, 380);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_LABEL_LEFT, 179);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_12
    RW_FIELDP_BIT_12 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 401, 217);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_CONSTANT_NAME, "BIT_12");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_12);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_ON_TEXT, "12");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_OFF_TEXT, "12");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_LABEL_TOP, 380);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_LABEL_LEFT, 200);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_11
    RW_FIELDP_BIT_11 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 401, 238);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_CONSTANT_NAME, "BIT_11");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_ON_TEXT, "11");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_OFF_TEXT, "11");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_LABEL_TOP, 380);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_LABEL_LEFT, 221);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_10
    RW_FIELDP_BIT_10 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 401, 259);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_CONSTANT_NAME, "BIT_10");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_10);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_ON_TEXT, "10");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_OFF_TEXT, "10");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_LABEL_TOP, 380);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_LABEL_LEFT, 242);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_8
    RW_FIELDP_BIT_8 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 401, 301);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_CONSTANT_NAME, "BIT_8");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_8);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_ON_TEXT, "8");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_OFF_TEXT, "8");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_LABEL_TOP, 380);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_LABEL_LEFT, 284);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_9
    RW_FIELDP_BIT_9 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 401, 280);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_CONSTANT_NAME, "BIT_9");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_ON_TEXT, "9");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_OFF_TEXT, "9");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_LABEL_TOP, 380);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_LABEL_LEFT, 263);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_7
    RW_FIELDP_BIT_7 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 423, 154);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_CONSTANT_NAME, "BIT_7");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_7);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_ON_TEXT, "7");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_OFF_TEXT, "7");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_LABEL_TOP, 402);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_LABEL_LEFT, 137);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_6
    RW_FIELDP_BIT_6 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 423, 175);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_CONSTANT_NAME, "BIT_6");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_6);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_ON_TEXT, "6");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_OFF_TEXT, "6");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_LABEL_TOP, 402);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_LABEL_LEFT, 158);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_5
    RW_FIELDP_BIT_5 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 423, 196);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_CONSTANT_NAME, "BIT_5");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_5);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_ON_TEXT, "5");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_OFF_TEXT, "5");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_LABEL_TOP, 402);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_LABEL_LEFT, 179);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_4
    RW_FIELDP_BIT_4 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 423, 217);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_CONSTANT_NAME, "BIT_4");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_ON_TEXT, "4");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_OFF_TEXT, "4");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_LABEL_TOP, 402);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_LABEL_LEFT, 200);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_3
    RW_FIELDP_BIT_3 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 423, 238);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_CONSTANT_NAME, "BIT_3");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_3);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_ON_TEXT, "3");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_OFF_TEXT, "3");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_LABEL_TOP, 402);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_LABEL_LEFT, 221);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_2
    RW_FIELDP_BIT_2 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 423, 259);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_CONSTANT_NAME, "BIT_2");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_2);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_ON_TEXT, "2");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_OFF_TEXT, "2");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_LABEL_TOP, 402);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_LABEL_LEFT, 242);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_0
    RW_FIELDP_BIT_0 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 423, 301);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_CONSTANT_NAME, "BIT_0");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_ON_TEXT, "0");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_OFF_TEXT, "0");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_LABEL_TOP, 402);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_LABEL_LEFT, 284);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_BIT_1
    RW_FIELDP_BIT_1 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 423, 280);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_CONSTANT_NAME, "BIT_1");
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_CALLBACK_FUNCTION_POINTER, RWFieldParams);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIELDP_BIT_1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_ON_COLOR, 0X7BCEEA);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_ON_TEXT, "1");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_OFF_TEXT, "1");
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_HEIGHT, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_LABEL_TOP, 402);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_LABEL_LEFT, 263);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIELDP_REG_BOX
    RW_FIELDP_REG_BOX = NewCtrl (hPanel, CTRL_TEXT_BOX, "", 68, 10);
    SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_CONSTANT_NAME, "REG_BOX");
//  SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_SCROLL_BARS, VAL_BOTH_SCROLL_BARS);
    SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS);
    SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_TEXT_FONT, "Courier New");
//  SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_TEXT_POINT_SIZE, 12);
//  SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, RW_FIELDP_REG_BOX);
//  SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_WRAP_MODE, VAL_LINE_WRAP);
//  SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_ENTER_IS_NEWLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_FIRST_VISIBLE_LINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_EXTRA_LINES, -1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_HEIGHT, 262);
    SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_WIDTH, 330);
    SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_LABEL_TOP, 47);
    SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_LABEL_LEFT, 10);
    SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, RW_FIELDP_REG_BOX, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIELDP_DECORATION_2
    RW_FIELDP_DECORATION_2 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 463, 4);
    SetCtrlAttribute (hPanel, RW_FIELDP_DECORATION_2, ATTR_CONSTANT_NAME, "DECORATION_2");
//  SetCtrlAttribute (hPanel, RW_FIELDP_DECORATION_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_DECORATION_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_DECORATION_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_DECORATION_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_DECORATION_2, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, RW_FIELDP_DECORATION_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RW_FIELDP_DECORATION_2, ATTR_HEIGHT, 80);
    SetCtrlAttribute (hPanel, RW_FIELDP_DECORATION_2, ATTR_WIDTH, 342);

    // Build control: RW_FIELDP_TEXTMSG
    RW_FIELDP_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 458, 131);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG, ATTR_DFLT_VALUE, "OUTPUT DATA");
    DefaultCtrl (hPanel, RW_FIELDP_TEXTMSG);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG, ATTR_WIDTH, 91);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIELDP_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIELDP_TEXTMSG_7
    RW_FIELDP_TEXTMSG_7 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 476, 92);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_7, ATTR_CONSTANT_NAME, "TEXTMSG_7");
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_7, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_7, ATTR_TEXT_COLOR, 0X0000CC);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_7, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_7, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_7, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_7, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_7, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_7, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_7, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_7, ATTR_DFLT_VALUE, "Last reply also in ROD Status Window.");
    DefaultCtrl (hPanel, RW_FIELDP_TEXTMSG_7);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_7, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_7, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_7, ATTR_WIDTH, 186);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_7, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_7, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIELDP_TEXTMSG_7, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIELDP_TEXTMSG_4
    RW_FIELDP_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 5, 135);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, RW_FIELDP_TEXTMSG_4);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIELDP_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIELDP_TEXTMSG_3
    RW_FIELDP_TEXTMSG_3 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 48, 102);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_3, ATTR_CONSTANT_NAME, "TEXTMSG_3");
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_3, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_3, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_3, ATTR_TEXT_COLOR, VAL_RED);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_3, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_3, ATTR_DFLT_VALUE, "RING FILLED IN fillPrimParams.c");
    DefaultCtrl (hPanel, RW_FIELDP_TEXTMSG_3);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_3, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_3, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_3, ATTR_WIDTH, 159);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_3, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_3, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIELDP_TEXTMSG_3, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIELDP_DECORATION
    RW_FIELDP_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 11, 4);
    SetCtrlAttribute (hPanel, RW_FIELDP_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, RW_FIELDP_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, RW_FIELDP_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RW_FIELDP_DECORATION, ATTR_HEIGHT, 440);
    SetCtrlAttribute (hPanel, RW_FIELDP_DECORATION, ATTR_WIDTH, 342);

    // Build control: RW_FIELDP_TEXTMSG_8
    RW_FIELDP_TEXTMSG_8 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 334, 110);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_8, ATTR_CONSTANT_NAME, "TEXTMSG_8");
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_8, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_8, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_8, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_8, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_8, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_8, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_8, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_8, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_8, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_8, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_8, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_8, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_8, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_8, ATTR_DFLT_VALUE, "bits");
    DefaultCtrl (hPanel, RW_FIELDP_TEXTMSG_8);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_8, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_8, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_8, ATTR_WIDTH, 19);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_8, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_8, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIELDP_TEXTMSG_8, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIELDP_TEXTMSG_2
    RW_FIELDP_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 355, 111);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_2, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_2, ATTR_DFLT_VALUE, "bits");
    DefaultCtrl (hPanel, RW_FIELDP_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_2, ATTR_WIDTH, 19);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIELDP_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_8, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_2, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_ZPLANE_POSITION, 14);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_ZPLANE_POSITION, 15);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_ZPLANE_POSITION, 16);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_ZPLANE_POSITION, 17);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_ZPLANE_POSITION, 18);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_ZPLANE_POSITION, 19);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_ZPLANE_POSITION, 20);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_ZPLANE_POSITION, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_ZPLANE_POSITION, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_ZPLANE_POSITION, 23);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_ZPLANE_POSITION, 24);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_ZPLANE_POSITION, 25);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_ZPLANE_POSITION, 26);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_ZPLANE_POSITION, 27);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_ZPLANE_POSITION, 28);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_ZPLANE_POSITION, 29);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_ZPLANE_POSITION, 30);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_ZPLANE_POSITION, 31);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_ZPLANE_POSITION, 32);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_ZPLANE_POSITION, 33);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_ZPLANE_POSITION, 34);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_ZPLANE_POSITION, 35);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_ZPLANE_POSITION, 36);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_ZPLANE_POSITION, 37);
    SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_ZPLANE_POSITION, 38);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_ZPLANE_POSITION, 39);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_ZPLANE_POSITION, 40);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_7, ATTR_ZPLANE_POSITION, 41);
    SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_ZPLANE_POSITION, 42);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_ZPLANE_POSITION, 43);
    SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_ZPLANE_POSITION, 44);
    SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_ZPLANE_POSITION, 45);
    SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_ZPLANE_POSITION, 46);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_3, ATTR_ZPLANE_POSITION, 47);
    SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_ZPLANE_POSITION, 48);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG_4, ATTR_ZPLANE_POSITION, 49);
    SetCtrlAttribute (hPanel, RW_FIELDP_TEXTMSG, ATTR_ZPLANE_POSITION, 50);
    SetCtrlAttribute (hPanel, RW_FIELDP_DECORATION_2, ATTR_ZPLANE_POSITION, 51);
    SetCtrlAttribute (hPanel, RW_FIELDP_DECORATION, ATTR_ZPLANE_POSITION, 52);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, RW_FIELDP_OUT_FILE, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, RW_FIELDP_DATA_IN, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, RW_FIELDP_OBJECT_ID, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, RW_FIELDP_WIDTH, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, RW_FIELDP_OFFSET, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, RW_FIELDP_OUTPUT_OPT, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, RW_FIELDP_READ_WRITE, ATTR_CTRL_TAB_POSITION, 6);
    SetCtrlAttribute (hPanel, RW_FIELDP_BASE_ID, ATTR_CTRL_TAB_POSITION, 7);
    SetCtrlAttribute (hPanel, RW_FIELDP_Z, ATTR_CTRL_TAB_POSITION, 8);
    SetCtrlAttribute (hPanel, RW_FIELDP_Y, ATTR_CTRL_TAB_POSITION, 9);
    SetCtrlAttribute (hPanel, RW_FIELDP_X, ATTR_CTRL_TAB_POSITION, 10);
    SetCtrlAttribute (hPanel, RW_FIELDP_WRITE_OR_APPEND, ATTR_CTRL_TAB_POSITION, 11);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_31, ATTR_CTRL_TAB_POSITION, 12);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_30, ATTR_CTRL_TAB_POSITION, 13);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_29, ATTR_CTRL_TAB_POSITION, 14);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_28, ATTR_CTRL_TAB_POSITION, 15);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_27, ATTR_CTRL_TAB_POSITION, 16);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_26, ATTR_CTRL_TAB_POSITION, 17);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_24, ATTR_CTRL_TAB_POSITION, 18);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_25, ATTR_CTRL_TAB_POSITION, 19);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_23, ATTR_CTRL_TAB_POSITION, 20);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_22, ATTR_CTRL_TAB_POSITION, 21);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_21, ATTR_CTRL_TAB_POSITION, 22);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_20, ATTR_CTRL_TAB_POSITION, 23);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_19, ATTR_CTRL_TAB_POSITION, 24);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_18, ATTR_CTRL_TAB_POSITION, 25);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_16, ATTR_CTRL_TAB_POSITION, 26);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_17, ATTR_CTRL_TAB_POSITION, 27);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_15, ATTR_CTRL_TAB_POSITION, 28);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_14, ATTR_CTRL_TAB_POSITION, 29);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_13, ATTR_CTRL_TAB_POSITION, 30);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_12, ATTR_CTRL_TAB_POSITION, 31);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_11, ATTR_CTRL_TAB_POSITION, 32);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_10, ATTR_CTRL_TAB_POSITION, 33);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_8, ATTR_CTRL_TAB_POSITION, 34);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_9, ATTR_CTRL_TAB_POSITION, 35);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_7, ATTR_CTRL_TAB_POSITION, 36);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_6, ATTR_CTRL_TAB_POSITION, 37);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_5, ATTR_CTRL_TAB_POSITION, 38);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_4, ATTR_CTRL_TAB_POSITION, 39);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_3, ATTR_CTRL_TAB_POSITION, 40);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_2, ATTR_CTRL_TAB_POSITION, 41);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_0, ATTR_CTRL_TAB_POSITION, 42);
    SetCtrlAttribute (hPanel, RW_FIELDP_BIT_1, ATTR_CTRL_TAB_POSITION, 43);
    SetCtrlAttribute (hPanel, RW_FIELDP_REG_BOX, ATTR_CTRL_TAB_POSITION, 44);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(11*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(250*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_rwFifo ():  Build UI object RW_FIFOP; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_rwFifo (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "RWFifo", 1, 1, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "RW_FIFOP");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: RW_FIFOP_OUT_FILE
    RW_FIFOP_OUT_FILE = NewCtrl (hPanel, CTRL_STRING, "OUTPUT FILE", 361, 9);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_CONSTANT_NAME, "OUT_FILE");
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_CALLBACK_FUNCTION_POINTER, RWFifoParams);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_LABEL_WIDTH, 73);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, RW_FIFOP_OUT_FILE);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_MAX_ENTRY_LENGTH, 99);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_WIDTH, 330);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_LABEL_TOP, 347);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_LABEL_LEFT, 12);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, RW_FIFOP_OUT_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIFOP_INP_FILE
    RW_FIFOP_INP_FILE = NewCtrl (hPanel, CTRL_STRING, "INPUT FILE", 235, 9);
    SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_CONSTANT_NAME, "INP_FILE");
//  SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_CALLBACK_FUNCTION_POINTER, RWFifoParams);
    SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_LABEL_WIDTH, 61);
    SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, RW_FIFOP_INP_FILE);
    SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_MAX_ENTRY_LENGTH, 99);
//  SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_WIDTH, 330);
    SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_LABEL_TOP, 221);
    SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_LABEL_LEFT, 11);
    SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, RW_FIFOP_INP_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIFOP_FS_TIM
    RW_FIFOP_FS_TIM = NewCtrl (hPanel, CTRL_NUMERIC, "Tim", 207, 238);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_CONSTANT_NAME, "FS_TIM");
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_LABEL_WIDTH, 20);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_PADDING, 4);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_DFLT_VALUE, 8192);
    DefaultCtrl (hPanel, RW_FIFOP_FS_TIM);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_WIDTH, 40);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_LABEL_TOP, 209);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_LABEL_LEFT, 213);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIFOP_FS_TIM, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIFOP_FS_EVENT_2
    RW_FIFOP_FS_EVENT_2 = NewCtrl (hPanel, CTRL_NUMERIC, "EventC", 188, 238);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_CONSTANT_NAME, "FS_EVENT_2");
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_LABEL_WIDTH, 38);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_PADDING, 4);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_DFLT_VALUE, 255);
    DefaultCtrl (hPanel, RW_FIFOP_FS_EVENT_2);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_WIDTH, 40);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_LABEL_TOP, 190);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_LABEL_LEFT, 194);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIFOP_FS_EVENT_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIFOP_FS_EVENT
    RW_FIFOP_FS_EVENT = NewCtrl (hPanel, CTRL_NUMERIC, "EventAB", 169, 238);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_CONSTANT_NAME, "FS_EVENT");
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_LABEL_WIDTH, 45);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_PADDING, 4);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_DFLT_VALUE, 16384);
    DefaultCtrl (hPanel, RW_FIFOP_FS_EVENT);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_WIDTH, 40);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_LABEL_TOP, 172);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_LABEL_LEFT, 187);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIFOP_FS_EVENT, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIFOP_FS_DEBUG
    RW_FIFOP_FS_DEBUG = NewCtrl (hPanel, CTRL_NUMERIC, "Debug", 150, 238);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_CONSTANT_NAME, "FS_DEBUG");
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_LABEL_WIDTH, 35);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_PADDING, 4);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_DFLT_VALUE, 4096);
    DefaultCtrl (hPanel, RW_FIFOP_FS_DEBUG);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_WIDTH, 40);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_LABEL_TOP, 152);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_LABEL_LEFT, 198);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIFOP_FS_DEBUG, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIFOP_FS_IN
    RW_FIFOP_FS_IN = NewCtrl (hPanel, CTRL_NUMERIC, "Input", 131, 238);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_CONSTANT_NAME, "FS_IN");
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_LABEL_WIDTH, 27);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_PADDING, 4);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_DFLT_VALUE, 32768);
    DefaultCtrl (hPanel, RW_FIFOP_FS_IN);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_WIDTH, 40);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_LABEL_TOP, 133);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_LABEL_LEFT, 208);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIFOP_FS_IN, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIFOP_FILE_SIZE_OBSOLETE
    RW_FIFOP_FILE_SIZE_OBSOLETE = NewCtrl (hPanel, CTRL_NUMERIC, "File Size", 212, 89);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_CONSTANT_NAME, "FILE_SIZE_OBSOLETE");
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_LABEL_WIDTH, 42);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_LABEL_TOP, 197);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_LABEL_LEFT, 106);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIFOP_NUM_ELEMENTS
    RW_FIFOP_NUM_ELEMENTS = NewCtrl (hPanel, CTRL_NUMERIC, "NumElements", 170, 89);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_CONSTANT_NAME, "NUM_ELEMENTS");
//  SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_LABEL_WIDTH, 79);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIFOP_NUM_ELEMENTS);
//  SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_LABEL_TOP, 154);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_LABEL_LEFT, 86);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIFOP_NUM_ELEMENTS, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIFOP_OUTPUT_OPT
    RW_FIFOP_OUTPUT_OPT = NewCtrl (hPanel, CTRL_CHECK_BOX, "SAVE OUTPUT DATA TO FILE?", 337, 103);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_CONSTANT_NAME, "OUTPUT_OPT");
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_CALLBACK_FUNCTION_POINTER, RWFifoParams);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_LABEL_WIDTH, 160);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_FIFOP_OUTPUT_OPT);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_HEIGHT, 16);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_WIDTH, 16);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_LABEL_TOP, 338);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_LABEL_LEFT, 119);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIFOP_READ_NOT_WRITE
    RW_FIFOP_READ_NOT_WRITE = NewCtrl (hPanel, CTRL_VSWITCH, "", 52, 166);
    SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_CONSTANT_NAME, "READ_NOT_WRITE");
//  SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_CALLBACK_FUNCTION_POINTER, RWFifoParams);
    SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_DATA_TYPE, VAL_INTEGER);
//  SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_LABEL_BGCOLOR, 0XB0B0B0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_DFLT_INDEX, 1);
    DefaultCtrl (hPanel, RW_FIFOP_READ_NOT_WRITE);
    SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_ON_VALUE, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_OFF_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_BINARY_SWITCH_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_ON_TEXT, "READ");
    SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_OFF_TEXT, "WRITE");
    SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_HEIGHT, 30);
    SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_LABEL_TOP, 32);
    SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_LABEL_LEFT, 161);
    SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_FIFOP_FIFO_ID_AND_BANK
    RW_FIFOP_FIFO_ID_AND_BANK = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "FifoID&Bank", 117, 68);
    SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_CONSTANT_NAME, "FIFO_ID_AND_BANK");
//  SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_CALLBACK_FUNCTION_POINTER, RWFifoParams);
    SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, 0, "INPUT_MEM - A", 0);
    InsertListItem (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, 1, "INPUT_MEM - B", 1);
    InsertListItem (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, 2, "DEBUG_MEM - A", 4);
    InsertListItem (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, 3, "DEBUG_MEM - B", 5);
    InsertListItem (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, 4, "EVENT_MEM - A", 8);
    InsertListItem (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, 5, "EVENT_MEM - B", 9);
    InsertListItem (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, 6, "EVENT_MEM - C", 10);
    InsertListItem (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, 7, "TIM", 12);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_LABEL_WIDTH, 73);
    SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, RW_FIFOP_FIFO_ID_AND_BANK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_WIDTH, 118);
    SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_LABEL_TOP, 102);
    SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_LABEL_LEFT, 89);
    SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: RW_FIFOP_DECORATION
    RW_FIFOP_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, RW_FIFOP_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, RW_FIFOP_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIFOP_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, RW_FIFOP_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RW_FIFOP_DECORATION, ATTR_HEIGHT, 260);
    SetCtrlAttribute (hPanel, RW_FIFOP_DECORATION, ATTR_WIDTH, 342);

    // Build control: RW_FIFOP_DECORATION_2
    RW_FIFOP_DECORATION_2 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 308, 4);
    SetCtrlAttribute (hPanel, RW_FIFOP_DECORATION_2, ATTR_CONSTANT_NAME, "DECORATION_2");
//  SetCtrlAttribute (hPanel, RW_FIFOP_DECORATION_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIFOP_DECORATION_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_DECORATION_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_DECORATION_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_DECORATION_2, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, RW_FIFOP_DECORATION_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RW_FIFOP_DECORATION_2, ATTR_HEIGHT, 82);
    SetCtrlAttribute (hPanel, RW_FIFOP_DECORATION_2, ATTR_WIDTH, 342);

    // Build control: RW_FIFOP_TEXTMSG
    RW_FIFOP_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 303, 131);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG, ATTR_DFLT_VALUE, "OUTPUT DATA");
    DefaultCtrl (hPanel, RW_FIFOP_TEXTMSG);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG, ATTR_WIDTH, 91);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIFOP_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIFOP_TEXTMSG_4
    RW_FIFOP_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 21, 135);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, RW_FIFOP_TEXTMSG_4);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIFOP_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIFOP_TEXTMSG_2
    RW_FIFOP_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 214, 161);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_2, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_2, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_2, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_2, ATTR_DFLT_VALUE, "B");
    DefaultCtrl (hPanel, RW_FIFOP_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_2, ATTR_WIDTH, 10);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIFOP_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIFOP_TEXTMSG_3
    RW_FIFOP_TEXTMSG_3 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 116, 231);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_3, ATTR_CONSTANT_NAME, "TEXTMSG_3");
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_3, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_3, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_3, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_3, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_3, ATTR_DFLT_VALUE, "FifoSize");
    DefaultCtrl (hPanel, RW_FIFOP_TEXTMSG_3);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_3, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_3, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_3, ATTR_WIDTH, 48);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_3, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_3, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIFOP_TEXTMSG_3, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIFOP_TEXTMSG_5
    RW_FIFOP_TEXTMSG_5 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 134, 279);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_5, ATTR_CONSTANT_NAME, "TEXTMSG_5");
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_5, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_5, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_5, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_5, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_5, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_5, ATTR_DFLT_VALUE, "48b");
    DefaultCtrl (hPanel, RW_FIFOP_TEXTMSG_5);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_5, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_5, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_5, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_5, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_5, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIFOP_TEXTMSG_5, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIFOP_TEXTMSG_6
    RW_FIFOP_TEXTMSG_6 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 154, 279);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_6, ATTR_CONSTANT_NAME, "TEXTMSG_6");
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_6, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_6, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_6, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_6, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_6, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_6, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_6, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_6, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_6, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_6, ATTR_DFLT_VALUE, "48b");
    DefaultCtrl (hPanel, RW_FIFOP_TEXTMSG_6);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_6, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_6, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_6, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_6, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_6, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIFOP_TEXTMSG_6, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIFOP_TEXTMSG_7
    RW_FIFOP_TEXTMSG_7 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 172, 279);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_7, ATTR_CONSTANT_NAME, "TEXTMSG_7");
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_7, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_7, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_7, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_7, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_7, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_7, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_7, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_7, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_7, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_7, ATTR_DFLT_VALUE, "48b");
    DefaultCtrl (hPanel, RW_FIFOP_TEXTMSG_7);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_7, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_7, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_7, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_7, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_7, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIFOP_TEXTMSG_7, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIFOP_TEXTMSG_9
    RW_FIFOP_TEXTMSG_9 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 115, 277);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_9, ATTR_CONSTANT_NAME, "TEXTMSG_9");
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_9, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_9, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_9, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_9, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_9, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_9, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_9, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_9, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_9, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_9, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_9, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_9, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_9, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_9, ATTR_DFLT_VALUE, "[elems]");
    DefaultCtrl (hPanel, RW_FIFOP_TEXTMSG_9);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_9, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_9, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_9, ATTR_WIDTH, 36);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_9, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_9, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIFOP_TEXTMSG_9, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIFOP_TEXTMSG_10
    RW_FIFOP_TEXTMSG_10 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 191, 279);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_10, ATTR_CONSTANT_NAME, "TEXTMSG_10");
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_10, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_10, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_10, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_10, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_10, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_10, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_10, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_10, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_10, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_10, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_10, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_10, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_10, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_10, ATTR_DFLT_VALUE, "32b");
    DefaultCtrl (hPanel, RW_FIFOP_TEXTMSG_10);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_10, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_10, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_10, ATTR_WIDTH, 21);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_10, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_10, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIFOP_TEXTMSG_10, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIFOP_TEXTMSG_11
    RW_FIFOP_TEXTMSG_11 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 209, 279);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_11, ATTR_CONSTANT_NAME, "TEXTMSG_11");
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_11, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_11, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_11, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_11, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_11, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_11, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_11, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_11, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_11, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_11, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_11, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_11, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_11, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_11, ATTR_DFLT_VALUE, "8b");
    DefaultCtrl (hPanel, RW_FIFOP_TEXTMSG_11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_11, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_11, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_11, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_11, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_11, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIFOP_TEXTMSG_11, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_FIFOP_TEXTMSG_12
    RW_FIFOP_TEXTMSG_12 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 254, 33);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_12, ATTR_CONSTANT_NAME, "TEXTMSG_12");
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_12, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_12, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_12, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_12, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_12, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_12, ATTR_TEXT_COLOR, 0X000066);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_12, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_12, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_12, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_12, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_12, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_12, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_12, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    dataPtr = 
        "NumElements is constant!!\nIf the file size has been changed, you have to edit t"
        "his primitive!";
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_12, ATTR_DFLT_VALUE, dataPtr);
    DefaultCtrl (hPanel, RW_FIFOP_TEXTMSG_12);
//  SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_12, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_12, ATTR_HEIGHT, 28);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_12, ATTR_WIDTH, 301);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_12, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_12, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_FIFOP_TEXTMSG_12, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_12, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_11, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_10, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_9, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_7, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_6, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_5, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_3, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_2, ATTR_ZPLANE_POSITION, 14);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_ZPLANE_POSITION, 15);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_ZPLANE_POSITION, 16);
    SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_ZPLANE_POSITION, 17);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG_4, ATTR_ZPLANE_POSITION, 18);
    SetCtrlAttribute (hPanel, RW_FIFOP_TEXTMSG, ATTR_ZPLANE_POSITION, 19);
    SetCtrlAttribute (hPanel, RW_FIFOP_DECORATION_2, ATTR_ZPLANE_POSITION, 20);
    SetCtrlAttribute (hPanel, RW_FIFOP_DECORATION, ATTR_ZPLANE_POSITION, 21);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_ZPLANE_POSITION, 22);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_ZPLANE_POSITION, 23);
    SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_ZPLANE_POSITION, 24);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, RW_FIFOP_OUT_FILE, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, RW_FIFOP_INP_FILE, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_TIM, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT_2, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_EVENT, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_DEBUG, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, RW_FIFOP_FS_IN, ATTR_CTRL_TAB_POSITION, 6);
    SetCtrlAttribute (hPanel, RW_FIFOP_FILE_SIZE_OBSOLETE, ATTR_CTRL_TAB_POSITION, 7);
    SetCtrlAttribute (hPanel, RW_FIFOP_NUM_ELEMENTS, ATTR_CTRL_TAB_POSITION, 8);
    SetCtrlAttribute (hPanel, RW_FIFOP_OUTPUT_OPT, ATTR_CTRL_TAB_POSITION, 9);
    SetCtrlAttribute (hPanel, RW_FIFOP_READ_NOT_WRITE, ATTR_CTRL_TAB_POSITION, 10);
    SetCtrlAttribute (hPanel, RW_FIFOP_FIFO_ID_AND_BANK, ATTR_CTRL_TAB_POSITION, 11);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(1*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(1*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_rwModuleData ():  Build UI object RW_MODULEP; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_rwModuleData (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "RWModuleData", 11, 11, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "RW_MODULEP");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: RW_MODULEP_OUT_FILE
    RW_MODULEP_OUT_FILE = NewCtrl (hPanel, CTRL_STRING, "OUTPUT CONFIG FILE", 502, 9);
    SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_CONSTANT_NAME, "OUT_FILE");
//  SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_CALLBACK_FUNCTION_POINTER, RWmodule);
    SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_LABEL_WIDTH, 116);
    SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, RW_MODULEP_OUT_FILE);
    SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_MAX_ENTRY_LENGTH, 99);
//  SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_WIDTH, 330);
    SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_LABEL_TOP, 488);
    SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_LABEL_LEFT, 12);
    SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, RW_MODULEP_OUT_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_MODULEP_RX3
    RW_MODULEP_RX3 = NewCtrl (hPanel, CTRL_NUMERIC, "3", 369, 196);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_CONSTANT_NAME, "RX3");
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_MAX_VALUE, 123);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_PADDING, 2);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_MODULEP_RX3);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_WIDTH, 50);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_LABEL_TOP, 371);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_LABEL_LEFT, 186);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_MODULEP_RX3, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_MODULEP_RX2
    RW_MODULEP_RX2 = NewCtrl (hPanel, CTRL_NUMERIC, "2", 349, 196);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_CONSTANT_NAME, "RX2");
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_MAX_VALUE, 123);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_PADDING, 2);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_MODULEP_RX2);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_WIDTH, 50);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_LABEL_TOP, 351);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_LABEL_LEFT, 186);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_MODULEP_RX2, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_MODULEP_RX1
    RW_MODULEP_RX1 = NewCtrl (hPanel, CTRL_NUMERIC, "1", 329, 196);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_CONSTANT_NAME, "RX1");
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_MAX_VALUE, 123);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_PADDING, 2);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_MODULEP_RX1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_WIDTH, 50);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_LABEL_TOP, 331);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_LABEL_LEFT, 186);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_MODULEP_RX1, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_MODULEP_RX0
    RW_MODULEP_RX0 = NewCtrl (hPanel, CTRL_NUMERIC, "0", 309, 196);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_CONSTANT_NAME, "RX0");
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_MAX_VALUE, 123);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_PADDING, 2);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_MODULEP_RX0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_WIDTH, 50);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_LABEL_TOP, 311);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_LABEL_LEFT, 186);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_MODULEP_RX0, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_MODULEP_PTTC
    RW_MODULEP_PTTC = NewCtrl (hPanel, CTRL_NUMERIC, "pTTC", 354, 105);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_CONSTANT_NAME, "PTTC");
//  SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_LABEL_WIDTH, 34);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_MAX_VALUE, 47);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_CHECK_RANGE, VAL_COERCE);
//  SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_MODULEP_PTTC);
//  SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_WIDTH, 50);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_LABEL_TOP, 338);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_LABEL_LEFT, 114);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_MODULEP_PTTC, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_MODULEP_GROUP_ID
    RW_MODULEP_GROUP_ID = NewCtrl (hPanel, CTRL_NUMERIC, "Group ID", 312, 105);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_CONSTANT_NAME, "GROUP_ID");
//  SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_LABEL_WIDTH, 54);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_MAX_VALUE, 7);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_CHECK_RANGE, VAL_COERCE);
//  SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_MODULEP_GROUP_ID);
//  SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_WIDTH, 50);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_LABEL_TOP, 296);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_LABEL_LEFT, 104);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_MODULEP_GROUP_ID, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_MODULEP_MODULE
    RW_MODULEP_MODULE = NewCtrl (hPanel, CTRL_NUMERIC, "Module", 157, 148);
    SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_CONSTANT_NAME, "MODULE");
//  SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_LABEL_WIDTH, 44);
    SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_MAX_VALUE, 60);
    SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_CHECK_RANGE, VAL_COERCE);
//  SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_MODULEP_MODULE);
//  SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_WIDTH, 50);
    SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_LABEL_TOP, 141);
    SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_LABEL_LEFT, 152);
    SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_MODULEP_MODULE, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_MODULEP_INP_FILE
    RW_MODULEP_INP_FILE = NewCtrl (hPanel, CTRL_STRING, "INPUT CONFIG FILE", 189, 9);
    SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_CONSTANT_NAME, "INP_FILE");
//  SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_CALLBACK_FUNCTION_POINTER, RWmodule);
    SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_LABEL_WIDTH, 104);
    SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, RW_MODULEP_INP_FILE);
    SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_MAX_ENTRY_LENGTH, 99);
//  SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_WIDTH, 330);
    SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_LABEL_TOP, 175);
    SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_LABEL_LEFT, 12);
    SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, RW_MODULEP_INP_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_MODULEP_STRUCT_ID
    RW_MODULEP_STRUCT_ID = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Struct ID", 114, 128);
    SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_CONSTANT_NAME, "STRUCT_ID");
//  SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, RW_MODULEP_STRUCT_ID, 0, "INIT", 0);
    InsertListItem (hPanel, RW_MODULEP_STRUCT_ID, 1, "WORK", 1);
    InsertListItem (hPanel, RW_MODULEP_STRUCT_ID, 2, "SPARE", 2);
//  SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_LABEL_WIDTH, 54);
    SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, RW_MODULEP_STRUCT_ID);
//  SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_WIDTH, 101);
    SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_LABEL_TOP, 99);
    SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_LABEL_LEFT, 149);
    SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: RW_MODULEP_READ_NOT_WRITE
    RW_MODULEP_READ_NOT_WRITE = NewCtrl (hPanel, CTRL_VSWITCH, "", 60, 166);
    SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_CONSTANT_NAME, "READ_NOT_WRITE");
//  SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_CALLBACK_FUNCTION_POINTER, RWmodule);
    SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_DATA_TYPE, VAL_INTEGER);
//  SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_LABEL_BGCOLOR, 0XB0B0B0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_DFLT_INDEX, 1);
    DefaultCtrl (hPanel, RW_MODULEP_READ_NOT_WRITE);
    SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_ON_VALUE, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_OFF_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_BINARY_SWITCH_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_ON_TEXT, "READ");
    SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_OFF_TEXT, "WRITE");
    SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_HEIGHT, 30);
    SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_LABEL_TOP, 40);
    SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_LABEL_LEFT, 161);
    SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_MODULEP_ACTIVE
    RW_MODULEP_ACTIVE = NewCtrl (hPanel, CTRL_CHECK_BOX, "Active", 258, 163);
    SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_CONSTANT_NAME, "ACTIVE");
//  SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_LABEL_WIDTH, 39);
    SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_MODULEP_ACTIVE);
    SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_LABEL_TOP, 259);
    SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_LABEL_LEFT, 181);
    SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_MODULEP_DECORATION
    RW_MODULEP_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, RW_MODULEP_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, RW_MODULEP_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, RW_MODULEP_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RW_MODULEP_DECORATION, ATTR_HEIGHT, 400);
    SetCtrlAttribute (hPanel, RW_MODULEP_DECORATION, ATTR_WIDTH, 342);

    // Build control: RW_MODULEP_DECORATION_2
    RW_MODULEP_DECORATION_2 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 459, 4);
    SetCtrlAttribute (hPanel, RW_MODULEP_DECORATION_2, ATTR_CONSTANT_NAME, "DECORATION_2");
//  SetCtrlAttribute (hPanel, RW_MODULEP_DECORATION_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_DECORATION_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_DECORATION_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_DECORATION_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_DECORATION_2, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, RW_MODULEP_DECORATION_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RW_MODULEP_DECORATION_2, ATTR_HEIGHT, 82);
    SetCtrlAttribute (hPanel, RW_MODULEP_DECORATION_2, ATTR_WIDTH, 342);

    // Build control: RW_MODULEP_TEXTMSG
    RW_MODULEP_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 454, 131);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG, ATTR_DFLT_VALUE, "OUTPUT DATA");
    DefaultCtrl (hPanel, RW_MODULEP_TEXTMSG);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG, ATTR_WIDTH, 91);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_MODULEP_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_MODULEP_TEXTMSG_4
    RW_MODULEP_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 135);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, RW_MODULEP_TEXTMSG_4);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_MODULEP_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_MODULEP_TEXTMSG_2
    RW_MODULEP_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 293, 212);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_2, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_2, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_2, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_2, ATTR_DFLT_VALUE, "RX");
    DefaultCtrl (hPanel, RW_MODULEP_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_2, ATTR_WIDTH, 20);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_MODULEP_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_2, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG_4, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, RW_MODULEP_TEXTMSG, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, RW_MODULEP_DECORATION_2, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, RW_MODULEP_DECORATION, ATTR_ZPLANE_POSITION, 14);
    SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_ZPLANE_POSITION, 15);
    SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_ZPLANE_POSITION, 16);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, RW_MODULEP_OUT_FILE, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX3, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX2, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX1, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, RW_MODULEP_RX0, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, RW_MODULEP_PTTC, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, RW_MODULEP_GROUP_ID, ATTR_CTRL_TAB_POSITION, 6);
    SetCtrlAttribute (hPanel, RW_MODULEP_MODULE, ATTR_CTRL_TAB_POSITION, 7);
    SetCtrlAttribute (hPanel, RW_MODULEP_INP_FILE, ATTR_CTRL_TAB_POSITION, 8);
    SetCtrlAttribute (hPanel, RW_MODULEP_STRUCT_ID, ATTR_CTRL_TAB_POSITION, 9);
    SetCtrlAttribute (hPanel, RW_MODULEP_READ_NOT_WRITE, ATTR_CTRL_TAB_POSITION, 10);
    SetCtrlAttribute (hPanel, RW_MODULEP_ACTIVE, ATTR_CTRL_TAB_POSITION, 11);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(11*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(11*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_rwSlaveMemory ():  Build UI object RW_SLAVE; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_rwSlaveMemory (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "RWSlaveMemory", 11, 11, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "RW_SLAVE");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: RW_SLAVE_OUT_FILE
    RW_SLAVE_OUT_FILE = NewCtrl (hPanel, CTRL_STRING, "OUTPUT FILE", 403, 6);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_CONSTANT_NAME, "OUT_FILE");
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_CALLBACK_FUNCTION_POINTER, RWSlaveMemory);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_LABEL_WIDTH, 73);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, RW_SLAVE_OUT_FILE);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_MAX_ENTRY_LENGTH, 99);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_WIDTH, 330);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_LABEL_TOP, 389);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_LABEL_LEFT, 9);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, RW_SLAVE_OUT_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_SLAVE_SLV_ID
    RW_SLAVE_SLV_ID = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Slave#", 78, 141);
    SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_CONSTANT_NAME, "SLV_ID");
//  SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, RW_SLAVE_SLV_ID, 0, "0", 0);
    InsertListItem (hPanel, RW_SLAVE_SLV_ID, 1, "1", 1);
    InsertListItem (hPanel, RW_SLAVE_SLV_ID, 2, "2", 2);
    InsertListItem (hPanel, RW_SLAVE_SLV_ID, 3, "3", 3);
//  SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_LABEL_POINT_SIZE, 16);
    SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_LABEL_WIDTH, 57);
    SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_LABEL_HEIGHT, 22);
//  SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_TEXT_FONT, "Arial");
//  SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_TEXT_POINT_SIZE, 22);
    SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, RW_SLAVE_SLV_ID);
//  SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_WIDTH, 60);
    SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_LABEL_TOP, 59);
    SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_LABEL_LEFT, 144);
    SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: RW_SLAVE_INP_FILE
    RW_SLAVE_INP_FILE = NewCtrl (hPanel, CTRL_STRING, "INPUT FILE", 263, 9);
    SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_CONSTANT_NAME, "INP_FILE");
//  SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_CALLBACK_FUNCTION_POINTER, RWSlaveMemory);
    SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_LABEL_WIDTH, 61);
    SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, RW_SLAVE_INP_FILE);
    SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_MAX_ENTRY_LENGTH, 99);
//  SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_WIDTH, 330);
    SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_LABEL_TOP, 249);
    SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_LABEL_LEFT, 11);
    SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, RW_SLAVE_INP_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_SLAVE_START_ADDRESS
    RW_SLAVE_START_ADDRESS = NewCtrl (hPanel, CTRL_NUMERIC, "StartAddress", 195, 138);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_CONSTANT_NAME, "START_ADDRESS");
//  SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_CALLBACK_FUNCTION_POINTER, wordBoundary);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_LABEL_WIDTH, 75);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_SLAVE_START_ADDRESS);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_LABEL_TOP, 180);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_LABEL_LEFT, 139);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_SLAVE_START_ADDRESS, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_SLAVE_NUM_BYTES
    RW_SLAVE_NUM_BYTES = NewCtrl (hPanel, CTRL_NUMERIC, "Bytes", 233, 220);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_CONSTANT_NAME, "NUM_BYTES");
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_LABEL_WIDTH, 34);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_SLAVE_NUM_BYTES);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_LABEL_TOP, 218);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_LABEL_LEFT, 241);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_SLAVE_NUM_BYTES, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_SLAVE_NUM_WORDS
    RW_SLAVE_NUM_WORDS = NewCtrl (hPanel, CTRL_NUMERIC, "NumWords", 233, 138);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_CONSTANT_NAME, "NUM_WORDS");
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_LABEL_WIDTH, 64);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_SLAVE_NUM_WORDS);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_LABEL_TOP, 218);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_LABEL_LEFT, 144);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_SLAVE_NUM_WORDS, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_SLAVE_READ_NOT_WRITE
    RW_SLAVE_READ_NOT_WRITE = NewCtrl (hPanel, CTRL_VSWITCH, "", 129, 161);
    SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_CONSTANT_NAME, "READ_NOT_WRITE");
//  SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_CALLBACK_FUNCTION_POINTER, RWSlaveMemory);
    SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_DATA_TYPE, VAL_INTEGER);
//  SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_LABEL_BGCOLOR, 0XB0B0B0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_TEXT_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, RW_SLAVE_READ_NOT_WRITE);
    SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_ON_VALUE, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_OFF_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_BINARY_SWITCH_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_ON_TEXT, "READ");
    SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_OFF_TEXT, "WRITE");
    SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_HEIGHT, 30);
    SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_LABEL_TOP, 109);
    SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_LABEL_LEFT, 156);
    SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_SLAVE_OUTPUT_OPT
    RW_SLAVE_OUTPUT_OPT = NewCtrl (hPanel, CTRL_CHECK_BOX, "SAVE OUTPUT DATA TO FILE?", 366, 133);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_CONSTANT_NAME, "OUTPUT_OPT");
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_CALLBACK_FUNCTION_POINTER, RWSlaveMemory);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_LABEL_WIDTH, 160);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RW_SLAVE_OUTPUT_OPT);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_HEIGHT, 16);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_WIDTH, 16);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_LABEL_TOP, 367);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_LABEL_LEFT, 151);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_SLAVE_WRITE_OR_APPEND
    RW_SLAVE_WRITE_OR_APPEND = NewCtrl (hPanel, CTRL_VSWITCH, "", 352, 40);
    SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_CONSTANT_NAME, "WRITE_OR_APPEND");
//  SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_DATA_TYPE, VAL_INTEGER);
    SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_TEXT_BOLD, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, RW_SLAVE_WRITE_OR_APPEND);
    SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_ON_VALUE, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_OFF_VALUE, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_BINARY_SWITCH_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_ON_TEXT, "Append");
    SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_OFF_TEXT, "Write");
    SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_HEIGHT, 30);
    SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_LABEL_TOP, 331);
    SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_LABEL_LEFT, 20);
    SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RW_SLAVE_DECORATION
    RW_SLAVE_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, RW_SLAVE_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, RW_SLAVE_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_SLAVE_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, RW_SLAVE_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RW_SLAVE_DECORATION, ATTR_HEIGHT, 280);
    SetCtrlAttribute (hPanel, RW_SLAVE_DECORATION, ATTR_WIDTH, 342);

    // Build control: RW_SLAVE_TEXTMSG_4
    RW_SLAVE_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 135);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, RW_SLAVE_TEXTMSG_4);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_SLAVE_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_SLAVE_DECORATION_3
    RW_SLAVE_DECORATION_3 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 339, 2);
    SetCtrlAttribute (hPanel, RW_SLAVE_DECORATION_3, ATTR_CONSTANT_NAME, "DECORATION_3");
//  SetCtrlAttribute (hPanel, RW_SLAVE_DECORATION_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_SLAVE_DECORATION_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_DECORATION_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_DECORATION_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_DECORATION_3, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, RW_SLAVE_DECORATION_3, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RW_SLAVE_DECORATION_3, ATTR_HEIGHT, 99);
    SetCtrlAttribute (hPanel, RW_SLAVE_DECORATION_3, ATTR_WIDTH, 341);

    // Build control: RW_SLAVE_TEXTMSG_9
    RW_SLAVE_TEXTMSG_9 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 330, 130);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_9, ATTR_CONSTANT_NAME, "TEXTMSG_9");
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_9, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_9, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_9, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_9, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_9, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_9, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_9, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_9, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_9, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_9, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_9, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_9, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_9, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_9, ATTR_DFLT_VALUE, "OUTPUT DATA");
    DefaultCtrl (hPanel, RW_SLAVE_TEXTMSG_9);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_9, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_9, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_9, ATTR_WIDTH, 91);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_9, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_9, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_SLAVE_TEXTMSG_9, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_SLAVE_TEXTMSG
    RW_SLAVE_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 235, 210);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG, ATTR_DFLT_VALUE, "=");
    DefaultCtrl (hPanel, RW_SLAVE_TEXTMSG);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG, ATTR_WIDTH, 9);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_SLAVE_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: RW_SLAVE_TEXTMSG_6
    RW_SLAVE_TEXTMSG_6 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 285, 53);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_6, ATTR_CONSTANT_NAME, "TEXTMSG_6");
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_6, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_6, ATTR_TEXT_COLOR, 0X000066);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_6, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_6, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_6, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_6, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_6, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_6, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_6, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_6, ATTR_DFLT_VALUE, "Always writes the whole file! (NumWords is not constant)");
    DefaultCtrl (hPanel, RW_SLAVE_TEXTMSG_6);
//  SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_6, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_6, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_6, ATTR_WIDTH, 268);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_6, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_6, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RW_SLAVE_TEXTMSG_6, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_6, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_9, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, RW_SLAVE_DECORATION_3, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, RW_SLAVE_TEXTMSG_4, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, RW_SLAVE_DECORATION, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_ZPLANE_POSITION, 14);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, RW_SLAVE_OUT_FILE, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, RW_SLAVE_SLV_ID, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, RW_SLAVE_INP_FILE, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, RW_SLAVE_START_ADDRESS, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_BYTES, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, RW_SLAVE_NUM_WORDS, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, RW_SLAVE_READ_NOT_WRITE, ATTR_CTRL_TAB_POSITION, 6);
    SetCtrlAttribute (hPanel, RW_SLAVE_OUTPUT_OPT, ATTR_CTRL_TAB_POSITION, 7);
    SetCtrlAttribute (hPanel, RW_SLAVE_WRITE_OR_APPEND, ATTR_CTRL_TAB_POSITION, 8);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(11*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(11*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_rwModuleVariable ():  Build UI object RWMODULVAR; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_rwModuleVariable (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "RWModuleVariable", 21, 21, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "RWMODULVAR");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: RWMODULVAR_OUT_FILE
    RWMODULVAR_OUT_FILE = NewCtrl (hPanel, CTRL_STRING, "OUTPUT DATA FILE", 391, 9);
    SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_CONSTANT_NAME, "OUT_FILE");
//  SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_CALLBACK_FUNCTION_POINTER, RWmoduleVar);
    SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_LABEL_WIDTH, 105);
    SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, RWMODULVAR_OUT_FILE);
    SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_MAX_ENTRY_LENGTH, 99);
//  SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_WIDTH, 330);
    SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_LABEL_TOP, 377);
    SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_LABEL_LEFT, 18);
    SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, RWMODULVAR_OUT_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: RWMODULVAR_DATA_LEN
    RWMODULVAR_DATA_LEN = NewCtrl (hPanel, CTRL_NUMERIC, "DataLength", 245, 247);
    SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_CONSTANT_NAME, "DATA_LEN");
//  SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_LABEL_WIDTH, 59);
    SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RWMODULVAR_DATA_LEN);
    SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_LABEL_TOP, 230);
    SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_LABEL_LEFT, 256);
    SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RWMODULVAR_DATA_LEN, "", VAL_DS_READ, NULL, NULL);

    // Build control: RWMODULVAR_INP_FILE
    RWMODULVAR_INP_FILE = NewCtrl (hPanel, CTRL_STRING, "INPUT DATA FILE", 269, 9);
    SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_CONSTANT_NAME, "INP_FILE");
//  SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_CALLBACK_FUNCTION_POINTER, RWmoduleVar);
    SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_LABEL_WIDTH, 93);
    SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, RWMODULVAR_INP_FILE);
    SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_MAX_ENTRY_LENGTH, 99);
//  SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_WIDTH, 330);
    SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_LABEL_TOP, 255);
    SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_LABEL_LEFT, 18);
    SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, RWMODULVAR_INP_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: RWMODULVAR_MODULE
    RWMODULVAR_MODULE = NewCtrl (hPanel, CTRL_NUMERIC, "Module", 161, 147);
    SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_CONSTANT_NAME, "MODULE");
//  SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_LABEL_WIDTH, 44);
    SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_MAX_VALUE, 254);
    SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_CHECK_RANGE, VAL_COERCE);
//  SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, RWMODULVAR_MODULE);
//  SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_WIDTH, 45);
    SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_LABEL_TOP, 163);
    SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_LABEL_LEFT, 100);
    SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, RWMODULVAR_MODULE, "", VAL_DS_READ, NULL, NULL);

    // Build control: RWMODULVAR_GROUP_ID
    RWMODULVAR_GROUP_ID = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Group ID", 137, 124);
    SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_CONSTANT_NAME, "GROUP_ID");
//  SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, RWMODULVAR_GROUP_ID, 0, "GROUP 0", 0);
    InsertListItem (hPanel, RWMODULVAR_GROUP_ID, 1, "GROUP 1", 1);
    InsertListItem (hPanel, RWMODULVAR_GROUP_ID, 2, "GROUP 2", 2);
    InsertListItem (hPanel, RWMODULVAR_GROUP_ID, 3, "GROUP 3", 3);
    InsertListItem (hPanel, RWMODULVAR_GROUP_ID, 4, "GROUP 4", 4);
    InsertListItem (hPanel, RWMODULVAR_GROUP_ID, 5, "GROUP 5", 5);
    InsertListItem (hPanel, RWMODULVAR_GROUP_ID, 6, "GROUP 6", 6);
    InsertListItem (hPanel, RWMODULVAR_GROUP_ID, 7, "GROUP 7", 7);
    InsertListItem (hPanel, RWMODULVAR_GROUP_ID, 8, "GROUP ALL", 8);
//  SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_LABEL_WIDTH, 54);
    SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_DFLT_INDEX, 8);
    DefaultCtrl (hPanel, RWMODULVAR_GROUP_ID);
//  SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_WIDTH, 101);
    SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_LABEL_TOP, 139);
    SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_LABEL_LEFT, 68);
    SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: RWMODULVAR_STRUCT_ID
    RWMODULVAR_STRUCT_ID = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Struct ID", 115, 124);
    SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_CONSTANT_NAME, "STRUCT_ID");
//  SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, RWMODULVAR_STRUCT_ID, 0, "INIT", 0);
    InsertListItem (hPanel, RWMODULVAR_STRUCT_ID, 1, "WORK", 1);
    InsertListItem (hPanel, RWMODULVAR_STRUCT_ID, 2, "SPARE", 2);
//  SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_LABEL_WIDTH, 54);
    SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, RWMODULVAR_STRUCT_ID);
//  SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_WIDTH, 101);
    SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_LABEL_TOP, 118);
    SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_LABEL_LEFT, 68);
    SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: RWMODULVAR_READ_NOT_WRITE
    RWMODULVAR_READ_NOT_WRITE = NewCtrl (hPanel, CTRL_VSWITCH, "", 63, 166);
    SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_CONSTANT_NAME, "READ_NOT_WRITE");
//  SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_CALLBACK_FUNCTION_POINTER, RWmoduleVar);
    SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_DATA_TYPE, VAL_INTEGER);
//  SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_LABEL_BGCOLOR, 0XB0B0B0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_DFLT_INDEX, 1);
    DefaultCtrl (hPanel, RWMODULVAR_READ_NOT_WRITE);
    SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_ON_VALUE, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_OFF_VALUE, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_BINARY_SWITCH_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_ON_TEXT, "READ");
    SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_OFF_TEXT, "WRITE");
    SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_HEIGHT, 30);
    SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_LABEL_TOP, 43);
    SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_LABEL_LEFT, 161);
    SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: RWMODULVAR_VAR_TYPE
    RWMODULVAR_VAR_TYPE = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Var Type", 210, 103);
    SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_CONSTANT_NAME, "VAR_TYPE");
//  SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_LABEL_WIDTH, 54);
    SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_WIDTH, 134);
    SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_LABEL_TOP, 213);
    SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_LABEL_LEFT, 47);
    SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: RWMODULVAR_CHIP
    RWMODULVAR_CHIP = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Chip", 188, 103);
    SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_CONSTANT_NAME, "CHIP");
//  SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_LABEL_WIDTH, 28);
    SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_WIDTH, 134);
    SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_LABEL_TOP, 191);
    SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_LABEL_LEFT, 74);
    SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: RWMODULVAR_DECORATION_2
    RWMODULVAR_DECORATION_2 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 348, 4);
    SetCtrlAttribute (hPanel, RWMODULVAR_DECORATION_2, ATTR_CONSTANT_NAME, "DECORATION_2");
//  SetCtrlAttribute (hPanel, RWMODULVAR_DECORATION_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RWMODULVAR_DECORATION_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_DECORATION_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_DECORATION_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_DECORATION_2, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, RWMODULVAR_DECORATION_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RWMODULVAR_DECORATION_2, ATTR_HEIGHT, 82);
    SetCtrlAttribute (hPanel, RWMODULVAR_DECORATION_2, ATTR_WIDTH, 342);

    // Build control: RWMODULVAR_TEXTMSG
    RWMODULVAR_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 343, 131);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG, ATTR_DFLT_VALUE, "OUTPUT DATA");
    DefaultCtrl (hPanel, RWMODULVAR_TEXTMSG);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG, ATTR_WIDTH, 91);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RWMODULVAR_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: RWMODULVAR_TEXTMSG_4
    RWMODULVAR_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 135);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, RWMODULVAR_TEXTMSG_4);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RWMODULVAR_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: RWMODULVAR_TEXTMSG_2
    RWMODULVAR_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 247, 320);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_2, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_2, ATTR_DFLT_VALUE, "W");
    DefaultCtrl (hPanel, RWMODULVAR_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_2, ATTR_WIDTH, 14);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RWMODULVAR_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: RWMODULVAR_DECORATION
    RWMODULVAR_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, RWMODULVAR_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, RWMODULVAR_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RWMODULVAR_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, RWMODULVAR_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RWMODULVAR_DECORATION, ATTR_HEIGHT, 300);
    SetCtrlAttribute (hPanel, RWMODULVAR_DECORATION, ATTR_WIDTH, 342);

    // Build control: RWMODULVAR_TEXTMSG_21
    RWMODULVAR_TEXTMSG_21 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 189, 102);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_21, ATTR_CONSTANT_NAME, "TEXTMSG_21");
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_21, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_21, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_21, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_21, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_21, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_21, ATTR_TEXT_COLOR, VAL_RED);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_21, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_21, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_21, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_21, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_21, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_21, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_21, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_21, ATTR_DFLT_VALUE, "RINGS FILLED IN fillPrimParams.c");
    DefaultCtrl (hPanel, RWMODULVAR_TEXTMSG_21);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_21, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_21, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_21, ATTR_WIDTH, 166);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_21, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_21, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RWMODULVAR_TEXTMSG_21, "", VAL_DS_READ, NULL, NULL);

    // Build control: RWMODULVAR_TEXTMSG_22
    RWMODULVAR_TEXTMSG_22 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 163, 197);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_22, ATTR_CONSTANT_NAME, "TEXTMSG_22");
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_22, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_22, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_22, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_22, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_22, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_22, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_22, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_22, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_22, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_22, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_22, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_22, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_22, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_22, ATTR_DFLT_VALUE, "ALL_MODULES= 254");
    DefaultCtrl (hPanel, RWMODULVAR_TEXTMSG_22);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_22, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_22, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_22, ATTR_WIDTH, 108);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_22, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_22, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RWMODULVAR_TEXTMSG_22, "", VAL_DS_READ, NULL, NULL);

    // Build control: RWMODULVAR_TEXTMSG_6
    RWMODULVAR_TEXTMSG_6 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 290, 58);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_6, ATTR_CONSTANT_NAME, "TEXTMSG_6");
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_6, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_6, ATTR_TEXT_COLOR, 0X000066);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_6, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_6, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_6, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_6, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_6, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_6, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_6, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_6, ATTR_DFLT_VALUE, "Always writes the whole file! (Length is not constant)");
    DefaultCtrl (hPanel, RWMODULVAR_TEXTMSG_6);
//  SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_6, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_6, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_6, ATTR_WIDTH, 248);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_6, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_6, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, RWMODULVAR_TEXTMSG_6, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_6, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_22, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_21, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_2, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG_4, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, RWMODULVAR_TEXTMSG, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, RWMODULVAR_DECORATION_2, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, RWMODULVAR_DECORATION, ATTR_ZPLANE_POSITION, 14);
    SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_ZPLANE_POSITION, 15);
    SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_ZPLANE_POSITION, 16);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, RWMODULVAR_OUT_FILE, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, RWMODULVAR_DATA_LEN, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, RWMODULVAR_INP_FILE, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, RWMODULVAR_MODULE, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, RWMODULVAR_GROUP_ID, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, RWMODULVAR_STRUCT_ID, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, RWMODULVAR_READ_NOT_WRITE, ATTR_CTRL_TAB_POSITION, 6);
    SetCtrlAttribute (hPanel, RWMODULVAR_VAR_TYPE, ATTR_CTRL_TAB_POSITION, 7);
    SetCtrlAttribute (hPanel, RWMODULVAR_CHIP, ATTR_CTRL_TAB_POSITION, 8);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(21*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(21*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_sendConfig ():  Build UI object SEND_CFGP; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_sendConfig (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "SendConfig", 21, 21, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "SEND_CFGP");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: SEND_CFGP_MODULE1
    SEND_CFGP_MODULE1 = NewCtrl (hPanel, CTRL_NUMERIC, "Port1", 226, 147);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_CONSTANT_NAME, "MODULE1");
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_LABEL_WIDTH, 28);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_MAX_VALUE, 255);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_PADDING, 2);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_DFLT_VALUE, 255);
    DefaultCtrl (hPanel, SEND_CFGP_MODULE1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_WIDTH, 50);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_LABEL_TOP, 229);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_LABEL_LEFT, 118);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SEND_CFGP_MODULE1, "", VAL_DS_READ, NULL, NULL);

    // Build control: SEND_CFGP_MODULE0
    SEND_CFGP_MODULE0 = NewCtrl (hPanel, CTRL_NUMERIC, "Port0", 206, 147);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_CONSTANT_NAME, "MODULE0");
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_LABEL_WIDTH, 28);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_MAX_VALUE, 255);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_PADDING, 2);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_DFLT_VALUE, 255);
    DefaultCtrl (hPanel, SEND_CFGP_MODULE0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_WIDTH, 50);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_LABEL_TOP, 209);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_LABEL_LEFT, 117);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SEND_CFGP_MODULE0, "", VAL_DS_READ, NULL, NULL);

    // Build control: SEND_CFGP_CMD_BUFF
    SEND_CFGP_CMD_BUFF = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Port", 61, 122);
    SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_CONSTANT_NAME, "CMD_BUFF");
//  SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, SEND_CFGP_CMD_BUFF, 0, "0", 0);
    InsertListItem (hPanel, SEND_CFGP_CMD_BUFF, 1, "1", 1);
    InsertListItem (hPanel, SEND_CFGP_CMD_BUFF, 2, "BOTH", 2);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_LABEL_WIDTH, 26);
    SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_DFLT_INDEX, 2);
    DefaultCtrl (hPanel, SEND_CFGP_CMD_BUFF);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_WIDTH, 98);
    SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_LABEL_TOP, 47);
    SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_LABEL_LEFT, 154);
    SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SEND_CFGP_TYPE
    SEND_CFGP_TYPE = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "DataType", 97, 122);
    SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_CONSTANT_NAME, "TYPE");
//  SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, SEND_CFGP_TYPE, 0, "BASIC", 0);
    InsertListItem (hPanel, SEND_CFGP_TYPE, 1, "TRIM", 1);
    InsertListItem (hPanel, SEND_CFGP_TYPE, 2, "ALL", 2);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_LABEL_WIDTH, 58);
    SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, SEND_CFGP_TYPE);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_WIDTH, 98);
    SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_LABEL_TOP, 83);
    SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_LABEL_LEFT, 136);
    SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SEND_CFGP_GROUP_ID
    SEND_CFGP_GROUP_ID = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Group ID", 166, 122);
    SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_CONSTANT_NAME, "GROUP_ID");
//  SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, SEND_CFGP_GROUP_ID, 0, "GROUP 0", 0);
    InsertListItem (hPanel, SEND_CFGP_GROUP_ID, 1, "GROUP 1", 1);
    InsertListItem (hPanel, SEND_CFGP_GROUP_ID, 2, "GROUP 2", 2);
    InsertListItem (hPanel, SEND_CFGP_GROUP_ID, 3, "GROUP 3", 3);
    InsertListItem (hPanel, SEND_CFGP_GROUP_ID, 4, "GROUP 4", 4);
    InsertListItem (hPanel, SEND_CFGP_GROUP_ID, 5, "GROUP 5", 5);
    InsertListItem (hPanel, SEND_CFGP_GROUP_ID, 6, "GROUP 6", 6);
    InsertListItem (hPanel, SEND_CFGP_GROUP_ID, 7, "GROUP 7", 7);
    InsertListItem (hPanel, SEND_CFGP_GROUP_ID, 8, "GROUP ALL", 8);
//  SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_LABEL_WIDTH, 54);
    SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_DFLT_INDEX, 8);
    DefaultCtrl (hPanel, SEND_CFGP_GROUP_ID);
//  SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_WIDTH, 98);
    SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_LABEL_TOP, 152);
    SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_LABEL_LEFT, 144);
    SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SEND_CFGP_STRUCT_ID
    SEND_CFGP_STRUCT_ID = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Struct ID", 131, 122);
    SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_CONSTANT_NAME, "STRUCT_ID");
//  SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, SEND_CFGP_STRUCT_ID, 0, "INIT", 0);
    InsertListItem (hPanel, SEND_CFGP_STRUCT_ID, 1, "WORK", 1);
    InsertListItem (hPanel, SEND_CFGP_STRUCT_ID, 2, "SPARE", 2);
//  SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_LABEL_WIDTH, 54);
    SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, SEND_CFGP_STRUCT_ID);
//  SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_WIDTH, 98);
    SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_LABEL_TOP, 117);
    SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_LABEL_LEFT, 143);
    SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SEND_CFGP_ENABLE_DATA_TAKING
    SEND_CFGP_ENABLE_DATA_TAKING = NewCtrl (hPanel, CTRL_CHECK_BOX, "Enable Data Taking", 383, 109);
    SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_CONSTANT_NAME, "ENABLE_DATA_TAKING");
//  SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_LABEL_WIDTH, 116);
    SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SEND_CFGP_ENABLE_DATA_TAKING);
    SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_HEIGHT, 16);
    SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_WIDTH, 16);
    SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_LABEL_TOP, 383);
    SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_LABEL_LEFT, 126);
    SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: SEND_CFGP_ACTIVE
    SEND_CFGP_ACTIVE = NewCtrl (hPanel, CTRL_CHECK_BOX, "Active  Only", 365, 109);
    SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_CONSTANT_NAME, "ACTIVE");
//  SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_LABEL_WIDTH, 72);
    SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SEND_CFGP_ACTIVE);
    SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_HEIGHT, 16);
    SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_WIDTH, 16);
    SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_LABEL_TOP, 365);
    SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_LABEL_LEFT, 126);
    SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: SEND_CFGP_RESTORE
    SEND_CFGP_RESTORE = NewCtrl (hPanel, CTRL_CHECK_BOX, "Restore", 347, 109);
    SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_CONSTANT_NAME, "RESTORE");
//  SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_LABEL_WIDTH, 47);
    SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SEND_CFGP_RESTORE);
    SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_HEIGHT, 16);
    SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_WIDTH, 16);
    SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_LABEL_TOP, 347);
    SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_LABEL_LEFT, 126);
    SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: SEND_CFGP_SET_LINKS
    SEND_CFGP_SET_LINKS = NewCtrl (hPanel, CTRL_CHECK_BOX, "setLinks", 330, 109);
    SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_CONSTANT_NAME, "SET_LINKS");
//  SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_LABEL_WIDTH, 50);
    SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SEND_CFGP_SET_LINKS);
    SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_HEIGHT, 16);
    SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_WIDTH, 16);
    SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_LABEL_TOP, 330);
    SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_LABEL_LEFT, 126);
    SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: SEND_CFGP_CAP_SER_ON
    SEND_CFGP_CAP_SER_ON = NewCtrl (hPanel, CTRL_CHECK_BOX, "Capture data to input FIFOs", 299, 109);
    SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_CONSTANT_NAME, "CAP_SER_ON");
//  SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_LABEL_WIDTH, 160);
    SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SEND_CFGP_CAP_SER_ON);
    SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_HEIGHT, 16);
    SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_WIDTH, 16);
    SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_LABEL_TOP, 299);
    SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_LABEL_LEFT, 126);
    SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: SEND_CFGP_CHIP
    SEND_CFGP_CHIP = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Chip", 266, 108);
    SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_CONSTANT_NAME, "CHIP");
//  SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_LABEL_WIDTH, 28);
    SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_WIDTH, 134);
    SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_LABEL_TOP, 252);
    SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_LABEL_LEFT, 160);
    SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SEND_CFGP_DECORATION
    SEND_CFGP_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, SEND_CFGP_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, SEND_CFGP_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, SEND_CFGP_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SEND_CFGP_DECORATION, ATTR_HEIGHT, 380);
    SetCtrlAttribute (hPanel, SEND_CFGP_DECORATION, ATTR_WIDTH, 342);

    // Build control: SEND_CFGP_TEXTMSG_4
    SEND_CFGP_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 135);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, SEND_CFGP_TEXTMSG_4);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SEND_CFGP_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: SEND_CFGP_TEXTMSG
    SEND_CFGP_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 211, 201);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG, ATTR_DFLT_VALUE, "NO_MODULE   = 255\nALL_MODULES= 254");
    DefaultCtrl (hPanel, SEND_CFGP_TEXTMSG);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG, ATTR_HEIGHT, 28);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG, ATTR_WIDTH, 108);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SEND_CFGP_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: SEND_CFGP_TEXTMSG_2
    SEND_CFGP_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 192, 152);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_2, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_2, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_2, ATTR_DFLT_VALUE, "Module");
    DefaultCtrl (hPanel, SEND_CFGP_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_2, ATTR_WIDTH, 44);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SEND_CFGP_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: SEND_CFGP_TEXTMSG_5
    SEND_CFGP_TEXTMSG_5 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 311, 129);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_5, ATTR_CONSTANT_NAME, "TEXTMSG_5");
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_5, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_5, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_5, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_5, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_5, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_5, ATTR_DFLT_VALUE, "(set bit 19 in RRIF_CMND1 reg.)");
    DefaultCtrl (hPanel, SEND_CFGP_TEXTMSG_5);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_5, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_5, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_5, ATTR_WIDTH, 156);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_5, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_5, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SEND_CFGP_TEXTMSG_5, "", VAL_DS_READ, NULL, NULL);

    // Build control: SEND_CFGP_TEXTMSG_21
    SEND_CFGP_TEXTMSG_21 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 267, 107);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_21, ATTR_CONSTANT_NAME, "TEXTMSG_21");
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_21, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_21, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_21, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_21, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_21, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_21, ATTR_TEXT_COLOR, VAL_RED);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_21, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_21, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_21, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_21, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_21, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_21, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_21, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_21, ATTR_DFLT_VALUE, "RINGS FILLED IN fillPrimParams.c");
    DefaultCtrl (hPanel, SEND_CFGP_TEXTMSG_21);
//  SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_21, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_21, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_21, ATTR_WIDTH, 166);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_21, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_21, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SEND_CFGP_TEXTMSG_21, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_21, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_5, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_2, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_ZPLANE_POSITION, 14);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_ZPLANE_POSITION, 15);
    SetCtrlAttribute (hPanel, SEND_CFGP_TEXTMSG_4, ATTR_ZPLANE_POSITION, 16);
    SetCtrlAttribute (hPanel, SEND_CFGP_DECORATION, ATTR_ZPLANE_POSITION, 17);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE1, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, SEND_CFGP_MODULE0, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, SEND_CFGP_CMD_BUFF, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, SEND_CFGP_TYPE, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, SEND_CFGP_GROUP_ID, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, SEND_CFGP_STRUCT_ID, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, SEND_CFGP_ENABLE_DATA_TAKING, ATTR_CTRL_TAB_POSITION, 6);
    SetCtrlAttribute (hPanel, SEND_CFGP_ACTIVE, ATTR_CTRL_TAB_POSITION, 7);
    SetCtrlAttribute (hPanel, SEND_CFGP_RESTORE, ATTR_CTRL_TAB_POSITION, 8);
    SetCtrlAttribute (hPanel, SEND_CFGP_SET_LINKS, ATTR_CTRL_TAB_POSITION, 9);
    SetCtrlAttribute (hPanel, SEND_CFGP_CAP_SER_ON, ATTR_CTRL_TAB_POSITION, 10);
    SetCtrlAttribute (hPanel, SEND_CFGP_CHIP, ATTR_CTRL_TAB_POSITION, 11);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(21*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(21*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_sendData ():  Build UI object SEND_DATAP; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_sendData (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "SendData", 11, 11, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "SEND_DATAP");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: SEND_DATAP_OUT_FILE
    SEND_DATAP_OUT_FILE = NewCtrl (hPanel, CTRL_STRING, "OUTPUT FILE", 361, 9);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_CONSTANT_NAME, "OUT_FILE");
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_CALLBACK_FUNCTION_POINTER, sendData);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_LABEL_WIDTH, 73);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, SEND_DATAP_OUT_FILE);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_MAX_ENTRY_LENGTH, 99);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_WIDTH, 330);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_LABEL_TOP, 347);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_LABEL_LEFT, 12);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, SEND_DATAP_OUT_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: SEND_DATAP_AUX
    SEND_DATAP_AUX = NewCtrl (hPanel, CTRL_NUMERIC, "AuxValue", 133, 132);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_CONSTANT_NAME, "AUX");
//  SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_LABEL_WIDTH, 56);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SEND_DATAP_AUX);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_LABEL_TOP, 118);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_LABEL_LEFT, 142);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SEND_DATAP_AUX, "", VAL_DS_READ, NULL, NULL);

    // Build control: SEND_DATAP_TIMEOUT
    SEND_DATAP_TIMEOUT = NewCtrl (hPanel, CTRL_NUMERIC, "Timeout", 171, 132);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_CONSTANT_NAME, "TIMEOUT");
//  SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_LABEL_WIDTH, 48);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SEND_DATAP_TIMEOUT);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_LABEL_TOP, 156);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_LABEL_LEFT, 147);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SEND_DATAP_TIMEOUT, "", VAL_DS_READ, NULL, NULL);

    // Build control: SEND_DATAP_OUTPUT_OPT
    SEND_DATAP_OUTPUT_OPT = NewCtrl (hPanel, CTRL_CHECK_BOX, "SAVE OUTPUT DATA TO FILE?", 337, 103);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_CONSTANT_NAME, "OUTPUT_OPT");
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_CALLBACK_FUNCTION_POINTER, sendData);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_LABEL_WIDTH, 160);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SEND_DATAP_OUTPUT_OPT);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_HEIGHT, 16);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_WIDTH, 16);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_LABEL_TOP, 338);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_LABEL_LEFT, 120);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: SEND_DATAP_DATA_TYPE
    SEND_DATAP_DATA_TYPE = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "DataType", 97, 90);
    SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_CONSTANT_NAME, "DATA_TYPE");
//  SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_LABEL_WIDTH, 58);
    SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_WIDTH, 169);
    SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_LABEL_TOP, 82);
    SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_LABEL_LEFT, 140);
    SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SEND_DATAP_REPBUFF_FLAG
    SEND_DATAP_REPBUFF_FLAG = NewCtrl (hPanel, CTRL_CHECK_BOX, "ReplyBuffer Flag", 199, 132);
    SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_CONSTANT_NAME, "REPBUFF_FLAG");
//  SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_LABEL_WIDTH, 81);
    SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SEND_DATAP_REPBUFF_FLAG);
    SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_LABEL_TOP, 199);
    SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_LABEL_LEFT, 148);
    SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: SEND_DATAP_DECORATION_2
    SEND_DATAP_DECORATION_2 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 308, 4);
    SetCtrlAttribute (hPanel, SEND_DATAP_DECORATION_2, ATTR_CONSTANT_NAME, "DECORATION_2");
//  SetCtrlAttribute (hPanel, SEND_DATAP_DECORATION_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_DATAP_DECORATION_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_DECORATION_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_DECORATION_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_DECORATION_2, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, SEND_DATAP_DECORATION_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SEND_DATAP_DECORATION_2, ATTR_HEIGHT, 82);
    SetCtrlAttribute (hPanel, SEND_DATAP_DECORATION_2, ATTR_WIDTH, 342);

    // Build control: SEND_DATAP_TEXTMSG
    SEND_DATAP_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 303, 131);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG, ATTR_DFLT_VALUE, "OUTPUT DATA");
    DefaultCtrl (hPanel, SEND_DATAP_TEXTMSG);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG, ATTR_WIDTH, 91);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SEND_DATAP_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: SEND_DATAP_TEXTMSG_4
    SEND_DATAP_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 135);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, SEND_DATAP_TEXTMSG_4);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SEND_DATAP_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: SEND_DATAP_DECORATION
    SEND_DATAP_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, SEND_DATAP_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, SEND_DATAP_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_DATAP_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, SEND_DATAP_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SEND_DATAP_DECORATION, ATTR_HEIGHT, 260);
    SetCtrlAttribute (hPanel, SEND_DATAP_DECORATION, ATTR_WIDTH, 342);

    // Build control: SEND_DATAP_TEXTMSG_3
    SEND_DATAP_TEXTMSG_3 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 98, 87);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_3, ATTR_CONSTANT_NAME, "TEXTMSG_3");
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_3, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_3, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_3, ATTR_TEXT_COLOR, VAL_RED);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_3, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_3, ATTR_DFLT_VALUE, "RING FILLED IN loadExitHost.c");
    DefaultCtrl (hPanel, SEND_DATAP_TEXTMSG_3);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_3, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_3, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_3, ATTR_WIDTH, 154);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_3, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_3, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SEND_DATAP_TEXTMSG_3, "", VAL_DS_READ, NULL, NULL);

    // Build control: SEND_DATAP_TEXTMSG_2
    SEND_DATAP_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 174, 204);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_2, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_2, ATTR_DFLT_VALUE, "Sec");
    DefaultCtrl (hPanel, SEND_DATAP_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_2, ATTR_WIDTH, 28);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SEND_DATAP_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_2, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_3, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG_4, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, SEND_DATAP_DECORATION, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, SEND_DATAP_TEXTMSG, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, SEND_DATAP_DECORATION_2, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_ZPLANE_POSITION, 11);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, SEND_DATAP_OUT_FILE, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, SEND_DATAP_AUX, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, SEND_DATAP_TIMEOUT, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, SEND_DATAP_OUTPUT_OPT, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, SEND_DATAP_DATA_TYPE, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, SEND_DATAP_REPBUFF_FLAG, ATTR_CTRL_TAB_POSITION, 5);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(11*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(11*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_sendSlaveList ():  Build UI object SEND_SLIST; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_sendSlaveList (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "SendSlaveList", 41, 41, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "SEND_SLIST");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: SEND_SLIST_EDIT_SLAVE_LIST
    SEND_SLIST_EDIT_SLAVE_LIST = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "EDIT SLAVE LIST", 220, 111);
    SetCtrlAttribute (hPanel, SEND_SLIST_EDIT_SLAVE_LIST, ATTR_CONSTANT_NAME, "EDIT_SLAVE_LIST");
//  SetCtrlAttribute (hPanel, SEND_SLIST_EDIT_SLAVE_LIST, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SEND_SLIST_EDIT_SLAVE_LIST, ATTR_CALLBACK_FUNCTION_POINTER, editSlaveList);
    SetCtrlAttribute (hPanel, SEND_SLIST_EDIT_SLAVE_LIST, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_EDIT_SLAVE_LIST, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, SEND_SLIST_EDIT_SLAVE_LIST, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, SEND_SLIST_EDIT_SLAVE_LIST, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_SLIST_EDIT_SLAVE_LIST, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SEND_SLIST_EDIT_SLAVE_LIST, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_EDIT_SLAVE_LIST, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_EDIT_SLAVE_LIST, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_EDIT_SLAVE_LIST, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SEND_SLIST_EDIT_SLAVE_LIST, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SEND_SLIST_EDIT_SLAVE_LIST, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SEND_SLIST_EDIT_SLAVE_LIST, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SEND_SLIST_EDIT_SLAVE_LIST);
    SetCtrlAttribute (hPanel, SEND_SLIST_EDIT_SLAVE_LIST, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SEND_SLIST_EDIT_SLAVE_LIST, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, SEND_SLIST_EDIT_SLAVE_LIST, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, SEND_SLIST_EDIT_SLAVE_LIST, ATTR_WIDTH, 115);

    // Build control: SEND_SLIST_SLV_ID
    SEND_SLIST_SLV_ID = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Slave#", 113, 139);
    SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_CONSTANT_NAME, "SLV_ID");
//  SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, SEND_SLIST_SLV_ID, 0, "0", 0);
    InsertListItem (hPanel, SEND_SLIST_SLV_ID, 1, "1", 1);
    InsertListItem (hPanel, SEND_SLIST_SLV_ID, 2, "2", 2);
    InsertListItem (hPanel, SEND_SLIST_SLV_ID, 3, "3", 3);
//  SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_LABEL_POINT_SIZE, 16);
    SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_LABEL_WIDTH, 57);
    SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_LABEL_HEIGHT, 22);
//  SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_TEXT_FONT, "Arial");
//  SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_TEXT_POINT_SIZE, 22);
    SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, SEND_SLIST_SLV_ID);
//  SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_WIDTH, 60);
    SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_LABEL_TOP, 94);
    SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_LABEL_LEFT, 142);
    SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SEND_SLIST_LIST_LENGTH
    SEND_SLIST_LIST_LENGTH = NewCtrl (hPanel, CTRL_NUMERIC, "ListLength", 179, 133);
    SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_CONSTANT_NAME, "LIST_LENGTH");
//  SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_LABEL_WIDTH, 52);
    SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SEND_SLIST_LIST_LENGTH);
    SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_WIDTH, 68);
    SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_LABEL_TOP, 160);
    SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_LABEL_LEFT, 142);
    SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SEND_SLIST_LIST_LENGTH, "", VAL_DS_READ, NULL, NULL);

    // Build control: SEND_SLIST_DECORATION
    SEND_SLIST_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, SEND_SLIST_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, SEND_SLIST_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_SLIST_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, SEND_SLIST_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SEND_SLIST_DECORATION, ATTR_HEIGHT, 260);
    SetCtrlAttribute (hPanel, SEND_SLIST_DECORATION, ATTR_WIDTH, 342);

    // Build control: SEND_SLIST_TEXTMSG_4
    SEND_SLIST_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 135);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, SEND_SLIST_TEXTMSG_4);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SEND_SLIST_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: SEND_SLIST_TEXTMSG_7
    SEND_SLIST_TEXTMSG_7 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 261, 15);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_7, ATTR_CONSTANT_NAME, "TEXTMSG_7");
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_7, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_7, ATTR_TEXT_COLOR, 0X0000CC);
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_7, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_7, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_7, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_7, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_7, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_7, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_7, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_7, ATTR_DFLT_VALUE, "SlaveList can be edited after this primitive is inserted into MasterList.");
    DefaultCtrl (hPanel, SEND_SLIST_TEXTMSG_7);
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_7, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_7, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_7, ATTR_WIDTH, 322);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_7, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_7, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SEND_SLIST_TEXTMSG_7, "", VAL_DS_READ, NULL, NULL);

    // Build control: SEND_SLIST_TEXTMSG
    SEND_SLIST_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 182, 201);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG, ATTR_DFLT_VALUE, "W");
    DefaultCtrl (hPanel, SEND_SLIST_TEXTMSG);
//  SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG, ATTR_WIDTH, 14);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SEND_SLIST_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_7, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, SEND_SLIST_EDIT_SLAVE_LIST, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, SEND_SLIST_TEXTMSG_4, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, SEND_SLIST_DECORATION, ATTR_ZPLANE_POSITION, 6);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, SEND_SLIST_EDIT_SLAVE_LIST, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, SEND_SLIST_SLV_ID, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, SEND_SLIST_LIST_LENGTH, ATTR_CTRL_TAB_POSITION, 2);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(41*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(41*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_sendStream ():  Build UI object SEND_STRM; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_sendStream (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "SendStream", 31, 31, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "SEND_STRM");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: SEND_STRM_CMD_BUFF
    SEND_STRM_CMD_BUFF = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Port", 70, 122);
    SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_CONSTANT_NAME, "CMD_BUFF");
//  SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, SEND_STRM_CMD_BUFF, 0, "0", 0);
    InsertListItem (hPanel, SEND_STRM_CMD_BUFF, 1, "1", 1);
    InsertListItem (hPanel, SEND_STRM_CMD_BUFF, 2, "BOTH", 2);
//  SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_LABEL_WIDTH, 26);
    SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_DFLT_INDEX, 2);
    DefaultCtrl (hPanel, SEND_STRM_CMD_BUFF);
//  SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_WIDTH, 98);
    SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_LABEL_TOP, 56);
    SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_LABEL_LEFT, 154);
    SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SEND_STRM_CAP_SER_ON
    SEND_STRM_CAP_SER_ON = NewCtrl (hPanel, CTRL_CHECK_BOX, "Capture data to input FIFOs", 110, 87);
    SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_CONSTANT_NAME, "CAP_SER_ON");
//  SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_LABEL_WIDTH, 160);
    SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SEND_STRM_CAP_SER_ON);
    SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_HEIGHT, 16);
    SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_WIDTH, 16);
    SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_LABEL_TOP, 110);
    SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_LABEL_LEFT, 104);
    SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: SEND_STRM_DECORATION
    SEND_STRM_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, SEND_STRM_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, SEND_STRM_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_STRM_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_STRM_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_STRM_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_STRM_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, SEND_STRM_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SEND_STRM_DECORATION, ATTR_HEIGHT, 260);
    SetCtrlAttribute (hPanel, SEND_STRM_DECORATION, ATTR_WIDTH, 342);

    // Build control: SEND_STRM_TEXTMSG_4
    SEND_STRM_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 135);
    SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, SEND_STRM_TEXTMSG_4);
    SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SEND_STRM_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: SEND_STRM_TEXTMSG_5
    SEND_STRM_TEXTMSG_5 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 124, 107);
    SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_5, ATTR_CONSTANT_NAME, "TEXTMSG_5");
//  SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_5, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_5, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_5, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_5, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_5, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_5, ATTR_DFLT_VALUE, "(set bit 19 in RRIF_CMND1 reg.)");
    DefaultCtrl (hPanel, SEND_STRM_TEXTMSG_5);
//  SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_5, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_5, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_5, ATTR_WIDTH, 156);
    SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_5, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_5, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SEND_STRM_TEXTMSG_5, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_5, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, SEND_STRM_TEXTMSG_4, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, SEND_STRM_DECORATION, ATTR_ZPLANE_POSITION, 4);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, SEND_STRM_CMD_BUFF, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, SEND_STRM_CAP_SER_ON, ATTR_CTRL_TAB_POSITION, 1);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(31*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(31*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_setMessageMask ():  Build UI object SET_ERRMSK; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_setMessageMask (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "SetErrorMsgMask", 41, 25, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "SET_ERRMSK");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: SET_ERRMSK_ERRMSG_MASK
    SET_ERRMSK_ERRMSG_MASK = NewCtrl (hPanel, CTRL_NUMERIC, "ErrMsgMask", 94, 135);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_CONSTANT_NAME, "ERRMSG_MASK");
//  SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_LABEL_WIDTH, 72);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_ERRMSK_ERRMSG_MASK);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_LABEL_TOP, 80);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_LABEL_LEFT, 137);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_ERRMSK_ERRMSG_MASK, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_ERRMSK_DECORATION
    SET_ERRMSK_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, SET_ERRMSK_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, SET_ERRMSK_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_ERRMSK_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_ERRMSK_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, SET_ERRMSK_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SET_ERRMSK_DECORATION, ATTR_HEIGHT, 141);
    SetCtrlAttribute (hPanel, SET_ERRMSK_DECORATION, ATTR_WIDTH, 342);

    // Build control: SET_ERRMSK_DECORATION_2
    SET_ERRMSK_DECORATION_2 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 218, 4);
    SetCtrlAttribute (hPanel, SET_ERRMSK_DECORATION_2, ATTR_CONSTANT_NAME, "DECORATION_2");
//  SetCtrlAttribute (hPanel, SET_ERRMSK_DECORATION_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_DECORATION_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_ERRMSK_DECORATION_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_DECORATION_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_ERRMSK_DECORATION_2, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, SET_ERRMSK_DECORATION_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SET_ERRMSK_DECORATION_2, ATTR_HEIGHT, 100);
    SetCtrlAttribute (hPanel, SET_ERRMSK_DECORATION_2, ATTR_WIDTH, 342);

    // Build control: SET_ERRMSK_TEXTMSG
    SET_ERRMSK_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 213, 131);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG, ATTR_DFLT_VALUE, "OUTPUT DATA");
    DefaultCtrl (hPanel, SET_ERRMSK_TEXTMSG);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG, ATTR_WIDTH, 91);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_ERRMSK_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_ERRMSK_TEXTMSG_4
    SET_ERRMSK_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 131);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, SET_ERRMSK_TEXTMSG_4);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_ERRMSK_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_ERRMSK_TEXTMSG_6
    SET_ERRMSK_TEXTMSG_6 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 268, 87);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_6, ATTR_CONSTANT_NAME, "TEXTMSG_6");
//  SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_6, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_6, ATTR_TEXT_COLOR, 0X0000CC);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_6, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_6, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_6, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_6, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_6, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_6, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_6, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_6, ATTR_DFLT_VALUE, "Last reply in ROD Status Window.");
    DefaultCtrl (hPanel, SET_ERRMSK_TEXTMSG_6);
//  SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_6, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_6, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_6, ATTR_WIDTH, 164);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_6, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_6, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_ERRMSK_TEXTMSG_6, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_6, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG_4, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, SET_ERRMSK_TEXTMSG, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, SET_ERRMSK_DECORATION_2, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, SET_ERRMSK_DECORATION, ATTR_ZPLANE_POSITION, 5);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, SET_ERRMSK_ERRMSG_MASK, ATTR_CTRL_TAB_POSITION, 0);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(41*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(25*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_setLed ():  Build UI object SET_LEDP; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_setLed (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "SetLed", 71, 71, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "SET_LEDP");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: SET_LEDP_LED_STATE
    SET_LEDP_LED_STATE = NewCtrl (hPanel, CTRL_RING_VSLIDE, "State", 104, 178);
    SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_CONSTANT_NAME, "LED_STATE");
//  SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, SET_LEDP_LED_STATE, 0, "OFF", 0);
    InsertListItem (hPanel, SET_LEDP_LED_STATE, 1, "ON", 1);
    InsertListItem (hPanel, SET_LEDP_LED_STATE, 2, "Toggle", 2);
//  SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_LABEL_WIDTH, 33);
    SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_TEXT_BOLD, 0);
//  SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, SET_LEDP_LED_STATE);
    SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_NEEDLE_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_FILL_HOUSING_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_TICK_STYLE, VAL_NO_MINOR_TICKS);
    SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_FILL_COLOR, VAL_RED);
    SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_FILL_OPTION, VAL_NO_FILL);
    SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_HEIGHT, 34);
    SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_WIDTH, 6);
    SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_LABEL_TOP, 79);
    SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_LABEL_LEFT, 160);
    SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_SLIDER_LEFT, 175);
    SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_SLIDER_WIDTH, 12);
    SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_SLIDER_HEIGHT, 10);
    SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: SET_LEDP_NUMBER
    SET_LEDP_NUMBER = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "LED Number", 183, 140);
    SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_CONSTANT_NAME, "NUMBER");
//  SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, SET_LEDP_NUMBER, 0, "Yellow", 0);
    InsertListItem (hPanel, SET_LEDP_NUMBER, 1, "Green", 1);
    InsertListItem (hPanel, SET_LEDP_NUMBER, 2, "Red", 2);
//  SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_LABEL_WIDTH, 74);
    SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, SET_LEDP_NUMBER);
//  SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_WIDTH, 57);
    SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_LABEL_TOP, 166);
    SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_LABEL_LEFT, 135);
    SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SET_LEDP_TEXTMSG_4
    SET_LEDP_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 135);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, SET_LEDP_TEXTMSG_4);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_LEDP_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_LEDP_DECORATION
    SET_LEDP_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, SET_LEDP_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, SET_LEDP_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_LEDP_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_LEDP_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_LEDP_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_LEDP_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, SET_LEDP_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SET_LEDP_DECORATION, ATTR_HEIGHT, 260);
    SetCtrlAttribute (hPanel, SET_LEDP_DECORATION, ATTR_WIDTH, 342);

    // Build control: SET_LEDP_TEXTMSG_2
    SET_LEDP_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 214, 97);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_2, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_2, ATTR_DFLT_VALUE, "For slaves only yellow LED exists,");
    DefaultCtrl (hPanel, SET_LEDP_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_2, ATTR_WIDTH, 161);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_LEDP_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_LEDP_TEXTMSG_5
    SET_LEDP_TEXTMSG_5 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 230, 65);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_5, ATTR_CONSTANT_NAME, "TEXTMSG_5");
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_5, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_5, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_5, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_5, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_5, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_5, ATTR_DFLT_VALUE, "therefore any number will access the yellow one.");
    DefaultCtrl (hPanel, SET_LEDP_TEXTMSG_5);
//  SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_5, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_5, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_5, ATTR_WIDTH, 231);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_5, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_5, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_LEDP_TEXTMSG_5, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_5, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_2, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, SET_LEDP_TEXTMSG_4, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, SET_LEDP_DECORATION, ATTR_ZPLANE_POSITION, 5);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, SET_LEDP_LED_STATE, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, SET_LEDP_NUMBER, ATTR_CTRL_TAB_POSITION, 1);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(71*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(71*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_setMemory ():  Build UI object SET_MEMP; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_setMemory (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "SetMemory", 51, 35, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "SET_MEMP");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: SET_MEMP_VALUE
    SET_MEMP_VALUE = NewCtrl (hPanel, CTRL_NUMERIC, "Value", 141, 135);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_CONSTANT_NAME, "VALUE");
//  SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_LABEL_WIDTH, 35);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_TEXT_BGCOLOR, 0XFFFFCC);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_MEMP_VALUE);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_LABEL_TOP, 127);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_LABEL_LEFT, 156);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_MEMP_VALUE, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_MEMP_SIZE
    SET_MEMP_SIZE = NewCtrl (hPanel, CTRL_NUMERIC, "Size", 99, 135);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_CONSTANT_NAME, "SIZE");
//  SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_LABEL_WIDTH, 27);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_MEMP_SIZE);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_LABEL_TOP, 85);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_LABEL_LEFT, 160);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_MEMP_SIZE, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_MEMP_START_ADDR
    SET_MEMP_START_ADDR = NewCtrl (hPanel, CTRL_NUMERIC, "StartAddr", 66, 135);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_CONSTANT_NAME, "START_ADDR");
//  SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_CALLBACK_FUNCTION_POINTER, wordBoundary);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_LABEL_WIDTH, 56);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_MEMP_START_ADDR);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_LABEL_TOP, 52);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_LABEL_LEFT, 145);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_MEMP_START_ADDR, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_MEMP_DECORATION
    SET_MEMP_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, SET_MEMP_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, SET_MEMP_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_MEMP_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, SET_MEMP_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SET_MEMP_DECORATION, ATTR_HEIGHT, 155);
    SetCtrlAttribute (hPanel, SET_MEMP_DECORATION, ATTR_WIDTH, 342);

    // Build control: SET_MEMP_TEXTMSG_4
    SET_MEMP_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 131);
    SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, SET_MEMP_TEXTMSG_4);
    SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_MEMP_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_MEMP_TEXTMSG
    SET_MEMP_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 101, 208);
    SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG, ATTR_DFLT_VALUE, "words");
    DefaultCtrl (hPanel, SET_MEMP_TEXTMSG);
//  SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG, ATTR_WIDTH, 31);
    SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_MEMP_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, SET_MEMP_TEXTMSG_4, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, SET_MEMP_DECORATION, ATTR_ZPLANE_POSITION, 5);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, SET_MEMP_VALUE, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, SET_MEMP_SIZE, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, SET_MEMP_START_ADDR, ATTR_CTRL_TAB_POSITION, 2);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(51*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(35*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_setTrigger ():  Build UI object SET_TRGP; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_setTrigger (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "SetTrigger", 31, 31, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "SET_TRGP");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: SET_TRGP_CMD1_5
    SET_TRGP_CMD1_5 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "5", 323, 17);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_CONSTANT_NAME, "CMD1_5");
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_LABEL_TOP, 326);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_LABEL_LEFT, 6);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SET_TRGP_CMD1_4
    SET_TRGP_CMD1_4 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "4", 303, 17);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_CONSTANT_NAME, "CMD1_4");
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_LABEL_TOP, 306);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_LABEL_LEFT, 6);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SET_TRGP_CMD1_3
    SET_TRGP_CMD1_3 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "3", 283, 17);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_CONSTANT_NAME, "CMD1_3");
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_LABEL_TOP, 286);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_LABEL_LEFT, 6);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SET_TRGP_CMD1_2
    SET_TRGP_CMD1_2 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "2", 263, 17);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_CONSTANT_NAME, "CMD1_2");
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_LABEL_TOP, 266);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_LABEL_LEFT, 6);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SET_TRGP_CMD1_1
    SET_TRGP_CMD1_1 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "1", 243, 17);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_CONSTANT_NAME, "CMD1_1");
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_LABEL_TOP, 246);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_LABEL_LEFT, 6);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SET_TRGP_CMD1_0
    SET_TRGP_CMD1_0 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "0", 223, 17);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_CONSTANT_NAME, "CMD1_0");
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_LABEL_TOP, 226);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_LABEL_LEFT, 6);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SET_TRGP_CMD0_5
    SET_TRGP_CMD0_5 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "5", 187, 17);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_CONSTANT_NAME, "CMD0_5");
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_LABEL_TOP, 190);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_LABEL_LEFT, 6);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SET_TRGP_CMD0_4
    SET_TRGP_CMD0_4 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "4", 167, 17);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_CONSTANT_NAME, "CMD0_4");
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_LABEL_TOP, 170);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_LABEL_LEFT, 6);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SET_TRGP_CMD0_3
    SET_TRGP_CMD0_3 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "3", 147, 17);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_CONSTANT_NAME, "CMD0_3");
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_LABEL_TOP, 150);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_LABEL_LEFT, 6);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SET_TRGP_DINCR1
    SET_TRGP_DINCR1 = NewCtrl (hPanel, CTRL_NUMERIC, "Data Inc", 223, 277);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_CONSTANT_NAME, "DINCR1");
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_FRAME_COLOR, 0XCF7363);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_LABEL_WIDTH, 52);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_TRGP_DINCR1);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_LABEL_TOP, 208);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_LABEL_LEFT, 284);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_DINCR1, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_CHIP
    SET_TRGP_CHIP = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Chip", 403, 111);
    SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_CONSTANT_NAME, "CHIP");
//  SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, SET_TRGP_CHIP, 0, "ALL", 63);
    InsertListItem (hPanel, SET_TRGP_CHIP, 1, "M0", 0);
    InsertListItem (hPanel, SET_TRGP_CHIP, 2, "S1", 1);
    InsertListItem (hPanel, SET_TRGP_CHIP, 3, "S2", 2);
    InsertListItem (hPanel, SET_TRGP_CHIP, 4, "S3", 3);
    InsertListItem (hPanel, SET_TRGP_CHIP, 5, "S4", 4);
    InsertListItem (hPanel, SET_TRGP_CHIP, 6, "E5", 5);
    InsertListItem (hPanel, SET_TRGP_CHIP, 7, "M8", 8);
    InsertListItem (hPanel, SET_TRGP_CHIP, 8, "S9", 9);
    InsertListItem (hPanel, SET_TRGP_CHIP, 9, "S10", 10);
    InsertListItem (hPanel, SET_TRGP_CHIP, 10, "S11", 11);
    InsertListItem (hPanel, SET_TRGP_CHIP, 11, "S12", 12);
    InsertListItem (hPanel, SET_TRGP_CHIP, 12, "E13", 13);
//  SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_LABEL_WIDTH, 28);
    SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, SET_TRGP_CHIP);
//  SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_LABEL_TOP, 406);
    SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_LABEL_LEFT, 82);
    SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SET_TRGP_CMD0_2
    SET_TRGP_CMD0_2 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "2", 127, 17);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_CONSTANT_NAME, "CMD0_2");
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_LABEL_TOP, 130);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_LABEL_LEFT, 6);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SET_TRGP_CMD0_1
    SET_TRGP_CMD0_1 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "1", 107, 17);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_CONSTANT_NAME, "CMD0_1");
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_LABEL_TOP, 110);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_LABEL_LEFT, 6);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SET_TRGP_DATA1_1
    SET_TRGP_DATA1_1 = NewCtrl (hPanel, CTRL_NUMERIC, "", 243, 195);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_CONSTANT_NAME, "DATA1_1");
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_TRGP_DATA1_1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_LABEL_TOP, 227);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_LABEL_LEFT, 231);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_DATA1_1, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_DATA1_5
    SET_TRGP_DATA1_5 = NewCtrl (hPanel, CTRL_NUMERIC, "", 323, 195);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_CONSTANT_NAME, "DATA1_5");
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_TRGP_DATA1_5);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_LABEL_TOP, 307);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_LABEL_LEFT, 231);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_DATA1_5, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_DATA1_4
    SET_TRGP_DATA1_4 = NewCtrl (hPanel, CTRL_NUMERIC, "", 303, 195);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_CONSTANT_NAME, "DATA1_4");
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_TRGP_DATA1_4);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_LABEL_TOP, 287);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_LABEL_LEFT, 231);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_DATA1_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_DATA1_3
    SET_TRGP_DATA1_3 = NewCtrl (hPanel, CTRL_NUMERIC, "", 283, 195);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_CONSTANT_NAME, "DATA1_3");
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_TRGP_DATA1_3);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_LABEL_TOP, 267);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_LABEL_LEFT, 231);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_DATA1_3, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_DATA1_2
    SET_TRGP_DATA1_2 = NewCtrl (hPanel, CTRL_NUMERIC, "", 263, 195);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_CONSTANT_NAME, "DATA1_2");
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_TRGP_DATA1_2);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_LABEL_TOP, 247);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_LABEL_LEFT, 231);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_DATA1_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_DATA1_0
    SET_TRGP_DATA1_0 = NewCtrl (hPanel, CTRL_NUMERIC, "", 223, 195);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_CONSTANT_NAME, "DATA1_0");
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_TRGP_DATA1_0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_LABEL_TOP, 207);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_LABEL_LEFT, 231);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_DATA1_0, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_CINCR1
    SET_TRGP_CINCR1 = NewCtrl (hPanel, CTRL_RING_POINTER_VSLIDE, "", 232, 266);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_CONSTANT_NAME, "CINCR1");
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, SET_TRGP_CINCR1, 0, "", 0);
    InsertListItem (hPanel, SET_TRGP_CINCR1, 1, "", 1);
    InsertListItem (hPanel, SET_TRGP_CINCR1, 2, "", 2);
    InsertListItem (hPanel, SET_TRGP_CINCR1, 3, "", 3);
    InsertListItem (hPanel, SET_TRGP_CINCR1, 4, "", 4);
    InsertListItem (hPanel, SET_TRGP_CINCR1, 5, "", 5);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_TEXT_BOLD, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, SET_TRGP_CINCR1);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_NEEDLE_COLOR, 0XCF7363);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_FILL_HOUSING_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_TICK_STYLE, VAL_NO_MINOR_TICKS);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_FILL_COLOR, VAL_RED);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_FILL_OPTION, VAL_NO_FILL);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_HEIGHT, 102);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_WIDTH, 5);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_LABEL_TOP, 208);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_LABEL_LEFT, 257);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_SLIDER_LEFT, 257);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_SLIDER_WIDTH, 18);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_SLIDER_HEIGHT, 18);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: SET_TRGP_CMD0_0
    SET_TRGP_CMD0_0 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "0", 87, 17);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_CONSTANT_NAME, "CMD0_0");
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_LABEL_TOP, 90);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_LABEL_LEFT, 6);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SET_TRGP_CMD_BUFF
    SET_TRGP_CMD_BUFF = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Cmd Buffer", 354, 111);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_CONSTANT_NAME, "CMD_BUFF");
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
    InsertListItem (hPanel, SET_TRGP_CMD_BUFF, 0, "BUFFER 0", 0);
    InsertListItem (hPanel, SET_TRGP_CMD_BUFF, 1, "BUFFER 1", 1);
    InsertListItem (hPanel, SET_TRGP_CMD_BUFF, 2, "BOTH", 2);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_LABEL_WIDTH, 65);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_DFLT_INDEX, 2);
    DefaultCtrl (hPanel, SET_TRGP_CMD_BUFF);
//  SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_LABEL_TOP, 357);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_LABEL_LEFT, 46);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SET_TRGP_FIBRE
    SET_TRGP_FIBRE = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Fibre", 383, 111);
    SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_CONSTANT_NAME, "FIBRE");
//  SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, SET_TRGP_FIBRE, 0, "PRIMARY", 2);
    InsertListItem (hPanel, SET_TRGP_FIBRE, 1, "ADJACENT", 3);
//  SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_LABEL_WIDTH, 31);
    SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, SET_TRGP_FIBRE);
//  SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_LABEL_TOP, 386);
    SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_LABEL_LEFT, 79);
    SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SET_TRGP_DINCR0
    SET_TRGP_DINCR0 = NewCtrl (hPanel, CTRL_NUMERIC, "Data Inc", 87, 277);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_CONSTANT_NAME, "DINCR0");
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_FRAME_COLOR, 0XCF7363);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_LABEL_WIDTH, 52);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_MAX_VALUE, 255);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_TRGP_DINCR0);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_LABEL_TOP, 72);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_LABEL_LEFT, 284);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_DINCR0, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_SET
    SET_TRGP_SET = NewCtrl (hPanel, CTRL_NUMERIC, "Set", 486, 111);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_CONSTANT_NAME, "SET");
//  SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_LABEL_WIDTH, 22);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_TRGP_SET);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_LABEL_TOP, 488);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_LABEL_LEFT, 86);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_SET, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_BIN
    SET_TRGP_BIN = NewCtrl (hPanel, CTRL_NUMERIC, "Bin", 466, 111);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_CONSTANT_NAME, "BIN");
//  SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_LABEL_WIDTH, 21);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_TRGP_BIN);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_LABEL_TOP, 468);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_LABEL_LEFT, 88);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_BIN, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_DATA0_1
    SET_TRGP_DATA0_1 = NewCtrl (hPanel, CTRL_NUMERIC, "", 107, 195);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_CONSTANT_NAME, "DATA0_1");
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_TRGP_DATA0_1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_LABEL_TOP, 91);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_LABEL_LEFT, 231);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_DATA0_1, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_DATA0_5
    SET_TRGP_DATA0_5 = NewCtrl (hPanel, CTRL_NUMERIC, "", 187, 195);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_CONSTANT_NAME, "DATA0_5");
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_TRGP_DATA0_5);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_LABEL_TOP, 171);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_LABEL_LEFT, 231);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_DATA0_5, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_DATA0_4
    SET_TRGP_DATA0_4 = NewCtrl (hPanel, CTRL_NUMERIC, "", 167, 195);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_CONSTANT_NAME, "DATA0_4");
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_TRGP_DATA0_4);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_LABEL_TOP, 151);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_LABEL_LEFT, 231);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_DATA0_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_DATA0_3
    SET_TRGP_DATA0_3 = NewCtrl (hPanel, CTRL_NUMERIC, "", 147, 195);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_CONSTANT_NAME, "DATA0_3");
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_TRGP_DATA0_3);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_LABEL_TOP, 131);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_LABEL_LEFT, 231);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_DATA0_3, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_DATA0_2
    SET_TRGP_DATA0_2 = NewCtrl (hPanel, CTRL_NUMERIC, "", 127, 195);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_CONSTANT_NAME, "DATA0_2");
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_TRGP_DATA0_2);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_LABEL_TOP, 111);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_LABEL_LEFT, 231);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_DATA0_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_DATA0_0
    SET_TRGP_DATA0_0 = NewCtrl (hPanel, CTRL_NUMERIC, "", 87, 195);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_CONSTANT_NAME, "DATA0_0");
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_TRGP_DATA0_0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_LABEL_TOP, 71);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_LABEL_LEFT, 231);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_DATA0_0, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_CINCR0
    SET_TRGP_CINCR0 = NewCtrl (hPanel, CTRL_RING_POINTER_VSLIDE, "", 96, 266);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_CONSTANT_NAME, "CINCR0");
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_DATA_TYPE, VAL_INTEGER);
    InsertListItem (hPanel, SET_TRGP_CINCR0, 0, "", 0);
    InsertListItem (hPanel, SET_TRGP_CINCR0, 1, "", 1);
    InsertListItem (hPanel, SET_TRGP_CINCR0, 2, "", 2);
    InsertListItem (hPanel, SET_TRGP_CINCR0, 3, "", 3);
    InsertListItem (hPanel, SET_TRGP_CINCR0, 4, "", 4);
    InsertListItem (hPanel, SET_TRGP_CINCR0, 5, "", 5);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_TEXT_BOLD, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, SET_TRGP_CINCR0);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_NEEDLE_COLOR, 0XCF7363);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_FILL_HOUSING_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_TICK_STYLE, VAL_NO_MINOR_TICKS);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_FILL_COLOR, VAL_RED);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_FILL_OPTION, VAL_NO_FILL);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_HEIGHT, 102);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_WIDTH, 5);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_LABEL_TOP, 72);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_LABEL_LEFT, 257);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_SLIDER_LEFT, 257);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_SLIDER_WIDTH, 18);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_SLIDER_HEIGHT, 18);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: SET_TRGP_DATAOFF1
    SET_TRGP_DATAOFF1 = NewCtrl (hPanel, CTRL_NUMERIC, "1", 390, 252);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_CONSTANT_NAME, "DATAOFF1");
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_TRGP_DATAOFF1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_LABEL_TOP, 392);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_LABEL_LEFT, 243);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_DATAOFF1, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_INTERVAL
    SET_TRGP_INTERVAL = NewCtrl (hPanel, CTRL_NUMERIC, "Interval", 446, 111);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_CONSTANT_NAME, "INTERVAL");
//  SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_LABEL_WIDTH, 46);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_TRGP_INTERVAL);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_LABEL_TOP, 448);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_LABEL_LEFT, 61);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_INTERVAL, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_DATAOFF0
    SET_TRGP_DATAOFF0 = NewCtrl (hPanel, CTRL_NUMERIC, "0", 371, 252);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_CONSTANT_NAME, "DATAOFF0");
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_TRGP_DATAOFF0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_LABEL_TOP, 373);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_LABEL_LEFT, 241);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_DATAOFF0, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_REP
    SET_TRGP_REP = NewCtrl (hPanel, CTRL_NUMERIC, "Repetitions", 426, 111);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_CONSTANT_NAME, "REP");
//  SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_LABEL_WIDTH, 67);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_TRGP_REP);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_LABEL_TOP, 428);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_LABEL_LEFT, 44);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_REP, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_PREBUILT
    SET_TRGP_PREBUILT = NewCtrl (hPanel, CTRL_CHECK_BOX, "Prebuilt", 356, 197);
    SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_CONSTANT_NAME, "PREBUILT");
//  SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_LABEL_WIDTH, 46);
    SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_TRGP_PREBUILT);
    SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_HEIGHT, 16);
    SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_WIDTH, 16);
    SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_LABEL_TOP, 356);
    SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_LABEL_LEFT, 213);
    SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: SET_TRGP_SLV1
    SET_TRGP_SLV1 = NewCtrl (hPanel, CTRL_ROUND_TEXT_BUTTON, "", 44, 163);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_CONSTANT_NAME, "SLV1");
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_TRGP_SLV1);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_ON_COLOR, 0X00FF99);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_ON_TEXT, "1");
    SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_OFF_TEXT, "1");
    SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_HEIGHT, 25);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_WIDTH, 25);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_LABEL_TOP, 23);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_LABEL_LEFT, 141);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: SET_TRGP_SLV3
    SET_TRGP_SLV3 = NewCtrl (hPanel, CTRL_ROUND_TEXT_BUTTON, "", 44, 214);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_CONSTANT_NAME, "SLV3");
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_TRGP_SLV3);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_ON_COLOR, 0X00FF99);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_ON_TEXT, "3");
    SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_OFF_TEXT, "3");
    SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_HEIGHT, 25);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_WIDTH, 25);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_LABEL_TOP, 23);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_LABEL_LEFT, 192);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: SET_TRGP_SLV0
    SET_TRGP_SLV0 = NewCtrl (hPanel, CTRL_ROUND_TEXT_BUTTON, "", 44, 138);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_CONSTANT_NAME, "SLV0");
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_TRGP_SLV0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_ON_COLOR, 0X00FF99);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_ON_TEXT, "0");
    SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_OFF_TEXT, "0");
    SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_HEIGHT, 25);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_WIDTH, 25);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_LABEL_TOP, 23);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_LABEL_LEFT, 116);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: SET_TRGP_SLV2
    SET_TRGP_SLV2 = NewCtrl (hPanel, CTRL_ROUND_TEXT_BUTTON, "", 44, 188);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_CONSTANT_NAME, "SLV2");
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SET_TRGP_SLV2);
//  SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_ON_COLOR, 0X00FF99);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_ON_TEXT, "2");
    SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_OFF_TEXT, "2");
    SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_HEIGHT, 25);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_WIDTH, 25);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_LABEL_TOP, 23);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_LABEL_LEFT, 166);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: SET_TRGP_TEXTMSG_4
    SET_TRGP_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 135);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, SET_TRGP_TEXTMSG_4);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_TEXTMSG_15
    SET_TRGP_TEXTMSG_15 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 72, 47);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_15, ATTR_CONSTANT_NAME, "TEXTMSG_15");
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_15, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_15, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_15, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_15, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_15, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_15, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_15, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_15, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_15, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_15, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_15, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_15, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_15, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_15, ATTR_DFLT_VALUE, "Config Command");
    DefaultCtrl (hPanel, SET_TRGP_TEXTMSG_15);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_15, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_15, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_15, ATTR_WIDTH, 97);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_15, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_15, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_TEXTMSG_15, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_TEXTMSG_16
    SET_TRGP_TEXTMSG_16 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 72, 215);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_16, ATTR_CONSTANT_NAME, "TEXTMSG_16");
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_16, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_16, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_16, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_16, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_16, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_16, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_16, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_16, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_16, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_16, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_16, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_16, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_16, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_16, ATTR_DFLT_VALUE, "Data");
    DefaultCtrl (hPanel, SET_TRGP_TEXTMSG_16);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_16, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_16, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_16, ATTR_WIDTH, 30);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_16, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_16, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_TEXTMSG_16, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_TEXTMSG_2
    SET_TRGP_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 356, 260);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_2, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_2, ATTR_DFLT_VALUE, "DataOffset");
    DefaultCtrl (hPanel, SET_TRGP_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_2, ATTR_WIDTH, 54);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_TEXTMSG_20
    SET_TRGP_TEXTMSG_20 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 88, 16);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_20, ATTR_CONSTANT_NAME, "TEXTMSG_20");
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_20, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_20, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_20, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_20, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_20, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_20, ATTR_TEXT_COLOR, VAL_RED);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_20, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_20, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_20, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_20, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_20, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_20, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_20, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_20, ATTR_DFLT_VALUE, "RINGS FILLED IN fillPrimParams.c");
    DefaultCtrl (hPanel, SET_TRGP_TEXTMSG_20);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_20, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_20, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_20, ATTR_WIDTH, 166);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_20, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_20, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_TEXTMSG_20, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_TEXTMSG_22
    SET_TRGP_TEXTMSG_22 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 208, 215);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_22, ATTR_CONSTANT_NAME, "TEXTMSG_22");
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_22, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_22, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_22, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_22, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_22, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_22, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_22, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_22, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_22, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_22, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_22, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_22, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_22, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_22, ATTR_DFLT_VALUE, "Data");
    DefaultCtrl (hPanel, SET_TRGP_TEXTMSG_22);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_22, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_22, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_22, ATTR_WIDTH, 30);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_22, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_22, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_TEXTMSG_22, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_TEXTMSG_23
    SET_TRGP_TEXTMSG_23 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 224, 16);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_23, ATTR_CONSTANT_NAME, "TEXTMSG_23");
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_23, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_23, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_23, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_23, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_23, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_23, ATTR_TEXT_COLOR, VAL_RED);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_23, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_23, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_23, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_23, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_23, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_23, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_23, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_23, ATTR_DFLT_VALUE, "RINGS FILLED IN fillPrimParams.c");
    DefaultCtrl (hPanel, SET_TRGP_TEXTMSG_23);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_23, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_23, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_23, ATTR_WIDTH, 166);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_23, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_23, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_TEXTMSG_23, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_DECORATION
    SET_TRGP_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 29, 4);
    SetCtrlAttribute (hPanel, SET_TRGP_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, SET_TRGP_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, SET_TRGP_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SET_TRGP_DECORATION, ATTR_HEIGHT, 500);
    SetCtrlAttribute (hPanel, SET_TRGP_DECORATION, ATTR_WIDTH, 342);

    // Build control: SET_TRGP_TEXTMSG_21
    SET_TRGP_TEXTMSG_21 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 208, 47);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_21, ATTR_CONSTANT_NAME, "TEXTMSG_21");
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_21, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_21, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_21, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_21, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_21, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_21, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_21, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_21, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_21, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_21, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_21, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_21, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_21, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_21, ATTR_DFLT_VALUE, "Trigger Command");
    DefaultCtrl (hPanel, SET_TRGP_TEXTMSG_21);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_21, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_21, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_21, ATTR_WIDTH, 101);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_21, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_21, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_TEXTMSG_21, "", VAL_DS_READ, NULL, NULL);

    // Build control: SET_TRGP_TEXTMSG_14
    SET_TRGP_TEXTMSG_14 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 50, 95);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_14, ATTR_CONSTANT_NAME, "TEXTMSG_14");
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_14, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_14, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_14, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_14, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_14, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_14, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_14, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_14, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_14, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_14, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_14, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_14, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_14, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_14, ATTR_DFLT_VALUE, "Slave#");
    DefaultCtrl (hPanel, SET_TRGP_TEXTMSG_14);
//  SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_14, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_14, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_14, ATTR_WIDTH, 43);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_14, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_14, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SET_TRGP_TEXTMSG_14, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_4, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_DECORATION, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_23, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_ZPLANE_POSITION, 14);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_ZPLANE_POSITION, 15);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_22, ATTR_ZPLANE_POSITION, 16);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_21, ATTR_ZPLANE_POSITION, 17);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_ZPLANE_POSITION, 18);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_ZPLANE_POSITION, 19);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_ZPLANE_POSITION, 20);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_ZPLANE_POSITION, 21);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_ZPLANE_POSITION, 22);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_ZPLANE_POSITION, 23);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_ZPLANE_POSITION, 24);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_20, ATTR_ZPLANE_POSITION, 25);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_ZPLANE_POSITION, 26);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_ZPLANE_POSITION, 27);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_ZPLANE_POSITION, 28);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_ZPLANE_POSITION, 29);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_ZPLANE_POSITION, 30);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_2, ATTR_ZPLANE_POSITION, 31);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_ZPLANE_POSITION, 32);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_ZPLANE_POSITION, 33);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_ZPLANE_POSITION, 34);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_ZPLANE_POSITION, 35);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_ZPLANE_POSITION, 36);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_ZPLANE_POSITION, 37);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_16, ATTR_ZPLANE_POSITION, 38);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_15, ATTR_ZPLANE_POSITION, 39);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_ZPLANE_POSITION, 40);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_ZPLANE_POSITION, 41);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_ZPLANE_POSITION, 42);
    SetCtrlAttribute (hPanel, SET_TRGP_TEXTMSG_14, ATTR_ZPLANE_POSITION, 43);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_ZPLANE_POSITION, 44);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_ZPLANE_POSITION, 45);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_ZPLANE_POSITION, 46);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_ZPLANE_POSITION, 47);
    SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_ZPLANE_POSITION, 48);
    SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_ZPLANE_POSITION, 49);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_ZPLANE_POSITION, 50);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_ZPLANE_POSITION, 51);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_5, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_4, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_3, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_2, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_1, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD1_0, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_5, ATTR_CTRL_TAB_POSITION, 6);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_4, ATTR_CTRL_TAB_POSITION, 7);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_3, ATTR_CTRL_TAB_POSITION, 8);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR1, ATTR_CTRL_TAB_POSITION, 9);
    SetCtrlAttribute (hPanel, SET_TRGP_CHIP, ATTR_CTRL_TAB_POSITION, 10);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_2, ATTR_CTRL_TAB_POSITION, 11);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_1, ATTR_CTRL_TAB_POSITION, 12);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_1, ATTR_CTRL_TAB_POSITION, 13);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_5, ATTR_CTRL_TAB_POSITION, 14);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_4, ATTR_CTRL_TAB_POSITION, 15);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_3, ATTR_CTRL_TAB_POSITION, 16);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_2, ATTR_CTRL_TAB_POSITION, 17);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA1_0, ATTR_CTRL_TAB_POSITION, 18);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR1, ATTR_CTRL_TAB_POSITION, 19);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD0_0, ATTR_CTRL_TAB_POSITION, 20);
    SetCtrlAttribute (hPanel, SET_TRGP_CMD_BUFF, ATTR_CTRL_TAB_POSITION, 21);
    SetCtrlAttribute (hPanel, SET_TRGP_FIBRE, ATTR_CTRL_TAB_POSITION, 22);
    SetCtrlAttribute (hPanel, SET_TRGP_DINCR0, ATTR_CTRL_TAB_POSITION, 23);
    SetCtrlAttribute (hPanel, SET_TRGP_SET, ATTR_CTRL_TAB_POSITION, 24);
    SetCtrlAttribute (hPanel, SET_TRGP_BIN, ATTR_CTRL_TAB_POSITION, 25);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_1, ATTR_CTRL_TAB_POSITION, 26);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_5, ATTR_CTRL_TAB_POSITION, 27);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_4, ATTR_CTRL_TAB_POSITION, 28);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_3, ATTR_CTRL_TAB_POSITION, 29);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_2, ATTR_CTRL_TAB_POSITION, 30);
    SetCtrlAttribute (hPanel, SET_TRGP_DATA0_0, ATTR_CTRL_TAB_POSITION, 31);
    SetCtrlAttribute (hPanel, SET_TRGP_CINCR0, ATTR_CTRL_TAB_POSITION, 32);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF1, ATTR_CTRL_TAB_POSITION, 33);
    SetCtrlAttribute (hPanel, SET_TRGP_INTERVAL, ATTR_CTRL_TAB_POSITION, 34);
    SetCtrlAttribute (hPanel, SET_TRGP_DATAOFF0, ATTR_CTRL_TAB_POSITION, 35);
    SetCtrlAttribute (hPanel, SET_TRGP_REP, ATTR_CTRL_TAB_POSITION, 36);
    SetCtrlAttribute (hPanel, SET_TRGP_PREBUILT, ATTR_CTRL_TAB_POSITION, 37);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV1, ATTR_CTRL_TAB_POSITION, 38);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV3, ATTR_CTRL_TAB_POSITION, 39);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV0, ATTR_CTRL_TAB_POSITION, 40);
    SetCtrlAttribute (hPanel, SET_TRGP_SLV2, ATTR_CTRL_TAB_POSITION, 41);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(31*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(31*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_setRodMode ():  Build UI object SETRODMODE; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_setRodMode (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "SetRodMode", 11, 51, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "SETRODMODE");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: SETRODMODE_FLAG
    SETRODMODE_FLAG = NewCtrl (hPanel, CTRL_NUMERIC, "Flag", 253, 9);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_CONSTANT_NAME, "FLAG");
//  SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_LABEL_WIDTH, 27);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SETRODMODE_FLAG);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_LABEL_TOP, 237);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_LABEL_LEFT, 30);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SETRODMODE_FLAG, "", VAL_DS_READ, NULL, NULL);

    // Build control: SETRODMODE_NBITS
    SETRODMODE_NBITS = NewCtrl (hPanel, CTRL_NUMERIC, "# readback bits", 343, 265);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_CONSTANT_NAME, "NBITS");
//  SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_CTRL_MODE, VAL_NORMAL);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_LABEL_COLOR, 0X330066);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_LABEL_WIDTH, 92);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_TEXT_COLOR, 0X3300CC);
//  SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_MAX_VALUE, 206696);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_PADDING, 4);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SETRODMODE_NBITS);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_WIDTH, 41);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_LABEL_TOP, 327);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_LABEL_LEFT, 239);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SETRODMODE_NBITS, "", VAL_DS_READ, NULL, NULL);

    // Build control: SETRODMODE_DELAY
    SETRODMODE_DELAY = NewCtrl (hPanel, CTRL_NUMERIC, "readback delay", 343, 155);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_CONSTANT_NAME, "DELAY");
//  SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_CTRL_MODE, VAL_NORMAL);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_LABEL_COLOR, 0X330066);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_LABEL_WIDTH, 90);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_TEXT_COLOR, 0X3300CC);
//  SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_MAX_VALUE, 206696);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_PADDING, 4);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SETRODMODE_DELAY);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_WIDTH, 41);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_LABEL_TOP, 327);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_LABEL_LEFT, 130);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SETRODMODE_DELAY, "", VAL_DS_READ, NULL, NULL);

    // Build control: SETRODMODE_EVENTS_PER_L1A
    SETRODMODE_EVENTS_PER_L1A = NewCtrl (hPanel, CTRL_NUMERIC, "#evts/L1A", 263, 255);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_CONSTANT_NAME, "EVENTS_PER_L1A");
//  SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_CTRL_MODE, VAL_NORMAL);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_LABEL_COLOR, 0X330066);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_LABEL_WIDTH, 63);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_TEXT_COLOR, 0X3300CC);
//  SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_MAX_VALUE, 16);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_CHECK_RANGE, VAL_COERCE);
//  SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_DFLT_VALUE, 1);
    DefaultCtrl (hPanel, SETRODMODE_EVENTS_PER_L1A);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_WIDTH, 41);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_LABEL_TOP, 247);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_LABEL_LEFT, 248);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SETRODMODE_EVENTS_PER_L1A, "", VAL_DS_READ, NULL, NULL);

    // Build control: SETRODMODE_MODE
    SETRODMODE_MODE = NewCtrl (hPanel, CTRL_NUMERIC, "Rod Mode", 73, 9);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_CONSTANT_NAME, "MODE");
//  SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_LABEL_WIDTH, 61);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SETRODMODE_MODE);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_LABEL_TOP, 57);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_LABEL_LEFT, 13);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, SETRODMODE_MODE, "", VAL_DS_READ, NULL, NULL);

    // Build control: SETRODMODE_MESSAGE
    SETRODMODE_MESSAGE = NewCtrl (hPanel, CTRL_CHECK_BOX, "message", 361, 18);
    SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_CONSTANT_NAME, "MESSAGE");
//  SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_LABEL_WIDTH, 45);
    SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SETRODMODE_MESSAGE);
    SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_HEIGHT, 13);
    SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_WIDTH, 13);
    SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_LABEL_TOP, 360);
    SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_LABEL_LEFT, 34);
    SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: SETRODMODE_FIFO_SETUP
    SETRODMODE_FIFO_SETUP = NewCtrl (hPanel, CTRL_CHECK_BOX, "FIFO setup", 319, 18);
    SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_CONSTANT_NAME, "FIFO_SETUP");
//  SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_LABEL_WIDTH, 55);
    SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, SETRODMODE_FIFO_SETUP);
    SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_HEIGHT, 13);
    SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_WIDTH, 13);
    SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_LABEL_TOP, 318);
    SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_LABEL_LEFT, 34);
    SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: SETRODMODE_TEXTMSG_4
    SETRODMODE_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 135);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, SETRODMODE_TEXTMSG_4);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SETRODMODE_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: SETRODMODE_TEXTMSG
    SETRODMODE_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 44, 84);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    dataPtr = 
        "NORMAL_MODE                                            0\n\nSIMULATION_MODE     "
        "                                0x0001\nCONFIG_READBACK_MODE                    "
        "    0x0002\nINMEM_EVT_CAPTURE_MODE                   0x0004\nINMEM_AUTO_READOUT_"
        "MODE                0x0008\nCALIBRATION_SLINK_OVERRIDE_MODE   0x0010\n\nROD_INIT"
        "_MODE                 0x00010000 \nDATA_TAKING_MODE         0x00020000 \nCALIBRA"
        "TION_MODE          0x00040000\nCONTINUE_MODE               0x80000000";
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG, ATTR_DFLT_VALUE, dataPtr);
    DefaultCtrl (hPanel, SETRODMODE_TEXTMSG);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG, ATTR_HEIGHT, 158);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG, ATTR_WIDTH, 255);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SETRODMODE_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: SETRODMODE_TEXTMSG_3
    SETRODMODE_TEXTMSG_3 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 235, 91);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_3, ATTR_CONSTANT_NAME, "TEXTMSG_3");
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_3, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_3, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    dataPtr = 
        "SET_MODE              0\nSTORE_MODE         1\nRESTORE_MODE    2\nMODIFY_MODE   "
        "     3";
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_3, ATTR_DFLT_VALUE, dataPtr);
    DefaultCtrl (hPanel, SETRODMODE_TEXTMSG_3);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_3, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_3, ATTR_HEIGHT, 54);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_3, ATTR_WIDTH, 112);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_3, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_3, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SETRODMODE_TEXTMSG_3, "", VAL_DS_READ, NULL, NULL);

    // Build control: SETRODMODE_TEXTMSG_2
    SETRODMODE_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 374, 172);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_2, ATTR_TEXT_COLOR, 0X660000);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_2, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    dataPtr = 
        "If left at 0, the readback\n(if enabled by the mode)\nwill be the entire FIFO\nl"
        "ength. The actual min.\nROD delay is 1; setting\ndelay to 0 will default to\nthi"
        "s value.";
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_2, ATTR_DFLT_VALUE, dataPtr);
    DefaultCtrl (hPanel, SETRODMODE_TEXTMSG_2);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_2, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_2, ATTR_HEIGHT, 93);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_2, ATTR_WIDTH, 116);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SETRODMODE_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_2, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_3, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, SETRODMODE_TEXTMSG_4, ATTR_ZPLANE_POSITION, 10);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, SETRODMODE_FLAG, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, SETRODMODE_NBITS, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, SETRODMODE_DELAY, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, SETRODMODE_EVENTS_PER_L1A, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, SETRODMODE_MODE, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, SETRODMODE_MESSAGE, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, SETRODMODE_FIFO_SETUP, ATTR_CTRL_TAB_POSITION, 6);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(11*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(51*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_slaveListOp ():  Build UI object SLIST_OP; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_slaveListOp (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "SlaveListOp", 61, 61, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "SLIST_OP");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: SLIST_OP_LIST_OP
    SLIST_OP_LIST_OP = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "ListOp", 190, 112);
    SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_CONSTANT_NAME, "LIST_OP");
//  SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_DATA_TYPE, VAL_INTEGER);
//  SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_LABEL_WIDTH, 39);
    SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_WIDTH, 120);
    SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_LABEL_TOP, 174);
    SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_LABEL_LEFT, 151);
    SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SLIST_OP_SLV_ID
    SLIST_OP_SLV_ID = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Slave#", 118, 139);
    SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_CONSTANT_NAME, "SLV_ID");
//  SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, SLIST_OP_SLV_ID, 0, "0", 0);
    InsertListItem (hPanel, SLIST_OP_SLV_ID, 1, "1", 1);
    InsertListItem (hPanel, SLIST_OP_SLV_ID, 2, "2", 2);
    InsertListItem (hPanel, SLIST_OP_SLV_ID, 3, "3", 3);
//  SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_LABEL_POINT_SIZE, 16);
    SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_LABEL_WIDTH, 57);
    SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_LABEL_HEIGHT, 22);
//  SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_TEXT_FONT, "Arial");
//  SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_TEXT_POINT_SIZE, 22);
    SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, SLIST_OP_SLV_ID);
//  SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_WIDTH, 60);
    SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_LABEL_TOP, 99);
    SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_LABEL_LEFT, 142);
    SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: SLIST_OP_DECORATION
    SLIST_OP_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, SLIST_OP_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, SLIST_OP_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLIST_OP_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SLIST_OP_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SLIST_OP_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLIST_OP_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, SLIST_OP_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SLIST_OP_DECORATION, ATTR_HEIGHT, 260);
    SetCtrlAttribute (hPanel, SLIST_OP_DECORATION, ATTR_WIDTH, 342);

    // Build control: SLIST_OP_TEXTMSG_4
    SLIST_OP_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 135);
    SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, SLIST_OP_TEXTMSG_4);
    SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SLIST_OP_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: SLIST_OP_TEXTMSG
    SLIST_OP_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 192, 113);
    SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
    SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG, ATTR_TEXT_COLOR, 0X0000CC);
//  SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG, ATTR_DFLT_VALUE, "filled by fillUirControls.c");
    DefaultCtrl (hPanel, SLIST_OP_TEXTMSG);
//  SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG, ATTR_WIDTH, 110);
    SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, SLIST_OP_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, SLIST_OP_TEXTMSG_4, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, SLIST_OP_DECORATION, ATTR_ZPLANE_POSITION, 4);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, SLIST_OP_LIST_OP, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, SLIST_OP_SLV_ID, ATTR_CTRL_TAB_POSITION, 1);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(61*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(61*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_startdataTaking ():  Build UI object START_DATA; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_startdataTaking (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "StartEventTrapping", 111, 111, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "START_DATA");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Set up ZPLANE order if necessary

    // Set up TAB order if necessary

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(111*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(111*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_startSlaveList ():  Build UI object START_SLIS; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_startSlaveList (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "StartSlaveList", 51, 51, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "START_SLIS");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: START_SLIS_GET_SLAVE_REPLY
    START_SLIS_GET_SLAVE_REPLY = NewCtrl (hPanel, CTRL_VSWITCH, "GetSlaveReply", 215, 164);
    SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_CONSTANT_NAME, "GET_SLAVE_REPLY");
//  SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_LABEL_WIDTH, 87);
    SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_DFLT_INDEX, 1);
    DefaultCtrl (hPanel, START_SLIS_GET_SLAVE_REPLY);
    SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_ON_VALUE, 1);
    SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_OFF_VALUE, 0);
    SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_BINARY_SWITCH_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_ON_TEXT, "Yes");
    SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_OFF_TEXT, "No");
    SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_HEIGHT, 30);
    SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_LABEL_TOP, 199);
    SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_LABEL_LEFT, 128);
    SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: START_SLIS_SLV_ID
    START_SLIS_SLV_ID = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Slave#", 90, 141);
    SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_CONSTANT_NAME, "SLV_ID");
//  SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, START_SLIS_SLV_ID, 0, "0", 0);
    InsertListItem (hPanel, START_SLIS_SLV_ID, 1, "1", 1);
    InsertListItem (hPanel, START_SLIS_SLV_ID, 2, "2", 2);
    InsertListItem (hPanel, START_SLIS_SLV_ID, 3, "3", 3);
//  SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_LABEL_POINT_SIZE, 16);
    SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_LABEL_WIDTH, 57);
    SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_LABEL_HEIGHT, 22);
//  SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_TEXT_FONT, "Arial");
//  SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_TEXT_POINT_SIZE, 22);
    SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, START_SLIS_SLV_ID);
//  SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_WIDTH, 60);
    SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_LABEL_TOP, 71);
    SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_LABEL_LEFT, 144);
    SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: START_SLIS_PAUSE_MASTER_LIST
    START_SLIS_PAUSE_MASTER_LIST = NewCtrl (hPanel, CTRL_VSWITCH, "PauseMasterList", 155, 164);
    SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_CONSTANT_NAME, "PAUSE_MASTER_LIST");
//  SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_LABEL_WIDTH, 96);
    SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_DFLT_INDEX, 1);
    DefaultCtrl (hPanel, START_SLIS_PAUSE_MASTER_LIST);
    SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_ON_VALUE, 1);
    SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_OFF_VALUE, 0);
    SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_BINARY_SWITCH_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_ON_TEXT, "Yes");
    SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_OFF_TEXT, "No");
    SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_HEIGHT, 30);
    SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_LABEL_TOP, 139);
    SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_LABEL_LEFT, 126);
    SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: START_SLIS_DECORATION
    START_SLIS_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, START_SLIS_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, START_SLIS_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_SLIS_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_SLIS_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, START_SLIS_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_SLIS_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, START_SLIS_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, START_SLIS_DECORATION, ATTR_HEIGHT, 260);
    SetCtrlAttribute (hPanel, START_SLIS_DECORATION, ATTR_WIDTH, 342);

    // Build control: START_SLIS_TEXTMSG_4
    START_SLIS_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 135);
    SetCtrlAttribute (hPanel, START_SLIS_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, START_SLIS_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_SLIS_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_SLIS_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, START_SLIS_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_SLIS_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, START_SLIS_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, START_SLIS_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, START_SLIS_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_SLIS_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_SLIS_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_SLIS_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, START_SLIS_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, START_SLIS_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, START_SLIS_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, START_SLIS_TEXTMSG_4);
    SetCtrlAttribute (hPanel, START_SLIS_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, START_SLIS_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, START_SLIS_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, START_SLIS_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, START_SLIS_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, START_SLIS_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, START_SLIS_TEXTMSG_4, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, START_SLIS_DECORATION, ATTR_ZPLANE_POSITION, 4);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, START_SLIS_GET_SLAVE_REPLY, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, START_SLIS_SLV_ID, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, START_SLIS_PAUSE_MASTER_LIST, ATTR_CTRL_TAB_POSITION, 2);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(51*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(51*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_startSdsp ():  Build UI object START_SLV; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_startSdsp (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "StartSlaveExecuting", 31, 31, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "START_SLV");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: START_SLV_TIMEOUT
    START_SLV_TIMEOUT = NewCtrl (hPanel, CTRL_NUMERIC, "Timeout", 204, 132);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_CONSTANT_NAME, "TIMEOUT");
//  SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_LABEL_WIDTH, 48);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_MAX_VALUE, 33554432);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_DFLT_VALUE, 131072);
    DefaultCtrl (hPanel, START_SLV_TIMEOUT);
//  SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_LABEL_TOP, 189);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_LABEL_LEFT, 149);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, START_SLV_TIMEOUT, "", VAL_DS_READ, NULL, NULL);

    // Build control: START_SLV_SLV_ID
    START_SLV_SLV_ID = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Slave#", 74, 145);
    SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_CONSTANT_NAME, "SLV_ID");
//  SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, START_SLV_SLV_ID, 0, "0", 0);
    InsertListItem (hPanel, START_SLV_SLV_ID, 1, "1", 1);
    InsertListItem (hPanel, START_SLV_SLV_ID, 2, "2", 2);
    InsertListItem (hPanel, START_SLV_SLV_ID, 3, "3", 3);
//  SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_LABEL_POINT_SIZE, 16);
    SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_LABEL_WIDTH, 57);
    SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_LABEL_HEIGHT, 22);
//  SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_TEXT_FONT, "Arial");
//  SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_TEXT_POINT_SIZE, 22);
    SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, START_SLV_SLV_ID);
//  SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_WIDTH, 60);
    SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_LABEL_TOP, 55);
    SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_LABEL_LEFT, 148);
    SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: START_SLV_ON_OFF
    START_SLV_ON_OFF = NewCtrl (hPanel, CTRL_VSWITCH, "Slv On/Off", 139, 162);
    SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_CONSTANT_NAME, "ON_OFF");
//  SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_LABEL_WIDTH, 64);
    SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_TEXT_BOLD, 0);
//  SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, START_SLV_ON_OFF);
    SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_ON_VALUE, 1);
    SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_OFF_VALUE, 0);
    SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_BINARY_SWITCH_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_ON_TEXT, "On");
    SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_OFF_TEXT, "Off");
    SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_HEIGHT, 30);
    SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_LABEL_TOP, 122);
    SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_LABEL_LEFT, 142);
    SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: START_SLV_TYPE
    START_SLV_TYPE = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Slave type", 246, 72);
    SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_CONSTANT_NAME, "TYPE");
//  SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_LABEL_WIDTH, 63);
    SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_WIDTH, 200);
    SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_LABEL_TOP, 231);
    SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_LABEL_LEFT, 142);
    SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: START_SLV_DECORATION
    START_SLV_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, START_SLV_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, START_SLV_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_SLV_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_SLV_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, START_SLV_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_SLV_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, START_SLV_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, START_SLV_DECORATION, ATTR_HEIGHT, 260);
    SetCtrlAttribute (hPanel, START_SLV_DECORATION, ATTR_WIDTH, 342);

    // Build control: START_SLV_DECORATION_2
    START_SLV_DECORATION_2 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 308, 4);
    SetCtrlAttribute (hPanel, START_SLV_DECORATION_2, ATTR_CONSTANT_NAME, "DECORATION_2");
//  SetCtrlAttribute (hPanel, START_SLV_DECORATION_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_SLV_DECORATION_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_SLV_DECORATION_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, START_SLV_DECORATION_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_SLV_DECORATION_2, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, START_SLV_DECORATION_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, START_SLV_DECORATION_2, ATTR_HEIGHT, 82);
    SetCtrlAttribute (hPanel, START_SLV_DECORATION_2, ATTR_WIDTH, 342);

    // Build control: START_SLV_TEXTMSG
    START_SLV_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 303, 131);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG, ATTR_DFLT_VALUE, "OUTPUT DATA");
    DefaultCtrl (hPanel, START_SLV_TEXTMSG);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG, ATTR_WIDTH, 91);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, START_SLV_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: START_SLV_TEXTMSG_4
    START_SLV_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 135);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, START_SLV_TEXTMSG_4);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, START_SLV_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: START_SLV_TEXTMSG_6
    START_SLV_TEXTMSG_6 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 347, 90);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_6, ATTR_CONSTANT_NAME, "TEXTMSG_6");
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_6, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_6, ATTR_TEXT_COLOR, 0X0000CC);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_6, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_6, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_6, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_6, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_6, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_6, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_6, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_6, ATTR_DFLT_VALUE, "Slave LED in ROD Status Window.");
    DefaultCtrl (hPanel, START_SLV_TEXTMSG_6);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_6, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_6, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_6, ATTR_WIDTH, 170);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_6, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_6, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, START_SLV_TEXTMSG_6, "", VAL_DS_READ, NULL, NULL);

    // Build control: START_SLV_TEXTMSG_7
    START_SLV_TEXTMSG_7 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 249, 112);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_7, ATTR_CONSTANT_NAME, "TEXTMSG_7");
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_7, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_7, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_7, ATTR_TEXT_COLOR, 0X0000CC);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_7, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_7, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_7, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_7, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_7, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_7, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_7, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_7, ATTR_DFLT_VALUE, "filled by fillUirControls.c");
    DefaultCtrl (hPanel, START_SLV_TEXTMSG_7);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_7, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_7, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_7, ATTR_WIDTH, 110);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_7, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_7, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, START_SLV_TEXTMSG_7, "", VAL_DS_READ, NULL, NULL);

    // Build control: START_SLV_TEXTMSG_2
    START_SLV_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 207, 204);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_2, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_2, ATTR_DFLT_VALUE, "Sec");
    DefaultCtrl (hPanel, START_SLV_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_2, ATTR_WIDTH, 28);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, START_SLV_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_2, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_7, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_6, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG_4, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, START_SLV_TEXTMSG, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, START_SLV_DECORATION_2, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, START_SLV_DECORATION, ATTR_ZPLANE_POSITION, 10);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, START_SLV_TIMEOUT, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, START_SLV_SLV_ID, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, START_SLV_ON_OFF, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, START_SLV_TYPE, ATTR_CTRL_TAB_POSITION, 3);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(31*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(31*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_startTask ():  Build UI object START_TSKP; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_startTask (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "StartTask", 21, 21, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "START_TSKP");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: START_TSKP_INP_FILE
    START_TSKP_INP_FILE = NewCtrl (hPanel, CTRL_STRING, "INPUT FILE", 121, 9);
    SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_CONSTANT_NAME, "INP_FILE");
//  SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_CALLBACK_FUNCTION_POINTER, taskType);
    SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_LABEL_WIDTH, 61);
    SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, START_TSKP_INP_FILE);
    SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_MAX_ENTRY_LENGTH, 99);
//  SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_WIDTH, 330);
    SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_LABEL_TOP, 107);
    SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_LABEL_LEFT, 11);
    SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, START_TSKP_INP_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: START_TSKP_TASK_TYPE
    START_TSKP_TASK_TYPE = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Task", 37, 24);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_CONSTANT_NAME, "TASK_TYPE");
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_CALLBACK_FUNCTION_POINTER, taskType);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_LABEL_WIDTH, 31);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_WIDTH, 300);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_LABEL_TOP, 23);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_LABEL_LEFT, 156);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: START_TSKP_DEFAULT3
    START_TSKP_DEFAULT3 = NewCtrl (hPanel, CTRL_NUMERIC, "", 302, 224);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_CONSTANT_NAME, "DEFAULT3");
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, START_TSKP_DEFAULT3);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_LABEL_TOP, 284);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_LABEL_LEFT, 257);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, START_TSKP_DEFAULT3, "", VAL_DS_READ, NULL, NULL);

    // Build control: START_TSKP_DEFAULT4
    START_TSKP_DEFAULT4 = NewCtrl (hPanel, CTRL_NUMERIC, "", 321, 224);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_CONSTANT_NAME, "DEFAULT4");
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, START_TSKP_DEFAULT4);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_LABEL_TOP, 303);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_LABEL_LEFT, 257);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, START_TSKP_DEFAULT4, "", VAL_DS_READ, NULL, NULL);

    // Build control: START_TSKP_DEFAULT6
    START_TSKP_DEFAULT6 = NewCtrl (hPanel, CTRL_NUMERIC, "", 360, 224);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_CONSTANT_NAME, "DEFAULT6");
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, START_TSKP_DEFAULT6);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_LABEL_TOP, 342);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_LABEL_LEFT, 257);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, START_TSKP_DEFAULT6, "", VAL_DS_READ, NULL, NULL);

    // Build control: START_TSKP_DEFAULT5
    START_TSKP_DEFAULT5 = NewCtrl (hPanel, CTRL_NUMERIC, "", 340, 224);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_CONSTANT_NAME, "DEFAULT5");
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, START_TSKP_DEFAULT5);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_LABEL_TOP, 322);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_LABEL_LEFT, 257);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, START_TSKP_DEFAULT5, "", VAL_DS_READ, NULL, NULL);

    // Build control: START_TSKP_DEFAULT2
    START_TSKP_DEFAULT2 = NewCtrl (hPanel, CTRL_NUMERIC, "Default", 283, 224);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_CONSTANT_NAME, "DEFAULT2");
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_LABEL_WIDTH, 37);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, START_TSKP_DEFAULT2);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_LABEL_TOP, 265);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_LABEL_LEFT, 243);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, START_TSKP_DEFAULT2, "", VAL_DS_READ, NULL, NULL);

    // Build control: START_TSKP_PRIORITY
    START_TSKP_PRIORITY = NewCtrl (hPanel, CTRL_NUMERIC, "Priority", 62, 103);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_CONSTANT_NAME, "PRIORITY");
//  SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_LABEL_WIDTH, 42);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, START_TSKP_PRIORITY);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_LABEL_TOP, 65);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_LABEL_LEFT, 60);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, START_TSKP_PRIORITY, "", VAL_DS_READ, NULL, NULL);

    // Build control: START_TSKP_HIST_CREATOR
    START_TSKP_HIST_CREATOR = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "HistoCreator", 162, 115);
    SetCtrlAttribute (hPanel, START_TSKP_HIST_CREATOR, ATTR_CONSTANT_NAME, "HIST_CREATOR");
//  SetCtrlAttribute (hPanel, START_TSKP_HIST_CREATOR, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, START_TSKP_HIST_CREATOR, ATTR_CALLBACK_FUNCTION_POINTER, taskType);
    SetCtrlAttribute (hPanel, START_TSKP_HIST_CREATOR, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_HIST_CREATOR, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_HIST_CREATOR, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, START_TSKP_HIST_CREATOR, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, START_TSKP_HIST_CREATOR, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, START_TSKP_HIST_CREATOR, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_HIST_CREATOR, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_HIST_CREATOR, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_HIST_CREATOR, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, START_TSKP_HIST_CREATOR, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, START_TSKP_HIST_CREATOR, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, START_TSKP_HIST_CREATOR, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, START_TSKP_HIST_CREATOR);
    SetCtrlAttribute (hPanel, START_TSKP_HIST_CREATOR, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, START_TSKP_HIST_CREATOR, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, START_TSKP_HIST_CREATOR, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, START_TSKP_HIST_CREATOR, ATTR_WIDTH, 98);

    // Build control: START_TSKP_CMPL_FLAG
    START_TSKP_CMPL_FLAG = NewCtrl (hPanel, CTRL_CHECK_BOX, "Completion Flag", 65, 183);
    SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_CONSTANT_NAME, "CMPL_FLAG");
//  SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_LABEL_WIDTH, 78);
    SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, START_TSKP_CMPL_FLAG);
    SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_LABEL_TOP, 65);
    SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_LABEL_LEFT, 199);
    SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: START_TSKP_TASK_UNION
    START_TSKP_TASK_UNION = NewCtrl (hPanel, CTRL_TABLE, "Task Union (hex)", 243, 38);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_CONSTANT_NAME, "TASK_UNION");
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_LABEL_TEXT, "Task Union (hex)");
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_LABEL_WIDTH, 100);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_PADDING, 8);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_WRAP_MODE, VAL_LINE_WRAP);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_ENTER_IS_NEWLINE, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_NO_EDIT_TEXT, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_UPPER_LEFT_CORNER_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_TABLE_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_ROW_LABELS_COLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_TABLE_MODE, VAL_COLUMN);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_ROW_LABELS_VISIBLE, 1);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_ROW_LABELS_WIDTH, 116);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_ENABLE_ROW_SIZING, 1);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_COLUMN_LABELS_VISIBLE, 1);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_COLUMN_LABELS_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_COLUMN_LABELS_HEIGHT, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_ENABLE_COLUMN_SIZING, 1);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_ENABLE_POPUP_MENU, 1);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_CELL_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_CELL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_STR_CELL_DFLT_VALUE, "");
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_HEIGHT, 138);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_WIDTH, 183);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_LABEL_TOP, 227);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_LABEL_LEFT, 84);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_LABEL_SIZE_TO_TEXT, 1);
    InsertTableRows (hPanel, START_TSKP_TASK_UNION, -1, 7, VAL_USE_MASTER_CELL_TYPE);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_LABEL_TEXT, "variable0");
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_USE_LABEL_TEXT, 1);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_LABEL_TEXT, "variable1");
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_USE_LABEL_TEXT, 1);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_LABEL_TEXT, "variable2");
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_USE_LABEL_TEXT, 1);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 3, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_LABEL_TEXT, "variable3");
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_USE_LABEL_TEXT, 1);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 4, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_LABEL_TEXT, "variable4");
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_USE_LABEL_TEXT, 1);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 5, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_LABEL_TEXT, "variable5");
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_USE_LABEL_TEXT, 1);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 6, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_LABEL_TEXT, "variable6");
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_USE_LABEL_TEXT, 1);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, START_TSKP_TASK_UNION, 7, ATTR_VERTICAL_GRID_VISIBLE, 1);
    InsertTableColumns (hPanel, START_TSKP_TASK_UNION, -1, 1, VAL_USE_MASTER_CELL_TYPE);
//  SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_LABEL_TEXT, "");
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_INCR_VALUE, 1.000000);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_PRECISION, 2);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_PADDING, 0);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_USE_LABEL_TEXT, 0);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_COLUMN_WIDTH, 62);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, START_TSKP_TASK_UNION, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), bitmapId);
        SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), bitmapId);
        SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), bitmapId);
        SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), bitmapId);
        SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), bitmapId);
        SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), bitmapId);
        SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), bitmapId);
        SetTableCellAttribute (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    DefaultCtrl (hPanel, START_TSKP_TASK_UNION);
    SetActiveTableCell (hPanel, START_TSKP_TASK_UNION, MakePoint (1, 7));
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_VSCROLL_OFFSET, 0);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_HSCROLL_OFFSET, 0);
//  DSBindTableCellRange (hPanel, START_TSKP_TASK_UNION, MakeRect(0, 0, 0, 0), "", VAL_DS_READ, NULL, NULL);

    // Build control: START_TSKP_TEXTMSG_4
    START_TSKP_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 7, 135);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, START_TSKP_TEXTMSG_4);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, START_TSKP_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: START_TSKP_TEXTMSG_3
    START_TSKP_TEXTMSG_3 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 38, 104);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_3, ATTR_CONSTANT_NAME, "TEXTMSG_3");
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_3, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_3, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_3, ATTR_TEXT_COLOR, VAL_RED);
//  SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_3, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_3, ATTR_DFLT_VALUE, "RING FILLED IN fillPrimParams.c");
    DefaultCtrl (hPanel, START_TSKP_TEXTMSG_3);
//  SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_3, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_3, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_3, ATTR_WIDTH, 159);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_3, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_3, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, START_TSKP_TEXTMSG_3, "", VAL_DS_READ, NULL, NULL);

    // Build control: START_TSKP_DECORATION
    START_TSKP_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 11, 4);
    SetCtrlAttribute (hPanel, START_TSKP_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, START_TSKP_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, START_TSKP_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, START_TSKP_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, START_TSKP_DECORATION, ATTR_HEIGHT, 530);
    SetCtrlAttribute (hPanel, START_TSKP_DECORATION, ATTR_WIDTH, 342);

    // Build control: START_TSKP_TEXTMSG_5
    START_TSKP_TEXTMSG_5 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 389, 197);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_5, ATTR_CONSTANT_NAME, "TEXTMSG_5");
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_5, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_5, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_5, ATTR_TEXT_COLOR, VAL_RED);
//  SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_5, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_5, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_5, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_5, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_5, ATTR_DFLT_VALUE, "Set in loadExitHost.c,\nvisible in TRAP_TASK");
    DefaultCtrl (hPanel, START_TSKP_TEXTMSG_5);
//  SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_5, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_5, ATTR_HEIGHT, 28);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_5, ATTR_WIDTH, 109);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_5, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_5, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, START_TSKP_TEXTMSG_5, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, START_TSKP_HIST_CREATOR, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_5, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_3, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, START_TSKP_TEXTMSG_4, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, START_TSKP_DECORATION, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_ZPLANE_POSITION, 14);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, START_TSKP_INP_FILE, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_TYPE, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT3, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT4, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT6, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT5, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, START_TSKP_DEFAULT2, ATTR_CTRL_TAB_POSITION, 6);
    SetCtrlAttribute (hPanel, START_TSKP_PRIORITY, ATTR_CTRL_TAB_POSITION, 7);
    SetCtrlAttribute (hPanel, START_TSKP_HIST_CREATOR, ATTR_CTRL_TAB_POSITION, 8);
    SetCtrlAttribute (hPanel, START_TSKP_CMPL_FLAG, ATTR_CTRL_TAB_POSITION, 9);
    SetCtrlAttribute (hPanel, START_TSKP_TASK_UNION, ATTR_CTRL_TAB_POSITION, 10);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(21*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(21*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_stopDataTaking ():  Build UI object STOP_DATA; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_stopDataTaking (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "StopEventTrapping", 131, 131, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "STOP_DATA");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Set up ZPLANE order if necessary

    // Set up TAB order if necessary

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(131*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(131*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_testGlobalRegister ():  Build UI object TESTGREG; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_testGlobalRegister (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "TestGlobalRegister", 31, 31, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "TESTGREG");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: TESTGREG_OUT_FILE
    TESTGREG_OUT_FILE = NewCtrl (hPanel, CTRL_STRING, "OUTPUT DATA FILE", 351, 9);
    SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_CONSTANT_NAME, "OUT_FILE");
//  SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_CALLBACK_FUNCTION_POINTER, TestGlobalReg);
    SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_LABEL_WIDTH, 105);
    SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, TESTGREG_OUT_FILE);
    SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_MAX_ENTRY_LENGTH, 99);
//  SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_WIDTH, 330);
    SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_LABEL_TOP, 337);
    SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_LABEL_LEFT, 18);
    SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, TESTGREG_OUT_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: TESTGREG_FE_INDEX
    TESTGREG_FE_INDEX = NewCtrl (hPanel, CTRL_NUMERIC, "FE Index", 181, 137);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_CONSTANT_NAME, "FE_INDEX");
//  SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_LABEL_WIDTH, 53);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TESTGREG_FE_INDEX);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_LABEL_TOP, 184);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_LABEL_LEFT, 83);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, TESTGREG_FE_INDEX, "", VAL_DS_READ, NULL, NULL);

    // Build control: TESTGREG_MODULE_ID
    TESTGREG_MODULE_ID = NewCtrl (hPanel, CTRL_NUMERIC, "Module Id", 161, 137);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_CONSTANT_NAME, "MODULE_ID");
//  SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_LABEL_WIDTH, 59);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TESTGREG_MODULE_ID);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_LABEL_TOP, 164);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_LABEL_LEFT, 77);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, TESTGREG_MODULE_ID, "", VAL_DS_READ, NULL, NULL);

    // Build control: TESTGREG_STRUCT_ID
    TESTGREG_STRUCT_ID = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Struct ID", 115, 128);
    SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_CONSTANT_NAME, "STRUCT_ID");
//  SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, TESTGREG_STRUCT_ID, 0, "INIT", 0);
    InsertListItem (hPanel, TESTGREG_STRUCT_ID, 1, "WORK", 1);
    InsertListItem (hPanel, TESTGREG_STRUCT_ID, 2, "SPARE", 2);
//  SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_LABEL_WIDTH, 54);
    SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, TESTGREG_STRUCT_ID);
//  SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_WIDTH, 101);
    SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_LABEL_TOP, 118);
    SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_LABEL_LEFT, 72);
    SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: TESTGREG_DECORATION
    TESTGREG_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, TESTGREG_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, TESTGREG_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TESTGREG_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TESTGREG_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TESTGREG_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, TESTGREG_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, TESTGREG_DECORATION, ATTR_HEIGHT, 260);
    SetCtrlAttribute (hPanel, TESTGREG_DECORATION, ATTR_WIDTH, 342);

    // Build control: TESTGREG_DECORATION_2
    TESTGREG_DECORATION_2 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 308, 4);
    SetCtrlAttribute (hPanel, TESTGREG_DECORATION_2, ATTR_CONSTANT_NAME, "DECORATION_2");
//  SetCtrlAttribute (hPanel, TESTGREG_DECORATION_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TESTGREG_DECORATION_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TESTGREG_DECORATION_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_DECORATION_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TESTGREG_DECORATION_2, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, TESTGREG_DECORATION_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, TESTGREG_DECORATION_2, ATTR_HEIGHT, 82);
    SetCtrlAttribute (hPanel, TESTGREG_DECORATION_2, ATTR_WIDTH, 342);

    // Build control: TESTGREG_TEXTMSG
    TESTGREG_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 303, 131);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG, ATTR_DFLT_VALUE, "OUTPUT DATA");
    DefaultCtrl (hPanel, TESTGREG_TEXTMSG);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG, ATTR_WIDTH, 91);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TESTGREG_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: TESTGREG_TEXTMSG_4
    TESTGREG_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 135);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, TESTGREG_TEXTMSG_4);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TESTGREG_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG_4, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, TESTGREG_TEXTMSG, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, TESTGREG_DECORATION_2, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, TESTGREG_DECORATION, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_ZPLANE_POSITION, 7);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, TESTGREG_OUT_FILE, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, TESTGREG_FE_INDEX, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, TESTGREG_MODULE_ID, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, TESTGREG_STRUCT_ID, ATTR_CTRL_TAB_POSITION, 3);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(31*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(31*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_testPrimitive ():  Build UI object TESTP; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_testPrimitive (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "Test", 11, 200, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "TESTP");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: TESTP_INP_FILE
    TESTP_INP_FILE = NewCtrl (hPanel, CTRL_STRING, "INPUT FILE", 387, 8);
    SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_CONSTANT_NAME, "INP_FILE");
//  SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_CALLBACK_FUNCTION_POINTER, test);
    SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_LABEL_WIDTH, 61);
    SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, TESTP_INP_FILE);
    SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_MAX_ENTRY_LENGTH, 99);
//  SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_WIDTH, 330);
    SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_LABEL_TOP, 373);
    SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_LABEL_LEFT, 10);
    SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, TESTP_INP_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: TESTP_INPUT_OPTION
    TESTP_INPUT_OPTION = NewCtrl (hPanel, CTRL_VSWITCH, "", 45, 135);
    SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_CONSTANT_NAME, "INPUT_OPTION");
//  SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_CALLBACK_FUNCTION_POINTER, test);
    SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_DATA_TYPE, VAL_INTEGER);
//  SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_LABEL_BGCOLOR, 0XB0B0B0);
//  SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_DFLT_INDEX, 1);
    DefaultCtrl (hPanel, TESTP_INPUT_OPTION);
    SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_ON_VALUE, 0);
    SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_OFF_VALUE, 1);
    SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_BINARY_SWITCH_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_ON_TEXT, "TEST PATTERN");
    SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_OFF_TEXT, "FROM FILE");
    SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_HEIGHT, 30);
    SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_WIDTH, 15);
    SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_LABEL_TOP, 25);
    SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_LABEL_LEFT, 130);
    SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TESTP_DATA_LEN
    TESTP_DATA_LEN = NewCtrl (hPanel, CTRL_NUMERIC, "DataLength", 359, 134);
    SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_CONSTANT_NAME, "DATA_LEN");
//  SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_LABEL_WIDTH, 59);
    SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TESTP_DATA_LEN);
    SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_LABEL_TOP, 343);
    SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_LABEL_LEFT, 142);
    SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, TESTP_DATA_LEN, "", VAL_DS_READ, NULL, NULL);

    // Build control: TESTP_INP_TABLE
    TESTP_INP_TABLE = NewCtrl (hPanel, CTRL_TABLE, "INPUT TABLE", 111, 47);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_CONSTANT_NAME, "INP_TABLE");
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_LABEL_TEXT, "INPUT TABLE");
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_LABEL_WIDTH, 73);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_PADDING, 8);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_WRAP_MODE, VAL_LINE_WRAP);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_ENTER_IS_NEWLINE, 0);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_NO_EDIT_TEXT, 0);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_UPPER_LEFT_CORNER_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_TABLE_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_ROW_LABELS_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_TABLE_MODE, VAL_COLUMN);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_ROW_LABELS_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_ROW_LABELS_WIDTH, 40);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_ENABLE_ROW_SIZING, 1);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_COLUMN_LABELS_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_COLUMN_LABELS_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_COLUMN_LABELS_HEIGHT, 25);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_ENABLE_COLUMN_SIZING, 1);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_ENABLE_POPUP_MENU, 1);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_CELL_TYPE, VAL_CELL_STRING);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_CELL_DIMMED, 0);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_CELL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_STR_CELL_DFLT_VALUE, "");
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_HEIGHT, 222);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_WIDTH, 227);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_LABEL_TOP, 90);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_LABEL_LEFT, 126);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    InsertTableRows (hPanel, TESTP_INP_TABLE, -1, 10, VAL_USE_MASTER_CELL_TYPE);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 4, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 5, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 6, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 7, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 8, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 9, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, TESTP_INP_TABLE, 10, ATTR_VERTICAL_GRID_VISIBLE, 1);
    InsertTableColumns (hPanel, TESTP_INP_TABLE, -1, 3, VAL_USE_MASTER_CELL_TYPE);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_LABEL_TEXT, "");
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_PADDING, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_USE_LABEL_TEXT, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_COLUMN_WIDTH, 60);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_LABEL_TEXT, "");
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_PADDING, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_USE_LABEL_TEXT, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_COLUMN_WIDTH, 60);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_LABEL_TEXT, "");
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_PADDING, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_USE_LABEL_TEXT, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_COLUMN_WIDTH, 60);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, TESTP_INP_TABLE, 3, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_STR_CELL_DFLT_VALUE, "0");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 6), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 7), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 8), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 9), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (1, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (2, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), bitmapId);
        SetTableCellAttribute (hPanel, TESTP_INP_TABLE, MakePoint (3, 10), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    DefaultCtrl (hPanel, TESTP_INP_TABLE);
    SetActiveTableCell (hPanel, TESTP_INP_TABLE, MakePoint (3, 2));
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_VSCROLL_OFFSET, 0);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindTableCellRange (hPanel, TESTP_INP_TABLE, MakeRect(0, 0, 0, 0), "", VAL_DS_READ, NULL, NULL);

    // Build control: TESTP_DECORATION
    TESTP_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, TESTP_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, TESTP_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TESTP_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TESTP_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TESTP_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TESTP_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, TESTP_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, TESTP_DECORATION, ATTR_HEIGHT, 414);
    SetCtrlAttribute (hPanel, TESTP_DECORATION, ATTR_WIDTH, 340);

    // Build control: TESTP_DECORATION_2
    TESTP_DECORATION_2 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 458, 4);
    SetCtrlAttribute (hPanel, TESTP_DECORATION_2, ATTR_CONSTANT_NAME, "DECORATION_2");
//  SetCtrlAttribute (hPanel, TESTP_DECORATION_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TESTP_DECORATION_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TESTP_DECORATION_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TESTP_DECORATION_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TESTP_DECORATION_2, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, TESTP_DECORATION_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, TESTP_DECORATION_2, ATTR_HEIGHT, 82);
    SetCtrlAttribute (hPanel, TESTP_DECORATION_2, ATTR_WIDTH, 342);

    // Build control: TESTP_TEXTMSG_4
    TESTP_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 135);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, TESTP_TEXTMSG_4);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TESTP_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: TESTP_TEXTMSG_7
    TESTP_TEXTMSG_7 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 477, 55);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_7, ATTR_CONSTANT_NAME, "TEXTMSG_7");
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_7, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_7, ATTR_TEXT_COLOR, 0X0000CC);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_7, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_7, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_7, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_7, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_7, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_7, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_7, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    dataPtr = 
        "The reply data stored in the file \"inputFileName.out\"\n          or in the fil"
        "e \"test_default_output.out\"\n\n";
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_7, ATTR_DFLT_VALUE, dataPtr);
    DefaultCtrl (hPanel, TESTP_TEXTMSG_7);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_7, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_7, ATTR_HEIGHT, 54);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_7, ATTR_WIDTH, 246);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_7, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_7, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TESTP_TEXTMSG_7, "", VAL_DS_READ, NULL, NULL);

    // Build control: TESTP_TEXTMSG
    TESTP_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 453, 131);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG, ATTR_DFLT_VALUE, "OUTPUT DATA");
    DefaultCtrl (hPanel, TESTP_TEXTMSG);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG, ATTR_WIDTH, 91);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TESTP_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: TESTP_TEXTMSG_2
    TESTP_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 363, 207);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_2, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_2, ATTR_DFLT_VALUE, "W");
    DefaultCtrl (hPanel, TESTP_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_2, ATTR_WIDTH, 14);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TESTP_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: TESTP_TEXTMSG_6
    TESTP_TEXTMSG_6 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 408, 47);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_6, ATTR_CONSTANT_NAME, "TEXTMSG_6");
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_6, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_6, ATTR_TEXT_COLOR, 0X000066);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_6, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_6, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_6, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_6, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_6, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_6, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_6, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_6, ATTR_DFLT_VALUE, "Always writes the whole file! (Length is not constant)");
    DefaultCtrl (hPanel, TESTP_TEXTMSG_6);
//  SetCtrlAttribute (hPanel, TESTP_TEXTMSG_6, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_6, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_6, ATTR_WIDTH, 248);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_6, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_6, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TESTP_TEXTMSG_6, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_6, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_7, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_2, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG_4, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, TESTP_TEXTMSG, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, TESTP_DECORATION_2, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, TESTP_DECORATION, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_ZPLANE_POSITION, 10);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, TESTP_INP_FILE, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, TESTP_INPUT_OPTION, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, TESTP_DATA_LEN, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, TESTP_INP_TABLE, ATTR_CTRL_TAB_POSITION, 3);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(11*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(200*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_taskOperation ():  Build UI object TSK_OPER; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_taskOperation (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "TaskOperation", 31, 31, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "TSK_OPER");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: TSK_OPER_OPER
    TSK_OPER_OPER = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Operation", 114, 113);
    SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_CONSTANT_NAME, "OPER");
//  SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, TSK_OPER_OPER, 0, "STOP", 0);
    InsertListItem (hPanel, TSK_OPER_OPER, 1, "PAUSE", 1);
    InsertListItem (hPanel, TSK_OPER_OPER, 2, "RESUME", 2);
    InsertListItem (hPanel, TSK_OPER_OPER, 3, "QUERY", 3);
    InsertListItem (hPanel, TSK_OPER_OPER, 4, "RESET", 4);
    InsertListItem (hPanel, TSK_OPER_OPER, 5, "SET PRIORITY", 5);
//  SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_LABEL_WIDTH, 58);
    SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, TSK_OPER_OPER);
//  SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_WIDTH, 120);
    SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_LABEL_TOP, 100);
    SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_LABEL_LEFT, 142);
    SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: TSK_OPER_DATA
    TSK_OPER_DATA = NewCtrl (hPanel, CTRL_NUMERIC, "Data", 174, 132);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_CONSTANT_NAME, "DATA");
//  SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_LABEL_WIDTH, 30);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TSK_OPER_DATA);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_WIDTH, 72);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_LABEL_TOP, 159);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_LABEL_LEFT, 153);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, TSK_OPER_DATA, "", VAL_DS_READ, NULL, NULL);

    // Build control: TSK_OPER_TYPE
    TSK_OPER_TYPE = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Task", 60, 24);
    SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_CONSTANT_NAME, "TYPE");
//  SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_LABEL_WIDTH, 31);
    SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_WIDTH, 300);
    SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_LABEL_TOP, 46);
    SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_LABEL_LEFT, 156);
    SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: TSK_OPER_TEXTMSG_4
    TSK_OPER_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 135);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, TSK_OPER_TEXTMSG_4);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TSK_OPER_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: TSK_OPER_DECORATION
    TSK_OPER_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, TSK_OPER_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, TSK_OPER_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TSK_OPER_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, TSK_OPER_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, TSK_OPER_DECORATION, ATTR_HEIGHT, 260);
    SetCtrlAttribute (hPanel, TSK_OPER_DECORATION, ATTR_WIDTH, 342);

    // Build control: TSK_OPER_TEXTMSG_3
    TSK_OPER_TEXTMSG_3 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 62, 105);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_3, ATTR_CONSTANT_NAME, "TEXTMSG_3");
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_3, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_3, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_3, ATTR_TEXT_COLOR, VAL_RED);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_3, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_3, ATTR_DFLT_VALUE, "RING FILLED IN fillPrimParams.c");
    DefaultCtrl (hPanel, TSK_OPER_TEXTMSG_3);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_3, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_3, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_3, ATTR_WIDTH, 159);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_3, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_3, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TSK_OPER_TEXTMSG_3, "", VAL_DS_READ, NULL, NULL);

    // Build control: TSK_OPER_DECORATION_2
    TSK_OPER_DECORATION_2 = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 320, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_DECORATION_2, ATTR_CONSTANT_NAME, "DECORATION_2");
//  SetCtrlAttribute (hPanel, TSK_OPER_DECORATION_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TSK_OPER_DECORATION_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_DECORATION_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_DECORATION_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_DECORATION_2, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, TSK_OPER_DECORATION_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, TSK_OPER_DECORATION_2, ATTR_HEIGHT, 80);
    SetCtrlAttribute (hPanel, TSK_OPER_DECORATION_2, ATTR_WIDTH, 342);

    // Build control: TSK_OPER_TEXTMSG
    TSK_OPER_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 315, 127);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG, ATTR_DFLT_VALUE, "OUTPUT DATA");
    DefaultCtrl (hPanel, TSK_OPER_TEXTMSG);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG, ATTR_WIDTH, 91);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TSK_OPER_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: TSK_OPER_TEXTMSG_7
    TSK_OPER_TEXTMSG_7 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 350, 48);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_7, ATTR_CONSTANT_NAME, "TEXTMSG_7");
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_7, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_7, ATTR_TEXT_COLOR, 0X0000CC);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_7, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_7, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_7, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_7, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_7, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_7, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_7, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_7, ATTR_DFLT_VALUE, "Reply data saved to file \"taskID_operID.out\"!");
    DefaultCtrl (hPanel, TSK_OPER_TEXTMSG_7);
//  SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_7, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_7, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_7, ATTR_WIDTH, 217);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_7, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_7, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TSK_OPER_TEXTMSG_7, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_7, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, TSK_OPER_DECORATION_2, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_3, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, TSK_OPER_TEXTMSG_4, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, TSK_OPER_DECORATION, ATTR_ZPLANE_POSITION, 8);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, TSK_OPER_OPER, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, TSK_OPER_DATA, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, TSK_OPER_TYPE, ATTR_CTRL_TAB_POSITION, 2);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(31*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(31*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_writeBuffer ():  Build UI object WR_BUFFP; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_writeBuffer (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "WriteBuffer", 41, 41, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "WR_BUFFP");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: WR_BUFFP_BUFFER
    WR_BUFFP_BUFFER = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Buffer", 97, 127);
    SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_CONSTANT_NAME, "BUFFER");
//  SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, WR_BUFFP_BUFFER, 0, "ERROR", 0);
    InsertListItem (hPanel, WR_BUFFP_BUFFER, 1, "INFO", 1);
    InsertListItem (hPanel, WR_BUFFP_BUFFER, 2, "DIAG", 2);
    InsertListItem (hPanel, WR_BUFFP_BUFFER, 3, "XFER", 3);
//  SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_LABEL_WIDTH, 37);
    SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, WR_BUFFP_BUFFER);
//  SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_LABEL_TOP, 82);
    SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_LABEL_LEFT, 145);
    SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: WR_BUFFP_STRING
    WR_BUFFP_STRING = NewCtrl (hPanel, CTRL_STRING, "String", 185, 11);
    SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_CONSTANT_NAME, "STRING");
//  SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_LABEL_WIDTH, 36);
    SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, WR_BUFFP_STRING);
    SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_MAX_ENTRY_LENGTH, 2000);
//  SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_WIDTH, 326);
    SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_LABEL_TOP, 168);
    SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_LABEL_LEFT, 147);
    SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, WR_BUFFP_STRING, "", VAL_DS_READ, NULL, NULL);

    // Build control: WR_BUFFP_TEXTMSG_4
    WR_BUFFP_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 135);
    SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, WR_BUFFP_TEXTMSG_4);
    SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, WR_BUFFP_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: WR_BUFFP_DECORATION
    WR_BUFFP_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, WR_BUFFP_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, WR_BUFFP_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, WR_BUFFP_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, WR_BUFFP_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, WR_BUFFP_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, WR_BUFFP_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, WR_BUFFP_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, WR_BUFFP_DECORATION, ATTR_HEIGHT, 260);
    SetCtrlAttribute (hPanel, WR_BUFFP_DECORATION, ATTR_WIDTH, 342);

    // Build control: WR_BUFFP_TEXTMSG
    WR_BUFFP_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 168, 186);
    SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, WR_BUFFP_TEXTMSG);
//  SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG, ATTR_WIDTH, 9);
    SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, WR_BUFFP_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, WR_BUFFP_TEXTMSG_4, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, WR_BUFFP_DECORATION, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_ZPLANE_POSITION, 4);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, WR_BUFFP_BUFFER, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, WR_BUFFP_STRING, ATTR_CTRL_TAB_POSITION, 1);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(41*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(41*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildPanel_transmitSerialData ():  Build UI object X_SER_DATA; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_transmitSerialData (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "TranSerialData", 41, 100, 548, 350);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "X_SER_DATA");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XD5C9C4);
    SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_OUTLINED_FRAME);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 1);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
    SetPanelAttribute (hPanel, ATTR_MOVABLE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: X_SER_DATA_P1_FILE
    X_SER_DATA_P1_FILE = NewCtrl (hPanel, CTRL_STRING, "", 167, 29);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_CONSTANT_NAME, "P1_FILE");
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_CALLBACK_FUNCTION_POINTER, transSerial);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, X_SER_DATA_P1_FILE);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_MAX_ENTRY_LENGTH, 99);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_WIDTH, 310);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_LABEL_TOP, 153);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_LABEL_LEFT, 57);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, X_SER_DATA_P1_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: X_SER_DATA_P0_FILE
    X_SER_DATA_P0_FILE = NewCtrl (hPanel, CTRL_STRING, "", 117, 29);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_CONSTANT_NAME, "P0_FILE");
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_CALLBACK_FUNCTION_POINTER, transSerial);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, X_SER_DATA_P0_FILE);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_MAX_ENTRY_LENGTH, 99);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_WIDTH, 310);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_LABEL_TOP, 103);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_LABEL_LEFT, 57);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, X_SER_DATA_P0_FILE, "", VAL_DS_READ, NULL, NULL);

    // Build control: X_SER_DATA_P1_SETS
    X_SER_DATA_P1_SETS = NewCtrl (hPanel, CTRL_NUMERIC, "P1 length", 146, 262);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_CONSTANT_NAME, "P1_SETS");
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_LABEL_WIDTH, 48);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, X_SER_DATA_P1_SETS);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_WIDTH, 60);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_LABEL_TOP, 149);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_LABEL_LEFT, 203);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, X_SER_DATA_P1_SETS, "", VAL_DS_READ, NULL, NULL);

    // Build control: X_SER_DATA_P0_SETS
    X_SER_DATA_P0_SETS = NewCtrl (hPanel, CTRL_NUMERIC, "P0 length", 96, 262);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_CONSTANT_NAME, "P0_SETS");
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_LABEL_WIDTH, 48);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, X_SER_DATA_P0_SETS);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_WIDTH, 60);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_LABEL_TOP, 99);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_LABEL_LEFT, 203);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, X_SER_DATA_P0_SETS, "", VAL_DS_READ, NULL, NULL);

    // Build control: X_SER_DATA_P1_FILE_OPT
    X_SER_DATA_P1_FILE_OPT = NewCtrl (hPanel, CTRL_CHECK_BOX, "", 169, 11);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_CONSTANT_NAME, "P1_FILE_OPT");
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_CALLBACK_FUNCTION_POINTER, transSerial);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, X_SER_DATA_P1_FILE_OPT);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_HEIGHT, 16);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_WIDTH, 16);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_LABEL_TOP, 168);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_LABEL_LEFT, 30);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: X_SER_DATA_CAP_SER_ON
    X_SER_DATA_CAP_SER_ON = NewCtrl (hPanel, CTRL_CHECK_BOX, "Capture data to input FIFOs", 206, 11);
    SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_CONSTANT_NAME, "CAP_SER_ON");
//  SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_LABEL_WIDTH, 160);
    SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, X_SER_DATA_CAP_SER_ON);
    SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_HEIGHT, 16);
    SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_WIDTH, 16);
    SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_LABEL_TOP, 206);
    SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_LABEL_LEFT, 28);
    SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: X_SER_DATA_P0_FILE_OPT
    X_SER_DATA_P0_FILE_OPT = NewCtrl (hPanel, CTRL_CHECK_BOX, "", 119, 11);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_CONSTANT_NAME, "P0_FILE_OPT");
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_CALLBACK_FUNCTION_POINTER, transSerial);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, X_SER_DATA_P0_FILE_OPT);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_HEIGHT, 16);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_WIDTH, 16);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_LABEL_TOP, 118);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_LABEL_LEFT, 30);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: X_SER_DATA_TEXTMSG_4
    X_SER_DATA_TEXTMSG_4 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 22, 135);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_4, ATTR_CONSTANT_NAME, "TEXTMSG_4");
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_4, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_4, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_4, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_4, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_4, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_4, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_4, ATTR_DFLT_VALUE, "INPUT DATA");
    DefaultCtrl (hPanel, X_SER_DATA_TEXTMSG_4);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_4, ATTR_TEXT_RAISED, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_4, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_4, ATTR_WIDTH, 78);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_4, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_4, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, X_SER_DATA_TEXTMSG_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: X_SER_DATA_DECORATION
    X_SER_DATA_DECORATION = NewCtrl (hPanel, CTRL_RECESSED_FRAME, "", 28, 4);
    SetCtrlAttribute (hPanel, X_SER_DATA_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, X_SER_DATA_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, X_SER_DATA_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_DECORATION, ATTR_FRAME_COLOR, VAL_OFFWHITE);
    SetCtrlAttribute (hPanel, X_SER_DATA_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, X_SER_DATA_DECORATION, ATTR_HEIGHT, 210);
    SetCtrlAttribute (hPanel, X_SER_DATA_DECORATION, ATTR_WIDTH, 342);

    // Build control: X_SER_DATA_TEXTMSG_6
    X_SER_DATA_TEXTMSG_6 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 151, 34);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_6, ATTR_CONSTANT_NAME, "TEXTMSG_6");
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_6, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_6, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_6, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_6, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_6, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_6, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_6, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_6, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_6, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_6, ATTR_DFLT_VALUE, "Port1 File");
    DefaultCtrl (hPanel, X_SER_DATA_TEXTMSG_6);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_6, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_6, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_6, ATTR_WIDTH, 57);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_6, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_6, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, X_SER_DATA_TEXTMSG_6, "", VAL_DS_READ, NULL, NULL);

    // Build control: X_SER_DATA_TEXTMSG_3
    X_SER_DATA_TEXTMSG_3 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 101, 34);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_3, ATTR_CONSTANT_NAME, "TEXTMSG_3");
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_3, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_3, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_3, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_3, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_3, ATTR_DFLT_VALUE, "PortO File");
    DefaultCtrl (hPanel, X_SER_DATA_TEXTMSG_3);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_3, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_3, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_3, ATTR_WIDTH, 59);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_3, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_3, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, X_SER_DATA_TEXTMSG_3, "", VAL_DS_READ, NULL, NULL);

    // Build control: X_SER_DATA_TEXTMSG
    X_SER_DATA_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 206, 186);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG, ATTR_DFLT_VALUE, "(set bit 19 in RRIF_CMND1 reg.)");
    DefaultCtrl (hPanel, X_SER_DATA_TEXTMSG);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG, ATTR_WIDTH, 156);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, X_SER_DATA_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: X_SER_DATA_TEXTMSG_2
    X_SER_DATA_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 148, 323);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_2, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_2, ATTR_DFLT_VALUE, "W");
    DefaultCtrl (hPanel, X_SER_DATA_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_2, ATTR_WIDTH, 14);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, X_SER_DATA_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: X_SER_DATA_TEXTMSG_7
    X_SER_DATA_TEXTMSG_7 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 98, 323);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_7, ATTR_CONSTANT_NAME, "TEXTMSG_7");
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_7, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_7, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_7, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_7, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_7, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_7, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_7, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_7, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_7, ATTR_TEXT_BGCOLOR, 0XD5C9C4);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_7, ATTR_DFLT_VALUE, "W");
    DefaultCtrl (hPanel, X_SER_DATA_TEXTMSG_7);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_7, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_7, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_7, ATTR_WIDTH, 14);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_7, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_7, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, X_SER_DATA_TEXTMSG_7, "", VAL_DS_READ, NULL, NULL);

    // Build control: X_SER_DATA_TEXTMSG_8
    X_SER_DATA_TEXTMSG_8 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 244, 48);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_8, ATTR_CONSTANT_NAME, "TEXTMSG_8");
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_8, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_8, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_8, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_8, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_8, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_8, ATTR_TEXT_COLOR, 0X000066);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_8, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_8, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_8, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_8, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_8, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_8, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_8, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_8, ATTR_DFLT_VALUE, "Always writes the whole file! (Length is not constant)");
    DefaultCtrl (hPanel, X_SER_DATA_TEXTMSG_8);
//  SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_8, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_8, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_8, ATTR_WIDTH, 248);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_8, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_8, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, X_SER_DATA_TEXTMSG_8, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_8, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_7, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_2, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_6, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_3, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, X_SER_DATA_TEXTMSG_4, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, X_SER_DATA_DECORATION, ATTR_ZPLANE_POSITION, 14);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_SETS, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_SETS, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, X_SER_DATA_P1_FILE_OPT, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, X_SER_DATA_CAP_SER_ON, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, X_SER_DATA_P0_FILE_OPT, ATTR_CTRL_TAB_POSITION, 6);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(548*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(350*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(41*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(100*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}
