
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------
//
//  "uiScanControl.c"
//
//  Implementation file for UI build functions
//
//  Date: 11-07-2004
//
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------

//----------------------------------------------------------------------------------------------------
//  Include header files
//----------------------------------------------------------------------------------------------------

#include "uiScanControl.h"
#include <Utility.h> // definition of NULL
#include "toolbox.h" // definition of errChk macro

extern int CVIFUNC_C GetUserBitmapFromText (char *imageText, int version, int *bitmapId); // needed if there are bitmaps
extern int CVIFUNC_C NewActiveXCtrlFromPersistence (int panel, const char *ctrlLabel,
                                                    int top, int left, char *defaultIID,
                                                    int binaryFormat, char *persistenceText,
                                                    HRESULT *activeXError); // needed if there are ActiveX controls

//----------------------------------------------------------------------------------------------------
//  Prototype UI build functions.
//----------------------------------------------------------------------------------------------------

int buildPanel_scanControl (int hParentPanel);
int buildMenu_scanControl (int hParentPanel);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: HISTOC
// ------------------------------------------------------------------------------------------------

// Control: HISTOC_SAVE_BT
int CVICALLBACK save (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: HISTOC_LOAD_BT
int CVICALLBACK load (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: HISTOC_EXT_VIEWER
int CVICALLBACK extView (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: HISTOC_USE_RANGE_LIST
int CVICALLBACK histoCreate (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: HISTOC_CAPTURE
int CVICALLBACK histoCreate (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: HISTOC_DEFAULT_1
int CVICALLBACK histoCreate (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: HISTOC_INP_FILE_2
int CVICALLBACK histoCreate (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: HISTOC_INP_FILE_1
int CVICALLBACK histoCreate (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: MENU
// ------------------------------------------------------------------------------------------------

// Menu: HIDE
void CVICALLBACK menu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);


//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  HISTOC
// ------------------------------------------------------------------------------------------------

int HISTOC_CMD1_0                            = 0;  // control identifier
int HISTOC_CONFIG_REGISTER2                  = 0;  // control identifier
int HISTOC_CONFIG_REGISTER1                  = 0;  // control identifier
int HISTOC_CMD0_0                            = 0;  // control identifier
int HISTOC_CMD1_5                            = 0;  // control identifier
int HISTOC_CMD1_4                            = 0;  // control identifier
int HISTOC_CMD1_3                            = 0;  // control identifier
int HISTOC_CMD1_2                            = 0;  // control identifier
int HISTOC_CMD1_1                            = 0;  // control identifier
int HISTOC_CMD0_5                            = 0;  // control identifier
int HISTOC_CMD0_4                            = 0;  // control identifier
int HISTOC_CMD0_3                            = 0;  // control identifier
int HISTOC_DINCR1                            = 0;  // control identifier
int HISTOC_CMD0_2                            = 0;  // control identifier
int HISTOC_CMD0_1                            = 0;  // control identifier
int HISTOC_DATA1_1                           = 0;  // control identifier
int HISTOC_DATA1_5                           = 0;  // control identifier
int HISTOC_DATA1_4                           = 0;  // control identifier
int HISTOC_DATA1_3                           = 0;  // control identifier
int HISTOC_DATA1_2                           = 0;  // control identifier
int HISTOC_DATA1_0                           = 0;  // control identifier
int HISTOC_CINCR1                            = 0;  // control identifier
int HISTOC_CONFIG_SCT_SET                    = 0;  // control identifier
int HISTOC_DATA_SET                          = 0;  // control identifier
int HISTOC_DISTR_TOGGLE                      = 0;  // control identifier
int HISTOC_GLBL_CTRL                         = 0;  // control identifier
int HISTOC_BIN_SIZE                          = 0;  // control identifier
int HISTOC_DATA_FORMAT                       = 0;  // control identifier
int HISTOC_ARRANGEMENT                       = 0;  // control identifier
int HISTOC_DATA_PATH                         = 0;  // control identifier
int HISTOC_SYNC_LVL                          = 0;  // control identifier
int HISTOC_PORT                              = 0;  // control identifier
int HISTOC_DINCR0                            = 0;  // control identifier
int HISTOC_DATA0_1                           = 0;  // control identifier
int HISTOC_DATA0_5                           = 0;  // control identifier
int HISTOC_DATA0_4                           = 0;  // control identifier
int HISTOC_DATA0_3                           = 0;  // control identifier
int HISTOC_DATA0_2                           = 0;  // control identifier
int HISTOC_DATA0_0                           = 0;  // control identifier
int HISTOC_CINCR0                            = 0;  // control identifier
int HISTOC_BIN0                              = 0;  // control identifier
int HISTOC_SLV3                              = 0;  // control identifier
int HISTOC_NBINS                             = 0;  // control identifier
int HISTOC_SLV2                              = 0;  // control identifier
int HISTOC_SLV1                              = 0;  // control identifier
int HISTOC_DATA_PTR_2                        = 0;  // control identifier
int HISTOC_EXT_SETUP                         = 0;  // control identifier
int HISTOC_HISTO_BASE                        = 0;  // control identifier
int HISTOC_DATA_PTR_1                        = 0;  // control identifier
int HISTOC_REP                               = 0;  // control identifier
int HISTOC_SLV0                              = 0;  // control identifier
int HISTOC_SAVE_BT                           = 0;  // control identifier
int HISTOC_LOAD_BT                           = 0;  // control identifier
int HISTOC_EXT_VIEWER                        = 0;  // control identifier
int HISTOC_CALL_LINE_LOOP                    = 0;  // control identifier
int HISTOC_USE_RANGE_LIST                    = 0;  // control identifier
int HISTOC_MODULE_GROUP_3                    = 0;  // control identifier
int HISTOC_MODULE_GROUP_2                    = 0;  // control identifier
int HISTOC_MODULE_GROUP                      = 0;  // control identifier
int HISTOC_TABLE_2                           = 0;  // control identifier
int HISTOC_GEN_DATA                          = 0;  // control identifier
int HISTOC_TABLE_1                           = 0;  // control identifier
int HISTOC_CAPTURE                           = 0;  // control identifier
int HISTOC_DEFAULT_1                         = 0;  // control identifier
int HISTOC_INP_FILE_2                        = 0;  // control identifier
int HISTOC_INP_FILE_1                        = 0;  // control identifier
int HISTOC_TEXTBOX                           = 0;  // control identifier
int HISTOC_TEXTMSG_14                        = 0;  // control identifier
int HISTOC_TEXTMSG_15                        = 0;  // control identifier
int HISTOC_TEXTMSG_16                        = 0;  // control identifier
int HISTOC_TEXTMSG_20                        = 0;  // control identifier
int HISTOC_TEXTMSG_22                        = 0;  // control identifier
int HISTOC_TEXTMSG_23                        = 0;  // control identifier
int HISTOC_TEXTMSG_21                        = 0;  // control identifier
int HISTOC_TEXTMSG                           = 0;  // control identifier
int HISTOC_TEXTMSG_24                        = 0;  // control identifier
int HISTOC_TEXTMSG_25                        = 0;  // control identifier
int HISTOC_TEXTMSG_2                         = 0;  // control identifier
int HISTOC_TEXTMSG_26                        = 0;  // control identifier
int HISTOC_TEXTMSG_27                        = 0;  // control identifier
int HISTOC_TEXTMSG_28                        = 0;  // control identifier
int HISTOC_DECORATION_2                      = 0;  // control identifier
int HISTOC_TEXTMSG_29                        = 0;  // control identifier
int HISTOC_DECORATION                        = 0;  // control identifier
int HISTOC_TEXTMSG_3                         = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  MENU
// ------------------------------------------------------------------------------------------------

int MENU_HIDE                                = 0;  // menu identifier

//----------------------------------------------------------------------------------------------------
// buildPanel_scanControl ():  Build UI object HISTOC; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_scanControl (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "Histogram Data Creator", 45, 33, 760, 903);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "HISTOC");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 5);
//  SetPanelAttribute (hPanel, ATTR_SIZABLE, 1);
//  SetPanelAttribute (hPanel, ATTR_MOVABLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_META_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
//  SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 1);
//  SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 1);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: HISTOC_CMD1_0
    HISTOC_CMD1_0 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "0", 466, 376);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_CONSTANT_NAME, "CMD1_0");
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_LABEL_TOP, 469);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_LABEL_LEFT, 366);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HISTOC_CONFIG_REGISTER2
    HISTOC_CONFIG_REGISTER2 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Config Register 2", 101, 456);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_CONSTANT_NAME, "CONFIG_REGISTER2");
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_LABEL_WIDTH, 101);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_WIDTH, 121);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_LABEL_TOP, 104);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_LABEL_LEFT, 354);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HISTOC_CONFIG_REGISTER1
    HISTOC_CONFIG_REGISTER1 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Config Register 1", 83, 456);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_CONSTANT_NAME, "CONFIG_REGISTER1");
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_LABEL_WIDTH, 101);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_WIDTH, 121);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_LABEL_TOP, 86);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_LABEL_LEFT, 354);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HISTOC_CMD0_0
    HISTOC_CMD0_0 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "0", 469, 23);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_CONSTANT_NAME, "CMD0_0");
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_LABEL_TOP, 472);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_LABEL_LEFT, 13);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HISTOC_CMD1_5
    HISTOC_CMD1_5 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "5", 566, 376);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_CONSTANT_NAME, "CMD1_5");
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_LABEL_TOP, 569);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_LABEL_LEFT, 367);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HISTOC_CMD1_4
    HISTOC_CMD1_4 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "4", 546, 376);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_CONSTANT_NAME, "CMD1_4");
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_LABEL_TOP, 549);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_LABEL_LEFT, 367);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HISTOC_CMD1_3
    HISTOC_CMD1_3 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "3", 526, 376);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_CONSTANT_NAME, "CMD1_3");
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_LABEL_TOP, 529);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_LABEL_LEFT, 367);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HISTOC_CMD1_2
    HISTOC_CMD1_2 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "2", 506, 376);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_CONSTANT_NAME, "CMD1_2");
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_LABEL_TOP, 509);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_LABEL_LEFT, 367);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HISTOC_CMD1_1
    HISTOC_CMD1_1 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "1", 486, 376);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_CONSTANT_NAME, "CMD1_1");
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_LABEL_TOP, 489);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_LABEL_LEFT, 367);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HISTOC_CMD0_5
    HISTOC_CMD0_5 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "5", 569, 23);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_CONSTANT_NAME, "CMD0_5");
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_LABEL_TOP, 572);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_LABEL_LEFT, 14);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HISTOC_CMD0_4
    HISTOC_CMD0_4 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "4", 549, 23);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_CONSTANT_NAME, "CMD0_4");
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_LABEL_TOP, 552);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_LABEL_LEFT, 14);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HISTOC_CMD0_3
    HISTOC_CMD0_3 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "3", 529, 23);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_CONSTANT_NAME, "CMD0_3");
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_LABEL_TOP, 532);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_LABEL_LEFT, 14);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HISTOC_DINCR1
    HISTOC_DINCR1 = NewCtrl (hPanel, CTRL_NUMERIC, "Data Inc", 468, 643);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_CONSTANT_NAME, "DINCR1");
//  SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_FRAME_COLOR, 0XCF7363);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_LABEL_WIDTH, 52);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_DINCR1);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_WIDTH, 63);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_LABEL_TOP, 453);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_LABEL_LEFT, 650);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_DINCR1, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_CMD0_2
    HISTOC_CMD0_2 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "2", 509, 23);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_CONSTANT_NAME, "CMD0_2");
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_LABEL_TOP, 512);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_LABEL_LEFT, 14);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HISTOC_CMD0_1
    HISTOC_CMD0_1 = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "1", 489, 23);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_CONSTANT_NAME, "CMD0_1");
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_WIDTH, 175);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_LABEL_TOP, 492);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_LABEL_LEFT, 14);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HISTOC_DATA1_1
    HISTOC_DATA1_1 = NewCtrl (hPanel, CTRL_NUMERIC, "", 486, 552);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_CONSTANT_NAME, "DATA1_1");
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_DATA1_1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_LABEL_TOP, 470);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_LABEL_LEFT, 588);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_DATA1_1, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_DATA1_5
    HISTOC_DATA1_5 = NewCtrl (hPanel, CTRL_NUMERIC, "", 566, 552);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_CONSTANT_NAME, "DATA1_5");
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_DATA1_5);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_LABEL_TOP, 550);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_LABEL_LEFT, 588);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_DATA1_5, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_DATA1_4
    HISTOC_DATA1_4 = NewCtrl (hPanel, CTRL_NUMERIC, "", 546, 552);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_CONSTANT_NAME, "DATA1_4");
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_DATA1_4);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_LABEL_TOP, 530);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_LABEL_LEFT, 588);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_DATA1_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_DATA1_3
    HISTOC_DATA1_3 = NewCtrl (hPanel, CTRL_NUMERIC, "", 526, 552);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_CONSTANT_NAME, "DATA1_3");
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_DATA1_3);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_LABEL_TOP, 510);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_LABEL_LEFT, 588);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_DATA1_3, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_DATA1_2
    HISTOC_DATA1_2 = NewCtrl (hPanel, CTRL_NUMERIC, "", 506, 552);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_CONSTANT_NAME, "DATA1_2");
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_DATA1_2);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_LABEL_TOP, 490);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_LABEL_LEFT, 588);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_DATA1_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_DATA1_0
    HISTOC_DATA1_0 = NewCtrl (hPanel, CTRL_NUMERIC, "", 466, 552);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_CONSTANT_NAME, "DATA1_0");
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_DATA1_0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_LABEL_TOP, 450);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_LABEL_LEFT, 588);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_DATA1_0, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_CINCR1
    HISTOC_CINCR1 = NewCtrl (hPanel, CTRL_RING_POINTER_VSLIDE, "", 476, 629);
    SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_CONSTANT_NAME, "CINCR1");
//  SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    InsertListItem (hPanel, HISTOC_CINCR1, 0, "", 0);
    InsertListItem (hPanel, HISTOC_CINCR1, 1, "", 1);
    InsertListItem (hPanel, HISTOC_CINCR1, 2, "", 2);
    InsertListItem (hPanel, HISTOC_CINCR1, 3, "", 3);
    InsertListItem (hPanel, HISTOC_CINCR1, 4, "", 4);
    InsertListItem (hPanel, HISTOC_CINCR1, 5, "", 5);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_TEXT_BOLD, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, HISTOC_CINCR1);
    SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_NEEDLE_COLOR, 0XCF7363);
    SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_FILL_HOUSING_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_TICK_STYLE, VAL_NO_MINOR_TICKS);
    SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_FILL_COLOR, VAL_RED);
    SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_FILL_OPTION, VAL_NO_FILL);
    SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_HEIGHT, 102);
    SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_WIDTH, 5);
    SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_LABEL_TOP, 452);
    SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_LABEL_LEFT, 620);
    SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_SLIDER_LEFT, 620);
    SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_SLIDER_WIDTH, 18);
    SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_SLIDER_HEIGHT, 18);
    SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: HISTOC_CONFIG_SCT_SET
    HISTOC_CONFIG_SCT_SET = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Config SCT Set", 95, 177);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_CONSTANT_NAME, "CONFIG_SCT_SET");
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    InsertListItem (hPanel, HISTOC_CONFIG_SCT_SET, 0, "INIT", 0);
    InsertListItem (hPanel, HISTOC_CONFIG_SCT_SET, 1, "WORK", 1);
    InsertListItem (hPanel, HISTOC_CONFIG_SCT_SET, 2, "SPARE", 2);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_LABEL_WIDTH, 90);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, HISTOC_CONFIG_SCT_SET);
//  SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_WIDTH, 116);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_LABEL_TOP, 97);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_LABEL_LEFT, 84);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HISTOC_DATA_SET
    HISTOC_DATA_SET = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Data Set", 94, 688);
    SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_CONSTANT_NAME, "DATA_SET");
//  SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    InsertListItem (hPanel, HISTOC_DATA_SET, 0, "MODULE BASIC", 0);
    InsertListItem (hPanel, HISTOC_DATA_SET, 1, "MODULE TRIM", 1);
    InsertListItem (hPanel, HISTOC_DATA_SET, 2, "MODULE ALL", 2);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_LABEL_WIDTH, 53);
    SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, HISTOC_DATA_SET);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_WIDTH, 116);
    SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_LABEL_TOP, 96);
    SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_LABEL_LEFT, 634);
    SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HISTOC_DISTR_TOGGLE
    HISTOC_DISTR_TOGGLE = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Distribution Toggle", 620, 438);
    SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_CONSTANT_NAME, "DISTR_TOGGLE");
//  SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_DATA_TYPE, VAL_CHAR);
    InsertListItem (hPanel, HISTOC_DISTR_TOGGLE, 0, "MODULE GROUP", 0);
    InsertListItem (hPanel, HISTOC_DISTR_TOGGLE, 1, "ROUTER DISTRIBUTION", 1);
//  SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_LABEL_WIDTH, 110);
    SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, HISTOC_DISTR_TOGGLE);
//  SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_WIDTH, 158);
    SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_LABEL_TOP, 623);
    SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_LABEL_LEFT, 327);
    SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HISTOC_GLBL_CTRL
    HISTOC_GLBL_CTRL = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Global Control", 291, 150);
    SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_CONSTANT_NAME, "GLBL_CTRL");
//  SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    InsertListItem (hPanel, HISTOC_GLBL_CTRL, 0, "TRUE", 1);
    InsertListItem (hPanel, HISTOC_GLBL_CTRL, 1, "FALSE", 0);
//  SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_LABEL_WIDTH, 83);
    SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_DFLT_INDEX, 1);
    DefaultCtrl (hPanel, HISTOC_GLBL_CTRL);
//  SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_LABEL_TOP, 293);
    SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_LABEL_LEFT, 66);
    SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HISTOC_BIN_SIZE
    HISTOC_BIN_SIZE = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Bin Size", 387, 723);
    SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_CONSTANT_NAME, "BIN_SIZE");
//  SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    InsertListItem (hPanel, HISTOC_BIN_SIZE, 0, "16 bit", 16);
    InsertListItem (hPanel, HISTOC_BIN_SIZE, 1, "32 bit", 32);
//  SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_LABEL_WIDTH, 49);
    SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, HISTOC_BIN_SIZE);
//  SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_WIDTH, 93);
    SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_LABEL_TOP, 389);
    SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_LABEL_LEFT, 671);
    SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HISTOC_DATA_FORMAT
    HISTOC_DATA_FORMAT = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Data Format", 366, 723);
    SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_CONSTANT_NAME, "DATA_FORMAT");
//  SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    InsertListItem (hPanel, HISTOC_DATA_FORMAT, 0, "CONDENSED", 1);
    InsertListItem (hPanel, HISTOC_DATA_FORMAT, 1, "FULL", 3);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_LABEL_WIDTH, 72);
    SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, HISTOC_DATA_FORMAT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_WIDTH, 93);
    SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_LABEL_TOP, 368);
    SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_LABEL_LEFT, 650);
    SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HISTOC_ARRANGEMENT
    HISTOC_ARRANGEMENT = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Arrangement", 345, 724);
    SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_CONSTANT_NAME, "ARRANGEMENT");
//  SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    InsertListItem (hPanel, HISTOC_ARRANGEMENT, 0, "BLOCK", 0);
    InsertListItem (hPanel, HISTOC_ARRANGEMENT, 1, "SLICE", 1);
//  SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_LABEL_WIDTH, 74);
    SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, HISTOC_ARRANGEMENT);
//  SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_WIDTH, 92);
    SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_LABEL_TOP, 347);
    SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_LABEL_LEFT, 648);
    SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HISTOC_DATA_PATH
    HISTOC_DATA_PATH = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Data Path", 362, 137);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_CONSTANT_NAME, "DATA_PATH");
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    InsertListItem (hPanel, HISTOC_DATA_PATH, 0, "Normal", 0);
    InsertListItem (hPanel, HISTOC_DATA_PATH, 1, "InMem", 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_LABEL_WIDTH, 60);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, HISTOC_DATA_PATH);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_WIDTH, 93);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_LABEL_TOP, 364);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_LABEL_LEFT, 75);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HISTOC_SYNC_LVL
    HISTOC_SYNC_LVL = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Synchronization Level", 310, 150);
    SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_CONSTANT_NAME, "SYNC_LVL");
//  SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    InsertListItem (hPanel, HISTOC_SYNC_LVL, 0, "New Bin", 0);
    InsertListItem (hPanel, HISTOC_SYNC_LVL, 1, "Total", 1);
//  SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_LABEL_WIDTH, 128);
    SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, HISTOC_SYNC_LVL);
//  SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_LABEL_TOP, 312);
    SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_LABEL_LEFT, 20);
    SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HISTOC_PORT
    HISTOC_PORT = NewCtrl (hPanel, CTRL_RECESSED_MENU_RING, "Port", 248, 150);
    SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_CONSTANT_NAME, "PORT");
//  SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_DATA_TYPE, VAL_UNSIGNED_SHORT_INTEGER);
    InsertListItem (hPanel, HISTOC_PORT, 0, "BUFFER 0", 0);
    InsertListItem (hPanel, HISTOC_PORT, 1, "BUFFER 1", 1);
    InsertListItem (hPanel, HISTOC_PORT, 2, "BOTH", 2);
//  SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_LABEL_WIDTH, 26);
    SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_DFLT_INDEX, 2);
    DefaultCtrl (hPanel, HISTOC_PORT);
//  SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_MENU_ARROW_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_LABEL_TOP, 251);
    SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_LABEL_LEFT, 124);
    SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: HISTOC_DINCR0
    HISTOC_DINCR0 = NewCtrl (hPanel, CTRL_NUMERIC, "Data Inc", 469, 280);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_CONSTANT_NAME, "DINCR0");
//  SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_FRAME_COLOR, 0XCF7363);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_LABEL_WIDTH, 52);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_MAX_VALUE, 255);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_DINCR0);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_WIDTH, 63);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_LABEL_TOP, 454);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_LABEL_LEFT, 287);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_DINCR0, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_DATA0_1
    HISTOC_DATA0_1 = NewCtrl (hPanel, CTRL_NUMERIC, "", 489, 199);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_CONSTANT_NAME, "DATA0_1");
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_DATA0_1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_LABEL_TOP, 473);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_LABEL_LEFT, 235);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_DATA0_1, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_DATA0_5
    HISTOC_DATA0_5 = NewCtrl (hPanel, CTRL_NUMERIC, "", 569, 199);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_CONSTANT_NAME, "DATA0_5");
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_DATA0_5);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_LABEL_TOP, 553);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_LABEL_LEFT, 235);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_DATA0_5, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_DATA0_4
    HISTOC_DATA0_4 = NewCtrl (hPanel, CTRL_NUMERIC, "", 549, 199);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_CONSTANT_NAME, "DATA0_4");
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_DATA0_4);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_LABEL_TOP, 533);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_LABEL_LEFT, 235);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_DATA0_4, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_DATA0_3
    HISTOC_DATA0_3 = NewCtrl (hPanel, CTRL_NUMERIC, "", 529, 199);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_CONSTANT_NAME, "DATA0_3");
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_DATA0_3);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_LABEL_TOP, 513);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_LABEL_LEFT, 235);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_DATA0_3, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_DATA0_2
    HISTOC_DATA0_2 = NewCtrl (hPanel, CTRL_NUMERIC, "", 509, 199);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_CONSTANT_NAME, "DATA0_2");
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_DATA0_2);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_LABEL_TOP, 493);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_LABEL_LEFT, 235);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_DATA0_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_DATA0_0
    HISTOC_DATA0_0 = NewCtrl (hPanel, CTRL_NUMERIC, "", 469, 199);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_CONSTANT_NAME, "DATA0_0");
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_CHECK_RANGE, VAL_IGNORE);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_DATA0_0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_WIDTH, 67);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_LABEL_TOP, 453);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_LABEL_LEFT, 235);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_DATA0_0, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_CINCR0
    HISTOC_CINCR0 = NewCtrl (hPanel, CTRL_RING_POINTER_VSLIDE, "", 478, 270);
    SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_CONSTANT_NAME, "CINCR0");
//  SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    InsertListItem (hPanel, HISTOC_CINCR0, 0, "", 0);
    InsertListItem (hPanel, HISTOC_CINCR0, 1, "", 1);
    InsertListItem (hPanel, HISTOC_CINCR0, 2, "", 2);
    InsertListItem (hPanel, HISTOC_CINCR0, 3, "", 3);
    InsertListItem (hPanel, HISTOC_CINCR0, 4, "", 4);
    InsertListItem (hPanel, HISTOC_CINCR0, 5, "", 5);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_TEXT_BOLD, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, HISTOC_CINCR0);
    SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_NEEDLE_COLOR, 0XCF7363);
    SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_FILL_HOUSING_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_TICK_STYLE, VAL_NO_MINOR_TICKS);
    SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_FILL_COLOR, VAL_RED);
    SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_FILL_OPTION, VAL_NO_FILL);
    SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_HEIGHT, 102);
    SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_WIDTH, 5);
    SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_LABEL_TOP, 454);
    SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_LABEL_LEFT, 261);
    SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_SLIDER_LEFT, 261);
    SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_SLIDER_WIDTH, 18);
    SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_SLIDER_HEIGHT, 18);
    SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: HISTOC_BIN0
    HISTOC_BIN0 = NewCtrl (hPanel, CTRL_NUMERIC, "Bin0", 388, 539);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_CONSTANT_NAME, "BIN0");
//  SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_LABEL_WIDTH, 28);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_CHECK_RANGE, VAL_COERCE);
//  SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_BIN0);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_LABEL_TOP, 390);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_LABEL_LEFT, 508);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_BIN0, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_SLV3
    HISTOC_SLV3 = NewCtrl (hPanel, CTRL_ROUND_TEXT_BUTTON, "", 27, 480);
    SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_CONSTANT_NAME, "SLV3");
//  SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_SLV3);
//  SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_ON_COLOR, 0X00FF99);
    SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_ON_TEXT, "3");
    SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_OFF_TEXT, "3");
    SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_HEIGHT, 25);
    SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_WIDTH, 25);
    SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_LABEL_TOP, 6);
    SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_LABEL_LEFT, 458);
    SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: HISTOC_NBINS
    HISTOC_NBINS = NewCtrl (hPanel, CTRL_NUMERIC, "Num Bins", 367, 539);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_CONSTANT_NAME, "NBINS");
//  SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_LABEL_WIDTH, 56);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_CHECK_RANGE, VAL_COERCE);
//  SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_DFLT_VALUE, 1);
    DefaultCtrl (hPanel, HISTOC_NBINS);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_LABEL_TOP, 369);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_LABEL_LEFT, 480);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_NBINS, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_SLV2
    HISTOC_SLV2 = NewCtrl (hPanel, CTRL_ROUND_TEXT_BUTTON, "", 27, 454);
    SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_CONSTANT_NAME, "SLV2");
//  SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_SLV2);
//  SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_ON_COLOR, 0X00FF99);
    SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_ON_TEXT, "2");
    SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_OFF_TEXT, "2");
    SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_HEIGHT, 25);
    SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_WIDTH, 25);
    SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_LABEL_TOP, 6);
    SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_LABEL_LEFT, 432);
    SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: HISTOC_SLV1
    HISTOC_SLV1 = NewCtrl (hPanel, CTRL_ROUND_TEXT_BUTTON, "", 27, 429);
    SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_CONSTANT_NAME, "SLV1");
//  SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_SLV1);
//  SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_ON_COLOR, 0X00FF99);
    SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_ON_TEXT, "1");
    SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_OFF_TEXT, "1");
    SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_HEIGHT, 25);
    SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_WIDTH, 25);
    SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_LABEL_TOP, 6);
    SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_LABEL_LEFT, 407);
    SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: HISTOC_DATA_PTR_2
    HISTOC_DATA_PTR_2 = NewCtrl (hPanel, CTRL_NUMERIC, "Data Pointer 2", 164, 763);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_CONSTANT_NAME, "DATA_PTR_2");
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_LABEL_WIDTH, 85);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_DATA_PTR_2);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_LABEL_TOP, 165);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_LABEL_LEFT, 678);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_DATA_PTR_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_EXT_SETUP
    HISTOC_EXT_SETUP = NewCtrl (hPanel, CTRL_NUMERIC, "Ext Setup", 300, 366);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_CONSTANT_NAME, "EXT_SETUP");
//  SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_LABEL_WIDTH, 58);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_MAX_VALUE, 15);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_FORMAT, VAL_BINARY_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_PADDING, 4);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_EXT_SETUP);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_WIDTH, 63);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_LABEL_TOP, 302);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_LABEL_LEFT, 306);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_EXT_SETUP, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_HISTO_BASE
    HISTOC_HISTO_BASE = NewCtrl (hPanel, CTRL_NUMERIC, "Histogram Base", 322, 723);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_CONSTANT_NAME, "HISTO_BASE");
//  SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_LABEL_WIDTH, 91);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_DFLT_VALUE, -1);
    DefaultCtrl (hPanel, HISTOC_HISTO_BASE);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_WIDTH, 76);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_LABEL_TOP, 324);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_LABEL_LEFT, 635);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_HISTO_BASE, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_DATA_PTR_1
    HISTOC_DATA_PTR_1 = NewCtrl (hPanel, CTRL_NUMERIC, "Data Pointer 1", 145, 763);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_CONSTANT_NAME, "DATA_PTR_1");
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_LABEL_WIDTH, 85);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_PADDING, 8);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_DATA_PTR_1);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_LABEL_TOP, 147);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_LABEL_LEFT, 677);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_DATA_PTR_1, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_REP
    HISTOC_REP = NewCtrl (hPanel, CTRL_NUMERIC, "Repetitions", 346, 539);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_CONSTANT_NAME, "REP");
//  SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_LABEL_WIDTH, 67);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_INCR_VALUE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_FORMAT, VAL_DECIMAL_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_CHECK_RANGE, VAL_COERCE);
//  SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_PADDING, 0);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_DFLT_VALUE, 1);
    DefaultCtrl (hPanel, HISTOC_REP);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_WIDTH, 80);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_LABEL_TOP, 348);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_LABEL_LEFT, 472);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_REP, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_SLV0
    HISTOC_SLV0 = NewCtrl (hPanel, CTRL_ROUND_TEXT_BUTTON, "", 27, 404);
    SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_CONSTANT_NAME, "SLV0");
//  SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_LABEL_BGCOLOR, 0XD5C9C4);
//  SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_SLV0);
//  SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_ON_COLOR, 0X00FF99);
    SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_ON_TEXT, "0");
    SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_OFF_TEXT, "0");
    SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_HEIGHT, 25);
    SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_WIDTH, 25);
    SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_LABEL_TOP, 6);
    SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_LABEL_LEFT, 382);
    SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: HISTOC_SAVE_BT
    HISTOC_SAVE_BT = NewCtrl (hPanel, CTRL_ROUNDED_COMMAND_BUTTON, "Save File", 665, 764);
    SetCtrlAttribute (hPanel, HISTOC_SAVE_BT, ATTR_CONSTANT_NAME, "SAVE_BT");
//  SetCtrlAttribute (hPanel, HISTOC_SAVE_BT, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_SAVE_BT, ATTR_CALLBACK_FUNCTION_POINTER, save);
    SetCtrlAttribute (hPanel, HISTOC_SAVE_BT, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SAVE_BT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_SAVE_BT, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, HISTOC_SAVE_BT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_SAVE_BT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_SAVE_BT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SAVE_BT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SAVE_BT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SAVE_BT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_SAVE_BT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, HISTOC_SAVE_BT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_SAVE_BT, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_SAVE_BT);
    SetCtrlAttribute (hPanel, HISTOC_SAVE_BT, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_SAVE_BT, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, HISTOC_SAVE_BT, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, HISTOC_SAVE_BT, ATTR_WIDTH, 95);

    // Build control: HISTOC_LOAD_BT
    HISTOC_LOAD_BT = NewCtrl (hPanel, CTRL_ROUNDED_COMMAND_BUTTON, "Load File", 665, 649);
    SetCtrlAttribute (hPanel, HISTOC_LOAD_BT, ATTR_CONSTANT_NAME, "LOAD_BT");
//  SetCtrlAttribute (hPanel, HISTOC_LOAD_BT, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_LOAD_BT, ATTR_CALLBACK_FUNCTION_POINTER, load);
    SetCtrlAttribute (hPanel, HISTOC_LOAD_BT, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_LOAD_BT, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_LOAD_BT, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, HISTOC_LOAD_BT, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_LOAD_BT, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_LOAD_BT, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_LOAD_BT, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_LOAD_BT, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_LOAD_BT, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_LOAD_BT, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, HISTOC_LOAD_BT, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_LOAD_BT, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_LOAD_BT);
    SetCtrlAttribute (hPanel, HISTOC_LOAD_BT, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_LOAD_BT, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, HISTOC_LOAD_BT, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, HISTOC_LOAD_BT, ATTR_WIDTH, 95);

    // Build control: HISTOC_EXT_VIEWER
    HISTOC_EXT_VIEWER = NewCtrl (hPanel, CTRL_ROUNDED_COMMAND_BUTTON, "__External Viewer", 711, 712);
    SetCtrlAttribute (hPanel, HISTOC_EXT_VIEWER, ATTR_CONSTANT_NAME, "EXT_VIEWER");
//  SetCtrlAttribute (hPanel, HISTOC_EXT_VIEWER, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_EXT_VIEWER, ATTR_CALLBACK_FUNCTION_POINTER, extView);
    SetCtrlAttribute (hPanel, HISTOC_EXT_VIEWER, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_VIEWER, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_EXT_VIEWER, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_VIEWER, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_VIEWER, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_VIEWER, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_VIEWER, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_VIEWER, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_VIEWER, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_VIEWER, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_VIEWER, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_EXT_VIEWER, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_EXT_VIEWER);
    SetCtrlAttribute (hPanel, HISTOC_EXT_VIEWER, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_EXT_VIEWER, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, HISTOC_EXT_VIEWER, ATTR_HEIGHT, 25);
    SetCtrlAttribute (hPanel, HISTOC_EXT_VIEWER, ATTR_WIDTH, 92);

    // Build control: HISTOC_CALL_LINE_LOOP
    HISTOC_CALL_LINE_LOOP = NewCtrl (hPanel, CTRL_CHECK_BOX, "Call Line Loop", 623, 263);
    SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_CONSTANT_NAME, "CALL_LINE_LOOP");
//  SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_LABEL_WIDTH, 84);
    SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_CALL_LINE_LOOP);
    SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_HEIGHT, 13);
    SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_WIDTH, 13);
    SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_LABEL_TOP, 622);
    SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_LABEL_LEFT, 173);
    SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: HISTOC_USE_RANGE_LIST
    HISTOC_USE_RANGE_LIST = NewCtrl (hPanel, CTRL_GROOVED_VSWITCH, "Use Range List", 196, 32);
    SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_CONSTANT_NAME, "USE_RANGE_LIST");
//  SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_CALLBACK_FUNCTION_POINTER, histoCreate);
    SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
//  SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_LABEL_WIDTH, 90);
    SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_LABEL_BGCOLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_TEXT_BOLD, 0);
//  SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, HISTOC_USE_RANGE_LIST);
    SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_ON_VALUE, 1);
    SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_OFF_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_BINARY_SWITCH_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_ON_TEXT, "TRUE");
    SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_OFF_TEXT, "FALSE");
    SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_HEIGHT, 30);
    SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_WIDTH, 19);
    SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_LABEL_TOP, 175);
    SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_LABEL_LEFT, 14);
    SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: HISTOC_MODULE_GROUP_3
    HISTOC_MODULE_GROUP_3 = NewCtrl (hPanel, CTRL_TABLE, "Group DSP Map", 543, 769);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_CONSTANT_NAME, "MODULE_GROUP_3");
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_LABEL_TEXT, "Group DSP Map");
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_LABEL_WIDTH, 94);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_LABEL_BGCOLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_MAX_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_FORMAT, VAL_BINARY_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_PADDING, 8);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_WRAP_MODE, VAL_LINE_WRAP);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_ENTER_IS_NEWLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_NO_EDIT_TEXT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_UPPER_LEFT_CORNER_COLOR, 0XCC9900);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_TABLE_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_ROW_LABELS_COLOR, 0XCC9900);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_TABLE_MODE, VAL_COLUMN);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_ROW_LABELS_VISIBLE, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_ROW_LABELS_WIDTH, 40);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_ENABLE_ROW_SIZING, 1);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_COLUMN_LABELS_VISIBLE, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_COLUMN_LABELS_COLOR, 0XCC9900);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_COLUMN_LABELS_HEIGHT, 25);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_ENABLE_COLUMN_SIZING, 1);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_ENABLE_POPUP_MENU, 1);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_CELL_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_CELL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_STR_CELL_DFLT_VALUE, "");
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_HEIGHT, 82);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_WIDTH, 66);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_LABEL_TOP, 523);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_LABEL_LEFT, 753);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_LABEL_SIZE_TO_TEXT, 1);
    InsertTableRows (hPanel, HISTOC_MODULE_GROUP_3, -1, 4, VAL_USE_MASTER_CELL_TYPE);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_LABEL_TEXT, "3");
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_USE_LABEL_TEXT, 1);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_LABEL_TEXT, "4");
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_USE_LABEL_TEXT, 1);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 3, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_3, 4, ATTR_VERTICAL_GRID_VISIBLE, 1);
    InsertTableColumns (hPanel, HISTOC_MODULE_GROUP_3, -1, 1, VAL_USE_MASTER_CELL_TYPE);
//  SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_LABEL_TEXT, "Delta x");
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_LABEL_FONT, "NIDialog");
//  SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_LABEL_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_LABEL_BOLD, 1);
//  SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_PADDING, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_COLUMN_WIDTH, 60);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_3, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_MAX_VALUE, 255);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_FORMAT, VAL_BINARY_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_NUM_CELL_DFLT_VALUE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_MAX_VALUE, 255);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_FORMAT, VAL_BINARY_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_NUM_CELL_DFLT_VALUE, 2);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_MAX_VALUE, 255);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_FORMAT, VAL_BINARY_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_NUM_CELL_DFLT_VALUE, 4);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_MAX_VALUE, 255);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_FORMAT, VAL_BINARY_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_NUM_CELL_DFLT_VALUE, 8);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    DefaultCtrl (hPanel, HISTOC_MODULE_GROUP_3);
    SetActiveTableCell (hPanel, HISTOC_MODULE_GROUP_3, MakePoint (1, 4));
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_VSCROLL_OFFSET, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_HSCROLL_OFFSET, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_NUM_VISIBLE_ROWS, 4);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_NUM_VISIBLE_COLUMNS, 1);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_FIRST_VISIBLE_ROW, 1);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_FIRST_VISIBLE_COLUMN, 1);
//  DSBindTableCellRange (hPanel, HISTOC_MODULE_GROUP_3, MakeRect(0, 0, 0, 0), "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_MODULE_GROUP_2
    HISTOC_MODULE_GROUP_2 = NewCtrl (hPanel, CTRL_TABLE, "Group Serial Port Mapping", 468, 768);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_CONSTANT_NAME, "MODULE_GROUP_2");
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_LABEL_TEXT, "Group Serial Port Mapping");
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_LABEL_WIDTH, 152);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_LABEL_BGCOLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_MAX_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_FORMAT, VAL_BINARY_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_PADDING, 8);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_NO_EDIT_TEXT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_UPPER_LEFT_CORNER_COLOR, 0XCC9900);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_TABLE_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_ROW_LABELS_COLOR, 0XCC9900);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_TABLE_MODE, VAL_COLUMN);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_ROW_LABELS_VISIBLE, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_ROW_LABELS_WIDTH, 40);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_ENABLE_ROW_SIZING, 1);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_COLUMN_LABELS_VISIBLE, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_COLUMN_LABELS_COLOR, 0XCC9900);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_COLUMN_LABELS_HEIGHT, 25);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_ENABLE_COLUMN_SIZING, 1);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_ENABLE_POPUP_MENU, 1);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_CELL_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_CELL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_HEIGHT, 44);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_WIDTH, 66);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_LABEL_TOP, 448);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_LABEL_LEFT, 724);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    InsertTableRows (hPanel, HISTOC_MODULE_GROUP_2, -1, 2, VAL_USE_MASTER_CELL_TYPE);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_LABEL_TEXT, "3");
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_USE_LABEL_TEXT, 1);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_LABEL_TEXT, "4");
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_USE_LABEL_TEXT, 1);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP_2, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
    InsertTableColumns (hPanel, HISTOC_MODULE_GROUP_2, -1, 1, VAL_USE_MASTER_CELL_TYPE);
//  SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_LABEL_TEXT, "Delta x");
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_LABEL_FONT, "NIDialog");
//  SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_LABEL_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_LABEL_BOLD, 1);
//  SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_PADDING, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_COLUMN_WIDTH, 60);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP_2, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_MAX_VALUE, 255);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_FORMAT, VAL_BINARY_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_MAX_VALUE, 255);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_FORMAT, VAL_BINARY_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    DefaultCtrl (hPanel, HISTOC_MODULE_GROUP_2);
    SetActiveTableCell (hPanel, HISTOC_MODULE_GROUP_2, MakePoint (1, 1));
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_VSCROLL_OFFSET, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_HSCROLL_OFFSET, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_NUM_VISIBLE_ROWS, 2);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_NUM_VISIBLE_COLUMNS, 1);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_FIRST_VISIBLE_ROW, 1);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_FIRST_VISIBLE_COLUMN, 1);
//  DSBindTableCellRange (hPanel, HISTOC_MODULE_GROUP_2, MakeRect(0, 0, 0, 0), "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_MODULE_GROUP
    HISTOC_MODULE_GROUP = NewCtrl (hPanel, CTRL_TABLE, "Group Range Mapping", 188, 159);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_CONSTANT_NAME, "MODULE_GROUP");
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_LABEL_TEXT, "Group Range Mapping");
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_LABEL_WIDTH, 130);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_LABEL_BGCOLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_MAX_VALUE, 255);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_FORMAT, VAL_BINARY_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_PADDING, 8);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_WRAP_MODE, VAL_LINE_WRAP);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_ENTER_IS_NEWLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_NO_EDIT_TEXT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_UPPER_LEFT_CORNER_COLOR, 0XCC9900);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_TABLE_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_ROW_LABELS_COLOR, 0XCC9900);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_TABLE_MODE, VAL_COLUMN);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_ROW_LABELS_VISIBLE, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_ROW_LABELS_WIDTH, 40);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_ENABLE_ROW_SIZING, 1);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_COLUMN_LABELS_VISIBLE, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_COLUMN_LABELS_COLOR, 0XCC9900);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_COLUMN_LABELS_HEIGHT, 25);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_ENABLE_COLUMN_SIZING, 1);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_ENABLE_POPUP_MENU, 1);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_CELL_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_CELL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_STR_CELL_DFLT_VALUE, "");
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_HEIGHT, 44);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_WIDTH, 66);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_LABEL_TOP, 168);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_LABEL_LEFT, 129);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_LABEL_SIZE_TO_TEXT, 1);
    InsertTableRows (hPanel, HISTOC_MODULE_GROUP, -1, 2, VAL_USE_MASTER_CELL_TYPE);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_LABEL_TEXT, "3");
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_USE_LABEL_TEXT, 1);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_LABEL_TEXT, "4");
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_USE_LABEL_TEXT, 1);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_MODULE_GROUP, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
    InsertTableColumns (hPanel, HISTOC_MODULE_GROUP, -1, 1, VAL_USE_MASTER_CELL_TYPE);
//  SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_LABEL_TEXT, "Delta x");
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_LABEL_FONT, "NIDialog");
//  SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_LABEL_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_LABEL_BOLD, 1);
//  SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_PADDING, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_COLUMN_WIDTH, 60);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_MODULE_GROUP, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_MAX_VALUE, 255);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_FORMAT, VAL_BINARY_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_NUM_CELL_DFLT_VALUE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_DATA_TYPE, VAL_UNSIGNED_CHAR);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_MAX_VALUE, 255);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_FORMAT, VAL_BINARY_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_NUM_CELL_DFLT_VALUE, 10);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    DefaultCtrl (hPanel, HISTOC_MODULE_GROUP);
    SetActiveTableCell (hPanel, HISTOC_MODULE_GROUP, MakePoint (1, 1));
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_VSCROLL_OFFSET, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_HSCROLL_OFFSET, 0);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_NUM_VISIBLE_ROWS, 2);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_NUM_VISIBLE_COLUMNS, 1);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_FIRST_VISIBLE_ROW, 1);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_FIRST_VISIBLE_COLUMN, 1);
//  DSBindTableCellRange (hPanel, HISTOC_MODULE_GROUP, MakeRect(0, 0, 0, 0), "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_TABLE_2
    HISTOC_TABLE_2 = NewCtrl (hPanel, CTRL_TABLE, "", 141, 453);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_CONSTANT_NAME, "TABLE_2");
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_LABEL_TEXT, "");
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_LABEL_BGCOLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_DATA_TYPE, VAL_FLOAT);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_MAX_VALUE, HUGE_VAL);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_MIN_VALUE, -HUGE_VAL);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_INCR_VALUE, 1.000000);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_PRECISION, 3);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_NO_EDIT_TEXT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_UPPER_LEFT_CORNER_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_TABLE_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_ROW_LABELS_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_TABLE_MODE, VAL_COLUMN);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_ROW_LABELS_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_ROW_LABELS_WIDTH, 40);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_ENABLE_ROW_SIZING, 1);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_COLUMN_LABELS_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_COLUMN_LABELS_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_COLUMN_LABELS_HEIGHT, 25);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_ENABLE_COLUMN_SIZING, 1);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_ENABLE_POPUP_MENU, 1);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_CELL_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_CELL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_HEIGHT, 126);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_WIDTH, 164);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_LABEL_TOP, 120);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_LABEL_LEFT, 518);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    InsertTableRows (hPanel, HISTOC_TABLE_2, -1, 5, VAL_USE_MASTER_CELL_TYPE);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_LABEL_TEXT, "0");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_USE_LABEL_TEXT, 1);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_LABEL_TEXT, "1");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_USE_LABEL_TEXT, 1);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_LABEL_TEXT, "2");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_USE_LABEL_TEXT, 1);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 3, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_LABEL_TEXT, "3");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_USE_LABEL_TEXT, 1);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 4, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_LABEL_TEXT, "4");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_USE_LABEL_TEXT, 1);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_2, 5, ATTR_VERTICAL_GRID_VISIBLE, 1);
    InsertTableColumns (hPanel, HISTOC_TABLE_2, -1, 2, VAL_USE_MASTER_CELL_TYPE);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_LABEL_TEXT, "x0");
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_LABEL_FONT, "NIDialog");
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_LABEL_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_LABEL_BOLD, 1);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_PADDING, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_COLUMN_WIDTH, 58);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_LABEL_TEXT, "Delta x");
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_LABEL_FONT, "NIDialog");
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_LABEL_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_LABEL_BOLD, 1);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_PADDING, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_COLUMN_WIDTH, 60);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_2, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_DATA_TYPE, VAL_FLOAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_MAX_VALUE, HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_INCR_VALUE, 1.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_PRECISION, 3);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_PADDING, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_DATA_TYPE, VAL_FLOAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_MAX_VALUE, HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_INCR_VALUE, 1.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_PRECISION, 3);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_PADDING, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_DATA_TYPE, VAL_FLOAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_MAX_VALUE, HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_INCR_VALUE, 1.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_PRECISION, 3);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_PADDING, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_DATA_TYPE, VAL_FLOAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_MAX_VALUE, HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_INCR_VALUE, 1.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_PRECISION, 3);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_PADDING, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_DATA_TYPE, VAL_FLOAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_MAX_VALUE, HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_INCR_VALUE, 1.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_PRECISION, 3);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_PADDING, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_DATA_TYPE, VAL_FLOAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_MAX_VALUE, HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_INCR_VALUE, 1.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_PRECISION, 3);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_PADDING, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_DATA_TYPE, VAL_FLOAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_MAX_VALUE, HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_INCR_VALUE, 1.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_PRECISION, 3);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_PADDING, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_DATA_TYPE, VAL_FLOAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_MAX_VALUE, HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_INCR_VALUE, 1.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_PRECISION, 3);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_PADDING, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_DATA_TYPE, VAL_FLOAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_MAX_VALUE, HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_INCR_VALUE, 1.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_PRECISION, 3);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_PADDING, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (1, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_DATA_TYPE, VAL_FLOAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_MAX_VALUE, HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_INCR_VALUE, 1.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_PRECISION, 3);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_PADDING, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_2, MakePoint (2, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    DefaultCtrl (hPanel, HISTOC_TABLE_2);
    SetActiveTableCell (hPanel, HISTOC_TABLE_2, MakePoint (1, 3));
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_VSCROLL_OFFSET, 0);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_HSCROLL_OFFSET, 0);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_NUM_VISIBLE_ROWS, 5);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_NUM_VISIBLE_COLUMNS, 2);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_FIRST_VISIBLE_ROW, 1);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_FIRST_VISIBLE_COLUMN, 1);
//  DSBindTableCellRange (hPanel, HISTOC_TABLE_2, MakeRect(0, 0, 0, 0), "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_GEN_DATA
    HISTOC_GEN_DATA = NewCtrl (hPanel, CTRL_TABLE, "General Data", 691, 41);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_CONSTANT_NAME, "GEN_DATA");
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_LABEL_TEXT, "General Data");
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_LABEL_WIDTH, 78);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_LABEL_BGCOLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_PADDING, 8);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_WRAP_MODE, VAL_LINE_WRAP);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_ENTER_IS_NEWLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_NO_EDIT_TEXT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_UPPER_LEFT_CORNER_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_TABLE_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_ROW_LABELS_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_TABLE_MODE, VAL_COLUMN);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_ROW_LABELS_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_ROW_LABELS_WIDTH, 40);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_ENABLE_ROW_SIZING, 1);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_COLUMN_LABELS_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_COLUMN_LABELS_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_COLUMN_LABELS_HEIGHT, 19);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_ENABLE_COLUMN_SIZING, 1);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_ENABLE_POPUP_MENU, 1);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_CELL_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_CELL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_STR_CELL_DFLT_VALUE, "");
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_HEIGHT, 44);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_WIDTH, 548);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_LABEL_TOP, 670);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_LABEL_LEFT, 281);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_LABEL_SIZE_TO_TEXT, 1);
    InsertTableRows (hPanel, HISTOC_GEN_DATA, -1, 1, VAL_USE_MASTER_CELL_TYPE);
//  SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_LABEL_TEXT, "");
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_MAX_VALUE, -1);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_MIN_VALUE, 0);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_INCR_VALUE, 1);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_PRECISION, 0);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_USE_LABEL_TEXT, 0);
//  SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
    InsertTableColumns (hPanel, HISTOC_GEN_DATA, -1, 10, VAL_USE_MASTER_CELL_TYPE);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_LABEL_TEXT, "");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_INCR_VALUE, 1.000000);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_PRECISION, 2);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_PADDING, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_USE_LABEL_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_COLUMN_WIDTH, 51);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_LABEL_TEXT, "");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_INCR_VALUE, 1.000000);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_PRECISION, 2);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_PADDING, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_USE_LABEL_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_COLUMN_WIDTH, 51);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_LABEL_TEXT, "");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_INCR_VALUE, 1.000000);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_PRECISION, 2);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_PADDING, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_USE_LABEL_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_COLUMN_WIDTH, 50);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 3, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_LABEL_TEXT, "");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_INCR_VALUE, 1.000000);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_PRECISION, 2);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_PADDING, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_USE_LABEL_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_COLUMN_WIDTH, 50);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 4, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_LABEL_TEXT, "");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_INCR_VALUE, 1.000000);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_PRECISION, 2);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_PADDING, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_USE_LABEL_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_COLUMN_WIDTH, 50);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 5, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_LABEL_TEXT, "");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_INCR_VALUE, 1.000000);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_PRECISION, 2);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_PADDING, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_USE_LABEL_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_COLUMN_WIDTH, 50);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 6, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_LABEL_TEXT, "");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_INCR_VALUE, 1.000000);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_PRECISION, 2);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_PADDING, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_USE_LABEL_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_COLUMN_WIDTH, 50);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 7, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_LABEL_TEXT, "");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_INCR_VALUE, 1.000000);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_PRECISION, 2);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_PADDING, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_USE_LABEL_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_COLUMN_WIDTH, 50);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 8, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_LABEL_TEXT, "");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_INCR_VALUE, 1.000000);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_PRECISION, 2);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_PADDING, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_USE_LABEL_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_COLUMN_WIDTH, 50);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 9, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_LABEL_TEXT, "");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_LABEL_BOLD, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_INCR_VALUE, 1.000000);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_PRECISION, 2);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_PADDING, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_USE_LABEL_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_COLUMN_WIDTH, 50);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_GEN_DATA, 10, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (1, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (2, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (3, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (4, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (5, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (6, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (7, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (8, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (9, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_MAX_VALUE, -1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_MIN_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_INCR_VALUE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_PRECISION, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_PADDING, 8);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    DefaultCtrl (hPanel, HISTOC_GEN_DATA);
    SetActiveTableCell (hPanel, HISTOC_GEN_DATA, MakePoint (10, 1));
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_VSCROLL_OFFSET, 0);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_HSCROLL_OFFSET, 0);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_NUM_VISIBLE_ROWS, 1);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_NUM_VISIBLE_COLUMNS, 10);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_FIRST_VISIBLE_ROW, 1);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_FIRST_VISIBLE_COLUMN, 1);
//  DSBindTableCellRange (hPanel, HISTOC_GEN_DATA, MakeRect(0, 0, 0, 0), "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_TABLE_1
    HISTOC_TABLE_1 = NewCtrl (hPanel, CTRL_TABLE, "", 139, 269);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_CONSTANT_NAME, "TABLE_1");
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_LABEL_TEXT, "");
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_LABEL_BGCOLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_DATA_TYPE, VAL_FLOAT);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_MAX_VALUE, HUGE_VAL);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_MIN_VALUE, -HUGE_VAL);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_INCR_VALUE, 1.000000);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_PRECISION, 3);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_CHECK_RANGE, VAL_NOTIFY);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_PADDING, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_SHOW_INCDEC_ARROWS, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_NO_EDIT_TEXT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_UPPER_LEFT_CORNER_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_TABLE_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_ROW_LABELS_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_TABLE_MODE, VAL_COLUMN);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_ROW_LABELS_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_ROW_LABELS_WIDTH, 40);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_ENABLE_ROW_SIZING, 1);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_COLUMN_LABELS_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_COLUMN_LABELS_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_COLUMN_LABELS_HEIGHT, 25);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_ENABLE_COLUMN_SIZING, 1);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_ENABLE_POPUP_MENU, 1);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_CELL_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_CELL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_HEIGHT, 126);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_WIDTH, 164);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_LABEL_TOP, 118);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_LABEL_LEFT, 334);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    InsertTableRows (hPanel, HISTOC_TABLE_1, -1, 5, VAL_USE_MASTER_CELL_TYPE);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_LABEL_TEXT, "0");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_USE_LABEL_TEXT, 1);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_LABEL_TEXT, "1");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_USE_LABEL_TEXT, 1);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_LABEL_TEXT, "2");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_USE_LABEL_TEXT, 1);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 3, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_LABEL_TEXT, "3");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_USE_LABEL_TEXT, 1);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 4, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_LABEL_TEXT, "4");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_LABEL_FONT, "NIDialogMetaFont");
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_LABEL_ITALIC, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_LABEL_UNDERLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_LABEL_POINT_SIZE, 11);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_LABEL_BOLD, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_LABEL_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_TEXT_ITALIC, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_TEXT_UNDERLINE, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_TEXT_STRIKEOUT, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_TEXT_POINT_SIZE, 11);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_TEXT_BOLD, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_DATA_TYPE, VAL_DOUBLE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_MAX_VALUE, HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_INCR_VALUE, 1.000000);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_PRECISION, 2);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_PADDING, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_NO_EDIT_TEXT, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_USE_LABEL_TEXT, 1);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
//  SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_SIZE_MODE, VAL_SIZE_TO_CELL_TEXT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_ROW_HEIGHT, 25);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_CELL_TYPE, VAL_CELL_STRING);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_CELL_DIMMED, 0);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_CELL_MODE, VAL_HOT);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_CELL_JUSTIFY, VAL_TOP_LEFT_JUSTIFIED);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableRowAttribute (hPanel, HISTOC_TABLE_1, 5, ATTR_VERTICAL_GRID_VISIBLE, 1);
    InsertTableColumns (hPanel, HISTOC_TABLE_1, -1, 2, VAL_USE_MASTER_CELL_TYPE);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_LABEL_TEXT, "x0");
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_LABEL_FONT, "NIDialog");
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_LABEL_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_LABEL_BOLD, 1);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_PADDING, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_COLUMN_WIDTH, 58);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 1, ATTR_VERTICAL_GRID_VISIBLE, 1);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_LABEL_TEXT, "Delta x");
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_LABEL_FONT, "NIDialog");
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_LABEL_ITALIC, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_LABEL_UNDERLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_LABEL_STRIKEOUT, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_LABEL_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_LABEL_BOLD, 1);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_LABEL_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_LABEL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_TEXT_ITALIC, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_TEXT_UNDERLINE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_TEXT_STRIKEOUT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_TEXT_POINT_SIZE, 11);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_TEXT_BOLD, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_MAX_VALUE, -1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_MIN_VALUE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_INCR_VALUE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_PRECISION, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_PADDING, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_ENTER_IS_NEWLINE, 0);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_NO_EDIT_TEXT, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_USE_LABEL_TEXT, 1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
//  SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_LABEL_WRAP_MODE, VAL_LINE_WRAP);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_SIZE_MODE, VAL_USE_EXPLICIT_SIZE);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_COLUMN_WIDTH, 60);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_CELL_DIMMED, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_CELL_MODE, VAL_HOT);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_NUM_CELL_DFLT_VALUE, 0);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableColumnAttribute (hPanel, HISTOC_TABLE_1, 2, ATTR_VERTICAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_DATA_TYPE, VAL_FLOAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_MAX_VALUE, HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_INCR_VALUE, 1.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_PRECISION, 3);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_PADDING, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_DATA_TYPE, VAL_FLOAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_MAX_VALUE, HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_INCR_VALUE, 1.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_PRECISION, 3);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_PADDING, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 1), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_DATA_TYPE, VAL_FLOAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_MAX_VALUE, HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_INCR_VALUE, 1.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_PRECISION, 3);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_PADDING, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_DATA_TYPE, VAL_FLOAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_MAX_VALUE, HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_INCR_VALUE, 1.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_PRECISION, 3);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_PADDING, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 2), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_DATA_TYPE, VAL_FLOAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_MAX_VALUE, HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_INCR_VALUE, 1.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_PRECISION, 3);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_PADDING, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_DATA_TYPE, VAL_FLOAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_MAX_VALUE, HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_INCR_VALUE, 1.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_PRECISION, 3);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_PADDING, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 3), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_DATA_TYPE, VAL_FLOAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_MAX_VALUE, HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_INCR_VALUE, 1.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_PRECISION, 3);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_PADDING, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_DATA_TYPE, VAL_FLOAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_MAX_VALUE, HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_INCR_VALUE, 1.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_PRECISION, 3);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_PADDING, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 4), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_DATA_TYPE, VAL_FLOAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_MAX_VALUE, HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_INCR_VALUE, 1.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_PRECISION, 3);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_PADDING, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (1, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_TEXT_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_TEXT_FONT, "NIDialogMetaFont");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_TEXT_ITALIC, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_TEXT_UNDERLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_TEXT_STRIKEOUT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_TEXT_POINT_SIZE, 11);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_TEXT_BOLD, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_DATA_TYPE, VAL_FLOAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_MAX_VALUE, HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_MIN_VALUE, -HUGE_VAL);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_INCR_VALUE, 1.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_FORMAT, VAL_FLOATING_PT_FORMAT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_PRECISION, 3);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_PADDING, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_SHOW_INCDEC_ARROWS, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_MAX_ENTRY_LENGTH, -1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_WRAP_MODE, VAL_LINE_WRAP);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_ENTER_IS_NEWLINE, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_NO_EDIT_TEXT, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_FIT_MODE, VAL_SIZE_TO_PICTURE);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_CELL_TYPE, VAL_CELL_NUMERIC);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_CELL_DIMMED, 0);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_CELL_MODE, VAL_HOT);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_HORIZONTAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_HORIZONTAL_GRID_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_MIN_NUM_LINES_VISIBLE, 1);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_INCDEC_ARROW_COLOR, VAL_LT_GRAY);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_NUM_CELL_DFLT_VALUE, 0.000000);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_STR_CELL_DFLT_VALUE, "");
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_CELL_JUSTIFY, VAL_CENTER_CENTER_JUSTIFIED);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_VERTICAL_GRID_COLOR, VAL_BLACK);
    SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_VERTICAL_GRID_VISIBLE, 1);
    dataPtr = 
        "!!!!!%!!!!!";
    GetUserBitmapFromText (dataPtr, 102, &bitmapId);
    if (bitmapId)
        {
        int	cellType;
        GetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_CELL_TYPE, &cellType);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_CELL_TYPE, VAL_CELL_PICTURE);
        SetTableCellVal (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), bitmapId);
        SetTableCellAttribute (hPanel, HISTOC_TABLE_1, MakePoint (2, 5), ATTR_CELL_TYPE, cellType);
        DiscardBitmap (bitmapId);
        bitmapId = 0;
        }
    DefaultCtrl (hPanel, HISTOC_TABLE_1);
    SetActiveTableCell (hPanel, HISTOC_TABLE_1, MakePoint (2, 3));
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_VSCROLL_OFFSET, 0);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_HSCROLL_OFFSET, 0);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_NUM_VISIBLE_ROWS, 5);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_NUM_VISIBLE_COLUMNS, 2);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_FIRST_VISIBLE_ROW, 1);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_FIRST_VISIBLE_COLUMN, 1);
//  DSBindTableCellRange (hPanel, HISTOC_TABLE_1, MakeRect(0, 0, 0, 0), "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_CAPTURE
    HISTOC_CAPTURE = NewCtrl (hPanel, CTRL_CHECK_BOX, "Capture", 396, 165);
    SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_CONSTANT_NAME, "CAPTURE");
//  SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_CALLBACK_FUNCTION_POINTER, histoCreate);
    SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_LABEL_WIDTH, 47);
    SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_CAPTURE);
    SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_HEIGHT, 13);
    SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_WIDTH, 13);
    SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_LABEL_TOP, 393);
    SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_LABEL_LEFT, 114);
    SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: HISTOC_DEFAULT_1
    HISTOC_DEFAULT_1 = NewCtrl (hPanel, CTRL_CHECK_BOX, "Default Pointers", 131, 765);
    SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_CONSTANT_NAME, "DEFAULT_1");
//  SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_CALLBACK_FUNCTION_POINTER, histoCreate);
    SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_LABEL_WIDTH, 94);
    SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, HISTOC_DEFAULT_1);
    SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_ON_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_OFF_COLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_HEIGHT, 13);
    SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_WIDTH, 13);
    SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_LABEL_TOP, 130);
    SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_LABEL_LEFT, 666);
    SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: HISTOC_INP_FILE_2
    HISTOC_INP_FILE_2 = NewCtrl (hPanel, CTRL_STRING, "Input File 2", 267, 631);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_CONSTANT_NAME, "INP_FILE_2");
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_CALLBACK_FUNCTION_POINTER, histoCreate);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_LABEL_WIDTH, 67);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_LABEL_BGCOLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, HISTOC_INP_FILE_2);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_WIDTH, 241);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_LABEL_TOP, 251);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_LABEL_LEFT, 633);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, HISTOC_INP_FILE_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_INP_FILE_1
    HISTOC_INP_FILE_1 = NewCtrl (hPanel, CTRL_STRING, "Input File 1", 225, 631);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_CONSTANT_NAME, "INP_FILE_1");
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_CALLBACK_FUNCTION_POINTER, histoCreate);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_DIMMED, 1);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_LABEL_WIDTH, 67);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_LABEL_BGCOLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, HISTOC_INP_FILE_1);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_WIDTH, 241);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_LABEL_TOP, 209);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_LABEL_LEFT, 633);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_TEXT_JUSTIFY, VAL_RIGHT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, HISTOC_INP_FILE_1, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_TEXTBOX
    HISTOC_TEXTBOX = NewCtrl (hPanel, CTRL_TEXT_BOX, "", 324, 294);
    SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_CONSTANT_NAME, "TEXTBOX");
//  SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS);
    SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_LABEL_BGCOLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_TEXT_BGCOLOR, VAL_OFFWHITE);
    dataPtr = 
        "EXT_SETUP_NONE       0\nEXT_SETUP_ROUTER  1\nEXT_SETUP_RCF          2 \nEXT_SETU"
        "P_HISTO      4 \nEXT_SETUP_HTASK     8 ";
    SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_DFLT_VALUE, dataPtr);
    DefaultCtrl (hPanel, HISTOC_TEXTBOX);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_WRAP_MODE, VAL_LINE_WRAP);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_ENTER_IS_NEWLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_FIRST_VISIBLE_LINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_EXTRA_LINES, -1);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_HEIGHT, 71);
    SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_WIDTH, 136);
    SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_LABEL_TOP, 307);
    SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_LABEL_LEFT, 338);
    SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, HISTOC_TEXTBOX, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_TEXTMSG_14
    HISTOC_TEXTMSG_14 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 33, 361);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_14, ATTR_CONSTANT_NAME, "TEXTMSG_14");
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_14, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_14, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_14, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_14, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_14, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_14, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_14, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_14, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_14, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_14, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_14, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_14, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_14, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_14, ATTR_DFLT_VALUE, "Slave#");
    DefaultCtrl (hPanel, HISTOC_TEXTMSG_14);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_14, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_14, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_14, ATTR_WIDTH, 43);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_14, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_14, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_TEXTMSG_14, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_TEXTMSG_15
    HISTOC_TEXTMSG_15 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 452, 73);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_15, ATTR_CONSTANT_NAME, "TEXTMSG_15");
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_15, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_15, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_15, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_15, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_15, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_15, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_15, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_15, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_15, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_15, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_15, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_15, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_15, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_15, ATTR_DFLT_VALUE, "Serial Port 0");
    DefaultCtrl (hPanel, HISTOC_TEXTMSG_15);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_15, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_15, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_15, ATTR_WIDTH, 73);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_15, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_15, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_TEXTMSG_15, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_TEXTMSG_16
    HISTOC_TEXTMSG_16 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 454, 219);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_16, ATTR_CONSTANT_NAME, "TEXTMSG_16");
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_16, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_16, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_16, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_16, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_16, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_16, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_16, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_16, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_16, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_16, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_16, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_16, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_16, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_16, ATTR_DFLT_VALUE, "Data");
    DefaultCtrl (hPanel, HISTOC_TEXTMSG_16);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_16, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_16, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_16, ATTR_WIDTH, 30);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_16, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_16, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_TEXTMSG_16, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_TEXTMSG_20
    HISTOC_TEXTMSG_20 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 470, 22);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_20, ATTR_CONSTANT_NAME, "TEXTMSG_20");
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_20, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_20, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_20, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_20, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_20, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_20, ATTR_TEXT_COLOR, VAL_RED);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_20, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_20, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_20, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_20, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_20, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_20, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_20, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_20, ATTR_DFLT_VALUE, "RINGS FILLED IN fillPrimParams.c");
    DefaultCtrl (hPanel, HISTOC_TEXTMSG_20);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_20, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_20, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_20, ATTR_WIDTH, 166);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_20, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_20, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_TEXTMSG_20, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_TEXTMSG_22
    HISTOC_TEXTMSG_22 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 449, 571);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_22, ATTR_CONSTANT_NAME, "TEXTMSG_22");
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_22, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_22, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_22, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_22, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_22, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_22, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_22, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_22, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_22, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_22, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_22, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_22, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_22, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_22, ATTR_DFLT_VALUE, "Data");
    DefaultCtrl (hPanel, HISTOC_TEXTMSG_22);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_22, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_22, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_22, ATTR_WIDTH, 30);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_22, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_22, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_TEXTMSG_22, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_TEXTMSG_23
    HISTOC_TEXTMSG_23 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 487, 378);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_23, ATTR_CONSTANT_NAME, "TEXTMSG_23");
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_23, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_23, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_23, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_23, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_23, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_23, ATTR_TEXT_COLOR, VAL_RED);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_23, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_23, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_23, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_23, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_23, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_23, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_23, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_23, ATTR_DFLT_VALUE, "RINGS FILLED IN PROGRAM");
    DefaultCtrl (hPanel, HISTOC_TEXTMSG_23);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_23, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_23, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_23, ATTR_WIDTH, 148);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_23, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_23, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_TEXTMSG_23, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_TEXTMSG_21
    HISTOC_TEXTMSG_21 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 450, 422);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_21, ATTR_CONSTANT_NAME, "TEXTMSG_21");
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_21, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_21, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_21, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_21, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_21, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_21, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_21, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_21, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_21, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_21, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_21, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_21, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_21, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_21, ATTR_DFLT_VALUE, "Serial Port 1");
    DefaultCtrl (hPanel, HISTOC_TEXTMSG_21);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_21, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_21, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_21, ATTR_WIDTH, 73);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_21, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_21, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_TEXTMSG_21, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_TEXTMSG
    HISTOC_TEXTMSG = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 186, 630);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG, ATTR_CONSTANT_NAME, "TEXTMSG");
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG, ATTR_TEXT_BGCOLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG, ATTR_DFLT_VALUE, "*Data must be preloaded into the memory!!!");
    DefaultCtrl (hPanel, HISTOC_TEXTMSG);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG, ATTR_WIDTH, 248);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_TEXTMSG, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_TEXTMSG_24
    HISTOC_TEXTMSG_24 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 191, 129);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_24, ATTR_CONSTANT_NAME, "TEXTMSG_24");
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_24, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_24, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_24, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_24, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_24, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_24, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_24, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_24, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_24, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_24, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_24, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_24, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_24, ATTR_TEXT_BGCOLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_24, ATTR_DFLT_VALUE, "Set 0");
    DefaultCtrl (hPanel, HISTOC_TEXTMSG_24);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_24, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_24, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_24, ATTR_WIDTH, 28);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_24, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_24, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_TEXTMSG_24, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_TEXTMSG_25
    HISTOC_TEXTMSG_25 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 212, 129);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_25, ATTR_CONSTANT_NAME, "TEXTMSG_25");
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_25, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_25, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_25, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_25, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_25, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_25, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_25, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_25, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_25, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_25, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_25, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_25, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_25, ATTR_TEXT_BGCOLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_25, ATTR_DFLT_VALUE, "Set 1");
    DefaultCtrl (hPanel, HISTOC_TEXTMSG_25);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_25, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_25, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_25, ATTR_WIDTH, 28);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_25, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_25, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_TEXTMSG_25, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_TEXTMSG_2
    HISTOC_TEXTMSG_2 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 60, 382);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_2, ATTR_CONSTANT_NAME, "TEXTMSG_2");
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_2, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_2, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_2, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_2, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_2, ATTR_TEXT_BGCOLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_2, ATTR_DFLT_VALUE, " Module Configuration ");
    DefaultCtrl (hPanel, HISTOC_TEXTMSG_2);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_2, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_2, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_2, ATTR_WIDTH, 131);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_2, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_2, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_TEXTMSG_2, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_TEXTMSG_26
    HISTOC_TEXTMSG_26 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 423, 388);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_26, ATTR_CONSTANT_NAME, "TEXTMSG_26");
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_26, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_26, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_26, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_26, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_26, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_26, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_26, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_26, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_26, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_26, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_26, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_26, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_26, ATTR_TEXT_BGCOLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_26, ATTR_DFLT_VALUE, " Trigger Sequence ");
    DefaultCtrl (hPanel, HISTOC_TEXTMSG_26);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_26, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_26, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_26, ATTR_WIDTH, 112);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_26, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_26, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_TEXTMSG_26, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_TEXTMSG_27
    HISTOC_TEXTMSG_27 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 471, 738);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_27, ATTR_CONSTANT_NAME, "TEXTMSG_27");
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_27, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_27, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_27, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_27, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_27, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_27, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_27, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_27, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_27, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_27, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_27, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_27, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_27, ATTR_TEXT_BGCOLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_27, ATTR_DFLT_VALUE, "Port 0");
    DefaultCtrl (hPanel, HISTOC_TEXTMSG_27);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_27, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_27, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_27, ATTR_WIDTH, 31);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_27, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_27, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_TEXTMSG_27, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_TEXTMSG_28
    HISTOC_TEXTMSG_28 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 492, 738);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_28, ATTR_CONSTANT_NAME, "TEXTMSG_28");
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_28, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_28, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_28, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_28, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_28, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_28, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_28, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_28, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_28, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_28, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_28, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_28, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_28, ATTR_TEXT_BGCOLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_28, ATTR_DFLT_VALUE, "Port 1");
    DefaultCtrl (hPanel, HISTOC_TEXTMSG_28);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_28, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_28, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_28, ATTR_WIDTH, 31);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_28, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_28, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_TEXTMSG_28, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_DECORATION_2
    HISTOC_DECORATION_2 = NewCtrl (hPanel, CTRL_FLAT_BOX, "", 431, 9);
    SetCtrlAttribute (hPanel, HISTOC_DECORATION_2, ATTR_CONSTANT_NAME, "DECORATION_2");
//  SetCtrlAttribute (hPanel, HISTOC_DECORATION_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DECORATION_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_DECORATION_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DECORATION_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DECORATION_2, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, HISTOC_DECORATION_2, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, HISTOC_DECORATION_2, ATTR_HEIGHT, 220);
    SetCtrlAttribute (hPanel, HISTOC_DECORATION_2, ATTR_WIDTH, 884);

    // Build control: HISTOC_TEXTMSG_29
    HISTOC_TEXTMSG_29 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 94, 436);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_29, ATTR_CONSTANT_NAME, "TEXTMSG_29");
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_29, ATTR_VISIBLE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_29, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_29, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_29, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_29, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_29, ATTR_TEXT_COLOR, VAL_RED);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_29, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_29, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_29, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_29, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_29, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_29, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_29, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_29, ATTR_DFLT_VALUE, "RINGS FILLED IN PROGRAM");
    DefaultCtrl (hPanel, HISTOC_TEXTMSG_29);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_29, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_29, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_29, ATTR_WIDTH, 148);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_29, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_29, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_TEXTMSG_29, "", VAL_DS_READ, NULL, NULL);

    // Build control: HISTOC_DECORATION
    HISTOC_DECORATION = NewCtrl (hPanel, CTRL_FLAT_BOX, "", 63, 0);
    SetCtrlAttribute (hPanel, HISTOC_DECORATION, ATTR_CONSTANT_NAME, "DECORATION");
//  SetCtrlAttribute (hPanel, HISTOC_DECORATION, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_DECORATION, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_DECORATION, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_DECORATION, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_DECORATION, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, HISTOC_DECORATION, ATTR_CTRL_MODE, VAL_INDICATOR);
    SetCtrlAttribute (hPanel, HISTOC_DECORATION, ATTR_HEIGHT, 350);
    SetCtrlAttribute (hPanel, HISTOC_DECORATION, ATTR_WIDTH, 884);

    // Build control: HISTOC_TEXTMSG_3
    HISTOC_TEXTMSG_3 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 306, 718);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_3, ATTR_CONSTANT_NAME, "TEXTMSG_3");
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_3, ATTR_TEXT_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_3, ATTR_TEXT_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_3, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_3, ATTR_TEXT_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_3, ATTR_TEXT_BGCOLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_3, ATTR_DFLT_VALUE, "Default 0xFFFFFFFF");
    DefaultCtrl (hPanel, HISTOC_TEXTMSG_3);
//  SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_3, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_3, ATTR_HEIGHT, 15);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_3, ATTR_WIDTH, 99);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_3, ATTR_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_3, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, HISTOC_TEXTMSG_3, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_3, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_ZPLANE_POSITION, 14);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_29, ATTR_ZPLANE_POSITION, 15);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_ZPLANE_POSITION, 16);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_ZPLANE_POSITION, 17);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_28, ATTR_ZPLANE_POSITION, 18);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_27, ATTR_ZPLANE_POSITION, 19);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_ZPLANE_POSITION, 20);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_26, ATTR_ZPLANE_POSITION, 21);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_2, ATTR_ZPLANE_POSITION, 22);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_25, ATTR_ZPLANE_POSITION, 23);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_24, ATTR_ZPLANE_POSITION, 24);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_ZPLANE_POSITION, 25);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_ZPLANE_POSITION, 26);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_ZPLANE_POSITION, 27);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_ZPLANE_POSITION, 28);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_ZPLANE_POSITION, 29);
    SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_ZPLANE_POSITION, 30);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG, ATTR_ZPLANE_POSITION, 31);
    SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_ZPLANE_POSITION, 32);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_ZPLANE_POSITION, 33);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_ZPLANE_POSITION, 34);
    SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_ZPLANE_POSITION, 35);
    SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_ZPLANE_POSITION, 36);
    SetCtrlAttribute (hPanel, HISTOC_EXT_VIEWER, ATTR_ZPLANE_POSITION, 37);
    SetCtrlAttribute (hPanel, HISTOC_SAVE_BT, ATTR_ZPLANE_POSITION, 38);
    SetCtrlAttribute (hPanel, HISTOC_LOAD_BT, ATTR_ZPLANE_POSITION, 39);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_ZPLANE_POSITION, 40);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_ZPLANE_POSITION, 41);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_ZPLANE_POSITION, 42);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_ZPLANE_POSITION, 43);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_ZPLANE_POSITION, 44);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_ZPLANE_POSITION, 45);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_ZPLANE_POSITION, 46);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_23, ATTR_ZPLANE_POSITION, 47);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_ZPLANE_POSITION, 48);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_ZPLANE_POSITION, 49);
    SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_ZPLANE_POSITION, 50);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_ZPLANE_POSITION, 51);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_ZPLANE_POSITION, 52);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_ZPLANE_POSITION, 53);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_ZPLANE_POSITION, 54);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_22, ATTR_ZPLANE_POSITION, 55);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_21, ATTR_ZPLANE_POSITION, 56);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_ZPLANE_POSITION, 57);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_ZPLANE_POSITION, 58);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_ZPLANE_POSITION, 59);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_ZPLANE_POSITION, 60);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_ZPLANE_POSITION, 61);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_ZPLANE_POSITION, 62);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_20, ATTR_ZPLANE_POSITION, 63);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_ZPLANE_POSITION, 64);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_ZPLANE_POSITION, 65);
    SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_ZPLANE_POSITION, 66);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_ZPLANE_POSITION, 67);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_ZPLANE_POSITION, 68);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_ZPLANE_POSITION, 69);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_ZPLANE_POSITION, 70);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_16, ATTR_ZPLANE_POSITION, 71);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_15, ATTR_ZPLANE_POSITION, 72);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_ZPLANE_POSITION, 73);
    SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_ZPLANE_POSITION, 74);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_ZPLANE_POSITION, 75);
    SetCtrlAttribute (hPanel, HISTOC_TEXTMSG_14, ATTR_ZPLANE_POSITION, 76);
    SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_ZPLANE_POSITION, 77);
    SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_ZPLANE_POSITION, 78);
    SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_ZPLANE_POSITION, 79);
    SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_ZPLANE_POSITION, 80);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_ZPLANE_POSITION, 81);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_ZPLANE_POSITION, 82);
    SetCtrlAttribute (hPanel, HISTOC_DECORATION, ATTR_ZPLANE_POSITION, 83);
    SetCtrlAttribute (hPanel, HISTOC_DECORATION_2, ATTR_ZPLANE_POSITION, 84);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, HISTOC_CMD1_0, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER2, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_REGISTER1, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_0, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_5, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_4, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_3, ATTR_CTRL_TAB_POSITION, 6);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_2, ATTR_CTRL_TAB_POSITION, 7);
    SetCtrlAttribute (hPanel, HISTOC_CMD1_1, ATTR_CTRL_TAB_POSITION, 8);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_5, ATTR_CTRL_TAB_POSITION, 9);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_4, ATTR_CTRL_TAB_POSITION, 10);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_3, ATTR_CTRL_TAB_POSITION, 11);
    SetCtrlAttribute (hPanel, HISTOC_DINCR1, ATTR_CTRL_TAB_POSITION, 12);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_2, ATTR_CTRL_TAB_POSITION, 13);
    SetCtrlAttribute (hPanel, HISTOC_CMD0_1, ATTR_CTRL_TAB_POSITION, 14);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_1, ATTR_CTRL_TAB_POSITION, 15);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_5, ATTR_CTRL_TAB_POSITION, 16);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_4, ATTR_CTRL_TAB_POSITION, 17);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_3, ATTR_CTRL_TAB_POSITION, 18);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_2, ATTR_CTRL_TAB_POSITION, 19);
    SetCtrlAttribute (hPanel, HISTOC_DATA1_0, ATTR_CTRL_TAB_POSITION, 20);
    SetCtrlAttribute (hPanel, HISTOC_CINCR1, ATTR_CTRL_TAB_POSITION, 21);
    SetCtrlAttribute (hPanel, HISTOC_CONFIG_SCT_SET, ATTR_CTRL_TAB_POSITION, 22);
    SetCtrlAttribute (hPanel, HISTOC_DATA_SET, ATTR_CTRL_TAB_POSITION, 23);
    SetCtrlAttribute (hPanel, HISTOC_DISTR_TOGGLE, ATTR_CTRL_TAB_POSITION, 24);
    SetCtrlAttribute (hPanel, HISTOC_GLBL_CTRL, ATTR_CTRL_TAB_POSITION, 25);
    SetCtrlAttribute (hPanel, HISTOC_BIN_SIZE, ATTR_CTRL_TAB_POSITION, 26);
    SetCtrlAttribute (hPanel, HISTOC_DATA_FORMAT, ATTR_CTRL_TAB_POSITION, 27);
    SetCtrlAttribute (hPanel, HISTOC_ARRANGEMENT, ATTR_CTRL_TAB_POSITION, 28);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PATH, ATTR_CTRL_TAB_POSITION, 29);
    SetCtrlAttribute (hPanel, HISTOC_SYNC_LVL, ATTR_CTRL_TAB_POSITION, 30);
    SetCtrlAttribute (hPanel, HISTOC_PORT, ATTR_CTRL_TAB_POSITION, 31);
    SetCtrlAttribute (hPanel, HISTOC_DINCR0, ATTR_CTRL_TAB_POSITION, 32);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_1, ATTR_CTRL_TAB_POSITION, 33);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_5, ATTR_CTRL_TAB_POSITION, 34);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_4, ATTR_CTRL_TAB_POSITION, 35);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_3, ATTR_CTRL_TAB_POSITION, 36);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_2, ATTR_CTRL_TAB_POSITION, 37);
    SetCtrlAttribute (hPanel, HISTOC_DATA0_0, ATTR_CTRL_TAB_POSITION, 38);
    SetCtrlAttribute (hPanel, HISTOC_CINCR0, ATTR_CTRL_TAB_POSITION, 39);
    SetCtrlAttribute (hPanel, HISTOC_BIN0, ATTR_CTRL_TAB_POSITION, 40);
    SetCtrlAttribute (hPanel, HISTOC_SLV3, ATTR_CTRL_TAB_POSITION, 41);
    SetCtrlAttribute (hPanel, HISTOC_NBINS, ATTR_CTRL_TAB_POSITION, 42);
    SetCtrlAttribute (hPanel, HISTOC_SLV2, ATTR_CTRL_TAB_POSITION, 43);
    SetCtrlAttribute (hPanel, HISTOC_SLV1, ATTR_CTRL_TAB_POSITION, 44);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_2, ATTR_CTRL_TAB_POSITION, 45);
    SetCtrlAttribute (hPanel, HISTOC_EXT_SETUP, ATTR_CTRL_TAB_POSITION, 46);
    SetCtrlAttribute (hPanel, HISTOC_HISTO_BASE, ATTR_CTRL_TAB_POSITION, 47);
    SetCtrlAttribute (hPanel, HISTOC_DATA_PTR_1, ATTR_CTRL_TAB_POSITION, 48);
    SetCtrlAttribute (hPanel, HISTOC_REP, ATTR_CTRL_TAB_POSITION, 49);
    SetCtrlAttribute (hPanel, HISTOC_SLV0, ATTR_CTRL_TAB_POSITION, 50);
    SetCtrlAttribute (hPanel, HISTOC_SAVE_BT, ATTR_CTRL_TAB_POSITION, 51);
    SetCtrlAttribute (hPanel, HISTOC_LOAD_BT, ATTR_CTRL_TAB_POSITION, 52);
    SetCtrlAttribute (hPanel, HISTOC_EXT_VIEWER, ATTR_CTRL_TAB_POSITION, 53);
    SetCtrlAttribute (hPanel, HISTOC_CALL_LINE_LOOP, ATTR_CTRL_TAB_POSITION, 54);
    SetCtrlAttribute (hPanel, HISTOC_USE_RANGE_LIST, ATTR_CTRL_TAB_POSITION, 55);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_3, ATTR_CTRL_TAB_POSITION, 56);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP_2, ATTR_CTRL_TAB_POSITION, 57);
    SetCtrlAttribute (hPanel, HISTOC_MODULE_GROUP, ATTR_CTRL_TAB_POSITION, 58);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_2, ATTR_CTRL_TAB_POSITION, 59);
    SetCtrlAttribute (hPanel, HISTOC_GEN_DATA, ATTR_CTRL_TAB_POSITION, 60);
    SetCtrlAttribute (hPanel, HISTOC_TABLE_1, ATTR_CTRL_TAB_POSITION, 61);
    SetCtrlAttribute (hPanel, HISTOC_CAPTURE, ATTR_CTRL_TAB_POSITION, 62);
    SetCtrlAttribute (hPanel, HISTOC_DEFAULT_1, ATTR_CTRL_TAB_POSITION, 63);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_2, ATTR_CTRL_TAB_POSITION, 64);
    SetCtrlAttribute (hPanel, HISTOC_INP_FILE_1, ATTR_CTRL_TAB_POSITION, 65);
    SetCtrlAttribute (hPanel, HISTOC_TEXTBOX, ATTR_CTRL_TAB_POSITION, 66);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(760*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(903*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(45*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(33*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    buildMenu_scanControl (hPanel);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildMenu_scanControl ():  Build UI object MENU; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildMenu_scanControl (int hParentPanel)
{
    int hMenubar;
    int error = 0;

    // Create the menubar
    hMenubar = NewMenuBar (hParentPanel);
    SetMenuBarAttribute (hMenubar, 0, ATTR_CONSTANT_NAME, "MENU");

    // Build menu: MENU_HIDE
    MENU_HIDE = NewMenu (hMenubar, "Hide", -1);
    SetMenuBarAttribute (hMenubar, MENU_HIDE, ATTR_CONSTANT_NAME, "HIDE");
//  SetMenuBarAttribute (hMenubar, MENU_HIDE, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, MENU_HIDE, ATTR_CALLBACK_FUNCTION_POINTER, menu);

    //We're done!
    return hMenubar;
Error:
    return error;
}
